/*!
ziggeo-client-sdk - v2.41.3 - 2022-05-31
Copyright (c) Ziggeo
Closed Source Software License.
*/
//  json2.js
//  2016-10-28
//  Public Domain.
//  NO WARRANTY EXPRESSED OR IMPLIED. USE AT YOUR OWN RISK.
//  See http://www.JSON.org/js.html
//  This code should be minified before deployment.
//  See http://javascript.crockford.com/jsmin.html

//  USE YOUR OWN COPY. IT IS EXTREMELY UNWISE TO LOAD CODE FROM SERVERS YOU DO
//  NOT CONTROL.

//  This file creates a global JSON object containing two methods: stringify
//  and parse. This file provides the ES5 JSON capability to ES3 systems.
//  If a project might run on IE8 or earlier, then this file should be included.
//  This file does nothing on ES5 systems.

//      JSON.stringify(value, replacer, space)
//          value       any JavaScript value, usually an object or array.
//          replacer    an optional parameter that determines how object
//                      values are stringified for objects. It can be a
//                      function or an array of strings.
//          space       an optional parameter that specifies the indentation
//                      of nested structures. If it is omitted, the text will
//                      be packed without extra whitespace. If it is a number,
//                      it will specify the number of spaces to indent at each
//                      level. If it is a string (such as "\t" or "&nbsp;"),
//                      it contains the characters used to indent at each level.
//          This method produces a JSON text from a JavaScript value.
//          When an object value is found, if the object contains a toJSON
//          method, its toJSON method will be called and the result will be
//          stringified. A toJSON method does not serialize: it returns the
//          value represented by the name/value pair that should be serialized,
//          or undefined if nothing should be serialized. The toJSON method
//          will be passed the key associated with the value, and this will be
//          bound to the value.

//          For example, this would serialize Dates as ISO strings.

//              Date.prototype.toJSON = function (key) {
//                  function f(n) {
//                      // Format integers to have at least two digits.
//                      return (n < 10)
//                          ? "0" + n
//                          : n;
//                  }
//                  return this.getUTCFullYear()   + "-" +
//                       f(this.getUTCMonth() + 1) + "-" +
//                       f(this.getUTCDate())      + "T" +
//                       f(this.getUTCHours())     + ":" +
//                       f(this.getUTCMinutes())   + ":" +
//                       f(this.getUTCSeconds())   + "Z";
//              };

//          You can provide an optional replacer method. It will be passed the
//          key and value of each member, with this bound to the containing
//          object. The value that is returned from your method will be
//          serialized. If your method returns undefined, then the member will
//          be excluded from the serialization.

//          If the replacer parameter is an array of strings, then it will be
//          used to select the members to be serialized. It filters the results
//          such that only members with keys listed in the replacer array are
//          stringified.

//          Values that do not have JSON representations, such as undefined or
//          functions, will not be serialized. Such values in objects will be
//          dropped; in arrays they will be replaced with null. You can use
//          a replacer function to replace those with JSON values.

//          JSON.stringify(undefined) returns undefined.

//          The optional space parameter produces a stringification of the
//          value that is filled with line breaks and indentation to make it
//          easier to read.

//          If the space parameter is a non-empty string, then that string will
//          be used for indentation. If the space parameter is a number, then
//          the indentation will be that many spaces.

//          Example:

//          text = JSON.stringify(["e", {pluribus: "unum"}]);
//          // text is '["e",{"pluribus":"unum"}]'

//          text = JSON.stringify(["e", {pluribus: "unum"}], null, "\t");
//          // text is '[\n\t"e",\n\t{\n\t\t"pluribus": "unum"\n\t}\n]'

//          text = JSON.stringify([new Date()], function (key, value) {
//              return this[key] instanceof Date
//                  ? "Date(" + this[key] + ")"
//                  : value;
//          });
//          // text is '["Date(---current time---)"]'

//      JSON.parse(text, reviver)
//          This method parses a JSON text to produce an object or array.
//          It can throw a SyntaxError exception.

//          The optional reviver parameter is a function that can filter and
//          transform the results. It receives each of the keys and values,
//          and its return value is used instead of the original value.
//          If it returns what it received, then the structure is not modified.
//          If it returns undefined then the member is deleted.

//          Example:

//          // Parse the text. Values that look like ISO date strings will
//          // be converted to Date objects.

//          myData = JSON.parse(text, function (key, value) {
//              var a;
//              if (typeof value === "string") {
//                  a =
//   /^(\d{4})-(\d{2})-(\d{2})T(\d{2}):(\d{2}):(\d{2}(?:\.\d*)?)Z$/.exec(value);
//                  if (a) {
//                      return new Date(Date.UTC(+a[1], +a[2] - 1, +a[3], +a[4],
//                          +a[5], +a[6]));
//                  }
//              }
//              return value;
//          });

//          myData = JSON.parse('["Date(09/09/2001)"]', function (key, value) {
//              var d;
//              if (typeof value === "string" &&
//                      value.slice(0, 5) === "Date(" &&
//                      value.slice(-1) === ")") {
//                  d = new Date(value.slice(5, -1));
//                  if (d) {
//                      return d;
//                  }
//              }
//              return value;
//          });

//  This is a reference implementation. You are free to copy, modify, or
//  redistribute.

/*jslint
    eval, for, this
*/

/*property
    JSON, apply, call, charCodeAt, getUTCDate, getUTCFullYear, getUTCHours,
    getUTCMinutes, getUTCMonth, getUTCSeconds, hasOwnProperty, join,
    lastIndex, length, parse, prototype, push, replace, slice, stringify,
    test, toJSON, toString, valueOf
*/


// Create a JSON object only if one does not already exist. We create the
// methods in a closure to avoid creating global variables.

if (typeof JSON !== "object") {
    JSON = {};
}

(function () {
    "use strict";

    var rx_one = /^[\],:{}\s]*$/;
    var rx_two = /\\(?:["\\\/bfnrt]|u[0-9a-fA-F]{4})/g;
    var rx_three = /"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g;
    var rx_four = /(?:^|:|,)(?:\s*\[)+/g;
    var rx_escapable = /[\\"\u0000-\u001f\u007f-\u009f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g;
    var rx_dangerous = /[\u0000\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g;

    function f(n) {
        // Format integers to have at least two digits.
        return n < 10
            ? "0" + n
            : n;
    }

    function this_value() {
        return this.valueOf();
    }

    if (typeof Date.prototype.toJSON !== "function") {

        Date.prototype.toJSON = function () {

            return isFinite(this.valueOf())
                ? this.getUTCFullYear() + "-" +
                        f(this.getUTCMonth() + 1) + "-" +
                        f(this.getUTCDate()) + "T" +
                        f(this.getUTCHours()) + ":" +
                        f(this.getUTCMinutes()) + ":" +
                        f(this.getUTCSeconds()) + "Z"
                : null;
        };

        Boolean.prototype.toJSON = this_value;
        Number.prototype.toJSON = this_value;
        String.prototype.toJSON = this_value;
    }

    var gap;
    var indent;
    var meta;
    var rep;


    function quote(string) {

// If the string contains no control characters, no quote characters, and no
// backslash characters, then we can safely slap some quotes around it.
// Otherwise we must also replace the offending characters with safe escape
// sequences.

        rx_escapable.lastIndex = 0;
        return rx_escapable.test(string)
            ? "\"" + string.replace(rx_escapable, function (a) {
                var c = meta[a];
                return typeof c === "string"
                    ? c
                    : "\\u" + ("0000" + a.charCodeAt(0).toString(16)).slice(-4);
            }) + "\""
            : "\"" + string + "\"";
    }


    function str(key, holder) {

// Produce a string from holder[key].

        var i;          // The loop counter.
        var k;          // The member key.
        var v;          // The member value.
        var length;
        var mind = gap;
        var partial;
        var value = holder[key];

// If the value has a toJSON method, call it to obtain a replacement value.

        if (value && typeof value === "object" &&
                typeof value.toJSON === "function") {
            value = value.toJSON(key);
        }

// If we were called with a replacer function, then call the replacer to
// obtain a replacement value.

        if (typeof rep === "function") {
            value = rep.call(holder, key, value);
        }

// What happens next depends on the value's type.

        switch (typeof value) {
        case "string":
            return quote(value);

        case "number":

// JSON numbers must be finite. Encode non-finite numbers as null.

            return isFinite(value)
                ? String(value)
                : "null";

        case "boolean":
        case "null":

// If the value is a boolean or null, convert it to a string. Note:
// typeof null does not produce "null". The case is included here in
// the remote chance that this gets fixed someday.

            return String(value);

// If the type is "object", we might be dealing with an object or an array or
// null.

        case "object":

// Due to a specification blunder in ECMAScript, typeof null is "object",
// so watch out for that case.

            if (!value) {
                return "null";
            }

// Make an array to hold the partial results of stringifying this object value.

            gap += indent;
            partial = [];

// Is the value an array?

            if (Object.prototype.toString.apply(value) === "[object Array]") {

// The value is an array. Stringify every element. Use null as a placeholder
// for non-JSON values.

                length = value.length;
                for (i = 0; i < length; i += 1) {
                    partial[i] = str(i, value) || "null";
                }

// Join all of the elements together, separated with commas, and wrap them in
// brackets.

                v = partial.length === 0
                    ? "[]"
                    : gap
                        ? "[\n" + gap + partial.join(",\n" + gap) + "\n" + mind + "]"
                        : "[" + partial.join(",") + "]";
                gap = mind;
                return v;
            }

// If the replacer is an array, use it to select the members to be stringified.

            if (rep && typeof rep === "object") {
                length = rep.length;
                for (i = 0; i < length; i += 1) {
                    if (typeof rep[i] === "string") {
                        k = rep[i];
                        v = str(k, value);
                        if (v) {
                            partial.push(quote(k) + (
                                gap
                                    ? ": "
                                    : ":"
                            ) + v);
                        }
                    }
                }
            } else {

// Otherwise, iterate through all of the keys in the object.

                for (k in value) {
                    if (Object.prototype.hasOwnProperty.call(value, k)) {
                        v = str(k, value);
                        if (v) {
                            partial.push(quote(k) + (
                                gap
                                    ? ": "
                                    : ":"
                            ) + v);
                        }
                    }
                }
            }

// Join all of the member texts together, separated with commas,
// and wrap them in braces.

            v = partial.length === 0
                ? "{}"
                : gap
                    ? "{\n" + gap + partial.join(",\n" + gap) + "\n" + mind + "}"
                    : "{" + partial.join(",") + "}";
            gap = mind;
            return v;
        }
    }

// If the JSON object does not yet have a stringify method, give it one.

    if (typeof JSON.stringify !== "function") {
        meta = {    // table of character substitutions
            "\b": "\\b",
            "\t": "\\t",
            "\n": "\\n",
            "\f": "\\f",
            "\r": "\\r",
            "\"": "\\\"",
            "\\": "\\\\"
        };
        JSON.stringify = function (value, replacer, space) {

// The stringify method takes a value and an optional replacer, and an optional
// space parameter, and returns a JSON text. The replacer can be a function
// that can replace values, or an array of strings that will select the keys.
// A default replacer method can be provided. Use of the space parameter can
// produce text that is more easily readable.

            var i;
            gap = "";
            indent = "";

// If the space parameter is a number, make an indent string containing that
// many spaces.

            if (typeof space === "number") {
                for (i = 0; i < space; i += 1) {
                    indent += " ";
                }

// If the space parameter is a string, it will be used as the indent string.

            } else if (typeof space === "string") {
                indent = space;
            }

// If there is a replacer, it must be a function or an array.
// Otherwise, throw an error.

            rep = replacer;
            if (replacer && typeof replacer !== "function" &&
                    (typeof replacer !== "object" ||
                    typeof replacer.length !== "number")) {
                throw new Error("JSON.stringify");
            }

// Make a fake root object containing our value under the key of "".
// Return the result of stringifying the value.

            return str("", {"": value});
        };
    }


// If the JSON object does not yet have a parse method, give it one.

    if (typeof JSON.parse !== "function") {
        JSON.parse = function (text, reviver) {

// The parse method takes a text and an optional reviver function, and returns
// a JavaScript value if the text is a valid JSON text.

            var j;

            function walk(holder, key) {

// The walk method is used to recursively walk the resulting structure so
// that modifications can be made.

                var k;
                var v;
                var value = holder[key];
                if (value && typeof value === "object") {
                    for (k in value) {
                        if (Object.prototype.hasOwnProperty.call(value, k)) {
                            v = walk(value, k);
                            if (v !== undefined) {
                                value[k] = v;
                            } else {
                                delete value[k];
                            }
                        }
                    }
                }
                return reviver.call(holder, key, value);
            }


// Parsing happens in four stages. In the first stage, we replace certain
// Unicode characters with escape sequences. JavaScript handles many characters
// incorrectly, either silently deleting them, or treating them as line endings.

            text = String(text);
            rx_dangerous.lastIndex = 0;
            if (rx_dangerous.test(text)) {
                text = text.replace(rx_dangerous, function (a) {
                    return "\\u" +
                            ("0000" + a.charCodeAt(0).toString(16)).slice(-4);
                });
            }

// In the second stage, we run the text against regular expressions that look
// for non-JSON patterns. We are especially concerned with "()" and "new"
// because they can cause invocation, and "=" because it can cause mutation.
// But just to be safe, we want to reject all unexpected forms.

// We split the second stage into 4 regexp operations in order to work around
// crippling inefficiencies in IE's and Safari's regexp engines. First we
// replace the JSON backslash pairs with "@" (a non-JSON character). Second, we
// replace all simple value tokens with "]" characters. Third, we delete all
// open brackets that follow a colon or comma or that begin the text. Finally,
// we look to see that the remaining characters are only whitespace or "]" or
// "," or ":" or "{" or "}". If that is so, then the text is safe for eval.

            if (
                rx_one.test(
                    text
                        .replace(rx_two, "@")
                        .replace(rx_three, "]")
                        .replace(rx_four, "")
                )
            ) {

// In the third stage we use the eval function to compile the text into a
// JavaScript structure. The "{" operator is subject to a syntactic ambiguity
// in JavaScript: it can begin a block or an object literal. We wrap the text
// in parens to eliminate the ambiguity.

                j = eval("(" + text + ")");

// In the optional fourth stage, we recursively walk the new structure, passing
// each name/value pair to a reviver function for possible transformation.

                return (typeof reviver === "function")
                    ? walk({"": j}, "")
                    : j;
            }

// If the text is not JSON parseable, then a SyntaxError is thrown.

            throw new SyntaxError("JSON.parse");
        };
    }
}());

/*!
betajs-shims - v0.0.16 - 2021-06-06
Copyright (c) Oliver Friedmann,Pablo Iglesias
Apache-2.0 Software License.
*/
(function() {
    if (!this)
        return;

    // Production steps of ECMA-262, Edition 5, 15.4.4.18
    // Reference: http://es5.github.io/#x15.4.4.18
    if (!this.forEach) {
        this.forEach = function (callback/*, thisArg*/) {

            var T, k;

            if (this === null) {
                throw new TypeError('this is null or not defined');
            }

            // 1. Let O be the result of calling toObject() passing the
            // |this| value as the argument.
            var O = Object(this);

            // 2. Let lenValue be the result of calling the Get() internal
            // method of O with the argument "length".
            // 3. Let len be toUint32(lenValue).
            var len = O.length >>> 0;

            // 4. If isCallable(callback) is false, throw a TypeError exception.
            // See: http://es5.github.com/#x9.11
            if (typeof callback !== 'function') {
                throw new TypeError(callback + ' is not a function');
            }

            // 5. If thisArg was supplied, let T be thisArg; else let
            // T be undefined.
            if (arguments.length > 1) {
                T = arguments[1];
            }

            // 6. Let k be 0.
            k = 0;

            // 7. Repeat while k < len.
            while (k < len) {

                var kValue;

                // a. Let Pk be ToString(k).
                //    This is implicit for LHS operands of the in operator.
                // b. Let kPresent be the result of calling the HasProperty
                //    internal method of O with argument Pk.
                //    This step can be combined with c.
                // c. If kPresent is true, then
                if (k in O) {

                    // i. Let kValue be the result of calling the Get internal
                    // method of O with argument Pk.
                    kValue = O[k];

                    // ii. Call the Call internal method of callback with T as
                    // the this value and argument list containing kValue, k, and O.
                    callback.call(T, kValue, k, O);
                }
                // d. Increase k by 1.
                k++;
            }
            // 8. return undefined.
        };
    }

    if (!this.filter) {
        this.filter = function (func, thisArg) {
            if (!(((typeof func).toLowerCase() === 'function') && this))
                throw new TypeError();

            var len = this.length >>> 0,
              res = new Array(len), // preallocate array
              t = this, c = 0, i = -1;
            if (thisArg === undefined) {
                while (++i !== len)
                  // checks to see if the key was set
                    if (i in this)
                        if (func(t[i], i, t))
                            res[c++] = t[i];
            } else {
                while (++i !== len)
                  // checks to see if the key was set
                    if (i in this)
                        if (func.call(thisArg, t[i], i, t))
                            res[c++] = t[i];
            }
            res.length = c; // shrink down array to proper size
            return res;
        };
    }

    // Production steps of ECMA-262, Edition 5, 15.4.4.19
    // Reference: http://es5.github.io/#x15.4.4.19
    if (!this.map) {
        this.map = function(callback/*, thisArg*/) {

            var T, A, k;

            if (this === null) {
                throw new TypeError('this is null or not defined');
            }

            // 1. Let O be the result of calling ToObject passing the |this|
            //    value as the argument.
            var O = Object(this);

            // 2. Let lenValue be the result of calling the Get internal
            //    method of O with the argument "length".
            // 3. Let len be ToUint32(lenValue).
            var len = O.length >>> 0;

            // 4. If IsCallable(callback) is false, throw a TypeError exception.
            // See: http://es5.github.com/#x9.11
            if (typeof callback !== 'function') {
                throw new TypeError(callback + ' is not a function');
            }

            // 5. If thisArg was supplied, let T be thisArg; else let T be undefined.
            if (arguments.length > 1) {
                T = arguments[1];
            }

            // 6. Let A be a new array created as if by the expression new Array(len)
            //    where Array is the standard built-in constructor with that name and
            //    len is the value of len.
            A = new Array(len);

            // 7. Let k be 0
            k = 0;

            // 8. Repeat, while k < len
            while (k < len) {

                var kValue, mappedValue;

                // a. Let Pk be ToString(k).
                //   This is implicit for LHS operands of the in operator
                // b. Let kPresent be the result of calling the HasProperty internal
                //    method of O with argument Pk.
                //   This step can be combined with c
                // c. If kPresent is true, then
                if (k in O) {

                    // i. Let kValue be the result of calling the Get internal
                    //    method of O with argument Pk.
                    kValue = O[k];

                    // ii. Let mappedValue be the result of calling the Call internal
                    //     method of callback with T as the this value and argument
                    //     list containing kValue, k, and O.
                    mappedValue = callback.call(T, kValue, k, O);

                    // iii. Call the DefineOwnProperty internal method of A with arguments
                    // Pk, Property Descriptor
                    // { Value: mappedValue,
                    //   Writable: true,
                    //   Enumerable: true,
                    //   Configurable: true },
                    // and false.

                    // In browsers that support Object.defineProperty, use the following:
                    // Object.defineProperty(A, k, {
                    //   value: mappedValue,
                    //   writable: true,
                    //   enumerable: true,
                    //   configurable: true
                    // });

                    // For best browser support, use the following:
                    A[k] = mappedValue;
                }
                // d. Increase k by 1.
                k++;
            }

            // 9. return A
            return A;
        };
    }

    // Production steps of ECMA-262, Edition 5, 15.4.4.21
    // Reference: http://es5.github.io/#x15.4.4.21
    // https://tc39.github.io/ecma262/#sec-array.prototype.reduce
    if (!this.reduce) {
        this.reduce =function(callback /*, initialValue*/) {
            if (this === null) {
                throw new TypeError( 'Array.prototype.reduce ' +
                  'called on null or undefined' );
            }
            if (typeof callback !== 'function') {
                throw new TypeError( callback +
                  ' is not a function');
            }

            // 1. Let O be ? ToObject(this value).
            var o = Object(this);

            // 2. Let len be ? ToLength(? Get(O, "length")).
            var len = o.length >>> 0;

            // Steps 3, 4, 5, 6, 7
            var k = 0;
            var value;

            if (arguments.length >= 2) {
                value = arguments[1];
            } else {
                while (k < len && !(k in o)) {
                    k++;
                }

                // 3. If len is 0 and initialValue is not present,
                //    throw a TypeError exception.
                if (k >= len) {
                    throw new TypeError( 'Reduce of empty array ' +
                      'with no initial value' );
                }
                value = o[k++];
            }

            // 8. Repeat, while k < len
            while (k < len) {
                // a. Let Pk be ! ToString(k).
                // b. Let kPresent be ? HasProperty(O, Pk).
                // c. If kPresent is true, then
                //    i.  Let kValue be ? Get(O, Pk).
                //    ii. Let accumulator be ? Call(
                //          callbackfn, undefined,
                //          « accumulator, kValue, k, O »).
                if (k in o) {
                    value = callback(value, o[k], k, o);
                }

                // d. Increase k by 1.
                k++;
            }

            // 9. Return accumulator.
            return value;
        };

    }

    // Production steps of ECMA-262, Edition 5, 15.4.4.17
    // Reference: http://es5.github.io/#x15.4.4.17
    if (!this.some) {
        this.some = function(fun/*, thisArg*/) {

            if (this === null) {
                throw new TypeError('Array.prototype.some called on null or undefined');
            }

            if (typeof fun !== 'function') {
                throw new TypeError();
            }

            var t = Object(this);
            var len = t.length >>> 0;

            var thisArg = arguments.length >= 2 ? arguments[1] : void 0;
            for (var i = 0; i < len; i++) {
                if (i in t && fun.call(thisArg, t[i], i, t)) {
                    return true;
                }
            }

            return false;
        };
    }

    // Production steps of ECMA-262, Edition 5, 15.4.4.14
    // Reference: http://es5.github.io/#x15.4.4.14
    if (!this.indexOf) {
        this.indexOf = function(searchElement, fromIndex) {

            var k;

            // 1. Let o be the result of calling ToObject passing
            //    the this value as the argument.
            if (this === null) {
                throw new TypeError('"this" is null or not defined');
            }

            var o = Object(this);

            // 2. Let lenValue be the result of calling the Get
            //    internal method of o with the argument "length".
            // 3. Let len be ToUint32(lenValue).
            var len = o.length >>> 0;

            // 4. If len is 0, return -1.
            if (len === 0) {
                return -1;
            }

            // 5. If argument fromIndex was passed let n be
            //    ToInteger(fromIndex); else let n be 0.
            var n = fromIndex | 0;

            // 6. If n >= len, return -1.
            if (n >= len) {
                return -1;
            }

            // 7. If n >= 0, then Let k be n.
            // 8. Else, n<0, Let k be len - abs(n).
            //    If k is less than 0, then let k be 0.
            k = Math.max(n >= 0 ? n : len - Math.abs(n), 0);

            // 9. Repeat, while k < len
            while (k < len) {
                // a. Let Pk be ToString(k).
                //   This is implicit for LHS operands of the in operator
                // b. Let kPresent be the result of calling the
                //    HasProperty internal method of o with argument Pk.
                //   This step can be combined with c
                // c. If kPresent is true, then
                //    i.  Let elementK be the result of calling the Get
                //        internal method of o with the argument ToString(k).
                //   ii.  Let same be the result of applying the
                //        Strict Equality Comparison Algorithm to
                //        searchElement and elementK.
                //  iii.  If same is true, return k.
                if (k in o && o[k] === searchElement) {
                    return k;
                }
                k++;
            }
            return -1;
        };
    }

    // Production steps of ECMA-262, Edition 5, 15.4.4.15
    // Reference: http://es5.github.io/#x15.4.4.15
    if (!this.lastIndexOf) {
        this.lastIndexOf = function(searchElement /*, fromIndex*/) {
            if (this === void 0 || this === null) {
                throw new TypeError();
            }

            var n, k,
              t = Object(this),
              len = t.length >>> 0;
            if (len === 0) {
                return -1;
            }

            n = len - 1;
            if (arguments.length > 1) {
                n = Number(arguments[1]);
                if (n != n) {
                    n = 0;
                }
                else if (n !== 0 && n != (1 / 0) && n != -(1 / 0)) {
                    n = (n > 0 || -1) * Math.floor(Math.abs(n));
                }
            }

            for (k = n >= 0 ? Math.min(n, len - 1) : len - Math.abs(n); k >= 0; k--) {
                if (k in t && t[k] === searchElement) {
                    return k;
                }
            }
            return -1;
        };
    }

    if (!this.every) {
        this.every = function(callbackfn, thisArg) {
            var T, k;

            if (this === null) {
                throw new TypeError('this is null or not defined');
            }

            // 1. Let O be the result of calling ToObject passing the this
            //    value as the argument.
            var O = Object(this);

            // 2. Let lenValue be the result of calling the Get internal method
            //    of O with the argument "length".
            // 3. Let len be ToUint32(lenValue).
            var len = O.length >>> 0;

            // 4. If IsCallable(callbackfn) is false, throw a TypeError exception.
            if (typeof callbackfn !== 'function') {
                throw new TypeError();
            }

            // 5. If thisArg was supplied, let T be thisArg; else let T be undefined.
            if (arguments.length > 1) {
                T = thisArg;
            }

            // 6. Let k be 0.
            k = 0;

            // 7. Repeat, while k < len
            while (k < len) {

                var kValue;

                // a. Let Pk be ToString(k).
                //   This is implicit for LHS operands of the in operator
                // b. Let kPresent be the result of calling the HasProperty internal
                //    method of O with argument Pk.
                //   This step can be combined with c
                // c. If kPresent is true, then
                if (k in O) {

                    // i. Let kValue be the result of calling the Get internal method
                    //    of O with argument Pk.
                    kValue = O[k];

                    // ii. Let testResult be the result of calling the Call internal method
                    //     of callbackfn with T as the this value and argument list
                    //     containing kValue, k, and O.
                    var testResult = callbackfn.call(T, kValue, k, O);

                    // iii. If ToBoolean(testResult) is false, return false.
                    if (!testResult) {
                        return false;
                    }
                }
                k++;
            }
            return true;
        };
    }

    // Production steps of ECMA-262, Edition 5, 15.4.4.22
    // Reference: http://es5.github.io/#x15.4.4.22
    if (!this.reduceRight) {
        this.reduceRight = function(callback /*, initialValue*/) {
            if (null === this || 'undefined' === typeof this) {
                throw new TypeError('Array.prototype.reduce called on null or undefined');
            }
            if ('function' !== typeof callback) {
                throw new TypeError(callback + ' is not a function');
            }
            var t = Object(this), len = t.length >>> 0, k = len - 1, value;
            if (arguments.length >= 2) {
                value = arguments[1];
            } else {
                while (k >= 0 && !(k in t)) {
                    k--;
                }
                if (k < 0) {
                    throw new TypeError('Reduce of empty array with no initial value');
                }
                value = t[k--];
            }
            for (; k >= 0; k--) {
                if (k in t) {
                    value = callback(value, t[k], k, t);
                }
            }
            return value;
        };
    }

    // https://tc39.github.io/ecma262/#sec-array.prototype.find
    if (!this.find) {
        this.find = function(predicate) {
            // 1. Let O be ? ToObject(this value).
            if (this === null) {
                throw new TypeError('"this" is null or not defined');
            }

            var o = Object(this);

            // 2. Let len be ? ToLength(? Get(O, "length")).
            var len = o.length >>> 0;

            // 3. If IsCallable(predicate) is false, throw a TypeError exception.
            if (typeof predicate !== 'function') {
                throw new TypeError('predicate must be a function');
            }

            // 4. If thisArg was supplied, let T be thisArg; else let T be undefined.
            var thisArg = arguments[1];

            // 5. Let k be 0.
            var k = 0;

            // 6. Repeat, while k < len
            while (k < len) {
                // a. Let Pk be ! ToString(k).
                // b. Let kValue be ? Get(O, Pk).
                // c. Let testResult be ToBoolean(? Call(predicate, T, « kValue, k, O »)).
                // d. If testResult is true, return kValue.
                var kValue = o[k];
                if (predicate.call(thisArg, kValue, k, o)) {
                    return kValue;
                }
                // e. Increase k by 1.
                k++;
            }

            // 7. Return undefined.
            return undefined;
        };
    }

    if (!Array.isArray) {
        Array.isArray = function(arg) {
            return Object.prototype.toString.call(arg) === '[object Array]';
        };
    }

    if (!this.includes) {
        // https://tc39.github.io/ecma262/#sec-array.prototype.includes
        this.includes = function(searchElement, fromIndex) {
            if (this == null) {
                throw new TypeError('"this" is null or not defined');
            }

            // 1. Let O be ? ToObject(this value).
            var o = Object(this);

            // 2. Let len be ? ToLength(? Get(O, "length")).
            var len = o.length >>> 0;

            // 3. If len is 0, return false.
            if (len === 0) {
                return false;
            }

            // 4. Let n be ? ToInteger(fromIndex).
            //    (If fromIndex is undefined, this step produces the value 0.)
            var n = fromIndex | 0;

            // 5. If n ≥ 0, then
            //  a. Let k be n.
            // 6. Else n < 0,
            //  a. Let k be len + n.
            //  b. If k < 0, let k be 0.
            var k = Math.max(n >= 0 ? n : len - Math.abs(n), 0);

            function sameValueZero(x, y) {
                return x === y || (typeof x === 'number' && typeof y === 'number' && isNaN(x) && isNaN(y));
            }

            // 7. Repeat, while k < len
            while (k < len) {
                // a. Let elementK be the result of ? Get(O, ! ToString(k)).
                // b. If SameValueZero(searchElement, elementK) is true, return true.
                if (sameValueZero(o[k], searchElement)) {
                    return true;
                }
                // c. Increase k by 1.
                k++;
            }

            // 8. Return false
            return false;
        };
    }

}).call((function () {
    try {
        return Array.prototype;
    } catch (e) {
        return null;
    }
}).call(this));

(function() {
	if (this.Map !== undefined)
		return;

	this.Map = function() {
		this.clear();
	};

	this.Map.prototype.set = function(key, value) {
		if (key in this.__data)
			this.__data[key].value = value;
		else {
			var obj = {
				key : key,
				value : value,
				prev : this.__last,
				next : null
			};
			this.__data[key] = obj;
			if (this.__last)
				this.__last.next = obj;
			else
				this.__first = obj;
			this.__last = obj;
			this.size++;
		}
		return this;
	};

	this.Map.prototype.get = function(key) {
		return key in this.__data ? this.__data[key].value : undefined;
	};

	this.Map.prototype.has = function(key) {
		return key in this.__data;
	};

	this.Map.prototype['delete'] = function(key) {
		var obj = this.__data[key];
		if (obj) {
			delete this.__data[key];
			this.size--;
			if (obj.prev)
				obj.prev.next = obj.next;
			else
				this.__first = obj.next;
			if (obj.next)
				obj.next.prev = obj.prev;
			else
				this.__last = obj.prev;
		}
		return this;
	};

	this.Map.prototype.clear = function() {
		this.__data = {};
		this.__first = null;
		this.__last = null;
		this.size = 0;
		return this;
	};

	this.Map.prototype.keys = function() {
		return {
			current : this.__first,
			next : function() {
				var current = this.current;
				if (!current)
					return {
						done : true
					};
				this.current = current.next;
				return {
					done : false,
					value : current.key
				};
			}
		};
	};

	this.Map.prototype.values = function() {
		return {
			current : this.__first,
			next : function() {
				var current = this.current;
				if (!current)
					return {
						done : true
					};
				this.current = current.next;
				return {
					done : false,
					value : current.value
				};
			}
		};
	};

	this.Map.prototype.entries = function() {
		return {
			current : this.__first,
			next : function() {
				var current = this.current;
				if (!current)
					return {
						done : true
					};
				this.current = current.next;
				return {
					done : false,
					value : [ current.key, current.value ]
				};
			}
		};
	};

	this.Map.prototype.forEach = function(callback, context) {
		var current = this.__first;
		while (current) {
			callback.call(context, current.value, current.key, this);
			current = current.next;
		}
		return this;
	};

}).call((function () {
	try {
		return window;
	} catch (e) {
		try {
			return global;
		} catch (e) {
			return self;
		}
	}
}).call(this));

(function() {
	if (!this)
		return;
	this.preventDefault = this.preventDefault || function () {
		this.returnValue = false;
	};
	this.stopPropagation = this.stopPropagation || function () {
		this.cancelBubble=true;
	};	
}).call((function () {
	try {
		return Event.prototype;
	} catch (e) {
		return null;
	}
}).call(this));

(function() {
	if (!this)
		return;
	var eventMap = {
		"DOMContentLoaded": {
			"event": "onreadystatechange",
			"wrapper": function (wrapper) {
				return function (e) {
					if (document.readyState=="complete")
						wrapper(e);
				};
			}
		}
	};
	this.addEventListener = this.addEventListener || function (type, listener, useCapture) {
		var self = this;
		var wrapper = function (e) {
			e.target = e.srcElement || self;
	        e.currentTarget = self;
	        if (typeof listener.handleEvent != 'undefined')
	            listener.handleEvent(e);
	        else
	            listener.call(self,e);
        };
        if (eventMap[type])
        	wrapper = eventMap[type].wrapper(wrapper);
        this.attachEvent("on" + (eventMap[type] ? eventMap[type].event : type), wrapper);
        try {
	        this.__eventlisteners = this.__eventlisteners || {};
	        this.__eventlisteners[type] = this.__eventlisteners[type] || [];
	        this.__eventlisteners[type].push({listener:listener, wrapper:wrapper});
        } catch (e) {
        	listener.__eventwrapper = wrapper;
        }
	};
	this.removeEventListener = this.removeEventListener || function (type, listener, useCapture) {
		try {
			if (this.__eventlisteners && this.__eventlisteners[type]) {
				for (var i = 0; i < this.__eventlisteners[type].length; ++i) {
					if (this.__eventlisteners[type][i].listener === listener) {
			            this.detachEvent("on" + (eventMap[type] ? eventMap[type].event : type), this.__eventlisteners[type][i].wrapper);
			            this.__eventlisteners[type].splice(i, 1);
			            return;
					}
				}
			}
		} catch (e) {}
		try {
			if (listener.__eventwrapper)
				this.detachEvent("on" + (eventMap[type] ? eventMap[type].event : type), listener.__eventwrapper);
		} catch (e) {}
	};
	this.dispatchEvent = this.dispatchEvent || function (eventObject) {
		var type = eventObject.type;
		var onEvent = "on" + type;
		try {
			return this.fireEvent(onEvent, eventObject);
		} catch (e) {
			var E = Element;
			try {
				E = HTMLElement;
			} catch (e) {}
			if (onEvent in E.prototype)
				throw e;
			if (this.__eventlisteners && this.__eventlisteners[type]) {
				for (var i = 0; i < this.__eventlisteners[type].length; ++i) {
					this.__eventlisteners[type][i].wrapper.call(this, eventObject);
				}
			}
		}
	};
}).call((function () {
	try {
		return Element.prototype;
	} catch (e) {
		return null;
	}
}).call(this));
	
(function() {
	if (!this)
		return;
	this.addEventListener = this.addEventListener || Element.prototype.addEventListener;
	this.removeEventListener = this.removeEventListener || Element.prototype.removeEventListener;
	this.dispatchEvent = this.dispatchEvent || Element.prototype.dispatchEvent;
}).call((function () {
	try {
		return HTMLDocument.prototype;
	} catch (e) {
		return null;
	}
}).call(this));

(function() {
	if (!this)
		return;
	this.addEventListener = this.addEventListener || Element.prototype.addEventListener;
	this.removeEventListener = this.removeEventListener || Element.prototype.removeEventListener;
	this.dispatchEvent = this.dispatchEvent || Element.prototype.dispatchEvent;
}).call((function () {
	try {
		return Window.prototype;
	} catch (e) {
		return null;
	}
}).call(this));

(function() {
	if (!this || !Object.defineProperty || !Object.getOwnPropertyDescriptor || Object.getOwnPropertyDescriptor(this, "outerHTML"))
		return;
    Object.defineProperty(this, "outerHTML", {
       get: function() {
    	   var temp = document.createElement("div");
    	   temp.appendChild(this.cloneNode(true));
    	   var result = temp.innerHTML;
    	   if (temp.remove)
    		   temp.remove();
    	   return result;
       }
   });
}).call((function () {
	try {
		return Element.prototype;
	} catch (e) {
		return null;
	}
}).call(this));
(function() {
	if (!this)
		return;
	if (!this.forEach) {
		this.forEach = function (callback, thisArg) {
			thisArg = thisArg || window;
			for (var i = 0; i < this.length; i++) {
				callback.call(thisArg, this[i], i, this);
			}
		};
	}
}).call((function () {
	try {
		return NodeList.prototype;
	} catch (e) {
		return null;
	}
}).call(this));

(function() {
    if (!this)
        return;

    if (!this.trim) {
        this.trim = function () {
            return this.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, '');
        };
    }

}).call((function () {
    try {
        return String.prototype;
    } catch (e) {
        return null;
    }
}).call(this));

(function () {

var oldScoped = null;

try {
	if ("Scoped" in window)
		oldScoped = window.Scoped.detach(true);
} catch (e) {} 
/** @flow **//*!
betajs-scoped - v0.0.22 - 2019-10-23
Copyright (c) Oliver Friedmann
Apache-2.0 Software License.
*/
var Scoped = (function () {
var Globals = (function () {  
/** 
 * This helper module provides functions for reading and writing globally accessible namespaces, both in the browser and in NodeJS.
 * 
 * @module Globals
 * @access private
 */
return {
		
	/**
	 * Returns the value of a global variable.
	 * 
	 * @param {string} key identifier of a global variable
	 * @return value of global variable or undefined if not existing
	 */
	get : function(key/* : string */) {
		if (typeof window !== "undefined")
			return key ? window[key] : window;
		if (typeof global !== "undefined")
			return key ? global[key] : global;
		if (typeof self !== "undefined")
			return key ? self[key] : self;
		return undefined;
	},

	
	/**
	 * Sets a global variable.
	 * 
	 * @param {string} key identifier of a global variable
	 * @param value value to be set
	 * @return value that has been set
	 */
	set : function(key/* : string */, value) {
		if (typeof window !== "undefined")
			window[key] = value;
		if (typeof global !== "undefined")
			global[key] = value;
		if (typeof self !== "undefined")
			self[key] = value;
		return value;
	},
	
	
	/**
	 * Returns the value of a global variable under a namespaced path.
	 * 
	 * @param {string} path namespaced path identifier of variable
	 * @return value of global variable or undefined if not existing
	 * 
	 * @example
	 * // returns window.foo.bar / global.foo.bar 
	 * Globals.getPath("foo.bar")
	 */
	getPath: function (path/* : string */) {
		if (!path)
			return this.get();
		var args = path.split(".");
		if (args.length == 1)
			return this.get(path);		
		var current = this.get(args[0]);
		for (var i = 1; i < args.length; ++i) {
			if (!current)
				return current;
			current = current[args[i]];
		}
		return current;
	},


	/**
	 * Sets a global variable under a namespaced path.
	 * 
	 * @param {string} path namespaced path identifier of variable
	 * @param value value to be set
	 * @return value that has been set
	 * 
	 * @example
	 * // sets window.foo.bar / global.foo.bar 
	 * Globals.setPath("foo.bar", 42);
	 */
	setPath: function (path/* : string */, value) {
		var args = path.split(".");
		if (args.length == 1)
			return this.set(path, value);		
		var current = this.get(args[0]) || this.set(args[0], {});
		for (var i = 1; i < args.length - 1; ++i) {
			if (!(args[i] in current))
				current[args[i]] = {};
			current = current[args[i]];
		}
		current[args[args.length - 1]] = value;
		return value;
	}
	
};}).call(this);
/*::
declare module Helper {
	declare function extend<A, B>(a: A, b: B): A & B;
}
*/

var Helper = (function () {  
/** 
 * This helper module provides auxiliary functions for the Scoped system.
 * 
 * @module Helper
 * @access private
 */
return { 
		
	/**
	 * Attached a context to a function.
	 * 
	 * @param {object} obj context for the function
	 * @param {function} func function
	 * 
	 * @return function with attached context
	 */
	method: function (obj, func) {
		return function () {
			return func.apply(obj, arguments);
		};
	},

	
	/**
	 * Extend a base object with all attributes of a second object.
	 * 
	 * @param {object} base base object
	 * @param {object} overwrite second object
	 * 
	 * @return {object} extended base object
	 */
	extend: function (base, overwrite) {
		base = base || {};
		overwrite = overwrite || {};
		for (var key in overwrite)
			base[key] = overwrite[key];
		return base;
	},
	
	
	/**
	 * Returns the type of an object, particulary returning 'array' for arrays.
	 * 
	 * @param obj object in question
	 * 
	 * @return {string} type of object
	 */
	typeOf: function (obj) {
		return Object.prototype.toString.call(obj) === '[object Array]' ? "array" : typeof obj;
	},
	
	
	/**
	 * Returns whether an object is null, undefined, an empty array or an empty object.
	 * 
	 * @param obj object in question
	 * 
	 * @return true if object is empty
	 */
	isEmpty: function (obj) {
		if (obj === null || typeof obj === "undefined")
			return true;
		if (this.typeOf(obj) == "array")
			return obj.length === 0;
		if (typeof obj !== "object")
			return false;
		for (var key in obj)
			return false;
		return true;
	},
	
	
    /**
     * Matches function arguments against some pattern.
     * 
     * @param {array} args function arguments
     * @param {object} pattern typed pattern
     * 
     * @return {object} matched arguments as associative array 
     */	
	matchArgs: function (args, pattern) {
		var i = 0;
		var result = {};
		for (var key in pattern) {
			if (pattern[key] === true || this.typeOf(args[i]) == pattern[key]) {
				result[key] = args[i];
				i++;
			} else if (this.typeOf(args[i]) == "undefined")
				i++;
		}
		return result;
	},
	
	
	/**
	 * Stringifies a value as JSON and functions to string representations.
	 * 
	 * @param value value to be stringified
	 * 
	 * @return stringified value
	 */
	stringify: function (value) {
		if (this.typeOf(value) == "function")
			return "" + value;
		return JSON.stringify(value);
	}	

	
};}).call(this);
var Attach = (function () {  
/** 
 * This module provides functionality to attach the Scoped system to the environment.
 * 
 * @module Attach
 * @access private
 */
return { 
		
	__namespace: "Scoped",
	__revert: null,
	
	
	/**
	 * Upgrades a pre-existing Scoped system to the newest version present. 
	 * 
	 * @param {string} namespace Optional namespace (default is 'Scoped')
	 * @return {object} the attached Scoped system
	 */
	upgrade: function (namespace/* : ?string */) {
		var current = Globals.get(namespace || Attach.__namespace);
		if (current && Helper.typeOf(current) === "object" && current.guid === this.guid && Helper.typeOf(current.version) === "string") {
			if (this.upgradable === false || current.upgradable === false)
				return current;
			var my_version = this.version.split(".");
			var current_version = current.version.split(".");
			var newer = false;
			for (var i = 0; i < Math.min(my_version.length, current_version.length); ++i) {
				newer = parseInt(my_version[i], 10) > parseInt(current_version[i], 10);
				if (my_version[i] !== current_version[i])
					break;
			}
			return newer ? this.attach(namespace) : current;				
		} else
			return this.attach(namespace);		
	},


	/**
	 * Attaches the Scoped system to the environment. 
	 * 
	 * @param {string} namespace Optional namespace (default is 'Scoped')
	 * @return {object} the attached Scoped system
	 */
	attach : function(namespace/* : ?string */) {
		if (namespace)
			Attach.__namespace = namespace;
		var current = Globals.get(Attach.__namespace);
		if (current === this)
			return this;
		Attach.__revert = current;
		if (current) {
			try {
				var exported = current.__exportScoped();
				this.__exportBackup = this.__exportScoped();
				this.__importScoped(exported);
			} catch (e) {
				// We cannot upgrade the old version.
			}
		}
		Globals.set(Attach.__namespace, this);
		return this;
	},
	

	/**
	 * Detaches the Scoped system from the environment. 
	 * 
	 * @param {boolean} forceDetach Overwrite any attached scoped system by null.
	 * @return {object} the detached Scoped system
	 */
	detach: function (forceDetach/* : ?boolean */) {
		if (forceDetach)
			Globals.set(Attach.__namespace, null);
		if (typeof Attach.__revert != "undefined")
			Globals.set(Attach.__namespace, Attach.__revert);
		delete Attach.__revert;
		if (Attach.__exportBackup)
			this.__importScoped(Attach.__exportBackup);
		return this;
	},
	

	/**
	 * Exports an object as a module if possible. 
	 * 
	 * @param {object} mod a module object (optional, default is 'module')
	 * @param {object} object the object to be exported
	 * @param {boolean} forceExport overwrite potentially pre-existing exports
	 * @return {object} the Scoped system
	 */
	exports: function (mod, object, forceExport) {
		mod = mod || (typeof module != "undefined" ? module : null);
		if (typeof mod == "object" && mod && "exports" in mod && (forceExport || mod.exports === this || !mod.exports || Helper.isEmpty(mod.exports)))
			mod.exports = object || this;
		return this;
	}	

};}).call(this);

function newNamespace (opts/* : {tree ?: boolean, global ?: boolean, root ?: Object} */) {

	var options/* : {
		tree: boolean,
	    global: boolean,
	    root: Object
	} */ = {
		tree: typeof opts.tree === "boolean" ? opts.tree : false,
		global: typeof opts.global === "boolean" ? opts.global : false,
		root: typeof opts.root === "object" ? opts.root : {}
	};

	/*::
	type Node = {
		route: ?string,
		parent: ?Node,
		children: any,
		watchers: any,
		data: any,
		ready: boolean,
		lazy: any
	};
	*/

	function initNode(options)/* : Node */ {
		return {
			route: typeof options.route === "string" ? options.route : null,
			parent: typeof options.parent === "object" ? options.parent : null,
			ready: typeof options.ready === "boolean" ? options.ready : false,
			children: {},
			watchers: [],
			data: {},
			lazy: []
		};
	}
	
	var nsRoot = initNode({ready: true});
	
	if (options.tree) {
		if (options.global) {
			try {
				if (window)
					nsRoot.data = window;
			} catch (e) { }
			try {
				if (global)
					nsRoot.data = global;
			} catch (e) { }
			try {
				if (self)
					nsRoot.data = self;
			} catch (e) { }
		} else
			nsRoot.data = options.root;
	}
	
	function nodeDigest(node/* : Node */) {
		if (node.ready)
			return;
		if (node.parent && !node.parent.ready) {
			nodeDigest(node.parent);
			return;
		}
		if (node.route && node.parent && (node.route in node.parent.data)) {
			node.data = node.parent.data[node.route];
			node.ready = true;
			for (var i = 0; i < node.watchers.length; ++i)
				node.watchers[i].callback.call(node.watchers[i].context || this, node.data);
			node.watchers = [];
			for (var key in node.children)
				nodeDigest(node.children[key]);
		}
	}
	
	function nodeEnforce(node/* : Node */) {
		if (node.ready)
			return;
		if (node.parent && !node.parent.ready)
			nodeEnforce(node.parent);
		node.ready = true;
		if (node.parent) {
			if (options.tree && typeof node.parent.data == "object")
				node.parent.data[node.route] = node.data;
		}
		for (var i = 0; i < node.watchers.length; ++i)
			node.watchers[i].callback.call(node.watchers[i].context || this, node.data);
		node.watchers = [];
	}
	
	function nodeSetData(node/* : Node */, value) {
		if (typeof value == "object" && node.ready) {
			for (var key in value)
				node.data[key] = value[key];
		} else
			node.data = value;
		if (typeof value == "object") {
			for (var ckey in value) {
				if (node.children[ckey])
					node.children[ckey].data = value[ckey];
			}
		}
		nodeEnforce(node);
		for (var k in node.children)
			nodeDigest(node.children[k]);
	}
	
	function nodeClearData(node/* : Node */) {
		if (node.ready && node.data) {
			for (var key in node.data)
				delete node.data[key];
		}
	}
	
	function nodeNavigate(path/* : ?String */) {
		if (!path)
			return nsRoot;
		var routes = path.split(".");
		var current = nsRoot;
		for (var i = 0; i < routes.length; ++i) {
			if (routes[i] in current.children)
				current = current.children[routes[i]];
			else {
				current.children[routes[i]] = initNode({
					parent: current,
					route: routes[i]
				});
				current = current.children[routes[i]];
				nodeDigest(current);
			}
		}
		return current;
	}
	
	function nodeAddWatcher(node/* : Node */, callback, context) {
		if (node.ready)
			callback.call(context || this, node.data);
		else {
			node.watchers.push({
				callback: callback,
				context: context
			});
			if (node.lazy.length > 0) {
				var f = function (node) {
					if (node.lazy.length > 0) {
						var lazy = node.lazy.shift();
						lazy.callback.call(lazy.context || this, node.data);
						f(node);
					}
				};
				f(node);
			}
		}
	}
	
	function nodeUnresolvedWatchers(node/* : Node */, base, result) {
		node = node || nsRoot;
		result = result || [];
		if (!node.ready && node.lazy.length === 0 && node.watchers.length > 0)
			result.push(base);
		for (var k in node.children) {
			var c = node.children[k];
			var r = (base ? base + "." : "") + c.route;
			result = nodeUnresolvedWatchers(c, r, result);
		}
		return result;
	}

	/** 
	 * The namespace module manages a namespace in the Scoped system.
	 * 
	 * @module Namespace
	 * @access public
	 */
	return {
		
		/**
		 * Extend a node in the namespace by an object.
		 * 
		 * @param {string} path path to the node in the namespace
		 * @param {object} value object that should be used for extend the namespace node
		 */
		extend: function (path, value) {
			nodeSetData(nodeNavigate(path), value);
		},
		
		/**
		 * Set the object value of a node in the namespace.
		 * 
		 * @param {string} path path to the node in the namespace
		 * @param {object} value object that should be used as value for the namespace node
		 */
		set: function (path, value) {
			var node = nodeNavigate(path);
			if (node.data)
				nodeClearData(node);
			nodeSetData(node, value);
		},
		
		/**
		 * Read the object value of a node in the namespace.
		 * 
		 * @param {string} path path to the node in the namespace
		 * @return {object} object value of the node or null if undefined
		 */
		get: function (path) {
			var node = nodeNavigate(path);
			return node.ready ? node.data : null;
		},
		
		/**
		 * Lazily navigate to a node in the namespace.
		 * Will asynchronously call the callback as soon as the node is being touched.
		 *
		 * @param {string} path path to the node in the namespace
		 * @param {function} callback callback function accepting the node's object value
		 * @param {context} context optional callback context
		 */
		lazy: function (path, callback, context) {
			var node = nodeNavigate(path);
			if (node.ready)
				callback(context || this, node.data);
			else {
				node.lazy.push({
					callback: callback,
					context: context
				});
			}
		},
		
		/**
		 * Digest a node path, checking whether it has been defined by an external system.
		 * 
		 * @param {string} path path to the node in the namespace
		 */
		digest: function (path) {
			nodeDigest(nodeNavigate(path));
		},
		
		/**
		 * Asynchronously access a node in the namespace.
		 * Will asynchronously call the callback as soon as the node is being defined.
		 *
		 * @param {string} path path to the node in the namespace
		 * @param {function} callback callback function accepting the node's object value
		 * @param {context} context optional callback context
		 */
		obtain: function (path, callback, context) {
			nodeAddWatcher(nodeNavigate(path), callback, context);
		},
		
		/**
		 * Returns all unresolved watchers under a certain path.
		 * 
		 * @param {string} path path to the node in the namespace
		 * @return {array} list of all unresolved watchers 
		 */
		unresolvedWatchers: function (path) {
			return nodeUnresolvedWatchers(nodeNavigate(path), path);
		},
		
		__export: function () {
			return {
				options: options,
				nsRoot: nsRoot
			};
		},
		
		__import: function (data) {
			options = data.options;
			nsRoot = data.nsRoot;
		}
		
	};
	
}
function newScope (parent, parentNS, rootNS, globalNS) {
	
	var self = this;
	var nextScope = null;
	var childScopes = [];
	var parentNamespace = parentNS;
	var rootNamespace = rootNS;
	var globalNamespace = globalNS;
	var localNamespace = newNamespace({tree: true});
	var privateNamespace = newNamespace({tree: false});
	
	var bindings = {
		"global": {
			namespace: globalNamespace
		}, "root": {
			namespace: rootNamespace
		}, "local": {
			namespace: localNamespace
		}, "default": {
			namespace: privateNamespace
		}, "parent": {
			namespace: parentNamespace
		}, "scope": {
			namespace: localNamespace,
			readonly: false
		}
	};
	
	var custom = function (argmts, name, callback) {
		var args = Helper.matchArgs(argmts, {
			options: "object",
			namespaceLocator: true,
			dependencies: "array",
			hiddenDependencies: "array",
			callback: true,
			context: "object"
		});
		
		var options = Helper.extend({
			lazy: this.options.lazy
		}, args.options || {});
		
		var ns = this.resolve(args.namespaceLocator);
		
		var execute = function () {
			this.require(args.dependencies, args.hiddenDependencies, function () {
                var _arguments = [];
                for (var a = 0; a < arguments.length; ++a)
                    _arguments.push(arguments[a]);
                _arguments[_arguments.length - 1].ns = ns;
				if (this.options.compile) {
					var params = [];
					for (var i = 0; i < argmts.length; ++i)
						params.push(Helper.stringify(argmts[i]));
					this.compiled += this.options.ident + "." + name + "(" + params.join(", ") + ");\n\n";
				}
				if (this.options.dependencies) {
					this.dependencies[ns.path] = this.dependencies[ns.path] || {};
					if (args.dependencies) {
						args.dependencies.forEach(function (dep) {
							this.dependencies[ns.path][this.resolve(dep).path] = true;
						}, this);
					}
					if (args.hiddenDependencies) {
						args.hiddenDependencies.forEach(function (dep) {
							this.dependencies[ns.path][this.resolve(dep).path] = true;
						}, this);
					}
				}
				var result = this.options.compile ? {} : args.callback.apply(args.context || this, _arguments);
				callback.call(this, ns, result);
			}, this);
		};
		
		if (options.lazy)
			ns.namespace.lazy(ns.path, execute, this);
		else
			execute.apply(this);

		return this;
	};
	
	/** 
	 * This module provides all functionality in a scope.
	 * 
	 * @module Scoped
	 * @access public
	 */
	return {
		
		getGlobal: Helper.method(Globals, Globals.getPath),
		setGlobal: Helper.method(Globals, Globals.setPath),
		
		options: {
			lazy: false,
			ident: "Scoped",
			compile: false,
			dependencies: false
		},
		
		compiled: "",
		
		dependencies: {},
		
		
		/**
		 * Returns a reference to the next scope that will be obtained by a subScope call.
		 * 
		 * @return {object} next scope
		 */
		nextScope: function () {
			if (!nextScope)
				nextScope = newScope(this, localNamespace, rootNamespace, globalNamespace);
			return nextScope;
		},
		
		/**
		 * Creates a sub scope of the current scope and returns it.
		 * 
		 * @return {object} sub scope
		 */
		subScope: function () {
			var sub = this.nextScope();
			childScopes.push(sub);
			nextScope = null;
			return sub;
		},
		
		/**
		 * Creates a binding within in the scope. 
		 * 
		 * @param {string} alias identifier of the new binding
		 * @param {string} namespaceLocator identifier of an existing namespace path
		 * @param {object} options options for the binding
		 * 
		 */
		binding: function (alias, namespaceLocator, options) {
			if (!bindings[alias] || !bindings[alias].readonly) {
				var ns;
				if (Helper.typeOf(namespaceLocator) != "string") {
					ns = {
						namespace: newNamespace({
							tree: true,
							root: namespaceLocator
						}),
						path: null	
					};
				} else
					ns = this.resolve(namespaceLocator);
				bindings[alias] = Helper.extend(options, ns);
			}
			return this;
		},
		
		
		/**
		 * Resolves a name space locator to a name space.
		 * 
		 * @param {string} namespaceLocator name space locator
		 * @return {object} resolved name space
		 * 
		 */
		resolve: function (namespaceLocator) {
			var parts = namespaceLocator.split(":");
			if (parts.length == 1) {
                throw ("The locator '" + parts[0] + "' requires a namespace.");
			} else {
				var binding = bindings[parts[0]];
				if (!binding)
					throw ("The namespace '" + parts[0] + "' has not been defined (yet).");
				return {
					namespace: binding.namespace,
					path : binding.path && parts[1] ? binding.path + "." + parts[1] : (binding.path || parts[1])
				};
			}
		},

		
		/**
		 * Defines a new name space once a list of name space locators is available.
		 * 
		 * @param {string} namespaceLocator the name space that is to be defined
		 * @param {array} dependencies a list of name space locator dependencies (optional)
		 * @param {array} hiddenDependencies a list of hidden name space locators (optional)
		 * @param {function} callback a callback function accepting all dependencies as arguments and returning the new definition
		 * @param {object} context a callback context (optional)
		 * 
		 */
		define: function () {
			return custom.call(this, arguments, "define", function (ns, result) {
				if (ns.namespace.get(ns.path))
					throw ("Scoped namespace " + ns.path + " has already been defined. Use extend to extend an existing namespace instead");
				ns.namespace.set(ns.path, result);
			});
		},
		
		
		/**
		 * Assume a specific version of a module and fail if it is not met.
		 * 
		 * @param {string} assumption name space locator
		 * @param {string} version assumed version
		 * 
		 */
		assumeVersion: function () {
			var args = Helper.matchArgs(arguments, {
				assumption: true,
				dependencies: "array",
				callback: true,
				context: "object",
				error: "string"
			});
			var dependencies = args.dependencies || [];
			dependencies.unshift(args.assumption);
			this.require(dependencies, function () {
				var argv = arguments;
				var assumptionValue = argv[0].replace(/[^\d\.]/g, "");
				argv[0] = assumptionValue.split(".");
				for (var i = 0; i < argv[0].length; ++i)
					argv[0][i] = parseInt(argv[0][i], 10);
				if (Helper.typeOf(args.callback) === "function") {
					if (!args.callback.apply(args.context || this, args))
						throw ("Scoped Assumption '" + args.assumption + "' failed, value is " + assumptionValue + (args.error ? ", but assuming " + args.error : ""));
				} else {
					var version = (args.callback + "").replace(/[^\d\.]/g, "").split(".");
					for (var j = 0; j < Math.min(argv[0].length, version.length); ++j)
						if (parseInt(version[j], 10) > argv[0][j])
							throw ("Scoped Version Assumption '" + args.assumption + "' failed, value is " + assumptionValue + ", but assuming at least " + args.callback);
				}
			});
		},
		
		
		/**
		 * Extends a potentially existing name space once a list of name space locators is available.
		 * 
		 * @param {string} namespaceLocator the name space that is to be defined
		 * @param {array} dependencies a list of name space locator dependencies (optional)
		 * @param {array} hiddenDependencies a list of hidden name space locators (optional)
		 * @param {function} callback a callback function accepting all dependencies as arguments and returning the new additional definitions.
		 * @param {object} context a callback context (optional)
		 * 
		 */
		extend: function () {
			return custom.call(this, arguments, "extend", function (ns, result) {
				ns.namespace.extend(ns.path, result);
			});
		},
				
		
		/**
		 * Requires a list of name space locators and calls a function once they are present.
		 * 
		 * @param {array} dependencies a list of name space locator dependencies (optional)
		 * @param {array} hiddenDependencies a list of hidden name space locators (optional)
		 * @param {function} callback a callback function accepting all dependencies as arguments
		 * @param {object} context a callback context (optional)
		 * 
		 */
		require: function () {
			var args = Helper.matchArgs(arguments, {
				dependencies: "array",
				hiddenDependencies: "array",
				callback: "function",
				context: "object"
			});
			args.callback = args.callback || function () {};
			var dependencies = args.dependencies || [];
			var allDependencies = dependencies.concat(args.hiddenDependencies || []);
			var count = allDependencies.length;
			var deps = [];
			var environment = {};
			if (count) {
				var f = function (value) {
					if (this.i < deps.length)
						deps[this.i] = value;
					count--;
					if (count === 0) {
						deps.push(environment);
						args.callback.apply(args.context || this.ctx, deps);
					}
				};
				for (var i = 0; i < allDependencies.length; ++i) {
					var ns = this.resolve(allDependencies[i]);
					if (i < dependencies.length)
						deps.push(null);
					ns.namespace.obtain(ns.path, f, {
						ctx: this,
						i: i
					});
				}
			} else {
				deps.push(environment);
				args.callback.apply(args.context || this, deps);
			}
			return this;
		},

		
		/**
		 * Digest a name space locator, checking whether it has been defined by an external system.
		 * 
		 * @param {string} namespaceLocator name space locator
		 */
		digest: function (namespaceLocator) {
			var ns = this.resolve(namespaceLocator);
			ns.namespace.digest(ns.path);
			return this;
		},
		
		
		/**
		 * Returns all unresolved definitions under a namespace locator
		 * 
		 * @param {string} namespaceLocator name space locator, e.g. "global:"
		 * @return {array} list of all unresolved definitions 
		 */
		unresolved: function (namespaceLocator) {
			var ns = this.resolve(namespaceLocator);
			return ns.namespace.unresolvedWatchers(ns.path);
		},
		
		/**
		 * Exports the scope.
		 * 
		 * @return {object} exported scope
		 */
		__export: function () {
			return {
				parentNamespace: parentNamespace.__export(),
				rootNamespace: rootNamespace.__export(),
				globalNamespace: globalNamespace.__export(),
				localNamespace: localNamespace.__export(),
				privateNamespace: privateNamespace.__export()
			};
		},
		
		/**
		 * Imports a scope from an exported scope.
		 * 
		 * @param {object} data exported scope to be imported
		 * 
		 */
		__import: function (data) {
			parentNamespace.__import(data.parentNamespace);
			rootNamespace.__import(data.rootNamespace);
			globalNamespace.__import(data.globalNamespace);
			localNamespace.__import(data.localNamespace);
			privateNamespace.__import(data.privateNamespace);
		}
		
	};
	
}
var globalNamespace = newNamespace({tree: true, global: true});
var rootNamespace = newNamespace({tree: true});
var rootScope = newScope(null, rootNamespace, rootNamespace, globalNamespace);

var Public = Helper.extend(rootScope, (function () {  
/** 
 * This module includes all public functions of the Scoped system.
 * 
 * It includes all methods of the root scope and the Attach module.
 * 
 * @module Public
 * @access public
 */
return {
		
	guid: "4b6878ee-cb6a-46b3-94ac-27d91f58d666",
	version: '0.0.22',

	upgradable: true,
		
	upgrade: Attach.upgrade,
	attach: Attach.attach,
	detach: Attach.detach,
	exports: Attach.exports,
	
	/**
	 * Exports all data contained in the Scoped system.
	 * 
	 * @return data of the Scoped system.
	 * @access private
	 */
	__exportScoped: function () {
		return {
			globalNamespace: globalNamespace.__export(),
			rootNamespace: rootNamespace.__export(),
			rootScope: rootScope.__export()
		};
	},
	
	/**
	 * Import data into the Scoped system.
	 * 
	 * @param data of the Scoped system.
	 * @access private
	 */
	__importScoped: function (data) {
		globalNamespace.__import(data.globalNamespace);
		rootNamespace.__import(data.rootNamespace);
		rootScope.__import(data.rootScope);
	}
	
};

}).call(this));

Public = Public.upgrade();
Public.exports();
	return Public;
}).call(this);
(function () {
var Scoped = this.subScope();
Scoped.binding('module', 'root:BetaJS');
Scoped.define("module:", function () {
	return {
    "guid": "71366f7a-7da3-4e55-9a0b-ea0e4e2a9e79",
    "version": "1.0.235",
    "datetime": 1650092026877
};
});

Scoped.define("module:Types", function() {
    /**
     * Type-Testing and Type-Parsing
     * 
     * @module BetaJS.Types
     */
    return {
        /**
         * Returns whether argument is an object and is not null
         *
         * @param x argument
         * @return true if x is an object
         */
        is_object_instance: function(x) {
            return this.is_object(x) && !this.is_null(x);
        },

        /**
         * Returns whether argument is an object
         * 
         * @param x argument
         * @return true if x is an object
         */
        is_object: function(x) {
            return typeof x === "object";
        },

        /**
         * Returns whether argument is an array
         * 
         * @param x argument
         * @return true if x is an array
         */
        is_array: function(x) {
            return Array.isArray(x);
        },

        /**
         * Returns whether argument is undefined (which is different from being
         * null)
         * 
         * @param x argument
         * @return true if x is undefined
         */
        is_undefined: function(x) {
            return typeof x === "undefined";
        },

        /**
         * Returns whether argument is null (which is different from being
         * undefined)
         * 
         * @param x argument
         * @return true if x is null
         */
        is_null: function(x) {
            return x === null;
        },

        /**
         * Returns whether argument is undefined or null
         * 
         * @param x argument
         * @return true if x is undefined or null
         */
        is_none: function(x) {
            return this.is_undefined(x) || this.is_null(x);
        },

        /**
         * Returns whether argument is defined (could be null)
         * 
         * @param x argument
         * @return true if x is defined
         */
        is_defined: function(x) {
            return typeof x !== "undefined";
        },

        /**
         * Returns whether argument is empty (undefined, null, an empty array or
         * an empty object)
         * 
         * @param x argument
         * @return true if x is empty
         */
        is_empty: function(x) {
            return this.is_none(x) || (this.is_array(x) && x.length === 0) || (this.is_object(x) && this.is_empty_object(x));
        },

        /**
         * Returns whether object argument is empty
         * 
         * @param x object argument
         * @return true if x is empty
         */
        is_empty_object: function(x) {
            for (var key in x)
                return false;
            return true;
        },

        /**
         * Returns whether argument is a string
         * 
         * @param x argument
         * @return true if x is a a string
         */
        is_string: function(x) {
            return typeof x === "string";
        },

        /**
         * Returns whether argument is a function
         * 
         * @param x argument
         * @return true if x is a function
         */
        is_function: function(x) {
            return typeof x === "function";
        },

        /**
         * Returns whether argument is boolean
         * 
         * @param x argument
         * @return true if x is boolean
         */
        is_boolean: function(x) {
            return typeof x === "boolean";
        },

        /**
         * Compares two values
         * 
         * If values are booleans, we compare them directly. If values are
         * arrays, we compare them recursively by their components. Otherwise,
         * we use localeCompare which compares strings.
         * 
         * @param x left value
         * @param y right value
         * @return 1 if x > y, -1 if x < y and 0 if x == y
         */
        compare: function(x, y) {
            if (this.is_boolean(x) && this.is_boolean(y))
                return x === y ? 0 : (x ? 1 : -1);
            if (this.is_array(x) && this.is_array(y)) {
                var len_x = x.length;
                var len_y = y.length;
                var len = Math.min(len_x, len_y);
                for (var i = 0; i < len; ++i) {
                    var c = this.compare(x[i], y[i]);
                    if (c !== 0)
                        return c;
                }
                return len_x === len_y ? 0 : (len_x > len_y ? 1 : -1);
            }
            return x.localeCompare(y);
        },

        /**
         * Parses a boolean string
         * 
         * @param x boolean as a string
         * @return boolean value
         */
        parseBool: function(x) {
            if (this.is_boolean(x))
                return x;
            if (x === "true" || x === "")
                return true;
            if (x === "false")
                return false;
            return null;
        },

        /**
         * Parses an array of type "foo,bar"
         * 
         * @param x array as a string
         * @return array
         */
        parseArray: function(x) {
            return this.is_string(x) ? x.split(",") : x;
        },

        /**
         * Returns the type of a given expression
         * 
         * @param x expression
         * @return type string
         */
        type_of: function(x) {
            if (this.is_array(x))
                return "array";
            return typeof x;
        },

        /**
         * Returns whether argument is a number
         *
         * @param x argument
         * @return true if x is a number
         */
        isNumber: function(x) {
            return typeof x === "number";
        },

        /**
         * Parses an integer string
         *
         * @param x integer as a string
         * @return integer value
         */
        parseInt: function(x) {
            return this.isNumber(x) ? x : parseInt(x, 10);
        },

        /**
         * Parses a float string
         *
         * @param x float as a string
         * @return float value
         */
        parseFloat: function(x) {
            return this.isNumber(x) ? x : parseFloat(x);
        },

        /**
         * Parses a date time string
         *
         * @param x date time as a string
         * @return integer value
         */
        parseDateTime: function(x) {
            if (typeof x === "number" || this.is_none(x))
                return x;
            if (typeof x === "object")
                x = x.toString();
            var d = new Date(x);
            return isNaN(d.getTime()) ? parseInt(x, 10) : d.getTime();
        },

        /**
         * Parses a value given a specific type.
         * 
         * @param x value to be parsed
         * @param {string} type the specific type to be parsed (accepts: bool, boolean, int, integer, date, time, datetime, float, double)
         * @return parsed value
         */
        parseType: function(x, type) {
            switch (type.toLowerCase()) {
                case "bool":
                case "boolean":
                    return this.parseBool(x);
                case "int":
                case "integer":
                case "number":
                    return this.parseInt(x);
                case "date":
                case "time":
                case "datetime":
                    return this.parseDateTime(x);
                case "float":
                case "double":
                    return this.parseFloat(x);
                case "array":
                    return this.parseArray(x);
                case "jsonarray":
                    return typeof x === "string" ? JSON.parse(x) : x;
                case "object":
                case "json":
                    return typeof x === "string" ? JSON.parse(x) : x;
                case "id":
                    return typeof x === "object" && x ? x.toString() : x;
                default:
                    return x;
            }
        },

        /**
         * Parses an object with given types.
         * 
         * @param {object} data object with key value pairs
         * @param {object} types object mapping keys to types
         * 
         * @return {object} object with properly parsed types
         */
        parseTypes: function(data, types) {
            var result = {};
            for (var key in data)
                result[key] = key in types ? this.parseType(data[key], types[key]) : data[key];
            return result;
        },

        /**
         * Returns the specific type of a JavaScript object
         * 
         * @param {object} obj an object instance
         * @return {string} the object type
         */
        objectType: function(obj) {
            if (!this.is_object(obj))
                return null;
            var matcher = obj.toString().match(/\[object (.*)\]/);
            return matcher ? matcher[1] : null;
        },

        /**
         * Returns whether a given object is a pure object
         * 
         * @param {object} obj an object instance
         * @return {boolean} true if pure
         */
        is_pure_object: function(obj) {
            return this.is_object(obj) && (obj.toString().toLowerCase() === '[object]' || obj.toString().toLowerCase() === '[object object]');
        },

        /**
         * Takes a value of any type and recursively tries to aggressively replace strings by more specific types.
         *
         * @param data input data
         *
         * @returns typefied data
         */
        typefy: function(data) {
            var simplify = function(data) {
                var len = data.length;
                ["'", '"'].forEach(function(c) {
                    if (data.indexOf(c) === 0 && data.lastIndexOf(c) === data.length - c.length)
                        data = data.substring(c.length, data.length - 2 * c.length + 1);
                });
                data = data.trim();
                return data.length < len ? simplify(data) : data;
            };
            switch (typeof(data)) {
                case "object":
                    if (!Array.isArray(data)) {
                        for (var key in data)
                            data[key] = typefy(data[key]);
                        return data;
                    }
                    return data.map(typefy);
                case "string":
                    data = simplify(data);
                    if (data === "true")
                        return true;
                    if (data === "false")
                        return false;
                    if (parseInt(data, 10) + "" === data)
                        return parseInt(data, 10);
                    return data;
                default:
                    return data;
            }
        }

    };
});

Scoped.define("module:Time", [], function() {
    /**
     * Time Helper Functions
     * 
     * All time routines are based on UTC time.
     * The optional timezone parameter should be used as follows:
     *    - undefined or false: UTC
     *    - true: user's local time zone
     *    - int value: actual time zone bias in minutes
     *    
     * @module BetaJS.Time
     */
    return {

        __components: {
            "year": {
                "set": function(date, value) {
                    date.setUTCFullYear(value);
                },
                "get": function(date) {
                    return date.getUTCFullYear();
                }
            },
            "month": {
                "set": function(date, value) {
                    date.setUTCMonth(value);
                },
                "get": function(date) {
                    return date.getUTCMonth();
                }
            },
            "day": {
                "dependencies": {
                    "weekday": true
                },
                "set": function(date, value) {
                    date.setUTCDate(value + 1);
                },
                "get": function(date) {
                    return date.getUTCDate() - 1;
                },
                "milliseconds": 24 * 60 * 60 * 1000
            },
            "weekday": {
                "dependencies": {
                    "day": true,
                    "month": true,
                    "year": true
                },
                "set": function(date, value) {
                    date.setUTCDate(date.getUTCDate() + value - date.getUTCDay());
                },
                "get": function(date) {
                    return date.getUTCDay();
                }
            },
            "hour": {
                "set": function(date, value) {
                    date.setUTCHours(value);
                },
                "get": function(date) {
                    return date.getUTCHours();
                },
                "max": 23,
                "milliseconds": 60 * 60 * 1000
            },
            "minute": {
                "set": function(date, value) {
                    date.setUTCMinutes(value);
                },
                "get": function(date) {
                    return date.getUTCMinutes();
                },
                "max": 59,
                "milliseconds": 60 * 1000
            },
            "second": {
                "set": function(date, value) {
                    date.setUTCSeconds(value);
                },
                "get": function(date) {
                    return date.getUTCSeconds();
                },
                "max": 59,
                "milliseconds": 1000
            },
            "millisecond": {
                "set": function(date, value) {
                    date.setUTCMilliseconds(value);
                },
                "get": function(date) {
                    return date.getUTCMilliseconds();
                },
                "max": 999,
                "milliseconds": 1
            }
        },

        /**
         * Reads the current timezone offset.
         *
         * @param {int} time time in milliseconds
         *
         * @return {int} timezone offset in minutes
         */
        getTimezoneOffset: function(time) {
            if (this.__timezoneOffset !== undefined) {
                return this.__timezoneOffset;
            }
            return time ? (new Date(time).getTimezoneOffset()) : new Date().getTimezoneOffset();
        },

        /**
         * Overwrites the current timezone offset.
         *
         * @param {int} timezoneOffset timezone offset in minutes (undefined to disable overwrite)
         */
        setTimezoneOffset: function(timezoneOffset) {
            this.__timezoneOffset = timezoneOffset;
        },

        /**
         * Computes the timezone bias in milliseconds from UTC
         * 
         * @param {int} timezone bias in minutes; can be true to use current time zone; can be undefined to use UTC
         * @param {int} time time in milliseconds
         * 
         * @return {int} timezone bias in milliseconds
         */
        timezoneBias: function(timezone, time) {
            if (timezone === true)
                timezone = this.getTimezoneOffset(time);
            if (typeof timezone == "undefined" || timezone === null || timezone === false)
                timezone = 0;
            return timezone * 60 * 1000;
        },

        /**
         * Given a time in milliseconds, compute a Date object.
         * 
         * @param {int} t time in milliseconds
         * @param {int} timezone timezone (optional)
         * 
         * @return {object} Date object
         */
        timeToDate: function(t, timezone) {
            return new Date(t + this.timezoneBias(timezone, t));
        },

        /**
         * Given a time as a Date object, return UTC time in milliseconds.
         * 
         * @param {object} d time as Date object
         * @param {int} timezone timezone (optional)
         * 
         * @return {int} UTC time in milliseconds
         */
        dateToTime: function(d, timezone) {
            return d.getTime() - this.timezoneBias(timezone, d.getTime());
        },

        /**
         * Given a time in milliseconds, compute a timezone-based Date object.
         * 
         * @param {int} t time in milliseconds
         * @param {int} timezone timezone (optional)
         * 
         * @return {object} timezone-based Date object
         */
        timeToTimezoneBasedDate: function(t, timezone) {
            return new Date(t - this.timezoneBias(timezone, t));
        },

        /**
         * Given a time as a timezone-based Date object, return UTC time in milliseconds.
         * 
         * @param {object} d time as a timezone-based Date object
         * @param {int} timezone timezone (optional)
         * 
         * @return {int} UTC time in milliseconds
         */
        timezoneBasedDateToTime: function(d, timezone) {
            return d.getTime() + this.timezoneBias(timezone, d.getTime());
        },

        /**
         * Decode time into its time components
         *
         * @param {int} t time in milliseconds
         * @param {int} timezone timezone (optional)
         * 
         * @return {object} decoded time component
         */
        decodeTime: function(t, timezone) {
            var d = this.timeToTimezoneBasedDate(t || this.now(), timezone);
            var result = {};
            for (var key in this.__components)
                result[key] = this.__components[key].get(d);
            return result;
        },

        /**
         * Encode time from components to UTC time
         * 
         * @param {object} data component data
         * @param {int} timezone timezone (optional)
         * 
         * @return {int} encoded UTC time
         */
        encodeTime: function(data, timezone) {
            return this.updateTime(this.now(), data, timezone);
        },

        /**
         * Encode time period data from components to milliseconds
         * 
         * @param {object} data component data
         * 
         * @return {int} encoded milliseconds
         */
        encodePeriod: function(data) {
            return this.incrementTime(0, data);
        },

        /**
         * Updates a given time with respect to provided component data
         * 
         * @param {int} t UTC time
         * @param {object} data component data
         * @param {int} timezone timezone (optional)
         * 
         * @return {int} updated UTC time
         */
        updateTime: function(t, data, timezone) {
            var d = this.timeToTimezoneBasedDate(t, timezone);
            for (var key in data)
                this.__components[key].set(d, data[key]);
            return this.timezoneBasedDateToTime(d, timezone);
        },

        /**
         * Returns the current time in milliseconds
         * 
         * @param {int} timezone timezone (optional)
         * 
         * @return {int} current time
         */
        now: function(timezone) {
            return this.dateToTime(new Date(), timezone);
        },

        /**
         * Returns the earliest time in the future in milliseconds that has not been queried before.
         *
         * @param {int} delta delta (optional, default 1)
         * @param {int} timezone timezone (optional)
         *
         * @return {int} earliest time in the future
         */
        uniqueAtLeastNow: function(delta, timezone) {
            var candidate = this.now(timezone);
            if (this.__unique_at_least_now && this.__unique_at_least_now >= candidate)
                candidate = this.__unique_at_least_now + (delta || 1);
            this.__unique_at_least_now = candidate;
            return candidate;
        },

        /**
         * Returns the performance time in millseconds
         * 
         * @return {float} performance time
         */
        perfNow: function() {
            return typeof performance === "undefined" ? (new Date()).getTime() : performance.now();
        },

        /**
         * Increments a given time with respect to provided component data
         * 
         * @param {int} t UTC time
         * @param {object} data component data
         * 
         * @return {int} incremented UTC time
         */
        incrementTime: function(t, data) {
            var d = this.timeToDate(t);
            for (var key in data)
                this.__components[key].set(d, this.__components[key].get(d) + data[key]);
            return this.dateToTime(d);
        },

        /**
         * Floors a given time with respect to a component key and all smaller components.
         * 
         * @param {int} t time
         * @param {string} key component key
         * @param {int} timezone timezone (optional)
         * 
         * @return {int} floored time
         */
        floorTime: function(t, key, timezone) {
            var d = this.timeToTimezoneBasedDate(t, timezone);
            var found = false;
            for (var comp in this.__components) {
                var c = this.__components[comp];
                found = found || comp == key;
                if (found && (!c.dependencies || !c.dependencies[key]))
                    c.set(d, 0);
            }
            return this.timezoneBasedDateToTime(d, timezone);
        },

        /**
         * Computes how long a specific time is ago from now.
         * 
         * @param {int} t time
         * @param {int} timezone timezone (optional)
         * 
         * @return {int} milliseconds ago
         */
        ago: function(t, timezone) {
            return this.now(timezone) - t;
        },

        /**
         * Returns the multiplicity of a time component given a time.
         * 
         * @param {int} t time
         * @param {string} key component key
         * @param {function} rounding function (default is floor)
         * 
         * @return {int} multiplicity of time
         */
        timeComponent: function(t, key, round) {
            return Math[round || "floor"](t / this.__components[key].milliseconds);
        },

        /**
         * Returns the value of a time component given a time.
         * 
         * @param {int} t time
         * @param {string} key component key
         * @param {int} timezone timezone (optional)
         * 
         * @return {int} value of time
         */
        timeComponentGet: function(t, key, timezone) {
            return this.__components[key].get(this.timeToTimezoneBasedDate(t, timezone));
        },

        /**
         * Returns the remainder of a time component given a time.
         * 
         * @param {int} t time
         * @param {string} key component key
         * @param {function} rounding function (default is floor)
         * 
         * @return {int} remainder of time
         */
        timeModulo: function(t, key, round) {
            return this.timeComponent(t, key, round) % (this.__components[key].max + 1);
        }

    };

});

Scoped.define("module:Functions", ["module:Time","module:Types"], function(Time, Types) {

    /**
     * Function and Function Argument Support
     * 
     * @module BetaJS.Functions
     */
    return {

        /**
         * Returns the current stack trace.
         * 
         * @param {int} index optional stack trace start index
         * 
         * @return {array} stack trace array
         */
        getStackTrace: function(index) {
            var stack = (new Error()).stack.split("\n");
            while (stack.length > 0 && stack[0].trim().toLowerCase() === "error")
                stack.shift();
            return index ? stack.slice(index) : stack;
        },

        /**
         * Takes a function and an instance and returns the method call as a function
         * 
         * @param {function} func function
         * @param {object} instance instance
         * @return method call 
         */
        as_method: function(func, instance) {
            return function() {
                return func.apply(instance, arguments);
            };
        },

        /**
         * Takes a function name and returns the method call on the global object as a function
         *
         * @param {function} func function
         * @return method call
         */
        global_method: function(func) {
            var f = Scoped.getGlobal(func);
            return f ? this.as_method(f, Scoped.getGlobal()) : f;
        },


        /**
         * Takes a function and returns a function that calls the original function on the first call and returns the return value on all subsequent call. In other words a lazy function cache.
         * 
         * @param {function} func function
         * @return cached function 
         */
        once: function(func) {
            var result = false;
            var executed = false;
            return function() {
                if (executed)
                    return result;
                executed = true;
                result = func.apply(this, arguments);
                func = null;
                return result;
            };
        },


        /**
         * Converts some other function's arguments to an array
         * 
         * @param args function arguments
         * @param {integer} slice number of arguments to be omitted (default: 0)
         * @return {array} arguments as array 
         */
        getArguments: function(args, slice) {
            return Array.prototype.slice.call(args, slice || 0);
        },


        /**
         * Matches functions arguments against some pattern
         * 
         * @param args function arguments
         * @param {integer} skip number of arguments to be omitted (default: 0) 
         * @param {object} pattern typed pattern
         * @return {object} matched arguments as associative array 
         */
        matchArgs: function(args, skip, pattern) {
            if (arguments.length < 3) {
                pattern = skip;
                skip = 0;
            }
            var i = skip;
            var result = {};
            for (var key in pattern) {
                var config = pattern[key];
                if (config === true)
                    config = {
                        required: true
                    };
                else if (typeof config == "string")
                    config = {
                        type: config
                    };
                if (config.required || (config.type && Types.type_of(args[i]) == config.type)) {
                    result[key] = args[i];
                    i++;
                } else if (config.def) {
                    result[key] = Types.is_function(config.def) ? config.def(result) : config.def;
                }
            }
            return result;
        },


        /**
         * Creates a function for creating new instances of a class.
         *  
         * @param {object} cls Class
         * @return {function} class instantiation function 
         * @suppress {checkTypes}
         */
        newClassFunc: function(cls) {
            return function() {
                var args = arguments;

                function F() {
                    return cls.apply(this, args);
                }
                F.prototype = cls.prototype;
                return new F();
            };
        },


        /**
         * Creates a new class instance with arguments.
         *  
         * @param {object} cls Class
         * @return {function} class instance 
         */
        newClass: function(cls) {
            return this.newClassFunc(cls).apply(this, this.getArguments(arguments, 1));
        },


        /**
         * Call an object method.
         *  
         * @param {object} context object instance
         * @param method function or string of method
         * @return result of function call 
         */
        callWithin: function(context, method) {
            if (Types.is_string(method))
                method = context[method];
            return method.apply(context, this.getArguments(arguments, 2));
        },

        /**
         * Takes an argument function and returns a new function. The returned function will trigger the argument function at most once every 'wait' ms, no matter how many times it's called.
         *
         * @param {function} func - the argument function
         * @param {number} wait - delay (in ms) between each call to argument function
         * @return {function} the returned function
         */
        throttle: function(func, wait) {
            var args, context, previous = 0;

            var throttled = function() {
                var now = Time.now();
                var nextCall = previous + wait - now;
                context = this;
                args = arguments;
                if (nextCall <= 0) {
                    previous = now;
                    return func.apply(context, args);
                }
            };

            return throttled;
        },

        /**
         * Takes an argument function and returns a new function. If the returned function is called multiple times in sequence, the argument function will only be triggered once.
         *
         * @param {function} func - argument function
         * @param {number} wait - time delay (in ms) that defines the end of a sequence
         * @param {boolean} immediate - should trigger argument function immediately instead of waiting until the end of the sequence
         * @return {function} returned function
         */
        debounce: function(func, wait, immediate) {
            var args, context, timeout;

            var later = function() {
                var delay = Time.now() - lastCall;
                if (delay < wait) {
                    timeout = setTimeout(later, wait - delay);
                    return;
                }
                timeout = null;
                if (!immediate) func.apply(context, args);
            };

            var debounced = function() {
                context = this;
                args = arguments;
                lastCall = Time.now();
                if (!timeout) {
                    timeout = setTimeout(later, wait);
                    if (immediate) func.apply(this, arguments);
                }
            };

            return debounced;
        }

    };
});

Scoped.define("module:Objs", ["module:Types","module:Functions"], function(Types, Functions) {

    /**
     * Object and Array Manipulation Routines
     * 
     * @module BetaJS.Objs
     */
    return {

        /**
         * Return the i-th key of an object.
         * 
         * @param {object} obj the object
         * @param {int} i index of the i-th key (default: 0)
         * 
         * @return {string} i-th key
         */
        ithKey: function(obj, i) {
            i = i || 0;
            for (var key in obj) {
                if (i <= 0)
                    return key;
                else
                    --i;
            }
            return null;
        },

        /**
         * Return the i-th value of an object.
         * 
         * @param {object} obj the object
         * @param {int} i index of the i-th value (default: 0)
         * 
         * @return {string} i-th value
         */
        ithValue: function(obj, i) {
            i = i || 0;
            for (var key in obj) {
                if (i <= 0)
                    return obj[key];
                else
                    --i;
            }
            return null;
        },

        /**
         * Return the i-th value of an object or array.
         * 
         * @param obj the object or array
         * @param {int} idx index of the i-th value (default: 0)
         * 
         * @return {string} i-th value
         */
        valueByIndex: function(obj, idx) {
            return Types.is_array(obj) ? obj[idx || 0] : this.ithValue(obj, idx);
        },

        /**
         * Return the i-th key of an object or array.
         * 
         * @param obj the object or array
         * @param {int} idx index of the i-th key (default: 0)
         * 
         * @return i-th key
         */
        keyByIndex: function(obj, idx) {
            return Types.is_array(obj) ? idx || 0 : this.ithKey(obj, idx);
        },

        /**
         * Returns the number of elements of an object or array.
         * 
         * @param obj object or array
         * 
         * @return {int} number of elements
         */
        count: function(obj) {
            if (Types.is_array(obj))
                return obj.length;
            else {
                var c = 0;
                for (var key in obj)
                    c++;
                return c;
            }
        },

        /**
         * Clone an object or array up to a certain depth.
         * 
         * @param item object or array
         * @param {int} depth depth until to clone it (default 0)
         * 
         * @return cloned object or array
         */
        clone: function(item, depth) {
            if (!item || !depth || depth === 0)
                return item;
            if (Types.is_array(item))
                return item.slice(0);
            else if (Types.is_object(item))
                return this.extend({}, item, depth - 1);
            else
                return item;
        },

        /**
         * Acyclicly clone an object.
         * 
         * @param {object} object source object
         * 
         * @return acyclic cloned object
         */
        acyclic_clone: function(object) {
            if (object === null || !Types.is_object(object))
                return object;
            var s = "__acyclic_cloned";
            if (object[s])
                return object[s];
            var result = {};
            object[s] = result;
            for (var key in object)
                if (key !== s)
                    result[key] = this.acyclic_clone(object[key]);
            delete object[s];
            return result;
        },

        /**
         * Extend target object by source object, modifying target object in-place.
         * 
         * @param {object} target target object
         * @param {object} source source object
         * @param {int} depth optional depth for cloning source values
         * 
         * @return {object} target object
         */
        extend: function(target, source, depth) {
            target = target || {};
            if (source) {
                for (var key in source)
                    target[key] = this.clone(source[key], depth);
            }
            return target;
        },

        /**
         * Extend target object by source objects, modifying target object in-place.
         *
         */
        multi_extend: function() {
            var args = Functions.getArguments(arguments);
            var depth;
            if (!Types.is_object(args[args.length - 1])) {
                depth = args[args.length - 1];
                args.pop();
            }
            while (args.length > 1) {
                args[1] = this.extend(args[0], args[1], depth);
                args.shift();
            }
            return args[0];
        },

        /**
         * Weakly extend target object by source object, modifying target object in-place.
         * If a key already exists within the target object, it is not overwritten by source.
         * 
         * @param {object} target target object
         * @param {object} source source object
         * @param {int} depth optional depth for cloning source values
         * 
         * @return {object} target object
         */
        weak_extend: function(target, source, depth) {
            target = target || {};
            if (source) {
                for (var key in source) {
                    if (!(key in target))
                        target[key] = this.clone(source[key], depth);
                }
            }
            return target;
        },

        /**
         * Extend target object by source object recursively, modifying target object in-place.
         * 
         * @param {object} target target object
         * @param {object} source source object
         * @param {int} depth optional depth for cloning source values
         * 
         * @return {object} target object
         */
        tree_extend: function(target, source, depth) {
            target = target || {};
            if (source) {
                for (var key in source) {
                    if (key in target && Types.is_object(target[key]) && Types.is_object(source[key]) && !Types.is_array(target[key]) && !Types.is_array(source[key]))
                        target[key] = this.tree_extend(target[key], source[key], depth);
                    else
                        target[key] = this.clone(source[key], depth);
                }
            }
            return target;
        },

        /**
         * Returns the keys of an object.
         * If mapped is given, an object is returned with all keys mapped to mapped. Otherwise, an array is returned.
         * 
         * @param {object} object source object
         * @param mapped optional value
         * 
         * @return keys as array or as an object
         */
        keys: function(obj, mapped) {
            var result = null;
            var key = null;
            if (Types.is_undefined(mapped)) {
                result = [];
                for (key in obj)
                    result.push(key);
                return result;
            } else {
                result = {};
                for (key in obj)
                    result[key] = mapped;
                return result;
            }
        },

        /**
         * Returns true if all key-value-pairs of the first object are contained in the second object.
         * 
         * @param a first object or array
         * @param b second object or array
         * 
         * @return {boolean} true if first contained in second
         */
        subset_of: function(a, b) {
            a = Types.is_array(a) ? this.objectify(a) : a;
            b = Types.is_array(b) ? this.objectify(b) : b;
            for (var key in a)
                if (a[key] != b[key])
                    return false;
            return true;
        },

        /**
         * Returns true if all key-value-pairs of the second object are contained in the first object.
         * 
         * @param a first object or array
         * @param b second object or array
         * 
         * @return {boolean} true if second contained in first
         */
        superset_of: function(a, b) {
            return this.subset_of(b, a);
        },

        /**
         * Converts an array into an object by pairing together odd and even items.
         * 
         * @param {array} arr array with pairs
         * 
         * @return {object} created object
         */
        pairArrayToObject: function(arr) {
            var result = {};
            for (var i = 0; i < arr.length / 2; i += 2)
                result[arr[i]] = arr[i + 1];
            return result;
        },

        /**
         * Converts a list of arguments into an object by pairing together odd and even arguments.
         * 
         * @return {object} created object
         */
        pairsToObject: function() {
            var result = {};
            for (var i = 0; i < arguments.length; ++i)
                result[arguments[i][0]] = arguments[i][1];
            return result;
        },

        /**
         * Inverses the key-value pairs in an object.
         * 
         * @param {object} obj object to be reversed
         * @return {object} object with reversed key-value-pairs
         */
        inverseKeyValue: function(obj) {
            var result = {};
            this.iter(obj, function(value, key) {
                result[value] = key;
            });
            return result;
        },

        /**
         * Returns true if an entry in an object or array exists.
         * 
         * @param obj object or array
         * @param {function} f function to check for an entry to exist
         * @param {object} context optional context for the function
         * 
         * @return {boolean} returns true if an entry exists
         * 
         */
        exists: function(obj, f, context) {
            var success = false;
            this.iter(obj, function() {
                success = success || f.apply(this, arguments);
                return !success;
            }, context);
            return success;
        },

        /**
         * Returns true if all entries in an object or array satisfy a condition
         * 
         * @param obj object or array
         * @param {function} f function to check for the condition
         * @param {object} context optional context for the function
         * 
         * @return {boolean} returns true if all entries satisfy the condition
         * 
         */
        all: function(obj, f, context) {
            var success = true;
            this.iter(obj, function() {
                success = success && f.apply(this, arguments);
                return success;
            }, context);
            return success;
        },

        /**
         * Returns the first entry of an object or array.
         * 
         * @param obj object or array
         * 
         * @return first entry
         */
        peek: function(obj) {
            if (Types.is_array(obj))
                return obj.length > 0 ? obj[0] : null;
            for (var key in obj)
                return obj[key];
            return null;
        },

        /**
         * Returns and removes the first entry of an object or array.
         * 
         * @param obj object or array
         * 
         * @return first entry
         */
        poll: function(obj) {
            if (Types.is_array(obj))
                return obj.shift();
            for (var key in obj) {
                var item = obj[key];
                delete obj[key];
                return item;
            }
            return null;
        },

        /**
         * Iterates over an object or array, calling a callback function for each item.
         * 
         * @param obj object or array
         * @param {function} f callback function
         * @param {object} context optional callback context
         * 
         */
        iter: function(obj, f, context) {
            var result = null;
            if (Types.is_array(obj)) {
                for (var i = 0; i < obj.length; ++i) {
                    result = context ? f.apply(context, [obj[i], i]) : f(obj[i], i);
                    if (Types.is_defined(result) && !result)
                        return false;
                }
            } else {
                for (var key in obj) {
                    result = context ? f.apply(context, [obj[key], key]) : f(obj[key], key);
                    if (Types.is_defined(result) && !result)
                        return false;
                }
            }
            return true;
        },

        /**
         * Creates the intersection object of two objects.
         * 
         * @param {object} a object one
         * @param {object} b object two
         * 
         * @return {object} intersection object
         */
        intersect: function(a, b) {
            var c = {};
            for (var key in a) {
                if (key in b)
                    c[key] = a[key];
            }
            return c;
        },

        /**
         * Determines whether two objects have the same set of keys.
         *
         * @param {object} a object one
         * @param {object} b object two
         *
         * @return {boolean} true if same keys
         */
        keyEquals: function(a, b) {
            for (var key in a)
                if (!(key in b))
                    return false;
            for (key in b)
                if (!(key in a))
                    return false;
            return true;
        },

        /**
         * Splits an object into two according to a callback function
         *
         * @param {object} obj object to split
         * @param {function} f function to determine how to split
         * @param {object} ctx optional context
         *
         * @return {array} two element array of two split objects
         */
        splitObject: function(obj, f, ctx) {
            var x = {};
            var y = {};
            this.iter(obj, function(value, key) {
                if (f.apply(this, arguments))
                    x[key] = value;
                else
                    y[key] = value;
            }, ctx);
            return [x, y];
        },

        /**
         * Creates the difference object of two objects.
         * 
         * @param {object} a object one
         * @param {object} b object two
         * 
         * @return {object} difference object
         */
        diff: function(a, b) {
            var c = {};
            for (var key in a)
                if (!(key in b) || a[key] !== b[key])
                    c[key] = a[key];
            return c;
        },

        /**
         * Determines whether a key exists in an array or object.
         * 
         * @param obj object or array
         * @param key search key
         * 
         * @return {boolean} true if key is contained in obj
         */
        contains_key: function(obj, key) {
            if (Types.is_array(obj))
                return Types.is_defined(obj[key]);
            else
                return key in obj;
        },

        /**
         * Determines whether a value exists in an array or object.
         * 
         * @param obj object or array
         * @param value search value
         * 
         * @return {boolean} true if value is contained in obj
         */
        contains_value: function(obj, value) {
            if (Types.is_array(obj)) {
                for (var i = 0; i < obj.length; ++i) {
                    if (obj[i] === value)
                        return true;
                }
            } else {
                for (var key in obj) {
                    if (obj[key] === value)
                        return true;
                }
            }
            return false;
        },

        /**
         * Maps an array of object, mapping values using a function.
         * 
         * @param obj object or array
         * @param {function} f function for mapping values
         * @param {object} context function context
         * 
         * @return object or array with mapped values
         * 
         */
        map: function(obj, f, context) {
            var result = null;
            context = context || this;
            if (Types.is_array(obj)) {
                result = [];
                for (var i = 0; i < obj.length; ++i)
                    result.push(f.call(context, obj[i], i));
                return result;
            } else {
                result = {};
                for (var key in obj)
                    result[key] = f.call(context, obj[key], key);
                return result;
            }
        },

        /**
         * Maps the keys of an object using a function.
         * 
         * @param {object} obj object
         * @param {function} f function for mapping keys
         * @param {object} context function context
         * 
         * @return {object} object with mapped keys
         */
        keyMap: function(obj, f, context) {
            result = {};
            context = context || this;
            for (var key in obj)
                result[f.call(context, obj[key], key)] = obj[key];
            return result;
        },

        /**
         * Creates a bidirectional mapping of an object.
         *
         * @param {object} obj object
         *
         * @return {object} bidirectional map
         */
        bidirectionalMap: function(obj) {
            var result = {};
            this.iter(obj, function(value, key) {
                if (Types.is_array(value)) {
                    for (var i = 0; i < value.length; ++i) {
                        result[value[i]] = key;
                    }
                } else {
                    result[value] = key;
                }
                result[key] = value;
            });
            return result;
        },

        /**
         * Returns all values of an object as an array.
         * 
         * @param {object} obj object
         * 
         * @return {array} values of object as array
         */
        values: function(obj) {
            var result = [];
            for (var key in obj)
                result.push(obj[key]);
            return result;
        },

        flatten: function(arr) {
            var result = [];
            arr.forEach(function(inner) {
                result = result.concat(Types.is_array(inner) ? inner : [inner]);
            });
            return result;
        },

        treeValues: function(obj) {
            if (obj && Types.is_array(obj))
                return this.flatten(obj.map(this.treeValues, this));
            if (obj && Types.is_object(obj))
                return this.treeValues(this.values(obj));
            return [obj];
        },

        uniqueValues: function(obj) {
            var occ = {};
            return this.filter(obj, function(v) {
                if (v in occ)
                    return false;
                occ[v] = true;
                return true;
            });
        },

        /**
         * Filters all values of an object or array.
         * 
         * @param obj object or array
         * @param {function} f filter function
         * @param {object} context filter function context
         * 
         * @return object or array with filtered items
         */
        filter: function(obj, f, context) {
            f = f || function(x) {
                return !!x;
            };
            if (Types.is_array(obj))
                return obj.filter(f, context);
            var ret = {};
            for (var key in obj) {
                if (context ? f.apply(context, [obj[key], key]) : f(obj[key], key))
                    ret[key] = obj[key];
            }
            return ret;
        },

        /**
         * Tests two objects for deep equality up to a certain depth.
         * 
         * @param {object} obj1 first object
         * @param {object} obj2 second object
         * @param {int} depth depth until deep comparison should be done
         * 
         * @return {boolean} true if both objects are equal 
         */
        equals: function(obj1, obj2, depth) {
            var key = null;
            if (depth && depth > 0) {
                for (key in obj1) {
                    if (!(key in obj2) || !this.equals(obj1[key], obj2[key], depth - 1))
                        return false;
                }
                for (key in obj2) {
                    if (!(key in obj1))
                        return false;
                }
                return true;
            } else
                return obj1 == obj2;
        },

        /**
         * Converts an array into object using the array values as keys.
         * 
         * @param {array} arr array to be converted
         * @param f a function mapping the value of an array to a value of the object, or a constant value, or undefined (then true is used)
         * @param {object} context optional function context
         * 
         * @return {object} converted object
         */
        objectify: function(arr, f, context) {
            var result = {};
            var is_function = Types.is_function(f);
            if (Types.is_undefined(f))
                f = true;
            for (var i = 0; i < arr.length; ++i)
                result[arr[i]] = is_function ? f.apply(context || this, [arr[i], i]) : f;
            return result;
        },

        /**
         * Converts an object into an array using a function to merge value and key.
         *
         * @param {object} obj obj to be converted
         * @param f a function mapping the value and key to an item instance of the array
         * @param {object} context optional function context
         *
         * @return {array} converted array
         */
        arrayify: function(obj, f, context) {
            var result = [];
            this.iter(obj, function(value, key) {
                result.push(f.call(this, value, key));
            }, context);
            return result;
        },

        /**
         * Creates an object by pairing up the arguments to key value pairs.
         * 
         * @return {object} created object
         */
        objectBy: function() {
            var obj = {};
            var count = arguments.length / 2;
            for (var i = 0; i < count; ++i)
                obj[arguments[2 * i]] = arguments[2 * i + 1];
            return obj;
        },

        /**
         * Extracts all key-value pairs from an object instance not matching default key-value pairs in another instance.
         * 
         * @param {object} ordinary object with default key-value pairs
         * @param {object} concrete object with a concrete list of key-value pairs
         * @param {boolean} keys if true, iterating over the ordinary keys, otherwise iterating over the conrete keys (default)
         * 
         * @return {object} specialized key-value pairs
         */
        specialize: function(ordinary, concrete, keys) {
            var result = {};
            var iterateOver = keys ? ordinary : concrete;
            for (var key in iterateOver)
                if (!(key in ordinary) || ordinary[key] != concrete[key])
                    result[key] = concrete[key];
            return result;
        },

        /**
         * Merges two objects.
         * 
         * @param {object} secondary Secondary object
         * @param {object} primary Primary object
         * @param {object} options Key-based options for merging
         * 
         * @return {object} Merged object
         */
        merge: function(secondary, primary, options) {
            secondary = secondary || {};
            primary = primary || {};
            var result = {};
            var keys = this.extend(this.keys(secondary, true), this.keys(primary, true));
            for (var key in keys) {
                var opt = key in options ? options[key] : "primary";
                if (opt == "primary" || opt == "secondary") {
                    if (key in primary || key in secondary) {
                        if (opt == "primary")
                            result[key] = key in primary ? primary[key] : secondary[key];
                        else
                            result[key] = key in secondary ? secondary[key] : primary[key];
                    }
                } else if (Types.is_function(opt))
                    result[key] = opt(secondary[key], primary[key]);
                else if (Types.is_object(opt))
                    result[key] = this.merge(secondary[key], primary[key], opt);
            }
            return result;
        },

        /**
         * Recursively merges one object into another without modifying the source objects.
         * 
         * @param {object} secondary Object to be merged into.
         * @param {object} primary Object to be merged in
         * 
         * @return {object} Recursively merged object
         */
        tree_merge: function(secondary, primary) {
            secondary = secondary || {};
            primary = primary || {};
            var result = {};
            var keys = this.extend(this.keys(secondary, true), this.keys(primary, true));
            for (var key in keys) {
                if (Types.is_object(primary[key]) && secondary[key])
                    result[key] = this.tree_merge(secondary[key], primary[key]);
                else
                    result[key] = key in primary ? primary[key] : secondary[key];
            }
            return result;
        },

        /**
         * Serializes an object in such a way that all subscopes appear in a flat notation.
         * 
         * @param {object} obj source object
         * @param {string} head prefix header, usually empty
         * 
         * @return {array} serialized object
         */
        serializeFlatJSON: function(obj, head) {
            var result = [];
            if (Types.is_array(obj) && obj) {
                obj.forEach(function(value) {
                    result = result.concat(this.serializeFlatJSON(value, head + "[]"));
                }, this);
            } else if (Types.is_object(obj) && obj) {
                this.iter(obj, function(value, key) {
                    result = result.concat(this.serializeFlatJSON(value, head ? head + "[" + key + "]" : key));
                }, this);
            } else {
                result = [{
                    key: head,
                    value: obj
                }];
            }
            return result;
        },

        /**
         * Converts an object into an array by calling a custom function for combining key and value.
         *
         * @param {object} obj source object
         * @param f a function for combining key and value
         * @param {object} context optional function context
         *
         * @return {array} resulint arrayarray
         */
        objectToArray: function(obj, f, ctx) {
            var a = [];
            this.iter(obj, function(value, key) {
                a.push(f.call(this, key, value));
            }, ctx);
            return a;
        },

        /**
         * Initializes an array with pre-computed values using a callback function.
         *
         * @param {int} count number of elements to be generated
         * @param {function} callback function for computing the elements
         * @param {object} context optional context
         * @returns {array} generated array
         */
        initArray: function(count, callback, context) {
            var result = [];
            for (var i = 0; i < count; ++i)
                result.push(callback.call(context || this, i));
            return result;
        },

        /**
         * Merge key / values from two objects; merge value with callback function on intersection of both objects
         *
         * @param {object} obj1 first object
         * @param {object} obj2 second object
         * @param {function} merger merging function
         * @param {object} mergerCtx optional context
         */
        customMerge: function(obj1, obj2, merger, mergerCtx) {
            var result = {};
            for (var key1 in obj1)
                result[key1] = key1 in obj2 ? merger.call(mergerCtx, key1, obj1[key1], obj2[key1]) : obj1[key1];
            for (var key2 in obj2)
                if (!(key2 in obj1))
                    result[key2] = obj2[key2];
            return result;
        },

        indexizeArray: function(arr, keyName) {
            var result = {};
            arr.forEach(function(value) {
                result[value[keyName]] = value;
            });
            return result;
        },

        filterOutValues: function(obj, values) {
            return this.filter(obj, function(value) {
                return !values.includes(value);
            });
        },

        mergeSortedArrays: function(arr1, arr2, compare) {
            compare = compare || function(a, b) {
                return a > b ? 1 : (a < b ? -1 : 0);
            };
            var result = [];
            var i = 0;
            arr1.forEach(function(el1) {
                while (i < arr2.length && compare(el1, arr2[i]) > 0) {
                    result.push(arr2[i]);
                    i++;
                }
                result.push(el1);
                while (i < arr2.length && compare(el1, arr2[i]) === 0)
                    i++;
            });
            while (i < arr2.length) {
                result.push(arr2[i]);
                i++;
            }
            return result;
        },

        getObjKeyByValue: function(obj, value) {
            for (var prop in obj) {
                if (obj.hasOwnProperty(prop)) {
                    if (obj[prop] === value)
                        return prop;
                }
            }
        }

    };
});

Scoped.define("module:Ids", ["module:Types","module:Objs"], function(Types, Objs) {

    /**
     * Id Generation
     * 
     * @module BetaJS.Ids
     */
    return {

        __uniqueId: 0,


        /**
         * Returns a unique identifier
         * 
         * @param {string} prefix a prefix string for the identifier (optional)
         * @return {string} unique identifier
         */
        uniqueId: function(prefix) {
            return (prefix || "") + (this.__uniqueId++);
        },


        /**
         * Returns the object's unique identifier or sets it
         * 
         * @param {object} object the object
         * @param {string} id (optional)
         * @return {string} object's unique identifier
         */
        objectId: function(object, id) {
            if (!object)
                return undefined;
            if (id !== undefined)
                object.__cid = id;
            else if (!object.__cid)
                object.__cid = this.uniqueId("cid_");
            return object.__cid;
        },

        /**
         * Returns a unique key for any given value of any type.
         * This is not a hash value.
         * 
         * @param value a value to generate a unique key
         * @param {int} depth optional depth for exploring by value instead of by reference
         * @return unique key
         */
        uniqueKey: function(value, depth) {
            if (depth && depth > 0 && (Types.is_object(value) || Types.is_array(value))) {
                return JSON.stringify(Objs.map(value, function(x) {
                    return this.uniqueKey(x, depth - 1);
                }, this));
            }
            if ((value !== null && Types.is_object(value)) || Types.is_array(value) || Types.is_function(value))
                return this.objectId(value);
            return value;
        }

    };
});

Scoped.define("module:Class", ["module:Types","module:Objs","module:Functions","module:Ids"], function(Types, Objs, Functions, Ids) {
    var Class = function() {};

    /** @suppress {checkTypes} */
    Class.extend = function(options, objects, statics, class_statics) {
        objects = objects || [];
        if (!Types.is_array(objects))
            objects = [objects];
        statics = statics || [];
        if (!Types.is_array(statics))
            statics = [statics];
        class_statics = class_statics || [];
        if (!Types.is_array(class_statics))
            class_statics = [class_statics];

        var parent = this;

        objects = Objs.map(objects, function(obj) {
            if (Types.is_function(obj))
                obj = obj(parent.prototype);
            return obj;
        });

        var result;

        // Setup JavaScript Constructor
        Objs.iter(objects, function(obj) {
            if (obj.hasOwnProperty("constructor"))
                result = obj.constructor;
        });
        var has_constructor = Types.is_defined(result);
        if (!has_constructor) {
            result = function() {
                parent.prototype.constructor.apply(this, arguments);
            };
        }

        // Add Parent Statics
        Objs.extend(result, parent);

        // Add External Statics
        Objs.iter(statics, function(stat) {
            stat = Types.is_function(stat) ? stat(parent) : stat;
            var extender = result._extender;
            Objs.extend(result, stat);
            if (stat._extender)
                result._extender = Objs.extend(Objs.clone(extender, 1), stat._extender);
        });


        // Add Class Statics
        var class_statics_keys = {};
        if (parent.__class_statics_keys) {
            for (var key in parent.__class_statics_keys)
                result[key] = Objs.clone(parent[key], 1);
        }
        Objs.iter(class_statics, function(stat) {
            Objs.extend(result, stat);
            Objs.extend(class_statics_keys, Objs.keys(stat, true));
        });
        if (parent.__class_statics_keys)
            Objs.extend(class_statics_keys, parent.__class_statics_keys);
        result.__class_statics_keys = class_statics_keys;

        // Parent & Children Hierarchy
        result.parent = parent;
        result.children = [];
        result.extend = this.extend;
        if (!parent.children)
            parent.children = [];
        parent.children.push(result);

        // Setup Prototype
        var ctor = function() {};
        ctor.prototype = parent.prototype;
        result.prototype = new ctor();

        result.prototype.cls = result;


        options = Objs.extend({}, Types.is_string(options) ? {
            classname: options,
            register: true
        } : options);

        var classname = options.classname;
        if (options.scoped)
            classname = options.scoped.ns.path;

        result.classname = classname;
        if (classname && options.register)
            Scoped.setGlobal(classname, result);

        // Setup Prototype
        result.__notifications = {};
        result.__implements = {};

        if (parent.__notifications)
            Objs.extend(result.__notifications, parent.__notifications, 1);
        if (parent.__implements)
            Objs.extend(result.__implements, parent.__implements, 1);

        Objs.iter(objects, function(object) {
            for (var objkey in object)
                result.prototype[objkey] = result._extender && objkey in result._extender ? result._extender[objkey](result.prototype[objkey], object[objkey]) : object[objkey];
            //Objs.extend(result.prototype, object);

            // Note: Required for Internet Explorer
            if ("constructor" in object)
                result.prototype.constructor = object.constructor;

            if (object._notifications) {
                for (var key in object._notifications) {
                    if (!result.__notifications[key])
                        result.__notifications[key] = [];
                    result.__notifications[key].push(object._notifications[key]);
                }
            }
            if (object._implements) {
                Objs.iter(Types.is_string(object._implements) ? [object._implements] : object._implements, function(impl) {
                    result.__implements[impl] = true;
                });
            }
        });
        delete result.prototype._notifications;
        delete result.prototype._implements;

        if (!has_constructor) {
            result.prototype.constructor = function() {
                parent.prototype.constructor.apply(this, arguments);
            };
        }

        return result;
    };


    /*
     * 
     * Extending the Class
     * 
     */

    Objs.extend(Class, {

        classname: "Class",

        __class_guid: "0f5499f9-f0d1-4c6c-a561-ef026a1eee05",

        __notifications: {},

        /**
         * Determines whether this cls is an ancestor of another class.
         * 
         * @param {object} cls in question
         * 
         * @return {boolean} true if ancestor
         */
        ancestor_of: function(cls) {
            return (this == cls) || (this != Class && this.parent.ancestor_of(cls));
        },

        /**
         * Determines whether something is of type class.
         * 
         * @param cls class in question
         * 
         * @return {boolean} true if class
         */
        is_class: function(cls) {
            return cls && Types.is_object(cls) && ("__class_guid" in cls) && cls.__class_guid == this.__class_guid;
        },

        /**
         * Determines whether something is of type class instance.
         * 
         * @param obj instance in question
         * 
         * @return {boolean} true if class instance
         */
        is_class_instance: function(obj) {
            return obj && Types.is_object(obj) && ("__class_instance_guid" in obj) && obj.__class_instance_guid == this.prototype.__class_instance_guid;
        },

        /**
         * Determines whether something is pure json and not a class instance.
         * 
         * @param obj json in question
         * 
         * @return {boolean} true if pure json
         */
        is_pure_json: function(obj) {
            return obj && Types.is_object(obj) && !this.is_class_instance(obj) && Types.is_pure_object(obj);
        },

        /**
         * Determines whether an object is an instance of this class.
         * 
         * @param {object} obj object in question
         * 
         * @return {boolean} true if instance of class
         */
        is_instance_of: function(obj) {
            return obj && this.is_class_instance(obj) && obj.instance_of(this);
        },

        /**
         * Adhoc defines a new class.
         * 
         * @param parent scoped string of parent class or parent class
         * @param current scoped string of new class
         */
        define: function(parent, current) {
            var args = Functions.getArguments(arguments, 2);
            if (Types.is_object(parent)) {
                return Scoped.define(current, [], function(scoped) {
                    args.unshift({
                        scoped: scoped
                    });
                    return parent.extend.apply(parent, args);
                });
            } else {
                return Scoped.define(current, [parent], function(parent, scoped) {
                    args.unshift({
                        scoped: scoped
                    });
                    return parent.extend.apply(parent, args);
                });
            }
        },

        /**
         * Placeholder for an abstract function that should never be called.
         */
        abstractFunction: function() {
            throw "AbstractFunction";
        },

        /**
         * @deprecated
         */
        _inherited: function(cls, func) {
            return cls.parent[func].apply(this, Array.prototype.slice.apply(arguments, [2]));
        }

    });






    /*
     * 
     * Extending the Object
     * 
     */

    Class.prototype.__class_instance_guid = "e6b0ed30-80ee-4b28-af02-7d52430ba45f";

    //Class.prototype.supportsGc = false;

    /**
     * Creates a new instance.
     */
    Class.prototype.constructor = function() {
        this._notify("construct");
    };

    /**
     * Destroys this instance.
     */
    Class.prototype.destroy = function() {
        this._notify("destroy");
        if (this.__auto_destroy_list) {
            this.__auto_destroy_list.forEach(function(obj) {
                if ("destroy" in obj)
                    obj.weakDestroy();
            }, this);
        }
        if (this.__auto_decrease_ref_list) {
            this.__auto_decrease_ref_list.forEach(function(obj) {
                if ("decreaseRef" in obj)
                    obj.decreaseRef(this);
            }, this);
        }
        var cid = this.cid();
        for (var key in this)
            delete this[key];
        Ids.objectId(this, cid);
        this.destroy = this.__destroyedDestroy;
    };

    /**
     * Determines whether this instance has already been destroyed.
     * 
     * @return {boolean} true if this instance has been destroyed
     */
    Class.prototype.destroyed = function() {
        return this.destroy === this.__destroyedDestroy;
    };

    /**
     * Weakly destroy this instance, only destroying it if it hasn't been destroyed already.
     */
    Class.prototype.weakDestroy = function() {
        if (!this.destroyed()) {
            if (this.__gc) {
                this.__gc.queue(this);
                return;
            }
            this.destroy();
        }
    };

    Class.prototype.__destroyedDestroy = function() {
        throw ("Trying to destroy destroyed object " + this.cid() + ": " + this.cls.classname + ".");
    };

    /**
     * Protects a function from being called recursively.
     *
     * @param ident string identifier of function
     * @param func function to be called
     */
    Class.prototype.recursionProtection = function(ident, func) {
        this.__recursionProtection = this.__recursionProtection || {};
        if (this.__recursionProtection[ident])
            return undefined;
        this.__recursionProtection[ident] = true;
        try {
            var result = func.apply(this);
            if (this && this.__recursionProtection)
                delete this.__recursionProtection[ident];
            return result;
        } catch (e) {
            if (this && this.__recursionProtection)
                delete this.__recursionProtection[ident];
            throw e;
        }
    };

    /**
     * Enable garbage collection for this instance.
     */
    Class.prototype.enableGc = function(gc) {
        if (this.supportsGc)
            this.__gc = gc;
        return this;
    };

    /**
     * Destroy another instance depending on this one.
     * 
     * @param {object} other other object that should be destroyed
     */
    Class.prototype.dependDestroy = function(other) {
        if (other.destroyed())
            return;
        if (this.__gc)
            other.enableGc();
        other.weakDestroy();
        return this;
    };

    /**
     * Returns the unique id of the object.
     * 
     * @return {string} unique id
     */
    Class.prototype.cid = function() {
        return Ids.objectId(this);
    };

    Class.prototype.cls = Class;

    /**
     * Generates a context-free function of a method.
     * 
     * @param {string} s name of method
     * 
     * @return {function} context-free function
     */
    Class.prototype.as_method = function(s) {
        return Functions.as_method(this[s], this);
    };

    /**
     * Automatically destroys an object when this object is being destroyed.
     * 
     * @param {object} obj
     * @param {boolean} returnSource return source object instead of obj
     */
    Class.prototype.auto_destroy = function(obj, returnSource) {
        if (obj) {
            if (!this.__auto_destroy_list)
                this.__auto_destroy_list = [];
            var target = obj;
            if (!Types.is_array(target))
                target = [target];
            for (var i = 0; i < target.length; ++i)
                this.__auto_destroy_list.push(target[i]);
        }
        return returnSource ? this : obj;
    };

    /**
     * Automatically decreases an object reference when this object is being destroyed.
     *
     * @param {object} obj
     * @param {boolean} returnSource return source object instead of obj
     */
    Class.prototype.auto_decrease_ref = function(obj, returnSource) {
        if (obj) {
            if (!this.__auto_decrease_ref_list)
                this.__auto_decrease_ref_list = [];
            var target = obj;
            if (!Types.is_array(target))
                target = [target];
            for (var i = 0; i < target.length; ++i)
                this.__auto_decrease_ref_list.push(target[i]);
        }
        return returnSource ? this : obj;
    };

    /**
     * Notify all notifications listeners of an internal notification event.
     * 
     * @param {string} name notification name
     * 
     * @protected
     */
    Class.prototype._notify = function(name) {
        if (!this.cls.__notifications)
            return;
        var rest = Array.prototype.slice.call(arguments, 1);
        Objs.iter(this.cls.__notifications[name], function(entry) {
            var method = Types.is_function(entry) ? entry : this[entry];
            if (!method)
                throw this.cls.classname + ": Could not find " + name + " notification handler " + entry;
            method.apply(this, rest);
        }, this);
    };

    /**
     * Checks whether this instance implements a certain mixin.
     *
     * @param identifier mixin identifier
     * 
     * @return {boolean} true if it implements the mixin
     */
    Class.prototype.impl = function(identifier) {
        return !!(this.cls.__implements && this.cls.__implements[Types.is_string(identifier) ? identifier : identifier._implements]);
    };

    /**
     * Determines whether this instance is an instance of a certain class.
     * 
     * @param {object} cls class in question
     * 
     * @return {boolean} true if instance is instance of class
     */
    Class.prototype.instance_of = function(cls) {
        return this.cls.ancestor_of(cls);
    };

    /**
     * Increases the reference counter of this instance.
     * 
     * @param {object} reference optional reference object
     * @param {boolean} autoDecreaseRef automatically decrease reference upon destruction
     */
    Class.prototype.increaseRef = function(reference, autoDecreaseRef) {
        this.__referenceCount = this.__referenceCount || 0;
        this.__referenceCount++;
        this.__referenceObjects = this.__referenceObjects || {};
        if (reference) {
            if (!this.__referenceObjects[reference.cid()])
                this.__referenceObjects[reference.cid()] = reference;
            else
                this.__referenceCount--;
            if (autoDecreaseRef)
                reference.auto_decrease_ref(this);
        }
        return this;
    };

    /**
     * Decreases the reference counter of this instance.
     * 
     * @param {object} reference optional reference object
     */
    Class.prototype.decreaseRef = function(reference) {
        this.__referenceCount = this.__referenceCount || 0;
        this.__referenceCount--;
        this.__referenceObjects = this.__referenceObjects || {};
        if (reference) {
            if (this.__referenceObjects[reference.cid()])
                delete this.__referenceObjects[reference.cid()];
            else
                this.__referenceCount++;
        }
        if (this.__referenceCount <= 0 && Types.is_empty(this.__referenceObjects))
            this.weakDestroy();
        return this;
    };

    /**
     * Inspects the instance for debugging purposes.
     * 
     * @return {object} json object describing the instance
     */
    Class.prototype.inspect = function() {
        return {
            header: {
                cid: this.cid(),
                classname: this.cls.classname,
                destroyed: this.destroyed()
            },
            attributes: {
                attributes_public: Objs.filter(this, function(value, key) {
                    return !Types.is_function(value) && key.indexOf("_") !== 0;
                }, this),
                attributes_protected: Objs.filter(this, function(value, key) {
                    return !Types.is_function(value) && key.indexOf("_") === 0 && key.indexOf("__") !== 0;
                }, this),
                attributes_private: Objs.filter(this, function(value, key) {
                    return !Types.is_function(value) && key.indexOf("__") === 0;
                }, this)
            },
            methods: {
                methods_public: Objs.filter(this, function(value, key) {
                    return Types.is_function(value) && key.indexOf("_") !== 0;
                }, this),
                methods_protected: Objs.filter(this, function(value, key) {
                    return Types.is_function(value) && key.indexOf("_") === 0 && key.indexOf("__") !== 0;
                }, this),
                method_private: Objs.filter(this, function(value, key) {
                    return Types.is_function(value) && key.indexOf("__") === 0;
                }, this)
            }
        };
    };



    /**
     * @deprecated
     */
    Class.prototype._auto_destroy = function(obj) {
        return this.auto_destroy(obj);
    };

    /**
     * @deprecated
     */
    Class.prototype._inherited = function(cls, func) {
        return cls.parent.prototype[func].apply(this, Array.prototype.slice.apply(arguments, [2]));
    };

    return Class;

});

Scoped.define("module:Async", ["module:Types","module:Functions","module:Time"], function(Types, Functions, Time) {

    var clearTimeoutGlobal = function(h) {
        return clearTimeout(h);
    };

    var clearImmediate =
        Functions.global_method("clearImmediate") ||
        Functions.global_method("cancelAnimationFrame") ||
        Functions.global_method("webkitCancelAnimationFrame") ||
        Functions.global_method("mozCancelAnimationFrame") ||
        clearTimeoutGlobal;

    var setImmediate =
        Functions.global_method("setImmediate") ||
        Functions.global_method("requestAnimationFrame") ||
        Functions.global_method("webkitRequestAnimationFrame") ||
        Functions.global_method("mozRequestAnimationFrame") ||
        function(cb) {
            return setTimeout(cb, 0);
        };


    var __eventuallyOnce = {};
    var __eventuallyOnceIdx = 1;


    /**
     * Auxilary functions for asynchronous operations.
     * 
     * @module BetaJS.Async
     */
    var Module = {


        /**
         * Wait asynchronously for a condition to be met.
         * 
         * @param {function} condition condition function
         * @param {object} conditionCtx condition context (optional)
         * @param {function} callback callback function
         * @param {object} callbackCtx callback context (optional)
         * @param {int} interval interval time between checks (optional, default 1)
         * @param {function} timeoutCallback timeout callback function (optional)
         * @param {object} timeoutCallbackCtx timeout callback context (optional)
         * @param {int} timeout timeout (optional, default unlimited)
         *
         * 
         */
        waitFor: function() {
            var args = Functions.matchArgs(arguments, {
                condition: true,
                conditionCtx: "object",
                callback: true,
                callbackCtx: "object",
                interval: "number",
                timeoutCallback: "function",
                timeoutCallbackCtx: "object",
                timeout: "number"
            });
            var h = function() {
                try {
                    return !!args.condition.apply(args.conditionCtx || args.callbackCtx || this);
                } catch (e) {
                    return false;
                }
            };
            var t = Time.now();
            if (h())
                args.callback.apply(args.callbackCtx || this);
            else {
                var timer = setInterval(function() {
                    if (h()) {
                        clearInterval(timer);
                        args.callback.apply(args.callbackCtx || this);
                    } else if (args.timeout && Time.now() - t >= args.timeout) {
                        clearInterval(timer);
                        if (args.timeoutCallback)
                            args.timeoutCallback.apply(args.timeoutCallbackCtx || args.callbackCtx || this);
                    }
                }, args.interval || 1);
                return timer;
            }
        },

        /**
         * Creates a function that executes a function asynchronously.
         *
         * @param {function} f function to be executed asynchronously
         * @returns {function} asynchronous function
         */
        asyncify: function(f) {
            return function() {
                Module.eventually(f, this);
            };
        },


        /**
         * Execute a function asynchronously eventually.
         * 
         * @param {function} function function to be executed asynchronously
         * @param {array} params optional list of parameters to be passed to the function
         * @param {object} context optional context for the function execution
         * @param {int} time time to wait until execution (default is 0)
         * 
         * @return handle to the eventual call
         */
        eventually: function() {
            var args = Functions.matchArgs(arguments, {
                func: true,
                params: "array",
                context: "object",
                time: "number"
            });
            args.time = args.time || 0;
            var result = {};
            var cb = function() {
                result.clear(result.handle);
                args.func.apply(args.context || this, args.params || []);
            };
            if (args.time > 0) {
                result.clear = clearTimeoutGlobal;
                result.handle = setTimeout(cb, args.time);
            } else {
                result.clear = clearImmediate;
                result.handle = setImmediate(cb);
            }
            return result;
        },


        /**
         * Clears a call scheduled for eventual execution.
         * 
         * @param ev event handle
         * 
         */
        clearEventually: function(ev) {
            if (ev && ev.clear && ev.handle)
                ev.clear(ev.handle);
        },


        /**
         * Executes a function asynchronously eventually, but only once.
         * 
         * @param {function} function function to be executed asynchronously
         * @param {array} params list of parameters to be passed to the function
         * @param {object} context optional context for the function execution
         * 
         */
        eventuallyOnce: function(func, params, context) {
            var data = {
                func: func,
                params: params,
                context: context
            };
            for (var key in __eventuallyOnce) {
                var record = __eventuallyOnce[key];
                if (record.func === func && record.params === params && record.context === context)
                    return;
            }
            __eventuallyOnceIdx++;
            var index = __eventuallyOnceIdx;
            __eventuallyOnce[index] = data;
            return this.eventually(function() {
                delete __eventuallyOnce[index];
                func.apply(context || this, params || []);
            }, this);
        }

    };

    return Module;

});

Scoped.define("module:Promise", ["module:Types","module:Functions","module:Async","module:Objs"], function(Types, Functions, Async, Objs) {

    /**
     * Promise Class
     * 
     * @class BetaJS.Promise
     */
    var PromiseCls = {

        /**
         * Creates a new promise instance.
         * 
         * @param value optional promise value
         * @param error optional promise error
         * @param {boolean} finished does this promise have its final value / error
         */
        Promise: function(value, error, finished) {
            this.__value = error ? null : (value === undefined ? null : value);
            this.__error = error ? error : null;
            this.__isFinished = finished;
            this.__hasError = !!error;
            this.__resultPromise = null;
            this.__callbacks = [];
        },

        fromNativePromise: function(nativePromise) {
            var promise = this.create();
            nativePromise.then(function(value) {
                promise.asyncSuccess(value);
            })['catch'](function(error) {
                promise.asyncError(error);
            });
            return promise;
        },

        /**
         * Create a new promise instance. (Simplified)
         * 
         * @param value optional promise value
         * @param error optional promise error
         * 
         * @return {object} promise instance
         */
        create: function(value, error) {
            return new this.Promise(value, error, arguments.length > 0);
        },

        /**
         * Returns a promise instance for a value. The value might be a promise itself already.
         * 
         * @param value promise value or promise
         * @return {object} promise instance
         */
        value: function(value) {
            return this.is(value) ? value : new this.Promise(value, null, true);
        },

        /**
         * Returns a promise instance for a value, setting the value asynchronously.
         * 
         * @param value promise value
         * @return {object} promise instance
         */
        eventualValue: function(value) {
            var promise = new this.Promise();
            Async.eventually(function() {
                promise.asyncSuccess(value);
            });
            return promise;
        },

        /**
         * Returns a promise instance for an error. The error might be a promise itself already.
         * 
         * @param error promise error or promise
         * @return {object} promise instance
         */
        error: function(error) {
            return this.is(error) ? error : new this.Promise(null, error, true);
        },

        /**
         * Turns a function call or a native promise into a promise, mapping exceptions to errors.
         * 
         * @param {function} f function or native promise
         * @param {object} ctx optional function context
         * @param {array} params optional function parameters
         * 
         * @return {object} promise
         */
        box: function(f, ctx, params) {
            if (f && 'then' in f && 'catch' in f) {
                var promise = this.create();
                f.then(promise.asyncSuccessFunc());
                f['catch'](promise.asyncErrorFunc());
                return promise;
            } else {
                try {
                    var result = f.apply(ctx || this, params || []);
                    return this.is(result) ? result : this.value(result);
                } catch (e) {
                    return this.error(e);
                }
            }
        },

        /**
         * Try-Catch a function, wrapping it into a promise.
         * 
         * @param {function} f function
         * @param {object} ctx optional function context
         * 
         * @return {object} promise
         */
        tryCatch: function(f, ctx) {
            try {
                return this.value(f.apply(ctx || this));
            } catch (e) {
                return this.error(e);
            }
        },

        /**
         * Turns a function accepting a callback function as last parameter into a promise.
         * 
         * @param {object} optional function context
         * @param {function} func function
         * 
         * @return {object} promise
         */
        funcCallback: function(ctx, func) {
            var args = [];
            if (Types.is_function(ctx)) {
                args = Functions.getArguments(arguments, 1);
                func = ctx;
                ctx = this;
            } else
                args = Functions.getArguments(arguments, 2);
            var promise = this.create();
            args.push(promise.asyncCallbackFunc());
            func.apply(ctx, args);
            return promise;
        },

        /**
         * Takes a number of promises and creates a single new promise being successful if and only if all input promises are successful.
         * 
         * @param {array} promises promises array
         * 
         * @return {object} promise
         */
        and: function(promises) {
            var promise = this.create();
            promise.__promises = [];
            promise.__successCount = 0;
            promise.__values = [];
            promise.__errorPromise = null;
            promise.and = function(promises) {
                promises = promises || [];
                if (this.__ended)
                    return this;
                if (!Types.is_array(promises))
                    promises = [promises];
                var f = function(error, value) {
                    if (error)
                        this.promise.__errorPromise = this.promise.__promises[this.idx];
                    else {
                        this.promise.__successCount++;
                        this.promise.__values[this.idx] = value;
                    }
                    this.promise.results();
                };
                for (var i = 0; i < promises.length; ++i) {
                    var last = this.__promises.length;
                    this.__promises.push(promises[i]);
                    this.__values.push(null);
                    if (promises[i].isFinished()) {
                        if (promises[i].hasValue()) {
                            this.__successCount++;
                            this.__values[last] = promises[i].value();
                        } else
                            this.__errorPromise = promises[i];
                    } else {
                        promises[i].callback(f, {
                            promise: this,
                            idx: last
                        });
                    }
                }
                return this;
            };
            promise.end = function() {
                if (this.__ended)
                    return this;
                this.__ended = true;
                this.results();
                return this;
            };
            promise.results = function() {
                if (this.__ended && this.__errorPromise)
                    this.asyncError(this.__errorPromise.err(), this.__errorPromise);
                else if (this.__ended && this.__successCount == this.__promises.length)
                    this.asyncSuccess(this.__values);
                return this;
            };
            promise.successUnfold = function(f, context, options) {
                return this.success(function() {
                    return f.apply(context, arguments);
                }, context, options);
            };
            promise.and(promises);
            return promise;
        },

        /*
         *
         * Promise.conditional(BOOLEAN_CONDITION, function () {
         *      return ... promise ....;
         * }, DEFAULT_VALUE)
         *
         */
        conditional: function(condition, promiseFactory, defaultValue) {
            return condition ? promiseFactory() : this.value(defaultValue);
        },

        /**
         * Takes a function and calls with a number of arguments, some of which might be promises and turns it into actual values.
         * 
         * @param {function} func function
         * 
         * @return {object} promise
         */
        func: function(func) {
            var args = Functions.getArguments(arguments, 1);
            var promises = [];
            for (var i = 0; i < args.length; ++i) {
                if (this.is(args[i]))
                    promises.push(args[i]);
            }
            var promise = this.create();
            this.and(promises).end().success(function(values) {
                var params = [];
                for (var i = 0; i < args.length; ++i)
                    params[i] = this.is(args[i]) ? args[i].value() : args[i];
                var result = func.apply(this, params);
                if (this.is(result))
                    result.forwardCallback(promise);
                else
                    promise.asyncSuccess(result);
            }, this).forwardError(promise);
            return promise;
        },

        /**
         * Takes a method and calls with a number of arguments, some of which might be promises and turns it into actual values.
         * 
         * @param {object} ctx function context
         * @param {function} func function
         * @param {array} params parameters
         * 
         * @return {object} promise
         */
        methodArgs: function(ctx, func, params) {
            params.unshift(function() {
                return func.apply(ctx, arguments);
            });
            return this.func.apply(this, params);
        },

        /**
         * Takes a method and calls with a number of arguments, some of which might be promises and turns it into actual values.
         * 
         * @param {object} ctx function context
         * @param {function} func function
         * 
         * @return {object} promise
         */
        method: function(ctx, func) {
            return this.methodArgs(ctx, func, Functions.getArguments(arguments, 2));
        },

        /**
         * Takes a constructor and calls with a number of arguments, some of which might be promises and turns it into actual values.
         * 
         * @param {object} cls constructor class
         * 
         * @return {object} promise
         */
        newClass: function(cls) {
            var params = Functions.getArguments(arguments, 1);
            params.unshift(Functions.newClassFunc(cls));
            return this.func.apply(this, params);
        },

        /**
         * Determines whether some value is a promise object.
         * 
         * @param obj value
         * 
         * @return {boolean} true if obj is a promise object
         */
        is: function(obj) {
            return obj && Types.is_object(obj) && obj.classGuid == this.Promise.prototype.classGuid;
        },

        /**
         * Applies a method multiple times until it succeeds.
         * 
         * @param {function} method method
         * @param {object} context method context
         * @param {int} resilience number of times to call
         * @param {array} args arguments for method
         * @param {int} delay optional delay in-between tries
         * 
         * @return {object} promise
         */
        resilience: function(method, context, resilience, args, delay) {
            if (delay)
                method = this.delayPromiseMethod(method, delay);
            return method.apply(context, args).mapError(function(error) {
                return resilience === 0 ? error : this.resilience(method, context, resilience - 1, args);
            }, this);
        },

        /**
         * Creates a new method returning a promise based on a method returning a promise by delaying the underlying method.
         *
         * @param {function} method original method
         * @param {int} delay delay time
         * @returns {function} delayed method
         */
        delayPromiseMethod: function(method, delay) {
            var self = this;
            return function() {
                var promise = self.create();
                var args = Functions.getArguments(arguments);
                Async.eventually(function() {
                    method.apply(this, args).forwardCallback(promise);
                }, this, delay);
                return promise;
            };
        },

        /**
         * Wait asynchronously for a condition to be met.
         *
         * @param {function} condition condition function
         * @param {object} conditionCtx condition context (optional)
         * @param {int} interval interval time between checks (optional, default 1)
         * @param {int} timeout optional timeout
         *
         * @return {object} promise
         *
         */
        waitFor: function(condition, conditionCtx, interval, timeout) {
            var promise = this.create();
            var successTimer, errorTimer;
            if (timeout) {
                errorTimer = setTimeout(function() {
                    if (successTimer)
                        clearInterval(successTimer);
                    promise.asyncError(true);
                }, timeout);
            }
            successTimer = Async.waitFor(condition, conditionCtx, function() {
                if (errorTimer)
                    clearTimeout(errorTimer);
                promise.asyncSuccess(true);
            }, interval);
            return promise;
        },

        /**
         * Exclusively execute a promise-based function by postponing execution of further calls by waiting for the
         * promise completion.
         *
         * @param {function} promiseFunc promise function
         * @param {object} ctx function context (optional)
         *
         * @return {function} exclusive function
         *
         */
        exclusiveExecution: function(promiseFunc, ctx) {
            var currentPromise = null;
            var promiseQueue = [];
            return function() {
                var args = arguments;
                var resultPromise = null;
                if (!currentPromise) {
                    currentPromise = promiseFunc.apply(ctx, args);
                    resultPromise = currentPromise;
                } else {
                    var promise = PromiseCls.create();
                    promiseQueue.push(promise);
                    resultPromise = promise.mapSuccess(function() {
                        return promiseFunc.apply(this, args);
                    }, ctx);
                }
                resultPromise.callback(function() {
                    currentPromise = null;
                    if (promiseQueue.length > 0) {
                        currentPromise = promiseQueue.shift();
                        currentPromise.asyncSuccess(true);
                    }
                });
                return resultPromise;
            };
        },

        aggregateExecution: function(promiseFunc, ctx, serializer, successCloner) {
            var argMap = {};
            return function() {
                var args = arguments;
                var serializedArgs = serializer ? serializer(args) : JSON.stringify(args);
                var promise = argMap[serializedArgs];
                if (!promise) {
                    var keep = true;
                    promise = promiseFunc.apply(ctx, args).callback(function() {
                        keep = false;
                        delete argMap[serializedArgs];
                    }).mapSuccess(function(data) {
                        return successCloner ? successCloner(data) : data;
                    });
                    if (keep)
                        argMap[serializedArgs] = promise;
                }
                return promise;
            };
        }


    };

    Objs.extend(PromiseCls.Promise.prototype, {
        classGuid: "7e3ed52f-22da-4e9c-95a4-e9bb877a3935",

        /**
         * Be notified when the promise is successful.
         * 
         * @param {function} f callback function
         * @param {object} context optional callback context
         * @param {object} options optional options
         */
        success: function(f, context, options) {
            return this.callback(f, context, options, "success");
        },

        /**
         * Be notified when the promise is successful asynchronously.
         *
         * @param {function} f callback function
         * @param {object} context optional callback context
         * @param {object} options optional options
         */
        asuccess: function(f, context, options) {
            return this.success(Async.asyncify(f), context, options);
        },

        /**
         * Set an object value once value is known.
         *
         * @param {object} obj object
         * @param {string} key key to set value for
         */
        valueify: function(obj, key) {
            return this.success(function(value) {
                obj[key] = value;
            });
        },

        /**
         * Be notified when the promise is unsuccessful.
         * 
         * @param {function} f callback function
         * @param {object} context optional callback context
         * @param {object} options optional options
         */
        error: function(f, context, options) {
            return this.callback(f, context, options, "error");
        },

        /**
         * Be notified when the promise is finished..
         * 
         * @param {function} f callback function
         * @param {object} context callback context
         * @param {object} options options
         * @param {string} type type of callback like "success"
         */
        callback: function(f, context, options, type) {
            if ("end" in this)
                this.end();
            var record = {
                type: type || "callback",
                func: f,
                options: options || {},
                context: context
            };
            if (this.__isFinished)
                this.triggerResult(record);
            else
                this.__callbacks.push(record);
            return this;
        },

        /**
         * Be notified when the promise does not finish with a certain time.
         *
         * @param {int} delay delay timeout
         * @param {function} f callback function
         * @param {object} context callback context
         */
        timeout: function(delay, f, context) {
            var ev = Async.eventually(f, context, delay);
            return this.callback(function() {
                Async.clearEventually(ev);
            });
        },

        /**
         * Timeout with an error.
         *
         * @param {int} delay delay timeout
         * @param error error value
         */
        timeoutError: function(delay, error) {
            if (!delay)
                return this;
            return this.timeout(delay, function() {
                this.asyncError(error);
            }, this);
        },

        /**
         * Trigger the result.
         * 
         * @param {object} record optional specific callback record
         * 
         */
        triggerResult: function(record) {
            if (!this.__isFinished)
                return this;
            if (record) {
                if (record.type == "success" && !this.__hasError)
                    record.func.call(record.context || this, this.__value, this.__resultPromise || this);
                else if (record.type == "error" && this.__hasError)
                    record.func.call(record.context || this, this.__error, this.__resultPromise || this);
                else if (record.type == "callback")
                    record.func.call(record.context || this, this.__error, this.__value, this.__resultPromise || this);
            } else {
                var records = this.__callbacks;
                this.__callbacks = [];
                for (var i = 0; i < records.length; ++i)
                    this.triggerResult(records[i]);
            }
            return this;
        },

        /**
         * Returns the value of the promise.
         * 
         * @return value of promise
         */
        value: function() {
            return this.__value;
        },

        /**
         * Returns the error of the promise.
         * 
         * @return error of promise
         */
        err: function() {
            return this.__error;
        },

        /**
         * Determines whether the promise has a value or an error already.
         * 
         * @return {boolean} true if value or error present
         */
        isFinished: function() {
            return this.__isFinished;
        },

        /**
         * Determines whether the promise has a value.
         * 
         * @return {boolean} true if value present
         */
        hasValue: function() {
            return this.__isFinished && !this.__hasError;
        },

        /**
         * Determines whether the promise has an error.
         * 
         * @return {boolean} true if error present
         */
        hasError: function() {
            return this.__isFinished && this.__hasError;
        },

        /**
         * Informs the promise of a successful value.
         * 
         * @param value success value
         * @param {object} promise optional success promise
         */
        asyncSuccess: function(value, promise) {
            if (this.__isFinished)
                return this;
            this.__resultPromise = promise;
            this.__error = null;
            this.__isFinished = true;
            this.__hasError = false;
            this.__value = value;
            return this.triggerResult();
        },

        /**
         * Informs the promise of an error value.
         * 
         * @param error error value
         * @param {object} promise optional error promise
         */
        asyncError: function(error, promise) {
            if (this.__isFinished)
                return this;
            this.__resultPromise = promise;
            this.__isFinished = true;
            this.__hasError = true;
            this.__error = error;
            this.__value = null;
            return this.triggerResult();
        },

        /**
         * Informs the promise of an error or success value.
         * 
         * @param error optional error value
         * @param value optional success value
         * @param {object} promise optional callback promise
         */
        asyncCallback: function(error, value, promise) {
            if (error)
                return this.asyncError(error, promise);
            else
                return this.asyncSuccess(value, promise);
        },

        /**
         * Forwards the success of this promise to another promise.
         * 
         * @param {object} promise promise to which the success should be forwarded to
         */
        forwardSuccess: function(promise) {
            this.success(promise.asyncSuccess, promise);
            return this;
        },

        /**
         * Forwards the error of this promise to another promise.
         * 
         * @param {object} promise promise to which the error should be forwarded to
         */
        forwardError: function(promise) {
            this.error(promise.asyncError, promise);
            return this;
        },

        /**
         * Forwards the callback of this promise to another promise.
         * 
         * @param {object} promise promise to which the callback should be forwarded to
         */
        forwardCallback: function(promise) {
            this.callback(promise.asyncCallback, promise);
            return this;
        },

        /**
         * Generates a context-less function for the asynchronous callback.
         * 
         * @return {function} context-less function
         */
        asyncCallbackFunc: function() {
            return Functions.as_method(this.asyncCallback, this);
        },

        /**
         * Generates a context-less function for the asynchronous success.
         *
         * @return {function} context-less function
         */
        asyncSuccessFunc: function() {
            return Functions.as_method(this.asyncSuccess, this);
        },

        /**
         * Generates a context-less function for the asynchronous error.
         *
         * @return {function} context-less function
         */
        asyncErrorFunc: function() {
            return Functions.as_method(this.asyncError, this);
        },

        /**
         * Maps the success value of the promise to a function that might return another promise.
         * 
         * @param {function} func success callback
         * @param {object} ctx optional context
         * 
         * @return {object} promise
         */
        mapSuccess: function(func, ctx) {
            var promise = PromiseCls.create();
            this.forwardError(promise).success(function(value, pr) {
                try {
                    var result = func.call(ctx || promise, value, pr);
                    if (PromiseCls.is(result))
                        result.forwardCallback(promise);
                    else
                        promise.asyncSuccess(result);
                } catch (e) {
                    if (this.__callbacks.every(function(cb) {
                            return cb.type === "success";
                        })) {
                        console.warn(e);
                    }
                    promise.asyncError(e);
                }
            });
            return promise;
        },

        /**
         * Maps the success value of the promise asynchronously to a function that might return another promise.
         *
         * @param {function} func success callback
         * @param {object} ctx optional context
         *
         * @return {object} promise
         */
        mapASuccess: function(func, ctx) {
            return this.mapSuccess(function(result) {
                var promise = PromiseCls.create();
                Async.eventually(function() {
                    PromiseCls.box(func, ctx, [result]).forwardCallback(promise);
                });
                return promise;
            });
        },

        /**
         * Maps the error value of the promise to a function that might return another promise.
         * 
         * @param {function} func error callback
         * @param {object} ctx optional context
         * 
         * @return {object} promise
         */
        mapError: function(func, ctx) {
            var promise = PromiseCls.create();
            this.forwardSuccess(promise).error(function(err, pr) {
                var result = func.call(ctx || promise, err, pr);
                if (PromiseCls.is(result))
                    result.forwardCallback(promise);
                else
                    promise.asyncError(result);
            });
            return promise;
        },

        /**
         * Maps the error or success value of the promise to a function that might return another promise.
         * 
         * @param {function} func callback function
         * @param {object} ctx optional context
         * 
         * @return {object} promise
         */
        mapCallback: function(func, ctx) {
            var promise = PromiseCls.create();
            this.callback(function(err, value, pr) {
                var result = func.call(ctx || promise, err, value, pr);
                if (PromiseCls.is(result))
                    result.forwardCallback(promise);
                else
                    promise.asyncCallback(err ? result : err, err ? value : result, pr);
            });
            return promise;
        },

        /**
         * Concatenates more promises to this promise
         * 
         * @param {array} promises other promises
         * 
         * @return {object} promise
         */
        and: function(promises) {
            var result = PromiseCls.and(this);
            return result.and(promises);
        },

        toNativePromise: function() {
            var self = this;
            return new Promise(function(resolve, reject) {
                self.callback(function(error, value) {
                    if (error)
                        reject(error);
                    else
                        resolve(value);
                });
            });
        }

    });

    return PromiseCls;
});

Scoped.define("module:Classes.OptimisticConditionalInstance", ["module:Class","module:Objs","module:Promise"], function(Class, Objs, Promise, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * OptimisticConditionalInstance for registering and optimistically creating particular flavors of a certain class under particular conditions
         * 
         * @class BetaJS.Classes.OptimisticConditionalInstance
         */
        return {

            /**
             * Instantiates a particular flavor of a OptimisticConditionalInstance
             * 
             * @param {object} options Options for the instance
             * @param {object} transitionals Particular transitional data that should be passed on from one instance to the next
             */
            constructor: function(options, transitionals) {
                inherited.constructor.call(this);
                this._transitionals = {};
            },

            /**
             * Returns an initialization promise.
             * 
             * @return {object} Initialization promise
             */
            _initializer: function() {
                // returns a promise
            },

            /**
             * Tries to initialize this instance.
             * 
             * @return {object} Success promise
             */
            _initialize: function() {
                return this._initializer().success(function() {
                    this._afterInitialize();
                }, this);
            },

            /**
             * Returns the current set of transitionals.
             * 
             * @return {object} Set of transitionals
             */
            transitionals: function() {
                return this._transitionals;
            },

            /**
             * Will be called after an instance has been initialized.
             * 
             */
            _afterInitialize: function() {
                // setup
            }

        };
    }, {}, {

        __registry: [],

        /**
         * Registers a particular flavor of an OptimisticConditionalInstance
         * 
         * @param {object} cls flavor class
         * @param {int} priority priority of this class; the higher the priority the more likely it is to be instantiated
         * 
         * @static
         */
        register: function(cls, priority) {
            this.__registry.push({
                cls: cls,
                priority: priority
            });
        },

        /**
         * Instantiates the best match.
         * 
         * @param {object} options Set of options
         * @return {object} Instance of best match as a promise
         * 
         * @static
         */
        create: function(options) {
            var promise = Promise.create();
            var reg = Objs.clone(this.__registry, 1);
            var transitionals = {};
            var next = function() {
                if (!reg.length) {
                    promise.asyncError(true);
                    return;
                }
                var p = -1;
                var j = -1;
                for (var i = 0; i < reg.length; ++i) {
                    if (reg[i].priority > p) {
                        p = reg[i].priority;
                        j = i;
                    }
                }
                var cls = reg[j].cls;
                reg.splice(j, 1);
                var instance = new cls(options, transitionals);
                instance._initialize().error(function() {
                    transitionals = instance.transitionals();
                    instance.destroy();
                    next.call(this);
                }, this).success(function() {
                    promise.asyncSuccess(instance);
                });
            };
            next.call(this);
            return promise;
        }

    });
});

Scoped.define("module:Timers.Timer", ["module:Class","module:Objs","module:Time"], function(Class, Objs, Time, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * Timer Class
         * 
         * @class BetaJS.Timers.Timer
         */
        return {

            /**
             * Create a new timer instance.
             * 
             * @param {object} options, including
             *   int delay (mandatory): number of milliseconds until it fires
             *   bool once (optional, default false): should it fire infinitely often
             *   func fire (optional): will be fired
             *   object context (optional): for fire
             *   bool start (optional, default true): should it start immediately
             *   bool real_time (default false)
             *   bool immediate (optional, default false): zero time until first fire
             *   int duration (optional, default null)
             *   int fire_max (optional, default null)
             * 
             */
            constructor: function(options) {
                inherited.constructor.call(this);
                options = Objs.extend({
                    once: false,
                    start: true,
                    fire: null,
                    context: this,
                    destroy_on_fire: false,
                    destroy_on_stop: false,
                    real_time: false,
                    duration: null,
                    fire_max: null,
                    immediate: false
                }, options);
                this.__immediate = options.immediate;
                this.__delay = options.delay;
                this.__destroy_on_fire = options.destroy_on_fire;
                this.__destroy_on_stop = options.destroy_on_stop;
                this.__once = options.once;
                this.__fire = options.fire;
                this.__context = options.context;
                this.__started = false;
                this.__real_time = options.real_time;
                this.__end_time = options.duration !== null ? Time.now() + options.duration : null;
                this.__fire_max = options.fire_max;
                if (options.start)
                    this.start();
            },

            /**
             * @override
             */
            destroy: function() {
                this.stop();
                inherited.destroy.call(this);
            },

            /**
             * Returns the number of times the timer has fired.
             * 
             * @return {int} fire count
             */
            fire_count: function() {
                return this.__fire_count;
            },

            /**
             * Returns the current duration of timer.
             * 
             * @return {int} duration in milliseconds
             */
            duration: function() {
                return Time.now() - this.__start_time;
            },

            /**
             * Fired when the timer fires.
             */
            fire: function() {
                if (this.__once)
                    this.__started = false;
                if (this.__fire) {
                    this.__fire.call(this.__context, this);
                    this.__fire_count++;
                    if (this.__real_time && !this.__destroy_on_fire && !this.__once) {
                        while ((this.__fire_count + 1) * this.__delay <= Time.now() - this.__start_time) {
                            this.__fire.call(this.__context, this);
                            this.__fire_count++;
                        }
                    }
                }
                if ((this.__end_time !== null && Time.now() + this.__delay > this.__end_time) ||
                    (this.__fire_max !== null && this.__fire_max <= this.__fire_count))
                    this.stop();
                if (this.__destroy_on_fire)
                    this.weakDestroy();
            },

            /**
             * Stops the timer.
             * 
             * @return {object}
             */
            stop: function() {
                if (!this.__started)
                    return this;
                if (this.__once)
                    clearTimeout(this.__timer);
                else
                    clearInterval(this.__timer);
                this.__started = false;
                if (this.__destroy_on_stop)
                    this.weakDestroy();
                return this;
            },

            /**
             * Starts the timer.
             * 
             * @return {object} this
             */
            start: function() {
                if (this.__started)
                    return this;
                var self = this;
                this.__start_time = Time.now();
                this.__fire_count = 0;
                if (this.__once)
                    this.__timer = setTimeout(function() {
                        self.fire();
                    }, this.__delay);
                else
                    this.__timer = setInterval(function() {
                        self.fire();
                    }, this.__delay);
                this.__started = true;
                if (this.__immediate)
                    this.fire();
                return this;
            },

            /**
             * Restarts the timer.
             * 
             * @return {object} this
             */
            restart: function() {
                this.stop();
                this.start();
                return this;
            }

        };
    });
});

Scoped.define("module:Iterators.Iterator", ["module:Class","module:Functions","module:Async","module:Promise"], function(Class, Functions, Async, Promise, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * Abstract Iterator Class
         * 
         * @class BetaJS.Iterators.Iterator
         */
        return {

            /**
             * Determines whether there are more elements in the iterator.
             * Should be overwritten by subclass.
             *
             * @return {boolean} true if more elements present
             */
            hasNext: function() {
                return false;
            },

            /**
             * Returns the next element in the iterator.
             * Should be overwritten by subclass.
             * 
             * @return next element in iterator
             */
            next: function() {
                return null;
            },

            /**
             * Returns the next element if present or null otherwise.
             * 
             * @return next element in iterator or null
             */
            nextOrNull: function() {
                return this.hasNext() ? this.next() : null;
            },

            /**
             * Materializes the iterator as an array.
             *
             * @param {boolean} keep do not destroy iterator
             * @return {array} array of elements in iterator
             */
            asArray: function(keep) {
                var arr = [];
                while (this.hasNext())
                    arr.push(this.next());
                if (!keep)
                    this.weakDestroy();
                return arr;
            },

            /**
             * Iterate over the iterator, calling a callback function for every element.
             * 
             * @param {function} cb callback function
             * @param {object} ctx optional callback context
             * @param {boolean} keep do not destroy iterator
             */
            iterate: function(cb, ctx, keep) {
                while (this.hasNext()) {
                    var result = cb.call(ctx || this, this.next());
                    if (result === false)
                        break;
                }
                if (!keep)
                    this.weakDestroy();
            },

            /**
             * Asynchronously iterate over the iterator, calling a callback function for every element.
             * 
             * @param {function} cb callback function
             * @param {object} ctx optional callback context
             * @param {int} time optional time between calls
             * 
             * @return {object} finish promise
             */
            asyncIterate: function(cb, ctx, time) {
                if (!this.hasNext()) {
                    this.destroy();
                    return Promise.value(true);
                }
                var result = cb.call(ctx || this, this.next());
                if (result === false)
                    return Promise.value(true);
                var promise = Promise.create();
                Async.eventually(function() {
                    this.asyncIterate(cb, ctx, time).forwardCallback(promise);
                }, this, time);
                return promise;
            }

        };
    });
});

Scoped.define("module:Iterators.ArrayIterator", ["module:Iterators.Iterator"], function(Iterator, scoped) {
    return Iterator.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * ArrayIterator Class
         * 
         * @class BetaJS.Iterators.ArrayIterator
         */
        return {

            /**
             * Creates an Array Iterator
             * 
             * @param {array} arr array
             */
            constructor: function(arr) {
                inherited.constructor.call(this);
                this.__array = arr;
                this.__i = 0;
            },

            /**
             * @override
             */
            hasNext: function() {
                return this.__i < this.__array.length;
            },

            /**
             * @override
             */
            next: function() {
                var ret = this.__array[this.__i];
                this.__i++;
                return ret;
            }

        };
    }, {

        /**
         * Creates an Array Iterator by an iteration function
         * 
         * @param {function} iterate_func Iteration function
         * @param {object} iterate_func_ctx Optional context
         * 
         * @return {object} Array Iterator instance
         */
        byIterate: function(iterate_func, iterate_func_ctx) {
            var result = [];
            iterate_func.call(iterate_func_ctx || this, function(item) {
                result.push(item);
            }, this);
            return new this(result);
        }
    });
});

Scoped.define("module:Lists.AbstractList", ["module:Class","module:Objs","module:Types","module:Iterators.ArrayIterator"], function(Class, Objs, Types, ArrayIterator, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * Abstract List Class
         * 
         * @class BetaJS.Lists.AbstractList
         */
        return {

            /**
             * Add an object to the list.
             * 
             * @param {object} object Object to be added
             * @return {string} ident of object
             */
            _add: function(object) {},

            /**
             * Remove an object from the list.
             * 
             * @param {string} ident Ident of object to be removed.
             * @return {object} removed object
             */
            _remove: function(ident) {},

            /**
             * Get an object by ident.
             * 
             * @param {string} ident Ident of object
             * @return {object} object matching the ident
             */
            _get: function(ident) {},

            /**
             * Iterate over all objects in the list.
             * 
             * @param {function} callback callback function for iteration
             * @param {object} context optional context for callback function
             */
            _iterate: function(callback, context) {},

            /**
             * Given an object, return the ident of the object.
             * 
             * @param {object} object object in question
             * @return {string} ident of object
             */
            get_ident: function(object) {
                var ident = null;
                this._iterate(function(obj, id) {
                    if (obj == object) {
                        ident = id;
                        return false;
                    }
                    return true;
                });
                return ident;
            },

            /**
             * Determines whether an object exists in the list.
             * 
             * @param {object} object object in question
             * @return {boolean} true if object is contained in list
             */
            exists: function(object) {
                return object && this.get_ident(object) !== null;
            },

            /**
             * Notification when an object obtains a new ident.
             * 
             * @param {object} object object in question
             * @param {string} new_ident new identifier of object
             */
            _ident_changed: function(object, new_ident) {},

            /**
             * Creates a new instance.
             * 
             * @param {array} objects optional array of initial objects to be added to the list
             */
            constructor: function(objects) {
                inherited.constructor.call(this);
                this.__count = 0;
                if (objects) {
                    Objs.iter(objects, function(object) {
                        this.add(object);
                    }, this);
                }
            },

            /**
             * Add an object to the list.
             * 
             * @param {object} object Object to be added
             * @return {string} ident of object
             */
            add: function(object) {
                var ident = this._add(object);
                if (Types.is_defined(ident))
                    this.__count++;
                return ident;
            },

            /**
             * Returns the number of objects contained in the list.
             * 
             * @return {int} number of objects
             */
            count: function() {
                return this.__count;
            },

            /**
             * Removes all objects from the list.
             * 
             */
            clear: function() {
                this._iterate(function(object, ident) {
                    this.remove_by_ident(ident);
                    return true;
                }, this);
            },

            /**
             * Remove an object from the list by identifier.
             * 
             * @param {string} ident Ident of object to be removed.
             * @return {object} removed object
             */
            remove_by_ident: function(ident) {
                var ret = this._remove(ident);
                if (Types.is_defined(ret))
                    this.__count--;
                return ret;
            },

            /**
             * Remove an object from the list.
             * 
             * @param {object} object object in question
             * @return {object} removed object
             */
            remove: function(object) {
                return this.remove_by_ident(this.get_ident(object));
            },

            /**
             * Remove objects from the list that match a filter function.
             * 
             * @param {function} filter filter function for object
             */
            remove_by_filter: function(filter) {
                this._iterate(function(object, ident) {
                    if (filter(object))
                        this.remove_by_ident(ident);
                    return true;
                }, this);
            },

            /**
             * Get an object by ident.
             * 
             * @param {string} ident Ident of object
             * @return {object} object matching the ident
             */
            get: function(ident) {
                return this._get(ident);
            },

            /**
             * Iterate over all objects in the list.
             * 
             * @param {function} callback callback function for iteration
             * @param {object} context optional context for callback function
             */
            iterate: function(cb, context) {
                this._iterate(function(object, ident) {
                    var ret = cb.call(this, object, ident);
                    return Types.is_defined(ret) ? ret : true;
                }, context);
            },

            /**
             * Creates an iterator for the list.
             * 
             * @return {object} iterator for list
             */
            iterator: function() {
                return ArrayIterator.byIterate(this.iterate, this);
            }

        };
    });
});

Scoped.define("module:Lists.LinkedList", ["module:Lists.AbstractList"], function(AbstractList, scoped) {
    return AbstractList.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * Linked List Implementation of List
         * 
         * @class BetaJS.Lists.LinkedList
         */
        return {

            __first: null,
            __last: null,

            /**
             * @override
             */
            _add: function(obj) {
                this.__last = {
                    obj: obj,
                    prev: this.__last,
                    next: null
                };
                if (this.__first)
                    this.__last.prev.next = this.__last;
                else
                    this.__first = this.__last;
                return this.__last;
            },

            /**
             * @override
             */
            _remove: function(container) {
                if (container.next)
                    container.next.prev = container.prev;
                else
                    this.__last = container.prev;
                if (container.prev)
                    container.prev.next = container.next;
                else
                    this.__first = container.next;
                return container.obj;
            },

            /**
             * @override
             */
            _get: function(container) {
                return container.obj;
            },

            /**
             * @override
             */
            _iterate: function(cb, context) {
                var current = this.__first;
                while (current) {
                    var prev = current;
                    current = current.next;
                    if (!cb.apply(context || this, [prev.obj, prev]))
                        return;
                }
            }

        };
    });
});

Scoped.define("module:Events.EventsMixin", ["module:Timers.Timer","module:Async","module:Lists.LinkedList","module:Functions","module:Types","module:Objs"], function(Timer, Async, LinkedList, Functions, Types, Objs) {

    /**
     * Events Mixin
     * 
     * @mixin BetaJS.Events.EventsMixin
     */
    return {

        _implements: "3d63b44f-c9f0-4aa7-b39e-7cbf195122b4",

        _notifications: {
            "construct": function() {
                this.__suspendedEvents = 0;
                this.__suspendedEventsQueue = [];
            },
            "destroy": function() {
                this.off(null, null, null);
            }
        },

        EVENT_SPLITTER: /\s+/,

        __create_event_object: function(callback, context, options) {
            options = options || {};
            var obj = {
                callback: callback,
                context: context
            };
            if (options.eventually)
                obj.eventually = options.eventually;
            if (options.off_on_destroyed)
                obj.off_on_destroyed = options.off_on_destroyed;
            if (options.min_delay) {
                obj.min_delay = new Timer({
                    delay: options.min_delay,
                    once: true,
                    start: false,
                    context: this,
                    fire: function() {
                        if (obj.max_delay)
                            obj.max_delay.stop();
                        this.__invokeCallback(obj);
                    }
                });
            }
            if (options.max_delay) {
                obj.max_delay = new Timer({
                    delay: options.max_delay,
                    once: true,
                    start: false,
                    context: this,
                    fire: function() {
                        if (obj.min_delay)
                            obj.min_delay.stop();
                        this.__invokeCallback(obj);
                    }
                });
            }
            if (options.norecursion)
                obj.no_recursion = true;
            return obj;
        },

        __destroy_event_object: function(object) {
            if (object.min_delay)
                object.min_delay.destroy();
            if (object.max_delay)
                object.max_delay.destroy();
        },

        __invokeCallback: function(obj, params) {
            if (obj.off_on_destroyed && obj.context && obj.context.destroyed()) {
                this.off(null, null, obj);
                return;
            }
            if (obj.no_recursion && obj.in_recursion)
                return;
            obj.in_recursion = true;
            try {
                this._invokeCallback(obj.callback, obj.context || this, params || obj.params);
            } finally {
                obj.in_recursion = false;
            }
        },

        /**
         * @protected
         *
         * Invoke event callback
         *
         * @param {function} callback event callback function
         * @param {object} context callback context
         * @param {array} params parameters
         */
        _invokeCallback: function(callback, context, params) {
            callback.apply(context, params);
        },

        __call_event_object: function(object, params) {
            if (object.min_delay)
                object.min_delay.restart();
            if (object.max_delay)
                object.max_delay.start();
            if (!object.min_delay && !object.max_delay) {
                if (object.eventually) {
                    Async.eventually(function() {
                        this.__invokeCallback(object, params);
                    }, this, object.eventually === true ? 0 : object.eventually);
                } else
                    this.__invokeCallback(object, params);
            } else
                object.params = params;
        },

        /**
         * Listen to an event(s).
         * 
         * @param {string} events event(s) to listen to
         * @param {function} callback event callback function
         * @param {object} context optional callback context
         * @param {object} options optional options
         */
        on: function(events, callback, context, options) {
            this.__events_mixin_events = this.__events_mixin_events || {};
            events = events.split(this.EVENT_SPLITTER);
            var event;
            while (true) {
                event = events.shift();
                if (!event)
                    break;
                if (!this.__events_mixin_events[event])
                    this._notify("register_event", event);
                this.__events_mixin_events[event] = this.__events_mixin_events[event] || new LinkedList();
                var event_object = this.__create_event_object(callback, context, options);
                this.__events_mixin_events[event].add(event_object);
                if (this.__events_mixin_persistent_events && this.__events_mixin_persistent_events[event]) {
                    var argss = this.__events_mixin_persistent_events[event];
                    for (var i = 0; i < argss.length; ++i)
                        this.__call_event_object(event_object, argss[i]);
                }
                if (options && options.initcall)
                    this.__call_event_object(event_object, []);
            }
            return this;
        },

        /**
         * Stop listening to an event(s).
         * 
         * @param {string} events event(s) to listen to
         * @param {function} callback event callback function
         * @param {object} context optional callback context
         */
        off: function(events, callback, context) {
            this.__events_mixin_events = this.__events_mixin_events || {};
            if (events) {
                events = events.split(this.EVENT_SPLITTER);
                Objs.iter(events, function(event) {
                    if (this.__events_mixin_events[event]) {
                        this.__events_mixin_events[event].remove_by_filter(function(object) {
                            var result = (!callback || object.callback == callback) && (!context || object.context == context);
                            if (result && this.__destroy_event_object)
                                this.__destroy_event_object(object);
                            return result;
                        });
                        if (this.__events_mixin_events[event].count() === 0) {
                            this.__events_mixin_events[event].destroy();
                            delete this.__events_mixin_events[event];
                            this._notify("unregister_event", event);
                        }
                    }
                }, this);
            } else {
                Objs.iter(this.__events_mixin_events, function(evntobj, evnt) {
                    evntobj.remove_by_filter(function(object) {
                        var result = (!callback || object.callback == callback) && (!context || object.context == context);
                        if (result && this.__destroy_event_object)
                            this.__destroy_event_object(object);
                        return result;
                    });
                    if (evntobj.count() === 0) {
                        evntobj.destroy();
                        delete this.__events_mixin_events[evnt];
                        this._notify("unregister_event", evnt);
                    }
                }, this);
            }
            return this;
        },

        /**
         * Listen to an event(s) once.
         * 
         * @param {string} events event(s) to listen to
         * @param {function} callback event callback function
         * @param {object} context optional callback context
         * @param {object} options optional options
         */
        once: function(events, callback, context, options) {
            var self = this;
            var once = Functions.once(function() {
                self.off(events, once);
                callback.apply(this, arguments);
            });
            once._callback = callback;
            return this.on(events, once, context, options);
        },

        /**
         * Trigger an event(s) asynchronously.
         * 
         * @param {string} events events to be triggered
         */
        trigger: function(events) {
            if (this.__suspendedEvents > 0) {
                this.__suspendedEventsQueue.push(arguments);
                return this;
            }
            var self = this;
            events = events.split(this.EVENT_SPLITTER);
            var rest = Functions.getArguments(arguments, 1);
            var event;
            if (!this.__events_mixin_events)
                return this;
            Objs.iter(events, function(event) {
                if (this.__events_mixin_events[event])
                    this.__events_mixin_events[event].iterate(function(object) {
                        self.__call_event_object(object, rest);
                    });
                if (this.__events_mixin_events && "all" in this.__events_mixin_events)
                    this.__events_mixin_events.all.iterate(function(object) {
                        self.__call_event_object(object, [event].concat(rest));
                    });
            }, this);
            return this;
        },

        /**
         * Trigger an event(s) asynchronously.
         * 
         * @param {string} events events to be triggered
         */
        triggerAsync: function() {
            var self = this;
            var args = Functions.getArguments(arguments);
            var timeout = setTimeout(function() {
                clearTimeout(timeout);
                self.trigger.apply(self, args);
            }, 0);
            return this;
        },

        /**
         * Persistenly trigger an event(s).
         * 
         * @param {string} events events to be triggered
         */
        persistentTrigger: function(events) {
            var rest = Functions.getArguments(arguments, 1);
            this.__events_mixin_persistent_events = this.__events_mixin_persistent_events || [];
            Objs.iter(events.split(this.EVENT_SPLITTER), function(event) {
                this.__events_mixin_persistent_events[event] = this.__events_mixin_persistent_events[event] || [];
                this.__events_mixin_persistent_events[event].push(rest);
            }, this);
            this.trigger.apply(this, arguments);
            return this;
        },

        /**
         * Delegate certain events to this event object.
         * 
         * @param {string} events events to be delegated
         * @param {object} source source event object
         * @param {string} prefix optional event prefix for delegation
         * @param {array} params optional additional event params
         */
        delegateEvents: function(events, source, prefix, params) {
            params = params || [];
            prefix = prefix ? prefix + ":" : "";
            if (events === null) {
                source.on("all", function(event) {
                    var rest = Functions.getArguments(arguments, 1);
                    this.trigger.apply(this, [prefix + event].concat(params).concat(rest));
                }, this);
            } else {
                if (!Types.is_array(events))
                    events = [events];
                Objs.iter(events, function(event) {
                    source.on(event, function() {
                        var rest = Functions.getArguments(arguments);
                        this.trigger.apply(this, [prefix + event].concat(params).concat(rest));
                    }, this);
                }, this);
            }
            return this;
        },

        /**
         * Returns the parent event object in the chain.
         * 
         * @return {object} parent event object
         * 
         * @protected
         * @abstract
         */
        _eventChain: function() {},

        /**
         * Trigger an event locally and up the chain.
         * 
         * @param {string} eventName name of event
         * @param data event data
         */
        chainedTrigger: function(eventName, data) {
            data = Objs.extend({
                source: this,
                bubbles: true
            }, data);
            this.trigger(eventName, data);
            if (data.bubbles) {
                var chain = this._eventChain();
                if (chain && chain.chainedTrigger)
                    chain.chainedTrigger(eventName, data);
            }
            return this;
        },

        /**
         * Suspend all events until resumed.
         */
        suspendEvents: function() {
            this.__suspendedEvents++;
            return this;
        },

        /**
         * Resume all events.
         */
        resumeEvents: function() {
            this.__suspendedEvents--;
            if (this.__suspendedEvents !== 0)
                return this;
            Objs.iter(this.__suspendedEventsQueue, function(ev) {
                this.trigger.apply(this, ev);
            }, this);
            this.__suspendedEventsQueue = [];
            return this;
        }

    };
});

Scoped.define("module:Strings", ["module:Objs"], function(Objs) {
    /**
     * String Utilities
     *
     * @module BetaJS.Strings
     */
    return {


        /**
         * Will act like ASP.NET format function
         *
         * Use Example
         * BetaJS.Strings.format("{0} formatted, and {1} formatted! Also no format {2}", "First", "Second");
         * Result should be: "First formatted, and Second formatted! Also no format {2}"
         *
         * @param {String} stringToFormat
         * @return {String}
         */
        format: function(stringToFormat) {
            var args = Array.prototype.slice.call(arguments, 1);
            return stringToFormat.replace(/{(\d+)}/g, function(match, number) {
                return typeof args[number] != 'undefined' ?
                    args[number] :
                    match;
            });
        },

        /**
         * Uppercases first character in string.
         *
         * @param {string} s string in question
         *
         * @return {string} uppercased string
         */
        ucFirst: function(s) {
            s += '';
            return s.charAt(0).toUpperCase() + s.substr(1);
        },

        /**
         * Escapes a string to be used as an exact match in a regular expression.
         *
         * @param {string} s string in question
         *
         * @return {string} escaped string
         *
         * @link http://stackoverflow.com/a/3561711
         */
        regexEscape: function(s) {
            return s.replace(/[-\/\\^$*+?.()|[\]{}]/g, '\\$&');
        },

        /**
         * Transforms a string with asterisks as placeholders to a regular expression
         *
         * @param {string} s string in question
         *
         * @return {string} escaped string
         */
        asteriskPatternToRegex: function(s) {
            return s.replace(/[-\/\\^$+?.()|[\]{}]/g, '\\$&').replace(/\*/g, '.*');
        },

        /**
         * Pads a string from the left with characters if necessary.
         *
         * @param {string} s string that should be padded
         * @param {string} padding padding string that should be used (e.g. whitespace)
         * @param {int} length minimum length of result string
         *
         * @return {string} padded string
         */
        padLeft: function(s, padding, length) {
            while (s.length < length)
                s = padding + s;
            return s;
        },

        /**
         * Pads a string from the left with zeros ('0') if necessary.
         *
         * @param {string} s string that should be padded
         * @param {int} length minimum length of result string
         *
         * @return {string} zero-padded string
         */
        padZeros: function(s, length) {
            return this.padLeft(s + "", "0", length);
        },

        /** Converts a string new lines to html <br /> tags
         *
         * @param s string
         * @return string with new lines replaced by <br />
         */
        nl2br: function(s) {
            return (s + "").replace(/([^>\r\n]?)(\r\n|\n\r|\r|\n)/g, '$1<br />$2');
        },

        /** Converts special characters in a string to html entitiy symbols
         *
         * @param s string
         * @return converted string
         */
        htmlentities: function(s) {
            return (s + "").replace(/&/g, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(/"/g, '&quot;').replace(/'/g, '&#x27;').replace(/\//g, '&#x2F;');
        },

        JS_ESCAPES: {
            "'": "'",
            '\\': '\\',
            '\r': 'r',
            '\n': 'n',
            '\t': 't',
            '\u2028': 'u2028',
            '\u2029': 'u2029'
        },

        JS_ESCAPER_REGEX: function() {
            if (!this.JS_ESCAPER_REGEX_CACHED)
                this.JS_ESCAPER_REGEX_CACHED = new RegExp(Objs.keys(this.JS_ESCAPES).join("|"), 'g');
            return this.JS_ESCAPER_REGEX_CACHED;
        },

        /** Converts string such that it can be used in javascript by escaping special symbols
         *
         * @param s string
         * @return escaped string
         */
        js_escape: function(s) {
            var self = this;
            return s.replace(this.JS_ESCAPER_REGEX(), function(match) {
                return '\\' + self.JS_ESCAPES[match];
            });
        },

        /** Determines whether a string starts with a sub string
         *
         * @param s string in question
         * @param needle sub string
         * @return true if string in question starts with sub string
         */
        starts_with: function(s, needle) {
            return s.substring(0, needle.length) == needle;
        },

        /** Determines whether a string ends with a sub string
         *
         * @param s string in question
         * @param needle sub string
         * @return true if string in question ends with sub string
         */
        ends_with: function(s, needle) {
            return s.indexOf(needle, s.length - needle.length) !== -1;
        },

        /** Removes sub string from a string if string starts with sub string
         *
         * @param s string in question
         * @param needle sub string
         * @return string without sub string if it starts with sub string otherwise it returns the original string
         */
        strip_start: function(s, needle) {
            return this.starts_with(s, needle) ? s.substring(needle.length) : s;
        },

        /** Removes sub string from a string if string ends with sub string
         *
         * @param s string in question
         * @param needle sub string
         * @return string without sub string if it ends with sub string otherwise it returns the original string
         */
        strip_end: function(s, needle) {
            return this.ends_with(s, needle) ? s.substring(0, s.length - needle.length) : s;
        },

        /**
         * Returns the complete remaining part of a string after the last occurrence of a sub string
         *
         * @param s string in question
         * @param needle sub string
         * @return remaining part of the string in question after the last occurrence of the sub string
         */
        last_after: function(s, needle) {
            return this.splitLast(s, needle).tail;
        },

        /**
         * Returns the complete remaining part of a string after the first occurrence of a sub string
         *
         * @param s string in question
         * @param needle sub string
         * @return remaining part of the string in question after the first occurrence of the sub string
         */
        first_after: function(s, needle) {
            return s.substring(s.indexOf(needle) + 1, s.length);
        },

        EMAIL_ADDRESS_REGEX: /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/,

        STRICT_URL_REGEX: /^\w+:\/\/[^\s]+$/,

        PERMISSIVE_URL_REGEX: /^[\w\.]+\.(com|de|co\.uk|fr|net|org|edu)[^\s]*$/,

        /** Determines whether a string is a syntactically valid email address
         *
         * @param s string in question
         * @return true if string looks like an email address
         */
        is_email_address: function(s) {
            return this.EMAIL_ADDRESS_REGEX.test(s);
        },

        STRIP_HTML_TAGS: ["script", "style", "head"],
        STRIP_HTML_REGEX: /<\/?([a-z][a-z0-9]*)\b[^>]*>?/gi,
        STRIP_HTML_COMMENT_REGEX: /<![^>]*>/gi,

        /** Removes all html from data and returns plain text
         *
         * @param html string containing html
         * @return string containing the plain text part of it
         */
        strip_html: function(html) {
            var result = html;
            for (var i = 0; i < this.STRIP_HTML_TAGS.length; ++i)
                result = result.replace(new RegExp("<" + this.STRIP_HTML_TAGS[i] + ".*</" + this.STRIP_HTML_TAGS[i] + ">", "i"), '');
            result = result.replace(this.STRIP_HTML_REGEX, '').replace(this.STRIP_HTML_COMMENT_REGEX, '');
            return result;
        },

        /** Trims all trailing and leading whitespace and removes block indentations
         *
         * @param s string
         * @return string with trimmed whitespaces and removed block indentation
         */
        nltrim: function(s) {
            var a = s.replace(/\t/g, "  ").split("\n");
            var len = null;
            var i = 0;
            for (i = 0; i < a.length; ++i) {
                var j = 0;
                while (j < a[i].length) {
                    if (a[i].charAt(j) != ' ')
                        break;
                    ++j;
                }
                if (j < a[i].length)
                    len = len === null ? j : Math.min(j, len);
            }
            for (i = 0; i < a.length; ++i)
                a[i] = a[i].substring(len);
            return a.join("\n").trim();
        },

        /**
         * Replaces all occurrences of a substring with something else.
         *
         * @param {string} s input string
         * @param {string} sub search string
         * @param {string} wth replacement string
         *
         * @return {string} input with all occurrences of the search string replaced by the replacement string
         */
        replaceAll: function(s, sub, wth) {
            while (s.indexOf(sub) >= 0)
                s = s.replace(sub, wth);
            return s;
        },

        /**
         * Capitalizes all first characters of all words in a string.
         *
         * @param {string} input input string
         *
         * @return {string} input with all first characters capitalized
         */
        capitalize: function(input) {
            return input.replace(/\w\S*/g, function(txt) {
                return txt.charAt(0).toUpperCase() + txt.substr(1).toLowerCase();
            });
        },

        /**
         * Converts string to pascal case
         *
         * @param {string} s input string
         *
         * @return {string} input in pascal case
         */
        pascalCase: function(s) {
            return s.replace(/[A-Z][a-z0-9]/g, function(txt) {
                return " " + txt;
            }).replace(/[A-Za-z0-9]+/g, function(txt) {
                return txt.charAt(0).toUpperCase() + txt.substr(1).toLowerCase();
            }).replace(/[-_\s]/g, "");
        },

        /**
         * Converts string to camel case
         *
         * @param {string} s input string
         *
         * @return {string} input in camel case
         */
        camelCase: function(s) {
            var txt = this.pascalCase(s);
            return txt.charAt(0).toLowerCase() + txt.substr(1);
        },

        /**
         * Converts string to train case
         *
         * @param {string} s input string
         *
         * @return {string} input in train case
         */
        trainCase: function(s) {
            var txt = this.pascalCase(s);
            return txt.replace(/[A-Z]/g, function(txt) {
                return "-" + txt;
            }).substring(1);
        },

        /**
         * Converts string to snake case
         *
         * @param {string} s input string
         *
         * @return {string} input in snake case
         */
        snakeCase: function(s) {
            return this.trainCase(s).replace(/-/g, "_").toLowerCase();
        },

        /**
         * Converts string to kebab case
         *
         * @param {string} s input string
         *
         * @return {string} input in kebab case
         */
        kebabCase: function(s) {
            return this.trainCase(s).toLowerCase();
        },

        /**
         * Extracts the name from an email address name string (e.g. 'Foo Bar <foobar@domain.com>')
         *
         * @param {string} input email address name input string
         *
         * @return {string} name included in the string
         */
        email_get_name: function(input) {
            input = input || "";
            var temp = input.split("<");
            input = temp[0].trim();
            if (!input || temp.length < 2) {
                temp = temp[temp.length - 1].split("@");
                input = temp[0].trim();
            }
            input = input.replace(/['"]/g, "").replace(/[\\._@]/g, " ");
            return this.capitalize(input);
        },

        /**
         * Extracts the email from an email address name string (e.g. 'Foo Bar <foobar@domain.com>')
         *
         * @param {string} input email address name input string
         *
         * @return {string} email included in the string
         */
        email_get_email: function(input) {
            input = input || "";
            var temp = input.split("<");
            input = temp[0].trim();
            if (temp.length > 1) {
                temp = temp[1].split(">");
                input = temp[0].trim();
            }
            input = input.replace(/'/g, "").replace(/"/g, "").trim();
            return input;
        },

        /**
         * Extracts the salutatory name from an email address name string (normally the first name)
         *
         * @param {string} input email address name input string
         *
         * @return {string} salutatory name
         */
        email_get_salutatory_name: function(input) {
            return (this.email_get_name(input || "").split(" "))[0];
        },

        /**
         * Splits a string into two by the first occurrence of a delimiter
         *
         * @param {string} s input string
         * @param {string} delimiter delimiter string
         *
         * @return {object} a json object, mapping 'head' to the region left and 'tail' to region right to the delimiter
         */
        splitFirst: function(s, delimiter) {
            var i = s.indexOf(delimiter);
            return {
                head: i >= 0 ? s.substring(0, i) : s,
                tail: i >= 0 ? s.substring(i + delimiter.length) : ""
            };
        },

        /**
         * Splits a string into two by the last occurrence of a delimiter
         *
         * @param {string} s input string
         * @param {string} delimiter delimiter string
         *
         * @return {object} a json object, mapping 'head' to the region left and 'tail' to region right to the delimiter
         */
        splitLast: function(s, delimiter) {
            var i = s.lastIndexOf(delimiter);
            return {
                head: i >= 0 ? s.substring(0, i) : "",
                tail: i >= 0 ? s.substring(i + delimiter.length) : s
            };
        },

        /**
         * Replace all groups in a regular expression string by string parameters.
         *
         * @param {string} regex regular expression with groups as a string
         * @param {array} args array of string parameters
         *
         * @return {string} regular expression with groups being replaced by string parameters
         */
        regexReplaceGroups: function(regex, args) {
            var findGroup = /\(.*?\)/;
            var f = function(captured) {
                if (arg)
                    return arg;
                return captured.substring(1, captured.length - 1);
            };
            while (args.length > 0) {
                var arg = args.shift();
                regex = regex.replace(findGroup, f);
            }
            return regex;
        },

        /**
         * Given a regular expression with named capture groups (e.g. '(foobar:\d+)'), compute a normal regular expression with mappings to the named groups.
         *
         * @param {string} regex regular expression with named capture groups
         *
         * @return {object} mapping object
         */
        namedCaptureRegex: function(regex) {
            var groupMap = {};
            var groupIdx = 0;
            var newRegex = new RegExp(regex.replace(/\([^)]+\)/ig, function(group) {
                if (group.charAt(1) != "?" && group.indexOf(":") > 0) {
                    var delimiter = group.indexOf(":");
                    groupMap[group.substring(1, delimiter)] = groupIdx;
                    group = "(" + group.substring(delimiter + 1, group.length - 1) + ")";
                }
                groupIdx++;
                return group;
            }));
            var map = function(groups) {
                return Objs.map(groupMap, function(idx) {
                    return groups[idx + 1];
                });
            };
            var exec = function(test) {
                var result = newRegex.exec(test);
                return result ? map(result) : null;
            };
            var mapBack = function(args) {
                var result = [];
                for (var i = 0; i < groupIdx; ++i)
                    result.push(null);
                for (var key in args)
                    if (key in groupMap)
                        result[groupMap[key]] = args[key];
                return result;
            };
            return {
                regex: newRegex,
                map: map,
                exec: exec,
                mapBack: mapBack
            };
        },

        /**
         * Given an int, returns the short form of its ordinal value
         *
         * @param {int} i An integer
         *
         * @return {string} The ordinal value of the number
         */
        ordinalSuffix: function(i) {
            var j = i % 10,
                k = i % 100;
            if (j === 1 && k !== 11) {
                return i + "st";
            }
            if (j === 2 && k !== 12) {
                return i + "nd";
            }
            if (j === 3 && k !== 13) {
                return i + "rd";
            }
            return i + "th";
        },

        __cachedRegExp: {},

        /**
         * Returns a reg exp object for a reg exp string from a cache.
         *
         * @param {string} regexString reg exp string
         * @param {string} regexOptions reg exp options string
         *
         * @returns {object} RegExp object
         */
        cachedRegExp: function(regexString, regexOptions) {
            regexOptions = regexOptions || "";
            if (!this.__cachedRegExp[regexString])
                this.__cachedRegExp[regexString] = {};
            if (!this.__cachedRegExp[regexString][regexOptions])
                this.__cachedRegExp[regexString][regexOptions] = new RegExp(regexString, regexOptions);
            return this.__cachedRegExp[regexString][regexOptions];
        },

        IP_ADDRESS_REGEXP: /^\d+\.\d+\.\d+\.\d+$/,

        /**
         * Checks whether a given string is an IP address.
         *
         * @param {string} str potential ip address
         *
         * @returns {boolean} true if ip address
         */
        isIPAddress: function(str) {
            return this.IP_ADDRESS_REGEXP.test(str);
        },

        NORMALIZE_SEARCH_TEXT_MAPS: {
            "\\u00dc": "Ue",
            "\\u00fc": "ue",
            "\\u00c4": "Ae",
            "\\u00e4": "ae",
            "\\u00d6": "Oe",
            "\\u00f6": "oe",
            "\\u00df": "ss",
            /*
            "Ue": "U",
            "ue": "u",
            "Ae": "A",
            "ae": "a",
            "Oe": "O",
            "oe": "o",
             */
            "\\W": " ",
            "\\s+": " "
        },

        NORMALIZE_SEARCH_TEXT_MAPS_REGEX: function() {
            if (!this.NORMALIZE_SEARCH_TEXT_MAPS_CACHED) {
                this.NORMALIZE_SEARCH_TEXT_MAPS_CACHED = [];
                Objs.iter(this.NORMALIZE_SEARCH_TEXT_MAPS, function(value, key) {
                    this.NORMALIZE_SEARCH_TEXT_MAPS_CACHED.push({
                        search: new RegExp(key, "g"),
                        replace: value
                    });
                }, this);
            }
            return this.NORMALIZE_SEARCH_TEXT_MAPS_CACHED;
        },

        /**
         * Normalizes a search text in regards to umlauts etc.
         *
         * @param {string} text search text to be normalized
         * @returns {string} normalized search text
         */
        normalizeSearchText: function(text) {
            Objs.iter(this.NORMALIZE_SEARCH_TEXT_MAPS_REGEX(), function(searchReplace) {
                text = text.replace(searchReplace.search, searchReplace.replace);
            });
            return text.trim();
        }

    };

});

Scoped.define("module:Classes.ConditionalInstance", ["module:Class","module:Objs"], function(Class, Objs, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * Conditional Instance Class for registering and creating particular flavors of a certain class under particular conditions
         * 
         * @class BetaJS.Classes.ConditionalInstance
         */
        return {

            /**
             * Instantiates a particular flavor of a ConditionalInstance
             * 
             * @param {object} options Options for the instance
             */
            constructor: function(options) {
                inherited.constructor.call(this);
                this._options = this.cls._initializeOptions(options);
            }

        };
    }, {

        /**
         * Initialize given options with potentially additional parameters
         * 
         * @param {object} options Given options
         * @return {object} Initialized options
         * 
         * @static
         */
        _initializeOptions: function(options) {
            return options;
        },

        /**
         * Determines whether a set of options is supported by this flavor of a ConditionalInstance
         * 
         * @param {object} options set of options
         * @return {boolean} true if supported
         * 
         * @static
         */
        supported: function(options) {
            return false;
        }

    }, {

        __registry: [],

        /**
         * Registers a particular flavor of a ConditionalInstance
         * 
         * @param {object} cls flavor class
         * @param {int} priority priority of this class; the higher the priority the more likely it is to be instantiated
         * 
         * @static
         */
        register: function(cls, priority) {
            this.__registry.push({
                cls: cls,
                priority: priority
            });
        },

        /**
         * Determines the best match of all registered flavors, given a set of options.
         * 
         * @param {object} options Set of options
         * @return {object} flavor class being the best match
         * 
         * @static
         */
        match: function(options) {
            options = this._initializeOptions(options);
            var bestMatch = null;
            Objs.iter(this.__registry, function(entry) {
                if ((!bestMatch || bestMatch.priority < entry.priority) && entry.cls.supported(options))
                    bestMatch = entry;
            }, this);
            return bestMatch;
        },

        /**
         * Instantiates the best match.
         * 
         * @param {object} options Set of options
         * @return {object} Instance of best match
         * 
         * @static
         */
        create: function(options) {
            var match = this.match(options);
            return match ? new match.cls(options) : null;
        },

        /**
         * Determines whether there is any support for a given set of options.
         * 
         * @param {object} options Set of options
         * @return {boolean} True if there is at least one match.
         * 
         * @static
         */
        anySupport: function(options) {
            return this.match(options) !== null;
        }

    });
});

Scoped.define("module:Properties.ObservableMixin", [], function() {

    /**
     * Properties Observable Mixin
     *
     * @mixin BetaJS.Properties.ObservableMixin
     */
    return {

        __observable_guid: "48994ac3-7e0b-4ed5-8995-f146215dc795",

        /**
         * Returns the value associated with a key.
         *
         * @param {string} key key to read value for
         *
         * @return value for key
         */
        get: function(key) {},

        /**
         * Checks whether a key is set.
         *
         * @param {string} key key in question
         *
         * @return {boolean} true if key is set
         */
        hasKey: function(key) {}

    };
});

Scoped.define("module:Objs.Scopes", ["module:Types"], function(Types) {
    /**
     * Scoped access of keys within objects.
     * 
     * @module BetaJS.Objs.Scopes
     */
    return {

        /**
         * Determines whether a scoped key exists within a scope.
         * 
         * @param {string} key key within scope
         * @param {object} name scope context
         * 
         * @return {boolean} true if key exists within scope
         */
        has: function(key, scope) {
            var keys = key ? key.split(".") : [];
            for (var i = 0; i < keys.length; ++i) {
                if (!scope || !Types.is_object(scope))
                    return false;
                scope = scope[keys[i]];
            }
            return Types.is_defined(scope);
        },

        /**
         * Returns the value of a key within a scope.
         * 
         * @param {string} key key within scope
         * @param {object} name scope context
         * 
         * @return Value for key in scope
         */
        get: function(key, scope) {
            var keys = key ? key.split(".") : [];
            for (var i = 0; i < keys.length; ++i) {
                if (!scope || !Types.is_object(scope))
                    return null;
                scope = scope[keys[i]];
            }
            return scope;
        },

        /**
         * Sets the value of a key within a scope.
         * 
         * @param {string} key key within scope
         * @param name value to be set
         * @param {object} name scope context
         */
        set: function(key, value, scope) {
            if (!key)
                return;
            var keys = key.split(".");
            for (var i = 0; i < keys.length - 1; ++i) {
                if (!(keys[i] in scope) || !Types.is_object(scope[keys[i]]))
                    scope[keys[i]] = {};
                scope = scope[keys[i]];
            }
            scope[keys[keys.length - 1]] = value;
        },

        /**
         * Unsets a key within a scope.
         * 
         * @param {string} key key within scope
         * @param {object} name scope context
         */
        unset: function(key, scope) {
            if (!key)
                return;
            var keys = key.split(".");
            for (var i = 0; i < keys.length - 1; ++i) {
                if (!scope || !Types.is_object(scope))
                    return;
                scope = scope[keys[i]];
            }
            delete scope[keys[keys.length - 1]];
        },

        /**
         * Makes sure that a certain key is accessible within a scope.
         * 
         * @param {string} key key within scope
         * @param {object} name scope context
         * 
         * @return Touched value
         */
        touch: function(key, scope) {
            if (!key)
                return scope;
            var keys = key.split(".");
            for (var i = 0; i < keys.length; ++i) {
                if (!(keys[i] in scope) || !Types.is_object(scope))
                    scope[keys[i]] = {};
                scope = scope[keys[i]];
            }
            return scope[keys[keys.length - 1]];
        }

    };
});

Scoped.define("module:Properties.PropertiesMixin", ["module:Objs.Scopes","module:Objs","module:Strings","module:Types","module:Functions"], function(Scopes, Objs, Strings, Types, Functions) {

    /**
     * Properties Mixin
     * 
     * @mixin BetaJS.Properties.PropertiesMixin
     */
    return {

        __properties_guid: "ec816b66-7284-43b1-a945-0600c6abfde3",

        _notifications: {
            "construct": function() {
                this.__properties = {
                    // hierarchical organization
                    data: {},
                    // hierarchical organization
                    watchers: {
                        children: {},
                        eventCount: 0,
                        parent: null,
                        key: null
                    },
                    // flat organization
                    computed: {},
                    // flat organization
                    bindings: {}
                };
                Objs.iter(this.materializes, function(key) {
                    this.materializeAttr(key);
                }, this);
            },
            "destroy": function() {
                Objs.iter(this.__properties.bindings, function(value, key) {
                    this.unbind(key);
                }, this);
                Objs.iter(this.__properties.computed, function(value, key) {
                    this.uncompute(key);
                }, this);
                /**
                 * @event BetaJS.Properties.PropertiesMixin#destroy
                 */
                this.trigger("destroy");
            },
            "register_event": function(event) {
                Objs.iter(["change", "unset", "deepchange", "deepunset", "strongdeepchange", "strongchange"], function(eventType) {
                    if (Strings.starts_with(event, eventType + ":"))
                        this.__registerWatcher(Strings.strip_start(event, eventType + ":"), eventType);
                }, this);
            },
            "unregister_event": function(event) {
                Objs.iter(["change", "unset", "deepchange", "deepunset", "strongdeepchange", "strongchange"], function(eventType) {
                    if (Strings.starts_with(event, eventType + ":"))
                        this.__unregisterWatcher(Strings.strip_start(event, eventType + ":"), eventType);
                }, this);
            }
        },

        __registerWatcher: function(key, event) {
            var keys = key ? key.split(".") : [];
            var current = this.__properties.watchers;
            for (var i = 0; i < keys.length; ++i) {
                if (!(keys[i] in current.children)) {
                    current.children[keys[i]] = {
                        parent: current,
                        eventCount: 0,
                        children: {},
                        key: keys[i]
                    };
                }
                current = current.children[keys[i]];
            }
            current.eventCount++;
        },

        __unregisterWatcher: function(key, event) {
            var keys = key ? key.split(".") : [];
            var current = this.__properties.watchers;
            for (var i = 0; i < keys.length; ++i) {
                if (current)
                    current = current.children[keys[i]];
            }
            if (!current)
                return;
            current.eventCount--;
            while (current.eventCount <= 0 && Types.is_empty(current.children) && current.parent) {
                var parent = current.parent;
                delete parent.children[current.key];
                current = parent;
            }
        },

        __unsetChanged: function(key, oldValue) {
            /**
             * @event BetaJS.Properties.PropertiesMixin#unset
             */
            this.trigger("unset", key, oldValue);
            var keys = key ? key.split(".") : [];
            var current = this.__properties.watchers;
            var head = "";
            var tail = key;
            for (var i = 0; i < keys.length; ++i) {
                if (current.eventCount > 0) {
                    /**
                     * @event BetaJS.Properties.PropertiesMixin#deepunset
                     */
                    this.trigger("deepunset:" + head, oldValue, tail);
                }
                if (!(keys[i] in current.children))
                    return this;
                current = current.children[keys[i]];
                head = head ? (head + "." + keys[i]) : keys[i];
                tail = Strings.first_after(tail, ".");
            }

            function process_unset(current, key, oldValue) {
                if (Types.is_undefined(oldValue))
                    return;
                if (current.eventCount > 0) {
                    /**
                     * @event BetaJS.Properties.PropertiesMixin#unset
                     */
                    this.trigger("unset:" + key, oldValue);
                }
                Objs.iter(current.children, function(child, subkey) {
                    process_unset.call(this, child, key ? (key + "." + subkey) : subkey, oldValue[subkey]);
                }, this);
            }
            process_unset.call(this, current, key, oldValue);
            return this;
        },

        __setChanged: function(key, value, oldValue, notStrong) {
            /**
             * @event BetaJS.Properties.PropertiesMixin#change
             */
            this.trigger("change", key, value, oldValue);
            this._afterSet(key, value);
            if (this.destroyed())
                return;
            var keys = key ? key.split(".") : [];
            var current = this.__properties.watchers;
            var head = "";
            var tail = key;
            for (var i = 0; i < keys.length; ++i) {
                if (current.eventCount > 0) {
                    if (!notStrong) {
                        /**
                         * @event BetaJS.Properties.PropertiesMixin#strongdeepchange
                         */
                        this.trigger("strongdeepchange:" + head, value, oldValue, tail);
                    }
                    /**
                     * @event BetaJS.Properties.PropertiesMixin#deepchange
                     */
                    this.trigger("deepchange:" + head, value, oldValue, tail);
                }
                if (!(keys[i] in current.children))
                    return;
                current = current.children[keys[i]];
                head = head ? (head + "." + keys[i]) : keys[i];
                tail = Strings.first_after(tail, ".");
            }

            function process_set(current, key, value, oldValue) {
                if (value == oldValue)
                    return;
                if (current.eventCount > 0) {
                    if (!notStrong) {
                        /**
                         * @event BetaJS.Properties.PropertiesMixin#strongchange
                         */
                        this.trigger("strongchange:" + key, value, oldValue);
                    }
                    /**
                     * @event BetaJS.Properties.PropertiesMixin#change
                     */
                    this.trigger("change:" + key, value, oldValue);
                }
                Objs.iter(current.children, function(child, subkey) {
                    process_set.call(this, child, key ? (key + "." + subkey) : subkey, Types.is_object(value) && value ? value[subkey] : null, Types.is_object(oldValue) && oldValue ? oldValue[subkey] : null);
                }, this);
            }
            process_set.call(this, current, key, value, oldValue);
        },

        /**
         * Attributes that will be materialized upon initialization.
         */
        materializes: [],

        /**
         * Resolve the scope associated with a key.
         * 
         * @param {string} key key to resolve
         * @return associated scope
         * 
         * @protected
         */
        _resolveProps: function(key) {
            var result = {
                props: this,
                key: key
            };
            var scope = this.data();
            while (key) {
                if (!scope || !Types.is_object(scope))
                    return result;
                if (scope.__properties_guid === this.__properties_guid)
                    return scope._resolveProps(key);
                var spl = Strings.splitFirst(key, ".");
                if (!(spl.head in scope))
                    return result;
                key = spl.tail;
                scope = scope[spl.head];
            }
            return result;
        },

        /**
         * Check whether a key can be set to a value.
         * 
         * @param {string} key key in question
         * @param value value in question
         * 
         * @return {boolean} true if can be set
         * 
         * @protected
         */
        _canSet: function(key, value) {
            return true;
        },

        /**
         * Called before setting a value.
         * 
         * @param {string} key key in question
         * @param value value in question
         * @param oldValue oldValue in question
         * 
         * @return value, possibly altered
         * 
         * @protected
         */
        _beforeSet: function(key, value, oldValue) {
            return value;
        },

        /**
         * Called after setting a value.
         * 
         * @param {string} key key in question
         * @param value value in question
         * 
         * @protected
         */
        _afterSet: function(key, value) {},

        /**
         * Get value for key, resolving intermediate properties instances.
         * 
         * @param {string} key key to read
         * 
         * @return associated value
         */
        getProp: function(key) {
            var resolved = this._resolveProps(key);
            return resolved.props.get(resolved.key);
        },

        /**
         * Set value for key, resolving intermediate properties instances.
         * 
         * @param {string} key to read
         * @param value value to write
         */
        setProp: function(key, value) {
            var resolved = this._resolveProps(key);
            resolved.props.set(resolved.key, value);
            return this;
        },

        /**
         * Remove computation of a key.
         * 
         * @param {string} key key to remove computation for
         */
        uncomputeProp: function(key) {
            var resolved = this._resolveProps(key);
            return resolved.props.uncompute(resolved.key);
        },

        /**
         * Add computation of a key.
         * 
         * @param {string} key key to add computation for
         * @param {function} func function to compute the key
         */
        computeProp: function(key, func) {
            var resolved = this._resolveProps(key);
            var args = Functions.getArguments(arguments);
            args[0] = resolved.key;
            return resolved.props.compute.apply(resolved.props.compute, args);
        },

        /**
         * Returns the value associated with a key.
         * 
         * @param {string} key key to read value for
         * 
         * @return value for key
         */
        get: function(key) {
            return Scopes.get(key, this.__properties.data);
        },

        /**
         * Checks whether a key is set.
         * 
         * @param {string} key key in question
         * 
         * @return {boolean} true if key is set
         */
        has: function(key) {
            return Scopes.has(key, this.__properties.data);
        },

        /**
         * Checks whether a key is set.
         *
         * @param {string} key key in question
         *
         * @return {boolean} true if key is set
         */
        hasKey: function(key) {
            return this.has(key);
        },

        /**
         * Sets all attributes in a JSON object.
         * 
         * @param {object} obj JSON object data
         * 
         */
        setAll: function(obj) {
            for (var key in obj)
                this.set(key, obj[key]);
            return this;
        },

        /**
         * Returns all keys of the instance, possibly mapped.
         * 
         * @param {function} mapped optional key mapping
         * 
         * @return {array} all keys
         */
        keys: function(mapped) {
            return Objs.keys(this.__properties.data, mapped);
        },

        /**
         * Returns a data pointer to the raw data. Read only.
         * 
         * @return {object} data pointer
         */
        data: function() {
            return this.__properties.data;
        },

        /**
         * Returns a raw data copy.
         * 
         * @return {object} raw data copy
         */
        getAll: function() {
            return Objs.clone(this.__properties.data, 1);
        },

        clone: function() {
            return new(this.cls)(this.getAll());
        },

        /**
         * Iterates over all key-value pairs.
         *
         * @param {function} cb callback function
         * @param {object} ctx optional context
         *
         */
        iterate: function(cb, ctx) {
            Objs.iter(this.getAll(), cb, ctx);
            return this;
        },

        /**
         * Materializes an attribute as a function.
         * 
         * @param {string} attr attribute to be materialized
         * 
         */
        materializeAttr: function(attr) {
            this[attr] = function(value) {
                if (arguments.length === 0)
                    return this.get(attr);
                this.set(attr, value);
            };
            return this;
        },

        /**
         * Remove the computation of a key.
         * 
         * @param {string} key key for which the computation should be removed
         */
        uncompute: function(key) {
            if (key in this.__properties.computed) {
                Objs.iter(this.__properties.computed[key].dependencies, function(dependency) {
                    dependency.properties.off("change:" + dependency.key, null, dependency);
                    if (dependency.value && !dependency.value.destroyed())
                        dependency.value.off("change update", null, dependency);
                }, this);
                delete this.__properties.computed[key];
            }
            return this;
        },

        bicompute: function(left, right, leftToRight, rightToLeft) {
            leftToRight.call(this);
            var exclusive = false;
            [
                [left, leftToRight],
                [right, rightToLeft]
            ].forEach(function(direction) {
                direction[0].forEach(function(key) {
                    this.on("change:" + key, function() {
                        if (exclusive)
                            return;
                        try {
                            exclusive = true;
                            direction[1].call(this);
                            exclusive = false;
                        } catch (e) {
                            exclusive = false;
                            throw e;
                        }
                    }, this);
                }, this);
            }, this);
            return this;
        },

        /**
         * Add a computation for a key.
         * 
         * @param {string} key key to add computation for
         * @param {function} func function to compute the key
         */
        compute: function(key, func) {
            var args = Functions.matchArgs(arguments, 2, {
                setter: "function",
                context: {
                    type: "object",
                    def: this
                },
                dependencies: true
            });
            this.uncompute(key);
            var deps = [];
            Objs.iter(args.dependencies, function(dep) {
                if (Types.is_string(dep))
                    deps.push({
                        properties: this,
                        key: dep
                    });
                else
                    deps.push({
                        properties: dep[0],
                        key: dep[1]
                    });
            }, this);
            var computed = {
                ignore: 0,
                func: func,
                context: args.context,
                setter: args.setter,
                dependencies: deps
            };
            this.__properties.computed[key] = computed;
            var self = this;

            function recompute() {
                if (computed.ignore > 0)
                    return;
                var values = Objs.map(deps, function(dep) {
                    return dep.properties.get(dep.key);
                });
                self.set(key, func.apply(args.context, values));
            }
            Objs.iter(deps, function(dep) {
                var value = dep.properties.get(dep.key);
                // Ugly way of checking whether an EventsMixin is present - please improve in the future on this
                if (value && typeof value == "object" && "on" in value && "off" in value && "trigger" in value) {
                    dep.value = value;
                    value.on("change update", function() {
                        recompute();
                    }, dep);
                }
                dep.properties.on("change:" + dep.key, function(value, oldValue) {
                    dep.value = null;
                    if (oldValue && typeof oldValue == "object" && "on" in oldValue && "off" in oldValue && "trigger" in oldValue) {
                        oldValue.off("change update", null, dep);
                    }
                    if (value && typeof value == "object" && "on" in value && "off" in value && "trigger" in value) {
                        dep.value = value;
                        value.on("change update", function() {
                            recompute();
                        }, dep);
                    }
                    recompute();
                }, dep);
            }, this);
            recompute();
            return this;
        },

        /**
         * Removes a binding for a key and another properties instance.
         * 
         * @param {string} key key for which the binding should be removed
         * @param {object} props other properties instance
         */
        unbind: function(key, props) {
            if (key in this.__properties.bindings) {
                for (var i = this.__properties.bindings[key].length - 1; i >= 0; --i) {
                    var binding = this.__properties.bindings[key][i];
                    if (!props || props == binding) {
                        if (binding.left)
                            binding.properties.off(null, null, binding);
                        if (binding.right)
                            this.off(null, null, binding);
                        this.__properties.bindings[key].splice(i, 1);
                        i--;
                    }
                }
                if (this.__properties.bindings[key].length === 0)
                    delete this.__properties.bindings[key];
            }
            return this;
        },

        /**
         * Adds a binding for a key and another properties instance.
         * 
         * @param {string} key key for which the binding should be added
         * @param {object} props other properties instance
         * @param {object} options optional options
         */
        bind: function(key, properties, options) {
            options = Objs.extend({
                secondKey: key,
                left: true,
                right: true,
                deep: false
            }, options);
            var binding = {
                key: options.secondKey,
                left: options.left,
                right: options.right,
                deep: options.deep,
                properties: properties
            };
            this.__properties.bindings[key] = this.__properties.bindings[key] || [];
            this.__properties.bindings[key].push(binding);
            var self = this;
            if (binding.left) {
                binding.properties.on("strongchange:" + binding.key, function(value) {
                    self.set(key, value);
                }, binding);
                binding.properties.on("unset:" + binding.key, function(value) {
                    self.unset(key);
                }, binding);
                if (binding.deep) {
                    binding.properties.on("strongdeepchange:" + binding.key, function(value, oldValue, subKey) {
                        if (self.get(key ? key + "." + subKey : subKey) === value)
                            self.__setChanged(key ? key + "." + subKey : subKey, value, oldValue, true);
                        else
                            self.set(key ? key + "." + subKey : subKey, value);
                    }, binding);
                    binding.properties.on("deepunset:" + binding.key, function(oldValue, subKey) {
                        if (!self.has(key ? key + "." + subKey : subKey))
                            self.__unsetChanged(key ? key + "." + subKey : subKey, oldValue);
                        else
                            self.unset(key ? key + "." + subKey : subKey);
                    }, binding);
                }
                if (!binding.right || !this.has(key))
                    this.set(key, binding.properties.get(binding.key));
                if (key === "") {
                    Objs.iter(binding.properties.data(), function(value, k) {
                        this.set(k, value);
                    }, this);
                }
            }
            if (binding.right) {
                this.on("strongchange:" + key, function(value) {
                    binding.properties.set(binding.key, value);
                }, binding);
                this.on("unset:" + key, function(value) {
                    binding.properties.unset(binding.key);
                }, binding);
                if (binding.deep) {
                    this.on("strongdeepchange:" + key, function(value, oldValue, subKey) {
                        if (binding.properties.get(binding.key ? binding.key + "." + subKey : subKey) === value)
                            binding.properties.__setChanged(binding.key ? binding.key + "." + subKey : subKey, value, oldValue, true);
                        else
                            binding.properties.set(binding.key ? binding.key + "." + subKey : subKey, value);
                    }, binding);
                    this.on("deepunset:" + key, function(oldValue, subKey) {
                        if (!binding.properties.has(binding.key ? binding.key + "." + subKey : subKey))
                            binding.properties.__unsetChanged(binding.key ? binding.key + "." + subKey : subKey, oldValue);
                        else
                            binding.properties.unset(binding.key ? binding.key + "." + subKey : subKey);
                    }, binding);
                }
                if (!binding.left || this.has(key))
                    binding.properties.set(binding.key, this.get(key));
                if (key === "") {
                    Objs.iter(this.data(), function(value, k) {
                        binding.properties.set(k, value);
                    }, this);
                }
            }
            binding.properties.on("destroy", function() {
                if (!self.destroyed())
                    self.unbind(key);
            }, binding);
            return this;
        },

        /**
         * Removes a key from the properties instance.
         * 
         * @param {string} key key to be removed
         */
        unset: function(key) {
            if (this.has(key)) {
                var oldValue = this.get(key);
                Scopes.unset(key, this.__properties.data);
                this.__unsetChanged(key, oldValue);
            }
            return this;
        },

        /**
         * Sets a key in the properties instance.
         * 
         * @param {string} key key to be set
         * @param value value to be set
         * @param {boolean} force optional force argument
         */
        set: function(key, value, force) {
            if (Types.is_object(value) && value && value.guid == this.__properties_guid) {
                if (value.properties)
                    this.bind(key, value.properties, {
                        secondKey: value.key
                    });
                if (value.func)
                    this.compute(key, value.func, value.dependencies);
                return this;
            }
            var oldValue = this.get(key);
            value = this._beforeSet(key, value, oldValue);
            if (oldValue !== value) {
                Scopes.set(key, value, this.__properties.data);
                this.__setChanged(key, value, oldValue);
            } else if (force) {
                /**
                 * @event BetaJS.Properties.PropertiesMixin#change
                 */
                this.trigger("change", key, value, oldValue, true);
                /**
                 * @event BetaJS.Properties.PropertiesMixin#change
                 */
                this.trigger("change:" + key, value, oldValue, true);
            }
            return this;
        },

        /**
         * @deprecated
         */
        binding: function(key) {
            return {
                guid: this.__properties_guid,
                properties: this,
                key: key
            };
        },

        /**
         * @deprecated
         */
        computed: function(f, dependencies) {
            return {
                guid: this.__properties_guid,
                func: f,
                dependencies: dependencies
            };
        },

        /**
         * Returns the properties unique id.
         * 
         * @return {string} unique properties id
         */
        pid: function() {
            return this.cid();
        },

        /**
         * Checks whether this properties instance is a subset of another properties instance.
         *  
         * @param {object} props another properties instance or JSON object
         * 
         * @return {boolean} true if this instance is a subset of the other properties object
         */
        isSubsetOf: function(props) {
            return Objs.subset_of(this.data(), props.data ? props.data() : props);
        },

        /**
         * Checks whether this properties instance is a superset of another properties instance.
         *  
         * @param {object} props another properties instance or JSON object
         * 
         * @return {boolean} true if this instance is a superset of the other properties object
         */
        isSupersetOf: function(props) {
            return Objs.superset_of(this.data(), props.data ? props.data() : props);
        },

        /**
         * ES5 only
         */
        getProxy: function() {
            var self = this;
            return new Proxy(this.__properties.data, {
                get: function(target, prop, receiver) {
                    return self.get(prop);
                },
                set: function(target, prop, value) {
                    self.set(prop, value);
                }
            });
        }

    };
});

Scoped.define("module:Properties.Properties", ["module:Class","module:Objs","module:Events.EventsMixin","module:Properties.ObservableMixin","module:Properties.PropertiesMixin"], function(Class, Objs, EventsMixin, ObservableMixin, PropertiesMixin, scoped) {
    return Class.extend({
        scoped: scoped
    }, [EventsMixin, ObservableMixin, PropertiesMixin, function(inherited) {

        /**
         * Properties Class
         * 
         * @class BetaJS.Properties.Properties
         */
        return {

            /**
             * Creates a new instance.
             * 
             * @param {object} obj optional initial attributes
             * @param {array} materializes optional initial attributes that should be materialized
             */
            constructor: function(obj, materializes) {
                inherited.constructor.call(this);
                if (obj)
                    this.setAll(obj);
                if (materializes) {
                    Objs.iter(materializes, function(key) {
                        this.materializeAttr(key);
                    }, this);
                }
            }

        };
    }]);
});

Scoped.define("module:Comparators", ["module:Types","module:Properties.Properties"], function(Types, Properties) {

    /**
     * Comparator Functions
     * 
     * @module BetaJS.Comparators
     */
    return {


        /**
         * Creates a function that compares two json object w.r.t. a json object, mapping keys to a comparison order,
         * e.g. {'last_name': 1, 'first_name': -1, 'age': -1 }  
         * 
         * @param {json} object comparison object
         * @return {function} function for comparing two objects w.r.t. the comparison object
         */
        byObject: function(object) {
            var self = this;
            return function(left, right) {
                for (var key in object) {
                    var c = 0;
                    if (Properties.is_class_instance(left) && Properties.is_class_instance(right))
                        c = self.byValue(left.get(key) || null, right.get(key) || null);
                    else
                        c = self.byValue(left[key] || null, right[key] || null);
                    if (c !== 0)
                        return c * object[key];
                }
                return 0;
            };
        },


        /**
         * Compares to variables by the natural order in JS.
         * 
         * @param a value A
         * @param b value B
         * @return {int} 1 if a > b, -1 if a < b and 0 otherwise
         */
        byValue: function(a, b) {
            if (Types.is_string(a))
                return a.localeCompare(b);
            if (a < b)
                return -1;
            if (a > b)
                return 1;
            return 0;
        },


        /**
         * Compares two values a and b recursively.
         * 
         * @param a value A
         * @param b value B
         * @param {int} depth depth limit for the recursion, leave blank for infinite recursion
         * @return {bool} true if both values are equal
         */
        deepEqual: function(a, b, depth) {
            if (depth === 0)
                return true;
            if (depth === 1)
                return a === b;
            if (Types.is_array(a) && Types.is_array(b)) {
                if (a.length !== b.length)
                    return false;
                for (var i = 0; i < a.length; ++i)
                    if (!this.deepEqual(a[i], b[i], depth - 1))
                        return false;
                return true;
            } else if (Types.is_object(a) && Types.is_object(b)) {
                if (!a || !b)
                    return a === b;
                for (var key in a)
                    if (!this.deepEqual(a[key], b[key], depth - 1))
                        return false;
                for (key in b)
                    if (!(key in a))
                        return false;
                return true;
            } else
                return a === b;
        },


        /**
         * Determines whether two lists are equal. Two lists are considered equal if their elements are equal.
         * 
         * @param a list A
         * @param b list B
         * @return {bool} true if both lists are equal
         */
        listEqual: function(a, b) {
            return this.deepEqual(a, b, 2);
        }

    };
});

Scoped.define("module:Exceptions.Exception", ["module:Class","module:Comparators"], function(Class, Comparators, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * Exception Class
         * 
         * @class BetaJS.Exceptions.Exception
         */
        return {

            /**
             * Instantiates a new exception.
             * 
             * @param {string} message Exception message
             */
            constructor: function(message) {
                inherited.constructor.call(this);
                this.__message = message;
                try {
                    throw new Error();
                } catch (e) {
                    this.__stack = e.stack;
                }
            },

            /**
             * Asserts to be a certain type of exception. Throws this as an exception of assertion fails.
             * 
             * @param {object} exception_class Exception class to be asserted
             * @return {object} this
             */
            assert: function(exception_class) {
                if (!this.instance_of(exception_class))
                    throw this;
                return this;
            },

            /**
             * Returns exception message string.
             * 
             * @return {string} Exception message string
             */
            message: function() {
                return this.__message;
            },

            /**
             * Returns exception stack.
             * 
             * @return Exception stack
             */
            stack: function() {
                return this.__stack;
            },

            /**
             * Format exception as string.
             * 
             * @return {string} Exception string
             */
            toString: function() {
                return this.message();
            },

            /**
             * Format exception as string including the classname.
             * 
             * @return {string} Exception string plus classname
             */
            format: function() {
                return this.cls.classname + ": " + this.toString();
            },

            /**
             * Returns exception data as JSON.
             * 
             * @return {object} exception data
             */
            json: function() {
                return {
                    classname: this.cls.classname,
                    message: this.message(),
                    stack: this.stack()
                };
            },

            /**
             * Determines whether this exception is equal to another.
             * 
             * @param {object} other Other exception
             * @return {boolean} True if equal
             */
            equals: function(other) {
                return other && this.cls === other.cls && Comparators.deepEqual(this.json(), other.json(), -1);
            }

        };
    }, {

        /**
         * Ensures that a given exception is an instance of an Exception class
         * 
         * @param e Exception
         * @return {object} Exception instance
         */
        ensure: function(e) {
            if (!this.is_instance_of(e))
                throw "Unasserted Exception " + e;
            return e;
        }

    });
});

Scoped.define("module:Ajax.AjaxException", ["module:Exceptions.Exception"], function(Exception, scoped) {
    return Exception.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * Abstract Ajax Exception Class
         * 
         * @class BetaJS.Ajax.AjaxException
         */
        return {

            /**
             * Returns the status code associated with the exception
             * 
             * @return {int} status code
             */
            status_code: function() {
                return 500;
            }

        };
    });
});

Scoped.define("module:Ajax.NoCandidateAjaxException", ["module:Ajax.AjaxException"], function(Exception, scoped) {
    return Exception.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * No Candidate Ajax Exception Class
         * 
         * @class BetaJS.Ajax.NoCandidateAjaxException
         */
        return {

        };
    });
});

Scoped.define("module:Ajax.ReturnDataParseException", ["module:Ajax.AjaxException"], function(Exception, scoped) {
    return Exception.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * Return Data Parse Exception Class
         * 
         * @class BetaJS.Ajax.ReturnDataParseException 
         */
        return {

            /**
             * Creates a new instance.
             * 
             * @param data return data
             * @param {string} decodeType decode type for return data 
             */
            constructor: function(data, decodeType) {
                inherited.constructor.call(this, "Could not decode data with type " + decodeType);
                this.__decodeType = decodeType;
                this.__data = data;
            }

        };
    });
});

Scoped.define("module:Ajax.RequestException", ["module:Ajax.AjaxException","module:Objs"], function(Exception, Objs, scoped) {
    return Exception.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * Request Exception Class
         * 
         * @class BetaJS.Ajax.RequestException
         */
        return {

            /**
             * Instantiates a Ajax Request Exception
             * 
             * @param status_code Status Code
             * @param {string} status_text Status Text
             * @param data Custom Exception Data
             */
            constructor: function(status_code, status_text, data) {
                inherited.constructor.call(this, status_code + ": " + status_text);
                this.__status_code = status_code;
                this.__status_text = status_text;
                this.__data = data;
            },

            /**
             * Returns the status code associated with the exception
             * 
             * @return {int} status code
             */
            status_code: function() {
                return this.__status_code;
            },

            /**
             * Returns the status text associated with the exception
             * 
             * @return {string} status text
             */
            status_text: function() {
                return this.__status_text;
            },

            /**
             * Returns the custom data associated with the exception 
             * 
             * @return custom data
             */
            data: function() {
                return this.__data;
            },

            /**
             * Returns a JSON representation of the exception
             * 
             * @return {object} Exception JSON representation
             */
            json: function() {
                return Objs.extend({
                    data: this.data(),
                    status_code: this.status_code(),
                    status_text: this.status_text()
                }, inherited.json.call(this));
            }

        };
    });
});

Scoped.define("module:Ajax.TimeoutException", ["module:Ajax.AjaxException"], function(Exception, scoped) {
    return Exception.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * Timeout Exception Class
         *
         * @class BetaJS.Ajax.Timeout
         */
        return {

        };
    });
});

Scoped.define("module:Sort", ["module:Comparators","module:Types","module:Objs"], function(Comparators, Types, Objs) {

    /**
     * Sort objects and arrays.
     * 
     * @module BetaJS.Sort
     */
    return {

        /**
         * Sort keys in an object according to a comparator. 
         * 
         * @param {object} object object to be sorted
         * @param {function} f comparator comparator for sorting, accepting keys first and then optionally values
         * 
         * @return {object} sorted object
         */
        sort_object: function(object, f) {
            var a = [];
            for (var key in object)
                a.push({
                    key: key,
                    value: object[key]
                });
            a.sort(function(x, y) {
                return f(x.key, y.key, x.value, y.value);
            });
            var o = {};
            for (var i = 0; i < a.length; ++i)
                o[a[i].key] = a[i].value;
            return o;
        },

        /**
         * Deep sorting an object according to a comparator. 
         * 
         * @param {object} object object to be sorted
         * @param {function} f comparator comparator for sorting, accepting keys first and then optionally values
         * 
         * @return {object} sorted object
         */
        deep_sort: function(object, f) {
            f = f || Comparators.byValue;
            if (Types.is_array(object)) {
                for (var i = 0; i < object.length; ++i)
                    object[i] = this.deep_sort(object[i], f);
                return object.sort(f);
            } else if (Types.is_object(object)) {
                for (var key in object)
                    object[key] = this.deep_sort(object[key], f);
                return this.sort_object(object, f);
            } else
                return object;
        },

        /**
         * Sort an array of items with inter-dependency specifiers s.t. every item in the resulting array has all its dependencies come before.
         * 
         * @param {array} items list of items with inter-dependency specifiers
         * @param {string|function} identifier function / key mapping an item to its unique identifier
         * @param {string|function} before function / key mapping an item to its array of dependencies
         * @param {string|function} after function / key mapping an item to its array of depending items
         * 
         * @return {array} sorted array
         */
        dependency_sort: function(items, identifier, before, after) {
            var identifierf = Types.is_string(identifier) ? function(obj) {
                return obj[identifier];
            } : identifier;
            var beforef = Types.is_string(before) ? function(obj) {
                return obj[before];
            } : before;
            var afterf = Types.is_string(after) ? function(obj) {
                return obj[after];
            } : after;
            var n = items.length;
            var data = [];
            var identifier_to_index = {};
            var todo = {};
            var i = 0;
            for (i = 0; i < n; ++i) {
                todo[i] = true;
                var ident = identifierf(items[i], i);
                identifier_to_index[ident] = i;
                data.push({
                    before: {},
                    after: {}
                });
            }
            var make_before_iter_func = function(i) {
                return function(before) {
                    var before_index = identifier_to_index[before];
                    if (Types.is_defined(before_index)) {
                        data[i].before[before_index] = true;
                        data[before_index].after[i] = true;
                    }
                };
            };
            var make_after_iter_func = function(i) {
                return function(after) {
                    var after_index = identifier_to_index[after];
                    if (Types.is_defined(after_index)) {
                        data[i].after[after_index] = true;
                        data[after_index].before[i] = true;
                    }
                };
            };
            for (i = 0; i < n; ++i) {
                Objs.iter(beforef(items[i], i) || [], make_before_iter_func(i));
                Objs.iter(afterf(items[i]) || [], make_after_iter_func(i));
            }
            var result = [];
            while (!Types.is_empty(todo)) {
                for (i in todo) {
                    if (Types.is_empty(data[i].after)) {
                        delete todo[i];
                        result.push(items[i]);
                        for (var bef in data[i].before)
                            delete data[bef].after[i];
                    }
                }
            }
            return result;
        }

    };
});

Scoped.define("module:Net.Uri", ["module:Objs","module:Types","module:Strings","module:Sort"], function(Objs, Types, Strings, Sort) {

    var parse_strict_regex = /^(?:([^:\/?#]+):)?(?:\/\/((?:(([^:@]*)(?::([^:@]*))?)?@)?([^:\/?#]*)(?::(\d*))?))?((((?:[^?#\/]*\/)*)([^?#]*))(?:\?([^#]*))?(?:#(.*))?)/;
    var parse_loose_regex = /^(?:(?![^:@]+:[^:@\/]*@)([^:\/?#.]+):)?(?:\/\/)?((?:(([^:@]*)(?::([^:@]*))?)?@)?([^:\/?#]*)(?::(\d*))?)(((\/(?:[^?#](?![^?#\/]*\.[^?#\/.]+(?:[?#]|$)))*\/?)?([^?#\/]*))(?:\?([^#]*))?(?:#(.*))?)/;
    var parse_key = ["source", "protocol", "authority", "userInfo", "user", "password", "host", "port", "relative", "path", "directory", "file", "query", "anchor"];
    var parse_key_parser = /(?:^|&)([^&=]*)=?([^&]*)/g;


    /**
     * Uri Auxilary Functions
     * 
     * @module BetaJS.Net.Uri
     */
    return {

        /**
         * Create a URI string from a set of parameters.
         * 
         * @param {object} obj parameters
         * 
         * @return {string} uri
         */
        build: function(obj) {
            var s = "";
            if (obj.protocol)
                s += obj.protocol + "://";
            if (obj.username)
                s += obj.username + ":";
            if (obj.password)
                s += obj.password + "@";
            s += obj.server;
            if (obj.port)
                s += ":" + obj.port;
            if (obj.path)
                s += "/" + obj.path;
            return s;
        },


        /**
         * Encode a set of uri query parameters.
         * 
         * @param {object} arr a key-value set of query parameters
         * @param {string} prefix an optional prefix to be used for generating the keys
         * @param {boolean} flatten flatten the components first
         * 
         * @return {string} encoded query parameters
         */
        encodeUriParams: function(arr, prefix, flatten) {
            prefix = prefix || "";
            var res = [];
            if (flatten) {
                Objs.iter(Objs.serializeFlatJSON(arr), function(kv) {
                    res.push(prefix + kv.key + "=" + encodeURIComponent(kv.value));
                }, this);
            } else {
                Objs.iter(arr, function(value, key) {
                    if (Types.is_object(value))
                        res = res.concat(this.encodeUriParams(value, prefix + key + "_"));
                    else
                        res.push(prefix + key + "=" + encodeURIComponent(value));
                }, this);
            }
            return res.join("&");
        },


        /**
         * Decode a uri query parameter string
         * 
         * @param {string} res encoded query parameters
         * 
         * @return {object} key-value set of query parameters
         */
        decodeUriParams: function(res) {
            var arr = {};
            res.split("&").forEach(function(kv) {
                var kvsplit = Strings.splitFirst(kv, "=");
                arr[kvsplit.head] = decodeURIComponent(kvsplit.tail);
            });
            return arr;
        },


        /**
         * Append a set of uri query parameters to a URI.
         * 
         * @param {string} uri a uri
         * @param {object} arr a key-value set of query parameters
         * @param {string} prefix an optional prefix to be used for generating the keys
         * 
         * @return {string} uri with the encoded query parameters attached
         */
        appendUriParams: function(uri, arr, prefix) {
            return Types.is_empty(arr) ? uri : (uri + (uri.indexOf("?") != -1 ? "&" : "?") + this.encodeUriParams(arr, prefix));
        },


        /**
         * Parses a given uri into decomposes it into its components.
         * 
         * @thanks parseUri 1.2.2, (c) Steven Levithan <stevenlevithan.com>, MIT License
         * 
         * @param {string} str uri to be parsed
         * @param {boolean} strict use strict parsing (default false)
         * 
         * @return {object} decomposed uri
         */
        parse: function(str, strict) {
            var parser = strict ? parse_strict_regex : parse_loose_regex;
            var m = parser.exec(str);
            var uri = {};
            for (var i = 0; i < parse_key.length; ++i)
                uri[parse_key[i]] = m[i] || "";
            uri.queryKey = {};
            uri[parse_key[12]].replace(parse_key_parser, function($0, $1, $2) {
                if ($1) uri.queryKey[$1] = $2;
            });
            return uri;
        },

        /**
         * Determines whether a target URI is considered cross-domain with respect to a source URI.
         * 
         * @param {string} source source URI
         * @param {string} target target URI
         * 
         * @return {boolean} true if target is cross-domain w.r.t. source
         */
        isCrossDomainUri: function(source, target) {
            // If target has no protocol delimiter, there is no domain given, hence source domain is used
            if (target.indexOf("//") < 0)
                return false;
            // If source has no protocol delimiter but target has, it is cross-domain.
            if (source.indexOf("//") < 0)
                return true;
            source = this.parse(source.toLowerCase());
            target = this.parse(target.toLowerCase());
            // Terminate if one of protocols is the file protocol.
            if (source.protocol === "file" || target.protocol === "file")
                return source.protocol === target.protocol;
            return source.host !== target.host || source.port !== target.port;
        },

        /**
         * Normalizes the query of a uri by sorting keys alphabetically.
         *
         * @param {string} uri source URI
         *
         * @return {string} normalized uri
         */
        normalizeUri: function(uri) {
            var q = uri.indexOf("?");
            return q >= 0 ? uri.substring(0, q) + "?" + this.encodeUriParams(Sort.sort_object(this.decodeUriParams(uri.substring(q + 1)), function(x, y) {
                return x.localeCompare(y);
            })) : uri;
        }

    };
});

Scoped.define("module:Net.HttpHeader", function() {
    /**
     * Http Header Codes and Functions
     * 
     * @module BetaJS.Net.HttpHeader
     */
    return {

        HTTP_STATUS_OK: 200,
        HTTP_STATUS_CREATED: 201,
        HTTP_STATUS_BAD_REQUEST: 400,
        HTTP_STATUS_UNAUTHORIZED: 401,
        HTTP_STATUS_PAYMENT_REQUIRED: 402,
        HTTP_STATUS_FORBIDDEN: 403,
        HTTP_STATUS_NOT_FOUND: 404,
        HTTP_STATUS_PRECONDITION_FAILED: 412,
        HTTP_STATUS_INTERNAL_SERVER_ERROR: 500,
        HTTP_STATUS_GATEWAY_TIMEOUT: 504,

        STRINGS: {
            0: "Unknown Error",
            200: "OK",
            201: "Created",
            400: "Bad Request",
            401: "Unauthorized",
            402: "Payment Required",
            403: "Forbidden",
            404: "Not found",
            412: "Precondition Failed",
            500: "Internal Server Error",
            504: "Gateway timeout"
        },


        /**
         * Formats a HTTP status code to a string.
         * 
         * @param {integer} code the http status code
         * @param {boolean} prepend_code should the integer status code be prepended (default false)
         * 
         * @return HTTP status code as a string.
         */
        format: function(code, prepend_code) {
            var ret = this.STRINGS[code in this.STRINGS ? code : 0];
            return prepend_code ? (code + " " + ret) : ret;
        },

        /**
         * Returns true if a status code is in the 200 region.
         * 
         * @param {int} code status code
         * 
         * @return {boolean} true if code in the 200 region
         */
        isSuccessStatus: function(code) {
            return code >= this.HTTP_STATUS_OK && code < 300;
        }

    };
});

Scoped.define("module:Ajax.Support", ["module:Ajax.NoCandidateAjaxException","module:Ajax.ReturnDataParseException","module:Ajax.RequestException","module:Ajax.TimeoutException","module:Promise","module:Objs","module:Types","module:Net.Uri","module:Net.HttpHeader","module:Async","module:Time"], function(NoCandidateAjaxException, ReturnDataParseException, RequestException, TimeoutException, Promise, Objs, Types, Uri, HttpHeader, Async, Time) {

    /**
     * Ajax Support Module
     * 
     * @module BetaJS.Ajax.Support
     */
    return {

        __registry: [],

        /**
         * Registers an ajax execution system 
         * 
         * @param {object} descriptor Descriptor object containing a supports and an execute function
         * @param {int} priority Priority of this execution system to be used if applicable
         */
        register: function(descriptor, priority) {
            this.__registry.push({
                descriptor: descriptor,
                priority: priority
            });
        },

        /**
         * Unwrap the status from return data
         * 
         * @param {object} json Status-encoded return object
         * @param {string} errorDecodeType Decode type for data in case it is an error
         * 
         * @return Unwrapped data in case of a success status
         */
        unwrapStatus: function(json, errorDecodeType) {
            /*
             * Should be:
             * {
             * 	status: XXX,
             *  statusText: XXX, (or empty)
             *  responseText: XXX (or empty)
             * }
             */
            var status = json.status || HttpHeader.HTTP_STATUS_INTERNAL_SERVER_ERROR;
            if (!HttpHeader.isSuccessStatus(status)) {
                var status_text = json.statusText || HttpHeader.format(status);
                var resp = json.responseText;
                try {
                    resp = this.parseReturnData(json.responseText, errorDecodeType);
                } catch (e) {}
                throw new RequestException(status, status_text, resp);
            } else
                return json.responseText;
        },

        /**
         * Parse return data given a decode type.
         * 
         * @param data Return data to be parsed
         * @param {string} decodeType Decode type, e.g. "json"
         * 
         * @return Parsed return data
         */
        parseReturnData: function(data, decodeType) {
            if (decodeType === "json" && Types.is_string(data))
                return JSON.parse(data);
            return data;
        },

        /**
         * Process the return data and forward the result to a promise object.
         * 
         * @param {object} promise Promise object
         * @param {object} options Options for processing the return data
         * @param data Return data
         * @param {string} decodeType Decode type, e.g. "json"
         * 
         */
        promiseReturnData: function(promise, options, data, decodeType) {
            if (options.wrapStatus) {
                try {
                    data = this.parseReturnData(data, "json");
                } catch (e) {
                    promise.asyncError(new ReturnDataParseException(data, decodeType));
                    return;
                }
                try {
                    data = this.unwrapStatus(data, decodeType);
                } catch (e) {
                    promise.asyncError(e);
                    return;
                }
            }
            try {
                promise.asyncSuccess(this.parseReturnData(data, decodeType));
            } catch (e) {
                promise.asyncError(new ReturnDataParseException(data, decodeType));
            }
        },

        /**
         * Process the return data and forward the result as an error to a promise object.
         * 
         * @param {object} promise Promise object
         * @param {int} status Error status
         * @param {string} status_text Optional status text
         * @param data Return data
         * @param {string} decodeType Decode type, e.g. "json"
         * 
         */
        promiseRequestException: function(promise, status, status_text, data, decodeType) {
            status_text = status_text || HttpHeader.format(status);
            try {
                promise.asyncError(new RequestException(status, status_text, this.parseReturnData(data, decodeType)));
            } catch (e) {
                promise.asyncError(new RequestException(status, status_text, data));
            }
        },

        /**
         * Return error to a promise object.
         *
         * @param {object} promise Promise object
         *
         */
        promiseTimeoutException: function(promise) {
            promise.asyncError(new TimeoutException(status, status_text, data));
        },

        /**
         * Preprocess Ajax Options object.
         * 
         * @param {object} options Options object
         * 
         * @return {object} Preprocessed options object
         */
        preprocess: function(options) {
            options = Objs.extend({
                method: "GET",
                mapMethodsKey: "_method",
                wrapStatus: false,
                wrapStatusParam: null,
                context: this,
                query: {},
                jsonp: undefined,
                noCache: undefined,
                noCacheParam: null,
                signingFunction: null,
                signUrl: false,
                postmessage: undefined,
                contentType: "urlencoded", // json
                resilience: 1,
                resilience_filter: null,
                resilience_delay: 1000,
                resilience_min_status: null,
                cors: false,
                sendContentType: true,
                corscreds: false,
                forceJsonp: false,
                forcePostmessage: false
                /*,
                				decodeType: "json"*/
            }, options);
            if (options.params) {
                options.query = Objs.extend(options.query, options.params);
                delete options.params;
            }
            if (!Types.is_empty(options.query)) {
                options.query = Objs.filter(options.query, function(value) {
                    return value !== null && value !== undefined;
                });
            }
            options.method = options.method.toUpperCase();
            options.methodSupportsPayload = options.method === "POST" || options.method === "PATCH" || options.method === "PUT";
            if (options.baseUri)
                options.uri = options.uri ? options.baseUri + options.uri : options.baseUri;
            delete options.baseUri;
            if (options.mapMethods && options.method in options.mapMethods) {
                options.uri = Uri.appendUriParams(options.uri, Objs.objectBy(options.mapMethodsKey, options.method));
                options.method = options.mapMethods[options.method];
            }
            if (options.wrapStatus && options.wrapStatusParam)
                options.uri = Uri.appendUriParams(options.uri, Objs.objectBy(options.wrapStatusParam, "true"));
            if (options.noCache && options.noCacheParam)
                options.uri = Uri.appendUriParams(options.uri, Objs.objectBy(options.noCacheParam, Time.now()));
            delete options.mapMethods;
            delete options.mapMethodsKey;
            if (options.contentType === "urlencoded" && !Types.is_empty(options.data)) {
                options.data = Objs.filter(options.data, function(value) {
                    return value !== null && value !== undefined;
                });
            }
            options.isCorsRequest = typeof document !== "undefined" && Uri.isCrossDomainUri(document.location.href, options.uri);
            return options;
        },

        /**
         * Finalizes a uri via signing if activated
         *
         * @param {object} options Options for the Ajax command
         * @param {string} uri Pre-Final uri
         *
         * @return {string} Final uri
         */
        finalizeUri: function(options, uri) {
            return options.signUrl && options.signingFunction ? options.signingFunction(options, uri) : uri;
        },

        /**
         * Create request object that can be executed with execute command
         *
         * @param {object} options Options or the Ajax command
         * @returns {object} Request object
         */
        create: function(options) {
            options = options || {};
            var current = null;
            this.__registry.forEach(function(candidate) {
                if ((!current || current.priority < candidate.priority) && candidate.descriptor.supports.call(candidate.descriptor.context || candidate.descriptor, options))
                    current = candidate;
            }, this);
            if (!current)
                return Promise.error(new NoCandidateAjaxException());
            return current.descriptor.create(options);
        },

        /**
         * Execute an Ajax command.
         * 
         * @param {object} options Options for the Ajax command
         * @param {function} progress Optional progress function
         * @param {object} progressCtx Optional progress context
         * @param {object} request Optional request object
         * 
         * @return {object} Execution promise
         */
        execute: function(options, progress, progressCtx, request) {
            options = this.preprocess(options);
            var current = null;
            this.__registry.forEach(function(candidate) {
                if ((!current || current.priority < candidate.priority) && candidate.descriptor.supports.call(candidate.descriptor.context || candidate.descriptor, options))
                    current = candidate;
            }, this);
            if (!current)
                return Promise.error(new NoCandidateAjaxException(options));
            var helper = function(resilience) {
                var promise = current.descriptor.execute.call(current.descriptor.context || current.descriptor, options, progress, progressCtx, request);
                if (!resilience || resilience <= 1)
                    return promise;
                var returnPromise = Promise.create();
                promise.forwardSuccess(returnPromise).error(function(err) {
                    if (RequestException.is_class_instance(err)) {
                        if (options.resilience_filter && options.resilience_filter(err)) {
                            returnPromise.asyncError(err);
                            return;
                        }
                        if (options.resilience_min_status && err.status_code() < options.resilience_min_status) {
                            returnPromise.asyncError(err);
                            return;
                        }
                    }
                    Async.eventually(function() {
                        helper(resilience - 1).forwardCallback(returnPromise);
                    }, options.resilience_delay);
                });
                return returnPromise;
            };
            return helper(options.resilience);
        }

    };
});

Scoped.define("module:Tokens", function () {
    /**
     * Unique Token Generation
     *
     * @module BetaJS.Tokens
     */
    return {
        /**
         * Generates a random token
         *
         * @param {integer} length optional length of token, default is 16
         * @return {string} generated token
         */
        generate_token: function (length) {
            if (length === void 0) { length = 16; }
            var s = "";
            while (s.length < length)
                s += Math.random().toString(36).substr(2);
            return s.substr(0, length);
        },
        /**
         * Generated a simple hash value from a string.
         *
         * @param {string} input string
         * @return {integer} simple hash value
         * @see http://jsperf.com/string-hashing-methods
         */
        simple_hash: function (s) {
            if (s.length == 0)
                return 0;
            var nHash = 0;
            for (var i = 0; i < s.length; ++i) {
                nHash = ((nHash << 5) - nHash) + s.charCodeAt(i);
                nHash = nHash & nHash;
            }
            return Math.abs(nHash);
        }
    };
});

Scoped.define("module:Scheduling.Helper", [], function() {
    return {

        schedulable: function(callback, initialSteps, scheduler, context) {
            if (scheduler)
                scheduler.schedulable(context || this, callback, initialSteps);
            else
                callback.call(context || this, Infinity);
        }

    };
});

Scoped.define("module:MediaTypes", ["module:Objs","module:Types"], function(Objs, Types) {

    /**
     * Helper module for working with media types (MIME types)
     *
     * @module BetaJS.MediaTypes
     */
    return {

        /**
         * Get first matching extension for media type.
         *
         * @param {string} mediaType
         *
         * @returns {string} extension that matches given media type.
         */
        getExtension: function(mediaType) {
            var extensions = this.getExtensions(mediaType);
            return extensions && Objs.peek(extensions);
        },

        /**
         * Get all matching extensions for media type.
         *
         * @param {string} mediaType
         *
         * @return {Array} array of extensions that match given media type.
         */
        getExtensions: function(mediaType) {
            if (!Types.is_string(mediaType) || mediaType.length == 0) {
                return false;
            }
            return this._getAll()[mediaType.split(';')[0].toLowerCase()] || false;
        },

        /**
         * Returns content type from path or extension.
         *
         * @param {string} path
         *
         * @return {string} media type
         */
        getType: function(path) {
            if (!Types.is_string(path)) {
                return false;
            }
            return this._getAll()[path.split(".").pop().toLowerCase()] || false;
        },

        _getAll: function() {
            if (!this._DB) {
                this._DB = Objs.bidirectionalMap(this._types);
            }
            return this._DB;
        },

        _types: {
            "application/vnd.apple.mpegurl": ["m3u8"],
            "audio/midi": ["midi", "mid", "kar"],
            "audio/mpeg": ["mp3"],
            "audio/ogg": ["ogg"],
            "audio/webm": ["weba"],
            "audio/x-aac": ["aac"],
            "audio/x-flac": ["flac"],
            "audio/x-m4a": ["m4a"],
            "audio/x-realaudio": ["ra"],
            "audio/x-wav": ["wav"],
            "audio/x-ms-wma": ["wma"],
            "image/gif": ["gif"],
            "image/jpeg": ["jpeg", "jpg"],
            "image/png": ["png"],
            "image/svg+xml": ["svg", "svgz"],
            "image/tiff": ["tif", "tiff"],
            "image/vnd.wap.wbmp": ["wbmp"],
            "image/webp": ["webp"],
            "image/x-icon": ["ico"],
            "image/x-jng": ["jng"],
            "image/x-ms-bmp": ["bmp"],
            "video/3gpp": ["3gpp", "3gp"],
            "video/3gpp2": ["3g2"],
            "video/mp2t": ["ts"],
            "video/mp4": ["mp4"],
            "video/mpeg": ["mpeg", "mpg"],
            "video/quicktime": ["mov"],
            "video/webm": ["webm"],
            "video/x-flv": ["flv"],
            "video/x-m4v": ["m4v"],
            "video/x-matroska": ["mkv", "mk3d", "mks"],
            "video/x-mng": ["mng"],
            "video/x-ms-asf": ["asx", "asf"],
            "video/x-ms-wmv": ["wmv"],
            "video/x-msvideo": ["avi"]
        }
    };
});

Scoped.define("module:Events.ListenMixin", ["module:Ids","module:Objs","module:Types"], function(Ids, Objs, Types) {
    /**
     * Listen Mixin, automatically de-registering all listeners on destruction.
     * 
     * @mixin BetaJS.Events.ListenMixin
     */
    return {

        _notifications: {
            "destroy": "listenOff"
        },

        /**
         * Listen to an event.
         * 
         * @param {object} targets target(s) event emitter
         * @param {string} events event(s) to listen to
         * @param {function} callback event callback function
         * @param {object} options optional listener options
         */
        listenOn: function(targets, events, callback, options) {
            if (!this.__listen_mixin_listen)
                this.__listen_mixin_listen = {};
            if (!Types.is_array(targets))
                targets = [targets];
            targets.forEach(function(target) {
                this.__listen_mixin_listen[Ids.objectId(target)] = target;
                target.on(events, callback, this, options);
            }, this);
            return this;
        },

        /**
         * Listen to an event once.
         *
         * @param {object} targets target(s) event emitter
         * @param {string} events event(s) to listen to
         * @param {function} callback event callback function
         * @param {object} options optional listener options
         */
        listenOnce: function(targets, events, callback, options) {
            if (!this.__listen_mixin_listen)
                this.__listen_mixin_listen = {};
            if (!Types.is_array(targets))
                targets = [targets];
            targets.forEach(function(target) {
                this.__listen_mixin_listen[Ids.objectId(target)] = target;
                target.once(events, callback, this, options);
            }, this);
            return this;
        },

        /**
         * Stop Listenning to an event.
         *
         * @param {object} targets target(s) event emitter
         * @param {string} events event(s) to listen to
         * @param {function} callback event callback function
         */
        listenOff: function(targets, events, callback) {
            if (!this.__listen_mixin_listen)
                return this;
            if (!Types.is_array(targets))
                targets = [targets];
            targets.forEach(function(target) {
                if (target && !target.destroyed()) {
                    target.off(events, callback, this);
                    if (!events && !callback)
                        delete this.__listen_mixin_listen[Ids.objectId(target)];
                } else {
                    Objs.iter(this.__listen_mixin_listen, function(obj) {
                        if (obj && "off" in obj && !obj.destroyed())
                            obj.off(events, callback, this);
                        if (!events && !callback)
                            delete this.__listen_mixin_listen[Ids.objectId(obj)];
                    }, this);
                }
            }, this);
            return this;
        }

    };
});

Scoped.define("module:Classes.ObjectIdScopeMixin", function() {

    /**
     * Object Id Scope Mixin
     * 
     * @mixin BetaJS.Classes.ObjectIdScopeMixin
     */
    return {

        __objects: {},

        /**
         * Return object for specific id
         * 
         * @param {string} id id of object
         * 
         * @return {object} object in question
         */
        get: function(id) {
            return this.__objects[id];
        }

    };
});

Scoped.define("module:Classes.ObjectIdScope", ["module:Class","module:Classes.ObjectIdScopeMixin"], function(Class, Mixin, scoped) {
    return Class.extend({
        scoped: scoped
    }, Mixin, function(inherited) {

        /**
         * Object Id Scope Class
         * 
         * @class BetaJS.Classes.ObjectIdScope
         */
        return {

            /**
             * Create or return singleton instance of this class.
             * 
             * @return {object} singleton instance
             */
            singleton: function() {
                if (!this.__singleton)
                    this.__singleton = new this();
                return this.__singleton;
            }
        };
    });
});

Scoped.define("module:Classes.ObjectIdMixin", ["module:Classes.ObjectIdScope"], function(ObjectIdScope) {

    /**
     * Object Id Mixin
     * 
     * @mixin BetaJS.Classes.ObjectIdMixin
     */
    return {

        _notifications: {
            construct: "__register_object_id",
            destroy: "__unregister_object_id"
        },

        __object_id_scope: function() {
            if (!this.object_id_scope)
                this.object_id_scope = ObjectIdScope.singleton();
            return this.object_id_scope;
        },

        __register_object_id: function() {
            var scope = this.__object_id_scope();
            scope.__objects[this.cid()] = this;
        },

        __unregister_object_id: function() {
            var scope = this.__object_id_scope();
            delete scope.__objects[this.cid()];
        }

    };
});

Scoped.define("module:Lists.ArrayList", ["module:Lists.AbstractList","module:Ids","module:Objs"], function(AbstractList, Ids, Objs, scoped) {
    return AbstractList.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * Array List Class
         * 
         * @class BetaJS.Lists.ArrayList
         */
        return {

            /**
             * Creates a new instance.
             * 
             * @param {array} objects optional initial set of objects
             * @param {options} options optional options parameter
             */
            constructor: function(objects, options) {
                this.__idToIndex = {};
                this.__items = [];
                options = options || {};
                if ("compare" in options)
                    this._compare = options.compare;
                if ("get_ident" in options)
                    this._get_ident = options.get_ident;
                inherited.constructor.call(this, objects);
            },

            /**
             * Set current compare function.
             * 
             * @param {function} compare compare function
             */
            set_compare: function(compare) {
                this._compare = compare;
                if (compare)
                    this.sort();
            },

            /**
             * Get current compare function.
             * 
             * @return {function} current compare function
             */
            get_compare: function() {
                return this._compare;
            },

            /**
             * Sort list using a compare function.
             * 
             * @param {function} compare compare function
             */
            sort: function(compare) {
                compare = compare || this._compare;
                if (!compare)
                    return;
                this.__items.sort(compare);
                for (var i = 0; i < this.__items.length; ++i)
                    this.__ident_changed(this.__items[i], i);
                this._sorted();
            },

            _sorted: function() {},

            /**
             * Reindex the index of an item.
             * 
             * @param {int} index index of the item
             * 
             * @return {int} new index of the item
             */
            re_index: function(index) {
                if (!this._compare)
                    return index;
                var last = this.__items.length - 1;
                var object = this.__items[index];
                var i = index;
                while (i < last && this._compare(this.__items[i], this.__items[i + 1]) > 0) {
                    this.__items[i] = this.__items[i + 1];
                    this.__ident_changed(this.__items[i], i);
                    this.__items[i + 1] = object;
                    ++i;
                }
                if (i == index) {
                    while (i > 0 && this._compare(this.__items[i], this.__items[i - 1]) < 0) {
                        this.__items[i] = this.__items[i - 1];
                        this.__ident_changed(this.__items[i], i);
                        this.__items[i - 1] = object;
                        --i;
                    }
                }
                if (i != index) {
                    this.__ident_changed(object, i);
                    this._re_indexed(object);
                }
                return i;
            },

            _re_indexed: function(object) {},

            __objectId: function(object) {
                return this._get_ident ? this._get_ident(object) : Ids.objectId(object);
            },

            /**
             * @override
             */
            _add: function(object) {
                var last = this.__items.length;
                this.__items.push(object);
                var i = this.re_index(last);
                this.__idToIndex[this.__objectId(object)] = i;
                return i;
            },

            /**
             * @override
             */
            _remove: function(ident) {
                var obj = this.__items[ident];
                for (var i = ident + 1; i < this.__items.length; ++i) {
                    this.__items[i - 1] = this.__items[i];
                    this.__ident_changed(this.__items[i - 1], i - 1);
                }
                this.__items.pop();
                delete this.__idToIndex[this.__objectId(obj)];
                return obj;
            },

            /**
             * @override
             */
            _get: function(ident) {
                return this.__items[ident];
            },

            /**
             * @override
             */
            _iterate: function(callback, context) {
                var items = Objs.clone(this.__items, 1);
                for (var i = 0; i < items.length; ++i)
                    callback.apply(context || this, [items[i], this.get_ident(items[i])]);
            },

            __ident_changed: function(object, index) {
                this.__idToIndex[this.__objectId(object)] = index;
                this._ident_changed(object, index);
            },

            /**
             * @override
             */
            get_ident: function(object) {
                var id = this.__objectId(object);
                return id in this.__idToIndex ? this.__idToIndex[id] : null;
            },

            /**
             * Returns the identifier given an id.
             * 
             * @param {string} id id
             * 
             * @return {string} identifier
             */
            ident_by_id: function(id) {
                return this.__idToIndex[id];
            }

        };
    });
});

Scoped.define("module:Iterators.MappedIterator", ["module:Iterators.Iterator"], function(Iterator, scoped) {
    return Iterator.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * A delegated iterator class, mapping each object using a function.
         * 
         * @class BetaJS.Iterators.MappedIterator
         */
        return {

            /**
             * Create a new instance.
             * 
             * @param {object} iterator Source iterator
             * @param {function} map Function mapping source objects to target objects
             * @param {object} context Context for the map function
             */
            constructor: function(iterator, map, context) {
                inherited.constructor.call(this);
                this.__iterator = iterator;
                this.__map = map;
                this.__context = context || this;
            },

            /**
             * @override
             */
            hasNext: function() {
                return this.__iterator.hasNext();
            },

            /**
             * @override
             */
            next: function() {
                return this.hasNext() ? this.__map.call(this.__context, this.__iterator.next()) : null;
            }

        };
    });
});

Scoped.define("module:Iterators.ConcatIterator", ["module:Iterators.Iterator"], function(Iterator, scoped) {
    return Iterator.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * ConcatIterator Class
         *
         * @class BetaJS.Iterators.ConcatIterator
         */
        return {

            /**
             * Creates an Iterator of an iterator of iterators
             *
             * @param {object} iterators iterators
             */
            constructor: function(iterators) {
                inherited.constructor.call(this);
                this.__iterators = iterators;
                this.__current = null;
            },

            __ensure: function() {
                while ((!this.__current || !this.__current.hasNext()) && this.__iterators.hasNext())
                    this.__current = this.__iterators.next();
                return this.__current;
            },

            /**
             * @override
             */
            hasNext: function() {
                var iterator = this.__ensure();
                return iterator && iterator.hasNext();
            },

            /**
             * @override
             */
            next: function() {
                return this.__ensure().next();
            }

        };

    });
});

Scoped.define("module:Iterators.FilteredIterator", ["module:Iterators.Iterator"], function(Iterator, scoped) {
    return Iterator.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * A delegated iterator class, filtering single objects by a function.
         * 
         * @class BetaJS.Iterators.FilteredIterator
         */
        return {

            /**
             * Create a new instance.
             * 
             * @param {object} iterator Source iterator
             * @param {function} filter Filter function
             * @param {object} context Context for the filter function
             */
            constructor: function(iterator, filter, context) {
                inherited.constructor.call(this);
                this.__iterator = iterator;
                this.__filter = filter;
                this.__context = context || this;
                this.__next = null;
            },

            /**
             * @override
             */
            hasNext: function() {
                this.__crawl();
                return this.__next !== null;
            },

            /**
             * @override
             */
            next: function() {
                this.__crawl();
                var item = this.__next;
                this.__next = null;
                return item;
            },

            __crawl: function() {
                while (!this.__next && this.__iterator.hasNext()) {
                    var item = this.__iterator.next();
                    if (this.__filter_func(item))
                        this.__next = item;
                }
            },

            __filter_func: function(item) {
                return this.__filter.apply(this.__context, [item]);
            }

        };
    });
});

Scoped.define("module:Iterators.ObjectValuesIterator", ["module:Iterators.ArrayIterator","module:Objs"], function(ArrayIterator, Objs, scoped) {
    return ArrayIterator.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * ObjectValuesIterator Class
         * 
         * @class BetaJS.Iterators.ObjectValuesIterator
         */
        return {

            /**
             * Creates an Object Values Iterator
             * 
             * @param {object} obj Object to create iterator from
             */
            constructor: function(obj) {
                inherited.constructor.call(this, Objs.values(obj));
            }

        };
    });
});

Scoped.define("module:Collections.Collection", ["module:Class","module:Events.EventsMixin","module:Objs","module:Functions","module:Lists.ArrayList","module:Ids","module:Properties.ObservableMixin","module:Properties.Properties","module:Iterators.ArrayIterator","module:Iterators.MappedIterator","module:Iterators.ConcatIterator","module:Iterators.FilteredIterator","module:Iterators.ObjectValuesIterator","module:Types","module:Promise"], function(Class, EventsMixin, Objs, Functions, ArrayList, Ids, ObservableMixin, Properties, ArrayIterator, MappedIterator, ConcatIterator, FilteredIterator, ObjectValuesIterator, Types, Promise, scoped) {
    return Class.extend({
        scoped: scoped
    }, [EventsMixin, ObservableMixin, function(inherited) {

        /**
         * A collection class for managing a list of Properties-based objects.
         * 
         * @class BetaJS.Collections.Collection
         */
        return {

            /**
             * Creates an instance.
             * 
             * @param {object} options Options for the collection or an array of initial objects
             */
            constructor: function(options) {
                inherited.constructor.call(this);
                if (Types.is_array(options)) {
                    options = {
                        objects: options
                    };
                }
                options = options || {};
                this.bulk_operations = 0;
                this.__indices = {};
                if (options.release_references)
                    this.__release_references = true;
                var list_options = {};
                if ("compare" in options)
                    list_options.compare = options.compare;
                list_options.get_ident = Functions.as_method(this.get_ident, this);
                this.__data = new ArrayList([], list_options);
                var self = this;
                this.__data._ident_changed = function(object, index) {
                    self._index_changed(object, index);
                };
                this.__data._re_indexed = function(object) {
                    self._re_indexed(object);
                };
                this.__data._sorted = function() {
                    self._sorted();
                };
                if ("objects" in options)
                    this.add_objects(options.objects);
                if (options.indices)
                    Objs.iter(options.indices, this.add_secondary_index, this);
                if (options.uniqueness)
                    this.__uniqueness = options.uniqueness;
                if (options.progressiveUniqueness)
                    this.__progressiveUniqueness = options.progressiveUniqueness;
            },

            /**
             * Returns the value associated with an observable key.
             *
             * @param {string} key key to read value for
             *
             * @return value for key
             */
            get: function(key) {
                switch (key) {
                    case "observable_count":
                        return this.count();
                }
                return undefined;
            },

            /**
             * Checks whether an observable key is set.
             *
             * @param {string} key key in question
             *
             * @return {boolean} true if key is set
             */
            hasKey: function(key) {
                switch (key) {
                    case "observable_count":
                        return true;
                }
                return false;
            },

            /**
             * Add a secondary key index to the collection.
             * 
             * @param {string} key Name of key to be added
             */
            add_secondary_index: function(key) {
                this.__indices[key] = {};
                this.iterate(function(object) {
                    var value = object.get(key);
                    this.__indices[key][value] = this.__indices[key][value] || {};
                    this.__indices[key][value][this.get_ident(object)] = object;
                }, this);
                return this;
            },

            /**
             * Return entry by value from a secondary index.
             * 
             * @param {string} key Name of secondary index key
             * @param value Value to the secondary index
             * @param {boolean} returnFirst Only return single element
             * 
             * @return Returns entry associated with the key value pair
             */
            get_by_secondary_index: function(key, value, returnFirst) {
                return returnFirst ? Objs.ithValue(this.__indices[key][value]) : this.__indices[key][value];
            },

            /**
             * Get the identifier of an object.
             * 
             * @param {object} obj Source object
             * 
             * @return {string} identifier of source object
             */
            get_ident: function(obj) {
                return Ids.objectId(obj);
            },

            /**
             * Set the comparison function.
             * 
             * @param {function} compare Comparison function
             * @fires BetaJS.Collections.Collection#set_compare
             */
            set_compare: function(compare) {
                /**
                 * @event BetaJS.Collections.Collection#set_compare
                 */
                this.trigger("set_compare", compare);
                this.__data.set_compare(compare);
                return this;
            },

            /**
             * Return the current comparison function.
             * 
             * @return {function} current compare function
             */
            get_compare: function() {
                return this.__data.get_compare();
            },

            __load_item: function(object) {
                if ("on" in object) {
                    object.on("change", function(key, value, oldvalue) {
                        this._object_changed(object, key, value, oldvalue);
                    }, this);
                }
                if (this.__release_references)
                    object.increaseRef(this);
            },

            __unload_item: function(object) {
                if ("off" in object)
                    object.off(null, null, this);
                if (this.__release_references)
                    object.decreaseRef(this);
            },

            /**
             * @override
             * @fires BetaJS.Collections.Collection#destroy
             */
            destroy: function() {
                this.__data.iterate(this.__unload_item, this);
                this.__data.destroy();
                /**
                 * @event BetaJS.Collections.Collection#destroy
                 */
                this.trigger("destroy");
                inherited.destroy.call(this);
            },

            /**
             * Return the number of elements in the collection.
             * 
             * @return {int} number of elements
             */
            count: function() {
                return this.__data.count();
            },

            /**
             * Called when the index of an object has changed.
             * 
             * @param {object} object Object whose index has changed
             * @param {int} index New index
             * @fires BetaJS.Collections.Collection#index
             */
            _index_changed: function(object, index) {
                /**
                 * @event BetaJS.Collections.Collection#index
                 */
                this.trigger("index", object, index);
            },

            /**
             * Called when the index of an object has been successfully updated.
             * 
             * @param {object} object Object whose index has been updated
             * @fires BetaJS.Collections.Collection#reindexed
             */
            _re_indexed: function(object) {
                /**
                 * @event BetaJS.Collections.Collection#reindexed
                 */
                this.trigger("reindexed", object);
            },

            /**
             * Called when the collection has been sorted.
             * 
             * @fires BetaJS.Collections.Collection#sorted
             */
            _sorted: function() {
                /**
                 * @event BetaJS.Collections.Collection#sorted
                 */
                this.trigger("sorted");
            },

            /**
             * Called when an attribute of an object has changed.
             * 
             * @param {object} object Object whose attribute has changed
             * @param {string} key Key of changed attribute
             * @param value New value of the object
             * @param oldValue Old value of the object
             * @fires BetaJS.Collections.Collection#update
             * @fires BetaJS.Collections.Collection#change
             */
            _object_changed: function(object, key, value, oldValue) {
                /**
                 * @event BetaJS.Collections.Collection#update
                 */
                this.trigger("update");
                /**
                 * @event BetaJS.Collections.Collection#change
                 */
                this.trigger("change", object, key, value, oldValue);
                this.trigger("change:" + key, object, value, oldValue);
                this.__data.re_index(this.getIndex(object));
            },

            /**
             * Add an object to the collection.
             * 
             * @param {object} object Object to be added
             * @return {string} Identifier of added object
             * @fires BetaJS.Collections.Collection#add
             * @fires BetaJS.Collections.Collection#update
             */
            add: function(object) {
                if (!Class.is_class_instance(object))
                    object = new Properties(object);
                if (this.__progressiveUniqueness && this.__indices[this.__progressiveUniqueness]) {
                    var obj = this.get_by_secondary_index(this.__progressiveUniqueness, object.get(this.__progressiveUniqueness), true);
                    if (obj && obj !== object) {
                        this.remove(obj);
                    }
                }
                if (this.exists(object))
                    return null;
                var ident = this.__data.add(object);
                if (ident !== null) {
                    Objs.iter(this.__indices, function(entries, key) {
                        var value = object.get(key);
                        entries[value] = entries[value] || {};
                        entries[value][this.get_ident(object)] = object;
                    }, this);
                    /**
                     * @event BetaJS.Collections.Collection#add
                     */
                    this.trigger("add", object);
                    /**
                     * @event BetaJS.Collections.Collection#update
                     */
                    this.trigger("update");
                    this.trigger("change:observable_count", this.count());
                    this.__load_item(object);
                }
                return ident;
            },

            /**
             * Checks whether a bulk operation is in progress.
             *
             * @returns {boolean} true if in progress
             */
            bulkOperationInProgress: function() {
                return this.bulk_operations > 0;
            },

            /**
             * Replace objects by other objects with the same id.
             * 
             * @param {array} object New objects with ids
             * @param {boolean} keep_others True if objects with ids not included should be kept
             * 
             */
            replace_objects: function(objects, keep_others) {
                if (this.destroyed())
                    return this;
                this.bulk_operations++;
                var addQueue = [];
                var ids = {};
                Objs.iter(objects, function(oriObject) {
                    var is_prop = Class.is_class_instance(oriObject);
                    var obj = is_prop ? oriObject : new Properties(oriObject);
                    var id = this.get_ident(obj);
                    ids[id] = true;
                    var old = this.getById(id);
                    if (!old)
                        addQueue.push(obj);
                    else if (is_prop) {
                        /*
                        this.remove(old);
                        this.add(obj);
                        */
                    } else {
                        obj.destroy();
                        old.setAll(oriObject);
                    }
                }, this);
                if (!keep_others) {
                    var iterator = this.iterator();
                    while (iterator.hasNext()) {
                        var object = iterator.next();
                        if (!ids[this.get_ident(object)]) {
                            this.remove(object);
                            if (addQueue.length > 0)
                                this.add(addQueue.shift());
                        }
                    }
                    iterator.destroy();
                }
                while (addQueue.length > 0)
                    this.add(addQueue.shift());
                this.bulk_operations--;
                this.trigger("replaced-objects");
                return this;
            },

            /**
             * Add objects in a bulk.
             * 
             * @param {array} objects Objects to be added
             * @param {boolean} return_collection Whether the return value should be the collection or its length
             * @return {int} Number of objects added
             */
            add_objects: function(objects, return_collection) {
                var count = 0;
                Objs.iter(objects, function(object) {
                    if (this.add(object))
                        count++;
                }, this);
                if (return_collection)
                    return this;
                else
                    return count;
            },

            /**
             * Determine whether an object is already included.
             * 
             * @param {object} object Object in question
             * @return {boolean} True if contained
             */
            exists: function(object) {
                if (this.__data.exists(object))
                    return true;
                if (!this.__uniqueness)
                    return false;
                if (this.__indices[this.__uniqueness])
                    return !!this.get_by_secondary_index(this.__uniqueness, object.get(this.__uniqueness), true);
                return !!this.queryOne(Objs.objectBy(this.__uniqueness, object.get(this.__uniqueness)));
            },

            /**
             * Remove an object from the collection.
             * 
             * @param {object} object Object to be removed
             * @return {object} Removed object
             * @fires BetaJS.Collections.Collection#remove
             * @fires BetaJS.Collections.Collection#update
             */
            remove: function(object) {
                if (!this.exists(object))
                    return null;
                Objs.iter(this.__indices, function(entry, key) {
                    var value = object.get(key);
                    if (entry[value]) {
                        delete entry[value][this.get_ident(object)];
                        if (Types.is_empty(entry[value]))
                            delete entry[value];
                    }
                }, this);
                var result = this.__data.remove(object);
                /**
                 * @event BetaJS.Collections.Collection#remove
                 */
                this.trigger("remove", object);
                this.trigger("change:observable_count", this.count());
                this.__unload_item(object);
                /**
                 * @event BetaJS.Collections.Collection#update
                 */
                this.trigger("update");
                return result;
            },

            /**
             * Get an object by index.
             * 
             * @param {int} index Index to be returned
             * @return {object} Object at that index
             */
            getByIndex: function(index) {
                return this.__data.get(index);
            },

            /**
             * Get an object by identifier.
             * 
             * @param {string} id Identifier of object
             * @return {object} Object with that identifier
             */
            getById: function(id) {
                return this.__data.get(this.__data.ident_by_id(id));
            },

            /**
             * Get the index of an object.
             * 
             * @param {object} object Object in question
             * @return {int} Index of object
             */
            getIndex: function(object) {
                return this.__data.get_ident(object);
            },

            /**
             * Iterate over the collection.
             * 
             * @param {function} cb Item callback
             * @param {object} context Context for callback
             * 
             */
            iterate: function(cb, context) {
                this.__data.iterate(cb, context);
                return this;
            },

            /**
             * Checks whether an item exists
             *
             * @param {function} cb Item callback
             * @param {object} context Context for callback
             * @returns {boolean} true if element exists
             *
             */
            has: function(cb, context) {
                var result = false;
                this.iterate(function(item) {
                    result = result || cb.call(this, item);
                }, context);
                return result;
            },

            /**
             * Checks whether something holds for all items
             *
             * @param {function} cb Item callback
             * @param {object} context Context for callback
             * @returns {boolean} true if holds for all items
             *
             */
            forall: function(cb, context) {
                var result = true;
                this.iterate(function(item) {
                    result = result && cb.call(this, item);
                }, context);
                return result;
            },

            /**
             * Creates an iterator instance for the collection.
             * 
             * @return {object} Iterator instance
             */
            iterator: function() {
                return ArrayIterator.byIterate(this.iterate, this);
            },

            /**
             * Creates an iterator instance via a secondary index for a specific value.
             * 
             * @param {string} key Key of secondary index
             * @param value Particular value
             * @return {object} Iterator instance
             */
            iterateSecondaryIndexValue: function(key, value) {
                if (Types.is_array(value)) {
                    return new ConcatIterator(new MappedIterator(new ArrayIterator(value), function(v) {
                        return this.iterateSecondaryIndexValue(key, v);
                    }, this));
                }
                return new ObjectValuesIterator(this.__indices[key][value]);
            },

            /**
             * Query the collection for items matching some query data.
             * 
             * @param {object} subset Query data to be matched.
             * @return {object} Iterator instance
             */
            query: function(subset) {
                var iterator = null;
                for (var index_key in this.__indices) {
                    if (index_key in subset) {
                        iterator = this.iterateSecondaryIndexValue(index_key, subset[index_key]);
                        delete subset[index_key];
                        break;
                    }
                }
                return new FilteredIterator(iterator || this.iterator(), function(prop) {
                    return prop.isSupersetOf(subset);
                });
            },

            /**
             * Query the collection for a single item matching some query data.
             *
             * @param {object} subset Query data to be matched.
             * @return {object} Item match
             */
            queryOne: function(subset) {
                return this.query(subset).next();
            },

            /**
             * Clears the whole collection.
             * 
             */
            clear: function() {
                this.iterate(function(obj) {
                    this.remove(obj);
                }, this);
                return this;
            },

            /**
             * Increase the view of the collection by a number of steps.
             * 
             * @param {int} steps Steps to increase
             */
            increase_forwards: function(steps) {
                return Promise.error(true);
            },

            /**
             * Increase the view of the collection by a number of steps backwards.
             *
             * @param {int} steps Steps to increase
             */
            increase_backwards: function(steps) {
                return Promise.error(true);
            },

            /**
             * Returns the first item in the collection.
             *
             * @returns {Object} first item
             */
            first: function() {
                return this.getByIndex(0);
            },

            /**
             * Returns the last item in the collection
             *
             * @returns {Object} last item
             */
            last: function() {
                return this.getByIndex(this.count() - 1);
            },

            /**
             * Sets a key value pair in all items
             *
             * @param {string} key key of pair
             * @param value value of pair
             *
             * @returns {BetaJS.Collections.Collection}
             */
            allSet: function(key, value) {
                this.iterate(function(obj) {
                    obj.set(key, value);
                });
                return this;
            },

            /**
             * Sets a set of key-value pairs in all items
             *
             * @param {object} data key-value pair to be set
             *
             * @returns {BetaJS.Collections.Collection}
             */
            allSetAll: function(data) {
                this.iterate(function(obj) {
                    obj.setAll(data);
                });
                return this;
            },

            asJSON: function() {
                var result = [];
                this.iterate(function(p) {
                    result.push(p.data());
                });
                return result;
            }

        };
    }]);
});

Scoped.define("module:Events.Events", ["module:Class","module:Events.EventsMixin"], function(Class, Mixin, scoped) {
    /**
     * Events Class
     * 
     * @class BetaJS.Events.Events
     * @implements BetaJS.Events.EventsMixin
     */
    return Class.extend({
        scoped: scoped
    }, Mixin);
});

Scoped.define("module:Trees.TreeNavigator", function() {

    /**
     * Abstract Tree Navigator Mixin
     * 
     * @mixin BetaJS.Trees.TreeNavigator
     */
    return {

        /**
         * Returns the root node of a tree.
         * 
         * @return {object} Root node
         */
        nodeRoot: function() {},

        /**
         * Retrusns the id of a node.
         * 
         * @param {object} node Node
         * @return {string} Id of node
         */
        nodeId: function(node) {},

        /**
         * Returns the parent of a node.
         * 
         * @param {object} node Node
         * @return {object} Parent node
         */
        nodeParent: function(node) {},

        /**
         * Returns the children of a node.
         * 
         * @param {object} node Node
         * @return {array} Children of the node
         */
        nodeChildren: function(node) {},

        /**
         * Watches a node for changes.
         * 
         * @param {object} node Node
         * @param {function} func Change callback function
         * @param {object} context Optional change callback context
         */
        nodeWatch: function(node, func, context) {},

        /**
         * Unwatches a node for changes.
         * 
         * @param {object} node Node
         * @param {function} func Change callback function
         * @param {object} context Optional change callback context
         */
        nodeUnwatch: function(node, func, context) {},

        /**
         * Returns the data associated with a node.
         * 
         * @param {object} node Node
         * @return {object} Node data
         */
        nodeData: function(node) {}

    };
});

Scoped.define("module:Parser.LexerException", ["module:Exceptions.Exception"], function(Exception, scoped) {
    return Exception.extend({
        scoped: scoped
    }, function(inherited) {
        /**
         * Lexer Exception Class
         * 
         * @class BetaJS.Parser.LexerException
         */
        return {

            /**
             * Instantiates a Lexer Exception
             * 
             * @param {string} head head string that has been parsed
             * @param {string} tail tail string that is not parsed yet
             * 
             */
            constructor: function(head, tail) {
                inherited.constructor.call(this, "Lexer error: Unrecognized identifier at " + head.length + ".");
                this.__head = head;
                this.__tail = tail;
            }

        };
    });
});

Scoped.define("module:Parser.Lexer", ["module:Class","module:Types","module:Objs","module:Parser.LexerException"], function(Class, Types, Objs, LexerException, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * Simple Lexer Class for Parsing Strings
         * 
         * @class BetaJS.Parser.Lexer
         */
        return {

            /**
             * Instantiates a Lexer
             * 
             * @param {object} patterns a mapping from regular expressions to token identifiers or value preservers
             */
            constructor: function(patterns) {
                inherited.constructor.call(this);
                this.__patterns = [];
                Objs.iter(patterns, function(value, key) {
                    this.__patterns.push({
                        regex: new RegExp("^" + key, "m"),
                        data: Types.is_string(value) ? {
                            token: value
                        } : value
                    });
                }, this);
            },

            /**
             * Lexes a string w.r.t. the initialised patterns.
             * 
             * @param {string} source source string
             * @return {array} array of parsed tokens
             */
            lex: function(source) {
                var result = [];
                var head = "";
                var tail = source;
                while (tail) {
                    var match = null;
                    var data = null;
                    for (var i = 0; i < this.__patterns.length; ++i) {
                        match = this.__patterns[i].regex.exec(tail);
                        if (match) {
                            data = Objs.clone(this.__patterns[i].data, 1);
                            break;
                        }
                    }
                    if (!match)
                        throw new LexerException(head, tail);
                    head += match[0];
                    tail = tail.substring(match[0].length);
                    if (!data)
                        continue;
                    for (var key in data) {
                        if (Types.is_string(data[key])) {
                            for (var j = 0; j < match.length; ++j)
                                data[key] = data[key].replace("$" + j, match[j]);
                        }
                    }
                    result.push(data);
                }
                return result;
            }

        };
    });
});

Scoped.define("module:Trees.TreeQueryObject", ["module:Class","module:Events.EventsMixin","module:Objs","module:Types"], function(Class, EventsMixin, Objs, Types, scoped) {
    return Class.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {

        /**
         * Object representing a tree query on a node
         *
         * @class BetaJS.Trees.TreeQueryObject
         */
        return {

            /**
             * Create new instance.
             * 
             * @param {object} navigator Navigator object
             * @param {object} node Node of the query
             * @param {object} query Lexed query
             */
            constructor: function(navigator, node, query) {
                inherited.constructor.call(this);
                this.__navigator = navigator;
                this.__node = node;
                this.__query = query;
                this.__result = {};
                this.__partials = {};
                this.__ids = 0;
                this.__register(node, 0, {});
            },

            /**
             * @override
             */
            destroy: function() {
                Objs.iter(this.__partials, function(partials) {
                    Objs.iter(partials.partials, function(partial) {
                        this.__navigator.nodeUnwatch(partials.node, null, partial);
                    }, this);
                }, this);
                inherited.destroy.call(this);
            },

            /**
             * Returns the currently matching nodes.
             * 
             * @return {array} Matching nodes.
             */
            result: function() {
                var result = [];
                Objs.iter(this.__result, function(value) {
                    result.push(value.node);
                });
                return result;
            },

            __register: function(node, index) {
                var node_id = this.__navigator.nodeId(node);
                if (!this.__partials[node_id]) {
                    this.__partials[node_id] = {
                        node: node,
                        partials: {}
                    };
                }
                var partials = this.__partials[node_id];
                this.__ids++;
                var partial = {
                    owner: partials,
                    id: this.__ids,
                    query_index_start: index,
                    query_index_next: index,
                    query_index_last: index,
                    partial_match: false,
                    partial_final: index >= this.__query.length,
                    partial_data: false,
                    partial_children: false,
                    partial_parent: false,
                    partial_star: false,
                    parent: null,
                    deps: {}
                };
                partials.partials[partial.id] = partial;
                for (var i = partial.query_index_start; i < this.__query.length; ++i) {
                    if (this.__query[i].token == "Selector")
                        partial.partial_data = true;
                    else {
                        if (this.__query[i].token == "Up")
                            partial.partial_parent = true;
                        else if (this.__query[i].token == "Down")
                            partial.partial_children = true;
                        partial.partial_star = !this.__query[i].single;
                        if (!partial.partial_star)
                            partial.query_index_next = i + 1;
                        break;
                    }
                    partial.query_index_next = i + 1;
                    partial.partial_final = i + 1 == this.__query.length;
                }
                partial.query_index_last = partial.partial_star ? partial.query_index_next + 1 : partial.query_index_next;
                var self = this;
                this.__navigator.nodeWatch(node, function(action, node) {
                    if (action == "data" && partial.partial_data)
                        self.__update(partial);
                    if (action == "remove")
                        self.__unregisterPartial(partial);
                    if (action == "addChild" && partial.partial_children && partial.partial_match)
                        self.__addDependentPartial(partial, node);
                }, partial);
                this.__update(partial);
                return partial;
            },

            __unregisterPartial: function(partial) {
                var owner = partial.owner;
                var node = owner.node;
                var node_id = this.__navigator.nodeId(node);
                if (partial.partial_final && this.__result[node_id]) {
                    this.__result[node_id].count--;
                    if (this.__result[node_id].count <= 0) {
                        delete this.__result[node_id];
                        /**
                         * @event BetaJS.Trees.TreeQueryObject#remove
                         */
                        this.trigger("remove", node);
                        /**
                         * @event BetaJS.Trees.TreeQueryObject#change
                         */
                        this.trigger("change");
                    }
                }
                Objs.iter(partial.deps, this.__unregisterPartial, this);
                if (partial.parent)
                    delete partial.parent.deps[partial.id];
                this.__navigator.nodeUnwatch(node, null, partial);
                delete owner.partials[partial.id];
                if (Types.is_empty(owner.partials))
                    delete this.__partials[node_id];
            },

            __addDependentPartial: function(partial, node) {
                var partials = [];
                partials.push(this.__register(node, partial.query_index_next));
                if (partial.partial_star)
                    partials.push(this.__register(node, partial.query_index_next + 1));
                Objs.iter(partials, function(p) {
                    partial.deps[p.id] = p;
                    p.parent = partial;
                }, this);
            },

            __update: function(partial) {
                var matching = true;
                var node = partial.owner.node;
                var node_id = this.__navigator.nodeId(node);
                var node_data = this.__navigator.nodeData(node);
                for (var i = partial.query_index_start; i < partial.query_index_last; ++i) {
                    var q = this.__query[i];
                    if (q.token != "Selector")
                        break;
                    if (node_data[q.key] != q.value) {
                        matching = false;
                        break;
                    }
                }
                if (matching == partial.partial_match)
                    return;
                partial.partial_match = matching;
                if (matching) {
                    if (partial.partial_final) {
                        if (!this.__result[node_id]) {
                            this.__result[node_id] = {
                                node: node,
                                count: 1
                            };
                            /**
                             * @event BetaJS.Trees.TreeQueryObject#add
                             */
                            this.trigger("add", node);
                            /**
                             * @event BetaJS.Trees.TreeQueryObject#change
                             */
                            this.trigger("change");
                        } else
                            this.__result[node_id].count++;
                    } else if (partial.partial_parent) {
                        var parent = this.__navigator.nodeParent(node);
                        if (parent)
                            this.__addDependentPartial(partial, parent);
                    } else if (partial.partial_children) {
                        Objs.iter(this.__navigator.nodeChildren(node), function(child) {
                            this.__addDependentPartial(partial, child);
                        }, this);
                    }
                } else {
                    if (partial.partial_final) {
                        this.__result[node_id].count--;
                        if (this.__result[node_id].count <= 0) {
                            delete this.__result[node_id];
                            /**
                             * @event BetaJS.Trees.TreeQueryObject#remove
                             */
                            this.trigger("remove", node);
                            /**
                             * @event BetaJS.Trees.TreeQueryObject#change
                             */
                            this.trigger("change");
                        }
                    }
                    Objs.iter(partial.deps, this.__unregisterPartial, this);
                }
            }
        };
    }]);
});

Scoped.define("module:Trees.TreeQueryEngine", ["module:Class","module:Parser.Lexer","module:Trees.TreeQueryObject"], function(Class, Lexer, TreeQueryObject, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * Tree Query Engine Class
         * 
         * @class BetaJS.Trees.TreeQueryEngine
         */
        return {

            /**
             * Create a new instance.
             * 
             * @param {object} navigator Navigator instance
             */
            constructor: function(navigator) {
                inherited.constructor.call(this);
                this.__navigator = navigator;
                this.__lexer = this._auto_destroy(new Lexer({
                    "<\\+": {
                        token: "Up"
                    },
                    "<": {
                        token: "Up",
                        single: true
                    },
                    ">\\+": {
                        token: "Down"
                    },
                    ">": {
                        token: "Down",
                        single: true
                    },
                    "\\[\s*([a-zA-Z]+)\s*=\s*\'([^']*)\'\s*\\]": {
                        token: "Selector",
                        key: "$1",
                        value: "$2"
                    },
                    "\\[\s*([a-zA-Z]+)\s*=\s*\"([^']*)\"\s*\\]": {
                        token: "Selector",
                        key: "$1",
                        value: "$2"
                    },
                    "\s": null
                }));
            },

            /**
             * Query the tree.
             * 
             * @param {object} node Node to start the query from
             * @param {string} query Query string
             * 
             * @return {object} Tree query object for the query
             */
            query: function(node, query) {
                return new TreeQueryObject(this.__navigator, node, this.__lexer.lex(query));
            }

        };
    });
});

Scoped.define("module:JavaScript", ["module:Objs"], function (Objs) {
    /**
     * JavaScript Simple Parse Functions
     *
     * @module BetaJS.JavaScript
     */
    return {
        STRING_SINGLE_QUOTATION_REGEX: /'[^']*'/g,
        STRING_DOUBLE_QUOTATION_REGEX: /"[^"]*"/g,
        PROPER_IDENTIFIER_REGEX: /^[a-zA-Z_][a-zA-Z_0-9]*$/,
        IDENTIFIER_REGEX: /[a-zA-Z_][a-zA-Z_0-9]*/g,
        IDENTIFIER_SCOPE_REGEX: /[a-zA-Z_][a-zA-Z_0-9\.]*/g,
        RESERVED: Objs.objectify([
            "if", "then", "else", "return", "var"
        ], true),
        /**
         * Is string a JS-reserved keyword?
         *
         * @param {string} key string in question
         * @return {boolean} true if reserved
         */
        isReserved: function (key) {
            return key in this.RESERVED;
        },
        /**
         * Is string a valid JS identifier?
         *
         * @param {string} key string in question
         * @return {boolean} true if identifier
         */
        isIdentifier: function (key) {
            return !this.isReserved(key);
        },
        /**
         * Is string a valid proper JS identifier?
         *
         * @param {string} key string in question
         * @return {boolean} true if identifier
         */
        isProperIdentifier: function (key) {
            return this.isIdentifier(key) && this.PROPER_IDENTIFIER_REGEX.test(key);
        },
        /**
         * Remove string definitions from JS code.
         *
         * @param {string} code input code
         * @return {string} code without strings
         */
        removeStrings: function (code) {
            return code.replace(this.STRING_SINGLE_QUOTATION_REGEX, "").replace(this.STRING_DOUBLE_QUOTATION_REGEX, "");
        },
        /**
         * Return JS identifiers from a piece of code.
         *
         * @param {string} code input code
         * @param {boolean} keepScopes keep scopes, e.g. `foo.bar` instead of `foo` and `bar` (default: false)
         * @return {array} array of extracted identifiers
         */
        extractIdentifiers: function (code, keepScopes) {
            var regex = keepScopes ? this.IDENTIFIER_SCOPE_REGEX : this.IDENTIFIER_REGEX;
            code = this.removeStrings(code);
            return Objs.filter(code.match(regex), this.isIdentifier, this);
        },
        /**
         * Return function parameter names
         *
         * @param {string} func JavaScript function to extract parameter names
         * @return {array} array of extracted parameter names
         */
        extractFunctionParameterNames: function (func) {
            return (func.toString().match(/function \((.*)\).*/))[1].replace(/\s*/g, "").split(",");
        }
    };
});

Scoped.define("module:Classes.SharedObjectFactory", ["module:Class"], function(Class, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * Shared Object Factory Class
         *
         * @class BetaJS.Classes.SharedObjectFactory
         */
        return {

            /**
             * Creates a new factory.
             *
             * @param {function} createCallback callback function for creating an instance
             * @param {object} createContext optional callback context
             */
            constructor: function(createCallback, createContext, createArgs) {
                inherited.constructor.call(this);
                this.__createCallback = createCallback;
                this.__createContext = createContext;
                this.__createArgs = createArgs || [];
                this.__object = null;
            },

            /**
             * @override
             */
            destroy: function() {
                if (this.__object && !this.__object.destroyed())
                    this.__object.destroy();
                inherited.destroy.call(this);
            },

            /**
             * Return object instance.
             *
             * @returns {object} shared object instance
             */
            value: function() {
                return this.__object && !this.__object.destroyed() ? this.__object : null;
            },

            /**
             * Return true if acquired.
             *
             * @returns {boolean} true if acquired
             */
            isAcquired: function() {
                return !!this.value();
            },

            /**
             * Acquire object instance.
             *
             * @param {object} reference optional reference
             * @param {boolean} autoDecreaseRef automatically decrease reference upon destruction
             *
             * @returns {object} shared object instance
             */
            acquire: function(reference, autoDecreaseRef) {
                if (!this.__object || this.__object.destroyed())
                    this.__object = this.__createCallback.apply(this.__createContext || this, this.__createArgs);
                this.__object.increaseRef(reference, autoDecreaseRef);
                return this.__object;
            },

            /**
             * Release object instance.
             *
             * @param {object} obj object instance
             * @param {object} reference optional reference
             */
            release: function(obj, reference) {
                if (obj && obj === this.__object && !obj.destroyed())
                    obj.decreaseRef(obj);
            }

        };
    });
});

Scoped.define("module:Classes.ClassRegistry", ["module:Class","module:Types","module:Functions","module:Objs"], function(Class, Types, Functions, Objs, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * Class Registry Class
         * 
         * @class BetaJS.Classes.ClassRegistry
         */
        return {

            /**
             * Creates an instance.
             * 
             * @param {array} classes Class maps in an array
             * @param {boolean} lowercase Should all keys be lowercased
             */
            constructor: function(classes, lowercase) {
                inherited.constructor.call(this);
                this._classes = Types.is_array(classes) ? classes : [classes || {}];
                this._lowercase = lowercase;
            },

            /**
             * Sanitizes the key of a class.
             * 
             * @param {string} key Key to be sanitized
             * 
             * @return {string} Sanitized key
             */
            _sanitize: function(key) {
                return this._lowercase ? key.toLowerCase() : key;
            },

            /**
             * Register a class.
             * 
             * @param {string} key Key of class
             * @param {object} cls Class to be registered
             * 
             */
            register: function(key, cls) {
                this._classes[this._classes.length - 1][this._sanitize(key)] = cls;
                return this;
            },

            /**
             * Return a class by key.
             * 
             * @param {string} key Key of class
             * 
             * @return {object} Class referenced by key
             */
            get: function(key) {
                if (!Types.is_string(key))
                    return key;
                key = this._sanitize(key);
                for (var i = this._classes.length - 1; i >= 0; --i)
                    if (key in this._classes[i])
                        return this._classes[i][key];
                return null;
            },

            /**
             * Creates a new class based on its key.
             * 
             * @param {string} key Key of class
             * 
             * @return {object} Class instance
             */
            create: function(key) {
                var cons = Functions.newClassFunc(this.get(key));
                return cons.apply(this, Functions.getArguments(arguments, 1));
            },

            /**
             * Returns all classes as key-object map.
             * 
             * @return {object} Key-object map.
             */
            classes: function() {
                var result = {};
                Objs.iter(this._classes, function(classes) {
                    result = Objs.extend(result, classes);
                });
                return result;
            }

        };
    });
});

Scoped.define("module:Exceptions.ExceptionThrower", ["module:Class"], function(Class, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {
        /**
         * Abstract Exception Thrower Class
         * 
         * @class BetaJS.Exceptions.ExceptionThrower
         */
        return {

            /**
             * Throws an exception.
             * 
             * @param {exception} e exception to be thrown
             */
            throwException: function(e) {
                this._throwException(e);
                return this;
            },

            _throwException: function(e) {
                throw e;
            }

        };
    });
});

Scoped.define("module:Exceptions.AsyncExceptionThrower", ["module:Exceptions.ExceptionThrower","module:Async"], function(ExceptionThrower, Async, scoped) {
    return ExceptionThrower.extend({
        scoped: scoped
    }, function(inherited) {
        /**
         * Throws an exception asynchronously.
         * 
         * @class BetaJS.Exceptions.AsyncExceptionThrower
         */
        return {

            /**
             * @override
             */
            _throwException: function(e) {
                Async.eventually(function() {
                    throw e;
                });
            }

        };
    });
});

Scoped.define("module:Loggers.Logger", ["module:Class","module:Objs","module:Functions"], function(Class, Objs, Functions, scoped) {
    var Cls = Class.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * Logger Class
         * 
         * @class BetaJS.Loggers.Logger
         */
        return {

            /**
             * Creates a new instance.
             * 
             * @param {object} options options for the logger
             */
            constructor: function(options) {
                inherited.constructor.call(this);
                options = options || {};
                this.__listeners = {};
                this.__augments = {};
                this.__tags = options.tags || [];
                Objs.iter(options.listeners, this.addListener, this);
            },

            /**
             * Adds a new augment to the logger.
             * 
             * @param {object} augment augment to be added
             * @param {string} prefix optional prefix
             */
            addAugment: function(augment, prefix) {
                this.__augments[augment.cid()] = {
                    augment: augment,
                    prefix: prefix
                };
                return this;
            },

            /**
             * Remove an existing augment from the logger.
             * 
             * @param {object} augment augment to be removed
             */
            removeAugment: function(augment) {
                delete this.__augments[augment.cid()];
                return this;
            },

            /**
             * Adds a new listener to the logger.
             * 
             * @param {object} listener listener to be added
             */
            addListener: function(listener) {
                this.__listeners[listener.cid()] = listener;
                return this;
            },

            /**
             * Remove an existing listener from the logger.
             * 
             * @param {object} listener listener to be removed
             */
            removeListener: function(listener) {
                delete this.__listeners[listener.cid()];
                return this;
            },

            /**
             * Create a new log message.
             */
            log: function() {
                return this.message(this, {
                    type: "log",
                    args: Functions.getArguments(arguments, 0)
                });
            },

            /**
             * Creates a log function calling the logger.
             */
            logf: function() {
                return Functions.as_method(this.log, this);
            },

            /**
             * Create a new warn message.
             */
            warn: function() {
                return this.message(this, {
                    type: "warn",
                    args: Functions.getArguments(arguments, 0)
                });
            },

            /**
             * Create a new error message.
             */
            error: function() {
                return this.message(this, {
                    type: "error",
                    args: Functions.getArguments(arguments, 0)
                });
            },

            /**
             * Create a new tagged log message.
             * 
             * @param {array} tags tags for the message
             */
            taggedlog: function(tags) {
                return this.message(this, {
                    type: "log",
                    tags: tags,
                    args: Functions.getArguments(arguments, 1)
                });
            },

            /**
             * Create a new tagged warn message.
             * 
             * @param {array} tags tags for the message
             */
            taggedwarn: function(tags) {
                return this.message(this, {
                    type: "warn",
                    tags: tags,
                    args: Functions.getArguments(arguments, 1)
                });
            },

            /**
             * Create a new tagged error message.
             * 
             * @param {array} tags tags for the message
             */
            taggederror: function(tags) {
                return this.message(this, {
                    type: "error",
                    tags: tags,
                    args: Functions.getArguments(arguments, 1)
                });
            },

            /**
             * Create a new log message.
             * 
             * @param {object} source logger source for message
             * @param {object} msg log message
             * @param {int} depth call depth (internal use)
             */
            message: function(source, msg, depth) {
                depth = depth || 0;
                msg.tags = this.__tags.concat(msg.tags || []);
                msg.augments = msg.augments || [];
                Objs.iter(this.__augments, function(augment) {
                    msg.augments.push((augment.prefix ? augment.prefix + ":" : "") + augment.augment.augmentMessage(source, msg, depth));
                }, this);
                Objs.iter(this.__listeners, function(listener) {
                    listener.message(this, msg, depth + 1);
                }, this);
                return this;
            },

            /**
             * Create a new sub logger by tags.
             *
             * @return {object} sub logger
             */
            tag: function() {
                return new Cls({
                    tags: Functions.getArguments(arguments),
                    listeners: [this]
                });
            }

        };
    }, {

        /**
         * Return global singleton logger instance.
         * 
         * @return {object} singleton logger
         */
        global: function() {
            if (!this.__global)
                this.__global = new Cls();
            return this.__global;
        }

    });

    return Cls;
});

Scoped.define("module:Loggers.LoggableMixin", ["module:Loggers.Logger","module:Objs","module:Functions"], function(Logger) {

    /**
     * LoggableMixin Mixin
     *
     * @mixin BetaJS.Loggers.LoggableMixin
     */
    return {

        /**
         * Returns the base logger.
         *
         * @returns {object} base logger
         */
        baseLogger: function() {
            if (!this._baseLogger)
                this._baseLogger = Logger.global();
            return this._baseLogger;
        },

        /**
         * Returns the logger.
         *
         * @returns {object} logger
         */
        logger: function() {
            if (!this._logger)
                this._logger = this.baseLogger().tag(this.cls.classname, this.cid());
            return this._logger;
        }

    };
});

Scoped.define("module:TimeFormat", ["module:Time","module:Strings","module:Objs"], function(Time, Strings, Objs) {
    /**
     * Module for formatting Time / Date
     * 
     * @module BetaJS.TimeFormat
     */
    return {

        /*
        	HH	Hours; leading zero for single-digit hours (24-hour clock).
        	H	Hours; no leading zero for single-digit hours (24-hour clock).
        	h+  Hours; hours as absolute number
        	hh	Hours; leading zero for single-digit hours (12-hour clock).
        	h	Hours; no leading zero for single-digit hours (12-hour clock).
        	M+  Minutes; minutes as absolute number
        	MM	Minutes; leading zero for single-digit minutes.
        	M	Minutes; no leading zero for single-digit minutes.
        	s+	Seconds; seconds as absolute number
        	ss	Seconds; leading zero for single-digit seconds.
        	s	Seconds; no leading zero for single-digit seconds.
        	mmm	Month as a three-letter abbreviation.
        	mm	Month as digits; leading zero for single-digit months.
        	m	Month as digits; no leading zero for single-digit months.
        	d+	Days; days as absolute number
        	ddddDay of the week as string.
        	ddd	Day of the week as a three-letter abbreviation.
        	dd	Day of the month as digits; leading zero for single-digit days.
        	d	Day of the month as digits; no leading zero for single-digit days.
        	yy	Year as last two digits; leading zero for years less than 10.
        	yyyyYear represented by four digits.
        	l+  Milliseconds; absolute
        	l   Milliseconds 3 digits
        	L   Milliseconds 2 digits
        	t	Lowercase, single-character time marker string: a or p.
        	tt	Lowercase, two-character time marker string: am or pm.
        	T	Uppercase, single-character time marker string: A or P.
        	TT	Uppercase, two-character time marker string: AM or PM.
        	o	GMT/UTC timezone offset, e.g. -0500 or +0230.
        	
        */

        formatMappings: {
            "HH": function(t) {
                return Strings.padZeros(Time.timeModulo(t, "hour", "floor"), 2);
            },
            "H": function(t) {
                return Time.timeModulo(t, "hour", "floor");
            },
            "h+": function(t) {
                return Time.timeComponent(t, "hour", "floor");
            },
            "hh": function(t) {
                var h = Time.timeModulo(t, "hour", "floor");
                h = h === 0 ? 12 : (h > 12 ? h - 12 : h);
                return Strings.padZeros(h, " ", 2);
            },
            "h": function(t) {
                var h = Time.timeModulo(t, "hour", "floor");
                h = h === 0 ? 12 : (h > 12 ? h - 12 : h);
                return h;
            },
            "M+": function(t) {
                return Time.timeComponent(t, "minute", "floor");
            },
            "MM": function(t) {
                return Strings.padZeros(Time.timeModulo(t, "minute", "floor"), 2);
            },
            "M": function(t) {
                return Time.timeModulo(t, "minute", "floor");
            },
            "s+": function(t) {
                return Time.timeComponent(t, "second", "floor");
            },
            "ss": function(t) {
                return Strings.padZeros(Time.timeModulo(t, "second", "floor"), 2);
            },
            "s": function(t) {
                return Time.timeModulo(t, "second", "floor");
            },
            "mmm": function(t) {
                return ((new Date(t)).toUTCString().split(" "))[2];
            },
            "mm": function(t) {
                return Strings.padZeros(Time.timeComponentGet(t, "month") + 1, 2);
            },
            "m": function(t) {
                return Time.timeComponentGet(t, "month") + 1;
            },
            "d+": function(t) {
                return Time.timeComponent(t, "day", "floor");
            },
            "dddd": function(t) {
                var map = {
                    2: "s",
                    3: "nes",
                    4: "rs",
                    6: "ur"
                };
                return (new Date(t)).toUTCString().substring(0, 3) + (map[Time.timeComponentGet(t, "weekday")] || "") + "day";
            },
            "ddd": function(t) {
                return (new Date(t)).toUTCString().substring(0, 3);
            },
            "dd": function(t) {
                return Strings.padZeros(Time.timeComponentGet(t, "day") + 1, 2);
            },
            "d": function(t) {
                return Time.timeComponentGet(t, "day") + 1;
            },
            "yyyy": function(t) {
                return Time.timeComponentGet(t, "year");
            },
            "yy": function(t) {
                return Time.timeComponentGet(t, "year") % 100;
            },
            "l+": function(t) {
                return t.getTime();
            },
            "l": function(t) {
                return Time.timeComponentGet(t, "millisecond");
            },
            "L": function(t) {
                return Math.floor(Time.timeComponentGet(t, "millisecond") / 10);
            },
            "tt": function(t) {
                return Time.timeModulo(t, "hour", "floor") < 12 ? 'am' : 'pm';
            },
            "t": function(t) {
                return Time.timeModulo(t, "hour", "floor") < 12 ? 'a' : 'p';
            },
            "TT": function(t) {
                return Time.timeModulo(t, "hour", "floor") < 12 ? 'AM' : 'PM';
            },
            "T": function(t) {
                return Time.timeModulo(t, "hour", "floor") < 12 ? 'A' : 'P';
            },
            "o": function(t, bias) {
                bias = Math.floor(bias / 1000 / 60);
                return (bias > 0 ? "-" : "+") + Strings.padZeros(Math.floor(Math.abs(bias) / 60) * 100 + Math.abs(bias) % 60, 4);
            }

        },

        ELAPSED_HOURS_MINUTES_SECONDS: "h+:MM:ss",
        ELAPSED_MINUTES_SECONDS: "M+:ss",
        FULL_YEAR: "yyyy",
        LETTER_MONTH: "mmm",
        LETTER_MONTH_AND_DAY: "mmm d",
        WEEKDAY: "ddd",
        HOURS_MINUTES_TT: "hh:MM tt",


        /**
         * Format a given time w.r.t. a given time format
         * 
         * @param {string} timeFormat a time format string
         * @param {int} time time as integer to be formatted
         * @param {int} timezone timezone bias (optional)
         * @return {string} formatted time
         * 
         */
        format: function(timeFormat, time, timezone) {
            time = time || Time.now();
            var timezoneTime = Time.timeToTimezoneBasedDate(time, timezone);
            var bias = Time.timezoneBias(timezone, time);
            var result = timeFormat;
            var replacers = [];
            Objs.iter(this.formatMappings, function(formatter, key) {
                if (result.indexOf(key) >= 0) {
                    var i = replacers.length;
                    replacers.push(formatter(timezoneTime, bias));
                    result = result.replace(key, "$" + i + "$");
                }
            }, this);
            for (var i = 0; i < replacers.length; ++i)
                result = result.replace("$" + i + "$", replacers[i]);
            return result;
        },

        /**
         * Format the month as a three letter string
         * 
         * @param {int} month month as an int
         * @return {string} three letter month string
         */
        monthString: function(month) {
            return this.format("mmm", Time.encodePeriod({
                month: month
            }));
        },

        /**
         * Format the weekday as a three letter string
         * 
         * @param {int} weekday weekday as an int
         * @return {string} three letter weekday string
         */
        weekdayString: function(weekday) {
            return this.format("ddd", Time.encodePeriod({
                weekday: weekday
            }));
        },

        /**
         * Returns the week number
         *
         * @param {int} time time
         * @param {int} timezone timezone
         * @return {int} number of the week in a year
         */
        weekNumber: function(time, timezone) {
            var base = new Date(time + Time.timezoneBias(timezone, time));
            var d = new Date(Date.UTC(base.getFullYear(), base.getMonth(), base.getDate()));
            var dayNum = d.getUTCDay() || 7;
            d.setUTCDate(d.getUTCDate() + 4 - dayNum);
            var yearStart = new Date(Date.UTC(d.getUTCFullYear(), 0, 1));
            return Math.ceil((((d - yearStart) / 86400000) + 1) / 7);
        },

        // /**
        //  * Format most significant part of date / time relative to current time
        //  *
        //  * @param {int} time date/time to be formatted
        //  * @param {int} currentTime relative to current time (optional)
        //  * @param {int} timezone time zone bias (optional)
        //  * @return {string} formatted time
        //  */
        // formatRelativeMostSignificant: function(time, currentTime, timezone) {
        //     currentTime = currentTime || Time.now();
        //     var t = Time.decodeTime(time, timezone);
        //     var c = Time.decodeTime(currentTime, timezone);
        //     // Same day. Return time.
        //     if (t.year === c.year && t.month === c.month && t.day === c.day)
        //         return this.format('hh:MM tt', time, timezone);
        //     // Less than 7 days. Return week day.
        //     if (currentTime - time < 7 * 24 * 60 * 60 * 1000 && t.weekday !== c.weekday)
        //         return this.format('dddd', time, timezone);
        //     // Last 2 months?
        //     if ((t.year === c.year && t.month + 1 >= c.month) || (t.year + 1 === c.year && t.month + 1 >= c.month + 12 - 1))
        //         return this.format('mmm d', time, timezone);
        //     // Last 11 month?
        //     if (t.year === c.year || (t.year + 1 === c.year && t.month > c.month))
        //         return this.format('mmm', time, timezone);
        //     // Return year
        //     return this.format('yyyy', time, timezone);
        // },

        /**
         * Format most significant part of date / time relative to current time
         *
         * @param {int} time date/time to be formatted
         * @param {int} currentTime relative to current time (optional)
         * @param {int} timezone time zone bias (optional)
         * @return {string} formatted time
         */
        formatRelativeMostSignificant: function(time, currentTime, timezone) {
            if (time === Infinity)
                return 'Someday';

            currentTime = currentTime || Time.now();
            var t = Time.decodeTime(time, timezone);
            var c = Time.decodeTime(currentTime, timezone);

            // Yesterday + time
            if (t.year === c.year && t.month === c.month && t.day === c.day - 1)
                return 'Yesterday ' + this.format('hh:MM tt', time, timezone);
            // Today + time
            if (t.year === c.year && t.month === c.month && t.day === c.day)
                return 'Today ' + this.format('hh:MM tt', time, timezone);
            // Tomorrow + time.
            if (t.year === c.year && t.month === c.month && t.day === c.day + 1)
                return 'Tomorrow ' + this.format('hh:MM tt', time, timezone);
            // Less than 7 days. Return week day.
            if (Math.abs(currentTime - time) < 7 * 24 * 60 * 60 * 1000 && t.weekday !== c.weekday)
                return this.format('dddd', time, timezone);
            // Last 2 months?
            if ((t.year === c.year && t.month + 1 >= c.month) || (t.year + 1 === c.year && t.month + 1 >= c.month + 12 - 1))
                return this.format('mmm d', time, timezone);
            // Last 11 month?
            if (t.year === c.year || (t.year + 1 === c.year && t.month > c.month))
                return this.format('mmm', time, timezone);
            // Return year
            return this.format('yyyy', time, timezone);
        }

    };
});

Scoped.define("module:Classes.Taggable", ["module:Objs"], function(Objs) {

    /**
     * Taggable Mixin for handling instance tags
     * 
     * @mixin BetaJS.Classes.Taggable
     */
    return {

        /**
         * Determines whether a specific tag is present. 
         * 
         * @param {string} tag tag in question
         * @return {boolean} true if tag present
         */
        hasTag: function(tag) {
            return this.__tags && (tag in this.__tags);
        },

        /**
         * Returns all tags being present.
         *  
         * @return {array} Array of tags
         */
        getTags: function() {
            return Object.keys(this.__tags || {});
        },

        /**
         * Removes a specific tag. 
         * 
         * @param {string} tag tag in question
         * @return {object} this
         */
        removeTag: function(tag) {
            if (this.__tags) {
                delete this.__tags[tag];
                this._notify("tags-changed");
            }
            return this;
        },

        /**
         * Remove a list of tags. 
         * 
         * @param {array} tags tags to be removed
         * @return {object} this
         */
        removeTags: function(tags) {
            Objs.iter(tags, this.removeTag, this);
            return this;
        },

        /**
         * Add a tag to the instance. 
         * 
         * @param {string} tag tag in question
         * @return {object} this
         */
        addTag: function(tag) {
            this.__tags = this.__tags || {};
            this.__tags[tag] = true;
            this._notify("tags-changed");
            return this;
        },

        /**
         * Add a number of tags to the instance. 
         * 
         * @param {array} tags tag to be added
         * @return {object} this
         */
        addTags: function(tags) {
            Objs.iter(tags, this.addTag, this);
            return this;
        },

        /**
         * Returns the subset of the given tags that are present in the instance. 
         * 
         * @param {array} tags Superset of tags to be checkd
         * @return {array} Subset of intersecting tags
         */
        tagIntersect: function(tags) {
            return Objs.filter(tags, this.hasTag, this);
        }

    };
});

Scoped.define("module:Classes.StringTable", ["module:Class","module:Classes.Taggable","module:Functions","module:Objs"], function(Class, Taggable, Functions, Objs, scoped) {
    return Class.extend({
        scoped: scoped
    }, [Taggable, function(inherited) {

        /**
         * Taggable StringTable Class 
         * 
         * @class BetaJS.Classes.StringTable
         */
        return {

            _notifications: {
                "tags-changed": function() {
                    this.__cache = {};
                }
            },

            /**
             * Instantiates a StringTable. 
             */
            constructor: function() {
                inherited.constructor.call(this);
                this.__cache = {};
                this.__strings = {};
            },

            __resolveKey: function(key, prefix) {
                if (prefix)
                    key = prefix + "." + key;
                key = key.replace(/[^\.]+\.</g, "");
                return key;
            },

            __betterMatch: function(candidate, reference) {
                var c = this.tagIntersect(candidate.tags).length - this.tagIntersect(reference.tags).length;
                if (c !== 0)
                    return c > 0;
                c = candidate.priority - reference.priority;
                if (c !== 0)
                    return c > 0;
                c = reference.tags.length - candidate.tags.length;
                return c > 0;
            },

            /**
             * Registers string resources. 
             * 
             * @param {object} strings key-value representation of strings
             * @param {string} prefix optional prefix for the keys
             * @param {array} tags optional tags
             * @param {int} priority optional priority
             * 
             * @return {object} this
             */
            register: function() {
                var args = Functions.matchArgs(arguments, {
                    strings: true,
                    prefix: "string",
                    tags: "array",
                    priority: "number"
                });
                Objs.iter(args.strings, function(value, key) {
                    key = this.__resolveKey(key, args.prefix);
                    this.__strings[key] = this.__strings[key] || [];
                    this.__strings[key].push({
                        value: value,
                        tags: args.tags || [],
                        priority: args.priority || 0
                    });
                    delete this.__cache[key];
                }, this);
                return this;
            },

            /**
             * Returns a string resource by key 
             * 
             * @param {string} key key to be retrieved
             * @param {string} prefix optional prefix for the key
             * 
             * @return {string} resource string
             */
            get: function(key, prefix) {
                key = this.__resolveKey(key, prefix);
                if (key in this.__cache)
                    return this.__cache[key];
                if (!(key in this.__strings))
                    return null;
                var current = null;
                Objs.iter(this.__strings[key], function(candidate) {
                    if (!current || this.__betterMatch(candidate, current))
                        current = candidate;
                }, this);
                this.__cache[key] = current.value;
                return current.value;
            },

            /**
             * Retruns all included string resources 
             * 
             * @return {object} key-value representation of the included string resources
             */
            all: function() {
                return Objs.map(this.__strings, function(value, key) {
                    return this.get(key);
                }, this);
            }

        };
    }]);
});

Scoped.define("module:Classes.LocaleMixin", function() {

    /**
     * Locale Mixin for adding Locale access to a Class
     * 
     * @mixin BetaJS.Classes.LocaleMixin
     */
    return {

        _clearLocale: function() {},
        _setLocale: function(locale) {},

        /**
         * Returns the current locale.
         * 
         * @return {object} current locale
         */
        getLocale: function() {
            return this.__locale;
        },

        /**
         * Clears the current locale.
         * 
         */
        clearLocale: function() {
            this._clearLocale();
            this.__locale = null;
        },

        /**
         * Sets the current locale
         * 
         * @param {object} locale New locale
         */
        setLocale: function(locale) {
            this.clearLocale();
            this.__locale = locale;
            this._setLocale(locale);
        },

        /**
         * Returns whether a locale is set.
         * 
         * @return {boolean} true if locale is set
         */
        isLocaleSet: function() {
            return !!this.__locale;
        },

        /**
         * Sets a locale if not locale is set.
         * 
         * @param {object} locale New weak locale
         */
        setWeakLocale: function(locale) {
            if (!this.isLocaleSet())
                this.setLocale(locale);
        }

    };
});

Scoped.define("module:Classes.LocaleTable", ["module:Classes.StringTable","module:Classes.LocaleMixin"], function(StringTable, LocaleMixin, scoped) {
    return StringTable.extend({
        scoped: scoped
    }, [LocaleMixin,

        /**
         * Locale Table Class
         * 
         * @class BetaJS.Classes.LocaleTable
         */
        {

            _localeTags: function(locale) {
                if (!locale)
                    return null;
                var result = [];
                result.push("language:" + locale);
                if (locale.indexOf("-") > 0)
                    result.push("language:" + locale.substring(0, locale.indexOf("-")));
                return result;
            },

            /**
             * @override 
             */
            _clearLocale: function() {
                this.removeTags(this._localeTags(this.getLocale()));
            },

            /**
             * @override 
             */
            _setLocale: function(locale) {
                this.addTags(this._localeTags(locale));
            }

        }
    ]);
});

Scoped.define("module:Maths", [], function () {
    /**
     * This module contains auxilary math functions.
     *
     * @module BetaJS.Maths
     */
    return {
        /**
         * Ceiling an integer to be a multiple of another integer.
         *
         * @param {int} number the number to be ceiled
         * @param {int} steps the multiple
         * @param {int} max an optional maximum
         *
         * @return {int} ceiled integer
         */
        discreteCeil: function (number, steps, max) {
            var x = Math.ceil(number / steps) * steps;
            return max && x > max ? 0 : x;
        },
        /**
         * Clamps number between an upper and lower bound.
         *
         * @param {number} number the number to clamp
         * @param {number} lower the lower bound
         * @param {number} upper the upper bound
         *
         * @return {number} the clamped number
         */
        clamp: function (number, lower, upper) {
            if (lower === void 0) { lower = -Infinity; }
            if (upper === void 0) { upper = Infinity; }
            if (number < lower)
                return lower;
            if (number > upper)
                return upper;
            return number;
        },
        /**
         * Creates an array of numbers that contains an arithmetic progression.
         *
         * @param {number} start initial term
         * @param {number} end upper bound
         * @param {number} step step between consecutive terms
         *
         * @return {Array} the arithmetic progression
         */
        range: function (start, end, step) {
            var array = [];
            var current = start;
            var sgn = end >= start ? 1 : -1;
            if (!step)
                step = sgn;
            var stepsgn = step >= 0 ? 1 : -1;
            if (stepsgn != sgn || step === 0)
                return array;
            while (start < end ? current <= end : current >= end) {
                array.push(current);
                current += step;
            }
            return array;
        }
    };
});

Scoped.define("module:Collections.FilteredCollection", ["module:Collections.Collection"], function(Collection, scoped) {
    return Collection.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * The FilteredCollection Class allows you to create a dynamic sub collection based on another Collection instance and a filter function.
         * 
         * @class BetaJS.Collections.FilteredCollection
         */
        return {

            /**
             * Instantiates a FilteredCollection.
             * 
             * @param {object} parent Parent Collection
             * @param {object} options Standard Collection options, plus filter and context
             */
            constructor: function(parent, options) {
                this.__parent = parent;
                options = options || {};
                delete options.objects;
                options.compare = options.compare || parent.get_compare();
                inherited.constructor.call(this, options);
                this.__parent.on("add", this.add, this);
                this.__parent.on("remove", this.__selfRemove, this);
                this.__parent.on("change", this.add, this);
                this.setFilter(options.filter, options.context);
            },

            /**
             * Determines whether an item satisfies the filter of this collection.
             * 
             * @param {object} object Properties instance to be checked
             * 
             * @return {boolean} True if object satisfies current filter
             */
            filter: function(object) {
                return !this.__filter || this.__filter.call(this.__filterContext || this, object);
            },

            /**
             * Sets the current filter
             * 
             * @param {function} filterFunction Filter function to be used for checking items
             * @param {object} filterContext Optional filter function context
             */
            setFilter: function(filterFunction, filterContext) {
                this.__filterContext = filterContext;
                this.__filter = filterFunction;
                this.iterate(function(obj) {
                    if (!this.filter(obj))
                        this.__selfRemove(obj);
                }, this);
                this.__parent.iterate(function(object) {
                    if (!this.exists(object) && this.filter(object))
                        this.__selfAdd(object);
                    return true;
                }, this);
            },

            /**
             * @override
             */
            _object_changed: function(object, key, value) {
                inherited._object_changed.call(this, object, key, value);
                if (!this.filter(object))
                    this.__selfRemove(object);
            },

            /**
             * @override
             */
            destroy: function() {
                this.__parent.off(null, null, this);
                inherited.destroy.call(this);
            },

            __selfAdd: function(object) {
                return inherited.add.call(this, object);
            },

            /**
             * @override
             */
            add: function(object) {
                if (this.exists(object) || !this.filter(object))
                    return null;
                var id = this.__selfAdd(object);
                this.__parent.add(object);
                return id;
            },

            __selfRemove: function(object) {
                return inherited.remove.call(this, object);
            },

            /**
             * @override
             */
            remove: function(object) {
                if (!this.exists(object))
                    return null;
                var result = this.__selfRemove(object);
                if (!result)
                    return null;
                return this.__parent.remove(object);
            }

        };
    });
});

Scoped.define("module:States.State", ["module:Class","module:Types","module:Strings","module:Async","module:Objs"], function(Class, Types, Strings, Async, Objs, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * Abstract State Class
         * 
         * @class BetaJS.States.State
         */
        return {

            _locals: [],
            _persistents: [],
            _defaults: {},
            _clonedDefaults: {},

            _white_list: null,

            _starting: false,
            _started: false,
            _stopped: false,
            _transitioning: false,
            __next_state: null,
            __suspended: 0,

            /**
             * Creates a new instance.
             * 
             * @param {object} host state host
             * @param {object} args arguments for creating the state
             * @param {object} transitionals transitionals variables
             */
            constructor: function(host, args, transitionals) {
                inherited.constructor.call(this);
                this.host = host;
                this.transitionals = transitionals;
                args = Objs.extend(Objs.extend(Objs.clone(this._clonedDefaults || {}, -1), Objs.clone(this._defaults || {}, 1)), args);
                this._locals = Types.is_function(this._locals) ? this._locals() : this._locals;
                var used = {};
                for (var i = 0; i < this._locals.length; ++i) {
                    this["_" + this._locals[i]] = args[this._locals[i]];
                    used[this._locals[i]] = true;
                }
                this._persistents = Types.is_function(this._persistents) ? this._persistents() : this._persistents;
                for (i = 0; i < this._persistents.length; ++i) {
                    this["_" + this._persistents[i]] = args[this._persistents[i]];
                    used[this._locals[i]] = true;
                }
                host.suspendEvents();
                this.__hostArgs = {};
                Objs.iter(args, function(value, key) {
                    if (!used[key]) {
                        this.__hostArgs[key] = true;
                        host.set(key, value);
                    }
                }, this);
                host.resumeEvents();
            },

            /**
             * Returns all attributes of the state.
             * 
             * @return {object} all attributes
             */
            allAttr: function() {
                var result = Objs.clone(this.host.data(), 1);
                Objs.iter(this._locals, function(key) {
                    result[key] = this["_" + key];
                }, this);
                Objs.iter(this._persistents, function(key) {
                    result[key] = this["_" + key];
                }, this);
                return result;
            },

            /**
             * Returns the name of state.
             * 
             * @return {string} name of state
             */
            state_name: function() {
                return Strings.last_after(this.cls.classname, ".");
            },

            /**
             * Returns the description of state.
             * 
             * @return {string} description of state
             */
            description: function() {
                return this.state_name();
            },

            /**
             * Starts the state.
             */
            start: function() {
                if (this._starting)
                    return this;
                this._starting = true;
                this.host._start(this);
                this._start();
                if (this.host) {
                    this.host._afterStart(this);
                    this._started = true;
                }
                return this;
            },

            /**
             * Ends the state.
             */
            end: function() {
                if (this._stopped)
                    return this;
                this._stopped = true;
                this._end();
                this.host._end(this);
                this.host._afterEnd(this);
                this.destroy();
                return this;
            },

            /**
             * Eventually transitions to the next state.
             * 
             * @param {string} state_name name of next state
             * @param {object} args arguments for creating the state
             * @param {object} transitionals transitionals variables
             * 
             * @return {object} next state
             */
            eventualNext: function(state_name, args, transitionals) {
                this.suspend();
                var state = this.next(state_name, args, transitionals);
                this.eventualResume();
                return state;
            },

            /**
             * Eventually transitions to the next state.
             * 
             * @param {string} state_name name of next state
             * @param {object} args arguments for creating the state
             * @param {object} transitionals transitionals variables
             * 
             * @return {object} next state
             */
            next: function(state_name, args, transitionals) {
                if (!this._starting || this._stopped || this.__next_state)
                    return null;
                args = args || {};
                for (var i = 0; i < this._persistents.length; ++i) {
                    if (!(this._persistents[i] in args))
                        args[this._persistents[i]] = this["_" + this._persistents[i]];
                }
                var obj = this.host._createState(state_name, args, transitionals);
                if (!this.can_transition_to(obj)) {
                    obj.destroy();
                    return null;
                }
                if (!this._started) {
                    this.host._afterStart(this);
                    this._started = true;
                }
                this.__next_state = obj;
                this._transitioning = true;
                this._transition();
                if (this.__suspended <= 0)
                    this.__next();
                return obj;
            },

            /**
             * Checks weakly whether a prospective new state is equal to this state.
             * 
             * @param {string} state_name name of next state
             * @param {object} args arguments for creating the state
             * @param {object} transitionals transitionals variables
             * 
             * @return {boolean} true if equal
             */
            weakSame: function(state_name, args, transitionals) {
                var same = true;
                if (state_name !== this.state_name())
                    same = false;
                var all = this.allAttr();
                Objs.iter(args, function(value, key) {
                    if (all[key] !== value)
                        same = false;
                }, this);
                return same;
            },

            /**
             * Weakly transitions to the next state.
             * 
             * @param {string} state_name name of next state
             * @param {object} args arguments for creating the state
             * @param {object} transitionals transitionals variables
             * 
             * @return {object} next state
             */
            weakNext: function(state_name, args, transitionals) {
                return this.weakSame.apply(this, arguments) ? this : this.next.apply(this, arguments);
            },

            __next: function() {
                var host = this.host;
                var obj = this.__next_state;
                host._next(obj);
                var hostArgs = this.__hostArgs;
                this.end();
                obj.start();
                host.suspendEvents();
                obj = host.state();
                if (!obj || obj.destroyed())
                    return;
                Objs.iter(hostArgs, function(dummy, key) {
                    if (!obj.__hostArgs[key])
                        host.unset(key);
                }, this);
                host.resumeEvents();
                host._afterNext(obj);
            },

            _transition: function() {},

            /**
             * Suspends the state.
             */
            suspend: function() {
                this.__suspended++;
                return this;
            },

            /**
             * Eventually resumes the state.
             */
            eventualResume: function() {
                Async.eventually(this.resume, this);
                return this;
            },

            /**
             * Resumes the state.
             */
            resume: function() {
                this.__suspended--;
                if (this.__suspended === 0 && !this._stopped && this.__next_state)
                    this.__next();
                return this;
            },

            /**
             * Determines whether the state can transition to another state.
             * 
             * @param {object} state another state
             * 
             * @return {boolean} true if it can transition
             */
            can_transition_to: function(state) {
                return this.host && this.host._can_transition_to(state) && this._can_transition_to(state);
            },

            _start: function() {},

            _end: function() {},

            _can_transition_to: function(state) {
                return !Types.is_array(this._white_list) || Objs.contains_value(this._white_list, state.state_name());
            }

        };
    }, {

        _extender: {
            _defaults: function(base, overwrite) {
                return Objs.extend(Objs.clone(base, 1), overwrite);
            }
        }

    });
});

Scoped.define("module:States.Host", ["module:Properties.Properties","module:Events.EventsMixin","module:States.State","module:Types","module:Strings","module:Classes.ClassRegistry"], function(Class, EventsMixin, State, Types, Strings, ClassRegistry, scoped) {
    return Class.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {

        /**
         * State Machine Host Class
         * 
         * @class BetaJS.States.Host
         */
        return {

            /**
             * Creates a new instance.
             * 
             * @param {object} options options for state host
             */
            constructor: function(options) {
                inherited.constructor.call(this);
                options = options || {};
                this._stateRegistry = options.stateRegistry;
                this._baseState = options.baseState;
                this._enabled = true;
            },

            /**
             * Initialize state machine.
             * 
             * @param initial_state initial state as string or class
             * @param {object} initial_args initial arguments for state
             * 
             */
            initialize: function(initial_state, initial_args) {
                if (!this._stateRegistry) {
                    var s = null;
                    if (Types.is_string(initial_state) && initial_state.indexOf(".") >= 0) {
                        var split = Strings.splitLast(initial_state, ".");
                        initial_state = split.tail;
                        s = split.head;
                    } else if (!Types.is_string(initial_state))
                        s = Strings.splitLast(initial_state.classname, ".").head;
                    else
                        s = Strings.splitLast(this.cls.classname, ".").head;
                    this._stateRegistry = this._auto_destroy(new ClassRegistry(Scoped.getGlobal(s)));
                }
                this._createState(initial_state, initial_args).start();
                this._baseState = this._baseState || this._state.cls;
                return this;
            },

            /**
             * Creates a new state.
             * 
             * @protected
             * 
             * @param state state as string or class
             * @param {object} args arguments for state
             * @param {object} transitionals transitional arguments for state
             * 
             * @return {object} created state
             */
            _createState: function(state, args, transitionals) {
                return this._stateRegistry.create(state, this, args || {}, transitionals || {});
            },

            /**
             * Finalize current state.
             */
            finalize: function() {
                if (this._state)
                    this._state.end();
                this._state = null;
                return this;
            },

            /**
             * @override
             */
            destroy: function() {
                this.finalize();
                inherited.destroy.call(this);
            },

            /**
             * Enable the state machine.
             */
            enable: function() {
                this._enabled = true;
                return this;
            },

            /**
             * Disable the state machine.
             */
            disable: function() {
                this._enabled = false;
                return this;
            },

            /**
             * Returns the current state.
             * 
             * @return {object} current state
             */
            state: function() {
                return this._state;
            },

            /**
             * Returns the current state name.
             * 
             * @return {string} state name
             */
            state_name: function() {
                return this.state().state_name();
            },

            /**
             * Transitions to the next state
             * 
             * @return {object} next state
             */
            next: function() {
                return this.state() ? this.state().next.apply(this.state(), arguments) : this.initialize.apply(this, arguments);
            },

            /**
             * Weakly transitions to the next state
             * 
             * @return {object} next state
             */
            weakNext: function() {
                return this.state() ? this.state().weakNext.apply(this.state(), arguments) : this.initialize.apply(this, arguments);
            },

            /**
             * Starts a new state.
             * 
             * @protected
             * 
             * @param {object} state state to start
             */
            _start: function(state) {
                this._stateEvent(state, "before_start");
                this._state = state;
                this.set("name", state.state_name());
            },

            /**
             * Called after an event was started.
             * 
             * @protected
             * 
             * @param {object} state state in question
             */
            _afterStart: function(state) {
                this._stateEvent(state, "start");
            },

            /**
             * End a state.
             * 
             * @protected
             * 
             * @param {object} state state in question
             */
            _end: function(state) {
                this._stateEvent(state, "end");
                this._state = null;
            },

            /**
             * Called after an event was ended.
             * 
             * @protected
             * 
             * @param {object} state state in question
             */
            _afterEnd: function(state) {
                this._stateEvent(state, "after_end");
            },

            /**
             * Called when a transition to a state is taking place.
             * 
             * @protected
             * 
             * @param {object} state state in question
             */
            _next: function(state) {
                this._stateEvent(state, "next");
            },

            /**
             * Called after transitioning to a state.
             * 
             * @protected
             * 
             * @param {object} state state in question
             */
            _afterNext: function(state) {
                this._stateEvent(state, "after_next");
            },

            /**
             * Determines whether we can transition to a state
             * 
             * @protected
             * 
             * @param {object} state state in question
             * @return {boolean} true if we can transition
             */
            _can_transition_to: function(state) {
                return this._enabled;
            },

            /**
             * Triggers a state event.
             * 
             * @protected
             * 
             * @param {object} state state in question
             * @param {string} s name of event
             * @fires BetaJS.States.Host#event
             */
            _stateEvent: function(state, s) {
                /**
                 * @event BetaJS.States.Host#event
                 */
                this.trigger("event", s, state.state_name(), state.description());
                this.trigger(s, state.state_name(), state.description());
                this.trigger(s + ":" + state.state_name(), state.description());
            },

            /**
             * Registers a new state.
             * 
             * @param {string} state_name name of new state
             * @param {object} parent_state class of parent state we should inherit from
             * @param {object} extend extension of state class
             * 
             * @return {object} new state class
             */
            register: function(state_name, parent_state, extend) {
                if (!Types.is_string(parent_state)) {
                    extend = parent_state;
                    parent_state = null;
                }
                if (!this._stateRegistry)
                    this._stateRegistry = this._auto_destroy(new ClassRegistry(Strings.splitLast(this.cls.classname).head));
                var base = this._baseState ? (Strings.splitLast(this._baseState.classname, ".").head + "." + state_name) : (state_name.indexOf(".") >= 0 ? state_name : null);
                var cls = (this._stateRegistry.get(parent_state) || this._baseState || State).extend(base, extend);
                if (!base)
                    cls.classname = state_name;
                this._stateRegistry.register(Strings.last_after(state_name, "."), cls);
                return this;
            }

        };
    }]);
});

Scoped.define("module:Ajax.AbstractAjaxWrapper", ["module:Class","module:Objs"], function(Class, Objs, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {

        /**
         * Abstract Ajax Wrapper Class
         * 
         * @class BetaJS.Ajax.AbstractAjaxWrapper
         */
        return {

            /**
             * Creates an instance.
             * 
             * @param {object} options common options for ajax calls
             */
            constructor: function(options) {
                inherited.constructor.call(this);
                this.options = options;
            },

            /**
             * Execute an ajax call.
             * 
             * @param {object} options options for ajax call
             * @param {function} progress Optional progress function
             * @param {object} progressCtx Optional progress context
             * @param {object} request Optional request object
             * @return {object} promise for the ajax call
             */
            execute: function(options, progress, progressCtx, request) {
                return this._execute(Objs.extend(Objs.clone(this.options, 1), options), progress, progressCtx, request);
            },

            _execute: function(options, progress, progressCtx, request) {
                throw "Not implemented";
            }

        };
    });
});

Scoped.define("module:Ajax.AjaxWrapper", ["module:Ajax.AbstractAjaxWrapper","module:Ajax.Support"], function(AbstractAjaxWrapper, Support, scoped) {
    /**
     * Ajax Wrapper Class
     *
     * @class BetaJS.Ajax.AjaxWrapper
     */
    return AbstractAjaxWrapper.extend({
        scoped: scoped
    }, {
        _execute: function(options, progress, progressCtx, request) {
            return Support.execute(options, progress, progressCtx, request);
        }
    });
});

Scoped.define("module:Net.Cookies", ["module:Objs","module:Types"], function(Objs, Types) {
    return {

        getCookielikeValue: function(cookies, key) {
            cookies = cookies || "";
            return decodeURIComponent(cookies.replace(new RegExp("(?:(?:^|.*;)\\s*" + encodeURIComponent(key).replace(/[\-\.\+\*]/g, "\\$&") + "\\s*\\=\\s*([^;]*).*$)|^.*$"), "$1")) || null;
        },

        /**
         *
         * @param {string} key
         * @param {string} value
         * @param {Date} end
         * @param {string} path
         * @param {string} domain
         * @param {boolean} secure
         * @param {string} sameSite
         * @return {null|*}
         */
        createCookielikeValue: function(key, value, end, path, domain, secure, sameSite) {
            if (!key || /^(?:expires|max\-age|path|domain|secure)$/i.test(key))
                return null;
            var components = [];
            components.push([encodeURIComponent(key), encodeURIComponent(value)]);
            if (end) {
                if (end === Infinity)
                    components.push(["expires", "Fri, 31 Dec 9999 23:59:59 GMT"]);
                else if (typeof end === "number")
                    components.push(["max-age", end]);
                else if (typeof end === "object")
                    components.push(["expires", end.toUTCString()]);
                else
                    components.push(["expires", end]);
            }
            if (domain)
                components.push(["domain", domain]);
            if (path)
                components.push(["path", path]);
            if (secure)
                components.push("secure");
            // Any cookie that requests SameSite=None but is not marked Secure will be rejected.
            sameSite = sameSite || 'None';
            components.push("SameSite", sameSite);
            return Objs.map(components, function(component) {
                return Types.is_array(component) ? component.join("=") : component;
            }).join("; ");
        },

        removeCookielikeValue: function(key, value, path, domain) {
            return this.createCookielikeValue(key, value, new Date(0), path, domain);
        },

        hasCookielikeValue: function(cookies, key) {
            return (new RegExp("(?:^|;\\s*)" + encodeURIComponent(key).replace(/[\-\.\+\*]/g, "\\$&") + "\\s*\\=")).test(cookies);
        },

        keysCookielike: function(cookies) {
            var base = cookies.replace(/((?:^|\s*;)[^\=]+)(?=;|$)|^\s*|\s*(?:\=[^;]*)?(?:\1|$)/g, "").split(/\s*(?:\=[^;]*)?;\s*/);
            return Objs.map(base, decodeURIComponent);
        }

    };
});

Scoped.define("module:Classes.LocaleAggregator", ["module:Class","module:Classes.LocaleMixin","module:Objs"], function(Class, LocaleMixin, Objs, scoped) {
    return Class.extend({
        scoped: scoped
    }, [LocaleMixin, function(inherited) {

        /**
         * Locale Aggregator Class for combining multiple locales into one.
         * 
         * @class BetaJS.Classes.LocaleAggregator
         */
        return {

            /**
             * Create a Locale Aggregator instance.
             * 
             */
            constructor: function() {
                inherited.constructor.call(this);
                this.__locales = [];
            },

            /**
             * Registers a new locale.
             * 
             * @return {object} Locale
             */
            register: function(obj) {
                this.__locales.push(obj);
            },

            /**
             * @override
             */
            _clearLocale: function() {
                Objs.iter(this.__locales, function(obj) {
                    obj.clearLocale();
                }, this);
            },

            /**
             * @override
             */
            _setLocale: function(locale) {
                Objs.iter(this.__locales, function(obj) {
                    obj.setLocale(locale);
                }, this);
            }

        };
    }]);
});


}).call(Scoped);
(function () {
var Scoped = this.subScope();
Scoped.binding('base', 'root:BetaJS');
Scoped.binding('module', 'root:BetaJS.Browser');
Scoped.define("module:FlashDetect", ["base:Class"], function(Class, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function() {
                inherited.constructor.call(this);
                this.__version = null;
                if (navigator.plugins && navigator.plugins.length > 0) {
                    var type = 'application/x-shockwave-flash';
                    var mimeTypes = navigator.mimeTypes;
                    if (mimeTypes && mimeTypes[type] && mimeTypes[type].enabledPlugin && mimeTypes[type].enabledPlugin.description)
                        this.__version = this.parseVersion(mimeTypes[type].enabledPlugin.description);
                } else if (navigator.appVersion.indexOf("Mac") == -1 && "execScript" in window) {
                    for (var i = 0; i < this.__activeXDetectRules.length; i++) {
                        try {
                            var obj = new ActiveXObject(this.__activeXDetectRules[i].name);
                            var version = this.__activeXDetectRules[i].version(obj);
                            if (version) {
                                this.__version = this.parseActiveXVersion(version);
                                break;
                            }
                        } catch (err) {}
                    }
                }
            },

            parseVersion: function(str) {
                var descParts = str.split(/ +/);
                var majorMinor = descParts[2].split(/\./);
                var revisionStr = descParts[3];
                return {
                    "raw": str,
                    "major": parseInt(majorMinor[0], 10),
                    "minor": parseInt(majorMinor[1], 10),
                    "revisionStr": revisionStr,
                    "revision": parseInt(revisionStr.replace(/[a-zA-Z]/g, ""), 10)
                };
            },

            parseActiveXVersion: function(str) {
                var versionArray = str.split(",");
                return {
                    "raw": str,
                    "major": parseInt(versionArray[0].split(" ")[1], 10),
                    "minor": parseInt(versionArray[1], 10),
                    "revision": parseInt(versionArray[2], 10),
                    "revisionStr": versionArray[2]
                };
            },

            version: function() {
                return this.__version;
            },

            installed: function() {
                return this.__version !== null;
            },

            supported: function() {
                var ua = navigator.userAgent;
                return this.installed() || !(ua.indexOf('iPhone') != -1 || ua.indexOf('iPod') != -1 || ua.indexOf('iPad') != -1);
            },

            majorAtLeast: function(version) {
                return this.installed() && this.version().major >= version;
            },

            minorAtLeast: function(version) {
                return this.installed() && this.version().minor >= version;
            },

            revisionAtLeast: function(version) {
                return this.installed() && this.version().revision >= version;
            },

            versionAtLeast: function(major) {
                if (!this.installed())
                    return false;
                var properties = [this.version().major, this.version().minor, this.version().revision];
                var len = Math.min(properties.length, arguments.length);
                for (var i = 0; i < len; i++) {
                    if (properties[i] != arguments[i])
                        return properties[i] > arguments[i];
                }
                return true;
            },

            __activeXDetectRules: [{
                name: "ShockwaveFlash.ShockwaveFlash.7",
                version: function(obj) {
                    try {
                        return obj.GetVariable("$version");
                    } catch (err) {
                        return null;
                    }
                }
            }, {
                name: "ShockwaveFlash.ShockwaveFlash.6",
                version: function(obj) {
                    try {
                        obj.AllowScriptAccess = "always";
                        try {
                            return obj.GetVariable("$version");
                        } catch (err) {
                            return null;
                        }
                    } catch (err) {
                        return "6,0,21";
                    }
                }
            }, {
                name: "ShockwaveFlash.ShockwaveFlash",
                version: function(obj) {
                    try {
                        return obj.GetVariable("$version");
                    } catch (err) {
                        return null;
                    }
                }
            }]

        };
    });
});

Scoped.define("module:Info", ["base:Objs","module:FlashDetect"], function(Objs, FlashDetect) {
    return {

        __navigator: null,

        getNavigator: function() {
            if (!this.__navigator) {
                this.__navigator = {
                    appCodeName: navigator.appCodeName,
                    appName: navigator.appName,
                    appVersion: navigator.appVersion,
                    cookieEnabled: navigator.cookieEnabled,
                    onLine: navigator.onLine,
                    platform: navigator.platform,
                    userAgent: navigator.userAgent,
                    window_chrome: (typeof window !== "undefined") && ("chrome" in window),
                    window_opera: (typeof window !== "undefined") && ("opera" in window),
                    language: navigator.language || navigator.userLanguage || "",
                    isTouchable: this.isTouchable()
                };
            }
            return this.__navigator;
        },

        __cache: {},

        __cached: function(key, value_func, force) {
            if (!(key in this.__cache) || force) {
                var n = this.getNavigator();
                this.__cache[key] = value_func.call(this, n, n.userAgent, n.userAgent.toLowerCase());
            }
            return this.__cache[key];
        },

        setNavigator: function(obj) {
            this.__navigator = obj;
            this.__cache = {};
        },

        language: function() {
            return this.__cached("language", function(nav) {
                return nav.language;
            });
        },

        flash: function(force) {
            return this.__cached("flash", function() {
                return new FlashDetect();
            }, force);
        },

        isiOS: function() {
            return this.__cached("isiOS", function(nav, ua) {
                if (this.isInternetExplorer() || this.isIEMobile())
                    return false;
                var strs = [ua];
                if (nav.platform)
                    strs.push(nav.platform);
                var ids = ["iPhone", "iPod", "iPad"];
                return strs.some(function(s) {
                    return ids.some(function(i) {
                        return s.indexOf(i) != -1;
                    });
                }) || (nav.platform && nav.platform === "MacIntel" && nav.isTouchable);
            });
        },

        isEdge: function() {
            return this.__cached("isEdge", function(nav, ua) {
                return ua.indexOf('Edge') != -1;
            });
        },

        isCordova: function() {
            return ((typeof window !== "undefined") && (!!window.cordova || !!window._cordovaNative)) || document.location.href.indexOf("file:///android_asset/www") === 0 || document.location.href.indexOf("file:///var/mobile/Containers/Bundle/Application") === 0;
        },

        isLocalCordova: function() {
            return this.__cached("isLocalCordova", function() {
                return this.isCordova() && document.location.href.indexOf("http") !== 0;
            });
        },

        isChrome: function() {
            return this.__cached("isChrome", function(nav, ua) {
                return (nav.window_chrome || ua.indexOf('CriOS') != -1) && !this.isOpera() && !this.isEdge();
            });
        },

        isChromium: function() {
            return this.__cached("isChromium", function(nav, ua, ualc) {
                return !this.isChrome() && this.isAndroid() && ualc.indexOf("linux") >= 0;
            });
        },

        isChromiumBased: function() {
            return this.__cached("isChromiumBased", function() {
                return this.isChrome() || this.isChromium();
            });
        },

        isOpera: function() {
            return this.__cached("isOpera", function(nav, ua) {
                return nav.window_opera || ua.indexOf(' OPR/') >= 0 || ua.indexOf("OPiOS") >= 0 || ua.indexOf('Opera') >= 0;
            });
        },

        isAndroid: function() {
            return this.__cached("isAndroid", function(nav, ua, ualc) {
                return ualc.indexOf("android") != -1;
            });
        },

        isWebOS: function() {
            return this.__cached("isWebOS", function(nav, ua, ualc) {
                return ualc.indexOf("webos") != -1;
            });
        },

        isWindowsPhone: function() {
            return this.__cached("isWindowsPhone", function(nav, ua, ualc) {
                return ualc.indexOf("windows phone") != -1;
            });
        },

        isBlackberry: function() {
            return this.__cached("isBlackberry", function(nav, ua, ualc) {
                return ualc.indexOf("blackberry") != -1;
            });
        },

        iOSversion: function() {
            return this.__cached("iOSversion", function(nav) {
                if (!this.isiOS())
                    return false;
                var v = (nav.appVersion).match(/OS (\d+)_(\d+)_?(\d+)?/);
                return {
                    major: parseInt(v[1], 10),
                    minor: parseInt(v[2], 10),
                    revision: parseInt(v[3] || 0, 10)
                };
            });
        },

        androidVersion: function() {
            return this.__cached("androidVersion", function(nav) {
                if (!this.isAndroid())
                    return false;
                var v = (nav.userAgent).match(/Android (\d+)\.(\d+)\.?(\d+)?/);
                return {
                    major: parseInt(v[1], 10),
                    minor: parseInt(v[2], 10),
                    revision: parseInt(v[3] || 0, 10)
                };
            });
        },

        isMobile: function() {
            return this.__cached("isMobile", function() {
                return this.isiOS() || this.isAndroid() || this.isWebOS() || this.isWindowsPhone() || this.isBlackberry();
            });
        },

        isDesktop: function() {
            return this.__cached("isDesktop", function() {
                return !this.isMobile();
            });
        },

        isInternetExplorer: function() {
            return this.__cached("isInternetExplorer", function() {
                //return navigator.appName == 'Microsoft Internet Explorer';
                return !this.isIEMobile() && this.internetExplorerVersion() !== null;
            });
        },

        isIEMobile: function() {
            return this.__cached("isIEMobile", function(nav, ua, ualc) {
                return ualc.indexOf("iemobile") >= 0;
            });
        },

        isFirefox: function() {
            return this.__cached("isFirefox", function(nav, ua, ualc) {
                if (ualc.indexOf("firefox") != -1 || ualc.indexOf("fxios") != -1)
                    return true;
                return false;
            });
        },

        isSafari: function() {
            return this.__cached("isSafari", function(nav, ua, ualc) {
                if (!this.isChrome() && !this.isOpera() && !this.isEdge() && !this.isFirefox() && ualc.indexOf("safari") != -1 && !this.isAndroid())
                    return true;
                if (this.isiOS() && ua.indexOf("Macintosh") != -1 && nav.platform) {
                    if (nav.platform === "iPad")
                        return true;
                    if (nav.isTouchable && nav.platform === "MacIntel")
                        return true;
                }
                return false;
            });
        },

        isWindows: function() {
            return this.__cached("isWindows", function(nav) {
                return nav.appVersion.toLowerCase().indexOf("win") != -1 && !this.isWindowsPhone();
            });
        },

        isMacOS: function() {
            return this.__cached("isMacOS", function(nav) {
                return !this.isiOS() && nav.appVersion.toLowerCase().indexOf("mac") != -1;
            });
        },

        isUnix: function() {
            return this.__cached("isUnix", function(nav) {
                return nav.appVersion.toLowerCase().indexOf("x11") != -1;
            });
        },

        isLinux: function() {
            return this.__cached("isLinux", function(nav) {
                return !this.isAndroid() && nav.appVersion.toLowerCase().indexOf("linux") != -1;
            });
        },

        /**
         * Checking if device is touchable device
         *
         * @return {boolean}
         */
        isTouchable: function() {
            return (((typeof window !== "undefined") && ('ontouchstart' in window)) || (navigator.maxTouchPoints > 0) || (navigator.msMaxTouchPoints > 0));
        },

        /**
         * Will return boolean if screen recorder is supported
         * We have the same method in betajs-media package, but sometimes it could be required before
         * recorder is initialized
         * @return {boolean}
         */
        isScreenRecorderSupported: function() {
            if (typeof navigator.mediaDevices !== 'undefined') {
                if ((this.isChrome() || this.isFirefox() || this.isOpera() || this.isEdge()) && !this.isMobile() && typeof navigator.mediaDevices.getDisplayMedia !== 'undefined')
                    return true;
            }
            return false;
        },


        internetExplorerVersion: function() {
            return this.__cached("internetExplorerVersion", function(nav, ua) {
                if (nav.appName == 'Microsoft Internet Explorer') {
                    var re = new RegExp("MSIE ([0-9]+)");
                    var ma = re.exec(ua);
                    if (ma)
                        return ma[1];
                } else if (nav.appName == 'Netscape') {
                    var re2 = new RegExp("Trident/.*rv:([0-9]+)");
                    var ma2 = re2.exec(nav.userAgent);
                    if (ma2)
                        return parseFloat(ma2[1]);
                }
                return null;
            });
        },

        chromeVersion: function() {
            return this.__cached("chromeVersion", function(nav, ua) {
                var re = /(Chrome|CriOS)\/(\d+\.\d+)[^\d]/gi;
                var ma = re.exec(ua);
                if (ma)
                    return parseFloat(ma[2]);
                return null;
            });
        },

        operaVersion: function() {
            return this.__cached("operaVersion", function(nav, ua) {
                var re = /OPR\/(\d+\.\d+)[^\d]/gi;
                var ma = re.exec(ua);
                if (ma)
                    return parseFloat(ma[1]);
                return null;
            });
        },

        safariVersion: function() {
            return this.__cached("safariVersion", function(nav, ua) {
                var re = /Version\/(\d+\.\d+)[^\d]/gi;
                var ma = re.exec(ua);
                if (ma)
                    return parseFloat(ma[1]);
                return null;
            });
        },

        firefoxVersion: function() {
            return this.__cached("firefoxVersion", function(nav, ua) {
                var re = /Firefox\/(\d+\.\d+)/gi;
                var ma = re.exec(ua);
                if (ma)
                    return parseFloat(ma[1]);
                return null;
            });
        },

        edgeVersion: function() {
            return this.__cached("edgeVersion", function(nav, ua) {
                // Edge for the old versions latest was 15, Edg is for Chromium based version
                var re = /Edg\/(\d+\.\d+)|Edge\/(\d+\.\d+)/gi;
                var ma = re.exec(ua);
                if (ma)
                    return parseFloat(ma[1]);
                return null;
            });
        },

        inIframe: function() {
            try {
                return (typeof window !== "undefined") && (window.self !== window.top);
            } catch (e) {
                return true;
            }
        },

        __devicesMap: {
            mobile: {
                format: "Mobile",
                check: function() {
                    return this.isMobile();
                }
            },
            desktop: {
                format: "Desktop",
                check: function() {
                    return this.isDesktop();
                }
            }
        },

        __obtainMatch: function(map, def) {
            var result = null;
            Objs.iter(map, function(value, key) {
                if (value.check.apply(this)) {
                    if (result) {
                        result = null;
                        return false;
                    }
                    result = Objs.clone(value, 1);
                    delete result.check;
                    result.key = key;
                }
            }, this);
            return result || def;
        },

        getDevice: function() {
            return this.__cached("getDevice", function() {
                return this.__obtainMatch(this.__devicesMap, {
                    key: "unknown",
                    format: "Unknown Device"
                });
            });
        },

        formatDevice: function() {
            return this.getDevice().format;
        },

        __osMap: {
            macosx: {
                format: "Mac OS-X",
                check: function() {
                    return this.isMacOS();
                }
            },
            windows: {
                format: "Windows",
                check: function() {
                    return this.isWindows();
                }
            },
            unix: {
                format: "Unix",
                check: function() {
                    return this.isUnix();
                }
            },
            linux: {
                format: "Linux",
                check: function() {
                    return this.isLinux();
                }
            },
            ios: {
                format: "iOS",
                check: function() {
                    return this.isiOS();
                },
                version: function() {
                    return this.iOSversion().major + "." + this.iOSversion().minor + "." + this.iOSversion().revision;
                }
            },
            android: {
                format: "Android",
                check: function() {
                    return this.isAndroid();
                }
            },
            webos: {
                format: "WebOS",
                check: function() {
                    return this.isWebOS();
                }
            },
            windowsphone: {
                format: "Windows Phone",
                check: function() {
                    return this.isWindowsPhone();
                }
            },
            blackberry: {
                format: "Blackberry",
                check: function() {
                    return this.isBlackberry();
                }
            }
        },

        getOS: function() {
            return this.__cached("getOS", function() {
                return this.__obtainMatch(this.__osMap, {
                    key: "unknown",
                    format: "Unknown Operating System"
                });
            });
        },

        formatOS: function() {
            return this.getOS().format;
        },

        formatOSVersion: function() {
            return this.getOS().version ? this.getOS().version.apply(this) : "";
        },

        __browserMap: {
            chrome: {
                format: "Chrome",
                check: function() {
                    return this.isChrome();
                },
                version: function() {
                    return this.chromeVersion();
                }
            },
            chromium: {
                format: "Chromium",
                check: function() {
                    return this.isChromium();
                }
            },
            opera: {
                format: "Opera",
                check: function() {
                    return this.isOpera();
                },
                version: function() {
                    return this.operaVersion();
                }
            },
            internetexplorer: {
                format: "Internet Explorer",
                check: function() {
                    return this.isInternetExplorer();
                },
                version: function() {
                    return this.internetExplorerVersion();
                }
            },
            firefox: {
                format: "Firefox",
                check: function() {
                    return this.isFirefox();
                },
                version: function() {
                    return this.firefoxVersion();
                }
            },
            safari: {
                format: "Safari",
                check: function() {
                    return this.isSafari();
                },
                version: function() {
                    return this.safariVersion();
                }
            },
            webos: {
                format: "WebOS",
                check: function() {
                    return this.isWebOS();
                }
            },
            blackberry: {
                format: "Blackberry",
                check: function() {
                    return this.isBlackberry();
                }
            },
            edge: {
                format: "Edge",
                check: function() {
                    return this.isEdge();
                }
            },
            iemobile: {
                format: "IE Mobile",
                check: function() {
                    return this.isIEMobile();
                }
            }
        },

        getBrowser: function() {
            return this.__cached("getBrowser", function() {
                return this.__obtainMatch(this.__browserMap, {
                    key: "unknown",
                    format: "Unknown Browser"
                });
            });
        },

        formatBrowser: function() {
            return this.getBrowser().format;
        },

        formatBrowserVersion: function() {
            return this.getBrowser().version ? this.getBrowser().version.apply(this) : "";
        },

        formatFlash: function() {
            return this.flash().installed() ?
                ("Flash " + this.flash().version().raw) :
                (this.flash().supported() ?
                    "Flash not installed but supported" :
                    "Flash not supported");
        }

    };
});

Scoped.define("module:Dom", ["base:Types","base:Objs","module:Info","base:Async"], function(Types, Objs, Info, Async) {

    var TEMPLATE_TAG_MAP = {
        "tr": ["table", "tbody"],
        "td": ["table", "tbody", "tr"],
        "th": ["table", "thead", "tr"]
    };

    var INTERACTION_EVENTS = ["click", "mousedown", "mouseup", "touchstart", "touchend", "keydown", "keyup", "keypress"];

    var userInteractionCallbackList = [];
    var userInteractionCallbackWaiting = false;
    var userInteractionCallbackFunc = function() {
        userInteractionCallbackList.forEach(function(entry) {
            entry.callback.call(entry.context || this);
        });
        userInteractionCallbackList = [];
        userInteractionCallbackWaiting = false;
        INTERACTION_EVENTS.forEach(function(event) {
            window.removeEventListener(event, userInteractionCallbackFunc);
        });
    };

    return {

        ready: function(callback, context) {
            if (document.readyState === "complete" || (document.readyState !== "loading" && !document.documentElement.doScroll)) {
                Async.eventually(callback, context);
            } else {
                var completed;
                var done = false;
                var timer = null;
                completed = function() {
                    clearInterval(timer);
                    document.removeEventListener("DOMContentLoaded", completed);
                    window.removeEventListener("load", completed);
                    if (done)
                        return;
                    done = true;
                    callback.apply(context || this);
                };
                document.addEventListener("DOMContentLoaded", completed);
                window.addEventListener("load", completed);
                timer = setInterval(function() {
                    if (document.readyState === "complete" || (document.readyState !== "loading" && !document.documentElement.doScroll))
                        completed();
                }, 10);
            }
        },

        userInteraction: function(callback, context) {
            userInteractionCallbackList.push({
                callback: callback,
                context: context
            });
            if (!userInteractionCallbackWaiting) {
                userInteractionCallbackWaiting = true;
                INTERACTION_EVENTS.forEach(function(event) {
                    window.addEventListener(event, userInteractionCallbackFunc);
                });
            }
        },

        isTabHidden: function() {
            return document.hidden || document.webkitHidden || document.mozHidden || document.msHidden;
        },

        elementsByTemplate: function(template) {
            template = template.trim();
            var polyfill = Info.isInternetExplorer() && Info.internetExplorerVersion() < 9;
            /*
             * TODO: This is probably not a good fix.
             *
             * Some tags, like tr, are not generated by the browser when under a generic tag like div.
             * In other words
             *
             * <div>.innerHTML = "<tr><p>foo</p></tr>" will become <div><p>foo</p></div>
             *
             * The quick fix here checks for an outer tag and picks the proper temporary parent tag.
             *
             * This needs to be fixed properly in the future.
             */
            var parentTags = [];
            Objs.iter(TEMPLATE_TAG_MAP, function(value, key) {
                if (template.indexOf("<" + key) === 0) {
                    parentTags = value;
                    polyfill = false;
                }
            });
            var outerTemplate = [
                parentTags.map(function(t) {
                    return "<" + t + ">";
                }).join(""),
                polyfill ? "<br/>" : "",
                template,
                parentTags.map(function(t) {
                    return "</" + t + ">";
                }).join("")
            ].join("");
            var element = document.createElement("div");
            element.innerHTML = outerTemplate;
            parentTags.forEach(function() {
                element = element.children[0];
            });
            var result = [];
            for (var i = polyfill ? 1 : 0; i < element.children.length; ++i)
                result.push(element.children[i]);
            if (polyfill) {
                result = result.filter(function(el) {
                    return !(el.tagName.indexOf("/") === 0 && template.toLowerCase().indexOf("<" + el.tagName.toLowerCase()) >= 0);
                });
            }
            return result;
        },

        elementByTemplate: function(template, encapsulate_in_div_if_needed) {
            var result = this.elementsByTemplate(template);
            if (result.length === 1)
                return result[0];
            if (result.length === 0 || !encapsulate_in_div_if_needed)
                return null;
            var element = document.createElement("div");
            result.forEach(element.appendChild, element);
            return element;
        },

        changeTag: function(node, name) {
            var replacement = document.createElement(name);
            for (var i = 0; i < node.attributes.length; ++i) {
                var attr = node.attributes[i];
                replacement.setAttribute(attr.nodeName, "value" in attr ? attr.value : attr.nodeValue);
            }
            while (node.firstChild)
                replacement.appendChild(node.firstChild);
            if (node.parentNode)
                node.parentNode.replaceChild(replacement, node);
            return replacement;
        },

        traverseNext: function(node, skip_children) {
            node = this.unbox(node);
            if (node.firstChild && !skip_children)
                return node.firstChild;
            if (!node.parentNode)
                return null;
            if (node.nextSibling)
                return node.nextSibling;
            return this.traverseNext(node.parentNode, true);
        },

        splitNode: function(node, start_offset, end_offset) {
            start_offset = start_offset || 0;
            end_offset = end_offset || (node.wholeText ? node.wholeText.length : 0);
            if (end_offset < (node.wholeText ? node.wholeText.length : 0))
                node.splitText(end_offset);
            if (start_offset > 0)
                node = node.splitText(start_offset);
            return node;
        },

        __FULLSCREEN_EVENTS: ["fullscreenchange", "webkitfullscreenchange", "mozfullscreenchange", "MSFullscreenChange"],
        __FULLSCREEN_METHODS: ["requestFullscreen", "webkitRequestFullscreen", "mozRequestFullScreen", "msRequestFullscreen", "webkitEnterFullScreen"],
        __FULLSCREEN_ATTRS: ["fullscreenElement", "webkitFullscreenElement", "mozFullScreenElement", "msFullscreenElement"],
        __FULLSCREEN_EXIT_METHODS: ["exitFullscreen", "mozCancelFullScreen", "webkitExitFullscreen", "msExitFullscreen"],

        elementSupportsFullscreen: function(element) {
            return element && this.__FULLSCREEN_METHODS.some(function(key) {
                return key in element;
            });
        },

        elementEnterFullscreen: function(element) {
            var done = false;
            this.__FULLSCREEN_METHODS.forEach(function(key) {
                if (!done && (key in element)) {
                    element[key].call(element);
                    done = true;
                }
            });
        },

        // Will exit from document's full screen mode
        documentExitFullscreen: function() {
            this.__FULLSCREEN_EXIT_METHODS.forEach(function(key) {
                if (document[key]) {
                    document[key]();
                }
            });
        },

        elementIsFullscreen: function(element) {
            return this.__FULLSCREEN_ATTRS.some(function(key) {
                return document[key] === element;
            });
        },

        elementOnFullscreenChange: function(element, callback, context) {
            var self = this;
            var listener = function() {
                callback.call(context || this, element, self.elementIsFullscreen(element));
            };
            this.__FULLSCREEN_EVENTS.forEach(function(event) {
                element.addEventListener(event, listener, false);
            });
            return listener;
        },

        elementOffFullscreenChange: function(element, listener) {
            this.__FULLSCREEN_EVENTS.forEach(function(event) {
                element.removeEventListener(event, listener, false);
            });
        },
        __PIP_EVENTS: ["enterpictureinpicture", "leavepictureinpicture"],
        /**
         * If browser supports picture-in-picture
         *
         * INFO: to enable PIP in FF: about:config, set media.videocontrols.picture-in-picture.enabled,
         * media.videocontrols.picture-in-picture.video-toggle.enabled;true
         * and media.videocontrols.picture-in-picture.video-toggle.flyout-enabled
         *
         * @param {HTMLVideoElement =} videoElement
         * @returns {boolean}
         */
        browserSupportsPIP: function(videoElement) {
            videoElement = videoElement || HTMLVideoElement.prototype || {};

            if ('pictureInPictureEnabled' in document)
                return true;

            if (Info.isMacOS() && Info.safariVersion() >= 9)
                return !!(videoElement.webkitSupportsPresentationMode && typeof videoElement.webkitSetPresentationMode === "function");

            return false;
        },

        /**
         *
         * @param {HTMLVideoElement} videoElement
         */
        videoElementEnterPIPMode: function(videoElement) {
            if (!videoElement || !(videoElement instanceof HTMLVideoElement))
                return;
            videoElement = videoElement || HTMLVideoElement.prototype || {};

            if ('pictureInPictureElement' in document) {
                if (!document.pictureInPictureElement && typeof videoElement.requestPictureInPicture === 'function') {
                    try {
                        videoElement.requestPictureInPicture();
                    } catch (err) {
                        console.warn(err);
                    }
                }
            }

            if (Info.isMacOS() && Info.safariVersion() >= 9 && typeof videoElement.webkitSetPresentationMode === 'function')
                videoElement.webkitSetPresentationMode("picture-in-picture");
        },

        /**
         * Video Will Exit From PIP Mode
         * @param {HTMLVideoElement} videoElement
         */
        videoElementExitPIPMode: function(videoElement) {
            videoElement = videoElement || HTMLVideoElement.prototype || {};

            if ('pictureInPictureElement' in document) {
                if (document.pictureInPictureElement && typeof document.exitPictureInPicture === 'function') {
                    try {
                        document.exitPictureInPicture();
                    } catch (err) {
                        console.warn(err);
                    }
                }
            }

            if (Info.isMacOS() && Info.safariVersion() >= 9 && typeof videoElement.webkitSetPresentationMode === 'function') {
                videoElement.webkitSetPresentationMode('inline');
            }
        },

        /**
         * Will check if Video Element in PIP Mode
         * @param {HTMLVideoElement} videoElement
         * @returns {boolean}
         */
        videoIsInPIPMode: function(videoElement) {
            if ('pictureInPictureElement' in document)
                return !!document.pictureInPictureElement;

            if (Info.isMacOS() && Info.safariVersion() >= 9)
                return (videoElement.webkitPresentationMode === "picture-in-picture");

        },

        /**
         *
         * @param {HTMLVideoElement} videoElement
         * @param {function} callback
         * @param {object =} context
         * @returns {listener | null}
         */
        videoAddPIPChangeListeners: function(videoElement, callback, context) {
            if (!videoElement || !(videoElement instanceof HTMLVideoElement))
                return null;

            var self = this;
            var listener = function() {
                callback.call(context || this, videoElement, self.videoIsInPIPMode(videoElement));
            };
            this.__PIP_EVENTS.forEach(function(event) {
                videoElement.addEventListener(event, listener, false);
            });
            return listener;
        },

        /**
         *
         * @param {HTMLVideoElement} videoElement
         * @param {function} callback
         * @param {object =} context
         * @returns {listener}
         */
        videoRemovePIPChangeListeners: function(videoElement) {
            if (!videoElement || !(videoElement instanceof HTMLVideoElement))
                return null;

            this.__PIP_EVENTS.forEach(function(event) {
                videoElement.removeEventListener(event, videoElement);
            });
        },

        entitiesToUnicode: function(s) {
            if (!s || !Types.is_string(s) || s.indexOf("&") < 0)
                return s;
            return s.split(">").map(function(s) {
                return s.split("<").map(function(s) {
                    var temp = document.createElement("span");
                    temp.innerHTML = s;
                    s = temp.textContent || temp.innerText;
                    if (temp.remove)
                        temp.remove();
                    return s;
                }).join("<");
            }).join(">");
        },

        unbox: function(element) {
            if (Types.is_string(element))
                element = document.querySelector(element);
            return !element || element.nodeType ? element : element.get(0);
        },

        triggerDomEvent: function(element, eventName, parameters, customEventParams) {
            element = this.unbox(element);
            eventName = eventName.toLowerCase();
            var onEvent = "on" + eventName;
            var onEventHandler = null;
            var onEventCalled = false;
            if (element[onEvent]) {
                onEventHandler = element[onEvent];
                element[onEvent] = function() {
                    if (onEventCalled)
                        return;
                    onEventCalled = true;
                    onEventHandler.apply(this, arguments);
                };
            }
            try {
                var event;
                try {
                    if (customEventParams)
                        event = new CustomEvent(eventName, customEventParams);
                    else
                        event = new Event(eventName);
                } catch (e) {
                    try {
                        if (customEventParams) {
                            event = document.createEvent('CustomEvent');
                            event.initCustomEvent(eventName, customEventParams.bubbles || false, customEventParams.cancelable || false, customEventParams.detail || false);
                        } else {
                            event = document.createEvent('Event');
                            event.initEvent(eventName, false, false);
                        }
                    } catch (e) {
                        event = document.createEventObject();
                        event.type = eventName;
                    }
                }
                Objs.extend(event, parameters);
                element.dispatchEvent(event);
                if (onEventHandler) {
                    if (!onEventCalled)
                        onEventHandler.call(element, event);
                    element[onEvent] = onEventHandler;
                }
            } catch (e) {
                if (onEventHandler)
                    element[onEvent] = onEventHandler;
                throw e;
            }
        },

        elementOffset: function(element) {
            element = this.unbox(element);
            var top = 0;
            var left = 0;
            if (element.getBoundingClientRect) {
                var box = element.getBoundingClientRect();
                top = box.top;
                left = box.left - (document.body.getBoundingClientRect ? document.body.getBoundingClientRect().left : 0);
            }
            docElem = document.documentElement;
            return {
                top: top + (window.pageYOffset || docElem.scrollTop) - (docElem.clientTop || 0),
                left: left + (window.pageXOffset || docElem.scrollLeft) - (docElem.clientLeft || 0)
            };
        },

        getRelativeCoordinates: function(event, element) {

            var position = {
                x: event.pageX,
                y: event.pageY
            };

            var offset = {
                left: element.offsetLeft,
                top: element.offsetTop
            };

            var reference = element.offsetParent;

            while (reference != null) {
                offset.left += reference.offsetLeft;
                offset.top += reference.offsetTop;
                reference = reference.offsetParent;
            }

            return {
                x: position.x - offset.left,
                y: position.y - offset.top
            };

        },


        elementDimensions: function(element) {
            element = this.unbox(element);
            var cs, w, h;
            if (element && window.getComputedStyle) {
                try {
                    cs = window.getComputedStyle(element);
                } catch (e) {}
                if (cs) {
                    w = parseInt(cs.width, 10);
                    h = parseInt(cs.height, 10);
                    if (w && h) {
                        return {
                            width: w,
                            height: h
                        };
                    }
                }
            }
            if (element && element.currentStyle) {
                cs = element.currentStyle;
                w = element.clientWidth - parseInt(cs.paddingLeft || 0, 10) - parseInt(cs.paddingRight || 0, 10);
                h = element.clientHeight - parseInt(cs.paddingTop || 0, 10) - parseInt(cs.paddingTop || 0, 10);
                if (w && h) {
                    return {
                        width: w,
                        height: h
                    };
                }
            }
            if (element && element.getBoundingClientRect) {
                var box = element.getBoundingClientRect();
                h = box.bottom - box.top;
                w = box.right - box.left;
                return {
                    width: w,
                    height: h
                };
            }
            return {
                width: 0,
                height: 0
            };
        },

        childContainingElement: function(parent, element) {
            parent = this.unbox(parent);
            element = this.unbox(element);
            while (element.parentNode != parent) {
                if (element == document.body)
                    return null;
                element = element.parentNode;
            }
            return element;
        },

        elementBoundingBox: function(element) {
            var offset = this.elementOffset(element);
            var dimensions = this.elementDimensions(element);
            return {
                left: offset.left,
                top: offset.top,
                right: offset.left + dimensions.width - 1,
                bottom: offset.top + dimensions.height - 1
            };
        },

        pointWithinElement: function(x, y, element) {
            var bb = this.elementBoundingBox(element);
            return bb.left <= x && x <= bb.right && bb.top <= y && y <= bb.bottom;
        },

        elementFromPoint: function(x, y, disregarding, parent) {
            disregarding = disregarding || [];
            if (!Types.is_array(disregarding))
                disregarding = [disregarding];
            var backup = [];
            for (var i = 0; i < disregarding.length; ++i) {
                disregarding[i] = this.unbox(disregarding[i]);
                backup.push(disregarding[i].style.zIndex);
                disregarding[i].style.zIndex = -1;
            }
            var element = document.elementFromPoint(x - window.pageXOffset, y - window.pageYOffset);
            for (i = 0; i < disregarding.length; ++i)
                disregarding[i].style.zIndex = backup[i];
            while (element && parent && element.parentNode !== parent)
                element = element.parentNode;
            return element;
        },

        elementAddClass: function(element, cls) {
            if (!element.className)
                element.className = cls;
            else if (!this.elementHasClass(element, cls))
                element.className = element.className + " " + cls;
        },

        elementHasClass: function(element, cls) {
            return element.className.split(" ").some(function(name) {
                return name === cls;
            });
        },

        elementRemoveClass: function(element, cls) {
            element.className = element.className.split(" ").filter(function(name) {
                return name !== cls;
            }).join(" ");
        },

        elementInsertBefore: function(element, before) {
            before.parentNode.insertBefore(element, before);
        },

        elementInsertAfter: function(element, after) {
            if (after.nextSibling)
                after.parentNode.insertBefore(element, after.nextSibling);
            else
                after.parentNode.appendChild(element);
        },

        elementInsertAt: function(element, parent, index) {
            if (index >= parent.children.length)
                parent.appendChild(element);
            else
                parent.insertBefore(element, parent.children[Math.max(0, index)]);
        },

        elementIndex: function(element) {
            var idx = 0;
            while (element.previousElementSibling) {
                idx++;
                element = element.previousElementSibling;
            }
            return idx;
        },

        elementPrependChild: function(parent, child) {
            if (parent.children.length > 0)
                parent.insertBefore(child, parent.firstChild);
            else
                parent.appendChild(child);
        },

        // Will find closest parent element, will stop on stopSelector
        // example:  Dom.elementReplaceClasses(element, '.look-element-class-name', '.stop-on-class-name')
        elementFindClosestParent: function(element, selector, stopSelector) {
            var _returnVal = null;
            while (element) {
                if (element.className.indexOf(selector) > -1) {
                    _returnVal = element;
                    break;
                } else if (stopSelector && element.className.indexOf(stopSelector) > -1) {
                    break;
                }
                element = element.parentElement;
            }
            return _returnVal;
        },

        // Will replace class names on element
        elementReplaceClasses: function(element, replaceClass, replaceWith) {
            if (this.elementHasClass(element, replaceClass)) {
                this.elementRemoveClass(element, replaceClass);
                this.elementAddClass(element, replaceWith);
            }
        },

        // When element in visible port view, will return true
        isElementVisible: function(element, fraction) {
            fraction = fraction || 0.8;

            var offset = this.elementOffset(element);
            var x = offset.left;
            var y = offset.top;
            var w = element.offsetWidth;
            var h = element.offsetHeight;
            var right = x + w;
            var bottom = y + h;

            var visibleX = Math.max(0, Math.min(w, window.pageXOffset + window.innerWidth - x, right - window.pageXOffset));
            var visibleY = Math.max(0, Math.min(h, window.pageYOffset + window.innerHeight - y, bottom - window.pageYOffset));

            var visible = visibleX * visibleY / (w * h);

            return (visible > fraction);
        },

        keyboardUnfocus: function() {
            if (document.activeElement)
                document.activeElement.blur();
        },

        passiveEventsSupported: function() {
            return Info.isiOS();
        },

        containerStickyBottom: function(someElement) {
            var lastScrollHeight = someElement.scrollHeight;
            var critical = false;
            var observer = new MutationObserver(function() {
                if (critical)
                    return;
                critical = true;
                var newScrollHeight = someElement.scrollHeight;
                var oldScrollHeight = lastScrollHeight;
                lastScrollHeight = newScrollHeight;
                if (newScrollHeight > oldScrollHeight)
                    someElement.scrollTop = someElement.scrollTop + newScrollHeight - oldScrollHeight;
                critical = false;
            });
            observer.observe(someElement, {
                childList: true,
                subtree: true,
                attributes: true,
                characterData: true
            });
            return observer;
        },

        isInputLikeElement: function(element) {
            return element.nodeName === "TEXTAREA" || element.nodeName === "INPUT";
        },

        copyStringToClipboard: function(s) {
            var input = document.createElement("input");
            input.style.display = 'none';
            document.body.appendChild(input);
            input.value = s;
            this.copyInputValueToClipboard(input);
            document.body.removeChild(input);
        },

        copyInputValueToClipboard: function(element) {
            if (document.body.createTextRange) {
                var textRange = document.body.createTextRange();
                textRange.moveToElementText(element);
                textRange.select();
                return textRange.execCommand("Copy");
            } else if (window.getSelection && document.createRange) {
                var oldContentEditable = element.contentEditable;
                var oldReadOnly = element.readOnly;
                element.contentEditable = true;
                element.readOnly = false;
                var range = document.createRange();
                range.selectNodeContents(element);
                var sel = window.getSelection();
                sel.removeAllRanges();
                sel.addRange(range); // Does not work for Firefox if a textarea or input
                if (this.isInputLikeElement(element))
                    element.select(); // Firefox will only select a form element with select()
                if (Info.isiOS())
                    element.setSelectionRange(0, 999999);
                element.contentEditable = oldContentEditable;
                element.readOnly = oldReadOnly;
                return document.execCommand("copy");
            }
            return false;
        }

    };
});

Scoped.define("module:Events", ["base:Class","base:Objs","base:Functions","module:Dom"], function(Class, Objs, Functions, Dom, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function() {
                inherited.constructor.call(this);
                this.__callbacks = {};
            },

            destroy: function() {
                this.clear();
                inherited.destroy.call(this);
            },

            on: function(element, events, callback, context, options) {
                events.split(" ").forEach(function(event) {
                    if (!event)
                        return;
                    var callback_function = Functions.as_method(callback, context || element);
                    element.addEventListener(event, callback_function, options && Dom.passiveEventsSupported() ? options : false);
                    this.__callbacks[event] = this.__callbacks[event] || [];
                    this.__callbacks[event].push({
                        element: element,
                        callback_function: callback_function,
                        callback: callback,
                        context: context
                    });
                }, this);
                return this;
            },

            off: function(element, events, callback, context) {
                events.split(" ").forEach(function(event) {
                    if (!event)
                        return;
                    var entries = this.__callbacks[event];
                    if (entries) {
                        var i = 0;
                        while (i < entries.length) {
                            var entry = entries[i];
                            if ((!element || element === entry.element) && (!callback || callback === entry.callback) && (!context || context === entry.context)) {
                                entry.element.removeEventListener(event, entry.callback_function, false);
                                entries[i] = entries[entries.length - 1];
                                entries.pop();
                            } else
                                ++i;
                        }
                    }
                }, this);
                return this;
            },

            clear: function() {
                Objs.iter(this.__callbacks, function(entries, event) {
                    entries.forEach(function(entry) {
                        entry.element.removeEventListener(event, entry.callback_function, false);
                    });
                });
                this.__callbacks = {};
            }

        };
    });
});

Scoped.define("module:Upload.FileUploader", ["base:Classes.ConditionalInstance","base:Events.EventsMixin","base:Objs","base:Types","base:Async","base:Promise"], function(ConditionalInstance, EventsMixin, Objs, Types, Async, Promise, scoped) {
    return ConditionalInstance.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {

            constructor: function(options) {
                inherited.constructor.call(this, options);
                // idle, uploading, success, error
                this._uploaded = 0;
                this._state = "idle";
            },

            _setState: function(state, triggerdata, xmlhttprequest) {
                this._state = state;
                this.trigger(state, triggerdata, xmlhttprequest);
                this.trigger("state", state, triggerdata, xmlhttprequest);
            },

            state: function() {
                return this._state;
            },

            data: function() {
                return this._data;
            },

            progress: function() {
                return {
                    uploaded: this._uploaded,
                    total: this._total
                };
            },

            reset: function() {
                if (this.state() === "error") {
                    this._setState("idle");
                    delete this._data;
                    this._uploaded = 0;
                    delete this._total;
                    delete this._request;
                }
            },

            upload: function() {
                if (this.state() !== "idle")
                    return this;
                this._setState("uploading");
                this.__upload();
                return this;
            },

            __upload: function() {
                this._upload();
                this._options.resilience--;
            },

            _upload: function() {},

            _progressCallback: function(uploaded, total) {
                if (this.state() !== "uploading")
                    return;
                this._uploaded = uploaded;
                this._total = total;
                this.trigger("progress", uploaded, total);
            },

            _successCallback: function(data) {
                if (this.state() !== "uploading")
                    return;
                this._data = data;
                this._setState("success", data, this._request);
            },

            _errorCallback: function(data) {
                if (this.state() !== "uploading")
                    return;
                try {
                    if (data.data)
                        data = data.data();
                    if (Types.is_string(data))
                        data = JSON.parse(data);
                } catch (e) {}
                if (this._options.resilience > 0) {
                    if (!this._options.resilienceCheck || this._options.resilienceCheck(data)) {
                        Async.eventually(function() {
                            this.__upload();
                        }, this, this._options.resilience_delay);
                        return;
                    }
                }
                if (!this._options.essential) {
                    this._successCallback({});
                    return;
                }
                this._data = data;
                this._setState("error", data, this._request);
            },

            uploadedBytes: function() {
                return this._uploaded;
            },

            totalBytes: function() {
                if (this._total)
                    return this._total;
                if (this._options.source) {
                    if (!this._options.isBlob && this._options.source.files && this._options.source.files[0])
                        return this._options.source.files[0].size;
                    return this._options.source.size || 0;
                }
                return 0;
            }

        };
    }], {

        _initializeOptions: function(options) {
            options = options || {};
            return Objs.extend({
                //url: "",
                //source: null,
                method: "POST",
                serverSupportChunked: false,
                serverSupportPostMessage: false,
                isBlob: typeof(window.Blob) !== "undefined" && options.source instanceof(window.Blob),
                resilience: 1,
                resilience_delay: 1000,
                essential: true,
                data: {}
            }, options);
        }

    });
});

Scoped.define("module:Upload.FormDataFileUploader", ["module:Upload.FileUploader","module:Info","base:Ajax.Support","base:Objs","base:Types"], function(FileUploader, Info, AjaxSupport, Objs, Types, scoped) {
    return FileUploader.extend({
        scoped: scoped
    }, {

        _upload: function() {
            var data = Objs.clone(Types.is_empty(this._options.data) ? {} : this._options.data, 1);
            data.file = this._options.isBlob ? this._options.source : this._options.source.files[0];
            this._request = AjaxSupport.create();
            return AjaxSupport.execute({
                method: this._options.method,
                uri: this._options.url,
                decodeType: "text",
                data: data,
                noFormData: this._options.noFormData
            }, this._progressCallback, this, this._request).success(this._successCallback, this).error(this._errorCallback, this);
        }

    }, {

        supported: function(options) {
            if (Info.isInternetExplorer() && Info.internetExplorerVersion() <= 9 || (Info.isCordova() && ("localURL" in options.source || "fullPath" in options.source)))
                return false;
            try {
                new(window.FormData)();
            } catch (e) {
                return false;
            }
            return true;
        }

    });
});

Scoped.define("module:Upload.FormIframeFileUploader", ["module:Upload.FileUploader","base:Net.Uri","base:Objs","base:Async"], function(FileUploader, Uri, Objs, Async, scoped) {
    return FileUploader.extend({
        scoped: scoped
    }, {

        _upload: function() {
            var self = this;
            var iframe = document.createElement("iframe");
            var id = "upload-iframe-" + this.cid();
            iframe.id = id;
            iframe.name = id;
            iframe.style.display = "none";
            var form = document.createElement("form");
            form.method = this._options.method;
            form.target = id;
            form.style.display = "none";
            document.body.appendChild(iframe);
            document.body.appendChild(form);
            var oldParent = this._options.source.parent;
            form.appendChild(this._options.source);
            if (!this._options.source.name)
                this._options.source.name = "file";
            Objs.iter(this._options.data, function(value, key) {
                var input = document.createElement("input");
                input.type = "hidden";
                input.name = key;
                input.value = value;
                form.appendChild(input);
            }, this);
            var post_message_fallback = !("postMessage" in window);
            var handle_success = null;
            var message_event_handler = function(event) {
                handle_success(event.data);
            };
            iframe.onerror = function() {
                if (post_message_fallback)
                    window.postMessage = null;
                window.removeEventListener("message", message_event_handler, false);
                if (oldParent)
                    oldParent.appendChild(self._options.source);
                document.body.removeChild(form);
                document.body.removeChild(iframe);
                self._errorCallback();
            };
            var post_message_key = this._options.serverPostMessageKey || "_postmessage";
            var post_message_id_key = this._options.serverPostMessageIdKey || "_postmessageid";
            var post_message_id_value = this.cid();
            var support_id = this._options.serverSupportPostMessageId;
            var query_params = {};
            query_params[post_message_key] = true;
            if (support_id)
                query_params[post_message_id_key] = post_message_id_value;
            form.action = Uri.appendUriParams(this._options.url, query_params);
            form.encoding = form.enctype = "multipart/form-data";
            handle_success = function(raw_data) {
                try {
                    var data = JSON.parse(raw_data);
                    if (support_id && data[post_message_id_key] !== post_message_id_value)
                        return;
                    if (post_message_fallback)
                        window.postMessage = null;
                    if (oldParent)
                        oldParent.appendChild(self._options.source);
                    document.body.removeChild(form);
                    document.body.removeChild(iframe);
                    self._successCallback(data);
                    Async.eventually(function() {
                        window.removeEventListener("message", message_event_handler, false);
                    });
                } catch (e) {}
            };
            window.addEventListener("message", message_event_handler, false);
            if (post_message_fallback)
                window.postMessage = handle_success;
            form.submit();
        }

    }, {

        supported: function(options) {
            return !options.isBlob && options.serverSupportPostMessage;
        }

    });
});

Scoped.define("module:Upload.CordovaFileUploader", ["module:Upload.FileUploader","module:Info","base:Promise","base:Ajax.Support","base:Objs"], function(FileUploader, Info, Promise, AjaxSupport, Objs, scoped) {
    return FileUploader.extend({
        scoped: scoped
    }, {

        _acquirePermission: function() {
            var promise = Promise.create();
            if (Info.isAndroid()) {
                var perms = cordova.plugins.permissions;
                perms.checkPermission(perms.READ_EXTERNAL_STORAGE, function(status) {
                    if (!status.hasPermission) {
                        perms.requestPermission(perms.READ_EXTERNAL_STORAGE, function(status) {
                            if (status.hasPermission)
                                promise.asyncSuccess(true);
                            else
                                promise.asyncError("Access to storage was not granted");
                        }, function() {
                            promise.asyncError("Could not request storage permission");
                        });
                    } else
                        promise.asyncSuccess(true);
                }, function() {
                    promise.asyncError("Could not check storage permission");
                });
            } else
                promise.asyncSuccess(true);
            return promise;
        },

        _upload: function() {
            return this._acquirePermission().mapSuccess(function() {
                return window.resolveLocalFileSystemURL ? this._uploadWithLocalFileSystem() : this._uploadWithPlugin();
            }, this);
        },

        _uploadWithPlugin: function() {
            var self = this;
            //var fileURI = this._options.source.localURL;
            var fileURI = this._options.source.fullPath.split(':')[1];
            var fileUploadOptions = new window.FileUploadOptions();
            fileUploadOptions.fileKey = "file";
            fileUploadOptions.fileName = fileURI.substr(fileURI.lastIndexOf('/') + 1);
            fileUploadOptions.mimeType = this._options.source.type;
            fileUploadOptions.httpMethod = this._options.method;
            fileUploadOptions.params = this._options.data;
            var fileTransfer = new window.FileTransfer();
            fileTransfer.upload(fileURI, this._options.url, function(data) {
                self._successCallback(data);
            }, function(data) {
                self._errorCallback(data);
            }, fileUploadOptions);
        },

        _uploadWithLocalFileSystem: function() {
            var self = this;
            var fileURI = this._options.source.fullPath;
            window.resolveLocalFileSystemURL(fileURI, function(fileEntry) {
                fileEntry.file(function(file) {
                    var reader = new FileReader();
                    reader.onloadend = function() {
                        // Create a blob based on the FileReader "result", which we asked to be retrieved as an ArrayBuffer
                        var blob = new Blob([new Uint8Array(this.result)], {
                            type: self._options.source.type
                        });
                        var data = Objs.clone(self._options.data || {}, 1);
                        data.file = blob;
                        return AjaxSupport.execute({
                            method: self._options.method,
                            uri: self._options.url,
                            decodeType: "text",
                            data: data
                        }, self._progressCallback, self).success(self._successCallback, self).error(self._errorCallback, self);
                    };
                    // Read the file as an ArrayBuffer
                    reader.readAsArrayBuffer(file);
                }, function(err) {
                    self._errorCallback(err);
                });
            }, function(err) {
                self._errorCallback(err);
            });
        }
    }, {

        supported: function(options) {
            var result = !!navigator.device &&
                !!navigator.device.capture &&
                !!navigator.device.capture.captureVideo &&
                !!(window.resolveLocalFileSystemURL || (window.FileTransfer && window.FileUploadOptions)) &&
                !options.isBlob &&
                ("localURL" in options.source || "fullPath" in options.source);
            return result;
        }

    });
});

Scoped.define("module:Upload.MultiUploader", ["module:Upload.FileUploader","base:Objs"], function(FileUploader, Objs, scoped) {
    return FileUploader.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(options) {
                inherited.constructor.call(this, options);
                this._uploaders = {};
                this._uploadLimit = this._options.uploadLimit || 5;
                this._uploadingCount = 0;
                this._end = !this._options.manualEnd;
            },

            end: function() {
                this._end = true;
                this._updateState();
            },

            addUploader: function(uploader) {
                this._uploaders[uploader.cid()] = uploader;
                uploader.on("state", this._updateState, this);
                uploader.on("progress", this._updateProgress, this);
                if (this.state() === "uploading") {
                    if (uploader.state() === "error")
                        uploader.reset();
                    if (uploader.state() === "idle" && this._uploadingCount < this._uploadLimit) {
                        this._uploadingCount++;
                        uploader.upload();
                    }
                }
                return this;
            },

            _upload: function() {
                Objs.iter(this._uploaders, function(uploader) {
                    if (uploader.state() === "error")
                        uploader.reset();
                    if (uploader.state() === "idle" && this._uploadingCount < this._uploadLimit) {
                        this._uploadingCount++;
                        uploader.upload();
                    }
                }, this);
                this._updateState();
            },

            _updateState: function() {
                if (this.state() !== "uploading")
                    return;
                this._uploadingCount = 0;
                var error = false;
                var idleCount = 0;
                Objs.iter(this._uploaders, function(uploader) {
                    switch (uploader.state()) {
                        case "uploading":
                            this._uploadingCount++;
                            break;
                        case "error":
                            error = true;
                            break;
                        case "idle":
                            idleCount++;
                            break;
                    }
                }, this);
                if (idleCount > 0 && this._uploadingCount < this._uploadLimit) {
                    Objs.iter(this._uploaders, function(uploader) {
                        if (this._uploadingCount < this._uploadLimit && uploader.state() === "idle") {
                            uploader.upload();
                            idleCount--;
                            this._uploadingCount++;
                        }
                    }, this);
                }
                if (this._uploadingCount > 0)
                    return;
                if (!this._end)
                    return;
                var datas = [];
                Objs.iter(this._uploaders, function(uploader) {
                    var result = (error && uploader.state() === "error") || (!error && uploader.state() === "success") ? uploader.data() : undefined;
                    datas.push(result);
                }, this);
                if (error > 0)
                    this._errorCallback(datas);
                else
                    this._successCallback(datas);
            },

            _updateProgress: function() {
                if (this.state() !== "uploading")
                    return;
                this._progressCallback(this.uploadedBytes(), this.totalBytes());
            },

            uploadedBytes: function() {
                var uploaded = 0;
                Objs.iter(this._uploaders, function(uploader) {
                    uploaded += uploader.uploadedBytes();
                }, this);
                return uploaded;
            },

            totalBytes: function() {
                var total = 0;
                Objs.iter(this._uploaders, function(uploader) {
                    total += uploader.totalBytes();
                }, this);
                return total;
            }

        };
    });
});

Scoped.define("module:Blobs", ["base:Promise"], function(Promise) {
    return {

        createBlobByArrayBufferView: function(arrayBuffer, offset, size, type) {
            try {
                return new(window.Blob)([new DataView(arrayBuffer, offset, size)], {
                    type: type
                });
            } catch (err) {
                try {
                    return new(window.Blob)([new Uint8Array(arrayBuffer, offset, size)], {
                        type: type
                    });
                } catch (err2) {
                    var BlobBuilder = window.BlobBuilder || window.WebKitBlobBuilder || window.MozBlobBuilder || window.MSBlobBuilder;
                    var bb = new BlobBuilder();
                    bb.append(arrayBuffer.slice(offset, offset + size));
                    return bb.getBlob(type);
                }
            }
        },

        loadFileIntoArrayBuffer: function(file) {
            var promise = Promise.create();
            try {
                var fileReader = new FileReader();
                fileReader.onloadend = function(ev) {
                    promise.asyncSuccess(ev.target.result);
                };
                fileReader.readAsArrayBuffer(file.files ? file.files[0] : file);
            } catch (err) {
                promise.asyncError(err);
            }
            return promise;
        },

        loadFileIntoString: function(file) {
            var promise = Promise.create();
            try {
                var fileReader = new FileReader();
                fileReader.onloadend = function(ev) {
                    promise.asyncSuccess(ev.target.result);
                };
                fileReader.readAsText(file.files ? file.files[0] : file);
            } catch (err) {
                promise.asyncError(err);
            }
            return promise;
        }

    };
});

Scoped.define("module:Upload.ChunkedFileUploader", ["module:Upload.FileUploader","module:Upload.MultiUploader","module:Blobs","base:Promise","base:Objs","base:Tokens","base:Ajax.Support"], function(FileUploader, MultiUploader, Blobs, Promise, Objs, Tokens, AjaxSupport, scoped) {

    return FileUploader.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(options) {
                inherited.constructor.call(this, options);
                this._multiUploader = new MultiUploader({
                    uploadLimit: this._options.uploadLimit
                });
                this._options.identifierParameter = this._options.identifierParameter || "identifier";
                this._options.chunks = Objs.extend({
                    size: 1000000,
                    chunkNumberParameter: "chunknumber"
                }, this._options.chunks);
                this._options.assembly = Objs.extend({
                    fileNameParameter: "filename",
                    totalSizeParameter: "totalsize",
                    chunkNumberParameter: "chunknumber",
                    fileTypeParameter: "filetype",
                    ajaxOptions: null
                }, this._options.assembly);
            },

            destroy: function() {
                this._multiUploader.destroy();
                inherited.destroy.call(this);
            },

            reset: function() {
                inherited.reset.call(this);
                this._multiUploader.destroy();
                this._multiUploader = new MultiUploader({
                    uploadLimit: this._options.uploadLimit
                });
            },

            __generateIdentifier: function() {
                return Tokens.generate_token();
            },

            _upload: function() {
                var identifier = this.__generateIdentifier();
                var file = this._options.isBlob ? this._options.source : this._options.source.files[0];
                Blobs.loadFileIntoArrayBuffer(file).success(function(arrayBuffer) {
                    var chunkNumber = 0;
                    while (chunkNumber * this._options.chunks.size < file.size) {
                        var data = {};
                        data[this._options.chunks.chunkNumberParameter] = chunkNumber + 1;
                        data[this._options.identifierParameter] = identifier;
                        var offset = chunkNumber * this._options.chunks.size;
                        var size = Math.min(this._options.chunks.size, file.size - offset);
                        this._multiUploader.addUploader(this._multiUploader.auto_destroy(FileUploader.create({
                            url: this._options.chunks.url || this._options.url,
                            source: Blobs.createBlobByArrayBufferView(arrayBuffer, offset, size, file.type),
                            data: Objs.extend(data, this._options.data)
                        })));
                        chunkNumber++;
                    }
                    this._multiUploader.on("error", function(error) {
                        this._errorCallback(error);
                    }, this).on("progress", function(uploaded, total) {
                        this._progressCallback(uploaded, total);
                    }, this).on("success", function() {
                        var data = {};
                        data[this._options.identifierParameter] = identifier;
                        data[this._options.assembly.fileNameParameter] = file.name || "blob";
                        data[this._options.assembly.totalSizeParameter] = file.size;
                        data[this._options.assembly.chunkNumberParameter] = chunkNumber;
                        data[this._options.assembly.fileTypeParameter] = file.type;
                        AjaxSupport.execute(Objs.extend({
                            method: this._options.method,
                            uri: this._options.assembly.url || this._options.url,
                            data: Objs.extend(data, this._options.data)
                        }, this._options.assembly.ajaxOptions)).success(function() {
                            this._successCallback();
                        }, this).error(function(error) {
                            this._errorCallback(error);
                        }, this);
                    }, this);
                    this._multiUploader.upload();
                }, this);
            }

        };
    }, {

        supported: function(options) {
            return typeof(window.Blob) !== "undefined" && typeof FileReader !== "undefined" && typeof DataView !== "undefined" && options.serverSupportsChunked;
        }

    });

});

Scoped.extend("module:Upload.FileUploader", ["module:Upload.FileUploader","module:Upload.FormDataFileUploader","module:Upload.FormIframeFileUploader","module:Upload.CordovaFileUploader","module:Upload.ChunkedFileUploader"], function(FileUploader, FormDataFileUploader, FormIframeFileUploader, CordovaFileUploader, ChunkedFileUploader) {
    FileUploader.register(FormDataFileUploader, 2);
    FileUploader.register(FormIframeFileUploader, 1);
    FileUploader.register(CordovaFileUploader, 4);
    FileUploader.register(ChunkedFileUploader, 5);
    return {};
});

Scoped.define("module:Loader", ["base:Ajax.Support","module:Info"], function(AjaxSupport, Info) {
    return {

        loadScript: function(url, callback, context) {
            var executed = false;
            var head = document.getElementsByTagName("head")[0];
            var script = document.createElement("script");
            script.src = url;
            script.onload = script.onreadystatechange = function() {
                if (!executed && (!this.readyState || this.readyState == "loaded" || this.readyState == "complete")) {
                    executed = true;
                    script.onload = script.onreadystatechange = null;
                    if (callback)
                        callback.call(context || this, url);
                    // Does not work properly if we remove the script for some reason if it is used the second time !?
                    //head.removeChild(script);
                }
            };
            head.appendChild(script);
        },

        loadStyles: function(url, callback, context) {
            var executed = false;
            var head = document.getElementsByTagName("head")[0];
            var style = document.createElement("link");
            style.rel = "stylesheet";
            style.href = url;
            style.onload = style.onreadystatechange = function() {
                if (!executed && (!this.readyState || this.readyState == "loaded" || this.readyState == "complete")) {
                    executed = true;
                    style.onload = style.onreadystatechange = null;
                    if (callback)
                        callback.call(context || this, url);
                }
            };
            head.appendChild(style);
        },

        inlineStyles: function(styles) {
            var head = document.getElementsByTagName("head")[0];
            var style = document.createElement("style");
            if (Info.isInternetExplorer() && Info.internetExplorerVersion() < 9) {
                style.setAttribute('type', 'text/css');
                style.styleSheet.cssText = styles;
            } else
                style.textContent = styles;
            head.appendChild(style);
            return style;
        },

        loadHtml: function(uri, callback, context) {
            AjaxSupport.execute({
                uri: uri,
                decodeType: "html"
            }).success(function(content) {
                callback.call(this, content, uri);
            }, context);
        },

        findScript: function(substr) {
            for (var i = 0; i < document.scripts.length; ++i)
                if (document.scripts[i].src.toLowerCase().indexOf(substr.toLowerCase()) >= 0)
                    return document.scripts[i];
            return null;
        },

        loadByIframe: function(options, callback, context) {
            var iframe = document.createElement("iframe");
            if (options.visible) {
                iframe.style.border = "none";
                iframe.style.width = "1px";
                iframe.style.height = "1px";
            } else {
                iframe.style.display = "none";
            }
            var loaded = function() {
                var body = null;
                var content = null;
                try {
                    body = iframe.contentDocument.body;
                    content = body.textContent || body.innerText;
                } catch (e) {}
                callback.call(context || this, content, body, iframe);
                if (options.remove)
                    document.body.removeChild(iframe);
            };
            if (iframe.attachEvent)
                iframe.attachEvent("onload", loaded);
            else
                iframe.onload = loaded;
            iframe.src = options.url;
            document.body.appendChild(iframe);
        }

    };
});

Scoped.define("module:Upload.CustomUploader", ["module:Upload.FileUploader"], function(FileUploader, scoped) {
    return FileUploader.extend({
        scoped: scoped
    }, {

        _upload: function() {
            this.trigger("upload", this._options);
        },

        progressCallback: function(uploaded, total) {
            this._progressCallback(uploaded, total);
        },

        successCallback: function(data) {
            this._successCallback(data);
        },

        errorCallback: function(data) {
            this._errorCallback(data);
        }

    });
});

Scoped.define("module:DomMutation.NodeRemoveObserver", ["base:Classes.ConditionalInstance","base:Events.EventsMixin"], function(ConditionalInstance, EventsMixin, scoped) {
    return ConditionalInstance.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {

            constructor: function(node) {
                inherited.constructor.call(this);
                this._node = node;
            },

            _nodeRemoved: function(node) {
                if (node !== this._node)
                    return;
                this.trigger("node-removed");
            }

        };
    }]);
});

Scoped.define("module:DomMutation.MutationObserverNodeRemoveObserver", ["module:DomMutation.NodeRemoveObserver","base:Objs"], function(Observer, Objs, scoped) {
    return Observer.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(node) {
                inherited.constructor.call(this, node);
                var self = this;
                this._observer = new window.MutationObserver(function(mutations) {
                    Objs.iter(mutations, function(mutation) {
                        for (var i = 0; i < mutation.removedNodes.length; ++i)
                            self._nodeRemoved(mutation.removedNodes[i]);
                    });
                });
                this._observer.observe(node.parentNode, {
                    childList: true
                });
            },

            destroy: function() {
                this._observer.disconnect();
                inherited.destroy.call(this);
            }

        };
    }, {

        supported: function(node) {
            try {
                return !!window.MutationObserver;
            } catch (e) {
                return false;
            }
        }

    });
});

Scoped.define("module:DomMutation.DOMNodeRemovedNodeRemoveObserver", ["module:DomMutation.NodeRemoveObserver","module:Info","module:Events"], function(Observer, Info, Events, scoped) {
    return Observer.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(node) {
                inherited.constructor.call(this, node);
                var events = this.auto_destroy(new Events());
                events.on(document, "DOMNodeRemoved", function(event) {
                    this._nodeRemoved(event.target);
                }, this);
            }

        };
    }, {

        supported: function(node) {
            return !Info.isInternetExplorer() || Info.internetExplorerVersion() >= 9;
        }

    });

});

Scoped.define("module:DomMutation.TimerNodeRemoveObserver", ["module:DomMutation.NodeRemoveObserver","base:Timers.Timer"], function(Observer, Timer, scoped) {
    return Observer.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(node) {
                inherited.constructor.call(this, node);
                this._timer = new Timer({
                    context: this,
                    fire: this._fire,
                    delay: 100
                });
            },

            destroy: function() {
                this._timer.weakDestroy();
                inherited.destroy.call(this);
            },

            _fire: function() {
                if (!this._node.parentElement) {
                    this._timer.stop();
                    this._nodeRemoved(this._node);
                }
            }

        };
    }, {

        supported: function(node) {
            return true;
        }

    });

});

Scoped.extend("module:DomMutation.NodeRemoveObserver", ["module:DomMutation.NodeRemoveObserver","module:DomMutation.MutationObserverNodeRemoveObserver","module:DomMutation.DOMNodeRemovedNodeRemoveObserver","module:DomMutation.TimerNodeRemoveObserver"], function(Observer, MutationObserverNodeRemoveObserver, DOMNodeRemovedNodeRemoveObserver, TimerNodeRemoveObserver) {
    Observer.register(MutationObserverNodeRemoveObserver, 3);
    Observer.register(DOMNodeRemovedNodeRemoveObserver, 2);
    Observer.register(TimerNodeRemoveObserver, 1);
    return {};
});

Scoped.define("module:Geometry", [], function() {
    return {
        /**
         *
         * @param videoWidth
         * @param videoHeight
         * @param embedWidth
         * @param embedHeight
         */
        padFitBoxInBox: function(videoWidth, videoHeight, embedWidth, embedHeight) {
            var videoAR = videoWidth / videoHeight;
            var embedAR = embedWidth / embedHeight;
            var scale = videoAR > embedAR ? (embedWidth / videoWidth) : (embedHeight / videoHeight);
            return {
                scale: scale,
                offsetX: videoAR < embedAR ? (embedWidth - videoWidth * scale) / 2 : 0,
                offsetY: videoAR > embedAR ? (embedHeight - videoHeight * scale) / 2 : 0
            };
        }
    };
});

Scoped.define("module:Hotkeys", ["base:Objs"], function(Objs) {
    return {

        SHIFT_NUMS: {
            "`": "~",
            "1": "!",
            "2": "@",
            "3": "#",
            "4": "$",
            "5": "%",
            "6": "^",
            "7": "&",
            "8": "*",
            "9": "(",
            "0": ")",
            "-": "_",
            "=": "+",
            ";": ":",
            "'": "\"",
            ",": "<",
            ".": ">",
            "/": "?",
            "\\": "|"
        },

        SPECIAL_KEYS: {
            'esc': 27,
            'escape': 27,
            'tab': 9,
            'space': 32,
            'return': 13,
            'enter': 13,
            'backspace': 8,

            'scrolllock': 145,
            'scroll_lock': 145,
            'scroll': 145,
            'capslock': 20,
            'caps_lock': 20,
            'caps': 20,
            'numlock': 144,
            'num_lock': 144,
            'num': 144,

            'pause': 19,
            'break': 19,

            'insert': 45,
            'home': 36,
            'delete': 46,
            'end': 35,

            'pageup': 33,
            'page_up': 33,
            'pu': 33,

            'pagedown': 34,
            'page_down': 34,
            'pd': 34,

            'left': 37,
            'up': 38,
            'right': 39,
            'down': 40,

            'f1': 112,
            'f2': 113,
            'f3': 114,
            'f4': 115,
            'f5': 116,
            'f6': 117,
            'f7': 118,
            'f8': 119,
            'f9': 120,
            'f10': 121,
            'f11': 122,
            'f12': 123
        },

        MODIFIERS: ["ctrl", "alt", "shift", "meta"],

        keyCodeToCharacter: function(code) {
            if (code == 188)
                return ",";
            else if (code == 190)
                return ".";
            return String.fromCharCode(code).toLowerCase();
        },

        handleKeyEvent: function(hotkey, e, options) {
            options = Objs.extend({
                "disable_in_input": false,
                "keycode": false
            }, options);
            var keys = hotkey.toLowerCase().split("+");
            if (options.disable_in_input) {
                var element = e.target || e.srcElement || null;
                if (element && element.nodeType == 3)
                    element = element.parentNode;
                if (element && (element.tagName == 'INPUT' || element.tagName == 'TEXTAREA'))
                    return false;
            }
            var code = e.keyCode || e.which || 0;
            var character = this.keyCodeToCharacter(code);
            var kp = 0;
            var modifier_map = {};
            Objs.iter(this.MODIFIERS, function(mod) {
                modifier_map[mod] = {
                    pressed: e[mod + "Key"],
                    wanted: false
                };
            }, this);
            Objs.iter(keys, function(key) {
                if (key in modifier_map) {
                    modifier_map[key].wanted = true;
                    kp++;
                } else if (key.length > 1) {
                    if (this.SPECIAL_KEYS[key] == code)
                        kp++;
                } else if (options.keycode) {
                    if (options.keycode == code)
                        kp++;
                } else if (character == key || (e.shiftKey && this.SHIFT_NUMS[character] == key)) {
                    kp++;
                }
            }, this);
            /**
             * Allow to use use several keys for one action
             * @example: ba-hotkey:space^enter="function(){}"
             */
            var multipleKeys = hotkey.toLowerCase().split("^");
            if (multipleKeys.length > 1) {
                Objs.iter(multipleKeys, function(key) {
                    if (key.length > 1 && e.keyCode === this.SPECIAL_KEYS[key]) {
                        // Prevent browser scroll when press space
                        if (code === 32) e.preventDefault();

                        if (this.SPECIAL_KEYS[key] == code)
                            kp++;
                    }
                }, this);
            }
            return kp == keys.length && Objs.all(modifier_map, function(data) {
                return data.wanted == data.pressed;
            });
        },

        register: function(hotkey, callback, context, options) {
            options = Objs.extend({
                "type": "keyup",
                "propagate": false,
                "disable_in_input": false,
                "target": document,
                "keycode": false
            }, options);
            var self = this;
            var func = function(e) {
                if (self.handleKeyEvent(hotkey, e, options)) {
                    if (!options.propagate) {
                        e.preventDefault();
                        e.stopPropagation();
                    }
                    callback.call(context || this, e);
                }
            };
            options.target.addEventListener(options.type, func, false);
            return {
                target: options.target,
                type: options.type,
                func: func
            };
        },

        unregister: function(handle) {
            handle.target.removeEventListener(handle.type, handle.func, false);
        }

    };
});

Scoped.define("module:Ajax.IframePostmessageAjax", ["base:Ajax.Support","base:Net.Uri","base:Net.HttpHeader","base:Promise","base:Types","base:Ajax.RequestException","base:Tokens","base:Objs"], function(AjaxSupport, Uri, HttpHeader, Promise, Types, RequestException, Tokens, Objs) {

    var id = 1;

    var Module = {

        supports: function(options) {
            if (!options.postmessage)
                return false;
            return true;
        },

        execute: function(options) {
            var postmessageName = "postmessage_" + Tokens.generate_token() + "_" + (id++);
            var params = Objs.objectBy(options.postmessage, postmessageName);
            params = Objs.extend(params, options.query);
            var uri = Uri.appendUriParams(options.uri, params);
            var iframe = document.createElement("iframe");
            iframe.id = postmessageName;
            iframe.name = postmessageName;
            iframe.style.display = "none";
            var form = document.createElement("form");
            form.method = options.method;
            form.target = postmessageName;
            uri = AjaxSupport.finalizeUri(options, uri);
            form.action = uri;
            form.style.display = "none";
            var promise = Promise.create();
            document.body.appendChild(iframe);
            document.body.appendChild(form);
            Objs.iter(options.data, function(value, key) {
                var input = document.createElement("input");
                input.type = "hidden";
                input.name = key;
                input.value = Types.is_array(value) || Types.is_object(value) ? JSON.stringify(value) : value;
                form.appendChild(input);
            }, this);
            var post_message_fallback = !("postMessage" in window);
            var self = this;
            var handle_success = null;
            var message_event_handler = function(event) {
                handle_success(event.data);
            };
            handle_success = function(raw_data) {
                if (typeof raw_data === "string")
                    raw_data = JSON.parse(raw_data);
                if (!(postmessageName in raw_data))
                    return;
                raw_data = raw_data[postmessageName];
                if (post_message_fallback)
                    window.postMessage = null;
                window.removeEventListener("message", message_event_handler, false);
                document.body.removeChild(form);
                document.body.removeChild(iframe);
                AjaxSupport.promiseReturnData(promise, options, raw_data, "json"); //options.decodeType);
            };
            iframe.onerror = function() {
                if (post_message_fallback)
                    window.postMessage = null;
                window.removeEventListener("message", message_event_handler, false);
                document.body.removeChild(form);
                document.body.removeChild(iframe);
                // TODO
                //AjaxSupport.promiseRequestException(promise, xmlhttp.status, xmlhttp.statusText, xmlhttp.responseText, "json"); //options.decodeType);)
            };
            window.addEventListener("message", message_event_handler, false);
            if (post_message_fallback)
                window.postMessage = handle_success;
            form.submit();
            return promise;
        }

    };

    AjaxSupport.register(Module, 4);

    return Module;
});

Scoped.define("module:Ajax.JsonpScriptAjax", ["base:Ajax.Support","base:Net.Uri","base:Net.HttpHeader","base:Promise","base:Types","base:Ajax.RequestException","base:Tokens","base:Objs","base:Async","module:Info"], function(AjaxSupport, Uri, HttpHeader, Promise, Types, RequestException, Tokens, Objs, Async, Info) {

    var id = 1;

    var Module = {

        supports: function(options) {
            if (!options.jsonp)
                return false;
            if (options.method !== "GET")
                return false;
            return true;
        },

        execute: function(options) {
            var callbackName = "jsonp_" + Tokens.generate_token() + "_" + (id++);
            var params = Objs.objectBy(options.jsonp, callbackName);
            params = Objs.extend(params, options.query);
            params = Objs.extend(params, options.data);
            var uri = Uri.appendUriParams(options.uri, params);
            var hasResult = false;

            window[callbackName] = function(data) {
                if (hasResult)
                    return;
                hasResult = true;
                try {
                    delete window[callbackName];
                } catch (e) {
                    window[callbackName] = undefined;
                }
                AjaxSupport.promiseReturnData(promise, options, data, "json"); //options.decodeType);
            };

            var promise = Promise.create();

            var head = document.getElementsByTagName("head")[0];
            var script = document.createElement("script");
            var executed = false;
            script.onerror = function(event) {
                if (event) {
                    if (event.stopPropagation)
                        event.stopPropagation();
                    else
                        event.cancelBubble = true;
                }
                if (hasResult)
                    return;
                hasResult = true;
                AjaxSupport.promiseRequestException(promise, HttpHeader.HTTP_STATUS_BAD_REQUEST, HttpHeader.format(HttpHeader.HTTP_STATUS_BAD_REQUEST), null, "json"); //options.decodeType);)
            };
            script.onload = script.onreadystatechange = function() {
                if (!executed && (!this.readyState || this.readyState == "loaded" || this.readyState == "complete")) {
                    executed = true;
                    script.onload = script.onreadystatechange = null;
                    head.removeChild(script);
                    if (Info.isInternetExplorer() && Info.internetExplorerVersion() < 9) {
                        Async.eventually(function() {
                            if (!hasResult)
                                script.onerror();
                        });
                    }
                }
            };

            uri = AjaxSupport.finalizeUri(options, uri);
            script.src = uri;
            head.appendChild(script);

            return promise;
        }

    };

    AjaxSupport.register(Module, 5);

    return Module;
});

Scoped.define("module:Ajax.XDomainRequestAjax", ["base:Ajax.Support","base:Net.Uri","base:Net.HttpHeader","base:Promise","base:Types","base:Ajax.RequestException","module:Info","base:Async","base:Ids"], function(AjaxSupport, Uri, HttpHeader, Promise, Types, RequestException, Info, Async, Ids) {

    var Module = {

        // IE Garbage Collection for XDomainRequest is broken
        __requests: {},

        supports: function(options) {
            if (!window.XDomainRequest)
                return false;
            if (options.forceJsonp || options.forcePostmessage)
                return false;
            if (!options.isCorsRequest)
                return false;
            if (!Info.isInternetExplorer() || Info.internetExplorerVersion() > 9)
                return false;
            // TODO: Check Data
            return true;
        },

        execute: function(options) {
            var uri = Uri.appendUriParams(options.uri, options.query || {});
            if (options.method === "GET")
                uri = Uri.appendUriParams(uri, options.data || {});
            var promise = Promise.create();

            var xdomreq = new XDomainRequest();
            Module.__requests[Ids.objectId(xdomreq)] = xdomreq;

            xdomreq.onload = function() {
                // TODO: Figure out response type.
                AjaxSupport.promiseReturnData(promise, options, xdomreq.responseText, "json"); //options.decodeType);
                delete Module.__requests[Ids.objectId(xdomreq)];
            };

            xdomreq.ontimeout = function() {
                AjaxSupport.promiseRequestException(promise, HttpHeader.HTTP_STATUS_GATEWAY_TIMEOUT, HttpHeader.format(HttpHeader.HTTP_STATUS_GATEWAY_TIMEOUT), null, "json"); //options.decodeType);)
                delete Module.__requests[Ids.objectId(xdomreq)];
            };

            xdomreq.onerror = function() {
                AjaxSupport.promiseRequestException(promise, HttpHeader.HTTP_STATUS_BAD_REQUEST, HttpHeader.format(HttpHeader.HTTP_STATUS_BAD_REQUEST), null, "json"); //options.decodeType);)
                delete Module.__requests[Ids.objectId(xdomreq)];
            };

            uri = AjaxSupport.finalizeUri(options, uri);
            xdomreq.open(options.method, uri);

            Async.eventually(function() {
                if (options.method !== "GET" && !Types.is_empty(options.data)) {
                    if (options.contentType === "json")
                        xdomreq.send(JSON.stringify(options.data));
                    else {
                        xdomreq.send(Uri.encodeUriParams(options.data, undefined, true));
                    }
                } else
                    xdomreq.send();
            }, this);

            return promise;
        }

    };

    AjaxSupport.register(Module, 9);

    return Module;
});

Scoped.define("module:Ajax.XmlHttpRequestAjax", ["base:Ajax.Support","base:Net.Uri","base:Net.HttpHeader","base:Promise","base:Types","base:Objs","base:Ajax.RequestException","module:Info"], function(AjaxSupport, Uri, HttpHeader, Promise, Types, Objs, RequestException, Info) {

    var Module = {

        supports: function(options) {
            // Worker
            if (typeof window === "undefined")
                return true;
            if (!window.XMLHttpRequest)
                return false;
            if (options.forceJsonp || options.forcePostmessage)
                return false;
            if (Info.isInternetExplorer() && Info.internetExplorerVersion() < 10 && options.isCorsRequest)
                return false;
            try {
                Objs.iter(options.data, function(value) {
                    if ((typeof(window.Blob) !== "undefined" && value instanceof(window.Blob)) || (typeof File !== "undefined" && value instanceof File))
                        options.requireFormData = true;
                });
                if (options.requireFormData)
                    new(window.FormData)();
            } catch (e) {
                options.requireFormData = false;
            }
            return true;
        },

        create: function() {
            return new XMLHttpRequest();
        },

        execute: function(options, progress, progressCtx, xmlhttp) {
            var uri = Uri.appendUriParams(options.uri, options.query || {});
            if (!options.methodSupportsPayload)
                uri = Uri.appendUriParams(uri, options.data || {});
            var promise = Promise.create();

            xmlhttp = xmlhttp || this.create();

            xmlhttp.onreadystatechange = function() {
                if (xmlhttp.readyState === 4) {
                    if (HttpHeader.isSuccessStatus(xmlhttp.status) || (xmlhttp.status === 0 && xmlhttp.responseText)) {
                        AjaxSupport.promiseReturnData(promise, options, options.contentType === "binary" ? xmlhttp.response : (options.contentType === "xml" ? xmlhttp.responseXML : xmlhttp.responseText), options.decodeType || "json");
                    } else {
                        AjaxSupport.promiseRequestException(promise, xmlhttp.status, xmlhttp.statusText, xmlhttp.responseText, options.decodeType || "json");
                    }
                }
            };

            if (progress) {
                (xmlhttp.upload || xmlhttp).onprogress = function(e) {
                    if (e.lengthComputable)
                        progress.call(progressCtx || this, e.loaded, e.total);
                };
            }

            uri = AjaxSupport.finalizeUri(options, uri);
            var parsed = Uri.parse(uri);

            if (Info.isFirefox() && parsed.user && parsed.password)
                uri = uri.replace(parsed.user + ":" + parsed.password + "@", "");

            xmlhttp.open(options.method, uri, true);

            if (options.corscreds)
                xmlhttp.withCredentials = true;

            if (options.bearer)
                xmlhttp.setRequestHeader('Authorization', 'Bearer ' + options.bearer);

            if (options.accept)
                xmlhttp.setRequestHeader("Accept", options.accept);

            if (options.contentType === "binary")
                xmlhttp.responseType = "blob";

            if (parsed.user || parsed.password)
                xmlhttp.setRequestHeader('Authorization', 'Basic ' + btoa(parsed.user + ':' + parsed.password));

            if (options.methodSupportsPayload && !Types.is_empty(options.data)) {
                if (options.noFormData) {
                    xmlhttp.send(options.data.file);
                } else if (options.requireFormData) {
                    var formData = new(window.FormData)();
                    Objs.iter(options.data, function(value, key) {
                        formData.append(key, value);
                    }, this);
                    // xmlhttp.setRequestHeader("Content-Type", "multipart/form-data");
                    xmlhttp.send(formData);
                } else if (options.contentType === "json") {
                    if (options.sendContentType)
                        xmlhttp.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
                    xmlhttp.send(JSON.stringify(options.data));
                } else if (options.contentType === "xml") {
                    xmlhttp.overrideMimeType('application/xml');
                    xmlhttp.send(JSON.stringify(options.data));
                } else {
                    if (options.sendContentType)
                        xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
                    xmlhttp.send(Uri.encodeUriParams(options.data, undefined, true));
                }
            } else
                xmlhttp.send();

            return promise;
        }

    };

    AjaxSupport.register(Module, 10);

    return Module;
});

Scoped.define("module:Cookies", ["base:Net.Cookies"], function(Cookies) {
    return {

        get: function(key) {
            return Cookies.getCookielikeValue(document.cookie, key);
        },

        /**
         * Will set the Cookie with provided settings
         *
         * @param {string} key
         * @param {string} value
         * @param {Date} end
         * @param {string} path
         * @param {string} domain
         * @param {boolean} secure
         * @param {'None'|'Lax'|'Strict'} sameSite
         */
        set: function(key, value, end, path, domain, secure, sameSite) {
            document.cookie = Cookies.createCookielikeValue(key, value, end, path, domain, secure, sameSite);
        },

        remove: function(key, value, path, domain) {
            document.cookie = Cookies.removeCookielikeValue(key, value, path, domain);
        },

        has: function(key) {
            return Cookies.hasCookielikeValue(document.cookie, key);
        },

        keys: function() {
            return Cookies.keysCookielike(document.cookie);
        }

    };
});

Scoped.define("module:DomMutation.NodeInsertObserver", ["base:Classes.ConditionalInstance","base:Events.EventsMixin"], function(ConditionalInstance, EventsMixin, scoped) {
    return ConditionalInstance.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {

            _nodeInserted: function(node, expand) {
                if (expand) {
                    for (var i = 0; i < node.childNodes.length; ++i)
                        this._nodeInserted(node.childNodes[i], expand);
                }
                if (this._options.parent && node.parentNode !== this._options.parent)
                    return;
                if (this._options.root && !this._options.root.contains(node))
                    return;
                if (this._options.filter && !this._options.filter.call(this._options.context || this, node))
                    return;
                this.trigger("node-inserted", node);
            }

        };
    }]);
});

Scoped.define("module:DomMutation.MutationObserverNodeInsertObserver", ["module:DomMutation.NodeInsertObserver","base:Objs"], function(Observer, Objs, scoped) {
    return Observer.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(options) {
                options = options || {};
                inherited.constructor.call(this, options);
                var self = this;
                this._observer = new window.MutationObserver(function(mutations) {
                    Objs.iter(mutations, function(mutation) {
                        for (var i = 0; i < mutation.addedNodes.length; ++i)
                            self._nodeInserted(mutation.addedNodes[i], true);
                    });
                });
                this._observer.observe(this._options.root || this._options.parent || document.body, {
                    childList: true,
                    subtree: !this._options.parent
                });
            },

            destroy: function() {
                this._observer.disconnect();
                inherited.destroy.call(this);
            }

        };
    }, {

        supported: function(node) {
            try {
                return !!window.MutationObserver;
            } catch (e) {
                return false;
            }
        }

    });
});

Scoped.define("module:DomMutation.DOMNodeInsertedNodeInsertObserver", ["module:DomMutation.NodeInsertObserver","module:Events"], function(Observer, Events, scoped) {
    return Observer.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(options) {
                options = options || {};
                inherited.constructor.call(this, options);
                var events = this.auto_destroy(new Events());
                events.on(document, "DOMNodeInserted", function(event) {
                    this._nodeInserted(event.target, true);
                }, this);
            }

        };
    }, {

        supported: function(node) {
            return true;
        }

    });
});

Scoped.extend("module:DomMutation.NodeInsertObserver", ["module:DomMutation.NodeInsertObserver","module:DomMutation.MutationObserverNodeInsertObserver","module:DomMutation.DOMNodeInsertedNodeInsertObserver"], function(Observer, MutationObserverNodeInsertObserver, DOMNodeInsertedNodeInsertObserver) {
    Observer.register(MutationObserverNodeInsertObserver, 3);
    Observer.register(DOMNodeInsertedNodeInsertObserver, 2);
    return {};
});


}).call(Scoped);
(function () {
var Scoped = this.subScope();
Scoped.binding('base', 'root:BetaJS');
Scoped.binding('browser', 'root:BetaJS.Browser');
Scoped.binding('module', 'root:BetaJS.Media');
Scoped.define("module:", function () {
	return {
    "guid": "8475efdb-dd7e-402e-9f50-36c76945a692",
    "version": "0.0.186",
    "datetime": 1650190340734
};
});

Scoped.define("module:AudioPlayer.AudioPlayerWrapper", ["base:Classes.OptimisticConditionalInstance","base:Events.EventsMixin","base:Types","base:Objs","base:Promise","base:Strings","browser:Events"], function(OptimisticConditionalInstance, EventsMixin, Types, Objs, Promise, Strings, DomEvents, scoped) {
    return OptimisticConditionalInstance.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {

            constructor: function(options, transitionals) {
                inherited.constructor.call(this);
                options = Objs.extend(Objs.clone(options || {}, 1), transitionals);
                var sources = options.source || options.sources || [];
                if (Types.is_string(sources))
                    sources = sources.split(" ");
                else if (!Types.is_array(sources))
                    sources = [sources];
                var sourcesMapped = [];
                Objs.iter(sources, function(source) {
                    if (Types.is_string(source))
                        source = {
                            src: source.trim()
                        };
                    else if (typeof Blob !== 'undefined' && source instanceof Blob)
                        source = {
                            src: source
                        };
                    if (source.ext && !source.type)
                        source.type = "audio/" + source.ext;
                    if (!source.ext && source.type)
                        source.ext = Strings.last_after(source.type, "/");
                    if (!source.ext && !source.type && Types.is_string(source.src)) {
                        var temp = Strings.splitFirst(source.src, "?").head;
                        if (temp.indexOf(".") >= 0) {
                            source.ext = Strings.last_after(temp, ".");
                            source.type = "audio/" + source.ext;
                        }
                    }
                    if (source.ext)
                        source.ext = source.ext.toLowerCase();
                    if (source.type)
                        source.type = source.type.toLowerCase();
                    if (typeof Blob !== 'undefined' && source.src instanceof Blob)
                        source.src = (window.URL || window.webkitURL).createObjectURL(source.src);
                    sourcesMapped.push(source);
                }, this);
                this._sources = sourcesMapped;
                this._element = options.element;
                this._preload = options.preload || false;
                this._reloadonplay = options.reloadonplay || false;
                this._options = options;
                this._loop = options.loop || false;
                this._loaded = false;
                this._error = 0;
                this._domEvents = new DomEvents();
            },

            destroy: function() {
                this._domEvents.destroy();
                inherited.destroy.call(this);
            },

            sources: function() {
                return this._sources;
            },

            loaded: function() {
                return this._loaded;
            },

            buffered: function() {},

            /**
             * @private
             */
            _eventLoaded: function() {
                this._loaded = true;
                this.trigger("loaded");
            },

            /**
             * With loaded metadata we can get information like duration from passed element
             * @param {Event} ev
             * @private
             */
            _eventLoadedMetaData: function(ev) {
                this._hasMetadata = true;
                this.trigger("loadedmetadata", ev.target);
            },

            _eventPlaying: function() {
                if (!this._loaded)
                    this._eventLoaded();
                this.trigger("playing");
            },

            _eventPaused: function() {
                this.trigger("paused");
            },

            _eventEnded: function() {
                // As during loop we will play player after ended event fire, need initial cover will be hidden
                if (this._loop)
                    this.play();
                this.trigger("ended");
            },

            _eventError: function(error) {
                this._error = error;
                this.trigger("error", error);
            },

            duration: function() {
                return this._element.duration;
            },

            position: function() {
                return this._element.currentTime;
            },

            error: function() {
                return this._error;
            },

            play: function() {
                if (this._reloadonplay)
                    this._element.load();
                this._reloadonplay = false;
                var promise = this._element.play();
                if (promise) return Promise.fromNativePromise(promise);
            },

            pause: function() {
                this._element.pause();
            },

            setPosition: function(position) {
                this._element.currentTime = position;
            },

            muted: function() {
                return this._element.muted;
            },

            setMuted: function(muted) {
                this._element.muted = muted;
            },

            volume: function() {
                return this._element.volume;
            },

            setVolume: function(volume) {
                this._element.volume = volume;
            }

        };
    }], {

        ERROR_NO_PLAYABLE_SOURCE: 1

    });
});

Scoped.define("module:AudioPlayer.Html5AudioPlayerWrapper", ["module:AudioPlayer.AudioPlayerWrapper","browser:Info","base:Promise","base:Objs","base:Timers.Timer","base:Strings","base:Async","browser:Dom","browser:Events"], function(AudioPlayerWrapper, Info, Promise, Objs, Timer, Strings, Async, Dom, DomEvents, scoped) {
    return AudioPlayerWrapper.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            _initialize: function() {
                if (this._options.nohtml5)
                    return Promise.error(true);
                if (this._sources.length < 1)
                    return Promise.error(true);
                if (Info.isInternetExplorer() && Info.internetExplorerVersion() < 9)
                    return Promise.error(true);
                var promise = Promise.create();
                this._element.innerHTML = "";
                var sources = this.sources();
                var ie9 = (Info.isInternetExplorer() && Info.internetExplorerVersion() == 9) || Info.isWindowsPhone();
                if (this._element.tagName.toLowerCase() !== "audio") {
                    this._element = Dom.changeTag(this._element, "audio");
                    this._transitionals.element = this._element;
                } else if (ie9) {
                    var str = Strings.splitLast(this._element.outerHTML, "</audio>").head;
                    Objs.iter(sources, function(source) {
                        str += "<source" + (source.type ? " type='" + source.type + "'" : "") + " src='" + source.src + "' />";
                    });
                    str += "</audio>";
                    var replacement = Dom.elementByTemplate(str);
                    Dom.elementInsertAfter(replacement, this._element);
                    this._element.parentNode.removeChild(this._element);
                    this._element = replacement;
                    this._transitionals.element = this._element;
                }
                if (Info.isSafari() && Info.safariVersion() < 6) {
                    this._element.src = sources[0].src;
                    this._preload = true;
                }
                /*
                var loadevent = "loadedmetadata";
                if (Info.isSafari() && Info.safariVersion() < 9)
                	loadevent = "loadstart";
                	*/
                var loadevent = "loadstart";
                this._domEvents.on(this._element, "loadevent", function() {
                    if ( /*loadevent === "loadstart" && */ this._element.networkState === this._element.NETWORK_NO_SOURCE) {
                        promise.asyncError(true);
                        return;
                    }
                    promise.asyncSuccess(true);
                }, this);

                // Success promise could be late, as events like loaded probably will be dispatched before
                // So moved loaded related indicators from _setup method to here, these events will fire only
                // there are no errors related source and load will start
                this._loaded = false;
                this._domEvents.on(this._element, "canplay", this._eventLoaded, this);
                this._domEvents.on(this._element, "loadedmetadata", this._eventLoadedMetaData, this);

                var noSourceCounter = 10;
                var timer = new Timer({
                    context: this,
                    fire: function() {
                        if (this._element.networkState === this._element.NETWORK_NO_SOURCE) {
                            noSourceCounter--;
                            if (noSourceCounter <= 0)
                                promise.asyncError(true);
                        } else if (this._element.networkState === this._element.NETWORK_IDLE)
                            promise.asyncSuccess(true);
                        else if (this._element.networkState === this._element.NETWORK_LOADING) {
                            if (Info.isEdge() || Info.isInternetExplorer())
                                promise.asyncSuccess(true);
                            else if (Info.isFirefox() && sources[0].src.indexOf("blob:") === 0)
                                promise.asyncSuccess(true);
                        }
                    },
                    delay: 50
                });
                this._element.preload = this._preload ? "auto" : "none";
                // Replaced with ended -> play way, to be able get ended listener
                // Left here to inform don't do on this way in the future
                // if (this._loop)
                //     this._element.loop = "loop";
                var errorCount = 0;
                var errorEvents = new DomEvents();
                if (!ie9) {
                    Objs.iter(sources, function(source) {
                        var sourceEl = document.createElement("source");
                        if (source.type)
                            sourceEl.type = source.type;
                        this._element.appendChild(sourceEl);
                        errorEvents.on(sourceEl, "error", function() {
                            errorCount++;
                            if (errorCount === sources.length)
                                promise.asyncError(true);
                        });
                        sourceEl.src = source.src;
                    }, this);
                } else {
                    var sourceEls = this._element.getElementsByTagName("SOURCE");
                    var cb = function() {
                        errorCount++;
                        if (errorCount === sources.length)
                            promise.asyncError(true);
                    };
                    for (var i = 0; i < sourceEls.length; ++i) {
                        errorEvents.on(sourceEls[i], "error", cb);
                    }
                }
                promise.callback(function() {
                    errorEvents.weakDestroy();
                    timer.destroy();
                }, this);
                promise.success(function() {
                    this._setup();
                }, this);
                try {
                    if (!Info.isChrome())
                        this._element.load();
                } catch (e) {}
                return promise;
            },

            destroy: function() {
                if (!Info.isInternetExplorer() || Info.internetExplorerVersion() > 8)
                    this._element.innerHTML = "";
                inherited.destroy.call(this);
            },

            _setup: function() {
                this._domEvents.on(this._element, "playing", this._eventPlaying, this);
                this._domEvents.on(this._element, "pause", this._eventPaused, this);
                this._domEvents.on(this._element, "ended", this._eventEnded, this);
                var sourceEls = this._element.getElementsByTagName("SOURCE");
                var cb = function() {
                    this._eventError(this.cls.ERROR_NO_PLAYABLE_SOURCE);
                };
                for (var i = 0; i < sourceEls.length; ++i) {
                    this._domEvents.on(sourceEls[i], "error", cb, this);
                }
                if (Info.isSafari() && (Info.safariVersion() > 5 || Info.safariVersion() < 9)) {
                    if (this._element.networkState === this._element.NETWORK_LOADING) {
                        Async.eventually(function() {
                            if (!this.destroyed() && this._element.networkState === this._element.NETWORK_LOADING && this._element.buffered.length === 0)
                                this._eventError(this.cls.ERROR_NO_PLAYABLE_SOURCE);
                        }, this, 10000);
                    }
                }
            },

            buffered: function() {
                return this._element.buffered.end(0);
            },

            play: function() {
                return inherited.play.call(this);
            },

            pause: function() {
                this._element.pause();
            },

            setPosition: function(position) {
                this._element.currentTime = position;
            },

            muted: function() {
                return this._element.muted;
            },

            setMuted: function(muted) {
                this._element.muted = muted;
            },

            volume: function() {
                return this._element.volume;
            },

            setVolume: function(volume) {
                this._element.volume = volume;
            }

        };
    });
});

Scoped.extend("module:AudioPlayer.AudioPlayerWrapper", ["module:AudioPlayer.AudioPlayerWrapper","module:AudioPlayer.Html5AudioPlayerWrapper"], function(AudioPlayerWrapper, Html5AudioPlayerWrapper) {
    AudioPlayerWrapper.register(Html5AudioPlayerWrapper, 2);
    return {};
});

Scoped.define("module:AudioRecorder.AudioRecorderWrapper", ["base:Classes.ConditionalInstance","base:Events.EventsMixin","base:Objs","base:Promise"], function(ConditionalInstance, EventsMixin, Objs, Promise, scoped) {
    return ConditionalInstance.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {

            constructor: function(options) {
                inherited.constructor.call(this, options);
                this._element = this._options.element;
                this.ready = Promise.create();
            },

            destroy: function() {
                inherited.destroy.call(this);
            },

            bindMedia: function() {
                return this._bindMedia();
            },

            _bindMedia: function() {},

            unbindMedia: function() {
                return this._unbindMedia();
            },

            _unbindMedia: function() {},

            softwareDependencies: function() {
                return this._softwareDependencies();
            },

            _softwareDependencies: function() {},

            soundLevel: function() {},
            testSoundLevel: function(activate) {},

            getVolumeGain: function() {},
            setVolumeGain: function(volumeGain) {},

            enumerateDevices: function() {},
            currentDevices: function() {},
            setCurrentDevices: function(devices) {},

            startRecord: function(options) {},
            pauseRecord: function() {},
            resumeRecord: function() {},
            stopRecord: function(options) {},
            canPause: function() {
                return false;
            },

            isWebrtcStreaming: function() {
                return false;
            },

            supportsLocalPlayback: function() {
                return false;
            },

            localPlaybackSource: function() {
                return null;
            },

            recordDelay: function(opts) {
                return 0;
            }

        };
    }], {

        _initializeOptions: function(options) {
            return Objs.extend({
                recordVideo: false,
                recordAudio: true
            }, options);
        }

    });
});

Scoped.define("module:Encoding.WaveEncoder.Support", ["base:Promise","base:Scheduling.Helper"], function(Promise, SchedulingHelper) {
    return {

        dumpInputBuffer: function(inputBuffer, audioChannels, bufferSize, offset) {
            return {
                left: new Float32Array(inputBuffer.getChannelData(0)),
                right: audioChannels > 1 ? new Float32Array(inputBuffer.getChannelData(1)) : null,
                offset: offset || 0,
                endOffset: bufferSize
            };
        },

        waveChannelTransform: function(dumpedInputBuffer, volume, schedulable, schedulableCtx) {
            var promise = Promise.create();
            var volumeFactor = 0x7FFF * (volume || 1);
            var offset = dumpedInputBuffer.offset;
            var endOffset = dumpedInputBuffer.endOffset;
            var left = dumpedInputBuffer.left;
            var right = dumpedInputBuffer.right;
            var result = new Int16Array((endOffset - offset) * (right ? 2 : 1));
            var resultOffset = 0;
            SchedulingHelper.schedulable(function(steps) {
                while (steps > 0) {
                    steps--;
                    if (offset >= endOffset) {
                        promise.asyncSuccess(result);
                        return true;
                    }
                    result[resultOffset] = left[offset] * volumeFactor;
                    resultOffset++;
                    if (right) {
                        result[resultOffset] = right[offset] * volumeFactor;
                        resultOffset++;
                    }
                    offset++;
                }
                return false;
            }, 100, schedulable, schedulableCtx);
            return promise;
        },

        generateHeader: function(totalSize, audioChannels, sampleRate, buffer) {
            buffer = buffer || new ArrayBuffer(44);
            var view = new DataView(buffer);
            view.writeUTFBytes = function(offset, string) {
                for (var i = 0; i < string.length; i++)
                    this.setUint8(offset + i, string.charCodeAt(i));
            };
            // RIFF chunk descriptor
            view.writeUTFBytes(0, 'RIFF');
            view.setUint32(4, 44 + totalSize, true);
            view.writeUTFBytes(8, 'WAVE');
            // FMT sub-chunk
            view.writeUTFBytes(12, 'fmt ');
            view.setUint32(16, 16, true);
            view.setUint16(20, 1, true);
            // stereo (2 channels)
            view.setUint16(22, audioChannels, true);
            view.setUint32(24, sampleRate, true);
            view.setUint32(28, sampleRate * 4, true);
            view.setUint16(32, audioChannels * 2, true);
            view.setUint16(34, 16, true);
            // data sub-chunk
            view.writeUTFBytes(36, 'data');
            view.setUint32(40, totalSize, true);
            return buffer;
        }

    };
});

Scoped.define("module:Encoding.WebmEncoder.Support", ["base:Promise","base:Scheduling.Helper","base:Types"], function(Promise, SchedulingHelper, Types) {
    return {

        parseWebP: function(riff) {
            var VP8 = riff.RIFF[0].WEBP[0];

            var frame_start = VP8.indexOf('\x9d\x01\x2a'); // A VP8 keyframe starts with the 0x9d012a header
            for (var i = 0, c = []; i < 4; i++) c[i] = VP8.charCodeAt(frame_start + 3 + i);

            var width, height, tmp;

            //the code below is literally copied verbatim from the bitstream spec
            tmp = (c[1] << 8) | c[0];
            width = tmp & 0x3FFF;
            tmp = (c[3] << 8) | c[2];
            height = tmp & 0x3FFF;
            return {
                width: width,
                height: height,
                data: VP8,
                riff: riff
            };
        },

        parseRIFF: function(string) {
            var offset = 0;
            var chunks = {};

            var f = function(i) {
                var unpadded = i.charCodeAt(0).toString(2);
                return (new Array(8 - unpadded.length + 1)).join('0') + unpadded;
            };

            while (offset < string.length) {
                var id = string.substr(offset, 4);
                var len = parseInt(string.substr(offset + 4, 4).split('').map(f).join(''), 2);
                var data = string.substr(offset + 4 + 4, len);
                offset += 4 + 4 + len;
                chunks[id] = chunks[id] || [];

                if (id == 'RIFF' || id == 'LIST')
                    chunks[id].push(this.parseRIFF(data));
                else
                    chunks[id].push(data);
            }
            return chunks;
        },

        /**
         *
         * @param {HTMLCanvasElement} canvas
         * @param {object} frame
         * @param {number} _pixTolerance - 0 - only black pixel color; 1 - all
         * @param {number} _frameTolerance - 0 - only black frame color; 1 - all
         * @return {boolean}
         */
        isBlankFrame: function(canvas, frame, _pixTolerance, _frameTolerance) {
            if (typeof Array.prototype.some === "function") {
                return !canvas.getContext('2d')
                    .getImageData(0, 0, canvas.width, canvas.height).data
                    .some(function(channel) {
                        return channel !== 0;
                    });
            } else {
                var localCanvas = document.createElement('canvas');
                localCanvas.width = canvas.width;
                localCanvas.height = canvas.height;
                var context2d = localCanvas.getContext('2d');

                var sampleColor = {
                    r: 0,
                    g: 0,
                    b: 0
                };
                var maxColorDifference = Math.sqrt(
                    Math.pow(255, 2) +
                    Math.pow(255, 2) +
                    Math.pow(255, 2)
                );
                var pixTolerance = _pixTolerance && _pixTolerance >= 0 && _pixTolerance <= 1 ? _pixTolerance : 0;
                var frameTolerance = _frameTolerance && _frameTolerance >= 0 && _frameTolerance <= 1 ? _frameTolerance : 0;

                var matchPixCount, endPixCheck, maxPixCount;

                var image = new Image();
                image.src = frame.image;
                context2d.drawImage(image, 0, 0, canvas.width, canvas.height);
                var imageData = context2d.getImageData(0, 0, canvas.width, canvas.height);
                matchPixCount = 0;
                endPixCheck = imageData.data.length;
                maxPixCount = imageData.data.length / 4;

                for (var pix = 0; pix < endPixCheck; pix += 4) {
                    var currentColor = {
                        r: imageData.data[pix],
                        g: imageData.data[pix + 1],
                        b: imageData.data[pix + 2]
                    };
                    var colorDifference = Math.sqrt(
                        Math.pow(currentColor.r - sampleColor.r, 2) +
                        Math.pow(currentColor.g - sampleColor.g, 2) +
                        Math.pow(currentColor.b - sampleColor.b, 2)
                    );
                    if (colorDifference <= maxColorDifference * pixTolerance)
                        matchPixCount++;
                }

                return maxPixCount - matchPixCount <= maxPixCount * frameTolerance;
            }
        },

        makeSimpleBlock: function(data) {
            var flags = 0;
            if (data.keyframe) flags |= 128;
            if (data.invisible) flags |= 8;
            if (data.lacing) flags |= (data.lacing << 1);
            if (data.discardable) flags |= 1;
            if (data.trackNum > 127)
                throw "TrackNumber > 127 not supported";
            var out = [data.trackNum | 0x80, data.timecode >> 8, data.timecode & 0xff, flags].map(function(e) {
                return String.fromCharCode(e);
            }).join('') + data.frame;
            return out;
        },

        generateEBMLHeader: function(duration, width, height) {

            var doubleToString = function(num) {
                return [].slice.call(
                    new Uint8Array((new Float64Array([num])).buffer), 0).map(function(e) {
                    return String.fromCharCode(e);
                }).reverse().join('');
            };

            return [{
                "id": 0x1a45dfa3, // EBML
                "data": [{
                    "data": 1,
                    "id": 0x4286 // EBMLVersion
                }, {
                    "data": 1,
                    "id": 0x42f7 // EBMLReadVersion
                }, {
                    "data": 4,
                    "id": 0x42f2 // EBMLMaxIDLength
                }, {
                    "data": 8,
                    "id": 0x42f3 // EBMLMaxSizeLength
                }, {
                    "data": "webm",
                    "id": 0x4282 // DocType
                }, {
                    "data": 2,
                    "id": 0x4287 // DocTypeVersion
                }, {
                    "data": 2,
                    "id": 0x4285 // DocTypeReadVersion
                }]
            }, {
                "id": 0x18538067, // Segment
                "data": [{
                    "id": 0x1549a966, // Info
                    "data": [{
                        "data": 1e6, //do things in millisecs (num of nanosecs for duration scale)
                        "id": 0x2ad7b1 // TimecodeScale
                    }, {
                        "data": "whammy",
                        "id": 0x4d80 // MuxingApp
                    }, {
                        "data": "whammy",
                        "id": 0x5741 // WritingApp
                    }, {
                        "data": doubleToString(duration),
                        "id": 0x4489 // Duration
                    }]
                }, {
                    "id": 0x1654ae6b, // Tracks
                    "data": [{
                        "id": 0xae, // TrackEntry
                        "data": [{
                            "data": 1,
                            "id": 0xd7 // TrackNumber
                        }, {
                            "data": 1,
                            "id": 0x63c5 // TrackUID
                        }, {
                            "data": 0,
                            "id": 0x9c // FlagLacing
                        }, {
                            "data": "und",
                            "id": 0x22b59c // Language
                        }, {
                            "data": "V_VP8",
                            "id": 0x86 // CodecID
                        }, {
                            "data": "VP8",
                            "id": 0x258688 // CodecName
                        }, {
                            "data": 1,
                            "id": 0x83 // TrackType
                        }, {
                            "id": 0xe0, // Video
                            "data": [{
                                "data": width,
                                "id": 0xb0 // PixelWidth
                            }, {
                                "data": height,
                                "id": 0xba // PixelHeight
                            }]
                        }]
                    }]
                }]
            }];
        },

        __numToBuffer: function(num) {
            var parts = [];
            while (num > 0) {
                parts.push(num & 0xff);
                num = num >> 8;
            }
            return new Uint8Array(parts.reverse());
        },

        __strToBuffer: function(str) {
            return new Uint8Array(str.split('').map(function(e) {
                return e.charCodeAt(0);
            }));
        },

        __bitsToBuffer: function(bits) {
            var data = [];
            var pad = (bits.length % 8) ? (new Array(1 + 8 - (bits.length % 8))).join('0') : '';
            bits = pad + bits;
            for (var i = 0; i < bits.length; i += 8)
                data.push(parseInt(bits.substr(i, 8), 2));
            return new Uint8Array(data);
        },

        serializeEBML: function(json) {
            if (!Types.is_array(json))
                return json;
            var ebml = [];
            json.forEach(function(entry) {
                var data = entry.data;
                var tp = typeof data;
                if (tp === "object")
                    data = this.serializeEBML(data);
                else if (tp === "number")
                    data = this.__bitsToBuffer(data.toString(2));
                else if (tp === "string")
                    data = this.__strToBuffer(data);
                var len = data.size || data.byteLength || data.length;
                var zeroes = Math.ceil(Math.ceil(Math.log(len) / Math.log(2)) / 8);
                var size_str = len.toString(2);
                var padded = (new Array((zeroes * 7 + 7 + 1) - size_str.length)).join('0') + size_str;
                var size = (new Array(zeroes)).join('0') + '1' + padded;
                ebml.push(this.__numToBuffer(entry.id));
                ebml.push(this.__bitsToBuffer(size));
                ebml.push(data);
            }, this);
            return new Blob(ebml, {
                type: "video/webm"
            });
        },

        makeTimecodeDataBlock: function(data, clusterDuration) {
            return {
                data: this.makeSimpleBlock({
                    discardable: 0,
                    frame: data.slice(4),
                    invisible: 0,
                    keyframe: 1,
                    lacing: 0,
                    trackNum: 1,
                    timecode: Math.round(clusterDuration)
                }),
                id: 0xa3
            };
        },

        makeCluster: function(clusterFrames, clusterTimecode) {
            clusterFrames.unshift({
                "data": clusterTimecode,
                "id": 0xe7 // Timecode
            });
            return {
                "id": 0x1f43b675, // Cluster
                "data": clusterFrames
            };
        }

    };
});

Scoped.define("module:ImageRecorder.ImageRecorderWrapper", ["base:Classes.ConditionalInstance","base:Events.EventsMixin","base:Objs","base:Promise"], function(ConditionalInstance, EventsMixin, Objs, Promise, scoped) {
    return ConditionalInstance.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {

            constructor: function(options) {
                inherited.constructor.call(this, options);
                this._element = this._options.element;
                this.ready = Promise.create();
            },

            destroy: function() {
                inherited.destroy.call(this);
            },

            bindMedia: function() {
                return this._bindMedia();
            },

            _bindMedia: function() {},

            unbindMedia: function() {
                return this._unbindMedia();
            },

            _unbindMedia: function() {},

            softwareDependencies: function() {
                return this._softwareDependencies();
            },

            _softwareDependencies: function() {},

            cameraWidth: function() {
                return this._options.recordingWidth;
            },

            cameraHeight: function() {
                return this._options.recordingHeight;
            },

            lightLevel: function() {},
            blankLevel: function() {},
            deltaCoefficient: function() {},

            enumerateDevices: function() {},
            currentDevices: function() {},
            setCurrentDevices: function(devices) {},
            setCameraFace: function(faceFront) {},
            getCameraFacingMode: function() {},

            createSnapshot: function() {},
            removeSnapshot: function(snapshot) {},
            createSnapshotDisplay: function(parent, snapshot, x, y, w, h) {},
            updateSnapshotDisplay: function(snapshot, display, x, y, w, h) {},
            removeSnapshotDisplay: function(display) {},
            createSnapshotUploader: function(snapshot, type, uploaderOptions) {},

            snapshotToLocalPoster: function(snapshot) {
                return null;
            }

        };
    }], {

        _initializeOptions: function(options) {
            return Objs.extend({
                recordingWidth: 640,
                recordingHeight: 480
            }, options);
        }

    });
});

Scoped.define("module:Player.Broadcasting", ["base:Class","browser:Loader","browser:Events"], function(Class, Loader, DomEvents, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {
        return {
            constructor: function(instance) {
                inherited.constructor.apply(this);
                this.player = instance.player;
                this.googleCast = {};
                this.airplay = {};
                this.options = instance.commonOptions;
                this.googleCast.initialOptions = instance.castOptions;
                this.airplayOptions = instance.airplayOptions;

                this.player.on("pause-google-cast", function() {
                    this._googleCastRemotePause();
                }, this);

                this.player.on("play-google-cast", function() {
                    this._googleCastRemotePlay();
                }, this);

                this.player.on("google-cast-seeking", function(duration) {
                    this._seekToGoogleCast(duration);
                }, this);

                this.player.on("change-google-cast-volume", function(volume) {
                    volume = Math.min(1.0, volume);
                    this._changeGoogleCastVolume(volume);
                }, this);
            },

            attachAirplayEvent: function(video) {
                this._airplayEvent = this.auto_destroy(new DomEvents());
                this._airplayEvent.on(video, "webkitplaybacktargetavailabilitychanged", function(ev) {
                    switch (ev.availability) {
                        case "available":
                            this.player._broadcastingState.airplayConnected = true;
                            return true;
                        default:
                            return false;
                    }
                }, this);
            },

            attachGoggleCast: function() {
                var self = this;
                window.__onGCastApiAvailable = function(isAvailable) {
                    if (isAvailable) {
                        self._initializeCastApi();
                    }
                };

                Loader.loadScript('https://www.gstatic.com/cv/js/sender/v1/cast_sender.js?loadCastFramework=1', function() {

                });
            },

            _initializeCastApi: function() {
                var self = this;
                self.player.trigger("cast-available", true);
                var googleCastInitialOptions = this.googleCast.initialOptions;

                var options = {};
                // [0] default media receiver app ID
                // [1] Custom Receiver app ID
                // [2] Styled Media Receiver app ID # can also add https css files from cast console
                // [3] Remote Display Receiver app ID
                var applicationIds = [
                    chrome.cast.media.DEFAULT_MEDIA_RECEIVER_APP_ID,
                    '41A5ADFD', '8AA2B3F9', 'DE815B4F'
                ];

                // [0] no auto join
                // [1] same appID, same URL, same tab
                // [2] same appID and same origin URL
                var autoJoinPolicy = [
                    chrome.cast.AutoJoinPolicy.PAGE_SCOPED,
                    chrome.cast.AutoJoinPolicy.TAB_AND_ORIGIN_SCOPED,
                    chrome.cast.AutoJoinPolicy.ORIGIN_SCOPED
                ];

                options.autoJoinPolicy = autoJoinPolicy[1];
                options.receiverApplicationId = this.options.chromecastReceiverAppId || applicationIds[2];
                /** The following flag enables Cast Connect(requires Chrome 87 or higher) */
                options.androidReceiverCompatible = true;

                var context = cast.framework.CastContext.getInstance();
                context.setOptions(options);

                var castRemotePlayer = new cast.framework.RemotePlayer();
                castRemotePlayer.title = this.options.title;
                //castRemotePlayer.displayStatus =  "Please wait connecting",
                castRemotePlayer.canControlVolume = googleCastInitialOptions.canControlVolume;
                castRemotePlayer.canPause = googleCastInitialOptions.canPause;
                castRemotePlayer.canSeek = googleCastInitialOptions.canSeek;
                castRemotePlayer.duration = googleCastInitialOptions.duration;
                castRemotePlayer.imageUrl = googleCastInitialOptions.imageUrl;
                castRemotePlayer.isConnected = googleCastInitialOptions.isConnected;
                castRemotePlayer.isMuted = googleCastInitialOptions.isMuted;
                castRemotePlayer.isPaused = googleCastInitialOptions.isPaused;
                castRemotePlayer.title = this.options.title;
                castRemotePlayer.displayName = googleCastInitialOptions.displayName;

                var castRemotePlayerController = new cast.framework.RemotePlayerController(castRemotePlayer);
                //castRemotePlayerController methods
                //getSeekPosition(currentTime, duration), getSeekTime(currentPosition, duration)
                //castRemotePlayer.currentTime = position.in.seconds; muteOrUnmute(); playOrPause()
                // seek(), setVolumeLevel(), stop()


                var availableStates = cast.framework.CastState;
                var stateConnecting = cast.framework.CastState.CONNECTING;
                var stateNoDevice = cast.framework.CastState.NO_DEVICES_AVAILABLE;
                var stateEventType = cast.framework.CastContextEventType.CAST_STATE_CHANGED;

                context.addEventListener(stateEventType, function(ev) {
                    var _currentState = ev.castState;
                    self.player.trigger("cast-state-changed", _currentState, availableStates);
                    if (_currentState !== stateNoDevice) {
                        // var castRemotePlayer = new cast.framework.RemotePlayer();
                        // self._initCastPlayer(castRemotePlayer, googleCastInitialOptions);
                        if (_currentState === stateConnecting)
                            castRemotePlayer.displayStatus = "Please wait connecting";
                        else
                            castRemotePlayer.displayStatus = "";
                    } else {
                        /* We can remove here player event as well*/
                    }
                });

                // Will listen to remote player connection
                // DON'T move inside state change event
                castRemotePlayerController.addEventListener(
                    cast.framework.RemotePlayerEventType.IS_CONNECTED_CHANGED,
                    function() {
                        if (cast && cast.framework) {
                            if (castRemotePlayer.isConnected) {
                                self._setupCastRemotePlayer(castRemotePlayer, castRemotePlayerController);
                            } else {
                                self._destroyCastRemotePlayer(castRemotePlayer, castRemotePlayerController);
                            }
                        }
                    }
                );
            },

            _setupCastRemotePlayer: function(castRemotePlayer, castRemotePlayerController) {
                var self = this;
                var player = this.player;
                var options = this.castOptions;
                var sources = player._sources;
                var mediaURL = player._element.currentSrc;
                var mediaMimeType = sources[0].type;

                var castSession = cast.framework.CastContext.getInstance().getCurrentSession();

                var mediaInfo = new chrome.cast.media.MediaInfo(mediaURL, mediaMimeType);
                mediaInfo.metadata = new chrome.cast.media.GenericMediaMetadata();
                mediaInfo.metadata.metadataType = chrome.cast.media.MetadataType.GENERIC;
                mediaInfo.metadata.title = this.options.title;
                mediaInfo.metadata.images = [{
                    url: this.options.poster
                }];

                // BUFFERED: Stored media streamed from an existing data store.
                // LIVE: Live media generated on the fly.
                // OTHER: None of the above.
                // mediaInfo.streamType = 'BUFFERED';

                var request = new chrome.cast.media.LoadRequest(mediaInfo);

                this.googleCast.castRemotePlayer = castRemotePlayer;
                this.googleCast.castRemotePlayerController = castRemotePlayerController;
                this.googleCast.castMediaInfo = mediaInfo;
                this.googleCast.castSession = castSession;

                castRemotePlayerController.addEventListener(
                    cast.framework.RemotePlayerEventType.MEDIA_INFO_CHANGED,
                    function() {
                        if (!castSession) return;

                        var media = castSession.getMediaSession();
                        if (!media) return;

                        // On un-connect and re-connect to cast-player,
                        // this part will provide correct player state
                        player.trigger("cast-paused", media.playerState === 'PAUSED');
                    }
                );

                castSession.loadMedia(request).then(
                    function() {

                        player._broadcastingState.googleCastConnected = true;
                        player.trigger("cast-loaded", castRemotePlayer, castRemotePlayerController);

                        // Listeners available for further actions with remote player
                        // https://developers.google.com/cast/docs/reference/chrome/cast.framework#.RemotePlayerEventType
                        castRemotePlayerController.addEventListener(
                            cast.framework.RemotePlayerEventType.IS_PAUSED_CHANGED,
                            function() {
                                player.trigger("cast-paused", castRemotePlayer.isPaused);
                            }
                        );

                        castRemotePlayerController.addEventListener(
                            cast.framework.RemotePlayerEventType.CURRENT_TIME_CHANGED,
                            function() {
                                var currentTime = self._getGoogleCastCurrentMediaTime(castRemotePlayer);
                                var totalMediaDuration = self._getGoogleCastMediaDuration(castRemotePlayer);
                                player.trigger("cast-time-changed", currentTime, totalMediaDuration);
                            }
                        );
                    },
                    function(errorCode) {
                        console.warn('Remote media load error : ' + self._googleCastPlayerErrorMessages(errorCode));
                    }
                );
            },

            _destroyCastRemotePlayer: function(castRemotePlayer, castRemotePlayerController) {
                var player = this.player;
                var currentPosition = this._getGoogleCastCurrentMediaTime(castRemotePlayer);

                castRemotePlayerController.removeEventListener(
                    cast.framework.RemotePlayerEventType.MEDIA_INFO_CHANGED
                );
                castRemotePlayerController.removeEventListener(
                    cast.framework.RemotePlayerEventType.IS_PAUSED_CHANGED
                );
                castRemotePlayerController.removeEventListener(
                    cast.framework.RemotePlayerEventType.CURRENT_TIME_CHANGED
                );

                if (castRemotePlayer.savedPlayerState && !castRemotePlayer.isConnected)
                    currentPosition = castRemotePlayer.savedPlayerState.currentTime;

                if (player._broadcastingState.googleCastConnected && currentPosition > 0)
                    player.trigger("proceed-when-ending-googlecast", currentPosition, castRemotePlayer.isPaused);

                this.player._broadcastingState.googleCastConnected = false;
            },

            _getGoogleCastRemotePlayer: function() {
                if (!this.player._broadcastingState.googleCastConnected)
                    return;

                return this.googleCast.castRemotePlayer;
            },

            _getGoogleCastRemotePlayerController: function() {
                if (!this.player._broadcastingState.googleCastConnected)
                    return;

                return this.googleCast.castRemotePlayerController;
            },

            _getGoogleCastMediaInfo: function() {
                if (!this.player._broadcastingState.googleCastConnected)
                    return;

                return this.googleCast.castMediaInfo;
            },

            _getGoogleCastCurrentSession: function() {
                if (!this.player._broadcastingState.googleCastConnected)
                    return;

                return this.googleCast.castSession;
            },

            _getGoogleCastCurrentMediaTime: function(remotePlayer) {
                if (!this.player._broadcastingState.googleCastConnected)
                    return;

                // Sometimes getting error: "The provided double value is non-finite"
                return Math.floor(remotePlayer.currentTime * 10) / 10;
            },

            _getGoogleCastMediaDuration: function(remotePlayer) {
                if (!this.player._broadcastingState.googleCastConnected)
                    return;

                return remotePlayer.duration;
            },

            _googleCastRemotePlay: function() {
                if (this.player._broadcastingState.googleCastConnected) {
                    var castRemotePlayer = this._getGoogleCastRemotePlayer();
                    var castRemotePlayerController = this._getGoogleCastRemotePlayerController();
                    if (castRemotePlayer.playerState === 'PAUSED')
                        castRemotePlayerController.playOrPause();
                    return castRemotePlayer;
                } else return false;
            },

            _googleCastRemotePause: function() {
                if (this.player._broadcastingState.googleCastConnected) {
                    var castRemotePlayer = this._getGoogleCastRemotePlayer();
                    var castRemotePlayerController = this._getGoogleCastRemotePlayerController();
                    if (castRemotePlayer.playerState === 'PLAYING')
                        castRemotePlayerController.playOrPause();
                    return castRemotePlayer;
                } else return false;
            },

            _seekToGoogleCast: function(time) {
                var castRemotePlayer = this._getGoogleCastRemotePlayer();
                var castRemotePlayerController = this._getGoogleCastRemotePlayerController();
                castRemotePlayer.currentTime = time;
                castRemotePlayerController.seek();
            },

            _changeGoogleCastVolume: function(volumePosition) {
                var castRemoteController = this._getGoogleCastRemotePlayerController();
                var castRemotePlayer = this._getGoogleCastRemotePlayer();
                castRemotePlayer.volumeLevel = volumePosition;
                castRemoteController.setVolumeLevel();
            },

            _googleCastPlayerErrorMessages: function(error) {
                switch (error.code) {
                    case chrome.cast.ErrorCode.API_NOT_INITIALIZED:
                        return 'The API is not initialized.' +
                            (error.description ? ' :' + error.description : '');
                    case chrome.cast.ErrorCode.CANCEL:
                        return 'The operation was canceled by the user' +
                            (error.description ? ' :' + error.description : '');
                    case chrome.cast.ErrorCode.CHANNEL_ERROR:
                        return 'A channel to the receiver is not available.' +
                            (error.description ? ' :' + error.description : '');
                    case chrome.cast.ErrorCode.EXTENSION_MISSING:
                        return 'The Cast extension is not available.' +
                            (error.description ? ' :' + error.description : '');
                    case chrome.cast.ErrorCode.INVALID_PARAMETER:
                        return 'The parameters to the operation were not valid.' +
                            (error.description ? ' :' + error.description : '');
                    case chrome.cast.ErrorCode.RECEIVER_UNAVAILABLE:
                        return 'No receiver was compatible with the session request.' +
                            (error.description ? ' :' + error.description : '');
                    case chrome.cast.ErrorCode.SESSION_ERROR:
                        return 'A session could not be created, or a session was invalid.' +
                            (error.description ? ' :' + error.description : '');
                    case chrome.cast.ErrorCode.TIMEOUT:
                        return 'The operation timed out.' +
                            (error.description ? ' :' + error.description : '');
                }
            },

            lookForAirplayDevices: function(videoElement) {
                return videoElement.webkitShowPlaybackTargetPicker();
            }
        };
    });
});

Scoped.define("module:HlsSupportMixin", ["base:Promise"], function(Promise) {
    var Hls = window.Hls;
    return {
        _hlsIsSupported: function() {
            return Hls && Hls.isSupported();
        },

        _loadHls: function(source) {
            var promise = Promise.create();
            this._hls = new Hls();
            this._hls.on(Hls.Events.MEDIA_ATTACHED, function() {
                this._hls.loadSource(source.src);
                this._hls.on(Hls.Events.MANIFEST_PARSED, function(_, data) {
                    this._qualityOptions = data.levels.map(function(level, index) {
                        return {
                            id: index,
                            label: level.width + "x" + level.height + " (" + Math.round(level.bitrate / 1024) + " kbps)"
                        };
                    });
                    this._currentQuality = this._qualityOptions[this._hls.startLevel];
                    this._hls.on(Hls.Events.LEVEL_SWITCHED, function(_, data) {
                        this._currentQuality = this._qualityOptions[data.level];
                        this.trigger("qualityswitched", this._qualityOptions[data.level]);
                    }.bind(this));
                    this.on("setsourcequality", function(quality) {
                        this._hls.currentLevel = quality;
                    });
                    promise.asyncSuccess(true);
                }.bind(this));
            }.bind(this));
            this._hls.on(Hls.Events.ERROR, function(e, data) {
                var error;
                if (data.fatal) {
                    switch (data.type) {
                        case Hls.ErrorTypes.NETWORK_ERROR:
                            this._hls.startLoad();
                            error = "HLS Network Error";
                            break;
                        case Hls.ErrorTypes.MEDIA_ERROR:
                            this._hls.recoverMediaError();
                            error = "HLS Media Error";
                            break;
                        default:
                            this._hls.destroy();
                            error = "HLS Fatal Error";
                    }
                }
            }.bind(this));
            this._hls.attachMedia(this._element);
            return promise;
        }
    };
});

Scoped.define("module:Player.Support", ["base:Promise","base:Objs"], function(Promise, Objs) {
    return {

        resolutionToLabel: function(width, height) {
            if (height < 300)
                return "SD";
            if (height < 400)
                return "360p";
            if (height < 500)
                return "480p";
            return "HD";
        },

        elementFileInfo: function(elementType, elementEvent, elementAttrs, file) {
            try {
                var element = document.createElement(elementType);
                Objs.iter(elementAttrs, function(value, key) {
                    element[key] = value;
                });
                var promise = Promise.create();
                var failed = false;
                var timer = setTimeout(function() {
                    failed = true;
                    if (element.error != undefined) {
                        promise.asyncError(element.error);
                    } else {
                        promise.asyncError("Timeout");
                    }
                }, 1000);
                element[elementEvent] = function() {
                    if (failed)
                        return;
                    clearTimeout(timer);
                    promise.asyncSuccess(element);
                };
                element.src = (window.URL || window.webkitURL).createObjectURL(file);
                return promise;
            } catch (e) {
                return Promise.error(e);
            }
        },

        videoFileInfo: function(file) {
            return this.elementFileInfo("video", "onloadeddata", {
                volume: 0,
                muted: true,
                preload: true
            }, file).mapSuccess(function(video) {
                return {
                    width: video.videoWidth,
                    height: video.videoHeight,
                    duration: video.duration
                };
            }).mapError(function(error) {
                return error;
            });
        },

        audioFileInfo: function(file) {
            return this.elementFileInfo("audio", "onloadeddata", {
                volume: 0,
                muted: true,
                preload: true
            }, file).mapSuccess(function(audio) {
                return {
                    duration: audio.duration
                };
            });
        },

        imageFileInfo: function(file) {
            return this.elementFileInfo("img", "onload", {}, file).mapSuccess(function(image) {
                return {
                    width: image.width,
                    height: image.height
                };
            });
        }

    };
});

Scoped.define("module:Player.VideoPlayerWrapper", ["base:Classes.OptimisticConditionalInstance","base:Events.EventsMixin","base:MediaTypes","base:Types","base:Objs","base:Strings","browser:Events"], function(OptimisticConditionalInstance, EventsMixin, MediaTypes, Types, Objs, Strings, DomEvents, scoped) {
    return OptimisticConditionalInstance.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {

            constructor: function(options, transitionals) {
                inherited.constructor.call(this);
                options = Objs.extend(Objs.clone(options || {}, 1), transitionals);
                this._poster = options.poster || null;
                var sources = options.source || options.sources || [];
                if (Types.is_string(sources))
                    sources = sources.split(" ");
                else if (!Types.is_array(sources))
                    sources = [sources];
                this._onlyAudio = false;
                if (typeof options.onlyaudio !== 'undefined')
                    this._onlyAudio = options.onlyaudio;
                var sourcesMapped = [];
                Objs.iter(sources, function(source) {
                    if (Types.is_string(source))
                        source = {
                            src: source.trim()
                        };
                    else if (typeof Blob !== 'undefined' && source instanceof Blob)
                        source = {
                            src: source
                        };
                    if (source.ext && !source.type)
                        source.type = MediaTypes.getType(source.ext);
                    if (!source.ext && source.type)
                        source.ext = MediaTypes.getExtension(source.type);
                    if (!source.ext && !source.type && Types.is_string(source.src)) {
                        var temp = Strings.splitFirst(source.src, "?").head;
                        if (temp.indexOf(".") >= 0) {
                            source.ext = Strings.last_after(temp, ".");
                            source.type = MediaTypes.getType(source.ext);
                        }
                    }
                    if (source.ext)
                        source.ext = source.ext.toLowerCase();
                    if (source.type)
                        source.type = source.type.toLowerCase();
                    var audioSource = null;
                    if (typeof source.audiosrc !== 'undefined')
                        audioSource = source.audiosrc;
                    if (typeof Blob !== 'undefined' && source.src instanceof Blob)
                        source.src = (this._onlyAudio && audioSource) ?
                        (window.URL || window.webkitURL).createObjectURL(audioSource) :
                        (window.URL || window.webkitURL).createObjectURL(source.src);
                    if (typeof Blob !== 'undefined' && source.audiosrc instanceof Blob)
                        source.audiosrc = (window.URL || window.webkitURL).createObjectURL(source.audiosrc);
                    sourcesMapped.push(source);
                }, this);
                this._sources = sourcesMapped;
                this._element = options.element;
                this._preload = options.preload || false;
                this._reloadonplay = options.reloadonplay || false;
                this._options = options;
                this._loop = options.loop || false;
                this._fullscreenedElement = options.fullscreenedElement;
                this._preloadMetadata = options.loadmetadata || false;
                this._loaded = false;
                this._postererror = false;
                this._error = 0;
                this._domEvents = new DomEvents();
                this._broadcastingState = {
                    googleCastConnected: false,
                    airplayConnected: false
                };
            },

            destroy: function() {
                this._domEvents.destroy();
                inherited.destroy.call(this);
            },

            poster: function() {
                return this._poster;
            },

            sources: function() {
                return this._sources;
            },

            loaded: function() {
                return this._loaded;
            },

            postererror: function() {
                return this._postererror;
            },

            buffered: function() {},

            /**
             * @param {Event} ev
             * @private
             */
            _eventLoaded: function(ev) {
                this._loaded = true;
                this.trigger("loaded");
            },

            /**
             * @param {Event} ev
             * @private
             */
            _eventLoadedMetaData: function(ev) {
                this._hasMetadata = true;
                this.trigger("loadedmetadata", ev);
            },

            /**
             * @param {HTMLImageElement} image
             * @private
             */
            _eventPosterLoaded: function(image) {
                this.trigger("posterloaded", image);
            },


            _eventPlaying: function() {
                if (!this._loaded)
                    this._eventLoaded();
                this.trigger("playing");
            },

            _eventPaused: function() {
                if (this.duration() && this.duration() === this.position())
                    return;
                this.trigger("paused");
            },

            _eventEnded: function() {
                this.trigger("ended");
            },

            _eventError: function(error) {
                this._error = error;
                this.trigger("error", error);
            },

            _eventPosterError: function() {
                this._postererror = true;
                this.trigger("postererror");
            },

            supportsFullscreen: function() {
                return false;
            },

            duration: function() {
                return this._element.duration;
            },

            position: function() {
                return this._element.currentTime;
            },

            enterFullscreen: function() {},

            exitFullscreen: function() {},

            isFullscreen: function() {
                return false;
            },

            supportsPIP: function() {
                return false;
            },

            enterPIPMode: function() {},

            exitPIPMode: function() {},

            isInPIPMode: function() {
                return false;
            },

            error: function() {
                return this._error;
            },

            play: function() {
                if (this._reloadonplay) {
                    if (this._hls) this._hls.startLoad();
                    else this._element.load();
                }
                this._reloadonplay = false;
                try {
                    var result = this._element.play();
                    if (result['catch'])
                        result['catch'](function() {});
                } catch (e) {}
            },

            pause: function() {
                this._element.pause();
            },

            setPosition: function(position) {
                this._element.currentTime = position;
            },

            muted: function() {
                return this._element.muted;
            },

            setMuted: function(muted) {
                this._element.muted = muted;
            },

            volume: function() {
                return this._element.volume;
            },

            setVolume: function(volume) {
                this._element.volume = volume;
            },

            videoWidth: function() {},

            videoHeight: function() {},

            createSnapshotPromise: function(type) {}

        };
    }], {

        ERROR_NO_PLAYABLE_SOURCE: 1

    });
});

Scoped.define("module:Player.Html5VideoPlayerWrapper", ["module:HlsSupportMixin","module:Player.VideoPlayerWrapper","browser:Info","base:Promise","base:Objs","base:Timers.Timer","base:Strings","base:Async","browser:Dom","browser:Events"], function(HlsSupportMixin, VideoPlayerWrapper, Info, Promise, Objs, Timer, Strings, Async, Dom, DomEvents, scoped) {
    return VideoPlayerWrapper.extend({
        scoped: scoped
    }, [HlsSupportMixin, function(inherited) {
        return {

            _initialize: function() {
                if (this._options.nohtml5)
                    return Promise.error(true);
                if (this._sources.length < 1)
                    return Promise.error(true);
                if (Info.isInternetExplorer() && Info.internetExplorerVersion() < 9)
                    return Promise.error(true);
                var promise = Promise.create();
                this._element.innerHTML = "";
                var sources = this.sources();
                var blobSource = sources[0].src.indexOf("blob:") === 0 ? sources[0].src : false;
                var ie9 = (Info.isInternetExplorer() && Info.internetExplorerVersion() == 9) || Info.isWindowsPhone();
                if (this._element.tagName.toLowerCase() !== "video") {
                    this._element = Dom.changeTag(this._element, "video");
                    this._transitionals.element = this._element;
                } else if (ie9) {
                    var str = Strings.splitLast(this._element.outerHTML, "</video>").head;
                    Objs.iter(sources, function(source) {
                        str += "<source" + (source.type ? " type='" + source.type + "'" : "") + " src='" + source.src + "' />";
                    });
                    str += "</video>";
                    var replacement = Dom.elementByTemplate(str);
                    Dom.elementInsertAfter(replacement, this._element);
                    this._element.parentNode.removeChild(this._element);
                    this._element = replacement;
                    this._transitionals.element = this._element;
                }
                if (Info.isSafari() && Info.safariVersion() < 6) {
                    this._element.src = sources[0].src;
                    this._preload = true;
                }
                /*
                var loadevent = "loadedmetadata";
                if (Info.isSafari() && Info.safariVersion() < 9)
                	loadevent = "loadstart";
                	*/
                var loadevent = "loadstart";
                this._domEvents.on(this._element, "loadevent", function() {
                    if ( /*loadevent === "loadstart" && */ this._element.networkState === this._element.NETWORK_NO_SOURCE) {
                        promise.asyncError(true);
                        return;
                    }
                    promise.asyncSuccess(true);
                }, this);
                var nosourceCounter = 10;
                var timer = new Timer({
                    context: this,
                    fire: function() {
                        if (this._element.networkState === this._element.NETWORK_NO_SOURCE) {
                            nosourceCounter--;
                            if (nosourceCounter <= 0)
                                promise.asyncError(true);
                        } else if (this._element.networkState === this._element.NETWORK_IDLE)
                            promise.asyncSuccess(true);
                        else if (this._element.networkState === this._element.NETWORK_LOADING) {
                            if (Info.isEdge() || Info.isInternetExplorer())
                                promise.asyncSuccess(true);
                            else if (Info.isFirefox() && !!blobSource)
                                promise.asyncSuccess(true);
                        }
                    },
                    delay: 50
                });
                var _preloadOption = this._preloadMetadata ? "metadata" : "none";
                this._element.preload = this._preload ? "auto" : _preloadOption;
                // Replaced with ended -> play way, to be able get ended listener
                // Left here to inform don't do on this way in the future
                // if (this._loop)
                //     this._element.loop = "loop";
                var errorCount = 0;
                this._audioElement = null;
                var errorEvents = new DomEvents();
                if (blobSource) {
                    this._element.src = blobSource;
                } else if (!ie9) {
                    Objs.iter(sources, function(source) {
                        var sourceEl = document.createElement("source");
                        if (source.ext === "m3u8") {
                            if (this._hlsIsSupported()) {
                                this._loadHls(source).forwardSuccess(promise);
                                return;
                            }
                            if (!video.canPlayType(source.type)) return;
                        }
                        if (source.type)
                            sourceEl.type = source.type;
                        this._element.appendChild(sourceEl);
                        errorEvents.on(sourceEl, "error", function() {
                            errorCount++;
                            if (errorCount === sources.length)
                                promise.asyncError(true);
                        });
                        sourceEl.src = source.src;
                        if (source.audiosrc) {
                            if (!this._audioElement) {
                                this._audioElement = document.createElement("audio");
                                Dom.elementInsertAfter(this._audioElement, this._element);
                            }
                            var audioSourceEl = document.createElement("source");
                            if (source.type)
                                audioSourceEl.type = source.type;
                            this._audioElement.appendChild(audioSourceEl);
                            audioSourceEl.src = source.audiosrc;
                        }
                    }, this);
                } else {
                    var sourceEls = this._element.getElementsByTagName("SOURCE");
                    var cb = function() {
                        errorCount++;
                        if (errorCount === sources.length)
                            promise.asyncError(true);
                    };
                    for (var i = 0; i < sourceEls.length; ++i) {
                        errorEvents.on(sourceEls[i], "error", cb);
                    }
                }
                if (this.poster())
                    this._element.poster = this.posterURL();
                promise.callback(function() {
                    errorEvents.weakDestroy();
                    timer.destroy();
                }, this);
                promise.success(function() {
                    this._setup();
                }, this);
                try {
                    if (!Info.isChrome())
                        this._element.load();
                } catch (e) {}
                return promise;
            },

            posterURL: function() {
                var poster = this.poster();
                if (poster && typeof Blob !== 'undefined' && poster instanceof Blob)
                    return (window.URL || window.webkitURL).createObjectURL(poster);
                return poster;
            },

            destroy: function() {
                if (this._hls) this._hls.destroy();
                if (this._audioElement)
                    this._audioElement.remove();
                if (this.supportsFullscreen() && this.__fullscreenListener)
                    Dom.elementOffFullscreenChange(this._element, this.__fullscreenListener);
                if (this.supportsPIP() && this.__pipListener)
                    Dom.videoRemovePIPChangeListeners(this._element, this.__pipListener);
                if (!Info.isInternetExplorer() || Info.internetExplorerVersion() > 8)
                    this._element.innerHTML = "";
                inherited.destroy.call(this);
            },

            _eventEnded: function() {
                // As during loop we will play player after ended event fire, need initial cover will be hidden
                if (this._loop)
                    this.play();
                inherited._eventEnded.call(this);
            },

            _setup: function() {
                this._loaded = false;
                this._domEvents.on(this._element, "canplay", this._eventLoaded, this);
                this._domEvents.on(this._element, "loadedmetadata", this._eventLoadedMetaData, this);
                this._domEvents.on(this._element, "playing", this._eventPlaying, this);
                this._domEvents.on(this._element, "pause", this._eventPaused, this);
                this._domEvents.on(this._element, "ended", this._eventEnded, this);
                var self = this;
                var sourceEls = this._element.getElementsByTagName("SOURCE");
                var cb = function() {
                    this._eventError(this.cls.ERROR_NO_PLAYABLE_SOURCE);
                };
                for (var i = 0; i < sourceEls.length; ++i) {
                    this._domEvents.on(sourceEls[i], "error", cb, this);
                }
                if (this.poster()) {
                    var image = new Image();
                    image.onerror = function() {
                        delete self._element.poster;
                        delete self._element.preload;
                        self._eventPosterError();
                    };
                    image.src = this.posterURL();
                    image.onload = function() {
                        self.__imageWidth = image.width;
                        self.__imageHeight = image.height;
                        self._eventPosterLoaded(this);
                    };
                }
                if (Info.isSafari() && (Info.safariVersion() > 5 || Info.safariVersion() < 9)) {
                    if (this._element.networkState === this._element.NETWORK_LOADING) {
                        Async.eventually(function() {
                            if (!this.destroyed() && this._element.networkState === this._element.NETWORK_LOADING && this._element.buffered.length === 0)
                                this._eventError(this.cls.ERROR_NO_PLAYABLE_SOURCE);
                        }, this, 10000);
                    }
                }
                if (this.supportsFullscreen()) {
                    this.__videoClassBackup = "";
                    var fullscreenedElement = this._fullscreenedElement || this._element;
                    this.__fullscreenListener = Dom.elementOnFullscreenChange(fullscreenedElement, function(element, inFullscreen) {
                        this.trigger("fullscreen-change", inFullscreen);
                        if (inFullscreen) {
                            this.__videoClassBackup = this._element.className;
                            this._element.className = "";
                        } else {
                            this._element.className = this.__videoClassBackup;
                            this.__videoClassBackup = "";
                        }
                    }, this);
                }
                if (this.supportsPIP() && ('pictureInPictureElement' in document)) {
                    this.__pipListener = Dom.videoAddPIPChangeListeners(this._element, function(element, inPIPMode) {
                        this.trigger("pip-mode-change", element, inPIPMode);
                    }, this);
                }
            },

            buffered: function() {
                return this._element.buffered.end(0);
            },

            // Element argument or this._element.parent* has to be top layer (https://fullscreen.spec.whatwg.org/#top-layer)
            // The z-index property has no effect in the top layer.
            _fullscreenElement: function(element) {
                //fullscreen issue was present on Chromium based browsers. Could recreate on Iron and Chrome.
                if (Info.isChromiumBased() && !Info.isMobile()) {
                    return element || this._element.parentNode;
                }

                return Info.isFirefox() ?
                    element || this._element.parentElement :
                    element || this._element;
            },

            supportsFullscreen: function(element) {
                return Dom.elementSupportsFullscreen(this._fullscreenElement(element));
            },

            enterFullscreen: function(element) {
                Dom.elementEnterFullscreen(this._fullscreenElement(element));
            },

            exitFullscreen: function() {
                Dom.documentExitFullscreen();
            },

            isFullscreen: function(element) {
                return Dom.elementIsFullscreen(this._fullscreenElement(element));
            },
            supportsPIP: function() {
                return Dom.browserSupportsPIP(this._element);
            },

            enterPIPMode: function(element) {
                Dom.videoElementEnterPIPMode(this._element);
            },

            exitPIPMode: function() {
                Dom.videoElementExitPIPMode(this._element);
            },

            isInPIPMode: function() {
                return Dom.videoIsInPIPMode(this._element);
            },

            videoWidth: function() {
                return this._element.width || this.__imageWidth || NaN;
            },

            videoHeight: function() {
                return this._element.height || this.__imageHeight || NaN;
            },

            play: function() {
                inherited.play.call(this);
                if (this._audioElement) {
                    if (this._reloadonplay)
                        this._audioElement.load();
                    this._audioElement.play();
                }
            },

            pause: function() {
                this._element.pause();
                if (this._audioElement)
                    this._audioElement.pause();
            },

            setPosition: function(position) {
                this._element.currentTime = position;
                if (this._audioElement)
                    this._audioElement.currentTime = position;
            },

            setSpeed: function(speed) {
                if (speed < 0.5 && speed > 4.0) {
                    console.warn('Maximum allowed speed range is from 0.5 to 4.0');
                    return;
                }
                this._element.playbackRate = speed;
                if (this._audioElement)
                    this._audioElement.playbackRate = speed;
            },

            muted: function() {
                return (this._audioElement ? this._audioElement : this._element).muted;
            },

            setMuted: function(muted) {
                (this._audioElement ? this._audioElement : this._element).muted = muted;
            },

            volume: function() {
                return (this._audioElement ? this._audioElement : this._element).volume;
            },

            setVolume: function(volume) {
                (this._audioElement ? this._audioElement : this._element).volume = volume;
            },

            /**
             * Create snapshot of current frame.
             * @param {string} [type] - String representing the image format.
             * @return {Promise<Blob>}
             */
            createSnapshotPromise: function(type) {
                var video = this._element;
                var canvas = document.createElement('canvas');
                var context = canvas.getContext('2d');
                canvas.width = video.videoWidth;
                canvas.height = video.videoHeight;

                context.drawImage(video, 0, 0, canvas.width, canvas.height);

                function isCanvasBlank(canvas) {
                    var context = canvas.getContext('2d');

                    var pixelBuffer = new Uint32Array(
                        context.getImageData(0, 0, canvas.width, canvas.height).data.buffer
                    );

                    return !pixelBuffer.some(function(color) {
                        return color !== 0;
                    });
                }

                if (!isCanvasBlank(canvas)) {
                    var promise = Promise.create();
                    canvas.toBlob(function(blob) {
                        promise.asyncSuccess(blob);
                    }, type);
                    return promise;
                } else {
                    return Promise.error(true);
                }
            }

        };
    }]);
});

Scoped.extend("module:Player.VideoPlayerWrapper", ["module:Player.VideoPlayerWrapper","module:Player.Html5VideoPlayerWrapper"], function(VideoPlayerWrapper, Html5VideoPlayerWrapper) {
    VideoPlayerWrapper.register(Html5VideoPlayerWrapper, 2);
    return {};
});

Scoped.define("module:Recorder.PixelSampleMixin", [], function() {
    return {

        lightLevel: function(samples) {
            samples = samples || 100;
            var total_light = 0.0;
            this._pixelSample(samples, function(r, g, b) {
                total_light += r + g + b;
            });
            return total_light / (3 * samples);
        },

        blankLevel: function(samples) {
            samples = samples || 100;
            var total_light = 0.0;
            this._pixelSample(samples, function(r, g, b) {
                total_light += Math.pow(r, 2) + Math.pow(g, 2) + Math.pow(b, 2);
            });
            return Math.sqrt(total_light / (3 * samples));
        },

        _materializePixelSample: function(sample) {
            var result = [];
            this._pixelSample(sample, function(r, g, b) {
                result.push([r, g, b]);
            });
            return result;
        },

        deltaCoefficient: function(samples) {
            samples = samples || 100;
            var current = this._materializePixelSample(samples);
            if (!this.__deltaSample) {
                this.__deltaSample = current;
                return null;
            }
            var delta_total = 0.0;
            for (var i = 0; i < current.length; ++i)
                for (var j = 0; j < 3; ++j)
                    delta_total += Math.pow(current[i][j] - this.__deltaSample[i][j], 2);
            this.__deltaSample = current;
            return Math.sqrt(delta_total / (3 * samples));
        }

    };
});

Scoped.define("module:Recorder.VideoRecorderWrapper", ["base:Classes.ConditionalInstance","base:Events.EventsMixin","base:Objs","base:Promise"], function(ConditionalInstance, EventsMixin, Objs, Promise, scoped) {
    return ConditionalInstance.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {

            constructor: function(options) {
                inherited.constructor.call(this, options);
                this._element = this._options.element;
                this.ready = Promise.create();
            },

            destroy: function() {
                inherited.destroy.call(this);
            },

            bindMedia: function() {
                return this._bindMedia();
            },

            _bindMedia: function() {},

            unbindMedia: function() {
                return this._unbindMedia();
            },

            _unbindMedia: function() {},

            softwareDependencies: function() {
                return this._softwareDependencies();
            },

            _softwareDependencies: function() {},

            cameraWidth: function() {
                return this._options.recordingWidth;
            },

            cameraHeight: function() {
                return this._options.recordingHeight;
            },

            lightLevel: function() {},
            soundLevel: function() {},
            testSoundLevel: function(activate) {},
            blankLevel: function() {},
            deltaCoefficient: function() {},

            getVolumeGain: function() {},
            setVolumeGain: function(volumeGain) {},

            enumerateDevices: function() {},
            currentDevices: function() {},
            setCurrentDevices: function(devices) {},
            setCameraFace: function(faceFront) {},
            getCameraFacingMode: function() {},

            addMultiStream: function(device, options) {},
            updateMultiStreamPosition: function(x, y, w, h) {},
            reverseCameraScreens: function() {},

            createSnapshot: function() {},
            removeSnapshot: function(snapshot) {},
            createSnapshotDisplay: function(parent, snapshot, x, y, w, h) {},
            updateSnapshotDisplay: function(snapshot, display, x, y, w, h) {},
            removeSnapshotDisplay: function(display) {},
            createSnapshotUploader: function(snapshot, type, uploaderOptions) {},

            startRecord: function(options) {},
            pauseRecord: function() {},
            resumeRecord: function() {},
            stopRecord: function(options) {},

            errorHandler: function(error) {},

            isWebrtcStreaming: function() {
                return false;
            },

            canPause: function() {
                return false;
            },

            supportsLocalPlayback: function() {
                return false;
            },

            supportsCameraFace: function() {
                return false;
            },

            snapshotToLocalPoster: function(snapshot) {
                return null;
            },

            localPlaybackSource: function() {
                return null;
            },

            averageFrameRate: function() {
                return null;
            },

            recordDelay: function(opts) {
                return 0;
            }

        };
    }], {

        _initializeOptions: function(options) {
            return Objs.extend({
                recordingWidth: 640,
                recordingHeight: 480,
                recordVideo: true,
                recordAudio: true
            }, options);
        }

    });
});

Scoped.define("module:WebRTC.Support", ["base:Promise","base:Objs","browser:Info","browser:Dom","base:Time"], function(Promise, Objs, Info, Dom, Time) {
    return {

        canvasSupportsImageFormat: function(imageFormat) {
            try {
                var data = document.createElement('canvas').toDataURL(imageFormat);
                var headerIdx = data.indexOf(";");
                return data.substring(0, data.indexOf(";")).indexOf(imageFormat) != -1;
            } catch (e) {
                return false;
            }
        },

        getGlobals: function() {
            var getUserMedia = null;
            var getUserMediaCtx = null;

            if (navigator.mediaDevices && navigator.mediaDevices.getUserMedia) {
                getUserMedia = navigator.mediaDevices.getUserMedia;
                getUserMediaCtx = navigator.mediaDevices;
            } else {
                getUserMedia = navigator.getUserMedia || navigator.webkitGetUserMedia || navigator.mozGetUserMedia || navigator.msGetUserMedia;
                getUserMediaCtx = navigator;
            }

            var URL = window.URL || window.webkitURL;
            var MediaRecorder = window.MediaRecorder;
            var AudioContext = window.AudioContext || window.webkitAudioContext;
            if (AudioContext) {
                Dom.userInteraction(function() {
                    if (!this.__globals)
                        return;
                    this.__globals.audioContext = new AudioContext();
                }, this);
            }
            var RTCPeerConnection = window.RTCPeerConnection || window.mozRTCPeerConnection || window.webkitRTCPeerConnection;
            var RTCIceCandidate = window.RTCIceCandidate || window.mozRTCIceCandidate || window.webkitRTCIceCandidate;
            var RTCSessionDescription = window.RTCSessionDescription || window.mozRTCSessionDescription || window.webkitRTCSessionDescription;
            return {
                getUserMedia: getUserMedia,
                getUserMediaCtx: getUserMediaCtx,
                URL: URL,
                MediaRecorder: MediaRecorder,
                AudioContext: AudioContext,
                audioContextScriptProcessor: function() {
                    return (this.createScriptProcessor || this.createJavaScriptNode).apply(this, arguments);
                },
                webpSupport: this.canvasSupportsImageFormat("image/webp"),
                RTCPeerConnection: RTCPeerConnection,
                RTCIceCandidate: RTCIceCandidate,
                RTCSessionDescription: RTCSessionDescription,
                WebSocket: window.WebSocket,
                supportedConstraints: navigator.mediaDevices && navigator.mediaDevices.getSupportedConstraints ? navigator.mediaDevices.getSupportedConstraints() : {}
            };
        },

        globals: function() {
            if (!this.__globals)
                this.__globals = this.getGlobals();
            return this.__globals;
        },

        userMediaSupported: function() {
            return !!this.globals().getUserMedia;
        },

        enumerateMediaSources: function() {
            var promise = Promise.create();
            var promiseCallback = function(sources) {
                var result = {
                    audio: {},
                    audioCount: 0,
                    video: {},
                    videoCount: 0
                };
                Objs.iter(sources, function(source) {
                    // Capabilities method which will show more detailed information about device
                    // https://www.chromestatus.com/feature/5145556682801152 - Status of the feature
                    var _sourceCapabilities;
                    if (source.kind.indexOf("video") === 0) {
                        result.videoCount++;
                        if (typeof source.getCapabilities !== 'undefined')
                            _sourceCapabilities = source.getCapabilities();
                        result.video[source.id || source.deviceId] = {
                            id: source.id || source.deviceId,
                            label: source.label,
                            capabilities: _sourceCapabilities
                        };
                    }
                    if (source.kind.indexOf("audio") === 0) {
                        result.audioCount++;
                        if (typeof source.getCapabilities !== 'undefined')
                            _sourceCapabilities = source.getCapabilities();
                        result.audio[source.id || source.deviceId] = {
                            id: source.id || source.deviceId,
                            label: source.label,
                            capabilities: _sourceCapabilities
                        };
                    }
                });
                promise.asyncSuccess(result);
            };
            try {
                if (navigator.mediaDevices && navigator.mediaDevices.enumerateDevices)
                    navigator.mediaDevices.enumerateDevices().then(promiseCallback);
                else if (MediaStreamTrack && MediaStreamTrack.getSources)
                    MediaStreamTrack.getSources(promiseCallback);
                else
                    promise.asyncError("Unsupported");
            } catch (e) {
                promise.asyncError(e);
            }
            return promise;
        },

        streamQueryResolution: function(stream) {
            var promise = Promise.create();
            var video = this.bindStreamToVideo(stream);
            video.addEventListener("playing", function() {
                setTimeout(function() {
                    promise.asyncSuccess({
                        stream: stream,
                        width: video.videoWidth,
                        height: video.videoHeight
                    });
                    video.remove();
                }, 500);
            });
            return promise;
        },

        chromeExtensionMessage: function(extensionId, data) {
            var promise = Promise.create();
            chrome.runtime.sendMessage(extensionId, data, promise.asyncSuccessFunc());
            return promise;
        },

        chromeExtensionExtract: function(meta) {
            var result = {};
            if (Info.isChrome()) {
                result.extensionId = meta.chromeExtensionId;
                result.extensionInstallLink = meta.chromeExtensionInstallLink;
            } else if (Info.isOpera()) {
                result.extensionId = meta.operaExtensionId;
                result.extensionInstallLink = meta.operaExtensionInstallLink;
            }
            return result;
        },

        userMedia: function(options) {
            var promise = Promise.create();
            var result = this.globals().getUserMedia.call(this.globals().getUserMediaCtx, options, function(stream) {
                promise.asyncSuccess(stream);
            }, function(e) {
                promise.asyncError(e);
            });
            try {
                if (result.then) {
                    result.then(function(stream) {
                        promise.asyncSuccess(stream);
                    });
                }
                if (result["catch"]) {
                    result["catch"](function(e) {
                        promise.asyncError(e);
                    });
                }
            } catch (e) {}
            return promise;
        },

        /*
         * audio: {} | undefined
         * video: {} | undefined
         * 	  width, height, aspectRatio
         * screen: true | {chromeExtensionId, operaExtensionId} | false
         */
        userMedia2: function(options) {
            var opts = {};
            var promise;
            if (options.audio)
                opts.audio = options.audio;
            if (options.screen && !options.video)
                options.video = {};
            if (!options.video)
                return this.userMedia(opts);
            if (options.screen) {
                options.video.width = options.video.width || window.innerWidth || document.body.clientWidth;
                options.video.height = options.video.height || window.innerHeight || document.body.clientHeight;
            }
            if (Info.isiOS()) {
                opts.video = {};
                if (options.video.width)
                    opts.video.width = options.video.width;
                if (options.video.height)
                    opts.video.height = options.video.height;
                if (options.video.frameRate)
                    opts.video.frameRate = options.video.frameRate;
                if (options.video.cameraFaceFront !== undefined)
                    opts.video.facingMode = {
                        exact: options.video.cameraFaceFront ? "user" : "environment"
                    };
                return this.userMedia(opts);
            } else if (options.screen && typeof navigator.mediaDevices.getDisplayMedia !== 'undefined') {
                /**
                 * https://w3c.github.io/mediacapture-screen-share/#constrainable-properties-for-captured-display-surfaces
                 * partial interface MediaDevices {
                 *    Promise<MediaStream> getDisplayMedea(optional DisplayMediaStreamConstraints constraints = {});
                 * };
                 * enum DisplayCaptureSurfaceType { "monitor", "window", "application", "browser"};
                 * enum CursorCaptureConstraint { "never", "always", "motion" };
                 */
                promise = Promise.create();
                var _self = this;
                var audio = typeof options.audio === 'boolean' ? options.audio : true;
                if (typeof options.video.resizeMode === 'undefined')
                    options.video.resizeMode = 'none';
                var videoOptions = {
                    cursor: 'motion',
                    resizeMode: options.video.resizeMode,
                    displaySurface: 'application'
                };
                if (parseInt(options.video.width, 10) > 0) {
                    videoOptions.width = parseInt(options.video.width, 10);
                }
                if (parseInt(options.video.height, 10) > 0) {
                    videoOptions.height = parseInt(options.video.height, 10);
                }
                var displayMediaPromise = navigator.mediaDevices.getDisplayMedia({
                    video: videoOptions,
                    audio: audio
                });
                displayMediaPromise.then(function(videoStream) {
                    if (videoStream.getAudioTracks().length < 1 && audio) {
                        _self.userMedia({
                                video: false,
                                audio: true
                            })
                            .mapError(function(err) {
                                promise.asyncSuccess(videoStream);
                            })
                            .mapSuccess(function(audioStream) {
                                promise.asyncSuccess(new MediaStream([videoStream.getTracks()[0], audioStream.getAudioTracks()[0]]));
                            });
                    } else {
                        promise.asyncSuccess(videoStream);
                    }
                });

                // Declaring catch this way will fix IE8 related `SCRIPT1010: Expected identifier`
                displayMediaPromise['catch'](function(err) {
                    promise.asyncError(err);
                });
                return promise;
            } else if (Info.isFirefox()) {
                opts.video = {};
                if (options.screen) {
                    opts.video.mediaSource = "screen";
                    if (!navigator.mediaDevices || !navigator.mediaDevices.getSupportedConstraints || !navigator.mediaDevices.getSupportedConstraints().mediaSource)
                        return Promise.error("This browser does not support screen recording.");
                }
                if (options.video.aspectRatio && !(options.video.width && options.video.height)) {
                    if (options.video.width)
                        options.video.height = Math.round(options.video.width / options.video.aspectRatio);
                    else if (options.video.height)
                        options.video.width = Math.round(options.video.height * options.video.aspectRatio);
                }
                if (options.video.width) {
                    opts.video.width = {
                        ideal: options.video.width
                    };
                }
                if (options.video.height) {
                    opts.video.height = {
                        ideal: options.video.height
                    };
                }
                if (options.video.frameRate) {
                    opts.video.frameRate = {
                        ideal: options.video.frameRate
                    };
                }
                if (options.video.sourceId) {
                    opts.video.sourceId = options.video.sourceId;
                    // Will fix change camera on FF
                    opts.video.deviceId = {
                        exact: options.video.sourceId
                    };
                }
                if (options.video.cameraFaceFront !== undefined && Info.isMobile())
                    opts.video.facingMode = {
                        exact: options.video.cameraFaceFront ? "user" : "environment"
                    };
                return this.userMedia(opts);
            } else if (Info.isEdge() && options.screen) {
                if (navigator.getDisplayMedia) {
                    promise = Promise.create();
                    var pr = navigator.getDisplayMedia({
                        video: true
                    });
                    pr.then(promise.asyncSuccessFunc());
                    pr['catch'](promise.asyncErrorFunc());
                    return promise;
                } else
                    return Promise.error("This browser does not support screen recording.");
            } else {
                if (Info.isAndroid()) {
                    opts.video = {};
                } else {
                    opts.video = {
                        mandatory: {}
                    };
                }
                // Will fix camera selection on change
                if (Info.isSafari()) {
                    if (options.video.sourceId) {
                        opts.video.sourceId = options.video.sourceId;
                        opts.video.deviceId = {
                            exact: options.video.sourceId
                        };
                    }
                }
                var as = options.video.aspectRatio ? options.video.aspectRatio : (options.video.width && options.video.height ? options.video.width / options.video.height : null);
                if (typeof opts.video.mandatory !== 'undefined') {
                    if (options.video.width) {
                        opts.video.mandatory.minWidth = options.video.width;
                        opts.video.mandatory.maxWidth = options.video.width;
                    }

                    if (!options.video.width && options.video.height) {
                        opts.video.mandatory.minHeight = options.video.height;
                        opts.video.mandatory.maxHeight = options.video.height;
                    }

                    if (options.video.frameRate) {
                        opts.video.mandatory.minFrameRate = options.video.frameRate;
                        opts.video.mandatory.maxFrameRate = options.video.frameRate;
                    }

                    if (options.video.sourceId)
                        opts.video.mandatory.sourceId = options.video.sourceId;
                } else {
                    // We cannot use Mandatory and normal constraints like facingMode together for Chrome
                    // but Safari also supports it
                    if (options.video.cameraFaceFront !== undefined && Info.isMobile()) {
                        // The { exact: } syntax means the constraint is required, and things fail if the user doesn't have the right camera.
                        // If you leave it out then the constraint is optional, which in Firefox for Android means it only changes the default
                        // in the camera chooser in the permission prompt.
                        opts.video.facingMode = {
                            exact: options.video.cameraFaceFront ? "user" : "environment"
                        };
                    }

                    // dictionary MediaTrackConstraintSet
                    // https://w3c.github.io/mediacapture-main/getusermedia.html#media-track-constraints
                    if (options.video.width) {
                        opts.video.width = options.video.width;
                    }

                    if (!options.video.width && options.video.height) {
                        opts.video.height = options.video.height;
                    }

                    if (options.video.frameRate) {
                        opts.video.frameRate = options.video.frameRate;
                    }

                    if (options.video.sourceId)
                        // TODO: test it just in case
                        opts.video.deviceId = options.video.sourceId;
                }
                if (as) {
                    if (typeof opts.video.mandatory !== 'undefined') {
                        opts.video.mandatory.minAspectRatio = as;
                        opts.video.mandatory.maxAspectRatio = as;
                    } else {
                        if (!options.video.aspectRatio)
                            opts.video.aspectRatio = as;
                    }
                }
                var probe = function(count) {
                    var mandatory = typeof opts.video.mandatory !== 'undefined' ? opts.video.mandatory : opts.video;
                    return this.userMedia(opts).mapError(function(e) {
                        count--;
                        if (e.name !== "ConstraintNotSatisfiedError" && e.name !== "OverconstrainedError")
                            return e;
                        var c = (e.constraintName || e.constraint).toLowerCase();
                        Objs.iter(mandatory, function(value, key) {
                            var lkey = key.toLowerCase();
                            if (lkey.indexOf(c) >= 0) {
                                var flt = lkey.indexOf("aspect") > 0;
                                var d = lkey.indexOf("min") === 0 ? -1 : 1;
                                var u = Math.max(0, mandatory[key] * (1.0 + d / 10));
                                mandatory[key] = flt ? u : Math.round(u);
                                if (count < 0) {
                                    delete mandatory[key];
                                    count = 100;
                                }
                            }
                        }, this);
                        return probe.call(this, count);
                    }, this);
                };
                if (options.screen) {
                    var extensionId = this.chromeExtensionExtract(options.screen).extensionId;
                    if (!extensionId)
                        return Promise.error("This browser does not support screen recording.");
                    var pingTest = Time.now();
                    return this.chromeExtensionMessage(extensionId, {
                        type: "ping",
                        data: pingTest
                    }).mapSuccess(function(pingResponse) {
                        promise = Promise.create();
                        if (!pingResponse || pingResponse.type !== "success" || pingResponse.data !== pingTest)
                            return Promise.error("This browser does not support screen recording.");
                        else
                            promise.asyncSuccess(true);
                        return promise.mapSuccess(function() {
                            return this.chromeExtensionMessage(extensionId, {
                                type: "acquire",
                                sources: ['window', 'screen', 'tab'],
                                url: window.self !== window.top ? window.location.href : null // if recorder is inside of iframe
                            }).mapSuccess(function(acquireResponse) {
                                if (!acquireResponse || acquireResponse.type !== 'success')
                                    return Promise.error("Could not acquire permission to access screen.");
                                opts.video.mandatory.chromeMediaSource = 'desktop';
                                opts.video.mandatory.chromeMediaSourceId = acquireResponse.streamId;
                                delete opts.audio;
                                return probe.call(this, 100).mapSuccess(function(videoStream) {
                                    return !options.audio ? videoStream : this.userMedia({
                                        audio: true
                                    }).mapError(function() {
                                        return Promise.value(videoStream);
                                    }).mapSuccess(function(audioStream) {
                                        try {
                                            return new MediaStream([videoStream.getVideoTracks()[0], audioStream.getAudioTracks()[0]]);
                                        } catch (e) {
                                            return videoStream;
                                        }
                                    });
                                }, this);
                            }, this);
                        }, this);
                    }, this);
                }
                return probe.call(this, 100);
            }
        },

        /**
         * @param {MediaStream} stream
         * @param {Array} sourceTracks
         */
        stopUserMediaStream: function(stream, sourceTracks) {
            var stopped = false;
            try {
                if (stream.getTracks) {
                    stream.getTracks().forEach(function(track) {
                        track.stop();
                        stopped = true;
                    });
                }
                // In multi stream above stream contains newly generated canvas stream
                // but missing source streams which generated that canvas stream
                // So, we have to stop them also
                if (sourceTracks.length > 0) {
                    Objs.iter(sourceTracks, function(track) {
                        track.stop();
                        stopped = true;
                    }, this);
                }
            } catch (e) {}
            try {
                if (!stopped && stream.stop)
                    stream.stop();
            } catch (e) {}
        },

        bindStreamToVideo: function(stream, video, flip) {
            if (!video)
                video = document.createElement("video");
            video.volume = 0;
            video.muted = true;
            if ('mozSrcObject' in video)
                video.mozSrcObject = stream;
            else if ('srcObject' in video)
                video.srcObject = stream;
            else
                video.src = this.globals().URL.createObjectURL(stream);
            if (flip) {
                video.style["-moz-transform"] = "scale(-1, 1)";
                video.style["-webkit-transform"] = "scale(-1, 1)";
                video.style["-o-transform"] = "scale(-1, 1)";
                video.style.transform = "scale(-1, 1)";
                video.style.filter = "FlipH";
            } else {
                delete video.style["-moz-transform"];
                delete video.style["-webkit-transform"];
                delete video.style["-o-transform"];
                delete video.style.transform;
                delete video.style.filter;
            }
            video.autoplay = true;
            video.play();
            return video;
        },

        dataURItoBlob: function(dataURI) {
            // If dataURI is empty return empty
            if (dataURI === '') return;
            // convert base64 to raw binary data held in a string
            var byteString = atob(dataURI.split(',')[1]);

            // separate out the mime component
            var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

            // write the bytes of the string to an ArrayBuffer
            var arrayBuffer = new ArrayBuffer(byteString.length);
            var _ia = new Uint8Array(arrayBuffer);
            for (var i = 0; i < byteString.length; i++)
                _ia[i] = byteString.charCodeAt(i);
            var dataView = new DataView(arrayBuffer);
            var blob = new Blob([dataView], {
                type: mimeString
            });
            return blob;
        },

        errorHandler: function(err) {
            switch (err) {
                case 'NotReadableError':
                case 'TrackStartError':
                    return {
                        key: 'device-already-in-use',
                            message: 'Web camera or microphone are already in use',
                            userLevel: true
                    };
                case 'NotFoundError':
                case 'DevicesNotFoundError':
                    return {
                        key: 'missing-track',
                            message: 'Required audio or video track is missing',
                            userLevel: true
                    };
                case 'OverconstrainedError':
                case 'ConstraintNotSatisfiedError':
                    return {
                        key: 'constrains-error',
                            message: 'Constraints can not be satisfied by available devices',
                            userLevel: false
                    };
                case 'NotAllowedError':
                case 'PermissionDeniedError':
                    return {
                        key: 'browser-permission-denied',
                            message: 'Permission denied by browser, please grant access to proceed',
                            userLevel: true
                    };
                case 'TypeError':
                    return {
                        key: 'empty-constraints',
                            message: 'Empty constraints object',
                            userLevel: false
                    };
                default:
                    return {
                        key: 'unknown-error',
                            message: 'Unknown Error',
                            userLevel: false
                    };
            }
        }
    };
});

Scoped.define("module:Recorder.Support", ["module:WebRTC.Support","browser:Upload.FileUploader","browser:Upload.CustomUploader","browser:Dom","browser:Events","browser:Info","base:Promise","base:Objs"], function(Support, FileUploader, CustomUploader, Dom, Events, Info, Promise, Objs) {
    return {

        /**
         *
         * @param {string} type
         * @param {HTMLVideoElement} video
         * @param {boolean} isUploader
         * @param {int|undefined} h
         * @param {int|undefined} w
         * @param {int|undefined} x
         * @param {int|undefined} y
         * @param {int|undefined} quality
         * @return {Data URL}
         */
        createSnapshot: function(type, video, isUploader, h, w, x, y, quality) {
            var _data = this._createSnapshot(type, video, isUploader, h, w, x, y, quality);
            return _data ? Support.dataURItoBlob(_data) : _data;
        },

        /**
         * 
         * @param {string} videoSource
         * @param {string} [type]
         * @param {string} [time=0]
         * @param {boolean} [isUploader]
         * @param {int} [h]
         * @param {int} [w]
         * @param {int} [x]
         * @param {int} [quality]
         * @return {Promise<Blob>}
         */
        createSnapshotFromSource: function(videoSource, type, time, isUploader, h, w, x, y, quality) {
            var promise = Promise.create();
            var video = document.createElement("video");
            video.src = videoSource;

            var events = new Events();

            events.on(video, "loadedmetadata", function() {
                video.currentTime = time || 0;
            });

            events.on(video, "seeked", function() {
                window.requestAnimationFrame(function() {
                    window.requestAnimationFrame(function() {
                        var snapshot = this.createSnapshot(type, video, isUploader, h, w, x, y, quality);
                        if (snapshot) {
                            promise.asyncSuccess(snapshot);
                        } else {
                            promise.asyncError("Could not capture snapshot");
                        }
                    }.bind(this));
                }.bind(this));
                events.destroy();
            }, this);

            events.on(video, "error", function() {
                promise.asyncError("Could not load video to capture snapshot");
                events.destroy();
            });

            video.load();

            return promise;
        },

        /**
         *
         * @param {string} type
         * @param {HTMLVideoElement} video
         * @param {boolean} isUploader
         * @param {int|undefined} h
         * @param {int|undefined} w
         * @param {int|undefined} x
         * @param {int|undefined} y
         * @param {int|undefined} quality
         * @return {Data URL}
         */
        _createSnapshot: function(type, video, isUploader, h, w, x, y, quality) {
            x = x || 0;
            y = y || 0;
            quality = quality || 1.0;
            isUploader = isUploader || false;
            var canvas = document.createElement('canvas');
            canvas.width = w || (video.videoWidth || video.clientWidth);
            canvas.height = h || (video.videoHeight || video.clientHeight);
            var ratio = +(canvas.width / canvas.height);
            var orientation = ratio > 1.00 ? 'landscape' : 'portrait';
            var _isWebKit = (Info.isSafari() || (Info.isMobile() && Info.isiOS()));
            var _rotationRequired = (orientation === 'portrait') && isUploader && (Info.isFirefox() || _isWebKit);
            var context = canvas.getContext('2d');

            if (_rotationRequired && this.__detectVerticalSquash(video, canvas.width, canvas.height) !== 1) {
                this.__rotateToPortrait(video, canvas, context);
            }
            // Seems Safari Was fixed Canvas draw related bug which were existed before
            // else if (_isWebKit && orientation === 'portrait') {
            //     context.drawImage(video, 0, -canvas.width, canvas.height, canvas.width); }
            else {
                context.drawImage(video, x, y, canvas.width, canvas.height);
            }

            var data = canvas.toDataURL(type, quality);

            if (!this.__isCanvasBlank(canvas))
                return data;
            else
                return null;
        },

        /**
         *
         * @param {HTMLMediaElement} video
         * @param {HTMLCanvasElement} canvas
         * @param {CanvasRenderingContext2D} ctx
         * @private
         */
        __rotateToPortrait: function(video, canvas, ctx) {
            var diff = Math.abs(canvas.height - canvas.width);
            var maxSize = canvas.width > canvas.height ? canvas.width : canvas.height;
            canvas.height = canvas.width = maxSize;
            ctx.drawImage(video, 0, 0, canvas.height, canvas.width);
            ctx.clearRect(0, 0, canvas.width, canvas.height);
            ctx.save();
            canvas.width -= diff;
            ctx.translate(canvas.width / 2, canvas.height / 2);
            ctx.rotate(90 * (Math.PI / 180));
            if (Info.isFirefox())
                ctx.drawImage(video, -canvas.height / 2, -canvas.width / 2, canvas.height, canvas.width);
            else
                ctx.drawImage(video, -canvas.height / 2, -canvas.width / 2, canvas.height, canvas.width + diff);
            ctx.restore();
        },

        /**
         * Check if snapshot image is blank image
         *
         * @param canvas
         * @return {boolean}
         * @private
         */
        __isCanvasBlank: function(canvas) {
            return !canvas.getContext('2d')
                .getImageData(0, 0, canvas.width, canvas.height).data
                .some(function(channel) {
                    return channel !== 0;
                });
        },

        /**
         * Detecting vertical squash in loaded image.
         * Fixes a bug which squash image vertically while drawing into canvas for some images.
         * This is a bug in iOS6 devices. This function from https://github.com/stomita/ios-imagefile-megapixel
         *
         */
        __detectVerticalSquash: function(media, w, h) {
            var iw = w || (media.naturalWidth || media.width),
                ih = h || (media.naturalHeight || media.height);
            var canvas = document.createElement('canvas');
            canvas.width = 1;
            canvas.height = ih;
            var ctx = canvas.getContext('2d');
            ctx.drawImage(media, 0, 0);
            var data = ctx.getImageData(0, 0, 1, ih).data;
            // search image edge pixel position in case it is squashed vertically.
            var sy = 0;
            var ey = ih;
            var py = ih;
            while (py > sy) {
                var alpha = data[(py - 1) * 4 + 3];
                if (alpha === 0) {
                    ey = py;
                } else {
                    sy = py;
                }
                py = (ey + sy) >> 1;
            }
            var ratio = (py / ih);
            return (ratio === 0) ? 1 : ratio;
        },

        removeSnapshot: function(snapshot) {},

        /**
         *
         * @param {HTMLImageElement} image
         */
        removeSnapshotDisplay: function(image) {
            image.remove();
        },

        /**
         *
         * @param {HTMLElement} parent
         * @param {Data URL} snapshot
         * @param {int} x
         * @param {int} y
         * @param {int} w
         * @param {int} h
         * @return {HTMLImageElement}
         */
        createSnapshotDisplay: function(parent, snapshot, x, y, w, h) {
            var url = Support.globals().URL.createObjectURL(snapshot);
            var image = document.createElement("img");
            image.style.position = "absolute";
            this.updateSnapshotDisplay(snapshot, image, x, y, w, h);
            image.src = url;
            if (parent.tagName.toLowerCase() === "video")
                Dom.elementInsertAfter(image, parent);
            else
                Dom.elementPrependChild(parent, image);
            return image;
        },

        /**
         *
         * @param {Data URL} snapshot
         * @return {Promise}
         */
        snapshotMetaData: function(snapshot) {
            var promise = Promise.create();
            var url = Support.globals().URL.createObjectURL(snapshot);
            var image = new Image();
            image.src = url;

            image.onload = function(ev) {
                var _imgHeight = image.naturalHeight || image.height;
                var _imgWidth = image.naturalWidth || image.width;
                var _ratio = +(_imgWidth / _imgHeight).toFixed(2);

                promise.asyncSuccess({
                    width: _imgWidth,
                    height: _imgHeight,
                    orientation: _ratio > 1.00 ? 'landscape' : 'portrait',
                    ratio: _ratio
                });
            };

            return promise;
        },

        /**
         * @param {Data URL} snapshot
         * @param {HTMLImageElement} image
         * @param {int} x
         * @param {int} y
         * @param {int} w
         * @param {int} h
         * @private
         * @return {void}
         */
        updateSnapshotDisplay: function(snapshot, image, x, y, w, h) {
            image.style.left = x + "px";
            image.style.top = y + "px";
            image.style.width = w + "px";
            image.style.height = h + "px";
        },

        /**
         * @param {URI} snapshot
         * @param {string} type
         * @param {Object} uploaderOptions
         * @return {*}
         */
        createSnapshotUploader: function(snapshot, type, uploaderOptions) {
            return FileUploader.create(Objs.extend({
                source: snapshot
            }, uploaderOptions));
        }
    };
});

Scoped.define("module:WebRTC.AudioAnalyser", ["base:Class","browser:Info","module:WebRTC.Support"], function(Class, Info, Support, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(stream) {
                inherited.constructor.call(this);
                /*
                var AudioContext = Support.globals().AudioContext;
                this._audioContext = new AudioContext();
                */
                this._audioContext = Support.globals().audioContext;
                this._analyserNode = this._audioContext.createAnalyser.call(this._audioContext);
                this._analyserNode.fftSize = 32;
                if (stream.getAudioTracks().length > 0) {
                    this._audioInput = this._audioContext.createMediaStreamSource(stream);
                    this._audioInput.connect(this._analyserNode);
                }
            },

            destroy: function() {
                this._analyserNode.disconnect();
                delete this._analyserNode;
                //this._audioContext.close();
                //delete this._audioContext;
                inherited.destroy.call(this);
            },

            soundLevel: function() {
                if (!this._audioInput)
                    return 0.0;
                var bufferLength = this._analyserNode.fftSize;
                var dataArray = new Uint8Array(bufferLength);
                this._analyserNode.getByteTimeDomainData(dataArray);
                var mx = 0.0;
                for (var i = 0; i < bufferLength; i++)
                    mx = Math.max(mx, Math.abs(dataArray[i] / 128.0));
                // Seems Firefox in Mobile not supports this testing way
                // getByteFrequencyData && getFloatTimeDomainData also tested with no success
                return !(Info.isMobile() && (Info.isFirefox() || Info.isAndroid())) ? mx : mx + 0.1;
            }

        };
    }, {

        supported: function() {
            // It works on iOS and on Safari, but it takes over the audio from the stream indefinitely
            return !!Support.globals().AudioContext && !!Support.globals().audioContext && !Info.isSafari() && !Info.isiOS();
        }

    });
});

Scoped.define("module:WebRTC.AudioRecorder", ["base:Class","base:Events.EventsMixin","base:Objs","base:Promise","base:Functions","module:WebRTC.Support","module:Encoding.WaveEncoder.Support"], function(Class, EventsMixin, Objs, Promise, Functions, Support, WaveEncoder, scoped) {
    return Class.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {

            constructor: function(stream, options) {
                inherited.constructor.call(this);
                this._channels = [];
                this._recordingLength = 0;
                this._options = Objs.extend({
                    audioChannels: 2,
                    bufferSize: 16384,
                    sampleRate: 44100
                }, options);
                this._stream = stream;
                this._started = false;
                this._stopped = false;
                this._volumeGainValue = 1.0;
                //this.__initializeContext();
            },

            _audioProcess: function(e) {
                if (!this._started)
                    return;
                this._channels.push(WaveEncoder.dumpInputBuffer(e.inputBuffer, this._options.audioChannels, this._actualBufferSize));
                this._recordingLength += this._actualBufferSize;
                /*
                var sampleStartTime = e.playbackTime;
                var sampleStopTime = e.playbackTime + this._actualBufferSize / this._actualSampleRate;
                //var sampleStopTime = e.playbackTime;
                //var sampleStartTime = e.playbackTime - this._actualBufferSize / this._actualSampleRate;
                if (sampleStopTime <= this._startContextTime)
                	return;
                if (this._stopped && sampleStartTime > this._stopContextTime) {
                	this._started = false;
                	this._generateData();
                	return;
                }
                var offset = 0;
                var endOffset = this._actualBufferSize;
                if (sampleStartTime < this._startContextTime)
                	offset = Math.round((this._startContextTime - sampleStartTime) * this._actualSampleRate);
                if (this._stopped && sampleStopTime > this._stopContextTime)
                	endOffset = Math.round((this._stopContextTime - sampleStartTime) * this._actualSampleRate);
                this._channels.push(WaveEncoder.dumpInputBuffer(e.inputBuffer, this._options.audioChannels, endOffset, offset));
                this._recordingLength += endOffset - offset;
                if (this._stopped && sampleStopTime > this._stopContextTime) {
                	this._started = false;
                	this._generateData();
                	return;
                }
                */
            },

            destroy: function() {
                this.stop();
                //this.__finalizeContext();
                inherited.destroy.call(this);
            },

            getVolumeGain: function() {
                return this._volumeGainValue;
            },

            setVolumeGain: function(volumeGain) {
                this._volumeGainValue = volumeGain;
                if (this._volumeGain)
                    this._volumeGain.value.gain = volumeGain;
            },

            __initializeContext: function() {
                var AudioContext = Support.globals().AudioContext;
                this._audioContext = new AudioContext();
                this._actualSampleRate = this._audioContext.sampleRate || this._options.sampleRate;
                this._volumeGain = this._audioContext.createGain();
                this._volumeGain.gain.value = this._volumeGainValue;
                this._audioInput = this._audioContext.createMediaStreamSource(this._stream);
                this._audioInput.connect(this._volumeGain);
                this._scriptProcessor = Support.globals().audioContextScriptProcessor.call(
                    this._audioContext,
                    this._options.bufferSize,
                    this._options.audioChannels,
                    this._options.audioChannels
                );
                this._actualBufferSize = this._scriptProcessor.bufferSize;
                this._scriptProcessor.onaudioprocess = Functions.as_method(this._audioProcess, this);
                this._volumeGain.connect(this._scriptProcessor);
                this._scriptProcessor.connect(this._audioContext.destination);
            },

            __finalizeContext: function() {
                this._scriptProcessor.disconnect();
                this._volumeGain.disconnect();
                this._audioInput.disconnect();
                this._scriptProcessor.onaudioprocess = null;
                this._audioContext.close();
                delete this._scriptProcessor;
                delete this._volumeGain;
                delete this._audioInput;
                delete this._audioContext;
            },

            start: function() {
                if (this._started)
                    return Promise.value(true);
                this.__initializeContext();
                this._startContextTime = this._audioContext.currentTime;
                this._started = true;
                this._stopped = false;
                this._recordingLength = 0;
                this._channels = [];
                this.trigger("started");
                return Promise.value(true);
            },

            stop: function() {
                if (!this._started || this._stopped)
                    return;
                this._stopContextTime = this._audioContext.currentTime;
                this._stopped = true;
                this.trigger("stopped");
                this.__finalizeContext();
                this._started = false;
                this._generateData();
            },

            _generateData: function() {
                var volume = 1;
                var index = 44;
                var totalSize = this._recordingLength * this._options.audioChannels * 2 + 44;
                var buffer = new ArrayBuffer(totalSize);
                var view = new DataView(buffer);
                WaveEncoder.generateHeader(totalSize, this._options.audioChannels, this._actualSampleRate, buffer);
                this._channels.forEach(function(channel) {
                    WaveEncoder.waveChannelTransform(channel, volume).value().forEach(function(v) {
                        view.setInt16(index, v, true);
                        index += 2;
                    });
                });
                this._data = new Blob([view], {
                    type: 'audio/wav'
                });
                this._recordingLength = 0;
                this.trigger("data", this._data);
            }

        };
    }], {

        supported: function() {
            return !!Support.globals().AudioContext;
        }

    });
});

Scoped.define("module:WebRTC.MediaRecorder", ["base:Class","base:Events.EventsMixin","base:Functions","base:Promise","browser:Info","module:WebRTC.Support","base:Async"], function(Class, EventsMixin, Functions, Promise, Info, Support, Async, scoped) {
    return Class.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {

            constructor: function(stream, options) {
                options = options || {};
                inherited.constructor.call(this);
                this._stream = stream;
                this._started = false;
                var MediaRecorder = Support.globals().MediaRecorder;
                /*
                 * This is supposed to work according to the docs, but it is not:
                 *
                 * https://developer.mozilla.org/en-US/docs/Web/API/MediaRecorder/MediaRecorder#Example
                 */
                var mediaRecorderOptions = {
                    mimeType: ""
                };
                //mediaRecorderOptions.mimeType = "video/mp4";
                try {
                    if (options.audioonly) {
                        if (MediaRecorder.isTypeSupported('audio/mp3')) {
                            mediaRecorderOptions = {
                                mimeType: 'audio/mp3'
                            };
                        } else if (MediaRecorder.isTypeSupported('audio/ogg;codecs=opus')) {
                            mediaRecorderOptions = {
                                mimeType: 'audio/ogg;codecs=opus'
                            };
                        }
                    } else {
                        if (typeof MediaRecorder.isTypeSupported === "undefined") {
                            mediaRecorderOptions = {
                                mimeType: 'video/webm'
                            };
                        } else if (MediaRecorder.isTypeSupported('video/webm;codecs=vp9') && !options.cpuFriendly) {
                            mediaRecorderOptions = {
                                mimeType: 'video/webm;codecs=vp9'
                            };
                        } else if (MediaRecorder.isTypeSupported('video/webm;codecs=vp8')) {
                            // https://bugzilla.mozilla.org/show_bug.cgi?id=1594466
                            // firefox71 + fixed
                            mediaRecorderOptions = {
                                mimeType: 'video/webm;codecs=vp8' + (Info.isFirefox() && Info.firefoxVersion() >= 71 ? ",opus" : "")
                            };
                        } else if (MediaRecorder.isTypeSupported('video/webm')) {
                            mediaRecorderOptions = {
                                mimeType: 'video/webm'
                            };
                        } else if (MediaRecorder.isTypeSupported('video/webm;codecs=vp9')) {
                            // In case if therefore no option will proceed with cpuFriendly as false
                            mediaRecorderOptions = {
                                mimeType: 'video/webm;codecs=vp9'
                            };
                        } else if (MediaRecorder.isTypeSupported('video/mp4')) {
                            // Safari should support webm format after macOS Big Sur 11.3
                            mediaRecorderOptions = {
                                mimeType: 'video/mp4'
                            };
                        }
                    }
                } catch (e) {
                    mediaRecorderOptions = {};
                }
                if (options.videoBitrate)
                    mediaRecorderOptions.videoBitsPerSecond = options.videoBitrate * 1000;
                if (options.audioBitrate)
                    mediaRecorderOptions.audioBitsPerSecond = options.audioBitrate * 1000;
                this.__audioonly = options.audioonly;
                this.__mediaRecorderOptions = mediaRecorderOptions;
                this._mediaRecorder = new MediaRecorder(stream, mediaRecorderOptions);
                this._mediaRecorder.ondataavailable = Functions.as_method(this._dataAvailable, this);
                this._mediaRecorder.onstop = Functions.as_method(this._dataStop, this);
                this._mediaRecorder.onpause = Functions.as_method(this._hasPaused, this);
                this._mediaRecorder.onresume = Functions.as_method(this._hasResumed, this);
                this._mediaRecorder.onstart = Functions.as_method(this._recorderStarted, this);
                this._mediaRecorder.onerror = Functions.as_method(this.onErrorMethod, this);
            },

            _recorderStarted: function(ev) {
                this._started = true;
                this.trigger("started");
                this._startRecPromise.asyncSuccess();
            },

            onErrorMethod: function(err) {
                this._startRecPromise.asyncError(err);
                this.trigger("error", err);
            },


            destroy: function() {
                this.stop();
                inherited.destroy.call(this);
            },

            start: function() {
                if (this._started)
                    return Promise.value(true);
                this._startRecPromise = Promise.create();
                this._chunks = [];
                // Safari Release 73 implemented non-timeslice mode encoding for MediaRecorder
                // https://developer.apple.com/safari/technology-preview/release-notes/
                this._mediaRecorder.start(10);
                if (Info.isSafari() && !("onstart" in MediaRecorder.prototype)) {
                    this._started = true;
                    this.trigger("started");
                    Async.eventually(function() {
                        if (this._mediaRecorder.state === 'recording') {
                            this._startRecPromise.asyncSuccess();
                        } else {
                            this._startRecPromise.asyncError('Could not start recording');
                        }
                    }, this, 1000);
                }
                return this._startRecPromise;
            },

            pause: function() {
                if (this._paused || !this._started)
                    return;
                this._paused = true;
                this._mediaRecorder.pause();
                this.trigger("pause");
            },

            _hasPaused: function() {
                this.trigger("paused");
            },

            resume: function() {
                if (!this._paused || !this._started)
                    return;
                this._paused = false;
                this._mediaRecorder.resume();
                this.trigger("resume");
            },

            _hasResumed: function() {
                this.trigger("resumed");
            },

            stop: function() {
                if (!this._started)
                    return;
                this._started = false;
                this._mediaRecorder.stop();
                this.trigger("stopped");
            },

            _dataAvailable: function(e) {
                this.trigger("dataavailable", e);
                if (e.data && e.data.size > 0)
                    this._chunks.push(e.data);
            },

            _dataStop: function(e) {
                this._data = new Blob(this._chunks, {
                    type: (this.__mediaRecorderOptions.mimeType.split(";"))[0] || (this.__audioonly ? "audio/ogg" : "video/webm")
                });
                this._chunks = [];
                if (Info.isFirefox()) {
                    var self = this;
                    var fileReader = new FileReader();
                    fileReader.onload = function() {
                        self._data = new Blob([this.result], {
                            type: self._data.type
                        });
                        self.trigger("data", self._data);
                    };
                    fileReader.readAsArrayBuffer(this._data);
                } else
                    this.trigger("data", this._data);
            }

        };
    }], {

        supported: function() {
            if (!Support.globals().MediaRecorder)
                return false;
            if (document.location.href.indexOf("https://") !== 0 && document.location.hostname !== "localhost") {
                if (Info.isOpera() || Info.isChrome())
                    return false;
            }
            if (Info.isOpera() && Info.operaVersion() < 44)
                return false;
            if (Info.isChrome() && Info.chromeVersion() < 57)
                return false;
            return true;
        }

    });
});

Scoped.define("module:WebRTC.PeerRecorder", ["base:Class","base:Events.EventsMixin","base:Functions","base:Objs","base:Promise","base:Async","browser:Info","module:WebRTC.Support"], function(Class, EventsMixin, Functions, Objs, Promise, Async, Info, Support, scoped) {
    return Class.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {

            constructor: function(stream, options) {
                inherited.constructor.call(this);
                this._stream = stream;
                if (!options.videoBitrate && options.recorderWidth && options.recorderHeight)
                    options.videoBitrate = Math.round(options.recorderWidth * options.recorderHeight / 250);
                this._videoBitrate = options.videoBitrate || 1024;
                this._audioBitrate = options.audioBitrate || 256;
                this._videoFrameRate = options.framerate; // || "29.97";
                this._audioonly = options.audioonly;
                this._started = false;
            },

            destroy: function() {
                this.stop();
                inherited.destroy.call(this);
            },

            start: function(options) {
                if (this._started)
                    return Promise.value(true);
                this._wssUrl = options.wssUrl;
                this._streamInfo = options.streamInfo;
                this._userData = options.userData || {};
                this._delay = options.delay || 0;
                this._started = true;
                this._wsConnection = new(Support.globals()).WebSocket(this._wssUrl);
                this._wsConnection.binaryType = 'arraybuffer';
                this._wsConnection.onopen = Functions.as_method(this._wsOnOpen, this);
                this._wsConnection.onmessage = Functions.as_method(this._wsOnMessage, this);
                this._wsConnection.onclose = Functions.as_method(this._wsOnClose, this);
                this._wsConnection.onerror = this._errorCallback("WS_CONNECTION");
                var promise = Promise.create();
                var ctx = {};
                var self = this;
                this.on("started", function() {
                    self.off(null, null, ctx);
                    promise.asyncSuccess(true);
                }, ctx).on("error", function(error) {
                    self.off(null, null, ctx);
                    promise.asyncError(error);
                }, ctx);
                return promise;
            },

            stop: function() {
                if (!this._started)
                    return;
                this._started = false;
                if (this._peerConnection)
                    this._peerConnection.close();
                this._peerConnection = null;
                if (this._wsConnection)
                    this._wsConnection.close();
                this._wsConnection = null;
                this.trigger("stopped");
            },

            _wsOnOpen: function() {
                this._peerConnection = new(Support.globals()).RTCPeerConnection({
                    'iceServers': []
                });
                if (this._stream.getTracks && this._peerConnection.addTrack) {
                    Objs.iter(this._stream.getTracks(), function(localTrack) {
                        this._peerConnection.addTrack(localTrack, this._stream);
                    }, this);
                } else {
                    this._peerConnection.addStream(this._stream);
                }
                var offer = this._peerConnection.createOffer();
                offer.then(Functions.as_method(this._offerGotDescription, this));
                offer['catch'](this._errorCallback("PEER_CREATE_OFFER"));
            },

            _wsOnMessage: function(evt) {
                var data = JSON.parse(evt.data);
                var status = parseInt(data.status, 10);
                var command = data.command;
                if (status !== 200) {
                    this._error("MESSAGE_ERROR", {
                        status: status,
                        description: data.statusDescription
                    });
                } else {
                    if (data.sdp !== undefined) {
                        var remoteDescription = this._peerConnection.setRemoteDescription(new(Support.globals()).RTCSessionDescription(data.sdp));
                        remoteDescription.then(function() {
                            // peerConnection.createAnswer(gotDescription, errorHandler);
                        });
                        remoteDescription['catch'](this._errorCallback("PEER_REMOTE_DESCRIPTION"));
                    }
                    if (data.iceCandidates) {
                        Objs.iter(data.iceCandidates, function(iceCandidate) {
                            this._peerConnection.addIceCandidate(new(Support.globals()).RTCIceCandidate(iceCandidate));
                        }, this);
                    }
                    Async.eventually(function() {
                        this.trigger("started");
                    }, this, this._delay);
                }
                if (this._wsConnection)
                    this._wsConnection.close();
                this._wsConnection = null;
            },

            _offerGotDescription: function(description) {
                var enhanceData = {};
                if (this._audioBitrate)
                    enhanceData.audioBitrate = Number(this._audioBitrate);
                if (this._videoBitrate && !this._audioonly)
                    enhanceData.videoBitrate = Number(this._videoBitrate);
                if (this._videoFrameRate && !this._audioonly)
                    enhanceData.videoFrameRate = Number(this._videoFrameRate);
                description.sdp = this._enhanceSDP(description.sdp, enhanceData);
                return this._peerConnection.setLocalDescription(description).then(Functions.as_method(function() {
                    this._wsConnection.send(JSON.stringify({
                        direction: "publish",
                        command: "sendOffer",
                        streamInfo: this._streamInfo,
                        sdp: description,
                        userData: this._userData
                    }));
                }, this))['catch'](this._errorCallback("Peer Local Description"));
            },

            _enhanceSDP: function(sdpStr, enhanceData) {
                var sdpLines = sdpStr.split(/\r\n/);
                var sdpSection = 'header';
                var hitMID = false;
                var sdpStrRet = '';
                Objs.iter(sdpLines, function(sdpLine) {
                    if (sdpLine.length <= 0)
                        return;
                    sdpStrRet += sdpLine + '\r\n';
                    if (sdpLine.indexOf("m=audio") === 0) {
                        sdpSection = 'audio';
                        hitMID = false;
                    } else if (sdpLine.indexOf("m=video") === 0) {
                        sdpSection = 'video';
                        hitMID = false;
                    } else if (sdpLine.indexOf("a=rtpmap") === 0) {
                        sdpSection = 'bandwidth';
                        hitMID = false;
                    }
                    // Skip i and c lines
                    if (sdpLine.indexOf("i=") === 0 || sdpLine.indexOf("c=") === 0)
                        return;
                    if (hitMID)
                        return;
                    if ('audio'.localeCompare(sdpSection) === 0) {
                        if (enhanceData.audioBitrate !== undefined) {
                            sdpStrRet += 'b=AS:' + enhanceData.audioBitrate + '\r\n';
                            sdpStrRet += 'b=TIAS:' + (enhanceData.audioBitrate * 1024) + '\r\n';
                            // sdpStrRet += Info.isChrome()
                            //     ? 'b=CT:' + enhanceData.videoBitrate + '\r\n'
                            //     : 'b=TIAS:' + (enhanceData.audioBitrate * 1024) + '\r\n';
                        }
                    } else if ('video'.localeCompare(sdpSection) === 0) {
                        if (enhanceData.videoBitrate !== undefined) {
                            sdpStrRet += 'b=AS:' + enhanceData.videoBitrate + '\r\n';
                            // if (Info.isChrome()) {
                            // The Conference Total is indicated by giving the modifier
                            // can co-exist with any other sessions, defined in RFC 2327
                            sdpStrRet += 'b=CT:' + enhanceData.videoBitrate + '\r\n';
                            if (enhanceData.videoFrameRate !== undefined) {
                                sdpStrRet += 'a=framerate:' + enhanceData.videoFrameRate + '\r\n';
                            }
                            // } else {
                            //     // Transport Independent Application Specific Maximum (TIAS)
                            //     // Therefore, it gives a good indication of the maximum codec bit-
                            //     // rate required to be supported by the decoder.
                            //     sdpStrRet += 'b=TIAS:' + (enhanceData.videoBitrate * 1024) + '\r\n';
                            //     if (enhanceData.videoFrameRate !== undefined) {
                            //         sdpStrRet += 'a=maxprate:' + enhanceData.videoFrameRate + '\r\n';
                            //     }
                            // }
                        }
                    } else if ('bandwidth'.localeCompare(sdpSection) === 0 && Info.isChrome()) {
                        var rtpmapID;
                        rtpmapID = this._getRTPMapID(sdpLine);
                        if (rtpmapID !== null) {
                            var match = rtpmapID[2].toLowerCase();
                            if (('vp9'.localeCompare(match) === 0) || ('vp8'.localeCompare(match) === 0) || ('h264'.localeCompare(match) === 0) ||
                                ('red'.localeCompare(match) === 0) || ('ulpfec'.localeCompare(match) === 0) || ('rtx'.localeCompare(match) === 0)) {
                                if (enhanceData.videoBitrate !== undefined) {
                                    sdpStrRet += 'a=fmtp:' + rtpmapID[1] + ' x-google-min-bitrate=' + (enhanceData.videoBitrate) + ';x-google-max-bitrate=' + (enhanceData.videoBitrate) + '\r\n';
                                }
                            }

                            if (('opus'.localeCompare(match) === 0) || ('isac'.localeCompare(match) === 0) || ('g722'.localeCompare(match) === 0) || ('pcmu'.localeCompare(match) === 0) ||
                                ('pcma'.localeCompare(match) === 0) || ('cn'.localeCompare(match) === 0)) {
                                if (enhanceData.audioBitrate !== undefined) {
                                    sdpStrRet += 'a=fmtp:' + rtpmapID[1] + ' x-google-min-bitrate=' + (enhanceData.audioBitrate) + ';x-google-max-bitrate=' + (enhanceData.audioBitrate) + '\r\n';
                                }
                            }
                        }
                    }
                    hitMID = true;
                }, this);
                return sdpStrRet;
            },

            _getRTPMapID: function(line) {
                var findid = new RegExp('a=rtpmap:(\\d+) (\\w+)/(\\d+)');
                var found = line.match(findid);
                return (found && found.length >= 3) ? found : null;
            },

            _wsOnClose: function() {},

            _error: function(errorName, errorData) {
                this.trigger("error", errorName + " " + errorData.toString(), errorData);
                this.stop();
            },

            _errorCallback: function(errorName) {
                return Functions.as_method(function(errorData) {
                    this._error(errorName, errorData);
                }, this);
            }

        };
    }], {

        supported: function() {
            if (Info.isEdge())
                return false;
            if (Info.isSafari() && Info.safariVersion() < 11)
                return false;
            if (document.location.href.indexOf("https://") !== 0 && document.location.hostname !== "localhost") {
                if (Info.isChrome() && Info.chromeVersion() >= 47)
                    return false;
                if (Info.isOpera() && Info.operaVersion() >= 34)
                    return false;
            }
            return (Support.globals()).RTCPeerConnection &&
                (Support.globals()).RTCIceCandidate &&
                (Support.globals()).RTCSessionDescription &&
                (Support.globals()).WebSocket;
        }

    });
});

Scoped.define("module:WebRTC.RecorderWrapper", ["base:Classes.ConditionalInstance","base:Events.EventsMixin","base:Objs","base:Async","base:Promise","base:Time","module:WebRTC.Support","module:Recorder.Support","module:Recorder.PixelSampleMixin","browser:Events"], function(ConditionalInstance, EventsMixin, Objs, Async, Promise, Time, Support, RecorderSupport, PixelSampleMixin, DomEvents, scoped) {
    return ConditionalInstance.extend({
        scoped: scoped
    }, [EventsMixin, PixelSampleMixin, function(inherited) {
        return {

            constructor: function(options) {
                inherited.constructor.call(this, options);
                this._video = options.video;
                this._localPlaybackRequested = options.localPlaybackRequested;
                this._recording = false;
                this._bound = false;
                this._hasAudio = false;
                this._hasVideo = false;
                this._screen = options.screen;
                this._resizeMode = options.resizeMode;
                this._flip = !!options.flip;
                if (this._screen && !options.flipscreen)
                    this._flip = false;
                this._videoTrackSettings = {
                    slippedFromOrigin: {
                        height: 1.00,
                        width: 1.00
                    }
                };
                if (this._options.fittodimensions) {
                    if (this._screen === null) {
                        this._initCanvasStreamSettings();
                        this._prepareRecorderStreamCanvas(true);
                    } else {
                        this._options.fittodimensions = false;
                    }
                }
            },

            _getConstraints: function() {
                return {
                    // Seems sourceId was deprecated, deviceId is most supported constraint (Fix changing audio source)
                    audio: this._options.recordAudio ? {
                        deviceId: this._options.audioId
                    } : false,
                    video: this._options.recordVideo ? {
                        frameRate: this._options.framerate,
                        sourceId: this._options.videoId,
                        width: this._options.recordResolution.width,
                        height: this._options.recordResolution.height,
                        cameraFaceFront: this._options.cameraFaceFront,
                        resizeMode: this._resizeMode
                    } : false,
                    screen: this._screen
                };
            },

            /**
             * Will add a new Stream to Existing one
             *
             * @param {object} device
             * @param {object} options
             */
            addNewSingleStream: function(device, options) {
                this._initCanvasStreamSettings();
                var _options, _positionX, _positionY, _height, _width, _aspectRatio, _constraints;
                var _isTrueHeight = true;
                _aspectRatio = this._options.video.aspectRatio;
                _positionX = options.positionX || 0;
                _positionY = options.positionY || 0;
                _width = options.width || (this._options.recordResolution.width * 0.20) || 120;
                _height = options.height;
                if (!_height) {
                    _height = _aspectRatio ? Math.floor(_width * _aspectRatio) : Math.floor(_width / 1.33);
                    _isTrueHeight = false;
                }
                _options = {
                    frameRate: this._options.framerate,
                    sourceId: device.id,
                    cameraFaceFront: this._options.cameraFaceFront
                };
                _constraints = {
                    video: _options
                };
                this._prepareRecorderStreamCanvas();
                this._multiStreamConstraints = _constraints;
                this.__addedStreamOptions = Objs.tree_merge(_options, {
                    positionX: _positionX,
                    positionY: _positionY,
                    width: _width,
                    height: _height,
                    isTrueHeight: _isTrueHeight
                });
                return this.addNewMediaStream();
            },

            /**
             * Update small screen dimensions and position
             *
             * @param x
             * @param y
             * @param w
             * @param h
             */
            updateMultiStreamPosition: function(x, y, w, h) {
                this.__addedStreamOptions.positionX = x || this.__addedStreamOptions.positionX;
                this.__addedStreamOptions.positionY = y || this.__addedStreamOptions.positionY;
                this.__addedStreamOptions.width = w || this.__addedStreamOptions.width;
                this.__addedStreamOptions.height = h || this.__addedStreamOptions.height;
            },


            /**
             * Add new stream to existing one
             * @return {Promise}
             */
            addNewMediaStream: function() {
                var promise = Promise.create();
                if (this._canvasStreams.length < 1)
                    this._canvasStreams.push(this._stream);
                return Support.userMedia2(this._multiStreamConstraints, this).success(function(stream) {
                    this._canvasStreams.push(stream);
                    this._buildVideoElementsArray(promise);
                    this.on("stream-canvas-drawn", function() {
                        return promise.asyncSuccess();
                    }, this);
                }, this);
            },


            recordDelay: function(opts) {
                return 0;
            },

            stream: function() {
                return this._stream;
            },

            isWebrtcStreaming: function() {
                return false;
            },

            canPause: function() {
                return false;
            },

            bindMedia: function() {
                if (this._bound)
                    return;
                return Support.userMedia2(this._getConstraints()).success(function(stream) {
                    if (!this._options) return;
                    this._hasAudio = this._options.recordAudio && stream.getAudioTracks().length > 0;
                    this._hasVideo = this._options.recordVideo && stream.getVideoTracks().length > 0;
                    var applyConstraints = {};
                    var settings = null;
                    var setConstraints = null;
                    var capabilities = null;
                    var vTrack = stream.getVideoTracks()[0] || {};

                    if (this._hasVideo && typeof vTrack.getSettings === 'function') {
                        settings = vTrack.getSettings();

                        if (typeof vTrack.onended !== 'undefined') {
                            var _onEndedEvent = this.auto_destroy(new DomEvents());
                            _onEndedEvent.on(vTrack, "ended", function(ev) {
                                this.trigger("mainvideostreamended");
                            }, this);
                        }
                    }

                    // Purpose is fix Overconstrained dimensions to correct one
                    // Firefox still not supports getCapabilities
                    // More details: https://bugzilla.mozilla.org/show_bug.cgi?id=1179084
                    if (this._hasVideo && typeof vTrack.getCapabilities === 'function' && settings) {
                        capabilities = vTrack.getCapabilities();
                        setConstraints = this._getConstraints().video;

                        if (capabilities.width.max && capabilities.height.max)
                            applyConstraints = this.__checkAndApplyCorrectConstraints(vTrack, capabilities, setConstraints, stream);
                    }

                    // If Browser will set aspect ratio correctly no need draw into canvas
                    if (settings && setConstraints && this._options.fittodimensions) {
                        var _setRatio = setConstraints.width / setConstraints.height;
                        var _appliedRatio = settings.width / settings.height;
                        if (Math.abs(_setRatio - _appliedRatio) <= 0.1) {
                            this._options.fittodimensions = false;
                        }
                    }

                    if (this._options.fittodimensions && settings) {
                        this._canvasStreams.push(stream);
                        if (!this.__initialVideoTrackSettings)
                            this.__calculateVideoTrackSettings(settings, this._video, true);
                        this._videoTrackSettings.capabilities = capabilities;
                        this._videoTrackSettings.constrainsts = this._getConstraints().video;
                        this._buildVideoElementsArray();
                    } else {
                        this._bound = true;
                        this._stream = stream;
                        this._setLocalTrackSettings(stream);
                        Support.bindStreamToVideo(stream, this._video, this._flip);
                        this.trigger("bound", stream);
                        this._boundMedia();
                    }
                }, this);
            },

            selectCamera: function(cameraId) {
                this._options.videoId = cameraId;
                if (this._bound) {
                    this.unbindMedia();
                    this.bindMedia();
                    this.trigger("rebound");
                }
            },

            selectMicrophone: function(microphoneId) {
                this._options.audioId = microphoneId;
                if (this._bound) {
                    this.unbindMedia();
                    this.bindMedia();
                    this.trigger("rebound");
                }
            },

            selectCameraFace: function(faceFront) {
                this._options.cameraFaceFront = faceFront;
                if (this._bound) {
                    this.unbindMedia();
                    this.bindMedia();
                    this.trigger("rebound");
                }
            },

            getCameraFacingMode: function() {
                if (this._options.cameraFaceFront === true)
                    return "user";
                if (this._options.cameraFaceFront === false)
                    return "environment";
                return undefined;
            },

            startRecord: function(options) {
                if (this._recording)
                    return Promise.value(true);
                this._recording = true;
                var promise = this._startRecord(options);
                promise.success(function() {
                    this._pausedDuration = 0;
                    this._startTime = Time.now();
                }, this);
                return promise;
            },

            pauseRecord: function() {
                if (!this.canPause() || this._paused)
                    return;
                this._paused = true;
                this._recorder.once("paused", function() {
                    this.trigger("paused");
                    this.__pauseStartTime = Time.now();
                }, this);
                this._recorder.pause();
            },

            resumeRecord: function() {
                if (!this.canPause() || !this._paused)
                    return;
                this._paused = false;
                this._recorder.once("resumed", function() {
                    this.trigger("resumed");
                    this._pausedDuration += Time.now() - this.__pauseStartTime;
                    delete this.__pauseStartTime;
                }, this);
                this._recorder.resume();
            },

            stopRecord: function() {
                if (!this._recording)
                    return;
                this._recording = false;
                this._stopRecord();
                this._stopTime = Time.now();
            },

            duration: function() {
                return (this._recording || !this._stopTime ? Time.now() : this._stopTime) - this._startTime -
                    this._pausedDuration -
                    (this.__pauseStartTime !== undefined ? Time.now() - this.__pauseStartTime : 0);
            },

            unbindMedia: function() {
                if (!this._bound || this._recording)
                    return;
                Support.stopUserMediaStream(this._stream, this._sourceTracks);
                this._bound = false;
                this.trigger("unbound");
                this._unboundMedia();
            },

            createSnapshot: function(type) {
                return RecorderSupport.createSnapshot(type, this._video);
            },

            _pixelSample: function(samples, callback, context) {
                if (!this._video.videoWidth) {
                    callback.call(context || this, 0, 0, 0);
                    return;
                }
                samples = samples || 100;
                var w = this._video.videoWidth;
                var h = this._video.videoHeight;
                var wc = Math.ceil(Math.sqrt(w / h * samples));
                var hc = Math.ceil(Math.sqrt(h / w * samples));
                var canvas = document.createElement('canvas');
                canvas.width = wc;
                canvas.height = hc;
                var ctx = canvas.getContext('2d');
                ctx.drawImage(this._video, 0, 0, wc, hc);
                for (var i = 0; i < samples; ++i) {
                    var x = i % wc;
                    var y = Math.floor(i / wc);
                    var data = ctx.getImageData(x, y, 1, 1).data;
                    callback.call(context || this, data[0], data[1], data[2]);
                }
            },

            /**
             * Initialize multi-stream related variables
             * @private
             */
            _initCanvasStreamSettings: function() {
                this._canvasStreams = [];
                this._videoElements = [];
                this._audioInputs = [];
                this._sourceTracks = [];
                this._multiStreamConstraints = {};
                this._drawingStream = false;
            },

            /**
             * Will prepare canvas element, to draw video streams inside
             * @param {Boolean =} feetDimension
             * @private
             */
            _prepareRecorderStreamCanvas: function(feetDimension) {
                if (this.__recorderStreamCanvas && this.__recorderStreamCtx)
                    return;
                var height = this._videoTrackSettings.height || this._video.clientHeight || this._video.videoHeight;
                var width = this._videoTrackSettings.width || this._video.clientWidth || this._video.videoWidth;
                if (typeof this.__recorderStreamCanvas === 'undefined') {
                    this.__recorderStreamCanvas = document.createElement('canvas');
                }
                this.__recorderStreamCanvas.setAttribute('width', width);
                this.__recorderStreamCanvas.setAttribute('height', height);
                this.__recorderStreamCanvas.setAttribute('style', 'position:fixed; left: 200%; pointer-events: none'); // Out off from the screen
                this.__recorderStreamCtx = this.__recorderStreamCanvas.getContext('2d');
                this._drawerSetting = {
                    fittodimensions: feetDimension || false,
                    streamsReversed: false,
                    isMultiStream: false
                };
                // document.body.append(this.__recorderStreamCanvas);
            },

            /**
             * Set local track setting values
             * @param {MediaStream} stream
             * @private
             */
            _setLocalTrackSettings: function(stream) {
                if (typeof stream.getVideoTracks() !== 'undefined') {
                    if (stream.getVideoTracks()[0]) {
                        var self = this;
                        this._videoTrack = stream.getVideoTracks()[0];
                        // Will fix older version Chrome Cropping
                        if (!this._options.getDisplayMediaSupported) {
                            if (typeof this._resizeMode === 'undefined')
                                this._resizeMode = 'none';
                            this._videoTrack.applyConstraints({
                                resizeMode: this._resizeMode
                            }).then(function() {
                                if (typeof self._videoTrack.getSettings !== 'undefined')
                                    self._videoTrackSettings = Objs.extend(sourceVideoSettings, self._videoTrackSettings);
                            });
                        } else {
                            if (typeof this._videoTrack.getSettings !== 'undefined') {
                                var sourceVideoSettings = this._videoTrack.getSettings();
                                if (typeof this._videoTrackSettings.videoInnerFrame === 'undefined')
                                    this._videoTrackSettings = Objs.extend(sourceVideoSettings, this._videoTrackSettings);

                                this._video.onloadedmetadata = function(ev) {
                                    self.__calculateVideoTrackSettings(sourceVideoSettings, ev.target, true);
                                };
                            }
                        }
                    }
                }
                if (typeof stream.getAudioTracks !== 'undefined') {
                    if (stream.getAudioTracks()[0]) {
                        this._audioTrack = stream.getAudioTracks()[0];
                        if (typeof this._audioTrack.getSettings() !== 'undefined')
                            this._audioTrackSettings = this._audioTrack.getSettings();
                    }
                }
            },

            /**
             *
             * @param videoTrack
             * @param capabilities
             * @param setConstraints
             * @private
             */
            __checkAndApplyCorrectConstraints: function(videoTrack, capabilities, setConstraints) {
                var maxWidth = capabilities.width.max;
                var maxHeight = capabilities.height.max;

                if (setConstraints.width > maxWidth || setConstraints.height > maxHeight) {
                    var _ar = maxWidth / maxHeight;
                    var _newWidth, _newHeight;
                    var _desiredAr = setConstraints.width / setConstraints.height;

                    if (capabilities.aspectRatio.min && capabilities.aspectRatio.max) {
                        var _minAr, _maxAr;
                        _desiredAr = setConstraints.width / setConstraints.height;
                        _minAr = capabilities.aspectRatio.min;
                        _maxAr = capabilities.aspectRatio.max;
                        if (_desiredAr > 1 && _desiredAr > _maxAr) {
                            _desiredAr = _maxAr;
                        } else if (_desiredAr < 1 && _desiredAr < _minAr) {
                            _desiredAr = _minAr;
                        }
                    } else {
                        _desiredAr = _ar;
                    }

                    if (setConstraints.width > maxWidth && setConstraints.height > maxHeight) {
                        _newWidth = _desiredAr > 1 ? maxWidth : maxHeight * _desiredAr;
                        _newHeight = _desiredAr > 1 ? maxWidth / _desiredAr : maxHeight;

                        // Only possible in below if above not fit correctly
                        if (_newHeight > maxHeight && _desiredAr > 1) {
                            _newHeight = maxHeight;
                            _newWidth = maxHeight / _desiredAr;
                        }
                        if (_newWidth > maxWidth && _desiredAr < 1) {
                            _newWidth = maxWidth;
                            _newHeight = maxWidth / _desiredAr;
                        }
                    } else if (setConstraints.width > maxWidth) {
                        _newHeight = _desiredAr > 1 ? maxWidth / _desiredAr : Math.min(maxHeight, setConstraints.height);
                        _newWidth = _desiredAr > 1 ? maxWidth : _newHeight * _desiredAr;
                    } else if (setConstraints.height > maxHeight) {
                        _newWidth = _desiredAr > 1 ? Math.min(maxWidth, setConstraints.width) : maxHeight * _desiredAr;
                        _newHeight = _desiredAr > 1 ? _newWidth / _desiredAr : maxHeight;
                    }

                    return {
                        width: _newWidth,
                        height: _newHeight
                    };
                }
            },

            /**
             * Calculate Video Element Settings Settings
             * @param {MediaTrackSettings} sourceVideoSettings
             * @param {HTMLVideoElement=} videoElement
             * @param {Boolean =} setInitialSettings
             * @private
             */
            __calculateVideoTrackSettings: function(sourceVideoSettings, videoElement, setInitialSettings) {
                videoElement = videoElement || this._video;
                var _lookedWidth, _lookedHeight, _slippedWidth, _slippedHeight, _dimensions;
                var _asR = sourceVideoSettings.aspectRatio || (sourceVideoSettings.width / sourceVideoSettings.height);
                if (!isNaN(_asR)) {
                    var _maxWidth = videoElement.offsetWidth;
                    var _maxHeight = videoElement.offsetHeight;
                    // FireFox don't calculates aspectRatio like Chrome does
                    _lookedWidth = _maxWidth <= _maxHeight * _asR ? _maxWidth : Math.round(_maxHeight * _asR);
                    _lookedHeight = _maxWidth > _maxHeight * _asR ? _maxHeight : Math.round(_maxWidth / _asR);

                    _slippedWidth = sourceVideoSettings.width > _lookedWidth ? sourceVideoSettings.width / _lookedWidth : _lookedWidth / sourceVideoSettings.width;
                    _slippedHeight = sourceVideoSettings.height > _lookedHeight ? sourceVideoSettings.height / _lookedHeight : _lookedHeight / sourceVideoSettings.height;

                    _dimensions = Objs.extend(sourceVideoSettings, {
                        videoElement: {
                            width: _maxWidth,
                            height: _maxHeight
                        },
                        videoInnerFrame: {
                            width: _lookedWidth,
                            height: _lookedHeight
                        },
                        slippedFromOrigin: {
                            width: _slippedWidth,
                            height: _slippedHeight
                        }
                    });

                    if (setInitialSettings) this.__initialVideoTrackSettings = _dimensions;
                    this._videoTrackSettings = _dimensions;
                    return _dimensions;
                }
            },

            /**
             * Will add new video DOM Element to draw inside Multi-Stream Canvas
             * @param {Promise =} promise
             * @private
             */
            _buildVideoElementsArray: function(promise) {
                this.__multiStreamVideoSettings = {
                    isMainStream: true,
                    mainStream: {},
                    smallStream: {}
                };
                Objs.iter(this._canvasStreams, function(stream, index) {
                    var _tracks = stream.getTracks();
                    var _additionalStream = false;
                    Objs.iter(_tracks, function(track) {
                        // Will require to stop all existing tracks after recorder stop
                        this._sourceTracks.push(track);
                        if (track.kind === 'video') {
                            if (this._videoTrack) {
                                _additionalStream = track.id !== this._videoTrack.id;
                                this._drawerSetting.isMultiStream = true;
                            }
                            this._videoElements.push(this._arraySingleVideoElement(this.__addedStreamOptions, stream, _additionalStream, track));
                        }
                        if (track.kind === 'audio') {
                            this._audioInputs.push(track);
                        }
                    }, this);
                    if ((this._videoElements.length + this._audioInputs.length) === _tracks.length) {
                        this._startDrawRecorderToCanvas(stream);
                    }

                    // If After 1 seconds, if we can not get required tracks, something wrong
                    Async.eventually(function() {
                        if (!this._drawingStream) {
                            if (promise)
                                return promise.asyncError({
                                    message: 'Could not be able to get required tracks'
                                });
                            return false;
                        }
                    }, this, 1000);
                }, this);
            },

            /**
             *
             * @param {MediaStream} stream
             * @private
             */
            _startDrawRecorderToCanvas: function(stream) {
                try {
                    var streamSettings = stream.getVideoTracks()[0].getSettings();
                    if (streamSettings.aspectRatio) {
                        if (Math.abs(streamSettings.aspectRatio - this._videoTrackSettings.aspectRatio) > 0.1) {
                            this._videoTrackSettings.aspectRatio = streamSettings.aspectRatio;
                            this.__calculateVideoTrackSettings(streamSettings, null, true);
                            this.__recorderStreamCanvas.setAttribute('width', streamSettings.width);
                            this.__recorderStreamCanvas.setAttribute('height', streamSettings.height);
                        }
                    }

                    this._drawingStream = true;

                    if (this._drawerSetting.fittodimensions && typeof this._videoTrackSettings.videoInnerFrame !== 'undefined') {
                        // Stream dimensions
                        var crop = false;
                        var settings = {};
                        var width = this._videoTrackSettings.width;
                        var height = this._videoTrackSettings.height;
                        this.__recorderStreamCanvas.width = width;
                        this.__recorderStreamCanvas.height = height;
                        var _settingRatio = width / height;

                        var innerFrame = this._videoTrackSettings.videoInnerFrame;
                        var videoElement = this._videoTrackSettings.videoElement;

                        var setConstraints = this._videoTrackSettings.constrainsts;
                        var _desiredRatio = setConstraints.width / setConstraints.height;

                        var _baseIsWidth = innerFrame.width === videoElement.width;
                        // var _baseIsHeight = innerFrame.height === videoElement.height;

                        // Dimensions what is expected
                        if (Math.abs(_settingRatio - _desiredRatio) >= 0.1) {
                            crop = true;
                            if (_baseIsWidth) {
                                settings.ch = Math.round(width / _desiredRatio);
                                if (settings.ch > height)
                                    _baseIsWidth = false;
                            } else {
                                settings.cw = _settingRatio > 1 ? Math.round(height * _desiredRatio) : Math.round(height / _desiredRatio);
                                if (settings.cw > width)
                                    _baseIsWidth = true;
                            }

                            if (_baseIsWidth) {
                                settings.cw = width;
                                settings.ch = Math.round(width / _desiredRatio);
                                settings.cx = 0;
                                settings.cy = (height - settings.ch) / 2;

                                settings.w = settings.cw;
                                settings.h = settings.ch;
                                settings.x = 0;
                                settings.y = (height - settings.h) / 2;

                            } else {
                                settings.ch = height;
                                settings.cw = _settingRatio > 1 ? Math.round(height * _desiredRatio) : Math.round(height / _desiredRatio);
                                settings.cy = 0;
                                settings.cx = (width - settings.cw) / 2;

                                settings.w = settings.cw;
                                settings.h = settings.ch;
                                settings.y = 0;
                                settings.x = (width - settings.w) / 2;
                            }
                        }
                        this.__cropSettings = settings;
                    }

                    this._drawTracksToCanvas();
                    this._startCanvasStreaming();
                } catch (e) {
                    console.warn(e);
                }
            },


            /**
             *
             * Merge streams and draw Canvas.
             * @private
             */
            _drawTracksToCanvas: function() {
                if (!this._drawingStream)
                    return;
                var videosCount = this._videoElements.length;
                var reversed = false;

                if (typeof this._drawerSetting !== 'undefined') {
                    if (this._drawerSetting.streamsReversed)
                        reversed = true;
                }

                for (var _i = 0; _i < this._videoElements.length; _i++) {
                    var video, constraints, width, height, positionX, positionY;
                    video = this._videoElements[_i];

                    if (this._drawerSetting.fittodimensions) {
                        // .videoInnerFrame
                        var _cropSettings = this.__cropSettings;
                        width = _cropSettings.w;
                        height = _cropSettings.h;
                        positionX = _cropSettings.x;
                        positionY = _cropSettings.y;
                        this.__recorderStreamCtx.drawImage(
                            video, _cropSettings.cx, _cropSettings.cy, _cropSettings.cw, _cropSettings.ch,
                            positionX, positionY, width, height
                        );
                    } else {
                        constraints = _i !== 0 ? this.__addedStreamOptions : {};
                        positionX = constraints.positionX || 0;
                        positionY = constraints.positionY || 0;
                        if (video.__multistreamElement) {
                            width = reversed ? this._drawerSetting.smallStreamWidth : constraints.width || 360;
                            height = reversed ? this._drawerSetting.smallStreamHeight : constraints.height || 240;
                        } else {
                            if (reversed) {
                                positionX = this._drawerSetting.positionX;
                                positionY = this._drawerSetting.positionY;
                                width = this._drawerSetting.width;
                                height = this._drawerSetting.height;
                                if (this.__multiStreamVideoSettings.mainStream) {
                                    if (Objs.keys(this.__multiStreamVideoSettings.mainStream).length > 0) {
                                        this.__recorderStreamCtx.fillStyle = "#000000";
                                        this.__recorderStreamCtx.fillRect(0, 0, this.__recorderStreamCanvas.width, this.__recorderStreamCanvas.height);
                                        this.__recorderStreamCtx.restore();
                                    }
                                }
                            } else {
                                width = this.__recorderStreamCanvas.width || constraints.width || 360;
                                height = this.__recorderStreamCanvas.height || constraints.height || 240;
                            }
                        }
                        this.__recorderStreamCtx.drawImage(video, positionX, positionY, width, height);
                    }

                    videosCount--;
                    if (videosCount === 0) {
                        Async.eventually(this._drawTracksToCanvas, this, 1000 / 50); // drawing at 50 fps
                    }
                }
            },

            /**
             * Will change screen sources during multi-record
             */
            reverseVideos: function() {
                var _self = this;
                var _isMainBecomeSmall = this.__multiStreamVideoSettings.isMainStream;
                this.__multiStreamVideoSettings.isMainStream = !_isMainBecomeSmall;

                // Get initial core information about stream dimensions
                var _mainStream = this.__multiStreamVideoSettings.mainStream.settings;
                var _smallStream = this.__multiStreamVideoSettings.smallStream.settings;

                var _x = 0,
                    _y = 0,
                    _w, _h, _smW, _smH;

                if (_isMainBecomeSmall) {
                    var _smallStreamAspectRatio = _smallStream.aspectRatio;
                    var _mainAspectRatio = this._videoTrackSettings.aspectRatio || (this._videoTrackSettings.width / this._videoTrackSettings.height);
                    var _fitFullWidth = this._videoTrackSettings.videoElement.width === this._videoTrackSettings.videoInnerFrame.width;
                    if (_fitFullWidth) {
                        _h = _mainStream.streamHeight;
                        _w = _h * _smallStreamAspectRatio;
                        _smW = _smallStream.videoWidth;
                        _smH = _smW / _mainAspectRatio;
                    } else {
                        _w = _mainStream.streamWidth;
                        _h = _w / _smallStreamAspectRatio;
                        _smH = _smallStream.videoHeight;
                        _smW = _smH * _mainAspectRatio;
                    }
                    _x = (_mainStream.streamWidth - _w) / 2;
                    _y = (_mainStream.streamHeight - _h) / 2;
                    this._drawerSetting = {
                        streamsReversed: true,
                        width: _w,
                        height: _h,
                        positionX: _x,
                        positionY: _y,
                        smallStreamHeight: _smH,
                        smallStreamWidth: _smW
                    };
                } else {
                    this._drawerSetting.streamsReversed = false;
                    _smW = _smallStream.videoWidth;
                    _smH = _smallStream.videoHeight;
                }

                if (this._drawingStream) {
                    var _temp_video = document.createElement('video');
                    for (var _i = 0; _i < this._videoElements.length; _i++) {
                        if (!_temp_video.srcObject) {
                            _temp_video.srcObject = this._videoElements[_i].srcObject;
                            this._videoElements[_i].srcObject = this._videoElements[_i + 1].srcObject;
                            this._videoElements[_i].load();
                            this._videoElements[_i].oncanplay = function() {
                                this.play();
                            };
                        } else if (_temp_video.srcObject) {
                            this._videoElements[_i].srcObject = _temp_video.srcObject;
                            this._videoElements[_i].load();
                            this._videoElements[_i].oncanplay = function() {
                                this.play();
                            };
                            var _dimensions = {
                                width: _smW,
                                height: _smH
                            };
                            if (_isMainBecomeSmall) {
                                _self.__calculateVideoTrackSettings(_dimensions);
                            } else {
                                _self._videoTrackSettings = _self.__initialVideoTrackSettings;
                            }
                            _self.trigger("multistream-camera-switched", _dimensions, _isMainBecomeSmall);
                            _temp_video.remove();
                        }
                    }
                }
            },

            /**
             * Start streaming from merged Canvas Element
             * @private
             */
            _startCanvasStreaming: function() {
                var stream = this.__recorderStreamCanvas.captureStream(25);
                if (this._audioInputs[0])
                    stream.addTrack(this._audioInputs[0]);
                this._stream = stream;
                Support.bindStreamToVideo(stream, this._video, this._flip);
                this.trigger("bound", stream);
                this.trigger("stream-canvas-drawn");
                this._setLocalTrackSettings(stream);
                this._boundMedia(stream);
            },

            /**
             * Generate single video DOM element to draw inside canvas
             * @param {object} options
             * @param stream
             * @param {Boolean=} additionalStream // This is newly added stream, small screen
             * @param {MediaStreamTrack=} videoTrack
             * @return {HTMLElement}
             * @private
             */
            _arraySingleVideoElement: function(options, stream, additionalStream, videoTrack) {
                var self = this;
                var video = Support.bindStreamToVideo(stream);
                additionalStream = additionalStream || false;
                if (additionalStream) {
                    video.__multistreamElement = true;
                    video.width = this.__addedStreamOptions.width || options.width || 360;
                    video.height = this.__addedStreamOptions.height || options.height || 240;
                } else {
                    var visibleDimensions = self._videoTrackSettings.videoInnerFrame;
                    var aspectRatio = self._videoTrackSettings.aspectRatio;
                }
                var slippedFromOrigin = self._videoTrackSettings.slippedFromOrigin;
                video.muted = true;
                video.volume = 0;
                video.oncanplay = function() {
                    var s = videoTrack.getSettings();
                    var width = this.width;
                    var height = this.height;
                    var aspectRatio = additionalStream ? (s.aspectRatio || (s.width / s.height)) : aspectRatio;
                    if (typeof self.__addedStreamOptions !== 'undefined') {
                        if (!self.__addedStreamOptions._isTrueHeight && additionalStream && aspectRatio) {
                            height = aspectRatio > 1.00 ?
                                (width / aspectRatio).toFixed(2) :
                                (width * aspectRatio).toFixed(2);
                            self.__addedStreamOptions.height = height;
                            self.updateMultiStreamPosition();
                        }
                    }
                    var values = {
                        track: videoTrack,
                        isMainScreen: additionalStream,
                        settings: {
                            videoWidth: additionalStream ? width : self._videoTrackSettings.videoElement.width,
                            videoHeight: additionalStream ? height : self._videoTrackSettings.videoElement.height,
                            streamWidth: additionalStream ? s.width : self._videoTrackSettings.width,
                            streamHeight: additionalStream ? s.height : self._videoTrackSettings.height,
                            visibleWidth: additionalStream ? (width / slippedFromOrigin.width) : visibleDimensions.width,
                            visibleHeight: additionalStream ? (height / slippedFromOrigin.height) : visibleDimensions.height,
                            deviceId: s.deviceId,
                            aspectRatio: aspectRatio
                        }
                    };

                    if (additionalStream)
                        self.__multiStreamVideoSettings.smallStream = values;
                    else
                        self.__multiStreamVideoSettings.mainStream = values;
                    this.play();
                };
                return video;
            },

            _boundMedia: function() {},

            _unboundMedia: function() {},

            _startRecord: function(options) {},

            _stopRecord: function() {},

            _error: function(errorType, errorData) {
                this.trigger("error", errorType, errorData);
            },

            getVolumeGain: function() {},

            setVolumeGain: function(volumeGain) {},

            _dataAvailable: function(videoBlob, audioBlob, noUploading) {
                if (this.destroyed())
                    return;
                this.trigger("data", videoBlob, audioBlob, noUploading);
            },

            destroy: function() {
                this.stopRecord();
                this.unbindMedia();
                inherited.destroy.call(this);
            },

            averageFrameRate: function() {
                return null;
            }

        };
    }], {

        _initializeOptions: function(options) {
            return Objs.extend({
                // video: null,
                recordAudio: true,
                recordVideo: true,
                recordResolution: {
                    width: 320,
                    height: 200
                }
            }, options);
        },

        supported: function(options) {
            return !!Support.globals().getUserMedia && !!Support.globals().URL;
        }

    });
});

Scoped.define("module:AudioRecorder.WebRTCAudioRecorderWrapper", ["module:AudioRecorder.AudioRecorderWrapper","module:WebRTC.RecorderWrapper","module:WebRTC.Support","module:WebRTC.AudioAnalyser","browser:Dom","browser:Info","base:Time","base:Objs","browser:Upload.FileUploader","browser:Upload.MultiUploader","base:Promise"], function(AudioRecorderWrapper, RecorderWrapper, Support, AudioAnalyser, Dom, Info, Time, Objs, FileUploader, MultiUploader, Promise, scoped) {
    return AudioRecorderWrapper.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(options) {
                inherited.constructor.call(this, options);
                if (this._element.tagName.toLowerCase() !== "audio")
                    this._element = Dom.changeTag(this._element, "audio");
                this._recorder = RecorderWrapper.create({
                    video: this._element,
                    recordVideo: false,
                    recordAudio: this._options.recordAudio,
                    audioBitrate: this._options.audioBitrate,
                    webrtcStreaming: this._options.webrtcStreaming,
                    webrtcStreamingIfNecessary: this._options.webrtcStreamingIfNecessary,
                    localPlaybackRequested: this._options.localPlaybackRequested
                });
                this._recorder.on("bound", function() {
                    if (this._analyser)
                        this.testSoundLevel(true);
                }, this);
                this._recorder.on("error", function(errorName, errorData) {
                    this.trigger("error", errorName, errorData);
                }, this);
                this.ready.asyncSuccess(true);
            },

            destroy: function() {
                if (this._analyser)
                    this._analyser.weakDestroy();
                this._recorder.destroy();
                inherited.destroy.call(this);
            },

            recordDelay: function(opts) {
                return this._recorder.recordDelay(opts);
            },

            _bindMedia: function() {
                return this._recorder.bindMedia();
            },

            _unbindMedia: function() {
                return this._recorder.unbindMedia();
            },

            getVolumeGain: function() {
                return this._recorder.getVolumeGain();
            },

            setVolumeGain: function(volumeGain) {
                this._recorder.setVolumeGain(volumeGain);
            },

            soundLevel: function() {
                if (!this._analyser && this._recorder && this._recorder.stream())
                    this._analyser = new AudioAnalyser(this._recorder.stream());
                return this._analyser ? this._analyser.soundLevel() : 0.0;
            },

            isWebrtcStreaming: function() {
                return this._recorder.isWebrtcStreaming();
            },

            testSoundLevel: function(activate) {
                if (this._analyser) {
                    this._analyser.weakDestroy();
                    delete this._analyser;
                }
                if (activate)
                    this._analyser = new AudioAnalyser(this._recorder.stream());
            },

            currentDevices: function() {
                return {
                    audio: this._currentAudio
                };
            },

            enumerateDevices: function() {
                return Support.enumerateMediaSources().success(function(result) {
                    if (!this._currentAudio)
                        this._currentAudio = Objs.ithKey(result.audio);
                }, this);
            },

            setCurrentDevices: function(devices) {
                if (devices && devices.audio)
                    this._recorder.selectMicrophone(devices.audio);
            },

            canPause: function() {
                return this._recorder.canPause();
            },

            startRecord: function(options) {
                this.__localPlaybackSource = null;
                return this._recorder.startRecord(options);
            },

            pauseRecord: function() {
                return this._recorder.pauseRecord();
            },

            resumeRecord: function() {
                return this._recorder.resumeRecord();
            },

            stopRecord: function(options) {
                var promise = Promise.create();
                this._recorder.once("data", function(videoBlob, audioBlob, noUploading) {
                    this.__localPlaybackSource = {
                        src: audioBlob || videoBlob
                    };
                    var multiUploader = new MultiUploader();
                    if (!this._options.simulate && !noUploading && !options.noUploading) {
                        if (videoBlob) {
                            multiUploader.addUploader(FileUploader.create(Objs.extend({
                                source: audioBlob || videoBlob
                            }, options.audio)));
                        }
                    }
                    promise.asyncSuccess(multiUploader);
                }, this);
                this._recorder.stopRecord();
                return promise;
            },

            supportsLocalPlayback: function() {
                return !!this.__localPlaybackSource.src;
            },

            localPlaybackSource: function() {
                return this.__localPlaybackSource;
            },

            _softwareDependencies: function() {
                return Promise.value(true);
            }

        };
    }, {

        supported: function(options) {
            if (!RecorderWrapper.anySupport(options))
                return false;
            return true;
        }

    });
});

Scoped.extend("module:AudioRecorder.AudioRecorderWrapper", ["module:AudioRecorder.AudioRecorderWrapper","module:AudioRecorder.WebRTCAudioRecorderWrapper"], function(AudioRecorderWrapper, WebRTCAudioRecorderWrapper) {
    AudioRecorderWrapper.register(WebRTCAudioRecorderWrapper, 2);
    return {};
});

Scoped.define("module:ImageRecorder.WebRTCImageRecorderWrapper", ["module:ImageRecorder.ImageRecorderWrapper","module:WebRTC.RecorderWrapper","module:WebRTC.Support","browser:Dom","browser:Info","base:Time","base:Objs","browser:Upload.FileUploader","browser:Upload.MultiUploader","base:Promise"], function(ImageRecorderWrapper, RecorderWrapper, Support, Dom, Info, Time, Objs, FileUploader, MultiUploader, Promise, scoped) {
    return ImageRecorderWrapper.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(options) {
                inherited.constructor.call(this, options);
                if (this._element.tagName.toLowerCase() !== "video")
                    this._element = Dom.changeTag(this._element, "video");
                this._recorder = RecorderWrapper.create({
                    video: this._element,
                    flip: !!this._options.flip,
                    recordVideo: true,
                    recordAudio: false,
                    recordResolution: {
                        width: this._options.recordingWidth,
                        height: this._options.recordingHeight
                    },
                    videoBitrate: this._options.videoBitrate,
                    screen: this._options.screen
                });
                this._recorder.on("error", function(errorName, errorData) {
                    this.trigger("error", errorName, errorData);
                }, this);
                this.ready.asyncSuccess(true);
            },

            destroy: function() {
                this._recorder.destroy();
                inherited.destroy.call(this);
            },

            _bindMedia: function() {
                return this._recorder.bindMedia();
            },

            _unbindMedia: function() {
                return this._recorder.unbindMedia();
            },

            lightLevel: function() {
                return this._recorder.lightLevel();
            },

            blankLevel: function() {
                return this._recorder.blankLevel();
            },

            deltaCoefficient: function() {
                return this._recorder.deltaCoefficient();
            },

            currentDevices: function() {
                return {
                    video: this._currentVideo
                };
            },

            enumerateDevices: function() {
                return Support.enumerateMediaSources().success(function(result) {
                    if (!this._currentVideo)
                        this._currentVideo = Objs.ithKey(result.video);
                }, this);
            },

            setCurrentDevices: function(devices) {
                if (devices && devices.video)
                    this._recorder.selectCamera(devices.video);
            },

            setCameraFace: function(faceFront) {
                if (Info.isMobile())
                    this._recorder.selectCameraFace(faceFront);
            },

            getCameraFacingMode: function() {
                if (Info.isMobile())
                    return this._recorder.getCameraFacingMode();
            },

            createSnapshot: function(type) {
                return this._recorder.createSnapshot(type);
            },

            removeSnapshot: function(snapshot) {},

            createSnapshotDisplay: function(parent, snapshot, x, y, w, h) {
                var url = Support.globals().URL.createObjectURL(snapshot);
                var image = document.createElement("img");
                image.style.position = "absolute";
                this.updateSnapshotDisplay(snapshot, image, x, y, w, h);
                image.src = url;
                Dom.elementPrependChild(parent, image);
                return image;
            },

            updateSnapshotDisplay: function(snapshot, image, x, y, w, h) {
                image.style.left = x + "px";
                image.style.top = y + "px";
                image.style.width = w + "px";
                image.style.height = h + "px";
            },

            removeSnapshotDisplay: function(image) {
                image.remove();
            },

            createSnapshotUploader: function(snapshot, type, uploaderOptions) {
                return FileUploader.create(Objs.extend({
                    source: snapshot
                }, uploaderOptions));
            },

            snapshotToLocalPoster: function(snapshot) {
                return snapshot;
            },

            _softwareDependencies: function() {
                if (!this._options.screen || Support.globals().supportedConstraints.mediaSource)
                    return Promise.value(true);
                var ext = Support.chromeExtensionExtract(this._options.screen);
                var err = [{
                    title: "Screen Recorder Extension",
                    execute: function() {
                        window.open(ext.extensionInstallLink);
                    }
                }];
                var pingTest = Time.now();
                return Support.chromeExtensionMessage(ext.extensionId, {
                    type: "ping",
                    data: pingTest
                }).mapError(function() {
                    return err;
                }).mapSuccess(function(pingResponse) {
                    if (pingResponse && pingResponse.type === "success" && pingResponse.data === pingTest)
                        return true;
                    return Promise.error(err);
                });
            }

        };
    }, {

        supported: function(options) {
            if (!RecorderWrapper.anySupport(options))
                return false;
            if (options.screen) {
                if (Support.globals().supportedConstraints.mediaSource && Info.isFirefox() && Info.firefoxVersion() > 55)
                    return true;
                if (Info.isChrome() && options.screen.chromeExtensionId)
                    return true;
                if (Info.isOpera() && options.screen.operaExtensionId)
                    return true;
                return false;
            }
            return true;
        }

    });
});

Scoped.extend("module:ImageRecorder.ImageRecorderWrapper", ["module:ImageRecorder.ImageRecorderWrapper","module:ImageRecorder.WebRTCImageRecorderWrapper"], function(ImageRecorderWrapper, WebRTCImageRecorderWrapper) {
    ImageRecorderWrapper.register(WebRTCImageRecorderWrapper, 2);
    return {};
});

Scoped.define("module:Recorder.WebRTCVideoRecorderWrapper", ["module:Recorder.VideoRecorderWrapper","module:WebRTC.RecorderWrapper","module:WebRTC.Support","module:WebRTC.AudioAnalyser","browser:Dom","browser:Info","base:Time","base:Objs","base:Timers.Timer","base:Comparators","browser:Upload.FileUploader","browser:Upload.MultiUploader","base:Promise"], function(VideoRecorderWrapper, RecorderWrapper, Support, AudioAnalyser, Dom, Info, Time, Objs, Timer, Comparators, FileUploader, MultiUploader, Promise, scoped) {
    return VideoRecorderWrapper.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(options) {
                inherited.constructor.call(this, options);
                if (this._element.tagName.toLowerCase() !== "video")
                    this._element = Dom.changeTag(this._element, "video");
                this._recorder = RecorderWrapper.create({
                    video: this._element,
                    flip: !!this._options.flip,
                    flipscreen: !!this._options.flipscreen,
                    framerate: this._options.framerate,
                    recordVideo: this._options.recordVideo,
                    recordFakeVideo: !this._options.recordVideo,
                    recordAudio: this._options.recordAudio,
                    recordResolution: {
                        width: this._options.recordingWidth,
                        height: this._options.recordingHeight
                    },
                    resizeMode: this._options.resizeMode,
                    videoBitrate: this._options.videoBitrate,
                    audioBitrate: this._options.audioBitrate,
                    webrtcStreaming: this._options.webrtcStreaming,
                    webrtcStreamingIfNecessary: this._options.webrtcStreamingIfNecessary,
                    localPlaybackRequested: this._options.localPlaybackRequested,
                    screen: this._options.screen,
                    getDisplayMediaSupported: typeof navigator.mediaDevices.getDisplayMedia !== 'undefined',
                    fittodimensions: this._options.fittodimensions,
                    cpuFriendly: this._options.cpuFriendly
                });
                this._recorder.on("bound", function() {
                    if (this._analyser)
                        this.testSoundLevel(true);
                }, this);
                this._recorder.on("error", function(errorName, errorData) {
                    this.trigger("error", errorName, errorData);
                }, this);
                this._recorder.on("mainvideostreamended", function() {
                    this.trigger("mainvideostreamended");
                }, this);
                this._recorder.on("dataavailable", function(e) {
                    this.trigger("dataavailable", e);
                }, this);
                this.ready.asyncSuccess(true);
            },

            destroy: function() {
                if (this._analyser)
                    this._analyser.weakDestroy();
                this._recorder.destroy();
                inherited.destroy.call(this);
            },

            recordDelay: function(opts) {
                return this._recorder.recordDelay(opts);
            },

            _bindMedia: function() {
                return this._recorder.bindMedia();
            },

            _unbindMedia: function() {
                return this._recorder.unbindMedia();
            },

            lightLevel: function() {
                return this._recorder.lightLevel();
            },

            blankLevel: function() {
                return this._recorder.blankLevel();
            },

            getVolumeGain: function() {
                return this._recorder.getVolumeGain();
            },

            setVolumeGain: function(volumeGain) {
                this._recorder.setVolumeGain(volumeGain);
            },

            deltaCoefficient: function() {
                return this._recorder.deltaCoefficient();
            },

            isWebrtcStreaming: function() {
                return this._recorder.isWebrtcStreaming();
            },

            canPause: function() {
                return this._recorder.canPause();
            },

            soundLevel: function() {
                if (!this._analyser && this._recorder && this._recorder.stream() && AudioAnalyser.supported())
                    this._analyser = new AudioAnalyser(this._recorder.stream());
                // Just so unsupported analysers don't lead to displaying that the microphone is not working
                return this._analyser ? this._analyser.soundLevel() : 1.1;
            },

            testSoundLevel: function(activate) {
                if (this._analyser) {
                    this._analyser.weakDestroy();
                    delete this._analyser;
                }
                if (activate && AudioAnalyser.supported())
                    this._analyser = new AudioAnalyser(this._recorder.stream());
            },

            currentDevices: function() {
                return {
                    video: this._currentVideo,
                    audio: this._currentAudio
                };
            },

            /**
             * Promise which will return available devices with their counts also will set
             * current video and audio devices for the recorder
             * @return {*}
             */
            enumerateDevices: function() {
                return Support.enumerateMediaSources().success(function(result) {

                    this._detectCurrentDeviceId(result.video, result.videoCount, true);
                    this._detectCurrentDeviceId(result.audio, result.audioCount, false);

                    var timer = this.auto_destroy(new Timer({
                        start: true,
                        delay: 100,
                        context: this,
                        destroy_on_stop: true,
                        fire: function() {
                            if (this._currentVideo && this._currentAudio) {
                                this.trigger("currentdevicesdetected", {
                                    video: this._currentVideo,
                                    audio: this._currentAudio
                                });
                                timer.stop();
                            }
                        }
                    }));

                }, this);
            },

            /**
             * Will Recorder function to bind all Streams
             *
             * @param {object} device
             * @param {object} options
             */
            addMultiStream: function(device, options) {
                return this._recorder.addNewSingleStream(device, options);
            },

            /**
             * Update small stream screen dimensions
             *
             * @param x
             * @param y
             * @param w
             * @param h
             * @return {*|void}
             */
            updateMultiStreamPosition: function(x, y, w, h) {
                return this._recorder.updateMultiStreamPosition(x, y, w, h);
            },


            /**
             * Will switch between video screen in multiple stream recorder
             * @return {*|void}
             */
            reverseCameraScreens: function() {
                return this._recorder.reverseVideos();
            },

            setCurrentDevices: function(devices) {
                if (devices && devices.video)
                    this._recorder.selectCamera(devices.video);
                if (devices && devices.audio)
                    this._recorder.selectMicrophone(devices.audio);
            },

            setCameraFace: function(faceFront) {
                if (Info.isMobile())
                    this._recorder.selectCameraFace(faceFront);
            },

            getCameraFacingMode: function() {
                if (Info.isMobile())
                    return this._recorder.getCameraFacingMode();
            },

            createSnapshot: function(type) {
                return this._recorder.createSnapshot(type);
            },

            removeSnapshot: function(snapshot) {},

            createSnapshotDisplay: function(parent, snapshot, x, y, w, h) {
                var url = Support.globals().URL.createObjectURL(snapshot);
                var image = document.createElement("img");
                image.style.position = "absolute";
                this.updateSnapshotDisplay(snapshot, image, x, y, w, h);
                image.src = url;
                if (parent.tagName.toLowerCase() === "video")
                    Dom.elementInsertAfter(image, parent);
                else
                    Dom.elementPrependChild(parent, image);
                return image;
            },

            updateSnapshotDisplay: function(snapshot, image, x, y, w, h) {
                image.style.left = x + "px";
                image.style.top = y + "px";
                image.style.width = w + "px";
                image.style.height = h + "px";
            },

            removeSnapshotDisplay: function(image) {
                image.remove();
            },

            createSnapshotUploader: function(snapshot, type, uploaderOptions) {
                return FileUploader.create(Objs.extend({
                    source: snapshot
                }, uploaderOptions));
            },

            startRecord: function(options) {
                this.__localPlaybackSource = null;
                return this._recorder.startRecord(options);
            },

            pauseRecord: function() {
                return this._recorder.pauseRecord();
            },

            resumeRecord: function() {
                return this._recorder.resumeRecord();
            },

            stopRecord: function(options) {
                var promise = Promise.create();
                this._recorder.once("data", function(videoBlob, audioBlob, noUploading) {
                    this.__localPlaybackSource = {
                        src: videoBlob,
                        audiosrc: audioBlob
                    };
                    var multiUploader = new MultiUploader();
                    if (!this._options.simulate && !noUploading && !options.noUploading) {
                        if (videoBlob) {
                            multiUploader.addUploader(FileUploader.create(Objs.extend({
                                source: videoBlob
                            }, options.video)));
                        }
                        if (audioBlob) {
                            multiUploader.addUploader(FileUploader.create(Objs.extend({
                                source: audioBlob
                            }, options.audio)));
                        }
                    }
                    promise.asyncSuccess(multiUploader);
                }, this);
                this._recorder.stopRecord();
                return promise;
            },

            supportsLocalPlayback: function() {
                return !(Info.isSafari() && this.isWebrtcStreaming()) && !!this.__localPlaybackSource.src;
            },

            supportsCameraFace: function() {
                return Info.isMobile();
            },

            snapshotToLocalPoster: function(snapshot) {
                return snapshot;
            },

            localPlaybackSource: function() {
                return this.__localPlaybackSource;
            },

            averageFrameRate: function() {
                return this._recorder.averageFrameRate();
            },

            _softwareDependencies: function() {
                if (!this._options.screen || (this._options.screen && typeof navigator.mediaDevices.getDisplayMedia !== 'undefined') || Support.globals().supportedConstraints.mediaSource)
                    return Promise.value(true);
                var ext = Support.chromeExtensionExtract(this._options.screen);
                var err = [{
                    title: "Screen Recorder Extension",
                    execute: function() {
                        window.open(ext.extensionInstallLink);
                    }
                }];
                var pingTest = Time.now();
                return Support.chromeExtensionMessage(ext.extensionId, {
                    type: "ping",
                    data: pingTest
                }).mapError(function() {
                    return err;
                }).mapSuccess(function(pingResponse) {
                    if (pingResponse && pingResponse.type === "success" && pingResponse.data === pingTest)
                        return true;
                    return Promise.error(err);
                });
            },

            /**
             * Reason why set this._currentVideo & _currentAudio based on return value is that Firefox returns 'undefined'
             * before waiting Objs.iter methods callback
             * @param devices
             * @param devicesCount
             * @param isVideo
             * @return {*}
             * @private
             */
            _detectCurrentDeviceId: function(devices, devicesCount, isVideo) {
                var _currentDeviceTrack, _currentDeviceSettings, _counter;
                if (isVideo) {
                    _currentDeviceTrack = this._recorder._videoTrack;
                    _currentDeviceSettings = this._recorder._videoTrackSettings;
                } else {
                    _currentDeviceTrack = this._recorder._audioTrack;
                    _currentDeviceSettings = this._recorder._audioTrackSettings;
                }

                // First will check if browser could provide device ID via device settings
                if (_currentDeviceSettings && _currentDeviceTrack) {
                    if (_currentDeviceSettings.deviceId && devices[_currentDeviceSettings.deviceId]) {
                        if (isVideo)
                            this._currentVideo = devices[_currentDeviceSettings.deviceId].id;
                        else
                            this._currentAudio = devices[_currentDeviceSettings.deviceId].id;
                        return devices[_currentDeviceSettings.deviceId].id;
                    }
                    // If browser can provide label of the current device will compare based on label
                    else if (_currentDeviceTrack.label) {
                        _counter = 1;
                        Objs.iter(devices, function(device, index) {
                            // If determine label will return device ID
                            if (Comparators.byValue(device.label, _currentDeviceTrack.label) === 0) {
                                if (isVideo)
                                    this._currentVideo = index;
                                else
                                    this._currentAudio = index;
                                return index;
                            }

                            if (_counter >= devicesCount) {
                                if (isVideo)
                                    this._currentVideo = Objs.ithKey(devices);
                                else
                                    this._currentAudio = Objs.ithKey(devices);
                                return Objs.ithKey(devices);
                            }

                            _counter++;
                        }, this);
                    } else {
                        if (isVideo)
                            this._currentVideo = Objs.ithKey(devices);
                        else
                            this._currentAudio = Objs.ithKey(devices);
                        return Objs.ithKey(devices);
                    }
                } else {
                    if (isVideo)
                        this._currentVideo = Objs.ithKey(devices);
                    else
                        this._currentAudio = Objs.ithKey(devices);
                    return Objs.ithKey(devices);
                }
            },

            errorHandler: function(error) {
                return Support.errorHandler(error);
            }
        };
    }, {

        supported: function(options) {
            if (!RecorderWrapper.anySupport(options))
                return false;
            if (options.screen) {
                if (
                    (Info.isChrome() || Info.isFirefox() || Info.isOpera() ||
                        (Info.isSafari() && Support.globals().MediaRecorder)
                    ) && typeof navigator.mediaDevices.getDisplayMedia !== 'undefined'
                )
                    return true;
                if (Support.globals().supportedConstraints.mediaSource && Info.isFirefox() && Info.firefoxVersion() > 55)
                    return true;
                if (Info.isChrome() && options.screen.chromeExtensionId)
                    return true;
                if (Info.isOpera() && options.screen.operaExtensionId)
                    return true;
                return false;
            }
            return true;
        }

    });
});

Scoped.extend("module:Recorder.WebRTCVideoRecorderWrapper", ["module:Recorder.VideoRecorderWrapper","module:Recorder.WebRTCVideoRecorderWrapper"], function(VideoRecorderWrapper, WebRTCVideoRecorderWrapper) {
    VideoRecorderWrapper.register(WebRTCVideoRecorderWrapper, 2);
    return {};
});

Scoped.define("module:WebRTC.PeerRecorderWrapper", ["module:WebRTC.RecorderWrapper","module:WebRTC.PeerRecorder","module:WebRTC.MediaRecorder","browser:Info","base:Async"], function(RecorderWrapper, PeerRecorder, MediaRecorder, Info, Async, scoped) {
    return RecorderWrapper.extend({
        scoped: scoped
    }, {

        _boundMedia: function() {
            this._recorder = new PeerRecorder(this._stream, {
                recorderWidth: this._options.recordResolution.width,
                recorderHeight: this._options.recordResolution.height,
                videoBitrate: this._options.videoBitrate,
                audioBitrate: this._options.audioBitrate,
                framerate: this._options.framerate,
                audioonly: !this._options.recordVideo
            });
            if (this._localPlaybackRequested && MediaRecorder.supported())
                this.__localMediaRecorder = new MediaRecorder(this._stream);
            this._recorder.on("error", this._error, this);
        },

        _unboundMedia: function() {
            this._recorder.destroy();
            if (this.__localMediaRecorder)
                this.__localMediaRecorder.weakDestroy();
        },

        _startRecord: function(options) {
            if (this.__localMediaRecorder)
                this.__localMediaRecorder.start();
            return this._recorder.start(options.webrtcStreaming);
        },

        isWebrtcStreaming: function() {
            return true;
        },

        _stopRecord: function() {
            this._recorder.stop();
            var localBlob = null;
            if (this.__localMediaRecorder) {
                this.__localMediaRecorder.once("data", function(blob) {
                    localBlob = blob;
                });
                this.__localMediaRecorder.stop();
            }
            Async.eventually(function() {
                this._dataAvailable(localBlob, null, true);
            }, this, this.__stopDelay || this._options.webrtcStreaming.stopDelay || 0);
        },

        recordDelay: function(opts) {
            this.__stopDelay = opts.webrtcStreaming.stopDelay;
            return opts.webrtcStreaming.delay || 0;
        },

        getVolumeGain: function() {},

        setVolumeGain: function(volumeGain) {},

        averageFrameRate: function() {
            return null;
        }

    }, function(inherited) {
        return {

            supported: function(options) {
                if (!inherited.supported.call(this, options))
                    return false;
                /*
                if (!options.recordVideo)
                    return false;
                    */
                if (options.screen && Info.isFirefox())
                    return false;
                return options.webrtcStreaming && PeerRecorder.supported();
            }

        };
    });
});

Scoped.define("module:WebRTC.PeerRecorderWrapperIfNecessary", ["module:WebRTC.PeerRecorderWrapper","base:Objs"], function(PeerRecorderWrapper, Objs, scoped) {
    return PeerRecorderWrapper.extend({
        scoped: scoped
    }, {}, function(inherited) {
        return {

            supported: function(options) {
                if (options.webrtcStreamingIfNecessary) {
                    options = Objs.clone(options, 1);
                    options.webrtcStreamingIfNecessary = false;
                    options.webrtcStreaming = true;
                }
                return inherited.supported.call(this, options);
            }

        };
    });
});

Scoped.define("module:WebRTC.MediaRecorderWrapper", ["module:WebRTC.RecorderWrapper","module:WebRTC.MediaRecorder"], function(RecorderWrapper, MediaRecorder, scoped) {
    return RecorderWrapper.extend({
        scoped: scoped
    }, {

        _boundMedia: function(stream) {
            stream = stream || this._stream;
            this._recorder = new MediaRecorder(stream, {
                videoBitrate: this._options.videoBitrate,
                audioBitrate: this._options.audioBitrate,
                audioonly: !this._options.recordVideo,
                cpuFriendly: this._options.cpuFriendly
            });
            this._recorder.on("dataavailable", function(e) {
                this.trigger("dataavailable", e);
            }, this);
            this._recorder.on("data", function(blob) {
                this._dataAvailable(blob);
            }, this);
        },

        _unboundMedia: function() {
            this._recorder.destroy();
            if (this._drawingStream)
                this._initCanvasStreamSettings();
        },

        _startRecord: function() {
            return this._recorder.start();
        },

        _stopRecord: function() {
            this._recorder.stop();
        },

        canPause: function() {
            return true;
        },

        getVolumeGain: function() {},

        setVolumeGain: function(volumeGain) {},

        averageFrameRate: function() {
            return null;
        }

    }, function(inherited) {
        return {

            supported: function(options) {
                if (!inherited.supported.call(this, options))
                    return false;
                if (options.recordFakeVideo)
                    return false;
                return MediaRecorder.supported();
            }

        };
    });
});

Scoped.define("module:WebRTC.WhammyRecorder", ["base:Class","base:Events.EventsMixin","base:Objs","base:Time","base:Functions","base:Promise","base:Async","module:WebRTC.Support","module:Encoding.WebmEncoder.Support"], function(Class, EventsMixin, Objs, Time, Functions, Promise, Async, Support, WebmSupport, scoped) {
    return Class.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {

        var CLUSTER_MAX_DURATION = 30000;
        /*
        var NO_STREAM_WIDTH = 40;
        var NO_STREAM_HEIGHT = 30;
        var NO_STREAM_WEBP = "data:image/webp;base64,UklGRjQAAABXRUJQVlA4ICgAAADwAgCdASooAB4APpFGnkslo6KhpWgAsBIJaQAAKUNt8AD++E0AAAAA";

        See: https://stackoverflow.com/questions/57132690/cloudfront-mp4-not-playing-on-some-android-and-iphone-browsers/58314774#58314774
        To re-create webp file:
        1. Create 80x60 colored white-background png in e.g. Gimp
        2. Convert to webp via cwebp command line tool.
        3. Base64 it.
         */
        var NO_STREAM_WIDTH = 80;
        var NO_STREAM_HEIGHT = 60;
        var NO_STREAM_WEBP = "data:image/webp;base64,UklGRjwAAABXRUJQVlA4IDAAAADQAwCdASpQADwAPpFIoUylpCMiIagAsBIJaQAADHThw4cOHDhwrAAA/vhNAAAAAAA=";

        return {

            constructor: function(stream, options) {
                inherited.constructor.call(this);
                this._stream = stream;
                this._options = Objs.extend({
                    recordWidth: 320,
                    recordHeight: 240,
                    quality: undefined,
                    video: null,
                    framerate: null
                }, options);
                this._started = false;
            },

            destroy: function() {
                this._started = false;
                this.trigger("stopped");
                inherited.destroy.call(this);
            },

            start: function() {
                if (this._started)
                    return Promise.value(true);
                this._started = true;
                if (this._options.video) {
                    this._options.recordWidth = this._options.video.videoWidth || this._options.video.clientWidth;
                    this._options.recordHeight = this._options.video.videoHeight || this._options.video.clientHeight;
                }
                this._video = document.createElement('video');
                this._video.width = this._options.recordWidth || NO_STREAM_WIDTH;
                this._video.height = this._options.recordHeight || NO_STREAM_HEIGHT;
                if (this._stream)
                    Support.bindStreamToVideo(this._stream, this._video);
                this._canvas = document.createElement('canvas');
                this._canvas.width = this._options.recordWidth || NO_STREAM_WIDTH;
                this._canvas.height = this._options.recordHeight || NO_STREAM_HEIGHT;
                this._context = this._canvas.getContext('2d');
                this._frames = [];
                //this._isOnStartedDrawingNonBlankFramesInvoked = false;
                this._lastTime = Time.now();
                this._startTime = this._lastTime;
                this.trigger("started");
                Async.eventually(this._process, [], this);
                return Promise.value(true);
            },

            stop: function() {
                if (!this._started)
                    return;
                this._started = false;
                this.trigger("stopped");
                this._generateData();
            },

            _process: function() {
                if (!this._started)
                    return;
                var now = Time.now();
                var duration = now - this._lastTime;
                this._lastTime = now;
                this._context.drawImage(this._video, 0, 0, this._canvas.width, this._canvas.height);
                this._frames.push({
                    duration: duration,
                    image: this._stream ? this._canvas.toDataURL('image/webp', this._options.quality) : NO_STREAM_WEBP
                });
                /*
		        if (!this._isOnStartedDrawingNonBlankFramesInvoked && !WebmSupport.isBlankFrame(this._canvas, this._frames[this._frames.length - 1])) {
		            this._isOnStartedDrawingNonBlankFramesInvoked = true;
		            this.trigger("onStartedDrawingNonBlankFrames");
		        }
		        */
                var maxTime = this._options.framerate ? 1000 / this._options.framerate : 10;
                Async.eventually(this._process, [], this, Math.max(1, maxTime - (Time.now() - now)));
            },

            averageFrameRate: function() {
                return this._frames.length > 0 ? (this._frames.length / (Time.now() - this._startTime) * 1000) : null;
            },

            _generateData: function() {
                if (!this._frames.length)
                    return;
                this._data = this.__compile(this._stream ? this.__dropBlackFrames(this._canvas, this._frames) : this._frames);
                this.trigger("data", this._data);
            },

            __compile: function(frames) {
                var totalDuration = 0;
                var width = null;
                var height = null;
                var clusters = [];

                var clusterTimecode = 0;

                var clusterFrames = null;
                var clusterDuration = null;

                frames.forEach(function(frame) {
                    if (!clusterFrames) {
                        clusterFrames = [];
                        clusterDuration = 0;
                    }

                    var webp = WebmSupport.parseWebP(WebmSupport.parseRIFF(atob(frame.image.slice(23))));

                    clusterFrames.push(WebmSupport.serializeEBML(WebmSupport.makeTimecodeDataBlock(webp.data, clusterDuration)));

                    clusterDuration += frame.duration;
                    totalDuration += frame.duration;
                    width = width || webp.width;
                    height = height || webp.height;

                    if (clusterDuration >= CLUSTER_MAX_DURATION) {
                        clusters.push(WebmSupport.serializeEBML(WebmSupport.makeCluster(clusterFrames, clusterTimecode)));
                        clusterTimecode = totalDuration;
                        clusterFrames = null;
                        clusterDuration = 0;
                    }
                }, this);

                if (clusterFrames)
                    clusters.push(WebmSupport.serializeEBML(WebmSupport.makeCluster(clusterFrames, clusterTimecode)));

                var EBML = WebmSupport.generateEBMLHeader(totalDuration, width, height);
                EBML[1].data = EBML[1].data.concat(clusters);
                return WebmSupport.serializeEBML(EBML);
            },

            __dropBlackFrames: function(canvas, _frames, _pixTolerance, _frameTolerance) {
                var idx = 0;
                while (idx < _frames.length) {
                    if (!WebmSupport.isBlankFrame(canvas, _frames[idx], _pixTolerance, _frameTolerance))
                        break;
                    idx++;
                }
                return _frames.slice(idx);
            },

            createSnapshot: function(type) {
                this._context.drawImage(this._video, 0, 0, this._canvas.width, this._canvas.height);
                return this._canvas.toDataURL(type);
            }

        };
    }], {

        supported: function(nostream) {
            return nostream || Support.globals().webpSupport;
        }

    });
});

Scoped.define("module:WebRTC.WhammyAudioRecorderWrapper", ["module:WebRTC.RecorderWrapper","module:WebRTC.AudioRecorder","module:WebRTC.WhammyRecorder","browser:Info","base:Promise"], function(RecorderWrapper, AudioRecorder, WhammyRecorder, Info, Promise, scoped) {
    return RecorderWrapper.extend({
        scoped: scoped
    }, {
        /*
        		_getConstraints: function () {
        			return {
        				audio: this._options.recordAudio,
        				video: this._options.recordVideo
        			}
        		},
        */
        _createSnapshot: function(type) {
            return this._whammyRecorder.createSnapshot(type);
        },

        _boundMedia: function() {
            this._videoBlob = null;
            this._audioBlob = null;
            if (this._hasVideo) {
                this._whammyRecorder = new WhammyRecorder(this._stream, {
                    //recorderWidth: this._options.recordResolution.width,
                    //recorderHeight: this._options.recordResolution.height,
                    video: this._video,
                    framerate: this._options.framerate
                });
            } else {
                this._whammyRecorder = new WhammyRecorder(null, {
                    framerate: this._options.framerate
                });
            }
            if (this._hasAudio) {
                this._audioRecorder = new AudioRecorder(this._stream);
                this._audioRecorder.on("data", function(blob) {
                    this._audioBlob = blob;
                    if (this._videoBlob || !this._hasVideo)
                        this._dataAvailable(this._videoBlob, this._audioBlob);
                }, this);
            }
            //if (this._hasVideo) {
            this._whammyRecorder.on("data", function(blob) {
                this._videoBlob = blob;
                if (this._audioBlob || !this._hasAudio)
                    this._dataAvailable(this._videoBlob, this._audioBlob);
            }, this);
            //}
            /*
            this._whammyRecorder.on("onStartedDrawingNonBlankFrames", function () {
            	if (this._recording)
            		this._audioRecorder.start();
            }, this);
            */
        },

        _unboundMedia: function() {
            if (this._hasAudio)
                this._audioRecorder.destroy();
            //if (this._hasVideo)
            this._whammyRecorder.destroy();
        },

        _startRecord: function() {
            var promises = [];
            //if (this._hasVideo)
            promises.push(this._whammyRecorder.start());
            if (this._hasAudio)
                promises.push(this._audioRecorder.start());
            return Promise.and(promises);
        },

        _stopRecord: function() {
            //if (this._hasVideo)
            this._whammyRecorder.stop();
            if (this._hasAudio)
                this._audioRecorder.stop();
        },

        getVolumeGain: function() {
            return this._audioRecorder ? this._audioRecorder.getVolumeGain() : 1.0;
        },

        setVolumeGain: function(volumeGain) {
            if (this._audioRecorder)
                this._audioRecorder.setVolumeGain(volumeGain);
        },

        averageFrameRate: function() {
            return this._whammyRecorder.averageFrameRate();
            //return this._hasVideo ? this._whammyRecorder.averageFrameRate() : 0;
        }


    }, function(inherited) {
        return {

            supported: function(options) {
                if (!inherited.supported.call(this, options))
                    return false;
                if (document.location.href.indexOf("https://") !== 0 && document.location.hostname !== "localhost") {
                    if (Info.isChrome() && Info.chromeVersion() >= 47)
                        return false;
                    if (Info.isOpera() && Info.operaVersion() >= 34)
                        return false;
                }
                return AudioRecorder.supported() && WhammyRecorder.supported(!options.recordVideo);
            }

        };
    });
});

Scoped.extend("module:WebRTC.RecorderWrapper", ["module:WebRTC.RecorderWrapper","module:WebRTC.PeerRecorderWrapper","module:WebRTC.MediaRecorderWrapper","module:WebRTC.WhammyAudioRecorderWrapper","module:WebRTC.PeerRecorderWrapperIfNecessary"], function(RecorderWrapper, PeerRecorderWrapper, MediaRecorderWrapper, WhammyAudioRecorderWrapper, PeerRecorderWrapperIfNecessary) {
    RecorderWrapper.register(PeerRecorderWrapper, 4);
    RecorderWrapper.register(MediaRecorderWrapper, 3);
    RecorderWrapper.register(WhammyAudioRecorderWrapper, 2);
    RecorderWrapper.register(PeerRecorderWrapperIfNecessary, 1);
    return {};
});


}).call(Scoped);
(function () {
var Scoped = this.subScope();
Scoped.binding('base', 'root:BetaJS');
Scoped.binding('browser', 'root:BetaJS.Browser');
Scoped.binding('module', 'root:BetaJS.Dynamics');
Scoped.define("module:Data.ScopeManager", ["base:Class","base:Trees.TreeNavigator","base:Classes.ObjectIdScopeMixin","base:Trees.TreeQueryEngine"], function(Class, TreeNavigator, ObjectIdScopeMixin, TreeQueryEngine, scoped) {
    return Class.extend({
        scoped: scoped
    }, [TreeNavigator, ObjectIdScopeMixin, function(inherited) {
        return {

            constructor: function(root) {
                inherited.constructor.call(this);
                this.__root = root;
                this.__watchers = [];
                this.__query = this._auto_destroy(new TreeQueryEngine(this));
            },

            nodeRoot: function() {
                return this.__root;
            },

            nodeId: function(node) {
                return node.cid();
            },

            nodeParent: function(node) {
                return node.__parent;
            },

            nodeChildren: function(node) {
                return node.__children;
            },

            nodeData: function(node) {
                return node.data();
            },

            nodeWatch: function(node, func, context) {
                node.on("data", function() {
                    func.call(context, "data");
                }, context);
                node.on("add", function(child) {
                    func.call(context, "addChild", child);
                }, context);
                node.on("destroy", function() {
                    func.call(context, "remove");
                }, context);
            },

            nodeUnwatch: function(node, func, context) {
                node.off(null, null, context);
            },

            query: function(scope, query) {
                return this.__query.query(scope, query);
            }

        };
    }]);
});

Scoped.define("module:Data.AbstractMultiScope", ["base:Class","base:Events.EventsMixin","base:Events.ListenMixin","base:Properties.ObservableMixin"], function(Class, EventsMixin, ListenMixin, ObservableMixin, scoped) {
    return Class.extend({
        scoped: scoped
    }, [EventsMixin, ListenMixin, ObservableMixin, function(inherited) {
        return {

            constructor: function() {
                inherited.constructor.call(this);
                var iter = this.iterator();
                while (iter.hasNext())
                    this.delegateEvents(null, iter.next());
            },

            destroy: function() {
                var iter = this.iterator();
                while (iter.hasNext())
                    iter.next().off(null, null, this);
                inherited.destroy.call(this);
            },

            set: function(key, value) {
                var iter = this.iterator();
                while (iter.hasNext())
                    iter.next().set(key, value);
                return this;
            },

            get: function(key) {
                var iter = this.iterator();
                return iter.hasNext() ? iter.next().get(key) : null;
            },

            hasKey: function(key) {
                var iter = this.iterator();
                while (iter.hasNext())
                    if (iter.next().hasKey(key))
                        return true;
                return false;
            },

            setProp: function(key, value) {
                var iter = this.iterator();
                while (iter.hasNext())
                    iter.next().setProp(key, value);
                return this;
            },

            getProp: function(key) {
                var iter = this.iterator();
                return iter.hasNext() ? iter.next().getProp(key) : null;
            },

            define: function(name, func) {
                var iter = this.iterator();
                while (iter.hasNext())
                    iter.next().define(name, func);
                return this;
            },

            /* Deprecated */
            call: function(name) {
                return this.execute.apply(this, arguments);
            },

            execute: function(name) {
                var iter = this.iterator();
                var result = null;
                while (iter.hasNext()) {
                    var obj = iter.next();
                    var local = obj.execute.apply(obj, arguments);
                    result = result || local;
                }
                return result;
            },

            materialize: function(returnFirst) {
                return returnFirst ? this.iterator().next() : this.iterator().asArray();
            },

            iterator: function() {
                throw "Abstract";
            },

            _addScope: function(scope) {
                this.delegateEvents(null, scope);
                this.trigger("addscope", scope);
                return this;
            },

            _removeScope: function(scope) {
                scope.off(null, null, this);
                this.trigger("removescope", scope);
                return this;
            }

        };
    }]);
});

Scoped.define("module:Data.MultiScope", ["module:Data.AbstractMultiScope","base:Iterators.ArrayIterator"], function(Class, ArrayIterator, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(owner, base, query) {
                this.__owner = owner;
                this.__base = base;
                this.__queryStr = query;
                this.__query = this.auto_destroy(this.__owner.__manager.query(this.__owner, query));
                inherited.constructor.call(this);
                this.__query.on("add", this._addScope, this);
                this.__query.on("remove", this._removeScope, this);
            },

            iterator: function() {
                return new ArrayIterator(this.__query.result());
            },

            parent: function() {
                return this.__owner.scope(this.__base, this.__queryStr + "<");
            },

            root: function() {
                return this.__owner.root();
            },

            children: function() {
                return this.__owner.scope(this.__base, this.__queryStr + ">");
            },

            scope: function(base, query) {
                if (arguments.length < 2) {
                    query = this.__queryStr + base;
                    base = this.__base;
                }
                return this.__owner.scope(base, query);
            },

            freeze: function() {
                this.__query.off("add", null, this);
            }

        };
    });
});

Scoped.define("module:Data.ManualMultiScope", ["module:Data.AbstractMultiScope"], function(Class, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(iteratorCallback, iteratorContext) {
                this.__iteratorCallback = iteratorCallback;
                this.__iteratorContext = iteratorContext;
                inherited.constructor.call(this);
            },

            iterator: function() {
                return this.__iteratorCallback.call(this.__iteratorContext);
            },

            addScope: function(scope) {
                return this._addScope(scope);
            },

            removeScope: function(scope) {
                return this._removeScope(scope);
            }

        };
    });
});

Scoped.define("module:Data.Friendgroup", ["base:Class","base:Types","base:Objs","base:Iterators.ObjectValuesIterator","module:Data.ManualMultiScope"], function(Class, Types, Objs, ObjectValuesIterator, ManualMultiScope, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(parent) {
                inherited.constructor.call(this);
                this.parent = parent;
                this._registeredScopes = {};
                this._watchScopes = {};
            },

            destroy: function() {
                Objs.iter(this._watchScopes, function(m) {
                    m.weakDestroy();
                });
                inherited.destroy.call(this);
            },

            registerScope: function(scope, identifier) {
                this._registeredScopes[identifier] = this._registeredScopes[identifier] || {};
                this._registeredScopes[identifier][scope.cid()] = scope;
                if (this._watchScopes[identifier])
                    this._watchScopes[identifier].addScope(scope);
            },

            unregisterScope: function(scope, identifier) {
                delete this._registeredScopes[identifier][scope.cid()];
                if (Types.is_empty(this._registeredScopes[identifier]))
                    delete this._registeredScopes[identifier];
                if (this._watchScopes[identifier])
                    this._watchScopes[identifier].removeScope(scope);
            },

            watchScope: function(reference, identifier) {
                if (!this._watchScopes[identifier]) {
                    this._watchScopes[identifier] = new ManualMultiScope(function() {
                        return this.iterateScopes(identifier);
                    }, this);
                }
                this._watchScopes[identifier].increaseRef(reference);
                return this._watchScopes[identifier];
            },

            unwatchScope: function(reference, identifier) {
                if (this._watchScopes[identifier]) {
                    this._watchScopes[identifier].decreaseRef(reference);
                    if (this._watchScopes[identifier].destroyed())
                        delete this._watchScopes[identifier];
                }
                return this;
            },

            iterateScopes: function(identifier) {
                return this._registeredScopes[identifier] || !this.parent ?
                    new ObjectValuesIterator(this._registeredScopes[identifier] || {}) :
                    this.parent.iterateScopes(identifier);
            }

        };
    });
});

Scoped.define("module:Data.Scope", ["base:Class","base:Events.EventsMixin","base:Events.ListenMixin","base:Classes.ObjectIdMixin","base:Functions","base:Types","base:Strings","base:Objs","base:Ids","base:Properties.Properties","base:Collections.Collection","base:Events.Events","base:Properties.ObservableMixin","module:Data.ScopeManager","module:Data.MultiScope","module:Data.AbstractMultiScope","module:Data.Friendgroup"], function(Class, EventsMixin, ListenMixin, ObjectIdMixin, Functions, Types, Strings, Objs, Ids, Properties, Collection, Events, ObservableMixin, ScopeManager, MultiScope, AbstractMultiScope, Friendgroup, scoped) {
    return Class.extend({
        scoped: scoped
    }, [EventsMixin, ListenMixin, ObjectIdMixin, ObservableMixin, function(inherited) {
        return {

            constructor: function(options) {
                options = Objs.extend({
                    functions: {},
                    data: {},
                    parent: null,
                    scopes: {},
                    bind: {},
                    attrs: {},
                    extendables: [],
                    collections: {},
                    computed: {},
                    events: {},
                    channels: {},
                    registerchannels: [],
                    friends: {}
                }, options);
                if (options.bindings)
                    options.bind = Objs.extend(options.bind, options.bindings);
                this._channels = {};
                this.__channelCache = {};
                var parent = options.parent;
                this.__manager = parent ? parent.__manager : this._auto_destroy(new ScopeManager(this));
                inherited.constructor.call(this);
                this.__parent = parent;
                this.__root = parent ? parent.root() : this;
                this.__children = {};
                this.__extendables = Objs.objectify(options.extendables);
                this.__properties = options.properties || new Properties();
                this.__properties.increaseRef(this);
                this.__properties.on("change", function(key, value, oldValue) {
                    this.trigger("change:" + key, value, oldValue);
                }, this);
                this.__functions = Objs.map(options.functions, function(value) {
                    return Types.is_string(value) ? Functions.as_method(this[value], this) : value;
                }, this);
                this.__scopes = {};
                this.__data = options.data;
                Objs.iter(Types.is_function(options.attrs) ? options.attrs.call(this) : options.attrs, function(value, key) {
                    if (!this.__properties.has(key))
                        this.set(key, value);
                }, this);
                this.setAll();
                Objs.iter(Types.is_function(options.collections) ? options.collections.call(this) : options.collections, function(value, key) {
                    if (Types.is_array(options.collections)) {
                        key = value;
                        value = [];
                    }
                    if (!this.__properties.has(key) || (Class.is_instance_of(this.__properties.get(key)) && this.__properties.get(key).destroyed())) {
                        this.set(key, this.auto_destroy(new Collection({
                            objects: value,
                            release_references: true
                        })));
                    }
                }, this);
                if (parent)
                    parent.__add(this);
                this.scopes = Objs.map(options.scopes, function(key) {
                    return this.scope(key);
                }, this);
                Objs.iter(options.bind, function(value, key) {
                    var i = value.indexOf(":");
                    this.bind(this.scope(value.substring(0, i)), key, {
                        secondKey: value.substring(i + 1)
                    });
                }, this);
                Objs.iter(options.computed, function(value, key) {
                    var splt = Strings.splitFirst(key, ":");
                    this.__properties.compute(splt.head, value, this, splt.tail.split(","));
                }, this);
                Objs.iter(options.events, function(value, key) {
                    this.on(key, value, this);
                }, this);
                Objs.iter(options.registerchannels, this.registerChannel, this);
                Objs.iter(options.channels, function(value, key) {
                    var splt = Strings.splitFirst(key, ":");
                    var channel = this.channel(splt.head);
                    if (channel)
                        this.listenOn(this.channel(splt.head), splt.tail, value, this);
                }, this);
                if (this.friendgroup || !parent)
                    this.friendgroup = this.auto_destroy(new Friendgroup(parent ? parent.friendgroup : null));
                else
                    this.friendgroup = parent.friendgroup;
                this.friends = {};
                this.__friends = options.friends;
                Objs.iter(this.__friends, function(value, key) {
                    this.friends[key] = this.friendgroup.watchScope(this, value);
                }, this);
            },

            friendgroup: false,

            destroy: function() {
                this.trigger("destroy");
                Objs.iter(this.__friends, function(value) {
                    this.friendgroup.unwatchScope(this, value);
                }, this);
                Objs.iter(this.__scopes, function(scope) {
                    scope.destroy();
                });
                Objs.iter(this.__children, function(child) {
                    child.destroy();
                });
                this.__properties.decreaseRef(this);
                if (this.__parent)
                    this.__parent.__remove(this);
                inherited.destroy.call(this);
            },

            __object_id_scope: function() {
                return this.__manager;
            },

            __add: function(child) {
                this.__children[child.cid()] = child;
                this.trigger("add", child);
            },

            __remove: function(child) {
                this.trigger("remove", child);
                delete this.__children[child.cid()];
            },

            data: function(key, value) {
                if (arguments.length === 0)
                    return this.__data;
                if (arguments.length === 1)
                    return this.__data[key];
                this.__data[key] = value;
                this.trigger("data", key, value);
                return this;
            },

            set: function(key, value, force) {
                if (this.destroyed())
                    return this;
                if (key in this.__extendables)
                    value = Objs.tree_extend(this.__properties.get(key) || {}, value);
                this.__properties.set(key, value, force);
                return this;
            },

            setAll: function(obj) {
                this.__properties.setAll(obj);
                return this;
            },

            hasKey: function(key) {
                return this.__properties.hasKey(key);
            },

            get: function(key) {
                return this.__properties.get(key);
            },

            setProp: function(key, value) {
                this.__properties.setProp(key, value);
                return this;
            },

            getProp: function(key) {
                return this.__properties.getProp(key);
            },

            flipProp: function(key) {
                return this.setProp(key, !this.getProp(key));
            },

            define: function(name, func, ctx) {
                this.__functions[name] = Functions.as_method(func, ctx || this);
                return this;
            },

            /* Deprecated */
            call: function(name) {
                return this.execute.apply(this, arguments);
            },

            execute: function(name) {
                var args = Functions.getArguments(arguments, 1);
                try {
                    if (Types.is_string(name))
                        return this.__functions[name].apply(this, args);
                    else
                        return name.apply(this, args);
                } catch (e) {
                    console.error(e);
                    return this.handle_call_exception(name, args, e);
                }
            },

            handle_call_exception: function(name, args, e) {
                throw e;
            },

            parent: function() {
                return this.__parent;
            },

            _eventChain: function() {
                return this.parent();
            },

            registerChannel: function(s) {
                this._channels[s] = this.auto_destroy(new Events());
            },

            channel: function(s) {
                if (!(s in this.__channelCache)) {
                    var result = null;
                    if (this._channels[s])
                        result = this._channels[s];
                    else if (this.__parent)
                        result = this.__parent.channel(s);
                    this.__channelCache[s] = result;
                }
                return this.__channelCache[s];
            },

            root: function() {
                return this.__root;
            },

            children: function() {
                return this.scope(">");
            },

            properties: function() {
                return this.__properties;
            },

            compute: function(key, callback, dependencies) {
                this.properties().compute(key, callback, this, dependencies);
            },

            scope: function(base, query) {
                if (arguments.length < 2) {
                    query = base;
                    base = this;
                }
                if (!query)
                    return base;
                if (base && base.instance_of(MultiScope))
                    base = base.iterator().next();
                if (!base)
                    return base;
                var ident = Ids.objectId(base) + "_" + query;
                if (!this.__scopes[ident])
                    this.__scopes[ident] = new MultiScope(this, base, query);
                return this.__scopes[ident];
            },

            bind: function(scope, key, options) {
                if (scope.instance_of(AbstractMultiScope)) {
                    var iter = scope.iterator();
                    while (iter.hasNext())
                        this.properties().bind(key, iter.next().properties(), options);
                    scope.on("addscope", function(s) {
                        this.properties().bind(key, s.properties(), options);
                    }, this);
                    scope.on("removescope", function(s) {
                        this.properties().unbind(key, s.properties());
                    }, this);
                } else
                    this.properties().bind(key, scope.properties(), options);
            }

        };
    }], {

        _extender: {
            functions: function(base, overwrite) {
                return Objs.extend(Objs.clone(base, 1), overwrite);
            },
            friends: function(base, overwrite) {
                return Objs.extend(Objs.clone(base, 1), overwrite);
            }

        }

    });
});

Scoped.define("module:Parser", ["base:Types","base:Objs","base:JavaScript"], function(Types, Objs, JavaScript) {
    return {

        __cache: {},

        __functions: {},

        secureMode: false,

        compileFunction: function(code) {
            code = code.trim();
            if (!(code in this.__functions)) {
                if (this.secureMode)
                    throw ("Dynamics Secure Mode prevents creation of function code '" + code + "'.");
                /*jslint evil: true */
                try {
                    this.__functions[code] = new Function("obj", "with (obj) { return " + code + "; }");
                } catch (e) {
                    console.warn("Cannot compile `" + code + "` : " + e);
                    this.__functions[code] = function() {
                        return {};
                    };
                }
            }
            return this.__functions[code];
        },

        registerFunctions: function(codes) {
            this.__functions = Objs.extend(this.__functions, codes);
        },

        parseText: function(text) {
            if (!text)
                return null;
            var chunks = [];
            while (text) {
                var i = text.indexOf("{{");
                var dynamic = null;
                if (i === 0) {
                    i = text.indexOf("}}");
                    while (i + 2 < text.length && text.charAt(i + 2) == "}")
                        i++;
                    if (i >= 0) {
                        i += 2;
                        dynamic = this.parseCode(text.substring(2, i - 2));
                    } else
                        i = text.length;
                } else if (i < 0)
                    i = text.length;
                chunks.push(dynamic ? dynamic : text.substring(0, i));
                text = text.substring(i);
            }
            if (chunks.length == 1)
                return Types.is_string(chunks[0]) ? null : chunks[0];
            var dependencies = {};
            Objs.iter(chunks, function(chunk) {
                if (!Types.is_string(chunk)) {
                    Objs.iter(chunk.dependencies, function(dep) {
                        dependencies[dep] = true;
                    });
                }
            });
            return {
                func: function(obj) {
                    var s = null;
                    Objs.iter(chunks, function(chunk) {
                        var result = Types.is_string(chunk) ? chunk : chunk.func(obj);
                        s = s === null ? result : (s + result);
                    });
                    return s;
                },
                dependencies: Objs.keys(dependencies)
            };
        },

        parseCode: function(code) {
            var result = this.__cache[code];
            if (!result) {
                var bidirectional = false;
                var html = false;
                var noentities = false;
                var hidden = false;
                var c = code;
                if (c.charAt(0) === "?") {
                    hidden = true;
                    c = c.substring(1);
                }
                if (c.charAt(0) === "=") {
                    bidirectional = true;
                    c = c.substring(1);
                } else if (c.charAt(0) === "-") {
                    html = true;
                    c = c.substring(1);
                } else if (c.charAt(0) === "*") {
                    noentities = true;
                    c = c.substring(1);
                }
                var i = c.lastIndexOf("::");
                var args = null;
                if (i >= 0) {
                    args = c.substring(0, i).trim();
                    c = c.substring(i + 2);
                }
                result = {
                    bidirectional: bidirectional,
                    hidden: hidden,
                    html: html,
                    noentities: noentities,
                    args: args,
                    variable: bidirectional ? c : null,
                    func: this.compileFunction(c),
                    dependencies: Objs.keys(Objs.objectify(JavaScript.extractIdentifiers(c, true)))
                };
                this.__cache[code] = result;
            }
            return Objs.clone(result, 1);
        }

    };
});

Scoped.define("module:Data.Mesh", ["base:Class","base:Events.EventsMixin","base:Properties.ObservableMixin","base:Objs","base:Types","base:Strings","base:Ids","base:Functions","base:Classes.SharedObjectFactory"], function(Class, EventsMixin, ObservableMixin, Objs, Types, Strings, Ids, Functions, SharedObjectFactory, scoped) {
    return Class.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {

            constructor: function(environment, context, defaults) {
                inherited.constructor.call(this);
                this.__environment = environment;
                this.__defaults = defaults;
                this.__context = context;
                this.__watchers = {};
                this.__acquiredProperties = {};
            },

            destroy: function() {
                Objs.iter(this.__watchers, function(watcher) {
                    this.__destroyWatcher(watcher);
                }, this);
                Objs.iter(this.__acquiredProperties, function(prop) {
                    prop.decreaseRef(this);
                }, this);
                inherited.destroy.call(this);
            },

            watch: function(expressions, callback, context) {
                Objs.iter(expressions, function(expression) {
                    var watcher = this.__createWatcher(expression);
                    watcher.cbs[Ids.objectId(context)] = {
                        callback: callback,
                        context: context
                    };
                }, this);
            },

            unwatch: function(expressions, context) {
                if (expressions) {
                    Objs.iter(expressions, function(expression) {
                        var watcher = this.__createWatcher(expression, true);
                        if (watcher) {
                            delete watcher.cbs[Ids.objectId(context)];
                            this.__destroyWatcher(watcher, true);
                        }
                    }, this);
                } else if (context) {
                    Objs.iter(this.__watchers, function(watcher) {
                        delete watcher.cbs[Ids.objectId(context)];
                        this.__destroyWatcher(watcher, true);
                    }, this);
                }
            },

            __destroyWatcher: function(watcher, weak) {
                if (Types.is_string(watcher))
                    watcher = this.__watchers[watcher];
                if (!watcher || (weak && !(Types.is_empty(watcher.cbs) && Types.is_empty(watcher.children))))
                    return;
                Objs.iter(watcher.children, this.__destroyWatcher, this);
                this.__unbindWatcher(watcher);
                if (watcher.parent)
                    delete watcher.parent.children[watcher.key];
                delete this.__watchers[watcher.expression];
                if (watcher.parent && Types.is_empty(watcher.parent.cbs) && Types.is_empty(watcher.parent.children))
                    this.__destroyWatcher(watcher.parent);
            },

            __createWatcher: function(expression, weak) {
                var watcher = this.__watchers[expression];
                if (watcher || weak)
                    return watcher;
                var split = Strings.splitLast(expression, ".");
                var parent = split.head ? this.__createWatcher(split.head) : null;
                watcher = {
                    cbs: {},
                    parent: parent,
                    key: split.tail,
                    expression: expression,
                    children: {},
                    properties: null,
                    propertiesPrefix: null
                };
                if (parent)
                    parent.children[split.tail] = watcher;
                this.__watchers[expression] = watcher;
                this.__bindWatcher(watcher);
                return watcher;
            },

            __unbindWatcher: function(watcher) {
                if (watcher.properties)
                    watcher.properties.off(null, null, watcher);
                Objs.iter(watcher.children, this.__unbindWatcher, this);
            },

            __bindWatcher: function(watcher) {
                var n = null;
                for (var i = this.__environment.length - 1; i >= 0; --i) {
                    var scope = this.__environment[i];
                    n = this._navigate(scope, watcher.expression);
                    if (n.properties && !n.tail)
                        break;
                    n = null;
                }
                if (n === null) {
                    var defScope = this.__defaults.watch || this.__environment[0];
                    n = this._navigate(defScope, watcher.expression);
                    if (!n.properties && ObservableMixin.__observable_guid === defScope.__observable_guid)
                        n.properties = defScope;
                    if (!n.properties)
                        n = null;
                }
                if (n === null)
                    return;
                watcher.properties = n.properties;
                var exp = n.head + (n.head && n.tail ? "." : "") + n.tail;
                watcher.propertiesPrefix = exp;
                var self = this;
                watcher.properties.on("change:" + watcher.propertiesPrefix, function(value, oldValue, force) {
                    Objs.iter(watcher.children, self.__unbindWatcher, self);
                    Objs.iter(watcher.children, self.__bindWatcher, self);
                    if (watcher.value != value || force) {
                        watcher.value = value;
                        Objs.iter(watcher.cbs, function(cb) {
                            cb.callback.apply(cb.context);
                        }, self);
                    }
                }, watcher);
                var value = watcher.properties.get(exp);
                if (value != watcher.value) {
                    watcher.value = value;
                    Objs.iter(watcher.cbs, function(cb) {
                        cb.callback.apply(cb.context);
                    }, this);
                }
                Objs.iter(watcher.children, this.__bindWatcher, this);
            },

            read: function(expression) {
                for (var i = this.__environment.length - 1; i >= 0; --i) {
                    var ret = this._read(this.__environment[i], expression);
                    if (ret) {
                        if (Types.is_function(ret.value))
                            return Functions.as_method(ret.value, ret.context);
                        return ret.value;
                    }
                }
                return null;
            },

            write: function(expression, value) {
                for (var i = this.__environment.length - 1; i >= 0; --i) {
                    if (this._write(this.__environment[i], expression, value, false))
                        return;
                }
                this._write(this.__defaults.write || this.__environment[0], expression, value, true);
            },

            execute: function(expressions, callback, readonly, factoryPassthrough) {
                var data = {};
                var exprs = [];
                Objs.iter(expressions, function(expression) {
                    var value = this.read(expression);
                    if (value !== null || !(Strings.splitFirst(expression, ".").head in window)) {
                        exprs.push(expression);
                        data[expression] = value;
                    }
                }, this);

                var expanded = this.__expand(data);

                var result = callback.call(this.__context, expanded);
                if (!readonly) {
                    var collapsed = this.__collapse(expanded, exprs);
                    for (var expression in collapsed) {
                        if (!(expression in data) || data[expression] != collapsed[expression])
                            this.write(expression, collapsed[expression]);
                    }
                }
                if (!factoryPassthrough && SharedObjectFactory.is_instance_of(result) && !result.destroyed()) {
                    result = result.acquire(this);
                    this.__acquiredProperties[result.cid()] = result;
                }
                return result;
            },

            _sub_navigate: function(properties, head, tail, parent, current) {
                var base = {
                    properties: properties,
                    head: head,
                    tail: tail,
                    parent: parent,
                    current: current
                };
                if (!tail || !current || !Types.is_object(current))
                    return base;
                var splt = Strings.splitFirst(tail, ".");
                var hd = head ? head + "." + splt.head : splt.head;
                if (SharedObjectFactory.is_instance_of(current) && !current.destroyed()) {
                    current = current.acquire(this);
                    this.__acquiredProperties[current.cid()] = current;
                }
                if (ObservableMixin.__observable_guid === current.__observable_guid && !current.destroyed()) {
                    if (current.hasKey(splt.head))
                        return this._sub_navigate(current, splt.head, splt.tail, current, current.get(splt.head));
                    else if (splt.head in current)
                        return this._sub_navigate(properties, hd, splt.tail, current, current[splt.head]);
                    else {
                        return {
                            properties: current,
                            head: splt.head,
                            tail: splt.tail,
                            parent: current,
                            current: null
                        };
                    }
                } else if (splt.head in current)
                    return this._sub_navigate(properties, hd, splt.tail, current, current[splt.head]);
                else
                    return base;
            },

            _navigate: function(scope, expression) {
                return this._sub_navigate(null, "", expression, null, scope);
            },

            _read: function(scope, expression) {
                var n = this._navigate(scope, expression);
                if (n.tail)
                    return null;
                return {
                    value: n.current,
                    context: n.parent == scope ? this.__context : n.parent
                };
            },

            _write: function(scope, expression, value, force) {
                var n = this._navigate(scope, expression);
                if (n.tail && !force)
                    return false;
                var tail = n.tail.split(".");
                if (n.properties)
                    n.properties.set(n.head + (n.head && n.tail ? "." : "") + n.tail, value);
                else {
                    var current = n.current;
                    for (var i = 0; i < tail.length - 1; ++i) {
                        current[tail[i]] = {};
                        current = current[tail[i]];
                    }
                    current[tail[tail.length - 1]] = value;
                }
                return true;
            },

            __expand: function(obj) {
                var result = {};
                Objs.iter(obj, function(value, key) {
                    var current = result;
                    var keys = key.split(".");
                    for (var i = 0; i < keys.length - 1; ++i) {
                        if (!(keys[i] in current) || !Types.is_object(current[keys[i]]) || current[keys[i]] === null)
                            current[keys[i]] = {};
                        current = current[keys[i]];
                    }
                    current[keys[keys.length - 1]] = value;
                });
                return result;
            },

            __collapse: function(obj, expressions) {
                var result = {};
                Objs.iter(expressions, function(expression) {
                    var keys = expression.split(".");
                    var current = obj;
                    for (var i = 0; i < keys.length; ++i)
                        current = current[keys[i]];
                    result[expression] = current;
                });
                return result;
            }

        };
    }]);
});

Scoped.define("module:Registries", ["base:Classes.ClassRegistry","base:Exceptions.AsyncExceptionThrower","browser:Dom","base:Strings"], function(ClassRegistry, AsyncExceptionThrower, Dom, Strings) {
    return {

        handler: new ClassRegistry({}, true),
        partial: new ClassRegistry({}, true),
        prefixes: {
            "ba": true
        },

        prefixNormalize: function(s, returnOriginal) {
            var splt = Strings.splitFirst(s || "", "-");
            return this.prefixes[splt.head] ? splt.tail : s;
        },

        templates: {

            cache: {},

            create: function(template) {
                template = template.trim();
                var cached = this.cache[template];
                if (!cached) {
                    if (template.indexOf("<") === 0)
                        cached = Dom.elementsByTemplate(template);
                    else
                        cached = [document.createTextNode(template)];
                    this.cache[template] = cached;
                }
                return cached.map(function(element) {
                    return element.cloneNode(true);
                });
            }

        },

        throwException: function(e) {
            try {
                if (!this.exceptionThrower)
                    this.exceptionThrower = new AsyncExceptionThrower();
                this.exceptionThrower.throwException(e);
            } catch (ex) {}
        },

        handlerCache: {

            cache: {},
            cacheDom: null,

            suspend: function(handler, element) {
                element = Dom.unbox(element);
                if (!this.cacheDom) {
                    this.cacheDom = document.createElement("div");
                    this.cacheDom.setAttribute("ba-ignore", "");
                    this.cacheDom.style.display = "none";
                    document.body.appendChild(this.cacheDom);
                }
                var name = handler.data("tagname");
                this.cache[name] = this.cache[name] || [];
                var children = [];
                for (var i = 0; i < element.children.length; ++i)
                    children.push(element.children[i]);
                this.cache[name].push({
                    handler: handler,
                    elements: children
                });
                children.forEach(function(child) {
                    this.cacheDom.appendChild(child);
                }, this);
            },

            resume: function(name, element, parentHandler) {
                element = Dom.unbox(element);
                if (!this.cache[name] || this.cache[name].length === 0)
                    return null;
                var record = this.cache[name].shift();
                element.innerHTML = "";
                record.elements.forEach(function(child) {
                    element.appendChild(child);
                });
                record.handler._handlerInitialize({
                    parentHandler: parentHandler,
                    parentElement: element
                });
                return record.handler;
            }

        }

    };
});

Scoped.define("module:Exceptions.TagHandlerException", ["base:Exceptions.Exception"], function(Exception, scoped) {
    return Exception.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(clsname, tag) {
                inherited.constructor.call(this, clsname + " is expecting a tag handler, but no registered tag handler for " + tag + " has been found.");
            }

        };
    });
});

Scoped.define("module:Handlers.Attr", ["base:Class","module:Exceptions.TagHandlerException","module:Parser","base:Types","base:Objs","base:Async","base:Strings","module:Registries","browser:Dom","browser:Events"], function(Class, TagHandlerException, Parser, Types, Objs, Async, Strings, Registries, Dom, Events, scoped) {
    var Cls;
    Cls = Class.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(node, attribute, dataNode) {
                inherited.constructor.call(this);
                this._dataNode = dataNode || node;
                this._node = node;
                this._tagHandler = null;
                this._attrName = attribute.name;
                this._isEvent = this._attrName.indexOf("on") === 0;
                this._updatable = !this._isEvent;
                this._attrValue = attribute.value;
                this._dyn = Parser.parseText(this._attrValue);
                if (this._dyn) {
                    var self = this;
                    this._dataNode.mesh().watch(this._dyn.dependencies, function() {
                        self.__updateAttr();
                    }, this);
                }
                this.updateElement(node.element(), attribute);
            },

            destroy: function() {
                if (this._partial)
                    this._partial.destroy();
                if (this._dyn)
                    this._dataNode.mesh().unwatch(this._dyn.dependencies, this);
                inherited.destroy.call(this);
            },

            __inputVal: function(el, value) {
                var valueKey = el.type === 'checkbox' || el.type === 'radio' ? 'checked' : 'value';
                if (arguments.length > 1) {
                    value = value === null || value === undefined ? "" : value;
                    if (el.type === "select-one") {
                        Async.eventually(function() {
                            el[valueKey] = value;
                        });
                    } else
                        el[valueKey] = value;
                }
                return el[valueKey];
            },

            _events: function() {
                if (!this.__events)
                    this.__events = this.auto_destroy(new Events());
                return this.__events;
            },

            updateElement: function(element, attribute) {
                this._element = element;
                attribute = attribute || element.attributes[this._attrName];
                this._attribute = attribute;
                var splt = Strings.splitFirst(this._attrName, ":");
                this._partialCls = Registries.partial.get(splt.head);
                if (this._partial) {
                    this._partial.destroy();
                    this._partial = null;
                }
                this.__updateAttr();
                if (this._partialCls) {
                    this._partial = Registries.partial.create(splt.head, this._node, this._dyn ? this._dyn.args : {}, this._attrValue, splt.tail);
                    if (this._partial.cls.meta.value_hidden)
                        this._attribute.value = "";
                }
                if (this._dyn) {
                    if (this._dyn.bidirectional && this._attrName == "value") {
                        this._events().on(this._element, "change keyup keypress keydown blur focus update input", function() {
                            this._dataNode.mesh().write(this._dyn.variable, this.__inputVal(this._element));
                        }, this);
                    }
                    if (this._isEvent) {
                        this._attribute.value = '';
                        this._events().on(this._element, this._attrName.substring(2), function() {
                            // Ensures the domEvent does not continue to
                            // overshadow another variable after the __executeDyn call ends.
                            var oldDomEvent = this._node._locals.domEvent;
                            this._node._locals.domEvent = arguments;
                            this._node.__executeDyn(this._dyn);
                            if (this._node && this._node._locals)
                                this._node._locals.domEvent = oldDomEvent;
                        }, this);
                    }
                }
            },

            __updateAttr: function() {
                if (!this._updatable)
                    return;
                var value = this._attrValue;
                if (this._dyn && (!this._partialCls || !this._partialCls.manualExecute))
                    value = this._dataNode.__executeDyn(this._dyn, false, !this._partialCls);
                if ((value != this._attrValue || Types.is_array(value)) && !(!value && !this._attrValue)) {
                    var old = this._attrValue;
                    this._attrValue = value;

                    if (!this._partial || !this._partial.cls.meta.value_hidden) {
                        var result = this._dyn.noentities ? value : Dom.entitiesToUnicode(value);


                        /*
                         *  Fixing a Safari bug. These three lines will cause Safari to crash: 
                         *     
                         *     <style> [class^="randomstring"] { background: white; } </style>
                         *	   <div class="" id="test"></div>
                         *	   <script> document.getElementById("test").attributes.class.value = null; </script>
                         *
                         */
                        if (result === null && this._attrName === "class")
                            result = "";

                        if (!this._dyn.hidden)
                            this._attribute.value = result;
                    }

                    if (this._partial)
                        this._partial.change(value, old);
                    if (this._attrName === "value" && this._element.value !== value)
                        this.__inputVal(this._element, value);
                    if (this._tagHandler && this._dyn && !this._partial)
                        this._tagHandler.properties().setProp(Registries.prefixNormalize(this._attrName), value);
                }
            },

            bindTagHandler: function(handler) {
                this.unbindTagHandler(this._tagHandler);
                this._tagHandler = handler;
                if (!this._partial) {
                    var innerKey = Registries.prefixNormalize(this._attrName);
                    if (innerKey) {
                        this._tagHandler.setArgumentAttr(innerKey, Class.is_pure_json(this._attrValue) ? Objs.clone(this._attrValue, 1) : this._attrValue);
                        if (this._dyn && this._dyn.bidirectional) {
                            if (Class.is_pure_json(this._attrValue)) {
                                this._tagHandler.properties().bind(innerKey, this._node._handler.properties(), {
                                    deep: true,
                                    left: true,
                                    right: true,
                                    secondKey: this._dyn.variable
                                });
                            } else {
                                if (innerKey.indexOf(".") >= 0) {
                                    this._tagHandler.on("dynamic-activated", function() {
                                        this._tagHandler.defaultMesh().watch([innerKey], function() {
                                            this._dataNode.mesh().write(this._dyn.variable, this._tagHandler.defaultMesh().read(innerKey));
                                        }, this);
                                    }, this);
                                } else {
                                    this._tagHandler.properties().on("change:" + innerKey, function(value) {
                                        this._dataNode.mesh().write(this._dyn.variable, value);
                                    }, this);
                                }
                            }
                        }
                    }
                } else if (this._partial) {
                    this._partial.bindTagHandler(handler);
                }
            },

            prepareTagHandler: function(createArguments) {
                if (this._partial)
                    this._partial.prepareTagHandler(createArguments);
            },

            unbindTagHandler: function(handler) {
                if (this._partial) {
                    this._partial.unbindTagHandler(handler);
                }
                if (this._tagHandler) {
                    this._tagHandler.properties().off(null, null, this);
                    this._tagHandler.off("dynamic-activated", null, this);
                    this._tagHandler.defaultMesh().unwatch(undefined, this);
                }
                this._tagHandler = null;
            },

            activate: function() {
                if (this._partial) {
                    if (this._partial.cls.meta.requires_tag_handler && !this._tagHandler) {
                        Registries.throwException(new TagHandlerException(this._partial.cls.classname, this._node.tag()));
                        return;
                    }
                    this._partial.activate();
                }
            },

            deactivate: function() {
                if (this._partial)
                    this._partial.deactivate();
            }

        };
    });
    return Cls;
});

Scoped.define("module:Handlers.Node", ["base:Class","base:Events.EventsMixin","base:Ids","browser:Dom","browser:Info","module:Parser","module:Data.Mesh","base:Objs","base:Types","module:Registries","module:Handlers.Attr"], function(Class, EventsMixin, Ids, Dom, Info, Parser, Mesh, Objs, Types, Registries, Attr, scoped) {
    var Cls;
    Cls = Class.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {

            constructor: function(handler, parent, element, locals) {
                inherited.constructor.call(this);
                this._handler = handler;
                this._parent = parent;
                if (parent)
                    parent._children[Ids.objectId(this)] = this;
                this._element = element;
                try {
                    if (element)
                        element.dynnodehandler = this;
                } catch (e) {}

                this._tag = element.tagName ? element.tagName.toLowerCase() : "";
                if (this._tag.indexOf(":") >= 0)
                    this._tag = this._tag.substring(this._tag.indexOf(":") + 1);
                this._dynTag = Parser.parseText(this._tag);
                this._tagHandler = null;

                this._template = element.outerHTML;
                this._innerTemplate = element.innerHTML;
                this._locals = locals || {};
                this._active = true;
                this._dyn = null;
                this._children = {};
                this._locked = true;
                this._attrs = {};
                this._expandChildren = true;
                this._touchedInner = false;

                this._mesh = new Mesh([window, this.properties(), this._locals, this._handler.functions, this._handler.friends || {}, this._handler._mesh_extend], this._handler, {
                    read: this.properties(),
                    write: this.properties(),
                    watch: this.properties()
                });

                if (this._element.attributes) {
                    // Copy attributes first before registering it, preventing a bug when partials add attributes during initialization
                    var attrs = [];
                    for (var i = 0; i < this._element.attributes.length; ++i)
                        attrs.push(this._element.attributes[i]);
                    Objs.iter(attrs, this._registerAttr, this);
                }

                this._locked = false;
                this._active = !this._active;
                if (this._active)
                    this.deactivate();
                else
                    this.activate();
            },

            destroy: function() {
                Objs.iter(this._attrs, function(attr) {
                    attr.destroy();
                });
                this._removeChildren();
                if (this._tagHandler && !this._tagHandler.destroyed()) {
                    if (this._tagHandler.cacheable && this._tagHandler.cls.cacheable)
                        Registries.handlerCache.suspend(this._tagHandler, this._element);
                    else
                        this._tagHandler.weakDestroy();
                }
                if (this._dyn)
                    this.properties().off(null, null, this._dyn);
                if (this._parent)
                    delete this._parent._children[Ids.objectId(this)];
                this._mesh.destroy();
                inherited.destroy.call(this);
            },

            _registerAttr: function(attribute) {
                if (attribute.name in this._attrs)
                    // Is this ever being called? The method doesn't exist!?
                    this._attrs[attribute.name].updateAttribute(attribute);
                else
                    this._attrs[attribute.name] = new Attr(this, attribute);
            },

            tag: function() {
                return this._tag;
            },

            element: function() {
                return this._element;
            },

            __dynOff: function(dyn) {
                this._mesh.unwatch(dyn.dependencies, dyn);
            },

            __dynOn: function(dyn, cb) {
                var self = this;
                this._mesh.watch(dyn.dependencies, function() {
                    cb.apply(self);
                }, dyn);
            },

            mesh: function() {
                return this._mesh;
            },

            __executeDyn: function(dyn, readonly, factoryPassthrough) {
                return Types.is_object(dyn) ? this._mesh.execute(dyn.dependencies, dyn.func, readonly, factoryPassthrough) : dyn;
            },

            __tagValue: function() {
                if (!this._dynTag)
                    return this._tag;
                return this.__executeDyn(this._dynTag, true);
            },

            __unregisterTagHandler: function() {
                if (this._tagHandler) {
                    Objs.iter(this._attrs, function(attr) {
                        attr.unbindTagHandler(this._tagHandler);
                    }, this);
                    this.off(null, null, this._tagHandler);
                    if (this._tagHandler.cacheable && this._tagHandler.cls.cacheable)
                        Registries.handlerCache.suspend(this._tagHandler, this._element);
                    else
                        this._tagHandler.weakDestroy();
                    this._tagHandler = null;
                    Objs.iter(this._handler.getInheritableAttributes(this.__tagValue()), function(attr) {
                        this._attrs[attr.name].weakDestroy();
                        delete this._attrs[attr.name];
                    }, this);
                }
            },

            __registerTagHandler: function() {
                this.__unregisterTagHandler();
                var tagv = this.__tagValue();
                if (!tagv)
                    return;
                if (this._dynTag && this._element.tagName.toLowerCase() != tagv.toLowerCase()) {
                    this._element = Dom.changeTag(this._element, tagv);
                    Objs.iter(this._attrs, function(attr) {
                        attr.updateElement(this._element);
                    }, this);
                }
                if (!Registries.handler.get(tagv))
                    return false;
                if (Info.isInternetExplorer() && Info.internetExplorerVersion() < 9) {
                    var isActiveElement = this._element === this._handler.activeElement();
                    this._element = Dom.changeTag(this._element, tagv);
                    Objs.iter(this._attrs, function(attr) {
                        attr.updateElement(this._element);
                    }, this);
                    if (isActiveElement)
                        this._handler._updateActiveElement(this._element);
                }
                var createArguments = {
                    parentElement: this._element,
                    parentHandler: this._handler,
                    autobind: false,
                    cacheable: false,
                    tagName: tagv
                };
                Objs.iter(this._handler.getInheritableAttributes(this.__tagValue()), function(attr) {
                    this._attrs[attr.name] = new Attr(attr.node, attr);
                }, this);
                Objs.iter(this._attrs, function(attr) {
                    attr.prepareTagHandler(createArguments);
                }, this);
                if (createArguments.ignoreTagHandler)
                    return;
                if (createArguments.cacheable)
                    this._tagHandler = Registries.handlerCache.resume(tagv, this._element, this._handler);
                if (!this._tagHandler)
                    this._tagHandler = Registries.handler.create(tagv, createArguments);
                Objs.iter(this._handler.inheritables, function(key) {
                    this._tagHandler.set(key, this._handler.get(key));
                }, this);
                Objs.iter(this._attrs, function(attr) {
                    attr.bindTagHandler(this._tagHandler);
                }, this);
                this._tagHandler.activate();
                return true;
            },

            activate: function() {
                if (this._locked || this._active)
                    return;
                this._locked = true;
                this._active = true;
                if (this._dynTag) {
                    this.__dynOn(this._dynTag, function() {
                        this.__registerTagHandler();
                    });
                }
                var registered = this.__registerTagHandler();
                if (!registered && this._expandChildren) {
                    if (this._restoreInnerTemplate)
                        this._element.innerHTML = this._innerTemplate;
                    this._touchedInner = true;
                    if (this._element.nodeType == 3) {
                        this._dyn = Parser.parseText(this._element.textContent || this._element.innerText || this._element.nodeValue);
                        if (this._dyn) {
                            this.__dynOn(this._dyn, function() {
                                this.__updateDyn();
                            });
                        }
                    }
                    this.__updateDyn(true);
                    for (var i = 0; i < this._element.childNodes.length; ++i)
                        if (!this._element.childNodes[i]["ba-handled"])
                            this._registerChild(this._element.childNodes[i]);
                }
                Objs.iter(this._attrs, function(attr) {
                    attr.activate();
                });
                this._locked = false;
            },

            __updateDyn: function(force) {
                if (!this._dyn)
                    return;
                var value = this.__executeDyn(this._dyn);
                if (force || value != this._dyn.value) {
                    this._dyn.value = value;
                    var htmlElement = null;
                    if (this._dyn.html) {
                        htmlElement = Dom.elementByTemplate(value, true);
                        if (htmlElement) {
                            (this._htmlElement || this._element).replaceWith(htmlElement);
                            this._htmlElement = htmlElement;
                        }
                    }
                    if (!htmlElement) {
                        value = value === null ? "" : value;
                        var converted = this._dyn.noentities ? value : Dom.entitiesToUnicode(value);
                        if ("textContent" in this._element)
                            this._element.textContent = converted;
                        if ("innerText" in this._element)
                            this._element.innerText = converted;
                        if (Info.isInternetExplorer() && Info.internetExplorerVersion() < 9 && ("data" in this._element))
                            this._element.data = converted;
                    }
                }
            },

            _registerChild: function(element, locals) {
                return new Cls(this._handler, this, element, Objs.extend(Objs.clone(this._locals, 1), locals));
            },

            _removeChildren: function() {
                Objs.iter(this._children, function(child) {
                    if (child)
                        child.weakDestroy();
                });
            },

            deactivate: function() {
                if (!this._active)
                    return;
                this._active = false;
                if (this._locked)
                    return;
                this._locked = true;
                Objs.iter(this._attrs, function(attr) {
                    attr.deactivate();
                });
                this._removeChildren();
                if (this._dynTag)
                    this.__dynOff(this._dynTag);
                this.__unregisterTagHandler();
                if (this._dyn) {
                    this.__dynOff(this._dyn);
                    this._dyn = null;
                }
                if (this._touchedInner)
                    this._element.innerHTML = "";
                this._restoreInnerTemplate = true;
                this._locked = false;
            },

            properties: function() {
                return this._handler.properties();
            }

        };
    }]);
    return Cls;
});

Scoped.define("module:Handlers.HandlerNameRegistry", ["base:Class","base:Objs"], function(Class, Objs, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            __handlers: {},

            destroy: function() {
                Objs.iter(this.__handlers, function(value, name) {
                    this.unregister(name);
                }, this);
                inherited.destroy.call(this);
            },

            register: function(handler, name) {
                this.unregister(name);
                this.__handlers[name] = handler;
                handler.on("destroy", function() {
                    this.unregister(name);
                }, this);
            },

            unregister: function(name) {
                if (name in this.__handlers) {
                    var handler = this.__handlers[name];
                    delete this.__handlers[name];
                    if (!handler.destroyed())
                        handler.off(null, null, this);
                }
            },

            get: function(name) {
                return this.__handlers[name];
            }

        };

    });
});

Scoped.define("module:Handlers.HandlerMixin", ["base:Objs","base:Strings","base:Functions","base:Types","browser:Loader","module:Handlers.Node","module:Registries","module:Handlers.HandlerNameRegistry","browser:DomMutation.NodeRemoveObserver","browser:Dom"], function(Objs, Strings, Functions, Types, Loader, Node, Registries, HandlerNameRegistry, NodeRemoveObserver, Dom) {
    return {

        _notifications: {
            construct: "__handlerConstruct",
            destroy: "__handlerDestruct"
        },

        __handlerConstruct: function() {
            this._inheritableAttributes = {};
            this.__activated = false;
            this._mesh_extend = {
                string: Functions.as_method(this.string, this),
                stringUnicode: Functions.as_method(this.stringUnicode, this)
            };
        },

        __handlerDestruct: function() {
            Objs.iter(this.__rootNodes, function(node) {
                var element = node.element();
                node.destroy();
                if (this.remove_on_destroy)
                    element.innerHTML = "";
            }, this);
        },

        template: null,
        templateUrl: null,

        string: function(key) {
            if (this.cls.string)
                return this.cls.string(key);
            if (this.parent())
                return this.parent().string(key);
            return key;
        },

        stringUnicode: function(key) {
            if (this.cls.stringUnicode)
                return this.cls.stringUnicode(key);
            if (this.parent())
                return this.parent().stringUnicode(key);
            return key;
        },

        remove_on_destroy: false,

        _handlerInitialize: function(options) {
            options = options || {};
            if (options.name_registry)
                this.__nameRegistry = this.auto_destroy(new HandlerNameRegistry());
            this.__types = options.types || {};
            this._parentHandler = options.parentHandler || null;
            this._parentElement = options.parentElement;
            this._argumentAttrs = {};
            this.template = options.template || this.template;
            this.templateUrl = options.templateUrl || this.templateUrl;
            if (this.templateUrl)
                this.templateUrl = Strings.replaceAll(this.templateUrl, "%", Strings.last_after(this.cls.classname || "", ".").toLowerCase());
            this.__elements = options.element ? [Dom.unbox(options.element)] : [];
            var initialContentElement = Dom.unbox(options.element ? options.element : this._parentElement);
            if (!initialContentElement)
                throw (this.cls.classname + " requires an existing DOM element to attach to.");
            this.initialContent = initialContentElement.innerHTML;
            this.__activeElement = options.element ? Dom.unbox(options.element) : Dom.unbox(this._parentElement);
            if (options.remove_observe) {
                this.__removeObserver = this.auto_destroy(NodeRemoveObserver.create(this.__activeElement));
                this.__removeObserver.on("node-removed", function() {
                    this.weakDestroy();
                }, this);
            }
            this.__activeElement.dynamicshandler = this;
        },

        _handlerInitializeTemplate: function(template, parentElement) {
            var compiled = Registries.templates.create(template);
            if (this.__elements.length > 0) {
                this.__activeElement = this.__elements[0];
                this.__elements[0].innerHTML = "";
                compiled.forEach(function(child) {
                    this.__elements[0].appendChild(child);
                }, this);
            } else if (parentElement) {
                this.__activeElement = Dom.unbox(parentElement);
                this.__elements = compiled;
                this.__activeElement.innerHTML = "";
                compiled.forEach(function(child) {
                    this.__activeElement.appendChild(child);
                }, this);
            } else {
                this.__elements = compiled;
                this.__activeElement = this.__elements[0].parentNode;
            }
        },

        nameRegistry: function() {
            return this.__nameRegistry || (this.parent() ? this.parent().nameRegistry() : null);
        },

        byName: function(name) {
            return this.nameRegistry().get(name);
        },

        __assocs: {},

        addAssoc: function(name, registeredName) {
            this.__assocs[name] = registeredName;
        },

        removeAssoc: function(name) {
            delete this.__assocs[name];
        },

        activated: function() {
            return this.__activated;
        },

        assoc: function(name) {
            return this.byName(this.__assocs[name] || name);
        },

        setArgumentAttr: function(key, value) {
            if (key in this.__extendables)
                value = Objs.tree_extend(this.properties().get(key) || {}, value);
            if (this.__types[key])
                value = Types.parseType(value, this.__types[key]);
            this.properties().setProp(key, value);
            this._argumentAttrs[key] = true;
        },

        isArgumentAttr: function(key) {
            return !!this._argumentAttrs[key];
        },

        activeElement: function() {
            return this.__activeElement;
        },

        // Deprecated
        element: function() {
            return this.__elements;
        },

        _updateActiveElement: function(activeElement) {
            this.__activeElement = Dom.unbox(activeElement);
            if (this.__removeObserver) {
                this.__removeObserver.weakDestroy();
                this.__removeObserver = this.auto_destroy(NodeRemoveObserver.create(this.__activeElement));
                this.__removeObserver.on("node-removed", function() {
                    this.weakDestroy();
                }, this);
            }
        },

        _deferActivate: function() {
            return false;
        },

        activate: function() {
            if (this._deferActivate())
                return;
            if (this.__activated)
                return;
            this.__activated = true;
            if (this.template)
                this._handlerInitializeTemplate(this.template, this._parentElement);
            else {
                if (this.templateUrl) {
                    this.__activated = false;
                    Loader.loadHtml(this.templateUrl, function(template) {
                        this.templateUrl = null;
                        this.template = template;
                        this.activate();
                    }, this);
                    return;
                }
            }

            this._notify("_activate");
            this.__rootNodes = [];
            this.__elements.forEach(function(element) {
                this.__rootNodes.push(new Node(this, null, element));
            }, this);
            this._preAfterActivate(this.__activeElement);
            this._afterActivate(this.__activeElement);
            if (this.__activeElement.dynamicshandlerpromise) {
                this.__activeElement.dynamicshandlerpromise.forEach(function(promise) {
                    promise.asyncSuccess(this.__activeElement.dynamicshandler);
                }, this);
                this.__activeElement.dynamicshandlerpromise = null;
                try {
                    delete this.__activeElement.dynamicshandlerpromise;
                } catch (e) {}
            }
            this.trigger("dynamic-activated");
        },

        _afterActivate: function(activeElement) {},

        defaultMesh: function() {
            return this.__rootNodes[0].mesh();
        },

        registerInheritableAttribute: function(tagName, attrKey, attrValue, node) {
            tagName = Registries.prefixNormalize(tagName, true);
            this._inheritableAttributes[tagName] = this._inheritableAttributes[tagName] || {};
            this._inheritableAttributes[tagName][attrKey] = {
                value: attrValue,
                name: attrKey,
                node: node
            };
        },

        unregisterInheritableAttribute: function(tagName, attrKey) {
            tagName = Registries.prefixNormalize(tagName, true);
            if (this._inheritableAttributes[tagName]) {
                delete this._inheritableAttributes[tagName][attrKey];
                if (Types.is_empty(this._inheritableAttributes[tagName]))
                    delete this._inheritableAttributes[tagName];
            }
        },

        getInheritableAttributes: function(tagName) {
            tagName = Registries.prefixNormalize(tagName, true);
            return Objs.values(this._inheritableAttributes[tagName]);
        }

    };
});

Scoped.define("module:Exceptions.DynamicsCallException", ["base:Exceptions.Exception"], function(Exception, scoped) {
    return Exception.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(clsname, methodname, args, e) {
                inherited.constructor.call(this, "Dynamics Exception in '" + clsname + "' calling method '" + methodname + "' : " + e);
            }

        };
    });
});

Scoped.define("module:Dynamic", ["module:Data.Scope","module:Parser","module:Handlers.HandlerMixin","module:Exceptions.DynamicsCallException","base:Objs","base:Strings","base:Types","base:Functions","base:Promise","base:Events.Events","base:Loggers.LoggableMixin","module:Registries","browser:Dom","browser:Events","base:Class"], function(Scope, Parser, HandlerMixin, DynamicsCallException, Objs, Strings, Types, Functions, Promise, Events, LoggableMixin, Registries, Dom, DomEvents, Class, scoped) {
    var Cls;
    Cls = Scope.extend({
        scoped: scoped
    }, [HandlerMixin, LoggableMixin, function(inherited) {
        return {

            supportsGc: true,
            proxyAttrs: false,

            _notifications: {
                _activate: "__createActivate"
            },

            constructor: function(options) {
                this.initial = this.initial || {};
                options = Objs.extend(Objs.clone(this.initial, 1), options);
                this.domevents = Objs.extend(this.domevents, options.domevents);
                this.windowevents = Objs.extend(this.windowevents, options.windowevents);
                Objs.iter(this.cls.__initialForward, function(key) {
                    if (!(key in this))
                        return;
                    if (key in options) {
                        if (Types.is_object(this[key]) && Types.is_object(options[key]))
                            options[key] = Objs.extend(Objs.clone(this[key], 1), options[key]);
                    } else
                        options[key] = this[key];
                }, this);
                if (options.typedAttrs && options.types) {
                    Objs.iter(options.typedAttrs, function(value, key) {
                        options.attrs[key] = options.types[key] ? Types.parseType(value, options.types[key]) : value;
                    });
                }
                this.__dispose = options.dispose;
                Objs.iter(this.object_functions, function(key) {
                    this[key] = function() {
                        var args = Functions.getArguments(arguments);
                        args.unshift(key);
                        return this.execute.apply(this, args);
                    };
                }, this);
                if (!options.parent && options.parentHandler) {
                    var ph = options.parentHandler;
                    while (ph && !options.parent) {
                        options.parent = ph.instance_of(Cls) ? ph : null;
                        ph = ph._parentHandler;
                    }
                }
                inherited.constructor.call(this, options);
                if (options.bindAttrs) {
                    Objs.iter(options.bindAttrs, function(value, key) {
                        this.properties().bind(key, value, {
                            secondKey: key
                        });
                    }, this);
                }
                this.__references = options.references;
                Objs.iter(this.__references, function(reference) {
                    this.on("change:" + reference, function(newReference, oldReference) {
                        if (oldReference && Class.is_class_instance(oldReference) && !oldReference.destroyed())
                            oldReference.decreaseRef(this);
                        if (newReference && Class.is_class_instance(newReference) && !newReference.destroyed())
                            newReference.increaseRef(this);
                    }, this);
                    var ref = this.get(reference);
                    if (ref && Class.is_class_instance(ref) && !ref.destroyed())
                        ref.increaseRef(this);
                }, this);
                this._channels.global = this.cls.__globalEvents;
                if (options.tagName) {
                    this._tagName = options.tagName;
                    this.data("tagname", this._tagName);
                }
                this.functions = this.__functions;
                this._handlerInitialize(options);
                this.__createActivate = options.create || function() {};
                this.dom_events = {};
                this.window_events = {};
                this.__domEvents = new DomEvents();
                this.inheritables = (this.parent() ? this.parent().inheritables : []).concat(this.inheritables || []);
                this.friendgroup.registerScope(this, this.cls.registeredName());
                if (this.friendgroup && this.parent() && this.parent().friendgroup !== this.friendgroup)
                    this.parent().friendgroup.registerScope(this, this.cls.registeredName());
                if ("proxyAttrs" in options)
                    this.proxyAttrs = options.proxyAttrs;
                if (this.proxyAttrs)
                    this.attrs = this.properties().getProxy();
            },

            handle_call_exception: function(name, args, e) {
                Registries.throwException(new DynamicsCallException(this.cls.classname, name, args, e));
                return null;
            },

            hierarchyName: function() {
                return (this.parent() ? this.parent().hierarchyName() + " > " : "") + this.cls.registeredName();
            },

            _preAfterActivate: function(activeElement) {
                this.__domEvents.clear();
                var self = this;
                Objs.iter(this.domevents, function(target, event) {
                    var ev = event.split(" ");
                    var source = [activeElement];
                    if (ev.length > 1)
                        source = activeElement.querySelectorAll(ev[1]);
                    var f = function(eventData) {
                        self.execute(target, eventData, this);
                    };
                    for (var i = 0; i < source.length; ++i) {
                        this.__domEvents.on(source[i], ev[0], f);
                    }
                }, this);
                Objs.iter(this.windowevents, function(target, event) {
                    this.__domEvents.on(window, event, function(eventData) {
                        self.execute(target, eventData, this);
                    });
                }, this);
            },

            destroy: function() {
                if (this.friendgroup && this.parent() && this.parent().friendgroup !== this.friendgroup)
                    this.parent().friendgroup.unregisterScope(this, this.cls.registeredName());
                this.friendgroup.unregisterScope(this, this.cls.registeredName());
                if (this.free)
                    this.free();
                Objs.iter(this.__references, function(reference) {
                    var ref = this.get(reference);
                    if (ref && Class.is_class_instance(ref) && !ref.destroyed())
                        ref.decreaseRef(this);
                }, this);
                Objs.iter(this.__dispose, function(attr) {
                    var obj = this.get(attr);
                    this.set(attr, null);
                    if (obj && obj.weakDestroy)
                        obj.weakDestroy();
                }, this);
                this.__domEvents.destroy();
                inherited.destroy.call(this);
            }

        };
    }], {

        __initialForward: [
            "functions", "attrs", "extendables", "collections", "template", "create", "scopes", "bindings", "computed", "types", "events", "dispose", "channels", "registerchannels", "references", "friends"
        ],

        __globalEvents: new Events(),

        canonicName: function() {
            return this.classname ? Strings.last_after(this.classname, ".").toLowerCase() : "";
        },

        registeredName: function() {
            return this.__registeredName || ("ba-" + this.canonicName());
        },

        findByElement: function(element) {
            if (!element)
                return null;
            element = Dom.unbox(element);
            return element && element.dynamicshandler ? element.dynamicshandler : null;
        },

        findByElementPromise: function(element) {
            if (!element)
                return null;
            element = Dom.unbox(element);
            if (!element)
                return null;
            if (element.dynamicshandler)
                return Promise.value(element.dynamicshandler);
            element.dynamicshandlerpromise = element.dynamicshandlerpromise || [];
            var promise = Promise.create();
            element.dynamicshandlerpromise.push(promise);
            return promise;
        },

        register: function(key, registry) {
            registry = registry || Registries.handler;
            this.__registeredName = key || this.registeredName();
            registry.register(this.__registeredName, this);
            return this;
        },

        registerFunctions: function(code) {
            Parser.registerFunctions(code);
            return this;
        },

        activate: function(options) {
            var dyn = new this(options || {
                element: document.body,
                name_registry: true
            });
            dyn.activate();
            return dyn;
        },

        attachStringTable: function(stringTable) {
            this.__stringTable = stringTable;
            return this;
        },

        addStrings: function(strings) {
            this.__stringTable.register(strings, this.registeredName());
            return this;
        },

        string: function(key) {
            var result = null;
            if (this.__stringTable)
                result = this.__stringTable.get(key, this.registeredName());
            if (!result && this.parent.string)
                result = this.parent.string(key);
            return result;
        },

        stringUnicode: function(key) {
            var result = null;
            if (this.__stringTable)
                result = this.__stringTable.get(key, this.registeredName());
            if (!result && this.parent.string)
                result = this.parent.string(key);
            return Dom.entitiesToUnicode(result);
        },

        _extender: {
            events: function(base, overwrite) {
                return Objs.extend(Objs.clone(base, 1), overwrite);
            },
            types: function(base, overwrite) {
                return Objs.extend(Objs.clone(base, 1), overwrite);
            },
            registerchannels: function(base, overwrite) {
                return Objs.extend(Objs.clone(base, 1), overwrite);
            },
            channels: function(base, overwrite) {
                return Objs.extend(Objs.clone(base, 1), overwrite);
            },
            attrs: function(base, overwrite) {
                if (Types.is_function(base))
                    if (Types.is_function(overwrite)) {
                        return function() {
                            return Objs.extend(base.call(this), overwrite.call(this));
                        };
                    } else {
                        return function() {
                            return Objs.extend(base.call(this), overwrite);
                        };
                    }
                else if (Types.is_function(overwrite)) {
                    return function() {
                        return Objs.extend(Objs.clone(base, 1), overwrite.call(this));
                    };
                } else
                    return Objs.extend(Objs.clone(base, 1), overwrite);
            },
            inheritables: function(first, second) {
                return (first || []).concat(second || []);
            },
            dispose: function(first, second) {
                return (first || []).concat(second || []);
            },
            references: function(first, second) {
                return (first || []).concat(second || []);
            }
        }

    });
    return Cls;
});

Scoped.define("module:Handlers.Partial", ["base:Class","base:JavaScript","base:Functions","base:Strings","module:Parser","module:Registries"], function(Class, JavaScript, Functions, Strings, Parser, Registries, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(node, args, value, postfix) {
                inherited.constructor.call(this);
                this._node = node;
                this._args = args;
                this._value = value;
                this._active = false;
                this._postfix = postfix;
            },

            change: function(value, oldValue) {
                this._value = value;
                this._change(value, oldValue);
                this._apply(value, oldValue);
            },

            activate: function() {
                if (this._active)
                    return;
                this._active = true;
                this._activate();
                this._apply(this._value, null);
            },

            deactivate: function() {
                if (!this._active)
                    return;
                this._active = false;
                this._deactivate();
            },

            bindTagHandler: function(handler) {},

            unbindTagHandler: function(handler) {},

            prepareTagHandler: function(createArguments) {},

            _change: function(value, oldValue) {},

            _activate: function() {},

            _deactivate: function() {},

            _apply: function(value, oldValue) {},

            _execute: function(code) {
                code = code || this._value;
                var dyn = Parser.parseText(code) || Parser.parseCode(code);
                this._node.__executeDyn(dyn);
            },

            _valueExecute: function(args) {
                var value = this._value.trim();
                var simplified = value;
                if (Strings.starts_with(simplified, "{{") && Strings.ends_with(simplified, "}}"))
                    simplified = Strings.strip_end(Strings.strip_start(simplified, "{{"), "}}");
                if (JavaScript.isProperIdentifier(simplified)) {
                    args = Functions.getArguments(args);
                    args.unshift(simplified);
                    this._node._handler.execute.apply(this._node._handler, args);
                } else
                    this._execute(value);
            }


        };
    }, {

        meta: {
            // value_hidden: false
            // requires_tag_handler: false
        },

        canonicName: function() {
            return this.classname ? Strings.last_after(this.classname, ".").toLowerCase() : "";
        },

        registeredName: function() {
            return this.__registeredName || ("ba-" + this.canonicName());
        },

        register: function(key, registry) {
            registry = registry || Registries.partial;
            this.__registeredName = key || this.registeredName();
            registry.register(this.__registeredName, this);
        }

    });
});

Scoped.define("module:Partials.ClickPartial", ["module:Handlers.Partial","browser:Events"], function(Partial, Events, scoped) {
    /**
     * @name ba-click
     *
     * @description
     * The ba-click partial allows the specification of custom on clicked
     * behavior. By default, the click propagation is prevented. Should you want
     * the click to propagate, use the `onclick` Html tag.
     *
     * @param {expression} baClick Expression to evaluate upon click. If click is
     * within the scope of another directive, the Expression can be an exposed method of
     * the parent directive.
     *
     * @example <button ba-click="showing = !showing">
     * // Expression is evaluated (ex. showing now equals inverse) on click.
     *
     * @example <button ba-click="exposedMethod()">
     * // Calls parentDirective.call("exposedMethod") on click.
     *
     * @example <button ba-click="exposedMethod(arg)">
     * // Calls parentDirective.call("exposedMethod", arg) on click.
     */
    var Cls = Partial.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(node, args, value) {
                inherited.constructor.apply(this, arguments);
                var events = this.auto_destroy(new Events());
                events.on(this._node.element(), "click", function(e) {
                    e.stopPropagation();
                    this.executeAction();
                }, this);
            },

            executeAction: function() {
                this._execute();
            }

        };
    }, {

        manualExecute: true

    });
    Cls.register("ba-click");
    return Cls;
});

Scoped.define("module:Partials.RepeatPartial", ["module:Handlers.Partial","base:Promise","base:Properties.Properties","base:Collections.Collection","base:Collections.FilteredCollection","base:Objs","module:Parser","module:Registries"], function(Partial, Promise, Properties, Collection, FilteredCollection, Objs, Parser, Registries, scoped) {
    /**
     * @name ba-repeat
     *
     * @description
     * Instantiate once for each instance in the collection. Render only the inner html
     * of the element for each instance.
     *
     * @param {object} instance Object representing a single element in the
     * collection. Updated as collection is iterated through.
     *
     * @param {object} collection Object representing multiple elements, each of
     * which will be instantiated.
     *
     * @example <ul ba-repeat-element="{{ i :: [1,2] }}"><li>{{i}}</li></ul>
     * // Evaluates to <ul><li>1</li><li>2</li></ul>
     */

    var Cls = Partial.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(node, args, value) {
                inherited.constructor.apply(this, arguments);
                this.__alwaysReindexNewItems = false;
                this.__registered = false;
                args = args.split("::");
                if (args.length > 1)
                    this.__dynOpts = Parser.parseCode(args[0].trim());
                args = args[args.length - 1];
                args = args.split("~");
                var repArgs = args[0].trim().split(".");
                this.__repeatArg = repArgs[0];
                this.__indexArg = repArgs[1];
                this._destroyCollection = false;
                this._releaseValueCollection = false;
                if (args.length > 1) {
                    this.__repeatFilter = Parser.parseCode(args[1].trim());
                    var self = this;
                    node.mesh().watch(this.__repeatFilter.dependencies, function() {
                        self.__filterChanged();
                    }, this.__repeatFilter);
                }
                node._expandChildren = false;
                try {
                    node._element.innerHTML = "";
                } catch (e) {}
            },

            destroy: function() {
                this.__unregister();
                if (this.__repeatFilter)
                    this._node.mesh().unwatch(this.__repeatFilter.dependencies, this.__repeatFilter);
                inherited.destroy.call(this);
            },

            _activate: function() {
                this.__register();
                if (this.__dynOpts)
                    this.__dynOptsCache = this._node.mesh().execute(this.__dynOpts.dependencies, this.__dynOpts.func);
            },

            _deactivate: function() {
                this.__unregister();
            },

            __filterChanged: function() {
                if (!this._active)
                    return;
                this._collection.setFilter(this.__filterFunc, this);
            },

            _change: function(value, oldValue) {
                this.__register(value);
            },

            __filterFunc: function(prop) {
                var filter = this.__repeatFilter;
                if (!filter)
                    return true;
                var self = this;
                return this._node.mesh().execute(filter.dependencies, function(obj) {
                    obj[self.__repeatArg] = self._isArray ? prop.get("value") : prop.data();
                    if (self.__indexArg)
                        obj[self.__indexArg] = self._collection.getIndex(prop);
                    return filter.func.call(this, obj);
                }, true);
            },

            _iterateCollection: function(callback) {
                this._collection.iterate(callback, this);
            },

            __register: function() {
                this.__unregister();
                if (Collection.is_instance_of(this._value) && this._value.destroyed())
                    return;
                this._isArray = !Collection.is_instance_of(this._value);
                this._releaseValueCollection = !Collection.is_instance_of(this._value);
                this._valueCollection = this._releaseValueCollection ? new Collection({
                    objects: Objs.map(this._value, function(val) {
                        return new Properties({
                            value: val
                        });
                    }),
                    release_references: true
                }) : this._value;
                this._destroyCollection = !!this.__repeatFilter;
                this._collection = this._destroyCollection ? new FilteredCollection(this._valueCollection, {
                    filter: this.__filterFunc,
                    context: this
                }) : this._valueCollection;
                this._collectionChildren = {};
                this._iterateCollection(this.__addItem);
                this._collection.on("add", this.__addItem, this);
                this._collection.on("remove", function(item) {
                    this.__removeItem(item, this._collection.bulkOperationInProgress());
                }, this);
                this._collection.on("reindexed", function(item) {
                    if (this._collection.count() < 2)
                        return;
                    var idx = this._collection.getIndex(item);
                    if (idx === 0)
                        this._prependItem(this._collection.getByIndex(1), item);
                    else
                        this._appendItem(this._collection.getByIndex(idx - 1), item);
                }, this);
            },

            __unregister: function() {
                if (this._collection && !this._collection.destroyed()) {
                    this._iterateCollection(function(item) {
                        this.__removeItem(item, true);
                    }, this);
                }
                var element = this._node._element;
                this._node._removeChildren();
                element.innerHTML = "";
                if (this._collection && !this._collection.destroyed())
                    this._collection.off(null, null, this);
                if (this._valueCollection && !this._valueCollection.destroyed())
                    this._valueCollection.off(null, null, this);
                if (this._destroyCollection && this._collection)
                    this._collection.weakDestroy();
                if (this._releaseValueCollection && this._valueCollection && !this._valueCollection.destroyed())
                    this._valueCollection.decreaseRef();
                this._valueCollection = null;
                this._collection = null;
            },

            __addItem: function(item) {
                if (this._collectionChildren[item.cid()])
                    return;
                var locals = {};
                if (this.__repeatArg)
                    locals[this.__repeatArg] = this._isArray ? item.get("value") : item;
                if (this.__indexArg)
                    locals[this.__indexArg] = this._collection.getIndex(item);
                var result = [];
                var elements = this._newItemElements();
                elements.forEach(function(element) {
                    result.push(this._node._registerChild(element, locals));
                }, this);
                this._collectionChildren[item.cid()] = {
                    item: item,
                    nodes: result
                };
                var idx = this._collection.getIndex(item);
                if (idx < this._collection.count() - 1)
                    this._prependItem(this._collection.getByIndex(idx + 1), item);
                else if (this.__alwaysReindexNewItems && this._collection.count() > 1)
                    this._appendItem(this._collection.getByIndex(idx - 1), item);
            },

            __removeItem: function(item, instant) {
                if (!this._collectionChildren[item.cid()])
                    return;
                Objs.iter(this._collectionChildren[item.cid()].nodes, function(node) {
                    var ele = node.element();
                    var removePromise = Promise.create();
                    if (this.__dynOptsCache && this.__dynOptsCache.onremove && !instant)
                        this.__dynOptsCache.onremove.call(this._handler, item, ele).forwardCallback(removePromise);
                    else
                        removePromise.asyncSuccess(true);
                    removePromise.success(function() {
                        node.weakDestroy();
                        if (ele.parentNode)
                            ele.parentNode.removeChild(ele);
                    });
                }, this);
                delete this._collectionChildren[item.cid()];
            },

            _itemData: function(item) {
                return this._collectionChildren[item.cid()];
            },

            _itemDataElements: function(item) {
                var itemData = this._itemData(item);
                if (!itemData)
                    return null;
                var result = [];
                Objs.iter(itemData.nodes, function(node) {
                    result.push(node.element());
                });
                return result;
            },

            _prependItem: function(base, item) {
                var baseDataElements = this._itemDataElements(base);
                var itemDataElements = this._itemDataElements(item);
                if (!baseDataElements || !itemDataElements)
                    return;
                Objs.iter(itemDataElements, function(element) {
                    element.parentNode.insertBefore(element, baseDataElements[0]);
                });
            },

            _appendItem: function(base, item) {
                var baseDataElements = this._itemDataElements(base);
                var itemDataElements = this._itemDataElements(item);
                if (!baseDataElements || !itemDataElements)
                    return;
                var current = baseDataElements[baseDataElements.length - 1];
                Objs.iter(itemDataElements, function(element) {
                    current.parentNode.insertBefore(element, current.nextSibling);
                    current = element;
                });
            },

            _newItemElements: function() {
                var elements = Registries.templates.create(this._node._innerTemplate);
                var parent = this._node.element();
                elements.forEach(function(element) {
                    parent.appendChild(element);
                });
                return elements;
            }

        };
    });
    Cls.register("ba-repeat");
    return Cls;
});

Scoped.define("module:Partials.RepeatElementPartial", ["module:Partials.RepeatPartial","base:Collections.Collection","base:Collections.FilteredCollection","base:Objs","module:Parser","base:Properties.Properties","browser:Dom"], function(Partial, Collection, FilteredCollection, Objs, Parser, Properties, Dom, scoped) {
    /**
     * @name ba-repeat-element
     *
     * @description
     * Instantiate entire Html element (both element and the html is closes)
     * once for each instance in the collection.
     * Differs from ba-repeat, in that while ba-repeat instantiates just the
     * inner Html contents of the given element for each instance in the
     * collection, ba-repeat-element instantiates the Html element and the inner
     * Html contents. See examples.
     * 
     * @param {object} instance Object representing a single element in the
     * collection. Updated as collection is iterated through.
     *
     * @param {object} collection Object representing multiple elements, each of
     * which will be instantiated.
     *
     * @example <p ba-repeat-element="{{ i :: [1,2,3] }}">{{i}}</p>
     * // Evalues to <p>1</p><p>2</p><p>3</p>
     */
    var Cls = Partial.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(node, args, value) {
                inherited.constructor.apply(this, arguments);
                var temp = Dom.elementByTemplate(node._template);
                temp.removeAttribute("ba-repeat-element");
                this.__filteredTemplate = temp.outerHTML.trim();
                this.__alwaysReindexNewItems = true;
            },

            _activate: function() {
                this._node.element().style.display = "none";
                inherited._activate.call(this);
            },

            _iterateCollection: function(callback) {
                var a = this._collection.iterator().asArray();
                for (var i = a.length - 1; i >= 0; --i)
                    callback.call(this, a[i]);
            },

            _newItemElements: function() {
                var element = Dom.elementByTemplate(this.__filteredTemplate);
                this._node.element().parentNode.insertBefore(element, this._node.element().nextSibling);
                element["ba-handled"] = true;
                return [element];
            },

            prepareTagHandler: function(createArguments) {
                createArguments.ignoreTagHandler = true;
            }

        };
    });
    Cls.register("ba-repeat-element");
    return Cls;
});

Scoped.define("module:Partials.StylesPartial", ["module:Handlers.Partial","base:Objs"], function(Partial, Objs, scoped) {
    var Cls = Partial.extend({
        scoped: scoped
    }, {

        _apply: function(value) {
            var s = this._node._element.style;
            Objs.iter(this.__previousValue, function(v, k) {
                if (!(k in value))
                    s.removeProperty(k);
            });
            Objs.extend(s, value);
            this.__previousValue = Objs.clone(value, 1);
        }

    });
    Cls.register("ba-styles");
    return Cls;
});

Scoped.define("module:Partials.ShowPartial", ["module:Handlers.Partial"], function(Partial, scoped) {
    /**
     * @name ba-show
     *
     * @description
     * The ba-show partials controls showing the internal Html on the Dom based on
     * the truth value of the given expression.
     *
     * @param {expression} baShow Expression to evaluate for truth. If true,
     * internal html will be displayed. If false, internal html will not be
     * displayed. Expression must be wrapped in {{}} so it will be evaluated, as
     * seen below.
     *
     * @example <p ba-show="{{1 === 1}}">Hi</p>
     * // Evalues to <p>Hi</p>
     * @example <p ba-show="{{1 === 2}}">Hi</p>
     * // Evalues to <p style="display: none;">Hi</p>
     */
    var Cls = Partial.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(node, args, value) {
                inherited.constructor.apply(this, arguments);
                this.__oldDisplay = undefined;
                this.__readOldDisplay = false;
                this.__hidden = false;
                if (!value)
                    this.__hide();
            },

            __hide: function() {
                if (this.__hidden)
                    return;
                this.__hidden = true;
                if (!this.__readOldDisplay) {
                    this.__oldDisplay = this._node._element.style.display;
                    this.__readOldDisplay = true;
                }
                this._node._element.style.display = "none";
            },

            __show: function() {
                if (!this.__hidden)
                    return;
                this.__hidden = false;
                this._node._element.style.display = this.__oldDisplay && this.__oldDisplay !== 'none' ? this.__oldDisplay : "";
            },

            _apply: function(value) {
                if (value)
                    this.__show();
                else
                    this.__hide();
            }

        };
    });
    Cls.register("ba-show");
    return Cls;
});

Scoped.define("module:Partials.IfPartial", ["module:Partials.ShowPartial"], function(Partial, scoped) {
    /**
     * @name ba-if
     *
     * @description
     * The ba-if partial controls rendering of internal Html based on the truth
     * value of a given expression. It differs from ba-show in that ba-show
     * renders internal Html, but hides it, while ba-if will not render the
     * internal Html at all.
     *
     * @param {expression} baIf Expression to evaluate for truth. If true,
     * internal html will be rendered. If false, internal html will not be
     * rendered. Note, if the expression should be evaluted, it must be wrapped in
     * {{}}. See the examples below.
     *
     * @example <div ba-if="{{1 === 1}}"><h1>Hi</h1><div>
     * // Evaluated to <div><h1>Hi</h1></div>
     *
     * @example <div ba-if="{{1 === 2}}"></h1>Hi</h1></div>
     * // Evaluated to <div></div>
     */
    var Cls = Partial.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(node, args, value) {
                inherited.constructor.apply(this, arguments);
                if (!value)
                    node.deactivate();
            },

            _apply: function(value) {
                inherited._apply.call(this, value);
                if (value)
                    this._node.activate();
                else
                    this._node.deactivate();
            }

        };
    });
    Cls.register("ba-if");
    return Cls;
});

Scoped.define("module:Partials.EventPartial", ["module:Handlers.Partial","base:Functions"], function(Partial, Functions, scoped) {
    var Cls = Partial.extend({
        scoped: scoped
    }, {

        bindTagHandler: function(handler) {
            var pf = this._postfix.trim();
            var fwd = pf.indexOf("~") === 0;
            if (fwd)
                pf = pf.substring(1);
            handler.on(pf, function() {
                if (fwd) {
                    var args = Functions.getArguments(arguments);
                    args.unshift(this._value || pf);
                    this._node._handler.trigger.apply(this._node._handler, args);
                } else
                    this._valueExecute(arguments);
            }, this);
        }

    }, {

        manualExecute: true

    });
    Cls.register("ba-event");
    return Cls;
});

Scoped.define("module:Partials.OnPartial", ["module:Handlers.Partial","browser:Events"], function(Partial, Events, scoped) {
    /**
     * @name ba-on
     *
     * @description
     * The ba-on partial executes the given expression when triggered by the
     * specified Dom event on the given Html element. For a complete list of Dom
     * events, see {@link http://www.w3schools.com/jsref/dom_obj_event.asp}
     *
     * @postfix {event} event The event triggering the expression is specified as
     * a post fix of the ba-on directive. See the examples.
     *
     * @param {expression} baOn Expression to evaluate upon the occurence of the
     * event. If within the scope of another directive, the expression can be an
     * exposed method of the parent directive (see ba-click documentation for
     * greater detail).
     *
     * @example <button ba-on:mouseover="alert('Hi')">Hi</button>
     * // Will alert('Hi') when the mouseover event occurs on the button.
     */
    var Cls = Partial.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(node, args, value, postfix) {
                inherited.constructor.apply(this, arguments);
                var events = this.auto_destroy(new Events());
                events.on(this._node._element, postfix.trim(), function() {
                    this._execute(value.trim());
                }, this);
            }

        };
    }, {

        manualExecute: true

    });
    Cls.register("ba-on");
    return Cls;
});

Scoped.define("module:Partials.TogglePartial", ["module:Handlers.Partial"], function(Partial, scoped) {
    var mapping = {
        readonly: "readOnly",
        playsinline: "playsInline"
    };

    var Cls = Partial.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(node, args, value, postfix) {
                inherited.constructor.apply(this, arguments);
                this._apply(value);
            },

            _apply: function(value) {
                this._node.element()[mapping[this._postfix] || this._postfix] = value ? this._postfix : null;
            }

        };
    });
    Cls.register("ba-toggle");
    return Cls;
});

Scoped.define("module:Partials.TemplatePartial", ["module:Handlers.Partial"], function(Partial, scoped) {

    var Cls = Partial.extend({
        scoped: scoped
    }, {

        bindTagHandler: function(handler) {
            if (this._value)
                handler.template = this._value;
        }

    }, {

        meta: {
            requires_tag_handler: true,
            value_hidden: true
        }

    });
    Cls.register("ba-template");
    return Cls;

});

Scoped.define("module:Partials.HotkeyPartial", ["module:Handlers.Partial","browser:Events","browser:Hotkeys"], function(Partial, Events, Hotkeys, scoped) {
    var Cls = Partial.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(node, args, value) {
                inherited.constructor.apply(this, arguments);
                var events = this.auto_destroy(new Events());
                var hotkey = this._postfix;
                events.on(this._node._element, "keydown", function(e) {
                    if (Hotkeys.handleKeyEvent(hotkey, e))
                        this._valueExecute([e]);
                }, this);
            }

        };
    }, {

        manualExecute: true

    });
    Cls.register("ba-hotkey");
    return Cls;
});

Scoped.define("module:Partials.DataPartial", ["module:Handlers.Partial"], function(Partial, scoped) {
    var Cls = Partial.extend({
        scoped: scoped
    }, {

        _apply: function(value) {
            this._node._tagHandler.data(this._postfix, value);
        },

        bindTagHandler: function(handler) {
            this._apply(this._value);
        }

    }, {

        meta: {
            requires_tag_handler: true
        }

    });
    Cls.register("ba-data");
    return Cls;
});

Scoped.define("module:Partials.AttrsPartial", ["module:Handlers.Partial","base:Objs","base:Class"], function(Partial, Objs, Class, scoped) {
    /**
     * @name ba-attrs
     *
     * @description
     * The ba-attrs partial allows the specification of an object that will
     * provide attributes accessible within the element containing the ba-attrs
     * html attribute.
     *
     * @param {object} baAttrs Object containing individual attributes.
     *
     * @example <div ba-attrs="{{{test: 'hi'}}}">{{test}}</div>
     * // Evaluates to <div ba-attrs="{{{test: 'hi'}}}">hi</div>
     */
    var Cls = Partial.extend({
        scoped: scoped
    }, {

        _apply: function(value) {
            if (!this._active)
                return;
            var props = this._node._tagHandler ? this._node._tagHandler.properties() : this._node.properties();
            for (var key in value)
                props.set(key, value[key]);
        },

        bindTagHandler: function(handler) {
            for (var key in this._value)
                handler.setArgumentAttr(key, Class.is_pure_json(this._value[key]) ? Objs.clone(this._value[key], 1) : this._value[key]);
        }

    });
    Cls.register("ba-attrs");
    return Cls;
});

Scoped.define("module:DomObserver", ["base:Class","base:Objs","browser:DomMutation.NodeInsertObserver","module:Registries","module:Dynamic","browser:Dom"], function(Class, Objs, NodeInsertObserver, Registries, Dynamic, Dom, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(options) {
                inherited.constructor.call(this);
                options = options || {};
                this.__initialRoot = options.root;
                this.__persistent_dynamics = !!options.persistent_dynamics;
                this.__allowed_dynamics = options.allowed_dynamics ? Objs.objectify(options.allowed_dynamics) : null;
                this.__forbidden_dynamics = options.forbidden_dynamics ? Objs.objectify(options.forbidden_dynamics) : null;
                this.__ignore_existing = options.ignore_existing;
                this.__dynamics = {};
                this.__enabled = false;
                if (!("enabled" in options) || options.enabled)
                    this.enable();
            },

            enable: function() {
                if (this.__enabled)
                    return;
                this.__enabled = true;
                this.__root = Dom.unbox(this.__initialRoot || document.body);
                if (!this.__ignore_existing)
                    Objs.iter(Registries.handler.classes(), this.__registerExisting, this);
                this.__observer = NodeInsertObserver.create({
                    root: this.__root,
                    filter: this.__observerFilter,
                    context: this
                });
                this.__observer.on("node-inserted", this.__nodeInserted, this);
            },

            disable: function() {
                if (!this.__enabled)
                    return;
                this.__enabled = false;
                this.__observer.weakDestroy();
            },

            __registerExisting: function(cls, key) {
                if (this.__forbidden_dynamics && this.__forbidden_dynamics[key])
                    return;
                if (this.__allowed_dynamics && !this.__allowed_dynamics[key])
                    return;
                var tags = this.__root.getElementsByTagName(key.toUpperCase());
                for (var i = 0; i < tags.length; ++i) {
                    var elem = tags[i];
                    if (!elem.dynamicshandler)
                        this.__nodeInserted(elem);
                }
            },

            addAllowedDynamic: function(key) {
                this.__allowed_dynamics = this.__allowed_dynamics || {};
                this.__allowed_dynamics[key] = true;
                var cls = (Registries.handler.classes())[key];
                if (this.__enabled && !this.__ignore_existing && cls)
                    this.__registerExisting(cls, key);
            },

            destroy: function() {
                this.disable();
                Objs.iter(this.__dynamics, function(dynamic) {
                    dynamic.off(null, null, this);
                    if (!this.__persistent_dynamics)
                        dynamic.weakDestroy();
                }, this);
                inherited.destroy.call(this);
            },

            __observerFilter: function(node) {
                if (node.dynamicshandler || !node.tagName)
                    return false;
                var tag = node.tagName.toLowerCase();
                if (!Registries.handler.get(tag))
                    return false;
                if (this.__forbidden_dynamics && this.__forbidden_dynamics[tag])
                    return false;
                if (this.__allowed_dynamics && !this.__allowed_dynamics[tag])
                    return false;
                return true;
            },

            __nodeInserted: function(node) {
                var dynamic = new Dynamic({
                    element: node,
                    remove_observe: true
                });
                this.__dynamics[dynamic.cid()] = dynamic;
                dynamic.on("destroy", function() {
                    delete this.__dynamics[dynamic.cid()];
                }, this);
                dynamic.activate();
            }

        };
    }, {

        __singleton: null,

        activate: function(options) {
            if (!this.__singleton)
                this.__singleton = new this(options);
        }

    });
});


}).call(Scoped);
(function () {
var Scoped = this.subScope();
Scoped.binding('base', 'root:BetaJS');
Scoped.binding('browser', 'root:BetaJS.Browser');
Scoped.binding('dynamics', 'root:BetaJS.Dynamics');
Scoped.binding('media', 'root:BetaJS.Media');
Scoped.binding('module', 'root:BetaJS.MediaComponents');
Scoped.define("module:", function () {
	return {
    "guid": "7a20804e-be62-4982-91c6-98eb096d2e70",
    "version": "0.0.303",
    "datetime": 1653791880778
};
});

Scoped.define("module:Ads.IMALoader", ["base:Promise","browser:Loader"], function(Promise, Loader) {
    return {

        /**
         * contentComplete(); destroy(); getVersion() - string;
         * getSettings() non-null ImaSdkSettings;
         * requestAds(adsRequest, userRequestContext);
         * @param options
         * @returns {*}
         */
        loadSDK: function(options) {
            var promise = Promise.create();
            // https://developers.google.com/interactive-media-ads/docs/sdks/html5/client-side/architecture
            try {
                if (typeof google === "undefined") {
                    Loader.loadScript('https://imasdk.googleapis.com/js/sdkloader/ima3.js', function() {
                        promise.asyncSuccess(this.adsLoader(options));
                    }, this);
                } else {
                    // Just in case check if google is relate IMA SDK not other google service
                    if (typeof google.ima === "undefined") {
                        Loader.loadScript('https://imasdk.googleapis.com/js/sdkloader/ima3.js', function() {
                            promise.asyncSuccess(this.adsLoader(options));
                        }, this);
                    } else promise.asyncSuccess(this.adsLoader(options));
                }
            } catch (e) {
                promise.asyncError(e);
            }

            return promise;
        },

        /**
         *
         * @param options
         * @returns {google.ima.AdDisplayContainer}
         */
        adContainer: function(options) {
            var adDisplayContainer = new google.ima.AdDisplayContainer(
                options.adElement, options.videoElement
            );

            // Must be done as the result of a user action on mobile
            adDisplayContainer.initialize();
            return adDisplayContainer;
        },

        /**
         * Will return adsLoader, after we have to setup lister and destroy per each adsRequest
         * @param options
         */
        adsLoader: function(options) {
            // Re-use this AdsLoader instance for the entire lifecycle of your page.
            return new google.ima.AdsLoader(this.adContainer(options));
        }
    };
});

Scoped.define("module:Ads.IMARequester", ["base:Class","base:Objs","browser:Dom","browser:Info","base:Events.EventsMixin"], function(Class, Objs, Dom, Info, EventsMixin, scoped) {
    return Class.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {

            /**
             * @param provider
             * @param dyn
             * @param {string} position
             * @param {boolean} autostart
             */
            constructor: function(provider, dyn, position, autostart) {
                inherited.constructor.call(this, dyn, position, autostart);

                // init
                this._dyn = dyn;
                this._adsLoaded = false;
                this._adsProvider = provider;
                this._adsPosition = position;
                this._autostart = autostart;
                this._adsLoader = dyn._adsLoader;
                this._options = dyn._adOptions;
                this._player = dyn._adOptions.videoElement;
                this._adsManager = null;
                this._adControlbar = null;
                this._providerOptions = provider.options();

                this._adsRequest = new google.ima.AdsRequest();

                // google.ima.ImaSdkSettings.VpaidMode.DISABLED
                // DISABLED - VPAID ads will not play and an error will be returned.
                // ENABLED - VPAID ads are enabled using a cross domain iframe
                // INSECURE - This allows the ad access to the site via JavaScript.
                if (this._providerOptions.vpaidMode)
                    google.ima.settings.setVpaidMode(this._providerOptions.vpaidMode);

                // Call setLocale() to localize language text and downloaded swfs
                if (Info.language() !== "en" || this._providerOptions.locale)
                    google.ima.settings.setLocale(this._providerOptions.locale || Info.language());

                if (this._providerOptions.maxAllowedRedirects && Info.number(this._providerOptions.maxAllowedRedirects))
                    google.ima.settings.setNumRedirects(this._providerOptions.maxAllowedRedirects);


                // setAutoPlayAdBreaks(boolean)

                // For IOS skipable
                // google.ima.settings.setDisableCustomPlaybackForIOS10Plus(true);

                this._adsRequest = new google.ima.AdsRequest();

                // switch (position) {
                //     case provider.__IMA_PRE_ROLL:
                //         this._adsRequest.adTagUrl = this._providerOptions.adPreTagUrl || this._providerOptions.adTagUrl;
                //         break;
                //     case provider.__IMA_POST_ROLL:
                //         this._adsRequest.adTagUrl = this._providerOptions.adPostTagUrl || this._providerOptions.adTagUrl;
                //         break;
                //     default:
                //         this._adsRequest.adTagUrl = this._providerOptions._prepareMidURL() || this._providerOptions.adTagUrl;
                //         break;
                // }

                var self = this;
                this._adsRequest.adTagUrl = this._providerOptions.adTagUrl;
                this._adsLoader.addEventListener(google.ima.AdErrorEvent.Type.AD_ERROR, function(err) {
                    self.onAdError(err.type, err.getError().toString());
                }, false);

                this._adsLoader.addEventListener(google.ima.AdsManagerLoadedEvent.Type.ADS_MANAGER_LOADED, function(ev) {
                    // Preload if ad is preroll and user set preload optin
                    self.onAdsManagerLoaded(ev, provider.__IMA_PRE_ROLL || self._autostart);
                    self._adsLoaded = true;
                    if (self._autostart) self.startAd();
                }, false);
            },

            executeAd: function(options) {
                // Specify the linear and nonlinear slot sizes.
                // This helps the SDK to
                // select the correct creative if multiple are returned.
                this._adsRequest.linearAdSlotWidth = options.width;
                this._adsRequest.linearAdSlotHeight = options.height;
                // For non linear ads like image in te bottom side of the video
                this._adsRequest.nonLinearAdSlotWidth = options.width;
                this._adsRequest.nonLinearAdSlotHeight = options.height / 3;

                this._adsLoader.requestAds(this._adsRequest);
            },

            /**
             * TODO: IMPROVE FOR MID-ROLLS IF USER WANT SET DIFFERENT
             * @returns {null}
             * @private
             */
            _prepareMidURL: function() {
                return null;
            },

            /**
             * @param adsManagerLoadedEvent
             * @param {boolean} preload
             * @returns {*}
             */
            onAdsManagerLoaded: function(adsManagerLoadedEvent, preload) {
                var adRenderingSettings = new google.ima.AdsRenderingSettings();
                adRenderingSettings.enablePreloading = preload;
                adRenderingSettings.restoreCustomPlaybackStateOnAdBreakComplete = true;

                // getUserRequestContext
                this._adsManager = adsManagerLoadedEvent.getAdsManager(
                    this._player, adRenderingSettings
                );
            },

            /**
             * On Each IMA SDK events are triggered
             * @param ev
             * @private
             */
            onAdEvent: function(ev) {
                // Event type Priority: loaded, contentPauseRequested, start,
                // [firstQuartile, midpoint, thirdQuartile],
                // complete, contentResumeRequested, allAdsCompleted
                var data = typeof ev.getAd === 'function' ? ev.getAd() : null;
                switch (ev.type) {
                    case 'loaded':
                        this.trigger('ad' + ev.type, data);
                        this._showIMAAdController(this, data);
                        break;
                    case 'allAdsCompleted':
                        this.trigger('adfinished');
                        break;
                    case 'contentPauseRequested':
                        if (this._dyn.get("playing")) this._dyn.pause();
                        this._options.adElement.style.display = "";
                        break;
                    case 'contentResumeRequested':
                        this._options.adElement.style.display = "none";
                        break;
                    default:
                        // Trigger events with ad- prefix
                        this.trigger('ad' + ev.type, data);
                }
            },

            /**
             * Show error if any occurecs
             * @param type
             * @param message
             * @private
             */
            onAdError: function(type, message) {
                if (this._adControlbar) {
                    this._adControlbar.destroy();
                }
                this.trigger('ad-error', message);
            },

            /**
             * Destroy class
             */
            // destroy: function() {
            //     inherited.destroy.call(this);
            // },

            /**
             * Start requested ad
             * @private
             */
            startAd: function() {
                var dyn = this._dyn;

                /**
                 * Listen to error event
                 */
                this._adsManager.addEventListener(
                    google.ima.AdErrorEvent.Type.AD_ERROR,
                    function(ev) {
                        return requester.onAdError(ev);
                    }, false, this
                );

                /**
                 * All events listed above in except error event which will be trigger separately
                 */
                Objs.iter(this.__events(), function(event) {
                    this._adsManager.addEventListener(event, function(ev) {
                        return this.onAdEvent(ev);
                    }, false, this);
                }, this);

                /**
                 * Set preferred video dimensions
                 */
                var initWidth, initHeight;
                if (dyn.get("fullscreened")) {
                    initWidth = Dom.elementDimensions(document.body).width;
                    initHeight = Dom.elementDimensions(document.body).height;
                } else {
                    initWidth = dyn.parentWidth();
                    initHeight = dyn.parentHeight();
                }

                try {
                    // init(width, height, viewMode, videoElement)
                    this._adsManager.init(initWidth, initHeight, google.ima.ViewMode.NORMAL);
                    this._adsManager.start();
                } catch (e) {
                    this.onAdError('Ad Manager Init Error: ', e);
                }
            },

            /**
             * @param data IMA Ad data
             */
            _showIMAAdController: function(data) {
                this._dyn.set("show-ad-controller", true);
                var controllerElement = this._dyn.activeElement().querySelector("[data-ads='controllbar']");
                if (controllerElement) {
                    this._adControlbar = new BetaJS.MediaComponents.Ads.IMA.Controllbar({
                        element: controllerElement,
                        attrs: {
                            requester: this,
                            data: data
                        }
                    });
                    this._adControlbar.activate();
                }
            },

            /**
             * IMA SDK events
             * @returns {(*|number)[]}
             * @private
             *
             * CONTENT_PAUSE_REQUESTED
             * Fired when content should be paused. This usually happens right before an ad is about to cover the content.
             *
             * CONTENT_RESUME_REQUESTED
             * Fired when content should be resumed. This usually happens when an ad finishes or collapses.
             *
             * CLICK
             * Fired when the ad is clicked.
             *
             * VIDEO_CLICKED
             * Fired when the non-clickthrough portion of a video ad is clicked.
             *
             * VIDEO_ICON_CLICKED
             * Fired when a user clicks a video icon.
             *
             * STARTED
             * Fired when the ad starts playing.
             *
             * AD_PROGRESS
             * Fired when the ad's current time value changes. Calling getAdData() on this event will return an AdProgressData object.
             *
             * AD_BUFFERING
             * Fired when the ad has stalled playback to buffer.
             *
             * IMPRESSION
             * Fired when the impression URL has been pinged.
             *
             * PAUSED
             * Fired when the ad is paused.
             *
             * RESUMED
             * Fired when the ad is resumed.
             *
             * FIRST_QUARTILE
             * Fired when the ad playhead crosses first quartile.
             *
             * MIDPOINT
             * Fired when the ad playhead crosses midpoint.
             *
             * THIRD_QUARTILE
             * Fired when the ad playhead crosses third quartile.
             *
             * COMPLETE
             * Fired when the ad completes playing.
             *
             * DURATION_CHANGE
             * Fired when the ad's duration changes.
             *
             * USER_CLOSE
             * Fired when the ad is closed by the user.
             *
             * LOADED
             * Fired when ad data is available.
             *
             * ALL_ADS_COMPLETED
             * Fired when the ads manager is done playing all the valid ads in the ads response, or when the response doesn't return any valid ads.
             *
             * SKIPPED
             * Fired when the ad is skipped by the user.
             *
             * LINEAR_CHANGED
             * Fired when the displayed ad changes from linear to nonlinear, or vice versa.
             *
             * SKIPPABLE_STATE_CHANGED
             * Fired when the displayed ads skippable state is changed.
             *
             * AD_METADATA
             * Fired when an ads list is loaded.
             *
             * AD_BREAK_READY
             * Fired when an ad rule or a VMAP ad break would have played if autoPlayAdBreaks is false.
             *
             * LOG
             * Fired when a non-fatal error is encountered. The user need not take any action since the SDK will continue with the same or next ad playback depending on the error situation.
             *
             * VOLUME_CHANGED
             * Fired when the ad volume has changed.
             *
             * VOLUME_MUTED
             * Fired when the ad volume has been muted.
             *
             * INTERACTION
             * Fired when an ad triggers the interaction callback. Ad interactions contain an interaction ID string in the ad data.
             */
            __events: function() {
                return [
                    google.ima.AdEvent.Type.CONTENT_PAUSE_REQUESTED, // contentPauseRequested
                    google.ima.AdEvent.Type.CONTENT_RESUME_REQUESTED, // contentResumeRequested

                    google.ima.AdEvent.Type.LOADED, // loaded
                    google.ima.AdEvent.Type.STARTED, // start

                    google.ima.AdEvent.Type.FIRST_QUARTILE, // firstQuartile
                    google.ima.AdEvent.Type.MIDPOINT, // midpoint
                    google.ima.AdEvent.Type.THIRD_QUARTILE, // thirdQuartile

                    google.ima.AdEvent.Type.COMPLETE, // complete
                    google.ima.AdEvent.Type.ALL_ADS_COMPLETED, // allAdsCompleted

                    google.ima.AdEvent.Type.PAUSED, // pause
                    google.ima.AdEvent.Type.RESUMED, // ?? not trigger

                    google.ima.AdEvent.Type.CLICK,
                    google.ima.AdEvent.Type.VIDEO_CLICKED,
                    google.ima.AdEvent.Type.AD_PROGRESS,
                    google.ima.AdEvent.Type.DURATION_CHANGE,
                    google.ima.AdEvent.Type.SKIPPED,
                    google.ima.AdEvent.Type.LINEAR_CHANGED,
                    google.ima.AdEvent.Type.VOLUME_CHANGED,
                    google.ima.AdEvent.Type.VOLUME_MUTED,

                    google.ima.AdEvent.Type.SKIPPABLE_STATE_CHANGED
                ];
            }
        };
    }]);
});

Scoped.define("module:Ads.AbstractPrerollAd", ["base:Class","base:Events.EventsMixin"], function(Class, EventsMixin, scoped) {
    return Class.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {

            constructor: function(provider, options) {
                inherited.constructor.call(this);
                this._provider = provider;
                this._options = options;
            },

            /**
             * Case when SDK loaded and ready to start for manage ads
             */
            adsManagerLoaded: function() {
                this.trigger('ad-loaded');
            },

            /**
             * Case when any error occurred when try to load ad
             */
            adError: function() {
                this._options.adElement.style.display = "none";
                this.trigger('ad-error');
            },

            /**
             * When new ad is starting and need pause main player
             */
            pauseContentPlayer: function() {

            },

            /**
             * When ad completed and need play the main video player
             */
            resumeContentPlayer: function() {

            },

            /**
             * When all ads which should be shows was completed
             */
            allAdsCompleted: function() {

            },

            executeAd: function(options) {
                this._options.adElement.style.display = "";
                this._executeAd(options);
            },

            _adFinished: function() {
                this._options.adElement.style.display = "none";
                this.trigger("adfinished");
            },

            _adSkipped: function() {
                this._options.adElement.style.display = "none";
                this.trigger("adskipped");
            }

        };
    }]);
});

Scoped.define("module:Ads.AdSensePrerollAd", ["module:Ads.AbstractPrerollAd","browser:Loader"], function(AbstractVideoPrerollAd, Loader, scoped) {
    return AbstractVideoPrerollAd.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(provider, options) {
                inherited.constructor.call(this, provider, options);

                // https://developers.google.com/interactive-media-ads/docs/sdks/html5/client-side/architecture
                // If google script nor loaded
                if (typeof google === "undefined") {
                    Loader.loadScript('https://imasdk.googleapis.com/js/sdkloader/ima3.js', function() {
                        this.init();
                    }, this);
                } else {
                    // Just in case check if google is relate IMA SDK not other google service
                    if (typeof google.ima === "undefined") {
                        Loader.loadScript('https://imasdk.googleapis.com/js/sdkloader/ima3.js', function() {
                            this.init();
                        }, this);
                    } else {
                        this.init();
                    }
                }
            },

            init: function() {
                this._adDisplayContainer = new google.ima.AdDisplayContainer(this._options.adElement, this._options.videoElement);
                // Must be done as the result of a user action on mobile
                this._adDisplayContainer.initialize();
                //Re-use this AdsLoader instance for the entire lifecycle of your page.
                this._adsLoader = new google.ima.AdsLoader(this._adDisplayContainer);

                var self = this;
                this._adsLoader.addEventListener(google.ima.AdErrorEvent.Type.AD_ERROR, function() {
                    self._adError();
                }, false);
                this._adsLoader.addEventListener(google.ima.AdsManagerLoadedEvent.Type.ADS_MANAGER_LOADED, function() {
                    self._adLoaded.apply(self, arguments);
                }, false);

                this._adsRequest = new google.ima.AdsRequest();
                this._adsRequest.adTagUrl = this._provider.options().adTagUrl;
            },

            _executeAd: function(options) {
                // Specify the linear and nonlinear slot sizes. This helps the SDK to
                // select the correct creative if multiple are returned.
                this._adsRequest.linearAdSlotWidth = options.width;
                this._adsRequest.linearAdSlotHeight = options.height;
                // adsRequest.nonLinearAdSlotWidth = 640;
                // adsRequest.nonLinearAdSlotHeight = 150;

                this._adsLoader.requestAds(this._adsRequest);
            },

            _adError: function() {
                if (this._adsManager) {
                    this._adsManager.destroy();
                }
                this._adFinished();
            },

            _adLoaded: function(adsManagerLoadedEvent) {
                // Get the ads manager.
                this._adsManager = adsManagerLoadedEvent.getAdsManager(this._options.videoElement);
                // See API reference for contentPlayback

                try {
                    // Initialize the ads manager. Ad rules playlist will start at this time.
                    this._adsManager.init(this._adsRequest.linearAdSlotWidth, this._adsRequest.linearAdSlotHeight, google.ima.ViewMode.NORMAL);
                    // Call start to show ads. Single video and overlay ads will
                    // start at this time; this call will be ignored for ad rules, as ad rules
                    // ads start when the adsManager is initialized.
                    this._adsManager.start();
                } catch (adError) {
                    // An error may be thrown if there was a problem with the VAST response.
                }

                var self = this;
                // Add listeners to the required events.
                this._adsManager.addEventListener(google.ima.AdErrorEvent.Type.AD_ERROR, function() {
                    self._adError();
                }, false);

                //this._adsManager.addEventListener(google.ima.AdEvent.Type.CONTENT_PAUSE_REQUESTED, function () {});
                this._adsManager.addEventListener(google.ima.AdEvent.Type.CONTENT_RESUME_REQUESTED, function() {
                    self._adFinished();
                });

                //this._adsManager.addEventListener(google.ima.AdEvent.Type.CONTENT_PAUSE_REQUESTED, function () {});
                this._adsManager.addEventListener(google.ima.AdEvent.Type.SKIPPED, function() {
                    self._adSkipped();
                });
            }

        };
    });
});

Scoped.define("module:Ads.AbstractVideoAdProvider", ["base:Class"], function(Class, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(options) {
                inherited.constructor.call(this);
                this._options = options;
            },

            options: function() {
                return this._options;
            },

            _newPrerollAd: function(options) {},
            _initAdsLoader: function(options) {},
            _newAdsRequester: function(dyn, position, autostart) {},

            newPrerollAd: function(options) {
                return this._newPrerollAd(options);
            },

            /**
             * Implementing adsense loader initialization
             * @param options
             * @returns {Promise}
             */
            initAdsLoader: function(options) {
                return this._initAdsLoader(options);
            },

            /**
             * Will request and listen via ad loader
             * @param dyn
             * @param {string} position
             * @param {boolean} position
             * @returns {*}
             */
            newAdsRequester: function(dyn, position, autostart) {
                return this._newAdsRequester(dyn, position, autostart);
            },

            register: function(name) {
                this.cls.registry[name] = this;
            }

        };
    }, {

        registry: {}

    });
});

Scoped.define("module:Ads.AdSenseVideoAdProvider", ["module:Ads.AbstractVideoAdProvider","module:Ads.AdSensePrerollAd"], function(AbstractVideoAdProvider, AdSensePrerollAd, scoped) {
    return AbstractVideoAdProvider.extend({
        scoped: scoped
    }, {

        _newPrerollAd: function(options) {
            return new AdSensePrerollAd(this, options);
        }

    });
});

Scoped.define("module:Ads.IMAProvider", ["module:Ads.AbstractVideoAdProvider","module:Ads.IMALoader","module:Ads.IMARequester"], function(AbstractVideoAdProvider, IMALoader, IMARequester, scoped) {
    return AbstractVideoAdProvider.extend({
        scoped: scoped
    }, {

        __IMA_PRE_ROLL: 'pre',
        __IMA_MID_ROLL: 'mid',
        __IMA_POST_ROLL: 'post',

        /**
         *
         * @param options
         * @returns {Promise}
         * @private
         */
        _initAdsLoader: function(options) {
            return IMALoader.loadSDK(options);
        },

        /**
         *
         * @param dyn
         * @param {string} position
         * @param {boolean} autostart
         * @returns {*}
         * @private
         */
        _newAdsRequester: function(dyn, position, autostart) {
            return new IMARequester(this, dyn, position, autostart);
        }
    });
});

Scoped.define("module:Ads.VAST.Ad", ["base:Class","base:Objs","base:Events.EventsMixin"], function(Class, Objs, EventsMixin, scoped) {
    return Class.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {
            constructor: function() {
                inherited.constructor.call(this);
                this.id = null;
                this.sequence = null;
                this.system = null;
                this.title = null;
                this.description = null;
                this.advertiser = null;
                this.pricing = null;
                this.survey = null;
                this.errorURLTemplates = [];
                this.impressionURLTemplates = [];
                this.creatives = [];
                this.extensions = [];

                this.trackingEvents = {};
                this.availableTrackingEvents = ['creativeView', 'start', 'firstQuartile', 'midpoint', 'thirdQuartile', 'complete', 'rewind', 'skip', 'closeLinear', 'close', 'mute', 'unmute', 'pause', 'resume', 'playerExpand', 'playerCollapse', 'acceptInvitationLinear', 'timeSpentViewing', 'otherAdInteraction', 'progress', 'acceptInvitation', 'adExpand', 'adCollapse', 'minimize', 'overlayViewDuration', 'fullscreen', 'exitFullscreen', 'clickthrough'];

                Objs.iter(this.availableTrackingEvents, function(_event) {
                    this.trackingEvents[_event] = null;
                }, this);

            }
        };
    }], {
        isNumeric: function(n) {
            return !isNaN(parseFloat(n)) && isFinite(n);
        },

        trackAd: function(URLTemplates, variables) {
            var URL, URLs, i, j, len, results;
            URLs = this.resolveURLTemplates(URLTemplates, variables);
            results = [];
            for (j = 0, len = URLs.length; j < len; j++) {
                URL = URLs[j];
                if (typeof window !== "undefined" && window !== null) {
                    i = new Image();
                    results.push(i.src = URL);
                } else {

                }
            }
            return results;
        },

        resolveURLTemplates: function(URLTemplates, variables) {
            var URLTemplate, URLs, j, key, len, macro1, macro2, resolveURL, value;
            if (!variables) {
                variables = {};
            }
            URLs = [];
            if (variables.ASSETURI) {
                variables.ASSETURI = this.encodeURIComponentRFC3986(variables.ASSETURI);
            }
            if (variables.CONTENTPLAYHEAD) {
                variables.CONTENTPLAYHEAD = this.encodeURIComponentRFC3986(variables.CONTENTPLAYHEAD);
            }
            if ((variables.ERRORCODE) && !/^[0-9]{3}$/.test(variables.ERRORCODE)) {
                variables.ERRORCODE = 900;
            }
            variables.CACHEBUSTING = this.leftpad(Math.round(Math.random() * 1.0e+8).toString());
            variables.TIMESTAMP = this.encodeURIComponentRFC3986((new Date()).toISOString());
            variables.RANDOM = variables.random = variables.CACHEBUSTING;
            for (j = 0, len = URLTemplates.length; j < len; j++) {
                URLTemplate = URLTemplates[j];
                resolveURL = URLTemplate;
                if (!resolveURL) {
                    continue;
                }
                for (key in variables) {
                    value = variables[key];
                    macro1 = "[" + key + "]";
                    macro2 = "%%" + key + "%%";
                    resolveURL = resolveURL.replace(macro1, value);
                    resolveURL = resolveURL.replace(macro2, value);
                }
                URLs.push(resolveURL);
            }
            return URLs;
        },

        leftpad: function(str) {
            if (str.length < 8) {
                return ((function() {
                    var j, ref, results;
                    results = [];
                    for (j = 0, ref = 8 - str.length; 0 <= ref ? j < ref : j > ref; 0 <= ref ? j++ : j--) {
                        results.push('0');
                    }
                    return results;
                })()).join('') + str;
            } else {
                return str;
            }
        },

        encodeURIComponentRFC3986: function(str) {
            return encodeURIComponent(str).replace(/[!'()*]/g, function(c) {
                return '%' + c.charCodeAt(0).toString(16);
            });
        },

        storage: (function() {
            var data, isDisabled, storage, storageError;
            try {
                storage = typeof window !== "undefined" && window !== null ? window.localStorage || window.sessionStorage : null;
            } catch (error) {
                storageError = error;
                storage = null;
            }
            isDisabled = function(store) {
                var e, testValue, storeValue;
                try {
                    testValue = '__VAST__';
                    storeValue = store.getItem(testValue);
                    store.setItem(testValue, testValue);
                    if (store.getItem(testValue) !== testValue) {
                        return true;
                    }
                    if (storeValue) store.setItem(testValue, storeValue);
                    else store.removeItem(testValue);
                } catch (error) {
                    e = error;
                    return true;
                }
                return false;
            };
            if ((storage === null) || isDisabled(storage)) {
                data = {};
                storage = {
                    length: 0,
                    getItem: function(key) {
                        return data[key];
                    },
                    setItem: function(key, value) {
                        data[key] = value;
                        this.length = Object.keys(data).length;
                    },
                    removeItem: function(key) {
                        delete data[key];
                        this.length = Object.keys(data).length;
                    },
                    clear: function() {
                        data = {};
                        this.length = 0;
                    }
                };
            }
            return storage;
        })()
    });
});

Scoped.define("module:Ads.VAST.Response", ["module:Ads.VAST.Ad"], function(VASTAd, scoped) {
    return VASTAd.extend({
        scoped: scoped
    }, function(inherited) {
        return {
            constructor: function() {
                this.ads = [];
                this.errorURLTemplates = [];
            }
        };
    });
});

Scoped.define("module:Ads.VAST.CompanionAd", ["module:Ads.VAST.Ad"], function(VASTAd, scoped) {
    return VASTAd.extend({
        scoped: scoped
    }, function(inherited) {
        return {
            constructor: function() {
                inherited.constructor.call(this);
                this.id = null;
                this.width = 0;
                this.height = 0;
                this.type = null;
                this.staticResource = null;
                this.htmlRecource = null;
                this.iframeResource = null;
                this.altText = null;
                this.companionClickThroughURLTemplate = null;
                this.companionClickTrackingURLTemplates = [];
            }
        };
    });
});

Scoped.define("module:Ads.VAST.Creative", ["module:Ads.VAST.Ad"], function(VASTAd, scoped) {
    return VASTAd.extend({
        scoped: scoped
    }, function(inherited) {
        return {
            constructor: function(creativeAttributes) {
                inherited.constructor.call(this);

                if (creativeAttributes === null) {
                    creativeAttributes = {};
                }

                this.id = creativeAttributes.id || null;
                this.adId = creativeAttributes.adId || null;
                this.sequence = creativeAttributes.sequence || null;
                this.apiFramework = creativeAttributes.apiFramework || null;

            }
        };
    });
});

Scoped.define("module:Ads.VAST.CreativeLinear", ["module:Ads.VAST.Ad"], function(VASTAd, scoped) {
    return VASTAd.extend({
        scoped: scoped
    }, function(inherited) {
        return {
            constructor: function() {
                inherited.constructor.call(this);
                this.type = "linear";
                this.duration = 0;
                this.skipDelay = null;
                this.mediaFiles = [];
                this.videoClickThroughURLTemplate = null;
                this.videoClickTrackingURLTemplates = [];
                this.videoCustomClickURLTemplates = [];
                this.adParameters = null;
                this.icons = [];
            }
        };
    });
});

Scoped.define("module:Ads.VAST.CreativeNonLinear", ["module:Ads.VAST.Ad"], function(VASTAd, scoped) {
    return VASTAd.extend({
        scoped: scoped
    }, function(inherited) {
        return {
            constructor: function() {
                inherited.constructor.call(this);
                this.type = "nonlinear";
                this.variations = [];

            }
        };
    });
});

Scoped.define("module:Ads.VAST.AdExtension", ["module:Ads.VAST.Ad"], function(VASTAd, scoped) {
    return VASTAd.extend({
        scoped: scoped
    }, function(inherited) {
        return {
            constructor: function() {
                inherited.constructor.call(this);
                this.attributes = {};
                this.children = [];
            }
        };
    });
});

Scoped.define("module:Ads.VAST.AdExtensionChild", ["module:Ads.VAST.Ad"], function(VASTAd, scoped) {
    return VASTAd.extend({
        scoped: scoped
    }, function(inherited) {
        return {
            constructor: function() {
                inherited.constructor.call(this);
                this.name = null;
                this.value = null;
                this.attributes = {};
            }
        };
    });
});

Scoped.define("module:Ads.VAST.Icon", ["module:Ads.VAST.Ad"], function(VASTAd, scoped) {
    return VASTAd.extend({
        scoped: scoped
    }, function(inherited) {
        return {
            constructor: function() {
                inherited.constructor.call(this);
                this.program = null;
                this.height = 0;
                this.width = 0;
                this.xPosition = 0;
                this.yPosition = 0;
                this.apiFramework = null;
                this.offset = null;
                this.duration = 0;
                this.type = null;
                this.staticResource = null;
                this.htmlResource = null;
                this.iframeResource = null;
                this.iconClickThroughURLTemplate = null;
                this.iconClickTrackingURLTemplates = [];
                this.iconViewTrackingURLTemplate = null;
            }
        };
    });
});

Scoped.define("module:Ads.VAST.MediaFile", ["module:Ads.VAST.Ad"], function(VASTAd, scoped) {
    return VASTAd.extend({
        scoped: scoped
    }, function(inherited) {
        return {
            constructor: function(inherited) {
                this.id = null;
                this.fileURL = null;
                this.deliveryType = "progressive";
                this.mimeType = null;
                this.codec = null;
                this.bitrate = 0;
                this.minBitrate = 0;
                this.maxBitrate = 0;
                this.width = 0;
                this.height = 0;
                this.apiFramework = null;
                this.scalable = null;
                this.maintainAspectRatio = null;
            }
        };
    });
});

Scoped.define("module:Ads.VAST.CreativeCompanion", ["module:Ads.VAST.Ad"], function(VASTAd, scoped) {
    return VASTAd.extend({
        scoped: scoped
    }, function(inherited) {
        return {
            constructor: function(inherited) {
                inherited.constructor.call(this);
                this.type = "companion";
                this.variations = [];

            }
        };
    });
});

Scoped.define("module:Ads.VAST.NonLinear", ["module:Ads.VAST.Ad"], function(VASTAd, scoped) {
    return VASTAd.extend({
        scoped: scoped
    }, function(inherited) {
        return {
            constructor: function() {
                inherited.constructor.call(this);
                this.id = null;
                this.width = 0;
                this.height = 0;
                this.expandedWidth = 0;
                this.expandedHeight = 0;
                this.scalable = true;
                this.maintainAspectRatio = true;
                this.minSuggestedDuration = 0;
                this.apiFramework = "static";
                this.type = null;
                this.staticResource = null;
                this.htmlResource = null;
                this.iframeResource = null;
                this.nonlinearClickThroughURLTemplate = null;
                this.nonlinearClickTrackingURLTemplates = [];
                this.adParameters = null;
            }
        };
    });
});

Scoped.define("module:Ads.VAST.Parser", ["module:Ads.VAST.Ad","base:Ajax.Support","module:Ads.VAST.Response","module:Ads.VAST.CreativeLinear","module:Ads.VAST.MediaFile","module:Ads.VAST.CreativeCompanion","module:Ads.VAST.CreativeNonLinear","module:Ads.VAST.CompanionAd","module:Ads.VAST.AdExtension","module:Ads.VAST.AdExtensionChild","module:Ads.VAST.NonLinear"], function(VASTAd, AjaxSupport, VASTResponse, VASTCreativeLinear, VASTMediaFile, VASTCreativeCompanion, VASTCreativeNonLinear, VASTCompanionAd, VASTAdExtension, VASTAdExtensionChild, VASTNonLinear, scoped) {
        return VASTAd.extend({
            scoped: scoped
        }, function(inherited) {
            return {
                constructor: function() {
                    inherited.constructor.call(this);
                    this.URLTemplateFilters = [];
                },

                _indexOf: function(item) {
                    for (var i = 0, l = this.length; i < l; i++) {
                        if (i in this && this[i] === item) return i;
                    }
                    return -1;
                },

                addURLTemplateFilter: function(func) {
                    if (typeof func === 'function') {
                        URLTemplateFilters.push(func);
                    }
                },

                removeURLTemplateFilter: function() {
                    return URLTemplateFilters.pop();
                },

                countURLTemplateFilters: function() {
                    return URLTemplateFilters.length;
                },

                clearUrlTemplateFilters: function() {
                    URLTemplateFilters = [];
                    return URLTemplateFilters;
                },

                parse: function(url, options, cb) {
                    if (!cb) {
                        if (typeof options === 'function') {
                            cb = options;
                        }
                        options = {};
                    }
                    return this._parse(url, null, options, function(err, response) {
                        return cb(err, response);
                    });
                },

                track: function(templates, errorCode) {
                    return VASTAd.trackAd(templates, errorCode);
                },

                _parse: function(url, parentURLs, options, cb) {
                    var filter, i, len;

                    if (!cb) {
                        if (typeof options === 'function') {
                            cb = options;
                        }
                        options = {};
                    }

                    for (i = 0, len = this.URLTemplateFilters.length; i < len; i++) {
                        filter = URLTemplateFilters[i];
                        url = filter(url);
                    }

                    if (parentURLs === null) {
                        parentURLs = [];
                    }
                    parentURLs.push(url);

                    return AjaxSupport.execute({
                        uri: url,
                        contentType: "xml",
                        decodeType: "xml"
                    }).error(function(err) {
                        cb(err, null);
                    }).success(function(xml) {
                        return this.parseXmlDocument(url, parentURLs, options, xml, cb);
                    }, this);
                },

                __indexOf: [].indexOf || function(item) {
                    for (var i = 0, l = this.length; i < l; i++) {
                        if (i in this && this[i] === item) return i;
                    }
                    return -1;
                },

                parseXmlDocument: function(url, parentURLs, options, xml, cb) {
                    var ad, complete, i, j, len, len1, loopIndex, node, ref, ref1, response, _self;
                    _self = this;
                    response = new VASTResponse();
                    if (!(((xml !== null ? xml.documentElement : void 0) !== null) && xml.documentElement.nodeName === "VAST")) {
                        return cb(new Error('Invalid VAST XMLDocument'));
                    }

                    ref = xml.documentElement.childNodes;
                    for (i = 0, len = ref.length; i < len; i++) {
                        node = ref[i];
                        if (node.nodeName === 'Error') {
                            response.errorURLTemplates.push(this.parseNodeText(node));
                        }
                    }

                    ref1 = xml.documentElement.childNodes;
                    for (j = 0, len1 = ref1.length; j < len1; j++) {
                        node = ref1[j];
                        if (node.nodeName === 'Ad') {
                            ad = this.parseAdElement(node);
                            if (ad !== null) {
                                response.ads.push(ad);
                            } else {
                                this.track(response.errorURLTemplates, {
                                    ERRORCODE: 101,
                                    ERRORMESSAGE: 'VAST schema validation error.'
                                });
                            }
                        }
                    }

                    complete = function(error, errorAlreadyRaised) {
                        var k, len2, noCreatives, ref2;
                        if (error === null) {
                            error = null;
                        }
                        if (errorAlreadyRaised === null) {
                            errorAlreadyRaised = false;
                        }
                        if (!response) {
                            return;
                        }
                        noCreatives = true;
                        ref2 = response.ads;
                        for (k = 0, len2 = ref2.length; k < len2; k++) {
                            ad = ref2[k];
                            if (ad.nextWrapperURL) {
                                return;
                            }
                            if (ad.creatives.length > 0) {
                                noCreatives = false;
                            }
                        }
                        if (noCreatives) {
                            if (!errorAlreadyRaised) {
                                _self.track(response.errorURLTemplates, {
                                    ERRORCODE: 303,
                                    ERRORMESSAGE: 'No VAST response after one or more Wrappers (No creatives)'
                                });
                            }
                        }
                        if (response.ads.length === 0) {
                            response = null;
                        }
                        return cb(error, response);
                    };

                    loopIndex = response.ads.length;
                    while (loopIndex--) {
                        ad = response.ads[loopIndex];
                        if (!ad.nextWrapperURL) {
                            continue;
                        }
                        this._handleComplete.call(this, ad, url, response, parentURLs, options, complete);
                    }
                    return complete();
                },


                _handleComplete: function(ad, url, response, parentURLs, options, complete) {
                    var _ref2;
                    if (parentURLs.length > (options.wrapperLimit ? options.wrapperLimit : 9) || (_ref2 = ad.nextWrapperURL, this.__indexOf.call(parentURLs, _ref2) >= 0)) {
                        this.track(ad.errorURLTemplates, {
                            ERRORCODE: 302,
                            ERRORMESSAGE: 'Wrapper limit reached, as defined by the video player. Too many Wrapper responses have been received with no InLine response.'
                        });
                        response.ads.splice(response.ads.indexOf(ad), 1);
                        complete(new Error("Wrapper limit reached, as defined by the video player"));
                        return;
                    }

                    if (url) {
                        ad.nextWrapperURL = this.resolveVastAdTagURI(ad.nextWrapperURL, url);
                    }

                    return this._parse(ad.nextWrapperURL, parentURLs, options, function(err, wrappedResponse) {
                        var _errorAlreadyRaised, _index, _k, _len2, _ref3, _wrappedAd;
                        _errorAlreadyRaised = false;
                        if (err) {
                            this.track(ad.errorURLTemplates, {
                                ERRORCODE: 301,
                                ERRORMESSAGE: 'Timeout of VAST URI provided in Wrapper element, or of VAST URI provided in a subsequent Wrapper element. (URI was either unavailable or reached a timeout as defined by the video player.)'
                            });
                            response.ads.splice(response.ads.indexOf(ad), 1);
                            _errorAlreadyRaised = true;
                        } else if (!wrappedResponse) {
                            this.track(ad.errorURLTemplates, {
                                ERRORCODE: 303,
                                ERRORMESSAGE: 'No VAST response after one or more Wrappers'
                            });
                            response.ads.splice(response.ads.indexOf(ad), 1);
                            _errorAlreadyRaised = true;
                        } else {
                            response.errorURLTemplates = response.errorURLTemplates.concat(wrappedResponse.errorURLTemplates);
                            _index = response.ads.indexOf(ad);
                            response.ads.splice(_index, 1);
                            _ref3 = wrappedResponse.ads;
                            for (_k = 0, _len2 = _ref3.length; _k < _len2; _k++) {
                                _wrappedAd = _ref3[_k];
                                this.mergeWrapperAdData(_wrappedAd, ad);
                                response.ads.splice(++_index, 0, _wrappedAd);
                            }
                        }
                        delete ad.nextWrapperURL;
                        return complete(err, _errorAlreadyRaised);
                    });
                },

                resolveVastAdTagURI: function(vastAdTagUrl, originalUrl) {
                    var baseURL, protocol;
                    if (vastAdTagUrl.indexOf('//') === 0) {
                        protocol = location.protocol;
                        return "" + protocol + vastAdTagUrl;
                    }
                    if (vastAdTagUrl.indexOf('://') === -1) {
                        baseURL = originalUrl.slice(0, originalUrl.lastIndexOf('/'));
                        return baseURL + "/" + vastAdTagUrl;
                    }
                    return vastAdTagUrl;
                },

                mergeWrapperAdData: function(wrappedAd, ad) {
                    var base, creative, eventName, i, j, k, l, len, len1, len2, len3, ref, ref1, ref2, ref3, ref4, ref5, ref6, ref7, results, urls;
                    wrappedAd.errorURLTemplates = ad.errorURLTemplates.concat(wrappedAd.errorURLTemplates);
                    wrappedAd.impressionURLTemplates = ad.impressionURLTemplates.concat(wrappedAd.impressionURLTemplates);
                    wrappedAd.extensions = ad.extensions.concat(wrappedAd.extensions);
                    ref = wrappedAd.creatives;
                    for (i = 0, len = ref.length; i < len; i++) {
                        creative = ref[i];
                        if (((ref1 = ad.trackingEvents) !== null ? ref1[creative.type] : void 0) !== null) {
                            ref2 = ad.trackingEvents[creative.type];
                            for (eventName in ref2) {
                                urls = ref2[eventName];
                                if (creative.trackingEvents[eventName]) {
                                    base[eventName] = creative.trackingEvents[eventName];
                                } else {
                                    base[eventName] = [];
                                }
                                creative.trackingEvents[eventName] = creative.trackingEvents[eventName].concat(urls);
                            }
                        }
                    }
                    if ((ref3 = ad.videoClickTrackingURLTemplates) !== null ? ref3.length : void 0) {
                        ref4 = wrappedAd.creatives;
                        for (j = 0, len1 = ref4.length; j < len1; j++) {
                            creative = ref4[j];
                            if (creative.type === 'linear') {
                                creative.videoClickTrackingURLTemplates = creative.videoClickTrackingURLTemplates.concat(ad.videoClickTrackingURLTemplates);
                            }
                        }
                    }
                    if ((ref5 = ad.videoCustomClickURLTemplates) ? ref5.length : void 0) {
                        ref6 = wrappedAd.creatives;
                        for (k = 0, len2 = ref6.length; k < len2; k++) {
                            creative = ref6[k];
                            if (creative.type === 'linear') {
                                creative.videoCustomClickURLTemplates = creative.videoCustomClickURLTemplates.concat(ad.videoCustomClickURLTemplates);
                            }
                        }
                    }
                    if (ad.videoClickThroughURLTemplate) {
                        ref7 = wrappedAd.creatives;
                        results = [];
                        for (l = 0, len3 = ref7.length; l < len3; l++) {
                            creative = ref7[l];
                            if (creative.type === 'linear' && (creative.videoClickThroughURLTemplate === null)) {
                                results.push(creative.videoClickThroughURLTemplate = ad.videoClickThroughURLTemplate);
                            } else {
                                results.push(void 0);
                            }
                        }
                        return results;
                    }
                },

                childByName: function(node, name) {
                    var child, i, len, ref;
                    ref = node.childNodes;
                    for (i = 0, len = ref.length; i < len; i++) {
                        child = ref[i];
                        if (child.nodeName === name) {
                            return child;
                        }
                    }
                },

                childsByName: function(node, name) {
                    var child, childs, i, len, ref;
                    childs = [];
                    ref = node.childNodes;
                    for (i = 0, len = ref.length; i < len; i++) {
                        child = ref[i];
                        if (child.nodeName === name) {
                            childs.push(child);
                        }
                    }
                    return childs;
                },

                parseAdElement: function(adElement) {
                    var adTypeElement, i, len, ref, ref1;
                    ref = adElement.childNodes;
                    for (i = 0, len = ref.length; i < len; i++) {
                        adTypeElement = ref[i];
                        if ((ref1 = adTypeElement.nodeName) !== "Wrapper" && ref1 !== "InLine") {
                            continue;
                        }
                        this.copyNodeAttribute("id", adElement, adTypeElement);
                        this.copyNodeAttribute("sequence", adElement, adTypeElement);
                        if (adTypeElement.nodeName === "Wrapper") {
                            return this.parseWrapperElement(adTypeElement);
                        } else if (adTypeElement.nodeName === "InLine") {
                            return this.parseInLineElement(adTypeElement);
                        }
                    }
                },

                parseWrapperElement: function(wrapperElement) {
                    var ad, base, base1, eventName, i, item, j, k, l, len, len1, len2, len3, name1, ref, ref1, ref2, ref3, ref4, url, urls, wrapperCreativeElement, wrapperURLElement;
                    ad = this.parseInLineElement(wrapperElement);
                    wrapperURLElement = this.childByName(wrapperElement, "VASTAdTagURI");
                    if (wrapperURLElement) {
                        ad.nextWrapperURL = this.parseNodeText(wrapperURLElement);
                    } else {
                        wrapperURLElement = this.childByName(wrapperElement, "VASTAdTagURL");
                        if (wrapperURLElement) {
                            ad.nextWrapperURL = this.parseNodeText(this.childByName(wrapperURLElement, "URL"));
                        }
                    }
                    ref = ad.creatives;
                    for (i = 0, len = ref.length; i < len; i++) {
                        wrapperCreativeElement = ref[i];
                        if ((ref1 = wrapperCreativeElement.type) === 'linear' || ref1 === 'nonlinear') {
                            if (wrapperCreativeElement.trackingEvents) {
                                ad.trackingEvents = ad.trackingEvents ? ad.trackingEvents : {};
                                name1 = wrapperCreativeElement.type;
                                base[name1] = ad.trackingEvents[name1] ? ad.trackingEvents[name1] : {};
                                ref2 = wrapperCreativeElement.trackingEvents;
                                for (eventName in ref2) {
                                    urls = ref2[eventName];
                                    if (urls !== null) {
                                        base1[eventName] = ad.trackingEvents[wrapperCreativeElement.type][eventName] ? ad.trackingEvents[wrapperCreativeElement.type][eventName] : [];
                                        for (j = 0, len1 = urls.length; j < len1; j++) {
                                            url = urls[j];
                                            ad.trackingEvents[wrapperCreativeElement.type][eventName].push(url);
                                        }
                                    }
                                }
                            }
                            if (wrapperCreativeElement.videoClickTrackingURLTemplates) {
                                ad.videoClickTrackingURLTemplates = ad.videoClickTrackingURLTemplates || [];
                                ref3 = wrapperCreativeElement.videoClickTrackingURLTemplates;
                                for (k = 0, len2 = ref3.length; k < len2; k++) {
                                    item = ref3[k];
                                    ad.videoClickTrackingURLTemplates.push(item);
                                }
                            }
                            if (wrapperCreativeElement.videoClickThroughURLTemplate) {
                                ad.videoClickThroughURLTemplate = wrapperCreativeElement.videoClickThroughURLTemplate;
                            }
                            if (wrapperCreativeElement.videoCustomClickURLTemplates) {
                                ad.videoCustomClickURLTemplates = ad.videoCustomClickURLTemplates || [];
                                ref4 = wrapperCreativeElement.videoCustomClickURLTemplates;
                                for (l = 0, len3 = ref4.length; l < len3; l++) {
                                    item = ref4[l];
                                    ad.videoCustomClickURLTemplates.push(item);
                                }
                            }
                        }
                    }
                    if (ad.nextWrapperURL) {
                        return ad;
                    }
                },

                parseInLineElement: function(inLineElement) {
                    var ad, creative, creativeAttributes, creativeElement, creativeTypeElement, i, j, k, len, len1, len2, node, ref, ref1, ref2;
                    ad = new VASTAd();
                    ad.id = inLineElement.getAttribute("id") || null;
                    ad.sequence = inLineElement.getAttribute("sequence") || null;
                    ref = inLineElement.childNodes;
                    for (i = 0, len = ref.length; i < len; i++) {
                        node = ref[i];
                        switch (node.nodeName) {
                            case "Error":
                                ad.errorURLTemplates.push(this.parseNodeText(node));
                                break;
                            case "Impression":
                                ad.impressionURLTemplates.push(this.parseNodeText(node));
                                break;
                            case "Creatives":
                                ref1 = this.childsByName(node, "Creative");
                                for (j = 0, len1 = ref1.length; j < len1; j++) {
                                    creativeElement = ref1[j];
                                    creativeAttributes = {
                                        id: creativeElement.getAttribute('id') || null,
                                        adId: this.parseCreativeAdIdAttribute(creativeElement),
                                        sequence: creativeElement.getAttribute('sequence') || null,
                                        apiFramework: creativeElement.getAttribute('apiFramework') || null
                                    };
                                    ref2 = creativeElement.childNodes;
                                    for (k = 0, len2 = ref2.length; k < len2; k++) {
                                        creativeTypeElement = ref2[k];
                                        switch (creativeTypeElement.nodeName) {
                                            case "Linear":
                                                creative = this.parseCreativeLinearElement(creativeTypeElement, creativeAttributes);
                                                if (creative) {
                                                    ad.creatives.push(creative);
                                                }
                                                break;
                                            case "NonLinearAds":
                                                creative = this.parseNonLinear(creativeTypeElement, creativeAttributes);
                                                if (creative) {
                                                    ad.creatives.push(creative);
                                                }
                                                break;
                                            case "CompanionAds":
                                                creative = this.parseCompanionAd(creativeTypeElement, creativeAttributes);
                                                if (creative) {
                                                    ad.creatives.push(creative);
                                                }
                                        }
                                    }
                                }
                                break;
                            case "Extensions":
                                this.parseExtension(ad.extensions, this.childsByName(node, "Extension"));
                                break;
                            case "AdSystem":
                                ad.system = {
                                    value: this.parseNodeText(node),
                                    version: node.getAttribute("version") || null
                                };
                                break;
                            case "AdTitle":
                                ad.title = this.parseNodeText(node);
                                break;
                            case "Description":
                                ad.description = this.parseNodeText(node);
                                break;
                            case "Advertiser":
                                ad.advertiser = this.parseNodeText(node);
                                break;
                            case "Pricing":
                                ad.pricing = {
                                    value: this.parseNodeText(node),
                                    model: node.getAttribute("model") || null,
                                    currency: node.getAttribute("currency") || null
                                };
                                break;
                            case "Survey":
                                ad.survey = this.parseNodeText(node);
                        }
                    }
                    return ad;
                },

                parseExtension: function(collection, extensions) {
                    var childNode, ext, extChild, extChildNodeAttr, extNode, extNodeAttr, i, j, k, l, len, len1, len2, len3, ref, ref1, ref2, results, txt;
                    results = [];
                    for (i = 0, len = extensions.length; i < len; i++) {
                        extNode = extensions[i];
                        ext = new VASTAdExtension();
                        if (extNode.attributes) {
                            ref = extNode.attributes;
                            for (j = 0, len1 = ref.length; j < len1; j++) {
                                extNodeAttr = ref[j];
                                ext.attributes[extNodeAttr.nodeName] = extNodeAttr.nodeValue;
                            }
                        }
                        ref1 = extNode.childNodes;
                        for (k = 0, len2 = ref1.length; k < len2; k++) {
                            childNode = ref1[k];
                            txt = this.parseNodeText(childNode);
                            if (childNode.nodeName !== '#comment' && txt !== '') {
                                extChild = new VASTAdExtensionChild();
                                extChild.name = childNode.nodeName;
                                extChild.value = txt;
                                if (childNode.attributes) {
                                    ref2 = childNode.attributes;
                                    for (l = 0, len3 = ref2.length; l < len3; l++) {
                                        extChildNodeAttr = ref2[l];
                                        extChild.attributes[extChildNodeAttr.nodeName] = extChildNodeAttr.nodeValue;
                                    }
                                }
                                ext.children.push(extChild);
                            }
                        }
                        results.push(collection.push(ext));
                    }
                    return results;
                },

                parseCreativeLinearElement: function(creativeElement, creativeAttributes) {
                    var adParamsElement, base, clickTrackingElement, creative, customClickElement, eventName, htmlElement, i, icon, iconClickTrackingElement, iconClicksElement, iconElement, iconsElement, iframeElement, j, k, l, len, len1, len10, len2, len3, len4, len5, len6, len7, len8, len9, m, maintainAspectRatio, mediaFile, mediaFileElement, mediaFilesElement, n, o, offset, p, percent, q, r, ref, ref1, ref10, ref2, ref3, ref4, ref5, ref6, ref7, ref8, ref9, s, scalable, skipOffset, staticElement, trackingElement, trackingEventsElement, trackingURLTemplate, videoClicksElement;
                    creative = new VASTCreativeLinear(creativeAttributes);
                    creative.duration = this.parseDuration(this.parseNodeText(this.childByName(creativeElement, "Duration")));
                    if (creative.duration === -1 && creativeElement.parentNode.parentNode.parentNode.nodeName !== 'Wrapper') {
                        return null;
                    }
                    skipOffset = creativeElement.getAttribute("skipoffset");
                    if (skipOffset === null) {
                        creative.skipDelay = null;
                    } else if (skipOffset.charAt(skipOffset.length - 1) === "%") {
                        percent = parseInt(skipOffset, 10);
                        creative.skipDelay = creative.duration * (percent / 100);
                    } else {
                        creative.skipDelay = this.parseDuration(skipOffset);
                    }
                    videoClicksElement = this.childByName(creativeElement, "VideoClicks");
                    if (videoClicksElement) {
                        creative.videoClickThroughURLTemplate = this.parseNodeText(this.childByName(videoClicksElement, "ClickThrough"));
                        ref = this.childsByName(videoClicksElement, "ClickTracking");
                        for (i = 0, len = ref.length; i < len; i++) {
                            clickTrackingElement = ref[i];
                            creative.videoClickTrackingURLTemplates.push(this.parseNodeText(clickTrackingElement));
                        }
                        ref1 = this.childsByName(videoClicksElement, "CustomClick");
                        for (j = 0, len1 = ref1.length; j < len1; j++) {
                            customClickElement = ref1[j];
                            creative.videoCustomClickURLTemplates.push(this.parseNodeText(customClickElement));
                        }
                    }
                    adParamsElement = this.childByName(creativeElement, "AdParameters");
                    if (adParamsElement) {
                        creative.adParameters = this.parseNodeText(adParamsElement);
                    }
                    ref2 = this.childsByName(creativeElement, "TrackingEvents");
                    for (k = 0, len2 = ref2.length; k < len2; k++) {
                        trackingEventsElement = ref2[k];
                        ref3 = this.childsByName(trackingEventsElement, "Tracking");
                        for (l = 0, len3 = ref3.length; l < len3; l++) {
                            trackingElement = ref3[l];
                            eventName = trackingElement.getAttribute("event");
                            trackingURLTemplate = this.parseNodeText(trackingElement);
                            if (eventName && trackingURLTemplate) {
                                if (eventName === "progress") {
                                    offset = trackingElement.getAttribute("offset");
                                    if (!offset) {
                                        continue;
                                    }
                                    if (offset.charAt(offset.length - 1) === '%') {
                                        eventName = "progress-" + offset;
                                    } else {
                                        eventName = "progress-" + (Math.round(this.parseDuration(offset)));
                                    }
                                }
                                if ((base = creative.trackingEvents)[eventName] === null) {
                                    base[eventName] = [];
                                }

                                if (creative.trackingEvents[eventName]) {
                                    creative.trackingEvents[eventName].push(trackingURLTemplate);
                                }

                            }
                        }
                    }
                    ref4 = this.childsByName(creativeElement, "MediaFiles");
                    for (m = 0, len4 = ref4.length; m < len4; m++) {
                        mediaFilesElement = ref4[m];
                        ref5 = this.childsByName(mediaFilesElement, "MediaFile");
                        for (n = 0, len5 = ref5.length; n < len5; n++) {
                            mediaFileElement = ref5[n];
                            mediaFile = new VASTMediaFile();
                            mediaFile.id = mediaFileElement.getAttribute("id");
                            mediaFile.fileURL = this.parseNodeText(mediaFileElement);
                            mediaFile.deliveryType = mediaFileElement.getAttribute("delivery");
                            mediaFile.codec = mediaFileElement.getAttribute("codec");
                            mediaFile.mimeType = mediaFileElement.getAttribute("type");
                            mediaFile.apiFramework = mediaFileElement.getAttribute("apiFramework");
                            mediaFile.bitrate = parseInt(mediaFileElement.getAttribute("bitrate") || 0, 10);
                            mediaFile.minBitrate = parseInt(mediaFileElement.getAttribute("minBitrate") || 0, 10);
                            mediaFile.maxBitrate = parseInt(mediaFileElement.getAttribute("maxBitrate") || 0, 10);
                            mediaFile.width = parseInt(mediaFileElement.getAttribute("width") || 0, 10);
                            mediaFile.height = parseInt(mediaFileElement.getAttribute("height") || 0, 10);
                            scalable = mediaFileElement.getAttribute("scalable");
                            if (scalable && typeof scalable === "string") {
                                scalable = scalable.toLowerCase();
                                if (scalable === "true") {
                                    mediaFile.scalable = true;
                                } else if (scalable === "false") {
                                    mediaFile.scalable = false;
                                }
                            }
                            maintainAspectRatio = mediaFileElement.getAttribute("maintainAspectRatio");
                            if (maintainAspectRatio && typeof maintainAspectRatio === "string") {
                                maintainAspectRatio = maintainAspectRatio.toLowerCase();
                                if (maintainAspectRatio === "true") {
                                    mediaFile.maintainAspectRatio = true;
                                } else if (maintainAspectRatio === "false") {
                                    mediaFile.maintainAspectRatio = false;
                                }
                            }
                            creative.mediaFiles.push(mediaFile);
                        }
                    }
                    iconsElement = this.childByName(creativeElement, "Icons");
                    if (iconsElement) {
                        ref6 = this.childsByName(iconsElement, "Icon");
                        for (o = 0, len6 = ref6.length; o < len6; o++) {
                            iconElement = ref6[o];
                            icon = new VASTIcon();
                            icon.program = iconElement.getAttribute("program");
                            icon.height = parseInt(iconElement.getAttribute("height") || 0, 10);
                            icon.width = parseInt(iconElement.getAttribute("width") || 0, 10);
                            icon.xPosition = this.parseXPosition(iconElement.getAttribute("xPosition"));
                            icon.yPosition = this.parseYPosition(iconElement.getAttribute("yPosition"));
                            icon.apiFramework = iconElement.getAttribute("apiFramework");
                            icon.offset = this.parseDuration(iconElement.getAttribute("offset"));
                            icon.duration = this.parseDuration(iconElement.getAttribute("duration"));
                            ref7 = this.childsByName(iconElement, "HTMLResource");
                            for (p = 0, len7 = ref7.length; p < len7; p++) {
                                htmlElement = ref7[p];
                                icon.type = htmlElement.getAttribute("creativeType") || 'text/html';
                                icon.htmlResource = this.parseNodeText(htmlElement);
                            }
                            ref8 = this.childsByName(iconElement, "IFrameResource");
                            for (q = 0, len8 = ref8.length; q < len8; q++) {
                                iframeElement = ref8[q];
                                icon.type = iframeElement.getAttribute("creativeType") || 0;
                                icon.iframeResource = this.parseNodeText(iframeElement);
                            }
                            ref9 = this.childsByName(iconElement, "StaticResource");
                            for (r = 0, len9 = ref9.length; r < len9; r++) {
                                staticElement = ref9[r];
                                icon.type = staticElement.getAttribute("creativeType") || 0;
                                icon.staticResource = this.parseNodeText(staticElement);
                            }
                            iconClicksElement = this.childByName(iconElement, "IconClicks");
                            if (iconClicksElement) {
                                icon.iconClickThroughURLTemplate = this.parseNodeText(this.childByName(iconClicksElement, "IconClickThrough"));
                                ref10 = this.childsByName(iconClicksElement, "IconClickTracking");
                                for (s = 0, len10 = ref10.length; s < len10; s++) {
                                    iconClickTrackingElement = ref10[s];
                                    icon.iconClickTrackingURLTemplates.push(this.parseNodeText(iconClickTrackingElement));
                                }
                            }
                            icon.iconViewTrackingURLTemplate = this.parseNodeText(this.childByName(iconElement, "IconViewTracking"));
                            creative.icons.push(icon);
                        }
                    }
                    return creative;
                },

                parseNonLinear: function(creativeElement, creativeAttributes) {
                    var adParamsElement, base, clickTrackingElement, creative, eventName, htmlElement, i, iframeElement, j, k, l, len, len1, len2, len3, len4, len5, len6, m, n, nonlinearAd, nonlinearResource, o, ref, ref1, ref2, ref3, ref4, ref5, ref6, staticElement, trackingElement, trackingEventsElement, trackingURLTemplate;
                    creative = new VASTCreativeNonLinear(creativeAttributes);
                    ref = this.childsByName(creativeElement, "TrackingEvents");
                    for (i = 0, len = ref.length; i < len; i++) {
                        trackingEventsElement = ref[i];
                        ref1 = this.childsByName(trackingEventsElement, "Tracking");
                        for (j = 0, len1 = ref1.length; j < len1; j++) {
                            trackingElement = ref1[j];
                            eventName = trackingElement.getAttribute("event");
                            trackingURLTemplate = this.parseNodeText(trackingElement);
                            if (eventName && trackingURLTemplate) {
                                if ((base = creative.trackingEvents)[eventName] === null) {
                                    base[eventName] = [];
                                }

                                if (creative.trackingEvents[eventName] && trackingURLTemplate !== null) {
                                    creative.trackingEvents[eventName].push(trackingURLTemplate);
                                }
                            }
                        }
                    }
                    ref2 = this.childsByName(creativeElement, "NonLinear");
                    for (k = 0, len2 = ref2.length; k < len2; k++) {
                        nonlinearResource = ref2[k];
                        nonlinearAd = new VASTNonLinear();
                        nonlinearAd.id = nonlinearResource.getAttribute("id") || null;
                        nonlinearAd.width = nonlinearResource.getAttribute("width");
                        nonlinearAd.height = nonlinearResource.getAttribute("height");
                        nonlinearAd.expandedWidth = nonlinearResource.getAttribute("expandedWidth");
                        nonlinearAd.expandedHeight = nonlinearResource.getAttribute("expandedHeight");
                        nonlinearAd.scalable = this.parseBoolean(nonlinearResource.getAttribute("scalable"));
                        nonlinearAd.maintainAspectRatio = this.parseBoolean(nonlinearResource.getAttribute("maintainAspectRatio"));
                        nonlinearAd.minSuggestedDuration = this.parseDuration(nonlinearResource.getAttribute("minSuggestedDuration"));
                        nonlinearAd.apiFramework = nonlinearResource.getAttribute("apiFramework");
                        ref3 = this.childsByName(nonlinearResource, "HTMLResource");
                        for (l = 0, len3 = ref3.length; l < len3; l++) {
                            htmlElement = ref3[l];
                            nonlinearAd.type = htmlElement.getAttribute("creativeType") || 'text/html';
                            nonlinearAd.htmlResource = this.parseNodeText(htmlElement);
                        }
                        ref4 = this.childsByName(nonlinearResource, "IFrameResource");
                        for (m = 0, len4 = ref4.length; m < len4; m++) {
                            iframeElement = ref4[m];
                            nonlinearAd.type = iframeElement.getAttribute("creativeType") || 0;
                            nonlinearAd.iframeResource = this.parseNodeText(iframeElement);
                        }
                        ref5 = this.childsByName(nonlinearResource, "StaticResource");
                        for (n = 0, len5 = ref5.length; n < len5; n++) {
                            staticElement = ref5[n];
                            nonlinearAd.type = staticElement.getAttribute("creativeType") || 0;
                            nonlinearAd.staticResource = this.parseNodeText(staticElement);
                        }
                        adParamsElement = this.childByName(nonlinearResource, "AdParameters");
                        if (adParamsElement) {
                            nonlinearAd.adParameters = this.parseNodeText(adParamsElement);
                        }
                        nonlinearAd.nonlinearClickThroughURLTemplate = this.parseNodeText(this.childByName(nonlinearResource, "NonLinearClickThrough"));
                        ref6 = this.childsByName(nonlinearResource, "NonLinearClickTracking");
                        for (o = 0, len6 = ref6.length; o < len6; o++) {
                            clickTrackingElement = ref6[o];
                            nonlinearAd.nonlinearClickTrackingURLTemplates.push(this.parseNodeText(clickTrackingElement));
                        }
                        creative.variations.push(nonlinearAd);
                    }
                    return creative;
                },

                parseCompanionAd: function(creativeElement, creativeAttributes) {
                    var base, child, clickTrackingElement, companionAd, companionResource, creative, eventName, htmlElement, i, iframeElement, j, k, l, len, len1, len2, len3, len4, len5, len6, len7, m, n, o, p, ref, ref1, ref2, ref3, ref4, ref5, ref6, ref7, staticElement, trackingElement, trackingEventsElement, trackingURLTemplate;
                    creative = new VASTCreativeCompanion(creativeAttributes);
                    ref = this.childsByName(creativeElement, "Companion");
                    for (i = 0, len = ref.length; i < len; i++) {
                        companionResource = ref[i];
                        companionAd = new VASTCompanionAd();
                        companionAd.id = companionResource.getAttribute("id") || null;
                        companionAd.width = companionResource.getAttribute("width");
                        companionAd.height = companionResource.getAttribute("height");
                        companionAd.companionClickTrackingURLTemplates = [];
                        ref1 = this.childsByName(companionResource, "HTMLResource");
                        for (j = 0, len1 = ref1.length; j < len1; j++) {
                            htmlElement = ref1[j];
                            companionAd.type = htmlElement.getAttribute("creativeType") || 'text/html';
                            companionAd.htmlResource = this.parseNodeText(htmlElement);
                        }
                        ref2 = this.childsByName(companionResource, "IFrameResource");
                        for (k = 0, len2 = ref2.length; k < len2; k++) {
                            iframeElement = ref2[k];
                            companionAd.type = iframeElement.getAttribute("creativeType") || 0;
                            companionAd.iframeResource = this.parseNodeText(iframeElement);
                        }
                        ref3 = this.childsByName(companionResource, "StaticResource");
                        for (l = 0, len3 = ref3.length; l < len3; l++) {
                            staticElement = ref3[l];
                            companionAd.type = staticElement.getAttribute("creativeType") || 0;
                            ref4 = this.childsByName(companionResource, "AltText");
                            for (m = 0, len4 = ref4.length; m < len4; m++) {
                                child = ref4[m];
                                companionAd.altText = this.parseNodeText(child);
                            }
                            companionAd.staticResource = this.parseNodeText(staticElement);
                        }
                        ref5 = this.childsByName(companionResource, "TrackingEvents");
                        for (n = 0, len5 = ref5.length; n < len5; n++) {
                            trackingEventsElement = ref5[n];
                            ref6 = this.childsByName(trackingEventsElement, "Tracking");
                            for (o = 0, len6 = ref6.length; o < len6; o++) {
                                trackingElement = ref6[o];
                                eventName = trackingElement.getAttribute("event");
                                trackingURLTemplate = this.parseNodeText(trackingElement);
                                if (eventName && trackingURLTemplate) {
                                    if ((base = companionAd.trackingEvents)[eventName] === null) {
                                        base[eventName] = [];
                                    }
                                    companionAd.trackingEvents[eventName].push(trackingURLTemplate);
                                }
                            }
                        }
                        ref7 = this.childsByName(companionResource, "CompanionClickTracking");
                        for (p = 0, len7 = ref7.length; p < len7; p++) {
                            clickTrackingElement = ref7[p];
                            companionAd.companionClickTrackingURLTemplates.push(this.parseNodeText(clickTrackingElement));
                        }
                        companionAd.companionClickThroughURLTemplate = this.parseNodeText(this.childByName(companionResource, "CompanionClickThrough"));
                        companionAd.companionClickTrackingURLTemplate = this.parseNodeText(this.childByName(companionResource, "CompanionClickTracking"));
                        creative.variations.push(companionAd);
                    }
                    return creative;
                },

                parseDuration: function(durationString) {
                    var durationComponents, hours, minutes, seconds, secondsAndMS;
                    if (!(durationString)) {
                        return -1;
                    }
                    if (VASTAd.isNumeric(durationString)) {
                        return parseInt(durationString, 10);
                    }
                    durationComponents = durationString.split(":");
                    if (durationComponents.length !== 3) {
                        return -1;
                    }
                    secondsAndMS = durationComponents[2].split(".");
                    seconds = parseInt(secondsAndMS[0], 10);
                    if (secondsAndMS.length === 2) {
                        seconds += parseFloat("0." + secondsAndMS[1]);
                    }
                    minutes = parseInt(durationComponents[1] * 60, 10);
                    hours = parseInt(durationComponents[0] * 60 * 60, 10);
                    if (isNaN(hours) || isNaN(minutes) || isNaN(seconds) || minutes > 60 * 60 || seconds > 60) {
                        return -1;
                    }
                    return hours + minutes + seconds;
                },

                parseXPosition: function(xPosition) {
                    if (xPosition === "left" || xPosition === "right") {
                        return xPosition;
                    }
                    return parseInt(xPosition || 0, 10);
                },

                parseYPosition: function(yPosition) {
                    if (yPosition === "top" || yPosition === "bottom") {
                        return yPosition;
                    }
                    return parseInt(yPosition || 0, 10);
                },

                parseBoolean: function(booleanString) {
                    return booleanString === 'true' || booleanString === 'TRUE' || booleanString === '1';
                },

                parseNodeText: function(node) {
                    return node && (node.textContent || node.text || '').trim();
                },

                copyNodeAttribute: function(attributeName, nodeSource, nodeDestination) {
                    var attributeValue;
                    attributeValue = nodeSource.getAttribute(attributeName);
                    if (attributeValue) {
                        return nodeDestination.setAttribute(attributeName, attributeValue);
                    }
                },

                parseCreativeAdIdAttribute: function(creativeElement) {
                    return creativeElement.getAttribute('AdID') || creativeElement.getAttribute('adID') || creativeElement.getAttribute('adId') || null;
                }
            };
        });
    });

Scoped.define("module:Ads.VAST.Client", ["module:Ads.VAST.Ad","module:Ads.VAST.Parser","base:Objs"], function(VASTAd, VASTParser, Objs, scoped) {
    return VASTAd.extend({
        scoped: scoped
    }, function(inherited) {
        return {
            constructor: function(parameters) {
                inherited.constructor.call(this);
                var defineProperty;
                this.cappingFreeLunch = 0;
                this.cappingMinimumTimeInterval = 60 * 1000; // don't allow ad request before 1 minute
                this.lastSuccessfullAd = +new Date();
                this.options = {
                    withCredentials: false,
                    timeout: 1000
                };

                defineProperty = Object.defineProperty;

                Objs.iter(['lastSuccessfullAd', 'totalCalls', 'totalCallsTimeout'], function(property) {
                    defineProperty(this, property, {
                        get: function() {
                            return VASTAd.storage.getItem(property);
                        },
                        set: function(value) {
                            return VASTAd.storage.setItem(property, value);
                        },
                        configurable: false,
                        enumerable: true
                    });
                }, this);

                if (this.lastSuccessfullAd === null)
                    this.lastSuccessfullAd = 0;

                if (this.totalCalls === null)
                    this.totalCalls = 0;

                if (this.totalCallsTimeout === null)
                    this.totalCallsTimeout = 0;

            },

            getAd: function(url, opts, cb) {
                var now, options, timeSinceLastCall;
                now = +new Date();

                if (!cb)
                    if (typeof opts === 'function')
                        cb = opts;
                options = {};

                options = Objs.extend(this.options, opts);

                var parser = new VASTParser();

                if (this.totalCallsTimeout < now) {
                    this.totalCalls = 1;
                    this.totalCallsTimeout = now + (60 * 60 * 1000);
                } else {
                    this.totalCalls++;
                }

                if (this.cappingFreeLunch >= this.totalCalls) {
                    cb(new Error("VAST call canceled - FreeLunch capping not reached yet " + this.totalCalls), null);
                    return;
                }

                timeSinceLastCall = now - this.lastSuccessfullAd;
                if (timeSinceLastCall < 0) {
                    this.lastSuccessfullAd = 0;
                } else if (now - this.lastSuccessfullAd < this.cappingMinimumTimeInterval) {
                    cb(new Error("VAST call cancelled - (" + this.cappingMinimumTimeInterval + ")ms minimum interval reached"), null);
                    return;
                }

                return parser.parse(url, options, (function(_this) {
                    return function(err, response) {
                        if (err)
                            cb(err, null);
                        else {
                            return cb(null, response);
                        }
                    };
                })(this));
            }
        };
    });
});

Scoped.define("module:Ads.VAST.Tracker", ["module:Ads.VAST.Ad","module:Ads.VAST.CreativeLinear","module:Ads.VAST.NonLinear","module:Ads.VAST.CompanionAd","module:Ads.VAST.Client","base:Events.ListenMixin"], function(VASTAd, VASTCreativeLinear, VASTNonLinear, VASTCompanionAd, VASTClient, ListenMixin, scoped) {
        return VASTAd.extend({
            scoped: scoped
        }, [ListenMixin, function(inherited) {
            return {
                constructor: function(ad, creative, variation) {
                    inherited.constructor.call(this, ad, creative, variation);
                    var eventName, events, trackingEvents;
                    this.ad = ad;
                    this.creative = creative;
                    this.variation = variation || null;
                    this.muted = false;
                    this.impressed = false;
                    this.skipable = false;
                    this.skipDelayDefault = -1;

                    this.emitAlwaysEvents = ['creativeView', 'start', 'firstQuartile', 'midpoint', 'thirdQuartile', 'complete', 'rewind', 'skip', 'closeLinear', 'close'];
                    trackingEvents = creative ? creative.trackingEvents : {};

                    for (eventName in trackingEvents) {
                        events = trackingEvents[eventName];
                        if (events)
                            this.trackingEvents[eventName] = events.slice(0);
                    }

                    if (creative instanceof VASTCreativeLinear) {
                        this.setAdDuration(this.creative.duration);
                        this.skipDelay = creative.skipDelay;
                        this.linear = true;
                        this.clickThroughURLTemplate = creative.videoClickThroughURLTemplate;
                        this.clickTrackingURLTemplate = creative.videoClickTrackingURLTemplate;
                    } else {
                        this.skipDelay = -1;
                        this.linear = false;
                        if (this.variation) {
                            if (this.variation instanceof VASTNonLinear) {
                                this.clickThroughURLTemplate = this.variation.nonlinearClickThroughURLTemplate;
                                this.clickTrackingURLTemplates = this.variation.nonlinearClickTrackingURLTemplates;
                            } else if (this.variation instanceof VASTCompanionAd) {
                                this.clickThroughURLTemplate = this.variation.companionClickThroughURLTemplate;
                                this.clickTrackingURLTemplates = this.variation.companionClickTrackingURLTemplates;
                            }
                        }
                    }

                    this.on('adstart', function() {
                        VASTClient.lastSuccessfullAd = +new Date();
                    });


                },

                setAdDuration: function(duration) {
                    this.assetDuration = duration;
                    this.quartiles = {
                        'firstQuartile': Math.round(25 * this.assetDuration) / 100,
                        'midpoint': Math.round(50 * this.assetDuration) / 100,
                        'thirdQuartile': Math.round(75 * this.assetDuration) / 100
                    };
                    return this.quartiles;
                },

                setAdProgress: function(progress) {
                    var eventName, events, i, len, percent, quartile, ref, skipDelay, time;
                    skipDelay = this.skipDelay === null ? this.skipDelayDefault : this.skipDelay;
                    if (skipDelay !== -1 && !this.skipable) {
                        if (skipDelay > progress) {
                            this.trigger('adskip-countdown', skipDelay - progress);
                        } else {
                            this.skipable = true;
                            this.trigger('adskip-countdown', 0);
                        }
                    }
                    if (this.linear && this.assetDuration > 0) {
                        events = [];
                        if (progress > 0) {
                            events.push("start");
                            percent = Math.round(progress / this.assetDuration * 100);
                            events.push("progress-" + percent + "%");
                            events.push("progress-" + (Math.round(progress)));
                            ref = this.quartiles;
                            for (quartile in ref) {
                                time = ref[quartile];
                                if ((time <= progress && progress <= (time + 1))) {
                                    events.push(quartile);
                                }
                            }
                        }
                        for (i = 0, len = events.length; i < len; i++) {
                            eventName = events[i];
                            if (eventName !== null)
                                this.track(eventName, true);
                        }
                        if (progress < this.progress) {
                            this.track("rewind");
                        }
                    }
                    this.progress = progress;
                    return progress;
                },

                setAdMuted: function(muted) {
                    if (this.muted !== muted) {
                        this.track(muted ? "mute" : "unmute");
                    }
                    this.muted = muted;
                    return muted;
                },

                setAdPaused: function(paused) {
                    if (this.paused !== paused) {
                        this.track(paused ? "pause" : "resume");
                    }
                    this.paused = paused;
                    return paused;
                },

                setAdFullscreen: function(fullscreen) {
                    if (this.fullscreen !== fullscreen) {
                        this.track(fullscreen ? "fullscreen" : "exitFullscreen");
                    }
                    this.fullscreen = fullscreen;
                    return fullscreen;
                },

                setAdExpand: function(expanded) {
                    if (this.expanded !== expanded) {
                        this.track(expanded ? "expand" : "collapse");
                    }
                    this.expanded = expanded;
                    return expanded;
                },

                setAdSkipDelay: function(duration) {
                    if (typeof duration === 'number') {
                        this.skipDelay = duration;
                        return duration;
                    }
                },

                loadAd: function() {
                    if (!this.impressed) {
                        this.impressed = true;
                        this.trackAdURLs(this.ad.impressionURLTemplates);
                        return this.track("creativeView");
                    }
                },

                errorAdWithCode: function(errorCode) {
                    return this.trackAdURLs(this.ad.errorURLTemplates, {
                        ERRORCODE: errorCode
                    });
                },

                errorAdWithCodeAndMessage: function(errorCode, errorMessage) {
                    return this.trackAdURLs(this.ad.errorURLTemplates, {
                        ERRORCODE: errorCode,
                        ERRORMESSAGE: errorMessage
                    });
                },

                completeAd: function() {
                    return this.track("complete");
                },

                closeAd: function() {
                    return this.track(this.linear ? "closeLinear" : "close");
                },

                stopAd: function() {},

                skipAd: function() {
                    this.track("skip");
                    this.trackingEvents = [];
                    return this.trackingEvents;
                },

                clickAd: function() {
                    var clickThroughURL, ref, variables;
                    if ((ref = this.clickTrackingURLTemplates) !== null ? ref.length : void 0) {
                        this.trackAdURLs(this.clickTrackingURLTemplates);
                    }
                    if (this.clickThroughURLTemplate !== null) {
                        if (this.linear) {
                            variables = {
                                CONTENTPLAYHEAD: this.adProgressFormated()
                            };
                        }
                        clickThroughURL = VASTAd.resolveURLTemplates([this.clickThroughURLTemplate], variables)[0];
                        return this.trigger("clickthrough", clickThroughURL);
                    }
                },

                track: function(eventName, once) {
                    var idx, trackingURLTemplates;
                    if (!once) {
                        once = false;
                    }
                    if (eventName === 'closeLinear' && ((!this.trackingEvents[eventName]) && (this.trackingEvents.close))) {
                        eventName = 'close';
                    }
                    trackingURLTemplates = this.trackingEvents[eventName];
                    idx = this.emitAlwaysEvents.indexOf(eventName);
                    if (trackingURLTemplates) {
                        this.trigger(eventName, '');
                        this.trackAdURLs(trackingURLTemplates);
                    } else if (idx !== -1) {
                        this.trigger(eventName, '');
                    }
                    if (once === true) {
                        delete this.trackingEvents[eventName];
                        delete this.trackingEvents[eventName];
                        if (idx > -1) {
                            this.emitAlwaysEvents.splice(idx, 1);
                        }
                    }
                },

                trackAdURLs: function(URLTemplates, variables) {
                    var _ref;
                    if (!variables) {
                        variables = {};
                    }
                    if (this.linear) {
                        if (((_ref = this.creative.mediaFiles[0]) !== null ? _ref.fileURL : void 0) !== null) {
                            variables.ASSETURI = this.creative.mediaFiles[0].fileURL;
                        }
                        variables.CONTENTPLAYHEAD = this.adProgressFormated();
                    }
                    return VASTAd.trackAd(URLTemplates, variables);
                },

                adProgressFormated: function() {
                    var h, m, ms, s, seconds;
                    seconds = parseInt(this.progress, 10);
                    h = seconds / (60 * 60);
                    if (h.length < 2) {
                        h = "0" + h;
                    }
                    m = seconds / 60 % 60;
                    if (m.length < 2) {
                        m = "0" + m;
                    }
                    s = seconds % 60;
                    if (s.length < 2) {
                        s = "0" + m;
                    }
                    ms = parseInt((this.progress - seconds) * 100, 10);
                    return h + ":" + m + ":" + s + "." + ms;
                }
            };
        }]);
    });

Scoped.define("module:Ads.VAST.VAST", ["base:Class","module:Ads.VAST.Client","module:Ads.VAST.Tracker","module:Ads.VAST.Ad","base:Objs","base:Promise","base:Events.EventsMixin","base:Types"], function(Class, VASTClient, VASTTracker, VASTAd, Objs, Promise, EventsMixin, Types, scoped) {
        return Class.extend({
            scoped: scoped
        }, [EventsMixin, function(inherited) {
            return {
                constructor: function(options, requestOptions) {
                    inherited.constructor.call(this);
                    options = Types.is_array(options) ? options : [options];
                    var vastClient, _promise, _self;
                    this.vastServerResponses = [];
                    this.timeout = 5000;
                    this.adPodTimeout = 100;
                    this.companion = undefined;
                    this.sources = [];
                    this.companion = {};

                    _self = this;
                    _promise = Promise.create();

                    vastClient = this.auto_destroy(new VASTClient(options));

                    Objs.iter(options, function(vast) {
                        if (vast.adServer) {
                            if (vast.skipAfter) {
                                _self.skipAdAfter = vast.skipAfter;
                            }
                            vastClient.getAd(vast.adServer, requestOptions, function(err, response) {
                                if (err) {
                                    var _errorMessage = 'Error occurred during loading provided link. ' + err;
                                    _promise.asyncError({
                                        message: _errorMessage
                                    });
                                } else {
                                    _self.vastServerResponses.push(response);
                                    _promise.asyncSuccess(_self.vastServerResponses);
                                }
                            });
                        } else {
                            _promise.asyncError({
                                message: 'Video Ad options are not correct, asServer are required'
                            });
                        }
                    }, this);

                    _promise.success(function(responses) {
                        this.executeAd(responses[0]);
                    }, this);

                    _promise.error(function(error) {
                        this.trigger("adresponseerror", error);
                    }, this);
                },

                executeAd: function(response) {
                    var _ad, _adIds, _crIds, _creative, _foundCreative, _foundCompanion, _self;
                    _self = this;
                    if (response)
                        for (_adIds = 0; _adIds < response.ads.length; _adIds++) {
                            _ad = response.ads[_adIds];
                            for (_crIds = 0; _crIds < _ad.creatives.length; _crIds++) {
                                _creative = _ad.creatives[_crIds];
                                _foundCreative = false;
                                _foundCompanion = false;

                                if (_creative.type === 'linear' && !_foundCreative) {
                                    if (_creative.skipDelay > 0)
                                        this.skipAdAfter = _creative.skipDelay;

                                    if (_creative.mediaFiles.length) {

                                        this.sources = this.createSourceObjects(_creative.mediaFiles);

                                        if (!this.sources.length) {
                                            _self.trigger("adcanceled");
                                            return;
                                        }

                                        this.vastTracker = new VASTTracker(_ad, _creative);
                                        _foundCreative = true;
                                    }
                                }

                                if (_creative.type === 'companion' && !_foundCompanion) {
                                    this.companion = _creative;
                                    _foundCompanion = true;
                                }
                            }
                            if (this.vastTracker) {
                                this.persistentTrigger("vastready");
                                break;
                            } else {
                                VASTAd.trackAd(_ad.errorURLTemplates, {
                                    ERRORCODE: 403
                                });
                            }
                        }

                    if (!this.vastTracker) {
                        this.persistentTrigger("adcanceled");
                    }
                },

                createSourceObjects: function(mediaFiles) {
                    var _sources, _mediaFile, _source;
                    _sources = [];
                    for (var i = 0, j = mediaFiles.length; i < j; i++) {
                        _mediaFile = mediaFiles[i];
                        _source = {
                            type: _mediaFile.mimeType,
                            src: _mediaFile.fileURL
                        };

                        if (this._canPlaySource(_source)) {
                            _sources[i] = ({
                                type: _mediaFile.mimeType,
                                src: _mediaFile.fileURL,
                                width: _mediaFile.width,
                                height: _mediaFile.height
                            });
                        }
                    }

                    return _sources;
                },

                _canPlaySource: function(source) {
                    var _ext, _mimeType, _allowedMimeTypes;
                    _allowedMimeTypes = [
                        "application/vnd.apple.mpegurl",
                        "video/3gpp",
                        "video/mp4",
                        "video/mpeg",
                        "video/ogg",
                        "video/quicktime",
                        "video/webm",
                        "video/x-m4v",
                        "video/ms-asf",
                        "video/x-ms-wmv",
                        "video/x-msvideo"
                    ];

                    if (source.type) {
                        _mimeType = source.type;
                    } else if (source.src) {
                        _ext = this._ext(source.src);
                        _mimeType = 'video/' + _ext;
                    } else {
                        return false;
                    }

                    return Objs.contains_value(_allowedMimeTypes, _mimeType);
                },

                _ext: function(url) {
                    return (url = url.substr(1 + url.lastIndexOf("/")).split('?')[0]).split('#')[0].substr(url.lastIndexOf("."));
                }

            };
        }]);
    });

Scoped.define("module:Ads.VastPrerollAd", ["module:Ads.AbstractPrerollAd","module:Ads.VAST.VAST"], function(AbstractVideoPrerollAd, VAST, scoped) {
    return AbstractVideoPrerollAd.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            constructor: function(provider, options) {
                inherited.constructor.call(this, provider, options);
                this._vast = new VAST(this._provider.options(), {});
                this._vast.once("adresponseerror", function(err) {
                    // some error actions, no respond from ad server
                }, this);
            },

            _executeAd: function(options) {
                this._adplayer = new BetaJS.MediaComponents.VideoPlayer.Dynamics.Adplayer({
                    element: this._options.adElement,
                    attrs: {
                        css: this._options.dynamic.get("css")
                    }
                });
                this._adplayer._vast = this._vast;
                this._adplayer._preroll = this;
                this._adplayer.activate();
            },

            _adFinished: function() {
                this._options.adElement.style.display = "none";
                this.trigger("adfinished");
            },

            _adSkipped: function() {
                this._options.adElement.style.display = "none";
                this.trigger("adskipped");
            }

        };
    });
});

Scoped.define("module:Ads.VastVideoAdProvider", ["module:Ads.AbstractVideoAdProvider","module:Ads.VastPrerollAd"], function(AbstractVideoAdProvider, VastPrerollAd, scoped) {
        return AbstractVideoAdProvider.extend({
            scoped: scoped
        }, {

            _newPrerollAd: function(options) {
                return new VastPrerollAd(this, options);
            }

        });
    });

Scoped.define("module:Assets", ["base:Classes.LocaleTable","browser:Info"], function(LocaleTable, Info) {

    var strings = new LocaleTable();
    strings.setWeakLocale(Info.language());

    return {

        strings: strings,

        playerthemes: {},

        recorderthemes: {},

        imageviewerthemes: {},

        imagecapturethemes: {},

        audioplayerthemes: {},

        audiorecorderthemes: {}

    };
});

Scoped.extend("module:Assets", ["module:Assets"], function (Assets) {
    var languages = {"language:ar":{"ba-videoplayer-playbutton.tooltip":"&#x627;&#x646;&#x642;&#x631; &#x644;&#x62A;&#x634;&#x63A;&#x64A;&#x644; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648;.","ba-videoplayer-playbutton.rerecord":"&#x627;&#x639;&#x62F; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;","ba-videoplayer-playbutton.submit-video":"&#x62A;&#x623;&#x643;&#x64A;&#x62F; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648;","ba-videoplayer-loader.tooltip":"&#x62C;&#x627;&#x631; &#x62A;&#x62D;&#x645;&#x64A;&#x644; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648; ...","ba-videoplayer-controlbar.change-resolution":"&#x62A;&#x63A;&#x64A;&#x64A;&#x631; &#x627;&#x644;&#x62F;&#x642;&#x629;","ba-videoplayer-controlbar.video-progress":"&#x62A;&#x642;&#x62F;&#x645; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648;","ba-videoplayer-controlbar.rerecord-video":"&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648;&#x61F;","ba-videoplayer-controlbar.submit-video":"&#x62A;&#x623;&#x643;&#x64A;&#x62F; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648;","ba-videoplayer-controlbar.play-video":"&#x634;&#x63A;&#x644; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648;","ba-videoplayer-controlbar.pause-video":"&#x625;&#x64A;&#x642;&#x627;&#x641; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648; &#x645;&#x624;&#x642;&#x62A;&#x627;","ba-videoplayer-controlbar.elapsed-time":"&#x627;&#x644;&#x648;&#x642;&#x62A; &#x627;&#x644;&#x645;&#x646;&#x642;&#x636;&#x64A;","ba-videoplayer-controlbar.total-time":"&#x637;&#x648;&#x644; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648; &#x627;&#x644;&#x643;&#x644;&#x64A;","ba-videoplayer-controlbar.fullscreen-video":"&#x639;&#x631;&#x636; &#x645;&#x644;&#x621; &#x627;&#x644;&#x634;&#x627;&#x634;&#x629;","ba-videoplayer-controlbar.volume-button":"&#x62A;&#x639;&#x64A;&#x64A;&#x646; &#x645;&#x633;&#x62A;&#x648;&#x649; &#x627;&#x644;&#x635;&#x648;&#x62A;","ba-videoplayer-controlbar.volume-mute":"&#x643;&#x62A;&#x645; &#x627;&#x644;&#x635;&#x648;&#x62A;","ba-videoplayer-controlbar.volume-unmute":"&#x625;&#x644;&#x63A;&#x627;&#x621; &#x643;&#x62A;&#x645; &#x627;&#x644;&#x635;&#x648;&#x62A;","ba-videoplayer.video-error":"&#x644;&#x642;&#x62F; &#x62D;&#x62F;&#x62B; &#x62E;&#x637;&#x623;&#x60C; &#x631;&#x62C;&#x627;&#x621; &#x623;&#x639;&#x62F; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629; &#x644;&#x627;&#x62D;&#x642;&#x627;. &#x627;&#x646;&#x642;&#x631; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-videorecorder-chooser.record-video":"&#x62A;&#x633;&#x62C;&#x64A;&#x644; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648;","ba-videorecorder-chooser.upload-video":"&#x631;&#x641;&#x639; &#x641;&#x64A;&#x62F;&#x64A;&#x648;","ba-videorecorder-controlbar.settings":"&#x625;&#x639;&#x62F;&#x627;&#x62F;&#x627;&#x62A;","ba-videorecorder-controlbar.camerahealthy":"&#x627;&#x644;&#x625;&#x636;&#x627;&#x621;&#x629; &#x62C;&#x64A;&#x62F;&#x629;","ba-videorecorder-controlbar.cameraunhealthy":"&#x627;&#x644;&#x625;&#x636;&#x627;&#x621;&#x629; &#x644;&#x64A;&#x633;&#x62A; &#x627;&#x644;&#x623;&#x645;&#x62B;&#x644;","ba-videorecorder-controlbar.microphonehealthy":"&#x627;&#x644;&#x635;&#x648;&#x62A; &#x62C;&#x64A;&#x62F;","ba-videorecorder-controlbar.microphoneunhealthy":"&#x644;&#x627; &#x64A;&#x645;&#x643;&#x646; &#x627;&#x644;&#x62A;&#x642;&#x627;&#x637; &#x623;&#x64A; &#x635;&#x648;&#x62A;","ba-videorecorder-controlbar.record":"&#x633;&#x62C;&#x644;","ba-videorecorder-controlbar.record-tooltip":"&#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x644;&#x62A;&#x633;&#x62C;&#x64A;&#x644;.","ba-videorecorder-controlbar.rerecord":"&#x627;&#x639;&#x62F; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;","ba-videorecorder-controlbar.rerecord-tooltip":"&#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x644;&#x625;&#x639;&#x627;&#x62F;&#x629;.","ba-videorecorder-controlbar.upload-covershot":"&#x631;&#x641;&#x639; &#x635;&#x648;&#x631;&#x629; &#x627;&#x644;&#x648;&#x627;&#x62C;&#x647;&#x629;.","ba-videorecorder-controlbar.upload-covershot-tooltip":"&#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x62A;&#x62D;&#x645;&#x64A;&#x644; &#x644;&#x642;&#x637;&#x629; &#x645;&#x62E;&#x635;&#x635;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-videorecorder-controlbar.stop":"&#x62A;&#x648;&#x642;&#x641;","ba-videorecorder-controlbar.stop-tooltip":"&#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x644;&#x62A;&#x648;&#x642;&#x641;.","ba-videorecorder-controlbar.skip":"&#x62A;&#x62E;&#x637;&#x649;","ba-videorecorder-controlbar.skip-tooltip":"&#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x644;&#x62A;&#x62E;&#x637;&#x64A;.","ba-videorecorder.recorder-error":"&#x644;&#x642;&#x62F; &#x62D;&#x62F;&#x62B; &#x62E;&#x637;&#x623;&#x60C; &#x631;&#x62C;&#x627;&#x621; &#x623;&#x639;&#x62F; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629; &#x644;&#x627;&#x62D;&#x642;&#x627;. &#x627;&#x646;&#x642;&#x631; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-videorecorder.attach-error":"&#x644;&#x645; &#x646;&#x62A;&#x645;&#x643;&#x646; &#x645;&#x646; &#x627;&#x644;&#x648;&#x635;&#x648;&#x644; &#x625;&#x644;&#x649; &#x648;&#x627;&#x62C;&#x647;&#x629; &#x627;&#x644;&#x643;&#x627;&#x645;&#x64A;&#x631;&#x627;. &#x627;&#x639;&#x62A;&#x645;&#x627;&#x62F;&#x627; &#x639;&#x644;&#x649; &#x627;&#x644;&#x62C;&#x647;&#x627;&#x632; &#x648;&#x627;&#x644;&#x645;&#x62A;&#x635;&#x641;&#x62D;&#x60C; &#x642;&#x62F; &#x62A;&#x62D;&#x62A;&#x627;&#x62C; &#x625;&#x644;&#x649; &#x62A;&#x62B;&#x628;&#x64A;&#x62A; &#x641;&#x644;&#x627;&#x634; &#x623;&#x648; &#x627;&#x644;&#x648;&#x635;&#x648;&#x644; &#x625;&#x644;&#x649; &#x627;&#x644;&#x635;&#x641;&#x62D;&#x629; &#x639;&#x628;&#x631; &#x645;&#x62A;&#x635;&#x641;&#x62D; &#x627;&#x62E;&#x631;.","ba-videorecorder.access-forbidden":"&#x62A;&#x645; &#x62D;&#x638;&#x631; &#x627;&#x644;&#x62F;&#x62E;&#x648;&#x644; &#x625;&#x644;&#x649; &#x627;&#x644;&#x643;&#x627;&#x645;&#x64A;&#x631;&#x627;. &#x627;&#x646;&#x642;&#x631; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;","ba-videorecorder.pick-covershot":"&#x627;&#x62E;&#x62A;&#x64A;&#x627;&#x631; &#x635;&#x648;&#x631;&#x629; &#x627;&#x644;&#x648;&#x627;&#x62C;&#x647;&#x629;.","ba-videorecorder.uploading":"&#x62C;&#x627;&#x631;&#x64A; &#x627;&#x644;&#x631;&#x641;&#x639;","ba-videorecorder.uploading-failed":"&#x641;&#x634;&#x644; &#x641;&#x64A; &#x627;&#x644;&#x631;&#x641;&#x639; - &#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-videorecorder.verifying":"&#x62C;&#x627;&#x631;&#x64A; &#x627;&#x644;&#x62A;&#x62D;&#x642;&#x642;","ba-videorecorder.verifying-failed":"&#x641;&#x634;&#x644; &#x639;&#x645;&#x644;&#x64A;&#x629; &#x627;&#x644;&#x62A;&#x62D;&#x642;&#x642; - &#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-videorecorder.rerecord-confirm":"&#x62A;&#x622;&#x643;&#x64A;&#x62F; &#x627;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648;&#x61F;","ba-videorecorder.video_file_too_large":"&#x645;&#x644;&#x641; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648; &#x643;&#x628;&#x64A;&#x631; &#x62C;&#x62F;&#x627; (%s) - &#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629; &#x628;&#x627;&#x633;&#x62A;&#x62E;&#x62F;&#x627;&#x645; &#x645;&#x644;&#x641; &#x641;&#x64A;&#x62F;&#x64A;&#x648; &#x623;&#x635;&#x63A;&#x631;.","ba-videorecorder.unsupported_video_type":"&#x635;&#x64A;&#x63A;&#x629; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648; &#x63A;&#x64A;&#x631; &#x645;&#x62F;&#x639;&#x648;&#x645;&#x629; :%s - &#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-videoplayer-controlbar.exit-fullscreen-video":"&#x627;&#x644;&#x62E;&#x631;&#x648;&#x62C; &#x645;&#x646; &#x627;&#x644;&#x634;&#x627;&#x634;&#x629; &#x627;&#x644;&#x643;&#x627;&#x645;&#x644;&#x629;","ba-videoplayer-share.share":"&#x634;&#x627;&#x631;&#x643; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648;","ba-videorecorder-chooser.record-screen":"&#x633;&#x62C;&#x644; &#x627;&#x644;&#x634;&#x627;&#x634;&#x629;","ba-videoplayer-controlbar.pause-video-disabled":"&#x625;&#x64A;&#x642;&#x627;&#x641; &#x645;&#x624;&#x642;&#x62A; &#x63A;&#x64A;&#x631; &#x645;&#x62A;&#x648;&#x627;&#x641;&#x642;","ba-videorecorder-chooser.record-audio":"&#x62A;&#x633;&#x62C;&#x64A;&#x644; &#x635;&#x648;&#x62A;&#x64A;","ba-videorecorder-controlbar.stop-available-after":"&#x627;&#x644;&#x62D;&#x62F; &#x627;&#x644;&#x623;&#x62F;&#x646;&#x649; &#x644;&#x648;&#x642;&#x62A; &#x627;&#x644;&#x62A;&#x633;&#x62C;&#x64A;&#x644; &#x647;&#x648;%d &#x62B;&#x627;&#x646;&#x64A;&#x629;","ba-videorecorder-controlbar.cancel":"&#x625;&#x644;&#x63A;&#x627;&#x621;","ba-videorecorder-controlbar.cancel-tooltip":"&#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x644;&#x625;&#x644;&#x63A;&#x627;&#x621;.","ba-videorecorder.cancel-confirm":"&#x647;&#x644; &#x62A;&#x631;&#x64A;&#x62F; &#x62D;&#x642;&#x627; &#x625;&#x644;&#x63A;&#x627;&#x621; &#x62A;&#x62D;&#x645;&#x64A;&#x644; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648;&#x61F;","ba-videoplayer-adslot.elapsed-time":"&#x648;&#x642;&#x62A; &#x625;&#x644;&#x627;&#x633;&#x628;&#x62F;","ba-videoplayer-adslot.volume-button":"&#x62A;&#x639;&#x64A;&#x64A;&#x646; &#x645;&#x633;&#x62A;&#x648;&#x649; &#x627;&#x644;&#x635;&#x648;&#x62A;","ba-videoplayer-adslot.volume-mute":"&#x635;&#x648;&#x62A; &#x645;&#x646;&#x62E;&#x641;&#x636;","ba-videoplayer-adslot.volume-unmute":"&#x625;&#x644;&#x63A;&#x627;&#x621; &#x635;&#x648;&#x62A; &#x627;&#x644;&#x635;&#x648;&#x62A;","ba-videoplayer-adslot.ad-will-end-after":"&#x633;&#x64A;&#x646;&#x62A;&#x647;&#x64A; &#x627;&#x644;&#x625;&#x639;&#x644;&#x627;&#x646; &#x628;&#x639;&#x62F;%s","ba-videoplayer-adslot.can-skip-after":"&#x62A;&#x62E;&#x637;&#x64A; &#x628;&#x639;&#x62F;%d","ba-videoplayer-adslot.skip-ad":"&#x62A;&#x62C;&#x627;&#x647;&#x644; &#x627;&#x644;&#x627;&#x639;&#x644;&#x627;&#x646;&#x627;&#x62A;","ba-videorecorder.software-required":"&#x64A;&#x631;&#x62C;&#x649; &#x627;&#x644;&#x646;&#x642;&#x631; &#x623;&#x62F;&#x646;&#x627;&#x647; &#x644;&#x62A;&#x62B;&#x628;&#x64A;&#x62A; / &#x62A;&#x641;&#x639;&#x64A;&#x644; &#x627;&#x644;&#x645;&#x62A;&#x637;&#x644;&#x628;&#x627;&#x62A; &#x627;&#x644;&#x62A;&#x627;&#x644;&#x64A;&#x629; &#x645;&#x646; &#x623;&#x62C;&#x644; &#x627;&#x644;&#x645;&#x636;&#x64A; &#x642;&#x62F;&#x645;&#x627;.","ba-videorecorder.software-waiting":"&#x641;&#x64A; &#x627;&#x646;&#x62A;&#x638;&#x627;&#x631; &#x627;&#x644;&#x645;&#x62A;&#x637;&#x644;&#x628;&#x627;&#x62A; &#x644;&#x64A;&#x62A;&#x645; &#x62A;&#x62B;&#x628;&#x64A;&#x62A;&#x647;&#x627; / &#x62A;&#x641;&#x639;&#x64A;&#x644;&#x647;&#x627;. &#x642;&#x62F; &#x62A;&#x62D;&#x62A;&#x627;&#x62C; &#x625;&#x644;&#x649; &#x62A;&#x62D;&#x62F;&#x64A;&#x62B; &#x627;&#x644;&#x635;&#x641;&#x62D;&#x629; &#x628;&#x639;&#x62F; &#x627;&#x644;&#x627;&#x646;&#x62A;&#x647;&#x627;&#x621;.","ba-videoplayer-controlbar.close-tracks":"&#x625;&#x63A;&#x644;&#x627;&#x642; CC","ba-videoplayer-controlbar.show-tracks":"&#x639;&#x631;&#x636; CC","ba-videoplayer-tracks.upload-text-tracks":"&#x62A;&#x62D;&#x645;&#x64A;&#x644; &#x645;&#x644;&#x641;&#x627;&#x62A; &#x627;&#x644;&#x646;&#x635; &#x627;&#x644;&#x645;&#x633;&#x627;&#x631;","ba-videoplayer-tracks.select-text-track-language":"&#x644;&#x63A;&#x629; &#x627;&#x644;&#x62A;&#x631;&#x62C;&#x645;&#x629;","ba-videoplayer-tracks.info-select-locale-first":"&#x62D;&#x62F;&#x62F; &#x623;&#x648;&#x644;&#x627;&#x64B; &#x627;&#x644;&#x644;&#x63A;&#x629;","ba-videoplayer-tracks.select-text-track-file":"&#x627;&#x646;&#x642;&#x631; &#x644;&#x62A;&#x62D;&#x62F;&#x64A;&#x62F; &#x627;&#x644;&#x645;&#x644;&#x641;","ba-videoplayer-tracks.back":"&#x627;&#x644;&#x649; &#x627;&#x644;&#x62E;&#x644;&#x641;","ba-videorecorder.framerate-warning":"&#x645;&#x639;&#x62F;&#x644; &#x639;&#x631;&#x636; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648; &#x645;&#x646;&#x62E;&#x641;&#x636; &#x62C;&#x62F;&#x64B;&#x627;. &#x646;&#x648;&#x635;&#x64A; &#x628;&#x625;&#x63A;&#x644;&#x627;&#x642; &#x62C;&#x645;&#x64A;&#x639; &#x627;&#x644;&#x628;&#x631;&#x627;&#x645;&#x62C; &#x627;&#x644;&#x623;&#x62E;&#x631;&#x649; &#x648;&#x639;&#x644;&#x627;&#x645;&#x627;&#x62A; &#x62A;&#x628;&#x648;&#x64A;&#x628; &#x627;&#x644;&#x645;&#x62A;&#x635;&#x641;&#x62D; &#x623;&#x648; &#x627;&#x633;&#x62A;&#x62E;&#x62F;&#x627;&#x645; &#x62C;&#x647;&#x627;&#x632; &#x643;&#x645;&#x628;&#x64A;&#x648;&#x62A;&#x631; &#x623;&#x633;&#x631;&#x639;.","ba-videorecorder.upload-error-duration":"&#x644;&#x627; &#x64A;&#x62A;&#x648;&#x627;&#x641;&#x642; &#x637;&#x648;&#x644; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648; &#x627;&#x644;&#x630;&#x64A; &#x62A;&#x645; &#x62A;&#x62D;&#x645;&#x64A;&#x644;&#x647; &#x645;&#x639; &#x627;&#x644;&#x645;&#x62A;&#x637;&#x644;&#x628;&#x627;&#x62A; - &#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-videorecorder.resolution-constraint-error":"&#x627;&#x644;&#x645;&#x644;&#x641; &#x627;&#x644;&#x630;&#x64A; &#x62D;&#x62F;&#x62F;&#x62A;&#x647; &#x644;&#x627; &#x64A;&#x62A;&#x637;&#x627;&#x628;&#x642; &#x645;&#x639; &#x627;&#x644;&#x62F;&#x642;&#x629; &#x627;&#x644;&#x645;&#x637;&#x644;&#x648;&#x628;&#x629; - &#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-videorecorder.orientation-portrait-required":"&#x64A;&#x631;&#x62C;&#x649; &#x62A;&#x62F;&#x648;&#x64A;&#x631; &#x62C;&#x647;&#x627;&#x632;&#x643; &#x644;&#x644;&#x62A;&#x633;&#x62C;&#x64A;&#x644; &#x641;&#x64A; &#x627;&#x644;&#x648;&#x636;&#x639; &#x627;&#x644;&#x631;&#x623;&#x633;&#x64A;.","ba-videorecorder.orientation-landscape-required":"&#x64A;&#x631;&#x62C;&#x649; &#x62A;&#x62F;&#x648;&#x64A;&#x631; &#x62C;&#x647;&#x627;&#x632;&#x643; &#x644;&#x644;&#x62A;&#x633;&#x62C;&#x64A;&#x644; &#x641;&#x64A; &#x627;&#x644;&#x648;&#x636;&#x639; &#x627;&#x644;&#x623;&#x641;&#x642;&#x64A;.","ba-imageviewer-controlbar.rerecord-image":"&#x625;&#x639;&#x627;&#x62F;&#x629;&#x61F;","ba-imageviewer-controlbar.submit-image":"&#x62A;&#x624;&#x643;&#x62F;","ba-imageviewer-controlbar.fullscreen-image":"&#x623;&#x62F;&#x62E;&#x644; &#x645;&#x644;&#x621; &#x627;&#x644;&#x634;&#x627;&#x634;&#x629;","ba-imageviewer-controlbar.exit-fullscreen-image":"&#x627;&#x644;&#x62E;&#x631;&#x648;&#x62C; &#x645;&#x646; &#x627;&#x644;&#x634;&#x627;&#x634;&#x629; &#x627;&#x644;&#x643;&#x627;&#x645;&#x644;&#x629;","ba-imageviewer.image-error":"&#x644;&#x642;&#x62F; &#x62D;&#x62F;&#x62B; &#x62E;&#x637;&#x623;&#x60C; &#x631;&#x62C;&#x627;&#x621; &#x623;&#x639;&#x62F; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629; &#x644;&#x627;&#x62D;&#x642;&#x627;. &#x627;&#x646;&#x642;&#x631; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-imagecapture-chooser.image-capture":"&#x627;&#x644;&#x62A;&#x642;&#x627;&#x637; &#x627;&#x644;&#x635;&#x648;&#x631;&#x629;","ba-imagecapture-chooser.upload-image":"&#x62A;&#x62D;&#x645;&#x64A;&#x644; &#x627;&#x644;&#x635;&#x648;&#x631;","ba-imagecapture-controlbar.settings":"&#x625;&#x639;&#x62F;&#x627;&#x62F;&#x627;&#x62A;","ba-imagecapture-controlbar.camerahealthy":"&#x627;&#x644;&#x625;&#x636;&#x627;&#x621;&#x629; &#x62C;&#x64A;&#x62F;&#x629;","ba-imagecapture-controlbar.cameraunhealthy":"&#x627;&#x644;&#x625;&#x636;&#x627;&#x621;&#x629; &#x644;&#x64A;&#x633;&#x62A; &#x627;&#x644;&#x623;&#x645;&#x62B;&#x644;","ba-imagecapture-controlbar.record":"&#x623;&#x633;&#x631;","ba-imagecapture-controlbar.record-tooltip":"&#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x627;&#x644;&#x62A;&#x642;&#x627;&#x637;.","ba-imagecapture-controlbar.rerecord":"&#x641;&#x639;&#x644; &#x62B;&#x627;&#x646;&#x64A;&#x629;","ba-imagecapture-controlbar.rerecord-tooltip":"&#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x644;&#x625;&#x639;&#x627;&#x62F;&#x629;.","ba-imagecapture-controlbar.cancel":"&#x625;&#x644;&#x63A;&#x627;&#x621;","ba-imagecapture-controlbar.cancel-tooltip":"&#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x644;&#x625;&#x644;&#x63A;&#x627;&#x621;.","ba-audioplayer-controlbar.audio-progress":"&#x62A;&#x642;&#x62F;&#x645;","ba-audioplayer-controlbar.rerecord-audio":"&#x625;&#x639;&#x627;&#x62F;&#x629;&#x61F;","ba-audioplayer-controlbar.submit-audio":"&#x62A;&#x624;&#x643;&#x62F;","ba-audioplayer-controlbar.play-audio":"&#x644;&#x639;&#x628;","ba-audioplayer-controlbar.pause-audio":"&#x648;&#x642;&#x641;&#x629;","ba-audioplayer-controlbar.pause-audio-disabled":"&#x648;&#x642;&#x641;&#x629; &#x63A;&#x64A;&#x631; &#x645;&#x639;&#x62A;&#x645;&#x62F;","ba-audioplayer-controlbar.elapsed-time":"&#x627;&#x644;&#x648;&#x642;&#x62A; &#x627;&#x644;&#x645;&#x646;&#x642;&#x636;&#x64A;","ba-audioplayer-controlbar.total-time":"&#x627;&#x644;&#x637;&#x648;&#x644; &#x627;&#x644;&#x643;&#x644;&#x64A;","ba-audioplayer-controlbar.volume-button":"&#x636;&#x628;&#x637; &#x627;&#x644;&#x62D;&#x62C;&#x645;","ba-audioplayer-controlbar.volume-mute":"&#x635;&#x648;&#x62A; &#x645;&#x646;&#x62E;&#x641;&#x636;","ba-audioplayer-controlbar.volume-unmute":"&#x635;&#x648;&#x62A; &#x63A;&#x64A;&#x631; &#x635;&#x648;&#x62A;&#x64A;","ba-audioplayer-loader.tooltip":"&#x62C;&#x627;&#x631; &#x627;&#x644;&#x62A;&#x62D;&#x645;&#x64A;&#x644;...","ba-audioplayer.audio-error":"&#x644;&#x642;&#x62F; &#x62D;&#x62F;&#x62B; &#x62E;&#x637;&#x623;&#x60C; &#x631;&#x62C;&#x627;&#x621; &#x623;&#x639;&#x62F; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629; &#x644;&#x627;&#x62D;&#x642;&#x627;. &#x627;&#x646;&#x642;&#x631; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-audiorecorder-chooser.record-audio":"&#x62A;&#x633;&#x62C;&#x64A;&#x644; &#x635;&#x648;&#x62A;&#x64A;","ba-audiorecorder-chooser.upload-audio":"&#x62A;&#x62D;&#x645;&#x64A;&#x644; &#x627;&#x644;&#x635;&#x648;&#x62A;","ba-audiorecorder-controlbar.settings":"&#x625;&#x639;&#x62F;&#x627;&#x62F;&#x627;&#x62A;","ba-audiorecorder-controlbar.microphonehealthy":"&#x627;&#x644;&#x635;&#x648;&#x62A; &#x62C;&#x64A;&#x62F;","ba-audiorecorder-controlbar.microphoneunhealthy":"&#x644;&#x627; &#x64A;&#x645;&#x643;&#x646; &#x627;&#x644;&#x62A;&#x642;&#x627;&#x637; &#x623;&#x64A; &#x635;&#x648;&#x62A;","ba-audiorecorder-controlbar.record":"&#x633;&#x62C;&#x644;","ba-audiorecorder-controlbar.record-tooltip":"&#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x644;&#x62A;&#x633;&#x62C;&#x64A;&#x644;.","ba-audiorecorder-controlbar.rerecord":"&#x641;&#x639;&#x644; &#x62B;&#x627;&#x646;&#x64A;&#x629;","ba-audiorecorder-controlbar.rerecord-tooltip":"&#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x644;&#x625;&#x639;&#x627;&#x62F;&#x629;.","ba-audiorecorder-controlbar.stop":"&#x62A;&#x648;&#x642;&#x641;","ba-audiorecorder-controlbar.stop-tooltip":"&#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x644;&#x62A;&#x648;&#x642;&#x641;.","ba-audiorecorder-controlbar.stop-available-after":"&#x627;&#x644;&#x62D;&#x62F; &#x627;&#x644;&#x623;&#x62F;&#x646;&#x649; &#x644;&#x645;&#x62F;&#x629; &#x627;&#x644;&#x62A;&#x633;&#x62C;&#x64A;&#x644; &#x647;&#x648;%d &#x62B;&#x627;&#x646;&#x64A;&#x629;","ba-audiorecorder-controlbar.cancel":"&#x625;&#x644;&#x63A;&#x627;&#x621;","ba-audiorecorder-controlbar.cancel-tooltip":"&#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x644;&#x625;&#x644;&#x63A;&#x627;&#x621;.","ba-videoplayer-controlbar.player-speed":"&#x633;&#x631;&#x639;&#x629; &#x627;&#x644;&#x644;&#x627;&#x639;&#x628;","ba-videoplayer-controlbar.settings":"&#x627;&#x644;&#x625;&#x639;&#x62F;&#x627;&#x62F;&#x627;&#x62A;","ba-videoplayer-controlbar.airplay":"&#x627;&#x644;&#x628;&#x62B;","ba-videoplayer-controlbar.airplay-icon":"&#x623;&#x64A;&#x642;&#x648;&#x646;&#x629; &#x627;&#x644;&#x628;&#x62B;.","ba-videoplayer.all-settings":"&#x62C;&#x645;&#x64A;&#x639; &#x627;&#x644;&#x625;&#x639;&#x62F;&#x627;&#x62F;&#x627;&#x62A;","ba-videoplayer.player-speed":"&#x633;&#x631;&#x639;&#x629; &#x627;&#x644;&#x644;&#x627;&#x639;&#x628;","ba-videoplayer.full-screen":"&#x634;&#x627;&#x634;&#x629; &#x643;&#x627;&#x645;&#x644;&#x629;","ba-videorecorder-controlbar.add-stream":"&#x625;&#x636;&#x627;&#x641;&#x629; &#x62A;&#x64A;&#x627;&#x631;","ba-videorecorder.switch-camera":"&#x62A;&#x628;&#x62F;&#x64A;&#x644; &#x627;&#x644;&#x643;&#x627;&#x645;&#x64A;&#x631;&#x627;","ba-videorecorder.prepare-covershot":"&#x625;&#x639;&#x62F;&#x627;&#x62F; covershots","ba-videorecorder.prepare-thumbnails":"&#x625;&#x639;&#x62F;&#x627;&#x62F; &#x62A;&#x633;&#x639;&#x649; &#x627;&#x644;&#x635;&#x648;&#x631; &#x627;&#x644;&#x645;&#x635;&#x63A;&#x631;&#x629;","ba-videorecorder.adding-new-stream":"&#x645;&#x636;&#x64A;&#x641;&#x627; &#x62A;&#x64A;&#x627;&#x631; &#x62C;&#x62F;&#x64A;&#x62F;","ba-imagecapture.recorder-error":"&#x644;&#x642;&#x62F; &#x62D;&#x62F;&#x62B; &#x62E;&#x637;&#x623;&#x60C; &#x631;&#x62C;&#x627;&#x621; &#x623;&#x639;&#x62F; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629; &#x644;&#x627;&#x62D;&#x642;&#x627;. &#x627;&#x646;&#x642;&#x631; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-imagecapture.attach-error":"&#x644;&#x645; &#x646;&#x62A;&#x645;&#x643;&#x646; &#x645;&#x646; &#x627;&#x644;&#x648;&#x635;&#x648;&#x644; &#x625;&#x644;&#x649; &#x648;&#x627;&#x62C;&#x647;&#x629; &#x627;&#x644;&#x648;&#x633;&#x627;&#x626;&#x637;. &#x627;&#x639;&#x62A;&#x645;&#x627;&#x62F;&#x64B;&#x627; &#x639;&#x644;&#x649; &#x627;&#x644;&#x62C;&#x647;&#x627;&#x632; &#x648;&#x627;&#x644;&#x645;&#x633;&#x62A;&#x639;&#x631;&#x636; &#x60C; &#x642;&#x62F; &#x62A;&#x62D;&#x62A;&#x627;&#x62C; &#x625;&#x644;&#x649; &#x62A;&#x62B;&#x628;&#x64A;&#x62A; Flash &#x623;&#x648; &#x627;&#x644;&#x648;&#x635;&#x648;&#x644; &#x625;&#x644;&#x649; &#x627;&#x644;&#x635;&#x641;&#x62D;&#x629; &#x639;&#x628;&#x631; &#x637;&#x628;&#x642;&#x629; &#x627;&#x644;&#x645;&#x642;&#x627;&#x628;&#x633; &#x627;&#x644;&#x622;&#x645;&#x646;&#x629;.","ba-imagecapture.software-required":"&#x64A;&#x631;&#x62C;&#x649; &#x627;&#x644;&#x646;&#x642;&#x631; &#x623;&#x62F;&#x646;&#x627;&#x647; &#x644;&#x62A;&#x62B;&#x628;&#x64A;&#x62A; / &#x62A;&#x641;&#x639;&#x64A;&#x644; &#x627;&#x644;&#x645;&#x62A;&#x637;&#x644;&#x628;&#x627;&#x62A; &#x627;&#x644;&#x62A;&#x627;&#x644;&#x64A;&#x629; &#x645;&#x646; &#x623;&#x62C;&#x644; &#x627;&#x644;&#x645;&#x62A;&#x627;&#x628;&#x639;&#x629;.","ba-imagecapture.software-waiting":"&#x641;&#x64A; &#x627;&#x646;&#x62A;&#x638;&#x627;&#x631; &#x627;&#x644;&#x645;&#x62A;&#x637;&#x644;&#x628;&#x627;&#x62A; &#x644;&#x64A;&#x62A;&#x645; &#x62A;&#x62B;&#x628;&#x64A;&#x62A;&#x647;&#x627; / &#x62A;&#x641;&#x639;&#x64A;&#x644;&#x647;&#x627;. &#x642;&#x62F; &#x62A;&#x62D;&#x62A;&#x627;&#x62C; &#x625;&#x644;&#x649; &#x62A;&#x62D;&#x62F;&#x64A;&#x62B; &#x627;&#x644;&#x635;&#x641;&#x62D;&#x629; &#x628;&#x639;&#x62F; &#x627;&#x644;&#x627;&#x646;&#x62A;&#x647;&#x627;&#x621;.","ba-imagecapture.access-forbidden":"&#x62A;&#x645; &#x645;&#x646;&#x639; &#x627;&#x644;&#x648;&#x635;&#x648;&#x644; &#x625;&#x644;&#x649; &#x648;&#x633;&#x627;&#x626;&#x644; &#x627;&#x644;&#x625;&#x639;&#x644;&#x627;&#x645;. &#x627;&#x646;&#x642;&#x631; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-imagecapture.uploading":"&#x62A;&#x62D;&#x645;&#x64A;&#x644;","ba-imagecapture.uploading-failed":"&#x641;&#x634;&#x644; &#x627;&#x644;&#x62A;&#x62D;&#x645;&#x64A;&#x644; - &#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-imagecapture.upload-error-duration":"&#x637;&#x648;&#x644; &#x627;&#x644;&#x635;&#x648;&#x631;&#x629; &#x627;&#x644;&#x62A;&#x64A; &#x62A;&#x645; &#x62A;&#x62D;&#x645;&#x64A;&#x644;&#x647;&#x627; &#x644;&#x627; &#x64A;&#x644;&#x628;&#x64A; &#x627;&#x644;&#x645;&#x62A;&#x637;&#x644;&#x628;&#x627;&#x62A; - &#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-imagecapture.resolution-constraint-error":"&#x627;&#x644;&#x645;&#x644;&#x641; &#x627;&#x644;&#x630;&#x64A; &#x62D;&#x62F;&#x62F;&#x62A;&#x647; &#x644;&#x627; &#x64A;&#x62A;&#x637;&#x627;&#x628;&#x642; &#x645;&#x639; &#x627;&#x644;&#x62F;&#x642;&#x629; &#x627;&#x644;&#x645;&#x637;&#x644;&#x648;&#x628;&#x629; - &#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-imagecapture.verifying":"&#x627;&#x644;&#x62A;&#x62D;&#x642;&#x642;","ba-imagecapture.verifying-failed":"&#x641;&#x634;&#x644; &#x627;&#x644;&#x62A;&#x62D;&#x642;&#x642; - &#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-imagecapture.rerecord-confirm":"&#x647;&#x644; &#x62A;&#x631;&#x64A;&#x62F; &#x62D;&#x642;&#x64B;&#x627; &#x627;&#x633;&#x62A;&#x639;&#x627;&#x62F;&#x629; &#x635;&#x648;&#x631;&#x62A;&#x643;&#x61F;","ba-imagecapture.image_file_too_large":"&#x645;&#x644;&#x641; &#x627;&#x644;&#x635;&#x648;&#x631;&#x629; &#x627;&#x644;&#x62E;&#x627;&#x635; &#x628;&#x643; &#x643;&#x628;&#x64A;&#x631; &#x62C;&#x62F;&#x64B;&#x627; (%s) - &#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629; &#x628;&#x627;&#x633;&#x62A;&#x62E;&#x62F;&#x627;&#x645; &#x645;&#x644;&#x641; &#x635;&#x648;&#x631;&#x629; &#x623;&#x635;&#x63A;&#x631;.","ba-imagecapture.unsupported_image_type":"&#x627;&#x644;&#x631;&#x62C;&#x627;&#x621; &#x627;&#x644;&#x62A;&#x62D;&#x645;&#x64A;&#x644;:%s - &#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-imagecapture.orientation-portrait-required":"&#x64A;&#x631;&#x62C;&#x649; &#x62A;&#x62F;&#x648;&#x64A;&#x631; &#x62C;&#x647;&#x627;&#x632;&#x643; &#x644;&#x62A;&#x633;&#x62C;&#x64A;&#x644; &#x641;&#x64A; &#x648;&#x636;&#x639; &#x639;&#x645;&#x648;&#x62F;&#x64A;.","ba-imagecapture.orientation-landscape-required":"&#x64A;&#x631;&#x62C;&#x649; &#x62A;&#x62F;&#x648;&#x64A;&#x631; &#x62C;&#x647;&#x627;&#x632;&#x643; &#x644;&#x644;&#x62A;&#x633;&#x62C;&#x64A;&#x644; &#x641;&#x64A; &#x648;&#x636;&#x639; &#x623;&#x641;&#x642;&#x64A;.","ba-audiorecorder.recorder-error":"&#x644;&#x642;&#x62F; &#x62D;&#x62F;&#x62B; &#x62E;&#x637;&#x623;&#x60C; &#x631;&#x62C;&#x627;&#x621; &#x623;&#x639;&#x62F; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629; &#x644;&#x627;&#x62D;&#x642;&#x627;. &#x627;&#x646;&#x642;&#x631; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-audiorecorder.attach-error":"&#x644;&#x645; &#x646;&#x62A;&#x645;&#x643;&#x646; &#x645;&#x646; &#x627;&#x644;&#x648;&#x635;&#x648;&#x644; &#x625;&#x644;&#x649; &#x648;&#x627;&#x62C;&#x647;&#x629; &#x627;&#x644;&#x648;&#x633;&#x627;&#x626;&#x637;. &#x627;&#x639;&#x62A;&#x645;&#x627;&#x62F;&#x64B;&#x627; &#x639;&#x644;&#x649; &#x627;&#x644;&#x62C;&#x647;&#x627;&#x632; &#x648;&#x627;&#x644;&#x645;&#x633;&#x62A;&#x639;&#x631;&#x636; &#x60C; &#x642;&#x62F; &#x62A;&#x62D;&#x62A;&#x627;&#x62C; &#x625;&#x644;&#x649; &#x62A;&#x62B;&#x628;&#x64A;&#x62A; Flash &#x623;&#x648; &#x627;&#x644;&#x648;&#x635;&#x648;&#x644; &#x625;&#x644;&#x649; &#x627;&#x644;&#x635;&#x641;&#x62D;&#x629; &#x639;&#x628;&#x631; &#x637;&#x628;&#x642;&#x629; &#x627;&#x644;&#x645;&#x642;&#x627;&#x628;&#x633; &#x627;&#x644;&#x622;&#x645;&#x646;&#x629;.","ba-audiorecorder.software-required":"&#x64A;&#x631;&#x62C;&#x649; &#x627;&#x644;&#x646;&#x642;&#x631; &#x623;&#x62F;&#x646;&#x627;&#x647; &#x644;&#x62A;&#x62B;&#x628;&#x64A;&#x62A; / &#x62A;&#x641;&#x639;&#x64A;&#x644; &#x627;&#x644;&#x645;&#x62A;&#x637;&#x644;&#x628;&#x627;&#x62A; &#x627;&#x644;&#x62A;&#x627;&#x644;&#x64A;&#x629; &#x645;&#x646; &#x623;&#x62C;&#x644; &#x627;&#x644;&#x645;&#x62A;&#x627;&#x628;&#x639;&#x629;.","ba-audiorecorder.software-waiting":"&#x641;&#x64A; &#x627;&#x646;&#x62A;&#x638;&#x627;&#x631; &#x627;&#x644;&#x645;&#x62A;&#x637;&#x644;&#x628;&#x627;&#x62A; &#x644;&#x64A;&#x62A;&#x645; &#x62A;&#x62B;&#x628;&#x64A;&#x62A;&#x647;&#x627; / &#x62A;&#x641;&#x639;&#x64A;&#x644;&#x647;&#x627;. &#x642;&#x62F; &#x62A;&#x62D;&#x62A;&#x627;&#x62C; &#x625;&#x644;&#x649; &#x62A;&#x62D;&#x62F;&#x64A;&#x62B; &#x627;&#x644;&#x635;&#x641;&#x62D;&#x629; &#x628;&#x639;&#x62F; &#x627;&#x644;&#x627;&#x646;&#x62A;&#x647;&#x627;&#x621;.","ba-audiorecorder.access-forbidden":"&#x62A;&#x645; &#x645;&#x646;&#x639; &#x627;&#x644;&#x648;&#x635;&#x648;&#x644; &#x625;&#x644;&#x649; &#x648;&#x633;&#x627;&#x626;&#x644; &#x627;&#x644;&#x625;&#x639;&#x644;&#x627;&#x645;. &#x627;&#x646;&#x642;&#x631; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-audiorecorder.uploading":"&#x62A;&#x62D;&#x645;&#x64A;&#x644;","ba-audiorecorder.uploading-failed":"&#x641;&#x634;&#x644; &#x627;&#x644;&#x62A;&#x62D;&#x645;&#x64A;&#x644; - &#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-audiorecorder.upload-error-duration":"&#x637;&#x648;&#x644; &#x627;&#x644;&#x635;&#x648;&#x62A; &#x627;&#x644;&#x630;&#x64A; &#x62A;&#x645; &#x62A;&#x62D;&#x645;&#x64A;&#x644;&#x647; &#x644;&#x627; &#x64A;&#x644;&#x628;&#x64A; &#x627;&#x644;&#x645;&#x62A;&#x637;&#x644;&#x628;&#x627;&#x62A; - &#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-audiorecorder.verifying":"&#x627;&#x644;&#x62A;&#x62D;&#x642;&#x642;","ba-audiorecorder.verifying-failed":"&#x641;&#x634;&#x644; &#x627;&#x644;&#x62A;&#x62D;&#x642;&#x642; - &#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-audiorecorder.rerecord-confirm":"&#x647;&#x644; &#x62A;&#x631;&#x64A;&#x62F; &#x62D;&#x642;&#x64B;&#x627; &#x625;&#x639;&#x627;&#x62F;&#x629; &#x635;&#x648;&#x62A;&#x643;&#x61F;","ba-audiorecorder.cancel-confirm":"&#x647;&#x644; &#x62A;&#x631;&#x64A;&#x62F; &#x62D;&#x642;&#x64B;&#x627; &#x625;&#x644;&#x63A;&#x627;&#x621; &#x62A;&#x62D;&#x645;&#x64A;&#x644; &#x627;&#x644;&#x635;&#x648;&#x62A; &#x627;&#x644;&#x62E;&#x627;&#x635; &#x628;&#x643;&#x61F;","ba-audiorecorder.audio_file_too_large":"&#x645;&#x644;&#x641; &#x627;&#x644;&#x635;&#x648;&#x62A; &#x627;&#x644;&#x62E;&#x627;&#x635; &#x628;&#x643; &#x643;&#x628;&#x64A;&#x631; &#x62C;&#x62F;&#x64B;&#x627; (%s) - &#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629; &#x628;&#x627;&#x633;&#x62A;&#x62E;&#x62F;&#x627;&#x645; &#x645;&#x644;&#x641; &#x635;&#x648;&#x62A;&#x64A; &#x623;&#x635;&#x63A;&#x631;.","ba-audiorecorder.unsupported_audio_type":"&#x627;&#x644;&#x631;&#x62C;&#x627;&#x621; &#x627;&#x644;&#x62A;&#x62D;&#x645;&#x64A;&#x644;:%s - &#x627;&#x646;&#x642;&#x631; &#x647;&#x646;&#x627; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ba-common-settingsmenu.tooltip":"&#x627;&#x646;&#x642;&#x631; &#x644;&#x644;&#x639;&#x628;.","ba-common-settingsmenu.setting-menu":"&#x62C;&#x645;&#x64A;&#x639; &#x627;&#x644;&#x625;&#x639;&#x62F;&#x627;&#x62F;&#x627;&#x62A;","ba-common-settingsmenu.source-quality":"&#x62C;&#x648;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x635;&#x62F;&#x631;","ba-common-settingsmenu.player-speed":"&#x633;&#x631;&#x639;&#x629; &#x627;&#x644;&#x644;&#x627;&#x639;&#x628;","ba-common-settingsmenu.set-menu-option":"&#x62A;&#x639;&#x64A;&#x64A;&#x646; &#x627;&#x644;&#x62E;&#x64A;&#x627;&#x631;","ba-common-settingsmenu.submit-video":"&#x62A;&#x623;&#x643;&#x64A;&#x62F; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648;","ba-common-settingsmenu.picture-in-picture":"&#x635;&#x648;&#x631; &#x641;&#x64A; &#x635;&#x648;&#x631;","ba-common-settingsmenu.exit-fullscreen-video":"&#x627;&#x644;&#x62E;&#x631;&#x648;&#x62C; &#x645;&#x646; &#x627;&#x644;&#x634;&#x627;&#x634;&#x629; &#x627;&#x644;&#x643;&#x627;&#x645;&#x644;&#x629;","ba-common-settingsmenu.fullscreen-video":"&#x623;&#x62F;&#x62E;&#x644; &#x645;&#x644;&#x621; &#x627;&#x644;&#x634;&#x627;&#x634;&#x629;","ba-videorecorder-chooser.multi-stream":"&#x645;&#x62A;&#x639;&#x62F;&#x62F; &#x62A;&#x64A;&#x627;&#x631;","ba-videorecorder-controlbar.pause-recorder":"&#x645;&#x633;&#x62C;&#x644; &#x648;&#x642;&#x641;&#x629;","ba-videorecorder-controlbar.resume-recorder":"&#x645;&#x633;&#x62C;&#x644; &#x627;&#x644;&#x633;&#x64A;&#x631;&#x629; &#x627;&#x644;&#x630;&#x627;&#x62A;&#x64A;&#x629;","ba-videorecorder.missing-track":"&#x645;&#x633;&#x627;&#x631; &#x627;&#x644;&#x635;&#x648;&#x62A; &#x623;&#x648; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648; &#x627;&#x644;&#x645;&#x637;&#x644;&#x648;&#x628; &#x645;&#x641;&#x642;&#x648;&#x62F;","ba-videorecorder.device-already-in-use":"&#x648;&#x627;&#x62D;&#x62F; &#x639;&#x644;&#x649; &#x627;&#x644;&#x623;&#x642;&#x644; &#x645;&#x646; &#x623;&#x62C;&#x647;&#x632;&#x629; &#x627;&#x644;&#x625;&#x62F;&#x62E;&#x627;&#x644; &#x627;&#x644;&#x62E;&#x627;&#x635;&#x629; &#x628;&#x643; &#x642;&#x64A;&#x62F; &#x627;&#x644;&#x627;&#x633;&#x62A;&#x62E;&#x62F;&#x627;&#x645; &#x628;&#x627;&#x644;&#x641;&#x639;&#x644;","ba-videorecorder.browser-permission-denied":"&#x62A;&#x645; &#x631;&#x641;&#x636; &#x627;&#x644;&#x625;&#x630;&#x646; &#x639;&#x646; &#x637;&#x631;&#x64A;&#x642; &#x627;&#x644;&#x645;&#x62A;&#x635;&#x641;&#x62D; &#x60C; &#x64A;&#x631;&#x62C;&#x649; &#x645;&#x646;&#x62D; &#x627;&#x644;&#x648;&#x635;&#x648;&#x644; &#x648;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x62A;&#x62D;&#x645;&#x64A;&#x644; &#x627;&#x644;&#x635;&#x641;&#x62D;&#x629;","ba-audioplayer.all-settings":"&#x62C;&#x645;&#x64A;&#x639; &#x627;&#x644;&#x625;&#x639;&#x62F;&#x627;&#x62F;&#x627;&#x62A;","ba-videoplayer-controlbar.remaining-time":"&#x627;&#x644;&#x648;&#x642;&#x62A; &#x627;&#x644;&#x645;&#x62A;&#x628;&#x642;&#x64A;","ba-videoplayer-controlbar.select-frame":"&#x64A;&#x62E;&#x62A;&#x627;&#x631;","ba-videoplayer-controlbar.trim-video":"&#x62A;&#x642;&#x644;&#x64A;&#x645;","ba-videoplayer-playbutton.trim":"&#x62A;&#x642;&#x644;&#x64A;&#x645;","ba-videoplayer-playbutton.skip":"&#x64A;&#x62A;&#x62E;&#x637;&#x649;","ba-videorecorder-imagegallery.upload-covershot":"&#x62A;&#x62D;&#x645;&#x64A;&#x644; &#x627;&#x644;&#x63A;&#x644;&#x627;&#x641;","ba-videorecorder.pick-covershot-frame":"&#x62D;&#x62F;&#x62F; &#x625;&#x637;&#x627;&#x631;&#x64B;&#x627; &#x644;&#x627;&#x633;&#x62A;&#x62E;&#x62F;&#x627;&#x645;&#x647; &#x643;&#x635;&#x648;&#x631;&#x629; &#x63A;&#x644;&#x627;&#x641;.","ba-videorecorder.screen-recorder-is-not-supported":"&#x645;&#x633;&#x62C;&#x644; &#x627;&#x644;&#x634;&#x627;&#x634;&#x629; &#x63A;&#x64A;&#x631; &#x645;&#x62F;&#x639;&#x648;&#x645; &#x639;&#x644;&#x649; &#x647;&#x630;&#x627; &#x627;&#x644;&#x62C;&#x647;&#x627;&#x632;","ba-videorecorder.trim-prompt":"&#x647;&#x644; &#x62A;&#x631;&#x64A;&#x62F; &#x62A;&#x642;&#x644;&#x64A;&#x645; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648; &#x627;&#x644;&#x62E;&#x627;&#x635; &#x628;&#x643;&#x61F;","ba-videorecorder.trim-video":"&#x62D;&#x631;&#x643; &#x639;&#x644;&#x627;&#x645;&#x62A;&#x64A; &#x627;&#x644;&#x628;&#x62F;&#x627;&#x64A;&#x629; &#x648;&#x627;&#x644;&#x646;&#x647;&#x627;&#x64A;&#x629; &#x644;&#x642;&#x635; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648; &#x627;&#x644;&#x62E;&#x627;&#x635; &#x628;&#x643;","ba-videorecorder.wait-for-trim":"&#x641;&#x64A; &#x627;&#x646;&#x62A;&#x638;&#x627;&#x631; &#x623;&#x645;&#x631; &#x627;&#x644;&#x642;&#x637;&#x639; ...","ba-videorecorder-controlbar.no-video-source":"&#x645;&#x635;&#x62F;&#x631; &#x625;&#x62F;&#x62E;&#x627;&#x644; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648; &#x627;&#x644;&#x625;&#x636;&#x627;&#x641;&#x64A; &#x645;&#x641;&#x642;&#x648;&#x62F;","ba-videorecorder-controlbar.stream-already-selected":"&#x62A;&#x645; &#x62A;&#x62D;&#x62F;&#x64A;&#x62F; &#x62A;&#x64A;&#x627;&#x631; &#x625;&#x636;&#x627;&#x641;&#x64A; &#x628;&#x627;&#x644;&#x641;&#x639;&#x644;","ba-videorecorder.uploading-src-error":"&#x62A;&#x639;&#x630;&#x631; &#x62A;&#x634;&#x63A;&#x64A;&#x644; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648; &#x627;&#x644;&#x622;&#x646; &#x60C; &#x644;&#x627; &#x64A;&#x632;&#x627;&#x644; &#x627;&#x644;&#x62A;&#x62D;&#x645;&#x64A;&#x644; &#x642;&#x64A;&#x62F; &#x627;&#x644;&#x62A;&#x642;&#x62F;&#x645;","ba-audiorecorder-controlbar.pause-recorder":"&#x645;&#x633;&#x62C;&#x644; &#x648;&#x642;&#x641;&#x629;","ba-audiorecorder-controlbar.resume-recorder":"&#x645;&#x633;&#x62C;&#x644; &#x627;&#x644;&#x633;&#x64A;&#x631;&#x629; &#x627;&#x644;&#x630;&#x627;&#x62A;&#x64A;&#x629;"},"language:az":{"ba-videoplayer-playbutton.tooltip":"Videoya baxmaq &#xFC;&#xE7;&#xFC;n bas&#x131;n.","ba-videoplayer-playbutton.rerecord":"Yenid&#x259;n yazmaq","ba-videoplayer-playbutton.submit-video":"Videonu t&#x259;sdiq et","ba-videoplayer-loader.tooltip":"Video y&#xFC;kl&#x259;nir ...","ba-videoplayer-controlbar.change-resolution":"G&#xF6;r&#xFC;nt&#xFC;n&#xFC;n keyfiyy&#x259;tini d&#x259;yi&#x15F;","ba-videoplayer-controlbar.video-progress":"Videonun davamiyy&#x259;ti","ba-videoplayer-controlbar.rerecord-video":"Video yenid&#x259;n yaz&#x131;ls&#x131;n?","ba-videoplayer-controlbar.submit-video":"Videonu t&#x259;sdiq et","ba-videoplayer-controlbar.play-video":"Videonu g&#xF6;st&#x259;r","ba-videoplayer-controlbar.pause-video":"Videonu dayand&#x131;r","ba-videoplayer-controlbar.elapsed-time":"Ke&#xE7;&#x259;n vaxt","ba-videoplayer-controlbar.total-time":"Videonu tam uzunlu&#x11F;u","ba-videoplayer-controlbar.fullscreen-video":"Tam ekran edin","ba-videoplayer-controlbar.volume-button":"S&#x259;s d&#xFC;ym&#x259;si","ba-videoplayer-controlbar.volume-mute":"S&#x259;ssiz et","ba-videoplayer-controlbar.volume-unmute":"S&#x259;sli et","ba-videoplayer.video-error":"X&#x259;ta ba&#x15F; vermi&#x15F;dir. Xahi&#x15F; edirik bir az sonra yenid&#x259;n c&#x259;hd edin. Yenid&#x259;n yoxlamaq &#xFC;&#xE7;&#xFC;n bas&#x131;n.","ba-videorecorder-chooser.record-video":"Videonu yaz","ba-videorecorder-chooser.upload-video":"Videonu y&#xFC;kl&#x259;","ba-videorecorder-controlbar.settings":"Ayarlar","ba-videorecorder-controlbar.camerahealthy":"&#x130;&#x15F;&#x131;qland&#x131;rma yax&#x15F;&#x131;d&#x131;r","ba-videorecorder-controlbar.cameraunhealthy":"&#x130;&#x15F;&#x131;qland&#x131;rma optimal deyil","ba-videorecorder-controlbar.microphonehealthy":"S&#x259;s yax&#x15F;&#x131; e&#x15F;idilir","ba-videorecorder-controlbar.microphoneunhealthy":"Mikrofonun s&#x259;si e&#x15F;idilmir","ba-videorecorder-controlbar.record":"Yazmaq","ba-videorecorder-controlbar.record-tooltip":"Videonu yazmaq &#xFC;&#xE7;&#xFC;n bas&#x131;n","ba-videorecorder-controlbar.rerecord":"Videonu yenid&#x259;n yaz","ba-videorecorder-controlbar.rerecord-tooltip":"Yenid&#x259;n yazmaq &#xFC;&#xE7;&#xFC;n bas&#x131;n.","ba-videorecorder-controlbar.upload-covershot":"Y&#xFC;kl&#x259;","ba-videorecorder-controlbar.upload-covershot-tooltip":"&#xDC;zl&#xFC;k &#x15F;&#x259;kli y&#xFC;kl&#x259;m&#x259;k &#xFC;&#xE7;&#xFC;n bas&#x131;n","ba-videorecorder-controlbar.stop":"Dayand&#x131;rmaq","ba-videorecorder-controlbar.stop-tooltip":"Dayand&#x131;rmaq &#xFC;&#xE7;&#xFC;n bas&#x131;n.","ba-videorecorder-controlbar.skip":"N&#x259;z&#x259;r&#x259; alma","ba-videorecorder-controlbar.skip-tooltip":"N&#x259;z&#x259;r&#x259; almadan ke&#xE7;m&#x259;k &#xFC;&#xE7;&#xFC;n bas&#x131;n.","ba-videorecorder.recorder-error":"X&#x259;ta ba&#x15F; verdi. Xahi&#x15F; edirik bir az sonra yenid&#x259;n c&#x259;hd edin. Yenid&#x259;n yoxlamaq &#xFC;&#xE7;&#xFC;n bas&#x131;n.","ba-videorecorder.attach-error":"Kamera g&#xF6;r&#xFC;nt&#xFC;s&#xFC;n&#xFC; &#x259;ld&#x259; etm&#x259;k m&#xFC;mk&#xFC;n olmad&#x131;. Sizin istifad&#x259; etdiyiniz cihazdan v&#x259; brauzerd&#x259;n as&#x131;l&#x131; olaraq siz ya Flash proqram&#x131; y&#xFC;kl&#x259;nm&#x259;li v&#x259; ya veb s&#x259;hif&#x259;y&#x259; SSL il&#x259; daxil olmal&#x131;s&#x131;z.","ba-videorecorder.access-forbidden":"Kamera g&#xF6;r&#xFC;nt&#xFC;s&#xFC;n&#x259; icaz&#x259; verilm&#x259;di. Yenid&#x259;n yoxlamaq &#xFC;&#xE7;&#xFC;n bas&#x131;n.","ba-videorecorder.pick-covershot":"&#xDC;zl&#xFC;k &#x15F;&#x259;klini se&#xE7;in.","ba-videorecorder.uploading":"Y&#xFC;kl&#x259;nir","ba-videorecorder.uploading-failed":"Y&#xFC;kl&#x259;nm&#x259; zaman&#x131; x&#x259;ta ba&#x15F; verdi, t&#x259;krar etm&#x259;k &#xFC;&#xE7;&#xFC;n buraya bas&#x131;n.","ba-videorecorder.verifying":"Yoxlama","ba-videorecorder.verifying-failed":"Yoxlama u&#x11F;ursuzluqla bitdi - t&#x259;krar &#xFC;&#xE7;&#xFC;n buraya bas&#x131;n.","ba-videorecorder.rerecord-confirm":"Siz, h&#x259;qiq&#x259;t&#x259;n, videonu yenid&#x259;n yazmaq ist&#x259;yirsiniz?","ba-videorecorder.video_file_too_large":"Sizin video fayl&#x131;n h&#x259;cmi (%s) &#xE7;ox b&#xF6;y&#xFC;kd&#xFC;r - ki&#xE7;ik h&#x259;cmli video fayl il&#x259; yenid&#x259;n c&#x259;hd &#xFC;&#xE7;&#xFC;n buraya bas&#x131;n.","ba-videorecorder.unsupported_video_type":"Y&#xFC;kl&#x259;yin: %s - yenid&#x259;n yoxlamaq &#xFC;&#xE7;&#xFC;n buraya bas&#x131;n.","ba-videoplayer-controlbar.exit-fullscreen-video":"Tam ekran rejimind&#x259;n &#xE7;&#x131;x&#x131;&#x15F;","ba-videoplayer-share.share":"Videonu payla&#x15F;","ba-videorecorder-chooser.record-screen":"S&#x259;s ekran&#x131;","ba-videoplayer-controlbar.pause-video-disabled":"Pauza d&#x259;st&#x259;kl&#x259;nmir","ba-videorecorder-chooser.record-audio":"Record Audio","ba-videorecorder-controlbar.stop-available-after":"Minimum qeydiyyatdan ke&#xE7;m&#x259; m&#xFC;dd&#x259;ti %d saniy&#x259;dir","ba-videorecorder-controlbar.cancel":"L&#x259;&#x11F;v et","ba-videorecorder-controlbar.cancel-tooltip":"L&#x259;&#x11F;v etm&#x259;k &#xFC;&#xE7;&#xFC;n buraya bas&#x131;n.","ba-videorecorder.cancel-confirm":"Video y&#xFC;kl&#x259;m&#x259;yini h&#x259;qiq&#x259;t&#x259;n l&#x259;&#x11F;v etm&#x259;k ist&#x259;yirsiniz?","ba-videoplayer-adslot.elapsed-time":"Ke&#xE7;&#x259;n vaxt","ba-videoplayer-adslot.volume-button":"H&#x259;cmi se&#xE7;in","ba-videoplayer-adslot.volume-mute":"S&#x259;s s&#x259;si","ba-videoplayer-adslot.volume-unmute":"S&#x259;sin s&#x259;sl&#x259;ndirilm&#x259;si","ba-videoplayer-adslot.ad-will-end-after":"Reklam %s sonra sona &#xE7;atacaq","ba-videoplayer-adslot.can-skip-after":"%d sonra atlay&#x131;n","ba-videoplayer-adslot.skip-ad":"Reklam&#x131; atlay&#x131;n","ba-videorecorder.software-required":"Davam etm&#x259;k &#xFC;&#xE7;&#xFC;n a&#x15F;a&#x11F;&#x131;dak&#x131; t&#x259;l&#x259;bl&#x259;ri qurmaq / aktivl&#x259;&#x15F;dirm&#x259;k &#xFC;&#xE7;&#xFC;n a&#x15F;a&#x11F;&#x131;ya bas&#x131;n.","ba-videorecorder.software-waiting":"Qurulacaq / aktivl&#x259;&#x15F;diril&#x259;c&#x259;k t&#x259;l&#x259;bl&#x259;ri g&#xF6;zl&#x259;yir&#x259;m. Tamamland&#x131;qdan sonra s&#x259;hif&#x259;ni yenil&#x259;m&#x259;k laz&#x131;md&#x131;r.","ba-videoplayer-controlbar.close-tracks":"CC&#x27;yi ba&#x11F;lay&#x131;n","ba-videoplayer-controlbar.show-tracks":"CC g&#xF6;st&#x259;r","ba-videoplayer-tracks.upload-text-tracks":"Track m&#x259;tn fayllar&#x131;n&#x131; y&#xFC;kl&#x259;yin","ba-videoplayer-tracks.select-text-track-language":"Altyaz&#x131; dili","ba-videoplayer-tracks.info-select-locale-first":"&#x18F;vv&#x259;lc&#x259;d&#x259;n yerli se&#xE7;in","ba-videoplayer-tracks.select-text-track-file":"Fayl se&#xE7;m&#x259;k &#xFC;&#xE7;&#xFC;n bas&#x131;n","ba-videoplayer-tracks.back":"geri","ba-videorecorder.framerate-warning":"Video &#xE7;&#x259;r&#xE7;iv&#x259;si d&#x259;r&#x259;c&#x259;si &#xE7;ox a&#x15F;a&#x11F;&#x131;d&#x131;r. B&#xFC;t&#xFC;n dig&#x259;r proqramlar&#x131; v&#x259; brauzer ni&#x15F;anlar&#x131;n&#x131; ba&#x11F;lamaq v&#x259; ya daha s&#xFC;r&#x259;tli bir komp&#xFC;ter istifad&#x259; etm&#x259;k &#xFC;&#xE7;&#xFC;n g&#x259;lir.","ba-videorecorder.upload-error-duration":"Y&#xFC;kl&#x259;nmi&#x15F; videonun uzunlu&#x11F;u t&#x259;l&#x259;bl&#x259;r&#x259; cavab vermir - yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n buraya vurun.","ba-videorecorder.resolution-constraint-error":"Se&#xE7;diyiniz fayl laz&#x131;mi q&#x259;tnam&#x259;y&#x259; uy&#x11F;un deyil - yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n buraya vurun.","ba-videorecorder.orientation-portrait-required":"Portret rejimind&#x259; qeyd etm&#x259;k &#xFC;&#xE7;&#xFC;n cihaz&#x131;n&#x131;z&#x131; d&#xF6;nd&#x259;rin.","ba-videorecorder.orientation-landscape-required":"Land&#x15F;aft rejimind&#x259; qeyd etm&#x259;k &#xFC;&#xE7;&#xFC;n cihaz&#x131;n&#x131;z&#x131; d&#xF6;nd&#x259;rin.","ba-imageviewer-controlbar.rerecord-image":"Redo?","ba-imageviewer-controlbar.submit-image":"T&#x259;sdiq edin","ba-imageviewer-controlbar.fullscreen-image":"Tam ekrana daxil olun","ba-imageviewer-controlbar.exit-fullscreen-image":"Tam ekrandan &#xE7;&#x131;x&#x131;n","ba-imageviewer.image-error":"X&#x259;ta ba&#x15F; verdi. Xahi&#x15F; edirik bir az sonra yenid&#x259;n c&#x259;hd edin. Yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n bas&#x131;n.","ba-imagecapture-chooser.image-capture":"&#x15E;&#x259;kil &#xE7;&#x259;kin","ba-imagecapture-chooser.upload-image":"&#x15E;&#x259;kil y&#xFC;kl&#x259;yin","ba-imagecapture-controlbar.settings":"Ayarlar","ba-imagecapture-controlbar.camerahealthy":"&#x130;&#x15F;&#x131;qland&#x131;rma yax&#x15F;&#x131;d&#x131;r","ba-imagecapture-controlbar.cameraunhealthy":"&#x130;&#x15F;&#x131;qland&#x131;rma optimal deyil","ba-imagecapture-controlbar.record":"Capture","ba-imagecapture-controlbar.record-tooltip":"Tutmaq &#xFC;&#xE7;&#xFC;n bura vurun.","ba-imagecapture-controlbar.rerecord":"Redo","ba-imagecapture-controlbar.rerecord-tooltip":"Yenid&#x259;n yerin&#x259; yetirm&#x259;k &#xFC;&#xE7;&#xFC;n buraya bas&#x131;n.","ba-imagecapture-controlbar.cancel":"L&#x259;&#x11F;v et","ba-imagecapture-controlbar.cancel-tooltip":"L&#x259;&#x11F;v etm&#x259;k &#xFC;&#xE7;&#xFC;n buraya bas&#x131;n.","ba-audioplayer-controlbar.audio-progress":"T&#x259;r&#x259;qqi","ba-audioplayer-controlbar.rerecord-audio":"Redo?","ba-audioplayer-controlbar.submit-audio":"T&#x259;sdiq edin","ba-audioplayer-controlbar.play-audio":"Oynamaq","ba-audioplayer-controlbar.pause-audio":"Pauza","ba-audioplayer-controlbar.pause-audio-disabled":"Pauza d&#x259;st&#x259;kl&#x259;nmir","ba-audioplayer-controlbar.elapsed-time":"Ke&#xE7;&#x259;n vaxt","ba-audioplayer-controlbar.total-time":"&#xDC;mumi uzunlu&#x11F;u","ba-audioplayer-controlbar.volume-button":"H&#x259;cmi se&#xE7;in","ba-audioplayer-controlbar.volume-mute":"S&#x259;s s&#x259;si","ba-audioplayer-controlbar.volume-unmute":"S&#x259;sin s&#x259;sl&#x259;ndirilm&#x259;si","ba-audioplayer-loader.tooltip":"Y&#xFC;kl&#x259;nir ...","ba-audioplayer.audio-error":"X&#x259;ta ba&#x15F; verdi. Xahi&#x15F; edirik bir az sonra yenid&#x259;n c&#x259;hd edin. Yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n bas&#x131;n.","ba-audiorecorder-chooser.record-audio":"Record Audio","ba-audiorecorder-chooser.upload-audio":"Audio y&#xFC;kl&#x259;","ba-audiorecorder-controlbar.settings":"Ayarlar","ba-audiorecorder-controlbar.microphonehealthy":"S&#x259;s yax&#x15F;&#x131;d&#x131;r","ba-audiorecorder-controlbar.microphoneunhealthy":"He&#xE7; bir s&#x259;s ala bilmir","ba-audiorecorder-controlbar.record":"Record","ba-audiorecorder-controlbar.record-tooltip":"Qeyd etm&#x259;k &#xFC;&#xE7;&#xFC;n buraya vurun.","ba-audiorecorder-controlbar.rerecord":"Redo","ba-audiorecorder-controlbar.rerecord-tooltip":"Yenid&#x259;n yerin&#x259; yetirm&#x259;k &#xFC;&#xE7;&#xFC;n buraya bas&#x131;n.","ba-audiorecorder-controlbar.stop":"Dur","ba-audiorecorder-controlbar.stop-tooltip":"Durmaq &#xFC;&#xE7;&#xFC;n bura vurun.","ba-audiorecorder-controlbar.stop-available-after":"Minimum qeydiyyatdan ke&#xE7;m&#x259; m&#xFC;dd&#x259;ti %d saniy&#x259;dir","ba-audiorecorder-controlbar.cancel":"L&#x259;&#x11F;v et","ba-audiorecorder-controlbar.cancel-tooltip":"L&#x259;&#x11F;v etm&#x259;k &#xFC;&#xE7;&#xFC;n buraya bas&#x131;n.","ba-videoplayer-controlbar.player-speed":"Oyun&#xE7;u s&#xFC;r&#x259;ti","ba-videoplayer-controlbar.settings":"Ayarlar","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"Airplay simgesi.","ba-videoplayer.all-settings":"B&#xFC;t&#xFC;n parametrl&#x259;r","ba-videoplayer.player-speed":"Oyun&#xE7;u s&#xFC;r&#x259;ti","ba-videoplayer.full-screen":"Tam ekran","ba-videorecorder-controlbar.add-stream":"Stream et","ba-videorecorder.switch-camera":"Kameran&#x131; d&#x259;yi&#x15F;in","ba-videorecorder.prepare-covershot":"&#x15E;i&#x15F;irtm&#x259;l&#x259;rin haz&#x131;rlanmas&#x131;","ba-videorecorder.prepare-thumbnails":"Ki&#xE7;ik axtarma&#x11F;a haz&#x131;rla&#x15F;maq","ba-videorecorder.adding-new-stream":"Yeni ax&#x131;n &#x259;lav&#x259; et","ba-imagecapture.recorder-error":"X&#x259;ta ba&#x15F; verdi. Xahi&#x15F; edirik bir az sonra yenid&#x259;n c&#x259;hd edin. Yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n bas&#x131;n.","ba-imagecapture.attach-error":"Media medias&#x131;na daxil ola bilm&#x259;di. Qur&#x11F;u v&#x259; brauzerd&#x259;n as&#x131;l&#x131; olaraq, Flash-u y&#xFC;kl&#x259;m&#x259;k v&#x259; ya SSL vasit&#x259;sil&#x259; s&#x259;hif&#x259;y&#x259; daxil olman&#x131;z t&#x259;l&#x259;b oluna bil&#x259;r.","ba-imagecapture.software-required":"Davam etm&#x259;k &#xFC;&#xE7;&#xFC;n a&#x15F;a&#x11F;&#x131;dak&#x131; t&#x259;l&#x259;bl&#x259;ri qurmaq / aktivl&#x259;&#x15F;dirm&#x259;k &#xFC;&#xE7;&#xFC;n a&#x15F;a&#x11F;&#x131;ya bas&#x131;n.","ba-imagecapture.software-waiting":"Qurulacaq / aktivl&#x259;&#x15F;diril&#x259;c&#x259;k t&#x259;l&#x259;bl&#x259;ri g&#xF6;zl&#x259;yir&#x259;m. Tamamland&#x131;qdan sonra s&#x259;hif&#x259;ni yenil&#x259;m&#x259;k laz&#x131;md&#x131;r.","ba-imagecapture.access-forbidden":"K&#x130;V-&#x259; giri&#x15F; qada&#x11F;and&#x131;r. Yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n bas&#x131;n.","ba-imagecapture.uploading":"Y&#xFC;kl&#x259;nm&#x259;","ba-imagecapture.uploading-failed":"Y&#xFC;kl&#x259;nm&#x259; ba&#x15F;ar&#x131;s&#x131;z oldu - yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n bura vurun.","ba-imagecapture.upload-error-duration":"Y&#xFC;kl&#x259;n&#x259;n g&#xF6;r&#xFC;nt&#xFC;n&#xFC;n uzunlu&#x11F;u t&#x259;l&#x259;bl&#x259;ri &#xF6;d&#x259;mir - yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n buraya vurun.","ba-imagecapture.resolution-constraint-error":"Se&#xE7;diyiniz fayl, laz&#x131;mi q&#x259;tnam&#x259; il&#x259; uy&#x11F;un g&#x259;lmir - yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n bura vurun.","ba-imagecapture.verifying":"T&#x259;sdiql&#x259;m&#x259;","ba-imagecapture.verifying-failed":"Do&#x11F;ru yoxlan&#x131;ld&#x131; - yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n buraya vurun.","ba-imagecapture.rerecord-confirm":"H&#x259;qiq&#x259;t&#x259;n resminizi b&#x259;rpa etm&#x259;k ist&#x259;yirsiniz?","ba-imagecapture.image_file_too_large":"Resim fayl&#x131;n&#x131;z &#xE7;ox b&#xF6;y&#xFC;kd&#xFC;r (%s) - daha ki&#xE7;ik bir g&#xF6;r&#xFC;nt&#xFC; fayl&#x131; il&#x259; yenid&#x259;n s&#x131;nanmaq &#xFC;&#xE7;&#xFC;n buraya vurun.","ba-imagecapture.unsupported_image_type":"Xahi&#x15F; edirik y&#xFC;kl&#x259;yin: %s - yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n buraya vurun.","ba-imagecapture.orientation-portrait-required":"Portret rejimind&#x259; qeyd etm&#x259;k &#xFC;&#xE7;&#xFC;n cihaz&#x131;n&#x131;z&#x131; d&#xF6;nd&#x259;rin.","ba-imagecapture.orientation-landscape-required":"Land&#x15F;aft rejimind&#x259; qeyd etm&#x259;k &#xFC;&#xE7;&#xFC;n cihaz&#x131;n&#x131;z&#x131; d&#xF6;nd&#x259;rin.","ba-audiorecorder.recorder-error":"X&#x259;ta ba&#x15F; verdi. Xahi&#x15F; edirik bir az sonra yenid&#x259;n c&#x259;hd edin. Yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n bas&#x131;n.","ba-audiorecorder.attach-error":"Media medias&#x131;na daxil ola bilm&#x259;di. Qur&#x11F;u v&#x259; brauzerd&#x259;n as&#x131;l&#x131; olaraq, Flash-u y&#xFC;kl&#x259;m&#x259;k v&#x259; ya SSL vasit&#x259;sil&#x259; s&#x259;hif&#x259;y&#x259; daxil olman&#x131;z t&#x259;l&#x259;b oluna bil&#x259;r.","ba-audiorecorder.software-required":"Davam etm&#x259;k &#xFC;&#xE7;&#xFC;n a&#x15F;a&#x11F;&#x131;dak&#x131; t&#x259;l&#x259;bl&#x259;ri qurmaq / aktivl&#x259;&#x15F;dirm&#x259;k &#xFC;&#xE7;&#xFC;n a&#x15F;a&#x11F;&#x131;ya bas&#x131;n.","ba-audiorecorder.software-waiting":"Qurulacaq / aktivl&#x259;&#x15F;diril&#x259;c&#x259;k t&#x259;l&#x259;bl&#x259;ri g&#xF6;zl&#x259;yir&#x259;m. Tamamland&#x131;qdan sonra s&#x259;hif&#x259;ni yenil&#x259;m&#x259;k laz&#x131;md&#x131;r.","ba-audiorecorder.access-forbidden":"K&#x130;V-&#x259; giri&#x15F; qada&#x11F;and&#x131;r. Yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n bas&#x131;n.","ba-audiorecorder.uploading":"Y&#xFC;kl&#x259;nm&#x259;","ba-audiorecorder.uploading-failed":"Y&#xFC;kl&#x259;nm&#x259; ba&#x15F;ar&#x131;s&#x131;z oldu - yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n bura vurun.","ba-audiorecorder.upload-error-duration":"Y&#xFC;kl&#x259;n&#x259;n audio uzunlu&#x11F;u t&#x259;l&#x259;bl&#x259;r&#x259; cavab vermir - yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n buraya vurun.","ba-audiorecorder.verifying":"T&#x259;sdiql&#x259;m&#x259;","ba-audiorecorder.verifying-failed":"Do&#x11F;ru yoxlan&#x131;ld&#x131; - yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n buraya vurun.","ba-audiorecorder.rerecord-confirm":"H&#x259;qiq&#x259;t&#x259;n s&#x259;sinizi t&#x259;krarlamaq ist&#x259;yirsiniz?","ba-audiorecorder.cancel-confirm":"H&#x259;qiq&#x259;t&#x259;n, audio y&#xFC;kl&#x259;m&#x259;ni l&#x259;&#x11F;v etm&#x259;k ist&#x259;yirsiniz?","ba-audiorecorder.audio_file_too_large":"Sizin audio fayl&#x131;n&#x131;z &#xE7;ox b&#xF6;y&#xFC;kd&#xFC;r (%s) - daha ki&#xE7;ik bir audio fayl&#x131; il&#x259; yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n buraya vurun.","ba-audiorecorder.unsupported_audio_type":"Xahi&#x15F; edirik y&#xFC;kl&#x259;yin: %s - yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n buraya vurun.","ba-common-settingsmenu.tooltip":"Oynamaq &#xFC;&#xE7;&#xFC;n vurun.","ba-common-settingsmenu.setting-menu":"B&#xFC;t&#xFC;n parametrl&#x259;r","ba-common-settingsmenu.source-quality":"M&#x259;nb&#x259; keyfiyy&#x259;ti","ba-common-settingsmenu.player-speed":"Oyun&#xE7;u s&#xFC;r&#x259;ti","ba-common-settingsmenu.set-menu-option":"Se&#xE7;imi se&#xE7;in","ba-common-settingsmenu.submit-video":"Videonu t&#x259;sdiq edin","ba-common-settingsmenu.picture-in-picture":"&#x15E;&#x259;kild&#x259; &#x15F;&#x259;kil","ba-common-settingsmenu.exit-fullscreen-video":"Tam ekrandan &#xE7;&#x131;x&#x131;n","ba-common-settingsmenu.fullscreen-video":"Tam ekrana daxil olun","ba-videorecorder-chooser.multi-stream":"&#xC7;ox ax&#x131;n","ba-videorecorder-controlbar.pause-recorder":"Yaz&#x131;c&#x131;y&#x131; dayand&#x131;r&#x131;n","ba-videorecorder-controlbar.resume-recorder":"Yaz&#x131;c&#x131;ya davam edin","ba-videorecorder.missing-track":"T&#x259;l&#x259;b olunan s&#x259;s v&#x259; ya video par&#xE7;as&#x131; yoxdur","ba-videorecorder.device-already-in-use":"Giri&#x15F; cihazlar&#x131;n&#x131;zdan &#x259;n az&#x131; biri art&#x131;q istifad&#x259;d&#x259;dir","ba-videorecorder.browser-permission-denied":"Brauzer t&#x259;r&#x259;find&#x259;n icaz&#x259; r&#x259;dd edildi, z&#x259;hm&#x259;t olmasa giri&#x15F; verin v&#x259; s&#x259;hif&#x259;ni yenid&#x259;n y&#xFC;kl&#x259;yin","ba-audioplayer.all-settings":"B&#xFC;t&#xFC;n parametrl&#x259;r","ba-videoplayer-controlbar.remaining-time":"Qalan vaxt","ba-videoplayer-controlbar.select-frame":"Se&#xE7;in","ba-videoplayer-controlbar.trim-video":"K&#x259;sin","ba-videoplayer-playbutton.trim":"K&#x259;sin","ba-videoplayer-playbutton.skip":"Ke&#xE7;","ba-videorecorder-imagegallery.upload-covershot":"Qapa&#x11F;&#x131; y&#xFC;kl&#x259;yin","ba-videorecorder.pick-covershot-frame":"&#xD6;rt&#xFC;k &#x15F;&#x259;klind&#x259; istifad&#x259; etm&#x259;k &#xFC;&#xE7;&#xFC;n bir &#xE7;&#x259;r&#xE7;iv&#x259; se&#xE7;in.","ba-videorecorder.screen-recorder-is-not-supported":"Ekran qeyd cihaz&#x131; bu cihazda d&#x259;st&#x259;kl&#x259;nmir","ba-videorecorder.trim-prompt":"Videonuzu k&#x259;sm&#x259;k ist&#x259;yirsiniz?","ba-videorecorder.trim-video":"Videonuzu d&#xFC;z&#x259;ltm&#x259;k &#xFC;&#xE7;&#xFC;n ba&#x15F;lan&#x11F;&#x131;c v&#x259; bitm&#x259; i&#x15F;ar&#x259;l&#x259;rini h&#x259;r&#x259;k&#x259;t etdirin","ba-videorecorder.wait-for-trim":"K&#x259;sm&#x259; &#x259;mri g&#xF6;zl&#x259;nilir ...","ba-videorecorder-controlbar.no-video-source":"&#x18F;lav&#x259; video giri&#x15F; m&#x259;nb&#x259;yi yoxdur","ba-videorecorder-controlbar.stream-already-selected":"&#x18F;lav&#x259; ax&#x131;n art&#x131;q se&#xE7;ilib","ba-videorecorder.uploading-src-error":"Videonu indi oxutmaq m&#xFC;mk&#xFC;n deyil, y&#xFC;kl&#x259;m&#x259; h&#x259;l&#x259; d&#x259; davam edir","ba-audiorecorder-controlbar.pause-recorder":"Yaz&#x131;c&#x131;y&#x131; durdurun","ba-audiorecorder-controlbar.resume-recorder":"Recume Recume"},"language:bg":{"ba-videoplayer-playbutton.tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435;, &#x437;&#x430; &#x434;&#x430; &#x438;&#x433;&#x440;&#x430;&#x44F;&#x442; &#x43D;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E;.","ba-videoplayer-playbutton.rerecord":"&#x440;&#x435;&#x43C;&#x43E;&#x43D;&#x442;&#x438;&#x440;&#x430;&#x43C;","ba-videoplayer-playbutton.submit-video":"&#x41F;&#x43E;&#x442;&#x432;&#x44A;&#x440;&#x436;&#x434;&#x430;&#x432;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videoplayer-loader.tooltip":"&#x417;&#x430;&#x440;&#x435;&#x436;&#x434;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E; ...","ba-videoplayer-controlbar.change-resolution":"&#x41F;&#x440;&#x43E;&#x43C;&#x44F;&#x43D;&#x430; &#x43D;&#x430; &#x440;&#x430;&#x437;&#x434;&#x435;&#x43B;&#x438;&#x442;&#x435;&#x43B;&#x43D;&#x430;&#x442;&#x430; &#x441;&#x43F;&#x43E;&#x441;&#x43E;&#x431;&#x43D;&#x43E;&#x441;&#x442;","ba-videoplayer-controlbar.video-progress":"&#x43F;&#x440;&#x43E;&#x433;&#x440;&#x435;&#x441; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videoplayer-controlbar.rerecord-video":"&#x412;&#x44A;&#x437;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x44F;&#x432;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E;?","ba-videoplayer-controlbar.submit-video":"&#x41F;&#x43E;&#x442;&#x432;&#x44A;&#x440;&#x436;&#x434;&#x430;&#x432;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videoplayer-controlbar.play-video":"&#x432;&#x44A;&#x437;&#x43F;&#x440;&#x43E;&#x438;&#x437;&#x432;&#x435;&#x436;&#x434;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videoplayer-controlbar.pause-video":"Pause &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videoplayer-controlbar.elapsed-time":"&#x418;&#x437;&#x43C;&#x438;&#x43D;&#x430;&#x43B;&#x43E;&#x442;&#x43E; &#x432;&#x440;&#x435;&#x43C;&#x435;","ba-videoplayer-controlbar.total-time":"&#x41E;&#x431;&#x449;&#x430; &#x434;&#x44A;&#x43B;&#x436;&#x438;&#x43D;&#x430; &#x43D;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videoplayer-controlbar.fullscreen-video":"&#x412;&#x44A;&#x432;&#x435;&#x434;&#x435;&#x442;&#x435; &#x446;&#x44F;&#x43B; &#x435;&#x43A;&#x440;&#x430;&#x43D;","ba-videoplayer-controlbar.volume-button":"Set &#x43E;&#x431;&#x435;&#x43C;","ba-videoplayer-controlbar.volume-mute":"Mute &#x437;&#x432;&#x443;&#x43A;","ba-videoplayer-controlbar.volume-unmute":"&#x438;&#x437;&#x43A;&#x43B;&#x44E;&#x447;&#x432;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x437;&#x432;&#x443;&#x43A;&#x430;","ba-videoplayer.video-error":"&#x412;&#x44A;&#x437;&#x43D;&#x438;&#x43A;&#x43D;&#x430; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x430;. &#x41C;&#x43E;&#x43B;&#x44F;, &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x439;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E; &#x43F;&#x43E;-&#x43A;&#x44A;&#x441;&#x43D;&#x43E;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-videorecorder-chooser.record-video":"&#x417;&#x430;&#x43F;&#x438;&#x448;&#x435;&#x442;&#x435; &#x432;&#x430;&#x448;&#x438;&#x442;&#x435; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videorecorder-chooser.upload-video":"&#x41A;&#x430;&#x447;&#x438; &#x412;&#x438;&#x434;&#x435;&#x43E;","ba-videorecorder-controlbar.settings":"&#x41D;&#x430;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x43A;&#x438;","ba-videorecorder-controlbar.camerahealthy":"&#x41E;&#x441;&#x432;&#x435;&#x442;&#x43B;&#x435;&#x43D;&#x438;&#x435;&#x442;&#x43E; &#x435; &#x434;&#x43E;&#x431;&#x440;&#x43E;","ba-videorecorder-controlbar.cameraunhealthy":"&#x41E;&#x441;&#x432;&#x435;&#x442;&#x43B;&#x435;&#x43D;&#x438;&#x435; &#x43D;&#x435; &#x435; &#x43E;&#x43F;&#x442;&#x438;&#x43C;&#x430;&#x43B;&#x43D;&#x43E;","ba-videorecorder-controlbar.microphonehealthy":"&#x417;&#x432;&#x443;&#x43A;&#x44A;&#x442; &#x435; &#x434;&#x43E;&#x431;&#x44A;&#x440;","ba-videorecorder-controlbar.microphoneunhealthy":"&#x41D;&#x435; &#x43C;&#x43E;&#x436;&#x435; &#x434;&#x430; &#x432;&#x437;&#x435;&#x43C;&#x435;&#x442;&#x435; &#x432;&#x441;&#x435;&#x43A;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-videorecorder-controlbar.record":"&#x440;&#x435;&#x43A;&#x43E;&#x440;&#x434;","ba-videorecorder-controlbar.record-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x437;&#x430;&#x43F;&#x438;&#x448;&#x435;&#x442;&#x435;.","ba-videorecorder-controlbar.rerecord":"&#x440;&#x435;&#x43C;&#x43E;&#x43D;&#x442;&#x438;&#x440;&#x430;&#x43C;","ba-videorecorder-controlbar.rerecord-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x440;&#x435;&#x43C;&#x43E;&#x43D;&#x442;&#x438;&#x440;&#x430;&#x43C;.","ba-videorecorder-controlbar.upload-covershot":"&#x41A;&#x430;&#x447;&#x438;","ba-videorecorder-controlbar.upload-covershot-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43A;&#x430;&#x447;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x442;&#x440;&#x435;&#x431;&#x438;&#x442;&#x435;&#x43B;&#x441;&#x43A;&#x438; &#x43F;&#x43E;&#x43A;&#x440;&#x438;&#x442;&#x438;&#x435; &#x443;&#x434;&#x430;&#x440;","ba-videorecorder-controlbar.stop":"&#x421;&#x43F;&#x440;&#x438; &#x441;&#x435;","ba-videorecorder-controlbar.stop-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x441;&#x43F;&#x440;&#x435;.","ba-videorecorder-controlbar.skip":"&#x43F;&#x43E;&#x434;&#x441;&#x43A;&#x430;&#x447;&#x430;&#x43C;","ba-videorecorder-controlbar.skip-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x43F;&#x443;&#x441;&#x43D;&#x435;&#x442;&#x435;.","ba-videorecorder.recorder-error":"&#x412;&#x44A;&#x437;&#x43D;&#x438;&#x43A;&#x43D;&#x430; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x430;. &#x41C;&#x43E;&#x43B;&#x44F;, &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x439;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E; &#x43F;&#x43E;-&#x43A;&#x44A;&#x441;&#x43D;&#x43E;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-videorecorder.attach-error":"&#x41D;&#x438;&#x435; &#x43D;&#x435; &#x43C;&#x43E;&#x436;&#x435; &#x434;&#x430; &#x43F;&#x43E;&#x43B;&#x443;&#x447;&#x438;&#x442;&#x435; &#x434;&#x43E;&#x441;&#x442;&#x44A;&#x43F; &#x434;&#x43E; &#x438;&#x43D;&#x442;&#x435;&#x440;&#x444;&#x435;&#x439;&#x441;&#x430; &#x43D;&#x430; &#x43A;&#x430;&#x43C;&#x435;&#x440;&#x430;&#x442;&#x430;. &#x412; &#x437;&#x430;&#x432;&#x438;&#x441;&#x438;&#x43C;&#x43E;&#x441;&#x442; &#x43E;&#x442; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432;&#x43E;&#x442;&#x43E; &#x438; &#x431;&#x440;&#x430;&#x443;&#x437;&#x44A;&#x440;&#x430;, &#x43C;&#x43E;&#x436;&#x435; &#x434;&#x430; &#x441;&#x435; &#x43D;&#x430;&#x43B;&#x43E;&#x436;&#x438; &#x434;&#x430; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x442;&#x435; Flash &#x438;&#x43B;&#x438; &#x434;&#x43E;&#x441;&#x442;&#x44A;&#x43F; &#x434;&#x43E; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x430;&#x442;&#x430; &#x447;&#x440;&#x435;&#x437; SSL.","ba-videorecorder.access-forbidden":"&#x414;&#x43E;&#x441;&#x442;&#x44A;&#x43F; &#x434;&#x43E; &#x43A;&#x430;&#x43C;&#x435;&#x440;&#x430;&#x442;&#x430; &#x435; &#x437;&#x430;&#x431;&#x440;&#x430;&#x43D;&#x435;&#x43D;&#x43E;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-videorecorder.pick-covershot":"&#x418;&#x437;&#x431;&#x435;&#x440;&#x435;&#x442;&#x435; covershot.","ba-videorecorder.uploading":"&#x41A;&#x430;&#x447;&#x432;&#x430;&#x43D;&#x435;","ba-videorecorder.uploading-failed":"&#x41A;&#x430;&#x447;&#x432;&#x430; &#x441;&#x435; &#x43F;&#x440;&#x43E;&#x432;&#x430;&#x43B;&#x438; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-videorecorder.verifying":"&#x41F;&#x440;&#x43E;&#x432;&#x435;&#x440;&#x43A;&#x430;","ba-videorecorder.verifying-failed":"&#x423;&#x434;&#x43E;&#x441;&#x442;&#x43E;&#x432;&#x435;&#x440;&#x44F;&#x432;&#x430;&#x43D;&#x435;&#x442;&#x43E; &#x441;&#x435; &#x43F;&#x440;&#x43E;&#x432;&#x430;&#x43B;&#x438; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-videorecorder.rerecord-confirm":"&#x41D;&#x430;&#x438;&#x441;&#x442;&#x438;&#x43D;&#x430; &#x43B;&#x438; &#x438;&#x441;&#x43A;&#x430;&#x442;&#x435; &#x434;&#x430; &#x440;&#x435;&#x43C;&#x43E;&#x43D;&#x442;&#x438;&#x440;&#x430;&#x43C; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x441;&#x438;?","ba-videorecorder.video_file_too_large":"&#x412;&#x430;&#x448;&#x438;&#x44F;&#x442; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x444;&#x430;&#x439;&#x43B; &#x435; &#x442;&#x432;&#x44A;&#x440;&#x434;&#x435; &#x433;&#x43E;&#x43B;&#x44F;&#x43C; (%s) - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E; &#x441; &#x43F;&#x43E;-&#x43C;&#x430;&#x43B;&#x44A;&#x43A; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x444;&#x430;&#x439;&#x43B;.","ba-videorecorder.unsupported_video_type":"&#x41C;&#x43E;&#x43B;&#x44F;, &#x43A;&#x430;&#x447;&#x435;&#x442;&#x435;: %s - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-videoplayer-controlbar.exit-fullscreen-video":"&#x418;&#x437;&#x43B;&#x438;&#x437;&#x430;&#x43D;&#x435; &#x43E;&#x442; &#x446;&#x44F;&#x43B; &#x200B;&#x200B;&#x435;&#x43A;&#x440;&#x430;&#x43D;","ba-videoplayer-share.share":"&#x421;&#x43F;&#x43E;&#x434;&#x435;&#x43B;&#x44F;&#x43D;&#x435; &#x43D;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E;&#x43A;&#x43B;&#x438;&#x43F;","ba-videorecorder-chooser.record-screen":"&#x415;&#x43A;&#x440;&#x430;&#x43D; &#x437;&#x430; &#x437;&#x430;&#x43F;&#x438;&#x441;","ba-videoplayer-controlbar.pause-video-disabled":"&#x41F;&#x430;&#x443;&#x437;&#x430;&#x442;&#x430; &#x43D;&#x435; &#x441;&#x435; &#x43F;&#x43E;&#x434;&#x434;&#x44A;&#x440;&#x436;&#x430;","ba-videorecorder-chooser.record-audio":"&#x417;&#x430;&#x43F;&#x438;&#x441;&#x432;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x430;&#x443;&#x434;&#x438;&#x43E;","ba-videorecorder-controlbar.stop-available-after":"&#x41C;&#x438;&#x43D;&#x438;&#x43C;&#x430;&#x43B;&#x43D;&#x43E;&#x442;&#x43E; &#x432;&#x440;&#x435;&#x43C;&#x435; &#x437;&#x430; &#x437;&#x430;&#x43F;&#x438;&#x441; &#x435; %d &#x441;&#x435;&#x43A;&#x443;&#x43D;&#x434;&#x438;","ba-videorecorder-controlbar.cancel":"&#x41E;&#x442;&#x43A;&#x430;&#x437;","ba-videorecorder-controlbar.cancel-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x442;&#x43C;&#x435;&#x43D;&#x438;&#x442;&#x435;.","ba-videorecorder.cancel-confirm":"&#x41D;&#x430;&#x438;&#x441;&#x442;&#x438;&#x43D;&#x430; &#x43B;&#x438; &#x438;&#x441;&#x43A;&#x430;&#x442;&#x435; &#x434;&#x430; &#x430;&#x43D;&#x443;&#x43B;&#x438;&#x440;&#x430;&#x442;&#x435; &#x43A;&#x430;&#x447;&#x432;&#x430;&#x43D;&#x435;&#x442;&#x43E; &#x43D;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E;&#x43A;&#x43B;&#x438;&#x43F;&#x430; &#x441;&#x438;?","ba-videoplayer-adslot.elapsed-time":"&#x418;&#x437;&#x43C;&#x438;&#x43D;&#x430;&#x43B;&#x43E;&#x442;&#x43E; &#x432;&#x440;&#x435;&#x43C;&#x435;","ba-videoplayer-adslot.volume-button":"&#x417;&#x430;&#x434;&#x430;&#x439;&#x442;&#x435; &#x441;&#x438;&#x43B;&#x430; &#x43D;&#x430; &#x437;&#x432;&#x443;&#x43A;&#x430;","ba-videoplayer-adslot.volume-mute":"&#x421;&#x43F;&#x438;&#x440;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x437;&#x432;&#x443;&#x43A;&#x430;","ba-videoplayer-adslot.volume-unmute":"&#x417;&#x430;&#x433;&#x43B;&#x443;&#x448;&#x430;&#x432;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x437;&#x432;&#x443;&#x43A;&#x430;","ba-videoplayer-adslot.ad-will-end-after":"&#x420;&#x435;&#x43A;&#x43B;&#x430;&#x43C;&#x430;&#x442;&#x430; &#x449;&#x435; &#x43F;&#x440;&#x438;&#x43A;&#x43B;&#x44E;&#x447;&#x438; &#x441;&#x43B;&#x435;&#x434; %s","ba-videoplayer-adslot.can-skip-after":"&#x41F;&#x440;&#x43E;&#x43F;&#x443;&#x441;&#x43D;&#x435;&#x442;&#x435; &#x441;&#x43B;&#x435;&#x434; %d","ba-videoplayer-adslot.skip-ad":"&#x41F;&#x440;&#x43E;&#x43F;&#x443;&#x441;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x431;&#x44F;&#x432;&#x430;","ba-videorecorder.software-required":"&#x41C;&#x43E;&#x43B;&#x44F;, &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43F;&#x43E;-&#x434;&#x43E;&#x43B;&#x443;, &#x437;&#x430; &#x434;&#x430; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x442;&#x435; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x430;&#x442;&#x435; &#x441;&#x43B;&#x435;&#x434;&#x43D;&#x438;&#x442;&#x435; &#x438;&#x437;&#x438;&#x441;&#x43A;&#x432;&#x430;&#x43D;&#x438;&#x44F;, &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x434;&#x44A;&#x43B;&#x436;&#x438;&#x442;&#x435;.","ba-videorecorder.software-waiting":"&#x418;&#x437;&#x447;&#x430;&#x43A;&#x432;&#x430;&#x43D;&#x435; &#x437;&#x430; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x43D;&#x435; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x438;&#x437;&#x438;&#x441;&#x43A;&#x432;&#x430;&#x43D;&#x438;&#x44F;&#x442;&#x430;. &#x41C;&#x43E;&#x436;&#x435; &#x434;&#x430; &#x441;&#x435; &#x43D;&#x430;&#x43B;&#x43E;&#x436;&#x438; &#x434;&#x430; &#x43E;&#x43F;&#x440;&#x435;&#x441;&#x43D;&#x438;&#x442;&#x435; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x430;&#x442;&#x430; &#x441;&#x43B;&#x435;&#x434; &#x437;&#x430;&#x432;&#x44A;&#x440;&#x448;&#x432;&#x430;&#x43D;&#x435;.","ba-videoplayer-controlbar.close-tracks":"&#x417;&#x430;&#x442;&#x432;&#x43E;&#x440;&#x435;&#x442;&#x435; CC","ba-videoplayer-controlbar.show-tracks":"&#x41F;&#x43E;&#x43A;&#x430;&#x436;&#x435;&#x442;&#x435; CC","ba-videoplayer-tracks.upload-text-tracks":"&#x41A;&#x430;&#x447;&#x432;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x442;&#x435;&#x43A;&#x441;&#x442;&#x43E;&#x432;&#x438; &#x444;&#x430;&#x439;&#x43B;&#x43E;&#x432;&#x435; &#x43D;&#x430; &#x442;&#x435;&#x43A;&#x441;&#x442;&#x43E;&#x432;&#x435;","ba-videoplayer-tracks.select-text-track-language":"&#x415;&#x437;&#x438;&#x43A; &#x43D;&#x430; &#x441;&#x443;&#x431;&#x442;&#x438;&#x442;&#x440;&#x438;&#x442;&#x435;","ba-videoplayer-tracks.info-select-locale-first":"&#x41F;&#x44A;&#x440;&#x432;&#x43E; &#x438;&#x437;&#x431;&#x435;&#x440;&#x435;&#x442;&#x435; &#x43B;&#x43E;&#x43A;&#x430;&#x43B;","ba-videoplayer-tracks.select-text-track-file":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435;, &#x437;&#x430; &#x434;&#x430; &#x438;&#x437;&#x431;&#x435;&#x440;&#x435;&#x442;&#x435; &#x444;&#x430;&#x439;&#x43B;","ba-videoplayer-tracks.back":"&#x43E;&#x431;&#x440;&#x430;&#x442;&#x43D;&#x43E;","ba-videorecorder.framerate-warning":"&#x421;&#x43A;&#x43E;&#x440;&#x43E;&#x441;&#x442;&#x442;&#x430; &#x43D;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E;&#x43A;&#x430;&#x43C;&#x435;&#x440;&#x430;&#x442;&#x430; &#x435; &#x43C;&#x43D;&#x43E;&#x433;&#x43E; &#x43D;&#x438;&#x441;&#x43A;&#x430;. &#x41F;&#x440;&#x435;&#x43F;&#x43E;&#x440;&#x44A;&#x447;&#x432;&#x430;&#x43C;&#x435; &#x434;&#x430; &#x437;&#x430;&#x442;&#x432;&#x43E;&#x440;&#x438;&#x442;&#x435; &#x432;&#x441;&#x438;&#x447;&#x43A;&#x438; &#x434;&#x440;&#x443;&#x433;&#x438; &#x43F;&#x440;&#x43E;&#x433;&#x440;&#x430;&#x43C;&#x438; &#x438; &#x440;&#x430;&#x437;&#x434;&#x435;&#x43B;&#x438; &#x432; &#x431;&#x440;&#x430;&#x443;&#x437;&#x44A;&#x440;&#x430; &#x438;&#x43B;&#x438; &#x434;&#x430; &#x438;&#x437;&#x43F;&#x43E;&#x43B;&#x437;&#x432;&#x430;&#x442;&#x435; &#x43F;&#x43E;-&#x431;&#x44A;&#x440;&#x437; &#x43A;&#x43E;&#x43C;&#x43F;&#x44E;&#x442;&#x44A;&#x440;.","ba-videorecorder.upload-error-duration":"&#x41F;&#x440;&#x43E;&#x434;&#x44A;&#x43B;&#x436;&#x438;&#x442;&#x435;&#x43B;&#x43D;&#x43E;&#x441;&#x442;&#x442;&#x430; &#x43D;&#x430; &#x43A;&#x430;&#x447;&#x435;&#x43D;&#x438;&#x44F; &#x432;&#x438;&#x434;&#x435;&#x43E;&#x43A;&#x43B;&#x438;&#x43F; &#x43D;&#x435; &#x43E;&#x442;&#x433;&#x43E;&#x432;&#x430;&#x440;&#x44F; &#x43D;&#x430; &#x438;&#x437;&#x438;&#x441;&#x43A;&#x432;&#x430;&#x43D;&#x438;&#x44F;&#x442;&#x430; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-videorecorder.resolution-constraint-error":"&#x418;&#x437;&#x431;&#x440;&#x430;&#x43D;&#x438;&#x44F;&#x442; &#x43E;&#x442; &#x432;&#x430;&#x441; &#x444;&#x430;&#x439;&#x43B; &#x43D;&#x435; &#x441;&#x44A;&#x43E;&#x442;&#x432;&#x435;&#x442;&#x441;&#x442;&#x432;&#x430; &#x43D;&#x430; &#x438;&#x437;&#x438;&#x441;&#x43A;&#x432;&#x430;&#x43D;&#x430;&#x442;&#x430; &#x440;&#x435;&#x437;&#x43E;&#x43B;&#x44E;&#x446;&#x438;&#x44F; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-videorecorder.orientation-portrait-required":"&#x41C;&#x43E;&#x43B;&#x44F;, &#x437;&#x430;&#x432;&#x44A;&#x440;&#x442;&#x435;&#x442;&#x435; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432;&#x43E;&#x442;&#x43E; &#x441;&#x438;, &#x437;&#x430; &#x434;&#x430; &#x433;&#x43E; &#x437;&#x430;&#x43F;&#x438;&#x448;&#x435;&#x442;&#x435; &#x432; &#x43F;&#x43E;&#x440;&#x442;&#x440;&#x435;&#x442;&#x435;&#x43D; &#x440;&#x435;&#x436;&#x438;&#x43C;.","ba-videorecorder.orientation-landscape-required":"&#x41C;&#x43E;&#x43B;&#x44F;, &#x437;&#x430;&#x432;&#x44A;&#x440;&#x442;&#x435;&#x442;&#x435; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432;&#x43E;&#x442;&#x43E; &#x441;&#x438;, &#x437;&#x430; &#x434;&#x430; &#x433;&#x43E; &#x437;&#x430;&#x43F;&#x438;&#x448;&#x435;&#x442;&#x435; &#x432; &#x440;&#x435;&#x436;&#x438;&#x43C; &#x43D;&#x430; &#x43F;&#x435;&#x439;&#x437;&#x430;&#x436;.","ba-imageviewer-controlbar.rerecord-image":"&#x412;&#x44A;&#x437;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x44F;&#x432;&#x430;&#x43D;&#x435;?","ba-imageviewer-controlbar.submit-image":"&#x43F;&#x43E;&#x442;&#x432;&#x44A;&#x440;&#x436;&#x434;&#x430;&#x432;&#x430;&#x43C;","ba-imageviewer-controlbar.fullscreen-image":"&#x412;&#x44A;&#x432;&#x435;&#x434;&#x435;&#x442;&#x435; &#x446;&#x435;&#x43B;&#x438;&#x44F; &#x435;&#x43A;&#x440;&#x430;&#x43D;","ba-imageviewer-controlbar.exit-fullscreen-image":"&#x418;&#x437;&#x43B;&#x438;&#x437;&#x430;&#x43D;&#x435; &#x43E;&#x442; &#x446;&#x44F;&#x43B; &#x200B;&#x200B;&#x435;&#x43A;&#x440;&#x430;&#x43D;","ba-imageviewer.image-error":"&#x412;&#x44A;&#x437;&#x43D;&#x438;&#x43A;&#x43D;&#x430; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x430;. &#x41C;&#x43E;&#x43B;&#x44F;, &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x439;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E; &#x43F;&#x43E;-&#x43A;&#x44A;&#x441;&#x43D;&#x43E;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-imagecapture-chooser.image-capture":"&#x417;&#x430;&#x441;&#x43D;&#x435;&#x43C;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x438;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x435;","ba-imagecapture-chooser.upload-image":"&#x41A;&#x430;&#x447;&#x438; &#x438;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x435;","ba-imagecapture-controlbar.settings":"&#x41D;&#x430;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x43A;&#x438;","ba-imagecapture-controlbar.camerahealthy":"&#x41E;&#x441;&#x432;&#x435;&#x442;&#x43B;&#x435;&#x43D;&#x438;&#x435;&#x442;&#x43E; &#x435; &#x434;&#x43E;&#x431;&#x440;&#x43E;","ba-imagecapture-controlbar.cameraunhealthy":"&#x41E;&#x441;&#x432;&#x435;&#x442;&#x43B;&#x435;&#x43D;&#x438;&#x435;&#x442;&#x43E; &#x43D;&#x435; &#x435; &#x43E;&#x43F;&#x442;&#x438;&#x43C;&#x430;&#x43B;&#x43D;&#x43E;","ba-imagecapture-controlbar.record":"&#x423;&#x43B;&#x430;&#x432;&#x44F;&#x43D;&#x435;","ba-imagecapture-controlbar.record-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x437;&#x430;&#x441;&#x43D;&#x435;&#x43C;&#x435;&#x442;&#x435;.","ba-imagecapture-controlbar.rerecord":"&#x440;&#x435;&#x43C;&#x43E;&#x43D;&#x442;&#x438;&#x440;&#x430;&#x43C;","ba-imagecapture-controlbar.rerecord-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x435;.","ba-imagecapture-controlbar.cancel":"&#x41E;&#x442;&#x43A;&#x430;&#x437;","ba-imagecapture-controlbar.cancel-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x442;&#x43C;&#x435;&#x43D;&#x438;&#x442;&#x435;.","ba-audioplayer-controlbar.audio-progress":"&#x43F;&#x440;&#x43E;&#x433;&#x440;&#x435;&#x441;","ba-audioplayer-controlbar.rerecord-audio":"&#x412;&#x44A;&#x437;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x44F;&#x432;&#x430;&#x43D;&#x435;?","ba-audioplayer-controlbar.submit-audio":"&#x43F;&#x43E;&#x442;&#x432;&#x44A;&#x440;&#x436;&#x434;&#x430;&#x432;&#x430;&#x43C;","ba-audioplayer-controlbar.play-audio":"&#x438;&#x433;&#x440;&#x430;&#x44F;","ba-audioplayer-controlbar.pause-audio":"&#x43F;&#x430;&#x443;&#x437;&#x430;","ba-audioplayer-controlbar.pause-audio-disabled":"&#x41F;&#x430;&#x443;&#x437;&#x430;&#x442;&#x430; &#x43D;&#x435; &#x441;&#x435; &#x43F;&#x43E;&#x434;&#x434;&#x44A;&#x440;&#x436;&#x430;","ba-audioplayer-controlbar.elapsed-time":"&#x418;&#x437;&#x43C;&#x438;&#x43D;&#x430;&#x43B;&#x43E;&#x442;&#x43E; &#x432;&#x440;&#x435;&#x43C;&#x435;","ba-audioplayer-controlbar.total-time":"&#x41E;&#x431;&#x449;&#x430; &#x434;&#x44A;&#x43B;&#x436;&#x438;&#x43D;&#x430;","ba-audioplayer-controlbar.volume-button":"&#x417;&#x430;&#x434;&#x430;&#x439;&#x442;&#x435; &#x441;&#x438;&#x43B;&#x430; &#x43D;&#x430; &#x437;&#x432;&#x443;&#x43A;&#x430;","ba-audioplayer-controlbar.volume-mute":"&#x421;&#x43F;&#x438;&#x440;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x437;&#x432;&#x443;&#x43A;&#x430;","ba-audioplayer-controlbar.volume-unmute":"&#x417;&#x430;&#x433;&#x43B;&#x443;&#x448;&#x430;&#x432;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x437;&#x432;&#x443;&#x43A;&#x430;","ba-audioplayer-loader.tooltip":"&#x417;&#x430;&#x440;&#x435;&#x436;&#x434;&#x430;&#x43D;&#x435;...","ba-audioplayer.audio-error":"&#x412;&#x44A;&#x437;&#x43D;&#x438;&#x43A;&#x43D;&#x430; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x430;. &#x41C;&#x43E;&#x43B;&#x44F;, &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x439;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E; &#x43F;&#x43E;-&#x43A;&#x44A;&#x441;&#x43D;&#x43E;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-audiorecorder-chooser.record-audio":"&#x417;&#x430;&#x43F;&#x438;&#x441;&#x432;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x430;&#x443;&#x434;&#x438;&#x43E;","ba-audiorecorder-chooser.upload-audio":"&#x41A;&#x430;&#x447;&#x435;&#x442;&#x435; &#x430;&#x443;&#x434;&#x438;&#x43E;","ba-audiorecorder-controlbar.settings":"&#x41D;&#x430;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x43A;&#x438;","ba-audiorecorder-controlbar.microphonehealthy":"&#x417;&#x432;&#x443;&#x43A;&#x44A;&#x442; &#x435; &#x434;&#x43E;&#x431;&#x44A;&#x440;","ba-audiorecorder-controlbar.microphoneunhealthy":"&#x41D;&#x435; &#x43C;&#x43E;&#x436;&#x435; &#x434;&#x430; &#x441;&#x435; &#x447;&#x443;&#x435; &#x437;&#x432;&#x443;&#x43A;","ba-audiorecorder-controlbar.record":"&#x440;&#x435;&#x43A;&#x43E;&#x440;&#x434;","ba-audiorecorder-controlbar.record-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x437;&#x430;&#x43F;&#x438;&#x448;&#x435;&#x442;&#x435;.","ba-audiorecorder-controlbar.rerecord":"&#x440;&#x435;&#x43C;&#x43E;&#x43D;&#x442;&#x438;&#x440;&#x430;&#x43C;","ba-audiorecorder-controlbar.rerecord-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x435;.","ba-audiorecorder-controlbar.stop":"&#x421;&#x43F;&#x440;&#x438; &#x441;&#x435;","ba-audiorecorder-controlbar.stop-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x441;&#x43F;&#x440;&#x435;&#x442;&#x435;.","ba-audiorecorder-controlbar.stop-available-after":"&#x41C;&#x438;&#x43D;&#x438;&#x43C;&#x430;&#x43B;&#x43D;&#x43E;&#x442;&#x43E; &#x432;&#x440;&#x435;&#x43C;&#x435; &#x437;&#x430; &#x437;&#x430;&#x43F;&#x438;&#x441; &#x435; %d &#x441;&#x435;&#x43A;&#x443;&#x43D;&#x434;&#x438;","ba-audiorecorder-controlbar.cancel":"&#x41E;&#x442;&#x43A;&#x430;&#x437;","ba-audiorecorder-controlbar.cancel-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x442;&#x43C;&#x435;&#x43D;&#x438;&#x442;&#x435;.","ba-videoplayer-controlbar.player-speed":"&#x421;&#x43A;&#x43E;&#x440;&#x43E;&#x441;&#x442; &#x43D;&#x430; &#x438;&#x433;&#x440;&#x430;&#x447;&#x430;","ba-videoplayer-controlbar.settings":"&#x41D;&#x430;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x43A;&#x438;","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"&#x418;&#x43A;&#x43E;&#x43D;&#x430; &#x43D;&#x430; &#x435;&#x444;&#x438;&#x440;&#x430;.","ba-videoplayer.all-settings":"&#x412;&#x441;&#x438;&#x447;&#x43A;&#x438; &#x43D;&#x430;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x43A;&#x438;","ba-videoplayer.player-speed":"&#x421;&#x43A;&#x43E;&#x440;&#x43E;&#x441;&#x442; &#x43D;&#x430; &#x438;&#x433;&#x440;&#x430;&#x447;&#x430;","ba-videoplayer.full-screen":"&#x426;&#x44F;&#x43B; &#x435;&#x43A;&#x440;&#x430;&#x43D;","ba-videorecorder-controlbar.add-stream":"&#x414;&#x43E;&#x431;&#x430;&#x432;&#x435;&#x442;&#x435; &#x41F;&#x43E;&#x442;&#x43E;&#x43A;","ba-videorecorder.switch-camera":"&#x41F;&#x440;&#x435;&#x432;&#x43A;&#x43B;&#x44E;&#x447;&#x432;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x43A;&#x430;&#x43C;&#x435;&#x440;&#x430;&#x442;&#x430;","ba-videorecorder.prepare-covershot":"&#x41F;&#x43E;&#x434;&#x433;&#x43E;&#x442;&#x43E;&#x432;&#x43A;&#x430; &#x437;&#x430; &#x441;&#x43D;&#x438;&#x43C;&#x43A;&#x438;","ba-videorecorder.prepare-thumbnails":"&#x41F;&#x43E;&#x434;&#x433;&#x43E;&#x442;&#x43E;&#x432;&#x43A;&#x430; &#x437;&#x430; &#x442;&#x44A;&#x440;&#x441;&#x435;&#x43D;&#x435; &#x43D;&#x430; &#x43C;&#x438;&#x43D;&#x438;&#x430;&#x442;&#x44E;&#x440;&#x438;","ba-videorecorder.adding-new-stream":"&#x414;&#x43E;&#x431;&#x430;&#x432;&#x44F;&#x43D;&#x435; &#x43D;&#x430; &#x43D;&#x43E;&#x432; &#x43F;&#x43E;&#x442;&#x43E;&#x43A;","ba-imagecapture.recorder-error":"&#x412;&#x44A;&#x437;&#x43D;&#x438;&#x43A;&#x43D;&#x430; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x430;. &#x41C;&#x43E;&#x43B;&#x44F;, &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x439;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E; &#x43F;&#x43E;-&#x43A;&#x44A;&#x441;&#x43D;&#x43E;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-imagecapture.attach-error":"&#x41D;&#x435; &#x43C;&#x43E;&#x436;&#x430;&#x445;&#x43C;&#x435; &#x434;&#x430; &#x43E;&#x441;&#x44A;&#x449;&#x435;&#x441;&#x442;&#x432;&#x438;&#x43C; &#x434;&#x43E;&#x441;&#x442;&#x44A;&#x43F; &#x434;&#x43E; &#x43C;&#x435;&#x434;&#x438;&#x439;&#x43D;&#x438;&#x44F; &#x438;&#x43D;&#x442;&#x435;&#x440;&#x444;&#x435;&#x439;&#x441;. &#x412; &#x437;&#x430;&#x432;&#x438;&#x441;&#x438;&#x43C;&#x43E;&#x441;&#x442; &#x43E;&#x442; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432;&#x43E;&#x442;&#x43E; &#x438; &#x431;&#x440;&#x430;&#x443;&#x437;&#x44A;&#x440;&#x430; &#x43C;&#x43E;&#x436;&#x435; &#x434;&#x430; &#x441;&#x435; &#x43D;&#x430;&#x43B;&#x43E;&#x436;&#x438; &#x434;&#x430; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x442;&#x435; Flash &#x438;&#x43B;&#x438; &#x434;&#x430; &#x432;&#x43B;&#x435;&#x437;&#x435;&#x442;&#x435; &#x432; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x430;&#x442;&#x430; &#x447;&#x440;&#x435;&#x437; SSL.","ba-imagecapture.software-required":"&#x41C;&#x43E;&#x43B;&#x44F;, &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43F;&#x43E;-&#x434;&#x43E;&#x43B;&#x443;, &#x437;&#x430; &#x434;&#x430; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x442;&#x435; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x430;&#x442;&#x435; &#x441;&#x43B;&#x435;&#x434;&#x43D;&#x438;&#x442;&#x435; &#x438;&#x437;&#x438;&#x441;&#x43A;&#x432;&#x430;&#x43D;&#x438;&#x44F;, &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x434;&#x44A;&#x43B;&#x436;&#x438;&#x442;&#x435;.","ba-imagecapture.software-waiting":"&#x418;&#x437;&#x447;&#x430;&#x43A;&#x432;&#x430;&#x43D;&#x435; &#x437;&#x430; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x43D;&#x435; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x438;&#x437;&#x438;&#x441;&#x43A;&#x432;&#x430;&#x43D;&#x438;&#x44F;&#x442;&#x430;. &#x41C;&#x43E;&#x436;&#x435; &#x434;&#x430; &#x441;&#x435; &#x43D;&#x430;&#x43B;&#x43E;&#x436;&#x438; &#x434;&#x430; &#x43E;&#x431;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x435; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x430;&#x442;&#x430; &#x441;&#x43B;&#x435;&#x434; &#x437;&#x430;&#x432;&#x44A;&#x440;&#x448;&#x432;&#x430;&#x43D;&#x435;.","ba-imagecapture.access-forbidden":"&#x414;&#x43E;&#x441;&#x442;&#x44A;&#x43F;&#x44A;&#x442; &#x434;&#x43E; &#x43C;&#x435;&#x434;&#x438;&#x438;&#x442;&#x435; &#x435; &#x437;&#x430;&#x431;&#x440;&#x430;&#x43D;&#x435;&#x43D;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-imagecapture.uploading":"&#x41A;&#x430;&#x447;&#x432;&#x430;&#x43D;&#x435;","ba-imagecapture.uploading-failed":"&#x41D;&#x435;&#x443;&#x441;&#x43F;&#x435;&#x448;&#x43D;&#x43E; &#x43A;&#x430;&#x447;&#x432;&#x430;&#x43D;&#x435; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-imagecapture.upload-error-duration":"&#x414;&#x44A;&#x43B;&#x436;&#x438;&#x43D;&#x430;&#x442;&#x430; &#x43D;&#x430; &#x43A;&#x430;&#x447;&#x435;&#x43D;&#x43E;&#x442;&#x43E; &#x438;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x435; &#x43D;&#x435; &#x43E;&#x442;&#x433;&#x43E;&#x432;&#x430;&#x440;&#x44F; &#x43D;&#x430; &#x438;&#x437;&#x438;&#x441;&#x43A;&#x432;&#x430;&#x43D;&#x438;&#x44F;&#x442;&#x430; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-imagecapture.resolution-constraint-error":"&#x418;&#x437;&#x431;&#x440;&#x430;&#x43D;&#x438;&#x44F;&#x442; &#x43E;&#x442; &#x432;&#x430;&#x441; &#x444;&#x430;&#x439;&#x43B; &#x43D;&#x435; &#x441;&#x44A;&#x43E;&#x442;&#x432;&#x435;&#x442;&#x441;&#x442;&#x432;&#x430; &#x43D;&#x430; &#x438;&#x437;&#x438;&#x441;&#x43A;&#x432;&#x430;&#x43D;&#x430;&#x442;&#x430; &#x440;&#x435;&#x437;&#x43E;&#x43B;&#x44E;&#x446;&#x438;&#x44F; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-imagecapture.verifying":"&#x41F;&#x440;&#x43E;&#x432;&#x435;&#x440;&#x43A;&#x430;","ba-imagecapture.verifying-failed":"&#x41F;&#x440;&#x43E;&#x432;&#x435;&#x440;&#x43A;&#x430;&#x442;&#x430; &#x435; &#x43D;&#x435;&#x443;&#x441;&#x43F;&#x435;&#x448;&#x43D;&#x430; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-imagecapture.rerecord-confirm":"&#x41D;&#x430;&#x438;&#x441;&#x442;&#x438;&#x43D;&#x430; &#x43B;&#x438; &#x438;&#x441;&#x43A;&#x430;&#x442;&#x435; &#x434;&#x430; &#x432;&#x44A;&#x437;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x435; &#x438;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x435;&#x442;&#x43E; &#x441;&#x438;?","ba-imagecapture.image_file_too_large":"&#x412;&#x430;&#x448;&#x438;&#x44F;&#x442; &#x444;&#x430;&#x439;&#x43B; &#x441; &#x438;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x435; &#x435; &#x442;&#x432;&#x44A;&#x440;&#x434;&#x435; &#x433;&#x43E;&#x43B;&#x44F;&#x43C; (%s) - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E; &#x441; &#x43F;&#x43E;-&#x43C;&#x430;&#x43B;&#x44A;&#x43A; &#x444;&#x430;&#x439;&#x43B; &#x441; &#x438;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x435;.","ba-imagecapture.unsupported_image_type":"&#x41C;&#x43E;&#x43B;&#x44F;, &#x43A;&#x430;&#x447;&#x435;&#x442;&#x435;: %s - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-imagecapture.orientation-portrait-required":"&#x417;&#x430;&#x432;&#x44A;&#x440;&#x442;&#x435;&#x442;&#x435; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432;&#x43E;&#x442;&#x43E;, &#x437;&#x430; &#x434;&#x430; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x432;&#x430;&#x442;&#x435; &#x432; &#x43F;&#x43E;&#x440;&#x442;&#x440;&#x435;&#x442;&#x435;&#x43D; &#x440;&#x435;&#x436;&#x438;&#x43C;.","ba-imagecapture.orientation-landscape-required":"&#x417;&#x430;&#x432;&#x44A;&#x440;&#x442;&#x435;&#x442;&#x435; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432;&#x43E;&#x442;&#x43E;, &#x437;&#x430; &#x434;&#x430; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x432;&#x430;&#x442;&#x435; &#x432; &#x43F;&#x435;&#x439;&#x437;&#x430;&#x436;&#x435;&#x43D; &#x440;&#x435;&#x436;&#x438;&#x43C;.","ba-audiorecorder.recorder-error":"&#x412;&#x44A;&#x437;&#x43D;&#x438;&#x43A;&#x43D;&#x430; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x430;. &#x41C;&#x43E;&#x43B;&#x44F;, &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x439;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E; &#x43F;&#x43E;-&#x43A;&#x44A;&#x441;&#x43D;&#x43E;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-audiorecorder.attach-error":"&#x41D;&#x435; &#x43C;&#x43E;&#x436;&#x430;&#x445;&#x43C;&#x435; &#x434;&#x430; &#x43E;&#x441;&#x44A;&#x449;&#x435;&#x441;&#x442;&#x432;&#x438;&#x43C; &#x434;&#x43E;&#x441;&#x442;&#x44A;&#x43F; &#x434;&#x43E; &#x43C;&#x435;&#x434;&#x438;&#x439;&#x43D;&#x438;&#x44F; &#x438;&#x43D;&#x442;&#x435;&#x440;&#x444;&#x435;&#x439;&#x441;. &#x412; &#x437;&#x430;&#x432;&#x438;&#x441;&#x438;&#x43C;&#x43E;&#x441;&#x442; &#x43E;&#x442; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432;&#x43E;&#x442;&#x43E; &#x438; &#x431;&#x440;&#x430;&#x443;&#x437;&#x44A;&#x440;&#x430; &#x43C;&#x43E;&#x436;&#x435; &#x434;&#x430; &#x441;&#x435; &#x43D;&#x430;&#x43B;&#x43E;&#x436;&#x438; &#x434;&#x430; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x442;&#x435; Flash &#x438;&#x43B;&#x438; &#x434;&#x430; &#x432;&#x43B;&#x435;&#x437;&#x435;&#x442;&#x435; &#x432; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x430;&#x442;&#x430; &#x447;&#x440;&#x435;&#x437; SSL.","ba-audiorecorder.software-required":"&#x41C;&#x43E;&#x43B;&#x44F;, &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43F;&#x43E;-&#x434;&#x43E;&#x43B;&#x443;, &#x437;&#x430; &#x434;&#x430; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x442;&#x435; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x430;&#x442;&#x435; &#x441;&#x43B;&#x435;&#x434;&#x43D;&#x438;&#x442;&#x435; &#x438;&#x437;&#x438;&#x441;&#x43A;&#x432;&#x430;&#x43D;&#x438;&#x44F;, &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x434;&#x44A;&#x43B;&#x436;&#x438;&#x442;&#x435;.","ba-audiorecorder.software-waiting":"&#x418;&#x437;&#x447;&#x430;&#x43A;&#x432;&#x430;&#x43D;&#x435; &#x437;&#x430; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x43D;&#x435; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x438;&#x437;&#x438;&#x441;&#x43A;&#x432;&#x430;&#x43D;&#x438;&#x44F;&#x442;&#x430;. &#x41C;&#x43E;&#x436;&#x435; &#x434;&#x430; &#x441;&#x435; &#x43D;&#x430;&#x43B;&#x43E;&#x436;&#x438; &#x434;&#x430; &#x43E;&#x431;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x435; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x430;&#x442;&#x430; &#x441;&#x43B;&#x435;&#x434; &#x437;&#x430;&#x432;&#x44A;&#x440;&#x448;&#x432;&#x430;&#x43D;&#x435;.","ba-audiorecorder.access-forbidden":"&#x414;&#x43E;&#x441;&#x442;&#x44A;&#x43F;&#x44A;&#x442; &#x434;&#x43E; &#x43C;&#x435;&#x434;&#x438;&#x438;&#x442;&#x435; &#x435; &#x437;&#x430;&#x431;&#x440;&#x430;&#x43D;&#x435;&#x43D;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-audiorecorder.uploading":"&#x41A;&#x430;&#x447;&#x432;&#x430;&#x43D;&#x435;","ba-audiorecorder.uploading-failed":"&#x41D;&#x435;&#x443;&#x441;&#x43F;&#x435;&#x448;&#x43D;&#x43E; &#x43A;&#x430;&#x447;&#x432;&#x430;&#x43D;&#x435; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-audiorecorder.upload-error-duration":"&#x414;&#x44A;&#x43B;&#x436;&#x438;&#x43D;&#x430;&#x442;&#x430; &#x43D;&#x430; &#x43A;&#x430;&#x447;&#x435;&#x43D;&#x438;&#x44F; &#x437;&#x432;&#x443;&#x43A; &#x43D;&#x435; &#x43E;&#x442;&#x433;&#x43E;&#x432;&#x430;&#x440;&#x44F; &#x43D;&#x430; &#x438;&#x437;&#x438;&#x441;&#x43A;&#x432;&#x430;&#x43D;&#x438;&#x44F;&#x442;&#x430; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-audiorecorder.verifying":"&#x41F;&#x440;&#x43E;&#x432;&#x435;&#x440;&#x43A;&#x430;","ba-audiorecorder.verifying-failed":"&#x41F;&#x440;&#x43E;&#x432;&#x435;&#x440;&#x43A;&#x430;&#x442;&#x430; &#x435; &#x43D;&#x435;&#x443;&#x441;&#x43F;&#x435;&#x448;&#x43D;&#x430; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-audiorecorder.rerecord-confirm":"&#x41D;&#x430;&#x438;&#x441;&#x442;&#x438;&#x43D;&#x430; &#x43B;&#x438; &#x438;&#x441;&#x43A;&#x430;&#x442;&#x435; &#x434;&#x430; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x435; &#x430;&#x443;&#x434;&#x438;&#x43E;&#x442;&#x43E; &#x441;&#x438;?","ba-audiorecorder.cancel-confirm":"&#x41D;&#x430;&#x438;&#x441;&#x442;&#x438;&#x43D;&#x430; &#x43B;&#x438; &#x438;&#x441;&#x43A;&#x430;&#x442;&#x435; &#x434;&#x430; &#x430;&#x43D;&#x443;&#x43B;&#x438;&#x440;&#x430;&#x442;&#x435; &#x43A;&#x430;&#x447;&#x432;&#x430;&#x43D;&#x435;&#x442;&#x43E; &#x43D;&#x430; &#x437;&#x432;&#x443;&#x43A;?","ba-audiorecorder.audio_file_too_large":"&#x410;&#x443;&#x434;&#x438;&#x43E;&#x444;&#x430;&#x439;&#x43B;&#x44A;&#x442; &#x432;&#x438; &#x435; &#x442;&#x432;&#x44A;&#x440;&#x434;&#x435; &#x433;&#x43E;&#x43B;&#x44F;&#x43C; (%s) - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E; &#x441; &#x43F;&#x43E;-&#x43C;&#x430;&#x43B;&#x44A;&#x43A; &#x430;&#x443;&#x434;&#x438;&#x43E; &#x444;&#x430;&#x439;&#x43B;.","ba-audiorecorder.unsupported_audio_type":"&#x41C;&#x43E;&#x43B;&#x44F;, &#x43A;&#x430;&#x447;&#x435;&#x442;&#x435;: %s - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ba-common-settingsmenu.tooltip":"&#x429;&#x440;&#x430;&#x43A;&#x43D;&#x435;&#x442;&#x435;, &#x437;&#x430; &#x434;&#x430; &#x438;&#x433;&#x440;&#x430;&#x435;&#x442;&#x435;.","ba-common-settingsmenu.setting-menu":"&#x412;&#x441;&#x438;&#x447;&#x43A;&#x438; &#x43D;&#x430;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x43A;&#x438;","ba-common-settingsmenu.source-quality":"&#x41A;&#x430;&#x447;&#x435;&#x441;&#x442;&#x432;&#x43E; &#x43D;&#x430; &#x438;&#x437;&#x442;&#x43E;&#x447;&#x43D;&#x438;&#x43A;&#x430;","ba-common-settingsmenu.player-speed":"&#x421;&#x43A;&#x43E;&#x440;&#x43E;&#x441;&#x442; &#x43D;&#x430; &#x438;&#x433;&#x440;&#x430;&#x447;&#x430;","ba-common-settingsmenu.set-menu-option":"&#x417;&#x430;&#x434;&#x430;&#x439;&#x442;&#x435; &#x43E;&#x43F;&#x446;&#x438;&#x44F;","ba-common-settingsmenu.submit-video":"&#x41F;&#x43E;&#x442;&#x432;&#x44A;&#x440;&#x434;&#x435;&#x442;&#x435; &#x432;&#x438;&#x434;&#x435;&#x43E;&#x43A;&#x43B;&#x438;&#x43F;&#x430;","ba-common-settingsmenu.picture-in-picture":"&#x41A;&#x430;&#x440;&#x442;&#x438;&#x43D;&#x430; &#x432; &#x43A;&#x430;&#x440;&#x442;&#x438;&#x43D;&#x430;","ba-common-settingsmenu.exit-fullscreen-video":"&#x418;&#x437;&#x43B;&#x435;&#x437;&#x442;&#x435; &#x43E;&#x442; &#x446;&#x44F;&#x43B; &#x435;&#x43A;&#x440;&#x430;&#x43D;","ba-common-settingsmenu.fullscreen-video":"&#x412;&#x44A;&#x432;&#x435;&#x434;&#x435;&#x442;&#x435; &#x446;&#x44F;&#x43B; &#x435;&#x43A;&#x440;&#x430;&#x43D;","ba-videorecorder-chooser.multi-stream":"Multi Stream","ba-videorecorder-controlbar.pause-recorder":"&#x41F;&#x430;&#x443;&#x437;&#x430; &#x43D;&#x430; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x432;&#x430;&#x449;&#x43E;&#x442;&#x43E; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432;&#x43E;","ba-videorecorder-controlbar.resume-recorder":"&#x420;&#x435;&#x43A;&#x43E;&#x440;&#x434;&#x435;&#x440; &#x437;&#x430; &#x432;&#x44A;&#x437;&#x43E;&#x431;&#x43D;&#x43E;&#x432;&#x44F;&#x432;&#x430;&#x43D;&#x435;","ba-videorecorder.missing-track":"&#x41B;&#x438;&#x43F;&#x441;&#x432;&#x430; &#x43D;&#x435;&#x43E;&#x431;&#x445;&#x43E;&#x434;&#x438;&#x43C;&#x430;&#x442;&#x430; &#x430;&#x443;&#x434;&#x438;&#x43E; &#x438;&#x43B;&#x438; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x43F;&#x435;&#x441;&#x435;&#x43D;","ba-videorecorder.device-already-in-use":"&#x41F;&#x43E;&#x43D;&#x435; &#x435;&#x434;&#x43D;&#x43E; &#x43E;&#x442; &#x432;&#x430;&#x448;&#x438;&#x442;&#x435; &#x432;&#x445;&#x43E;&#x434;&#x43D;&#x438; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432;&#x430; &#x432;&#x435;&#x447;&#x435; &#x441;&#x435; &#x438;&#x437;&#x43F;&#x43E;&#x43B;&#x437;&#x432;&#x430;","ba-videorecorder.browser-permission-denied":"&#x420;&#x430;&#x437;&#x440;&#x435;&#x448;&#x435;&#x43D;&#x438;&#x435;&#x442;&#x43E; &#x435; &#x43E;&#x442;&#x43A;&#x430;&#x437;&#x430;&#x43D;&#x43E; &#x43E;&#x442; &#x431;&#x440;&#x430;&#x443;&#x437;&#x44A;&#x440;&#x430;, &#x43C;&#x43E;&#x43B;&#x44F;, &#x43F;&#x440;&#x435;&#x434;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x435;&#x442;&#x435; &#x434;&#x43E;&#x441;&#x442;&#x44A;&#x43F; &#x438; &#x43F;&#x440;&#x435;&#x437;&#x430;&#x440;&#x435;&#x434;&#x435;&#x442;&#x435; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x430;&#x442;&#x430;","ba-audioplayer.all-settings":"&#x412;&#x441;&#x438;&#x447;&#x43A;&#x438; &#x43D;&#x430;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x43A;&#x438;","ba-videoplayer-controlbar.remaining-time":"&#x41E;&#x441;&#x442;&#x430;&#x432;&#x430;&#x449;&#x43E; &#x432;&#x440;&#x435;&#x43C;&#x435;","ba-videoplayer-controlbar.select-frame":"&#x418;&#x437;&#x431;&#x435;&#x440;&#x435;&#x442;&#x435;","ba-videoplayer-controlbar.trim-video":"&#x41F;&#x43E;&#x434;&#x441;&#x442;&#x440;&#x438;&#x433;&#x432;&#x430;&#x43D;&#x435;","ba-videoplayer-playbutton.trim":"&#x41F;&#x43E;&#x434;&#x441;&#x442;&#x440;&#x438;&#x433;&#x432;&#x430;&#x43D;&#x435;","ba-videoplayer-playbutton.skip":"&#x41F;&#x440;&#x43E;&#x43F;&#x443;&#x441;&#x43D;&#x435;&#x442;&#x435;","ba-videorecorder-imagegallery.upload-covershot":"&#x41A;&#x430;&#x447;&#x432;&#x430;&#x43D;&#x435; &#x43D;&#x430; &#x43A;&#x43E;&#x440;&#x438;&#x446;&#x430;&#x442;&#x430;","ba-videorecorder.pick-covershot-frame":"&#x418;&#x437;&#x431;&#x435;&#x440;&#x435;&#x442;&#x435; &#x440;&#x430;&#x43C;&#x43A;&#x430;, &#x43A;&#x43E;&#x44F;&#x442;&#x43E; &#x434;&#x430; &#x438;&#x437;&#x43F;&#x43E;&#x43B;&#x437;&#x432;&#x430;&#x442;&#x435; &#x43A;&#x430;&#x442;&#x43E; &#x441;&#x43D;&#x438;&#x43C;&#x43A;&#x430; &#x43D;&#x430; &#x43A;&#x43E;&#x440;&#x438;&#x446;&#x430;&#x442;&#x430;.","ba-videorecorder.screen-recorder-is-not-supported":"&#x422;&#x43E;&#x432;&#x430; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432;&#x43E; &#x43D;&#x435; &#x43F;&#x43E;&#x434;&#x434;&#x44A;&#x440;&#x436;&#x430; &#x435;&#x43A;&#x440;&#x430;&#x43D;&#x435;&#x43D; &#x440;&#x435;&#x43A;&#x43E;&#x440;&#x434;&#x435;&#x440;","ba-videorecorder.trim-prompt":"&#x418;&#x441;&#x43A;&#x430;&#x442;&#x435; &#x43B;&#x438; &#x434;&#x430; &#x43E;&#x442;&#x440;&#x435;&#x436;&#x435;&#x442;&#x435; &#x432;&#x438;&#x434;&#x435;&#x43E;&#x43A;&#x43B;&#x438;&#x43F;&#x430; &#x441;&#x438;?","ba-videorecorder.trim-video":"&#x41F;&#x440;&#x435;&#x43C;&#x435;&#x441;&#x442;&#x435;&#x442;&#x435; &#x43C;&#x430;&#x440;&#x43A;&#x435;&#x440;&#x438;&#x442;&#x435; &#x437;&#x430; &#x43D;&#x430;&#x447;&#x430;&#x43B;&#x43E; &#x438; &#x43A;&#x440;&#x430;&#x439;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x442;&#x440;&#x435;&#x436;&#x435;&#x442;&#x435; &#x432;&#x438;&#x434;&#x435;&#x43E;&#x43A;&#x43B;&#x438;&#x43F;&#x430; &#x441;&#x438;","ba-videorecorder.wait-for-trim":"&#x418;&#x437;&#x447;&#x430;&#x43A;&#x432;&#x430; &#x441;&#x435; &#x43A;&#x43E;&#x43C;&#x430;&#x43D;&#x434;&#x430; &#x437;&#x430; &#x43E;&#x442;&#x440;&#x44F;&#x437;&#x432;&#x430;&#x43D;&#x435; ...","ba-videorecorder-controlbar.no-video-source":"&#x41B;&#x438;&#x43F;&#x441;&#x432;&#x430; &#x434;&#x43E;&#x43F;&#x44A;&#x43B;&#x43D;&#x438;&#x442;&#x435;&#x43B;&#x435;&#x43D; &#x438;&#x437;&#x442;&#x43E;&#x447;&#x43D;&#x438;&#x43A; &#x43D;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x432;&#x445;&#x43E;&#x434;","ba-videorecorder-controlbar.stream-already-selected":"&#x414;&#x43E;&#x43F;&#x44A;&#x43B;&#x43D;&#x438;&#x442;&#x435;&#x43B;&#x435;&#x43D; &#x43F;&#x43E;&#x442;&#x43E;&#x43A; &#x432;&#x435;&#x447;&#x435; &#x435; &#x438;&#x437;&#x431;&#x440;&#x430;&#x43D;","ba-videorecorder.uploading-src-error":"&#x412;&#x438;&#x434;&#x435;&#x43E;&#x43A;&#x43B;&#x438;&#x43F;&#x44A;&#x442; &#x43D;&#x435; &#x43C;&#x43E;&#x436;&#x435; &#x434;&#x430; &#x441;&#x435; &#x432;&#x44A;&#x437;&#x43F;&#x440;&#x43E;&#x438;&#x437;&#x432;&#x435;&#x434;&#x435;, &#x43A;&#x430;&#x447;&#x432;&#x430;&#x43D;&#x435;&#x442;&#x43E; &#x43F;&#x440;&#x43E;&#x434;&#x44A;&#x43B;&#x436;&#x430;&#x432;&#x430;","ba-audiorecorder-controlbar.pause-recorder":"&#x41F;&#x430;&#x443;&#x437;&#x430; &#x43D;&#x430; &#x440;&#x435;&#x43A;&#x43E;&#x440;&#x434;&#x435;&#x440;&#x430;","ba-audiorecorder-controlbar.resume-recorder":"&#x417;&#x430;&#x43F;&#x438;&#x441;&#x432;&#x430;&#x449; &#x440;&#x435;&#x437;&#x44E;&#x43C;&#x435;"},"language:cat":{"ba-videoplayer-playbutton.tooltip":"Feu clic per veure el v&#xED;deo.","ba-videoplayer-playbutton.rerecord":"refer","ba-videoplayer-playbutton.submit-video":"confirmar v&#xED;deo","ba-videoplayer-loader.tooltip":"Carregant v&#xED;deo ...","ba-videoplayer-controlbar.change-resolution":"Canviar la resoluci&#xF3;","ba-videoplayer-controlbar.video-progress":"el progr&#xE9;s de v&#xED;deo","ba-videoplayer-controlbar.rerecord-video":"Torneu a fer el v&#xED;deo?","ba-videoplayer-controlbar.submit-video":"confirmar v&#xED;deo","ba-videoplayer-controlbar.play-video":"reproducci&#xF3; de v&#xED;deo","ba-videoplayer-controlbar.pause-video":"pausa de v&#xED;deo","ba-videoplayer-controlbar.elapsed-time":"Temps transcorregut","ba-videoplayer-controlbar.total-time":"Durada total de v&#xED;deo","ba-videoplayer-controlbar.fullscreen-video":"Introdu&#xEF;u a pantalla completa","ba-videoplayer-controlbar.volume-button":"volum de s&#xE8;ries","ba-videoplayer-controlbar.volume-mute":"silenciar so","ba-videoplayer-controlbar.volume-unmute":"activar so","ba-videoplayer.video-error":"Hi ha hagut un error. Siusplau, torni a intentar-ho m&#xE9;s tard. Feu clic per tornar a intentar-ho.","ba-videorecorder-chooser.record-video":"Gravar el v&#xED;deo","ba-videorecorder-chooser.upload-video":"Pujar v&#xED;deo","ba-videorecorder-controlbar.settings":"ajustos","ba-videorecorder-controlbar.camerahealthy":"La il&#xB7;luminaci&#xF3; &#xE9;s bona","ba-videorecorder-controlbar.cameraunhealthy":"La il&#xB7;luminaci&#xF3; no &#xE9;s &#xF2;ptima","ba-videorecorder-controlbar.microphonehealthy":"El so &#xE9;s bo","ba-videorecorder-controlbar.microphoneunhealthy":"No es pot recollir qualsevol so","ba-videorecorder-controlbar.record":"registre","ba-videorecorder-controlbar.record-tooltip":"Feu clic aqu&#xED; per gravar.","ba-videorecorder-controlbar.rerecord":"refer","ba-videorecorder-controlbar.rerecord-tooltip":"Cliqueu aqu&#xED; per fer de nou.","ba-videorecorder-controlbar.upload-covershot":"Pujar","ba-videorecorder-controlbar.upload-covershot-tooltip":"Feu clic aqu&#xED; per pujar foto de portada personalitzada","ba-videorecorder-controlbar.stop":"aturar","ba-videorecorder-controlbar.stop-tooltip":"Feu clic aqu&#xED; per aturar.","ba-videorecorder-controlbar.skip":"Omet","ba-videorecorder-controlbar.skip-tooltip":"Feu clic aqu&#xED; per saltar.","ba-videorecorder.recorder-error":"Hi ha hagut un error. Siusplau, torni a intentar-ho m&#xE9;s tard. Feu clic per tornar a intentar-ho.","ba-videorecorder.attach-error":"No hem pogut accedir a la interf&#xED;cie de la c&#xE0;mera. En funci&#xF3; del dispositiu i del navegador, &#xE9;s possible que hagi de instal &#xB7; lar Flash o accedir a la p&#xE0;gina a trav&#xE9;s de SSL.","ba-videorecorder.access-forbidden":"Estava prohibit l&#x27;acc&#xE9;s a la c&#xE0;mera. Feu clic per tornar a intentar-ho.","ba-videorecorder.pick-covershot":"Tria una covershot.","ba-videorecorder.uploading":"pujant","ba-videorecorder.uploading-failed":"C&#xE0;rrega fallat - fer clic aqu&#xED; per tornar a intentar-ho.","ba-videorecorder.verifying":"verificant","ba-videorecorder.verifying-failed":"fallat la verificaci&#xF3; de - fer clic aqu&#xED; per tornar a intentar-ho.","ba-videorecorder.rerecord-confirm":"De veritat vol tornar a fer el v&#xED;deo?","ba-videorecorder.video_file_too_large":"L&#x27;arxiu de v&#xED;deo &#xE9;s massa gran (%s) - fer clic aqu&#xED; per tornar a intentar-ho amb un arxiu de v&#xED;deo m&#xE9;s petita.","ba-videorecorder.unsupported_video_type":"Si us plau, puja: %s - fer clic aqu&#xED; per tornar a intentar-ho.","ba-videoplayer-controlbar.exit-fullscreen-video":"Surt de la pantalla completa","ba-videoplayer-share.share":"compartir v&#xED;deo","ba-videorecorder-chooser.record-screen":"Pantalla de registre","ba-videoplayer-controlbar.pause-video-disabled":"Pausa no &#xE9;s compatible","ba-videorecorder-chooser.record-audio":"Enregistrament d&#x27;&#xE0;udio","ba-videorecorder-controlbar.stop-available-after":"El temps d&#x27;enregistrament m&#xED;nim &#xE9;s %d segons","ba-videorecorder-controlbar.cancel":"Cancel &#xB7; lar","ba-videorecorder-controlbar.cancel-tooltip":"Feu clic aqu&#xED; per cancel&#xB7;lar.","ba-videorecorder.cancel-confirm":"Realment vols cancel&#xB7;lar la c&#xE0;rrega del teu v&#xED;deo?","ba-videoplayer-adslot.elapsed-time":"Temps transcorregut","ba-videoplayer-adslot.volume-button":"Estableix el volum","ba-videoplayer-adslot.volume-mute":"Silenciar el so","ba-videoplayer-adslot.volume-unmute":"Silenciar el so","ba-videoplayer-adslot.ad-will-end-after":"L&#x27;anunci finalitzar&#xE0; despr&#xE9;s de %s","ba-videoplayer-adslot.can-skip-after":"Passa despr&#xE9;s de %d","ba-videoplayer-adslot.skip-ad":"Saltar anunci","ba-videorecorder.software-required":"Feu clic a sota per instal&#xB7;lar / activar els requisits seg&#xFC;ents per continuar.","ba-videorecorder.software-waiting":"Esperant que s&#x27;instal&#xB7;lin / activin els requisits. &#xC9;s possible que h&#xE0;giu d&#x27;actualitzar la p&#xE0;gina una vegada finalitzada.","ba-videoplayer-controlbar.close-tracks":"Tanca CC","ba-videoplayer-controlbar.show-tracks":"Mostra CC","ba-videoplayer-tracks.upload-text-tracks":"Penja fitxers de text de la pista","ba-videoplayer-tracks.select-text-track-language":"Llenguatge de subt&#xED;tols","ba-videoplayer-tracks.info-select-locale-first":"Primer seleccioneu la configuraci&#xF3; regional","ba-videoplayer-tracks.select-text-track-file":"Feu clic per seleccionar el fitxer","ba-videoplayer-tracks.back":"esquena","ba-videorecorder.framerate-warning":"La velocitat de marc de v&#xED;deo &#xE9;s molt baixa. Recomanem tancar tots els altres programes i pestanyes del navegador o utilitzar una computadora m&#xE9;s r&#xE0;pida.","ba-videorecorder.upload-error-duration":"La durada del v&#xED;deo carregat no compleix els requisits: feu clic aqu&#xED; per tornar-ho a provar.","ba-videorecorder.resolution-constraint-error":"El fitxer que heu seleccionat no coincideix amb la resoluci&#xF3; necess&#xE0;ria: feu clic aqu&#xED; per tornar-ho a provar.","ba-videorecorder.orientation-portrait-required":"Gireu el dispositiu per gravar en mode vertical.","ba-videorecorder.orientation-landscape-required":"Gireu el dispositiu per gravar en mode horitzontal.","ba-imageviewer-controlbar.rerecord-image":"Redo?","ba-imageviewer-controlbar.submit-image":"Confirma","ba-imageviewer-controlbar.fullscreen-image":"Introdu&#xEF;u la pantalla completa","ba-imageviewer-controlbar.exit-fullscreen-image":"Sortir de pantalla completa","ba-imageviewer.image-error":"Hi ha hagut un error. Siusplau, torni a intentar-ho m&#xE9;s tard. Feu clic per tornar-ho a intentar.","ba-imagecapture-chooser.image-capture":"Imatge de captura","ba-imagecapture-chooser.upload-image":"Penja la imatge","ba-imagecapture-controlbar.settings":"Configuraci&#xF3;","ba-imagecapture-controlbar.camerahealthy":"La il&#xB7;luminaci&#xF3; &#xE9;s bona","ba-imagecapture-controlbar.cameraunhealthy":"La il&#xB7;luminaci&#xF3; no &#xE9;s &#xF2;ptima","ba-imagecapture-controlbar.record":"Captura","ba-imagecapture-controlbar.record-tooltip":"Feu clic aqu&#xED; per capturar.","ba-imagecapture-controlbar.rerecord":"Redo","ba-imagecapture-controlbar.rerecord-tooltip":"Feu clic aqu&#xED; per tornar a fer-ho.","ba-imagecapture-controlbar.cancel":"Cancel &#xB7; lar","ba-imagecapture-controlbar.cancel-tooltip":"Feu clic aqu&#xED; per cancel&#xB7;lar.","ba-audioplayer-controlbar.audio-progress":"Progr&#xE9;s, progressar","ba-audioplayer-controlbar.rerecord-audio":"Redo?","ba-audioplayer-controlbar.submit-audio":"Confirma","ba-audioplayer-controlbar.play-audio":"Jugar","ba-audioplayer-controlbar.pause-audio":"Pausa","ba-audioplayer-controlbar.pause-audio-disabled":"Pausa no &#xE9;s compatible","ba-audioplayer-controlbar.elapsed-time":"Temps transcorregut","ba-audioplayer-controlbar.total-time":"Durada total de","ba-audioplayer-controlbar.volume-button":"Estableix el volum","ba-audioplayer-controlbar.volume-mute":"Silenciar el so","ba-audioplayer-controlbar.volume-unmute":"Silenciar el so","ba-audioplayer-loader.tooltip":"S&#x27;est&#xE0; carregant ...","ba-audioplayer.audio-error":"Hi ha hagut un error. Siusplau, torni a intentar-ho m&#xE9;s tard. Feu clic per tornar-ho a intentar.","ba-audiorecorder-chooser.record-audio":"Enregistrament d&#x27;&#xE0;udio","ba-audiorecorder-chooser.upload-audio":"Penja l&#x27;&#xE0;udio","ba-audiorecorder-controlbar.settings":"Configuraci&#xF3;","ba-audiorecorder-controlbar.microphonehealthy":"El so &#xE9;s bo","ba-audiorecorder-controlbar.microphoneunhealthy":"No es pot recuperar cap so","ba-audiorecorder-controlbar.record":"Registre","ba-audiorecorder-controlbar.record-tooltip":"Feu clic aqu&#xED; per registrar.","ba-audiorecorder-controlbar.rerecord":"Redo","ba-audiorecorder-controlbar.rerecord-tooltip":"Feu clic aqu&#xED; per tornar a fer-ho.","ba-audiorecorder-controlbar.stop":"Aturar","ba-audiorecorder-controlbar.stop-tooltip":"Feu clic aqu&#xED; per aturar.","ba-audiorecorder-controlbar.stop-available-after":"El temps d&#x27;enregistrament m&#xED;nim &#xE9;s %d segons","ba-audiorecorder-controlbar.cancel":"Cancel &#xB7; lar","ba-audiorecorder-controlbar.cancel-tooltip":"Feu clic aqu&#xED; per cancel&#xB7;lar.","ba-videoplayer-controlbar.player-speed":"Velocitat del jugador","ba-videoplayer-controlbar.settings":"Configuraci&#xF3;","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"Icona Airplay.","ba-videoplayer.all-settings":"Tots els par&#xE0;metres","ba-videoplayer.player-speed":"Velocitat del jugador","ba-videoplayer.full-screen":"Pantalla completa","ba-videorecorder-controlbar.add-stream":"Afegeix corrent","ba-videorecorder.switch-camera":"Canvia la c&#xE0;mera","ba-videorecorder.prepare-covershot":"Preparaci&#xF3; de captures de pantalla","ba-videorecorder.prepare-thumbnails":"Preparant la cerca de miniatures","ba-videorecorder.adding-new-stream":"Addici&#xF3; de corrent nova","ba-imagecapture.recorder-error":"Hi ha hagut un error. Siusplau, torni a intentar-ho m&#xE9;s tard. Feu clic per tornar a provar.","ba-imagecapture.attach-error":"No hem pogut accedir a la interf&#xED;cie multim&#xE8;dia. Depenent del dispositiu i del navegador, &#xE9;s possible que hagueu d&#x27;instal&#xB7;lar Flash o accedir a la p&#xE0;gina mitjan&#xE7;ant SSL.","ba-imagecapture.software-required":"Per continuar, feu clic a continuaci&#xF3; per instal&#xB7;lar / activar els seg&#xFC;ents requisits.","ba-imagecapture.software-waiting":"S&#x2019;espera que s&#x2019;instal&#xB7;lin / activin els requisits. Potser haureu d&#x2019;actualitzar la p&#xE0;gina un cop finalitzada.","ba-imagecapture.access-forbidden":"L&#x2019;acc&#xE9;s als mitjans de comunicaci&#xF3; estava prohibit. Feu clic per tornar a provar.","ba-imagecapture.uploading":"C&#xE0;rrega","ba-imagecapture.uploading-failed":"Ha fallat la c&#xE0;rrega: feu clic aqu&#xED; per tornar-ho a provar.","ba-imagecapture.upload-error-duration":"La longitud de la imatge carregada no compleix els requisits: feu clic aqu&#xED; per tornar-ho a provar.","ba-imagecapture.resolution-constraint-error":"El fitxer que heu seleccionat no coincideix amb la resoluci&#xF3; necess&#xE0;ria: feu clic aqu&#xED; per tornar-ho a provar.","ba-imagecapture.verifying":"Verificaci&#xF3;","ba-imagecapture.verifying-failed":"Verificaci&#xF3; fallida: feu clic aqu&#xED; per tornar-ho a provar.","ba-imagecapture.rerecord-confirm":"Segur que voleu reprendre la vostra imatge?","ba-imagecapture.image_file_too_large":"El vostre fitxer d&#x27;imatge &#xE9;s massa gran (%s): feu clic aqu&#xED; per tornar-ho a provar amb un fitxer d&#x27;imatge m&#xE9;s petit.","ba-imagecapture.unsupported_image_type":"Pengeu: %s: feu clic aqu&#xED; per tornar-ho a provar.","ba-imagecapture.orientation-portrait-required":"Gireu el dispositiu per gravar en mode vertical.","ba-imagecapture.orientation-landscape-required":"Gireu el dispositiu per gravar en mode horitzontal.","ba-audiorecorder.recorder-error":"Hi ha hagut un error. Siusplau, torni a intentar-ho m&#xE9;s tard. Feu clic per tornar a provar.","ba-audiorecorder.attach-error":"No hem pogut accedir a la interf&#xED;cie multim&#xE8;dia. Depenent del dispositiu i del navegador, &#xE9;s possible que hagueu d&#x27;instal&#xB7;lar Flash o accedir a la p&#xE0;gina mitjan&#xE7;ant SSL.","ba-audiorecorder.software-required":"Per continuar, feu clic a continuaci&#xF3; per instal&#xB7;lar / activar els seg&#xFC;ents requisits.","ba-audiorecorder.software-waiting":"S&#x2019;espera que s&#x2019;instal&#xB7;lin / activin els requisits. Potser haureu d&#x2019;actualitzar la p&#xE0;gina un cop finalitzada.","ba-audiorecorder.access-forbidden":"L&#x2019;acc&#xE9;s als mitjans de comunicaci&#xF3; estava prohibit. Feu clic per tornar a provar.","ba-audiorecorder.uploading":"C&#xE0;rrega","ba-audiorecorder.uploading-failed":"Ha fallat la c&#xE0;rrega: feu clic aqu&#xED; per tornar-ho a provar.","ba-audiorecorder.upload-error-duration":"La durada de l&#x2019;&#xE0;udio carregat no compleix els requisits: feu clic aqu&#xED; per tornar-ho a provar.","ba-audiorecorder.verifying":"Verificaci&#xF3;","ba-audiorecorder.verifying-failed":"Verificaci&#xF3; fallida: feu clic aqu&#xED; per tornar-ho a provar.","ba-audiorecorder.rerecord-confirm":"Esteu segur que voleu referir l&#x2019;&#xE0;udio?","ba-audiorecorder.cancel-confirm":"Segur que voleu cancel&#xB7;lar la c&#xE0;rrega d&#x2019;&#xE0;udio?","ba-audiorecorder.audio_file_too_large":"El vostre fitxer d&#x2019;&#xE0;udio &#xE9;s massa gran (%s): feu clic aqu&#xED; per tornar-ho a provar amb un fitxer d&#x2019;&#xE0;udio m&#xE9;s petit.","ba-audiorecorder.unsupported_audio_type":"Pengeu: %s: feu clic aqu&#xED; per tornar-ho a provar.","ba-common-settingsmenu.tooltip":"Feu clic per jugar.","ba-common-settingsmenu.setting-menu":"Tots els par&#xE0;metres","ba-common-settingsmenu.source-quality":"Qualitat de la font","ba-common-settingsmenu.player-speed":"Velocitat del jugador","ba-common-settingsmenu.set-menu-option":"Estableix l&#x27;opci&#xF3;","ba-common-settingsmenu.submit-video":"Confirmeu el v&#xED;deo","ba-common-settingsmenu.picture-in-picture":"Imatge en imatge","ba-common-settingsmenu.exit-fullscreen-video":"Surt de la pantalla completa","ba-common-settingsmenu.fullscreen-video":"Introdu&#xEF;u la pantalla completa","ba-videorecorder-chooser.multi-stream":"Multitransmissi&#xF3;","ba-videorecorder-controlbar.pause-recorder":"Grava en pausa","ba-videorecorder-controlbar.resume-recorder":"Repr&#xE8;n la gravadora","ba-videorecorder.missing-track":"Falta la pista d&#x2019;&#xE0;udio o v&#xED;deo requerida","ba-videorecorder.device-already-in-use":"Almenys un dels vostres dispositius d&#x27;entrada ja est&#xE0; en &#xFA;s","ba-videorecorder.browser-permission-denied":"El navegador ha denegat el perm&#xED;s, concediu acc&#xE9;s i torneu a carregar la p&#xE0;gina","ba-audioplayer.all-settings":"Tots els par&#xE0;metres","ba-videoplayer-controlbar.remaining-time":"Temps restant","ba-videoplayer-controlbar.select-frame":"Seleccioneu","ba-videoplayer-controlbar.trim-video":"Retallar","ba-videoplayer-playbutton.trim":"Retallar","ba-videoplayer-playbutton.skip":"Omet","ba-videorecorder-imagegallery.upload-covershot":"Carrega la portada","ba-videorecorder.pick-covershot-frame":"Seleccioneu un marc per utilitzar-lo com a captura de pantalla.","ba-videorecorder.screen-recorder-is-not-supported":"La gravadora de pantalla no &#xE9;s compatible amb aquest dispositiu","ba-videorecorder.trim-prompt":"Voleu retallar el vostre v&#xED;deo?","ba-videorecorder.trim-video":"Mou els marcadors d&#x2019;inici i de finalitzaci&#xF3; per retallar el v&#xED;deo","ba-videorecorder.wait-for-trim":"S&#x27;est&#xE0; esperant l&#x27;ordre de retallada ...","ba-videorecorder-controlbar.no-video-source":"Falta una font d&#x2019;entrada de v&#xED;deo addicional","ba-videorecorder-controlbar.stream-already-selected":"Ja s&#x27;ha seleccionat un flux addicional","ba-videorecorder.uploading-src-error":"Ara no es pot reproduir el v&#xED;deo; la c&#xE0;rrega encara est&#xE0; en curs","ba-audiorecorder-controlbar.pause-recorder":"Grava en pausa","ba-audiorecorder-controlbar.resume-recorder":"Repr&#xE8;n la gravadora"},"language:cs":{"ba-videoplayer-playbutton.tooltip":"Klikn&#x11B;te pro p&#x159;ehr&#xE1;n&#xED;.","ba-videoplayer-playbutton.rerecord":"P&#x159;ed&#x11B;lat","ba-videoplayer-playbutton.submit-video":"Potvr&#x10F;te video","ba-videoplayer-loader.tooltip":"Na&#x10D;&#xED;t&#xE1;n&#xED;...","ba-videoplayer-controlbar.change-resolution":"Zm&#x11B;nit rozli&#x161;en&#xED;","ba-videoplayer-controlbar.video-progress":"Pokrok","ba-videoplayer-controlbar.rerecord-video":"P&#x159;ed&#x11B;lat?","ba-videoplayer-controlbar.submit-video":"Potvrdit","ba-videoplayer-controlbar.play-video":"Hr&#xE1;t si","ba-videoplayer-controlbar.pause-video":"Pauza","ba-videoplayer-controlbar.elapsed-time":"Uplynul&#xFD; &#x10D;as","ba-videoplayer-controlbar.total-time":"Celkov&#xE1; d&#xE9;lka","ba-videoplayer-controlbar.fullscreen-video":"P&#x159;ejd&#x11B;te na celou obrazovku","ba-videoplayer-controlbar.volume-button":"Nastavte hlasitost","ba-videoplayer-controlbar.volume-mute":"Ztlumit zvuk","ba-videoplayer-controlbar.volume-unmute":"Zapnout zvuk","ba-videoplayer.video-error":"Vyskytla se chyba. Zkuste to pros&#xED;m pozd&#x11B;ji. Kliknut&#xED;m to zkuste znovu.","ba-videorecorder-chooser.record-video":"Nahr&#xE1;t video","ba-videorecorder-chooser.upload-video":"Nahr&#xE1;t video","ba-videorecorder-controlbar.settings":"Nastaven&#xED;","ba-videorecorder-controlbar.camerahealthy":"Osv&#x11B;tlen&#xED; je dobr&#xE9;","ba-videorecorder-controlbar.cameraunhealthy":"Osv&#x11B;tlen&#xED; nen&#xED; optim&#xE1;ln&#xED;","ba-videorecorder-controlbar.microphonehealthy":"Zvuk je dobr&#xFD;","ba-videorecorder-controlbar.microphoneunhealthy":"Nelze zachytit &#x17E;&#xE1;dn&#xFD; zvuk","ba-videorecorder-controlbar.record":"Z&#xE1;znam","ba-videorecorder-controlbar.record-tooltip":"Klepnut&#xED;m sem spust&#xED;te nahr&#xE1;v&#xE1;n&#xED;.","ba-videorecorder-controlbar.rerecord":"P&#x159;ed&#x11B;lat","ba-videorecorder-controlbar.rerecord-tooltip":"Klikn&#x11B;te znovu pro opakov&#xE1;n&#xED;.","ba-videorecorder-controlbar.upload-covershot":"Nahrajte ob&#xE1;lku","ba-videorecorder-controlbar.upload-covershot-tooltip":"Kliknut&#xED;m sem nahrajete vlastn&#xED; sn&#xED;mek ob&#xE1;lky","ba-videorecorder-controlbar.stop":"Stop","ba-videorecorder-controlbar.stop-tooltip":"Kliknut&#xED;m sem zastav&#xED;te.","ba-videorecorder-controlbar.skip":"P&#x159;esko&#x10D;it","ba-videorecorder-controlbar.skip-tooltip":"Kliknut&#xED;m sem p&#x159;esko&#x10D;&#xED;te.","ba-videorecorder.recorder-error":"Vyskytla se chyba. Zkuste to pros&#xED;m pozd&#x11B;ji. Kliknut&#xED;m to zkuste znovu.","ba-videorecorder.attach-error":"Nelze z&#xED;skat p&#x159;&#xED;stup k medi&#xE1;ln&#xED;mu rozhran&#xED;. V z&#xE1;vislosti na za&#x159;&#xED;zen&#xED; a prohl&#xED;&#x17E;e&#x10D;i mo&#x17E;n&#xE1; budete muset nainstalovat Flash nebo p&#x159;istupovat na str&#xE1;nku pomoc&#xED; SSL.","ba-videorecorder.access-forbidden":"P&#x159;&#xED;stup k m&#xE9;di&#xED;m byl zak&#xE1;z&#xE1;n. Kliknut&#xED;m to zkuste znovu.","ba-videorecorder.pick-covershot":"Vyberte si kryc&#xED; sn&#xED;mek.","ba-videorecorder.uploading":"Nahr&#xE1;v&#xE1;m","ba-videorecorder.uploading-failed":"Nahr&#xE1;v&#xE1;n&#xED; se nezda&#x159;ilo - kliknut&#xED;m sem to zkuste znovu.","ba-videorecorder.verifying":"Ov&#x11B;&#x159;en&#xED;","ba-videorecorder.verifying-failed":"Ov&#x11B;&#x159;en&#xED; se nezda&#x159;ilo - kliknut&#xED;m sem to zkuste znovu.","ba-videorecorder.rerecord-confirm":"Opravdu chcete sv&#xE9; video zopakovat?","ba-videorecorder.video_file_too_large":"V&#xE1;&#x161; video soubor je p&#x159;&#xED;li&#x161; velk&#xFD; (%s) - kliknut&#xED;m sem to zkuste znovu s men&#x161;&#xED;m video souborem.","ba-videorecorder.unsupported_video_type":"Nahrajte pros&#xED;m: %s - kliknut&#xED;m sem to zkuste znovu.","ba-videoplayer-controlbar.exit-fullscreen-video":"Ukon&#x10D;it re&#x17E;im cel&#xE9; obrazovky","ba-videoplayer-share.share":"Sd&#xED;lejte m&#xE9;dia","ba-videorecorder-chooser.record-screen":"Z&#xE1;znamov&#xE1; obrazovka","ba-videoplayer-controlbar.pause-video-disabled":"Pauza nen&#xED; podporov&#xE1;na","ba-videorecorder-chooser.record-audio":"Z&#xE1;znam zvuku","ba-videorecorder-controlbar.stop-available-after":"Minim&#xE1;ln&#xED; doba z&#xE1;znamu je %d sekund","ba-videorecorder-controlbar.cancel":"zru&#x161;en&#xED;","ba-videorecorder-controlbar.cancel-tooltip":"Kliknut&#xED;m sem akci zru&#x161;&#xED;te.","ba-videorecorder.cancel-confirm":"Opravdu chcete zru&#x161;it nahr&#xE1;v&#xE1;n&#xED; videa?","ba-videoplayer-adslot.elapsed-time":"Uplynul&#xFD; &#x10D;as","ba-videoplayer-adslot.volume-button":"Nastavte hlasitost","ba-videoplayer-adslot.volume-mute":"Ztlumit zvuk","ba-videoplayer-adslot.volume-unmute":"Zapnout zvuk","ba-videoplayer-adslot.ad-will-end-after":"Reklama skon&#x10D;&#xED; po %s","ba-videoplayer-adslot.can-skip-after":"P&#x159;esko&#x10D;it po %d","ba-videoplayer-adslot.skip-ad":"P&#x159;esko&#x10D;it reklamu","ba-videorecorder.software-required":"Chcete-li pokra&#x10D;ovat, klikn&#x11B;te n&#xED;&#x17E;e a nainstalujte / aktivujte n&#xE1;sleduj&#xED;c&#xED; po&#x17E;adavky.","ba-videorecorder.software-waiting":"&#x10C;ek&#xE1;n&#xED; na instalaci / aktivaci po&#x17E;adavk&#x16F;. Po dokon&#x10D;en&#xED; mo&#x17E;n&#xE1; budete muset str&#xE1;nku obnovit.","ba-videoplayer-controlbar.close-tracks":"Zav&#x159;&#xED;t CC","ba-videoplayer-controlbar.show-tracks":"Zobrazit CC","ba-videoplayer-tracks.upload-text-tracks":"Nahrajte textov&#xE9; soubory stopy","ba-videoplayer-tracks.select-text-track-language":"Jazyk titulk&#x16F;","ba-videoplayer-tracks.info-select-locale-first":"Nejprve vyberte n&#xE1;rodn&#xED; prost&#x159;ed&#xED;","ba-videoplayer-tracks.select-text-track-file":"Klepnut&#xED;m vyberte soubor","ba-videoplayer-tracks.back":"zadn&#xED;","ba-videorecorder.framerate-warning":"Sn&#xED;mkov&#xE1; frekvence videa je velmi n&#xED;zk&#xE1;. Doporu&#x10D;ujeme zav&#x159;&#xED;t v&#x161;echny ostatn&#xED; programy a karty prohl&#xED;&#x17E;e&#x10D;e nebo pou&#x17E;&#xED;t rychlej&#x161;&#xED; po&#x10D;&#xED;ta&#x10D;.","ba-videorecorder.upload-error-duration":"D&#xE9;lka nahran&#xE9;ho videa nespl&#x148;uje po&#x17E;adavky - kliknut&#xED;m sem to zkuste znovu.","ba-videorecorder.resolution-constraint-error":"Soubor, kter&#xFD; jste vybrali, neodpov&#xED;d&#xE1; po&#x17E;adovan&#xE9;mu rozli&#x161;en&#xED; - kliknut&#xED;m sem to zkuste znovu.","ba-videorecorder.orientation-portrait-required":"Chcete-li nahr&#xE1;vat v re&#x17E;imu na v&#xFD;&#x161;ku, oto&#x10D;te za&#x159;&#xED;zen&#xED;.","ba-videorecorder.orientation-landscape-required":"Chcete-li nahr&#xE1;vat v re&#x17E;imu na &#x161;&#xED;&#x159;ku, oto&#x10D;te za&#x159;&#xED;zen&#xED;.","ba-imageviewer-controlbar.rerecord-image":"P&#x159;ed&#x11B;lat?","ba-imageviewer-controlbar.submit-image":"Potvrdit","ba-imageviewer-controlbar.fullscreen-image":"P&#x159;ejd&#x11B;te na celou obrazovku","ba-imageviewer-controlbar.exit-fullscreen-image":"Ukon&#x10D;it re&#x17E;im cel&#xE9; obrazovky","ba-imageviewer.image-error":"Vyskytla se chyba. Zkuste to pros&#xED;m pozd&#x11B;ji. Kliknut&#xED;m to zkuste znovu.","ba-imagecapture-chooser.image-capture":"Zachy&#x165;te obr&#xE1;zek","ba-imagecapture-chooser.upload-image":"Nahr&#xE1;t obr&#xE1;zek","ba-imagecapture-controlbar.settings":"Nastaven&#xED;","ba-imagecapture-controlbar.camerahealthy":"Osv&#x11B;tlen&#xED; je dobr&#xE9;","ba-imagecapture-controlbar.cameraunhealthy":"Osv&#x11B;tlen&#xED; nen&#xED; optim&#xE1;ln&#xED;","ba-imagecapture-controlbar.record":"Zachy&#x165;te","ba-imagecapture-controlbar.record-tooltip":"Kliknut&#xED;m sem po&#x159;&#xED;d&#xED;te sn&#xED;mek.","ba-imagecapture-controlbar.rerecord":"P&#x159;ed&#x11B;lat","ba-imagecapture-controlbar.rerecord-tooltip":"Klikn&#x11B;te znovu pro opakov&#xE1;n&#xED;.","ba-imagecapture-controlbar.cancel":"zru&#x161;en&#xED;","ba-imagecapture-controlbar.cancel-tooltip":"Kliknut&#xED;m sem akci zru&#x161;&#xED;te.","ba-audioplayer-controlbar.audio-progress":"Pokrok","ba-audioplayer-controlbar.rerecord-audio":"P&#x159;ed&#x11B;lat?","ba-audioplayer-controlbar.submit-audio":"Potvrdit","ba-audioplayer-controlbar.play-audio":"Hr&#xE1;t si","ba-audioplayer-controlbar.pause-audio":"Pauza","ba-audioplayer-controlbar.pause-audio-disabled":"Pauza nen&#xED; podporov&#xE1;na","ba-audioplayer-controlbar.elapsed-time":"Uplynul&#xFD; &#x10D;as","ba-audioplayer-controlbar.total-time":"Celkov&#xE1; d&#xE9;lka","ba-audioplayer-controlbar.volume-button":"Nastavte hlasitost","ba-audioplayer-controlbar.volume-mute":"Ztlumit zvuk","ba-audioplayer-controlbar.volume-unmute":"Zapnout zvuk","ba-audioplayer-loader.tooltip":"Na&#x10D;&#xED;t&#xE1;n&#xED;...","ba-audioplayer.audio-error":"Vyskytla se chyba. Zkuste to pros&#xED;m pozd&#x11B;ji. Kliknut&#xED;m to zkuste znovu.","ba-audiorecorder-chooser.record-audio":"Z&#xE1;znam zvuku","ba-audiorecorder-chooser.upload-audio":"Nahr&#xE1;t zvuk","ba-audiorecorder-controlbar.settings":"Nastaven&#xED;","ba-audiorecorder-controlbar.microphonehealthy":"Zvuk je dobr&#xFD;","ba-audiorecorder-controlbar.microphoneunhealthy":"Nelze zachytit &#x17E;&#xE1;dn&#xFD; zvuk","ba-audiorecorder-controlbar.record":"Z&#xE1;znam","ba-audiorecorder-controlbar.record-tooltip":"Klepnut&#xED;m sem spust&#xED;te nahr&#xE1;v&#xE1;n&#xED;.","ba-audiorecorder-controlbar.rerecord":"P&#x159;ed&#x11B;lat","ba-audiorecorder-controlbar.rerecord-tooltip":"Klikn&#x11B;te znovu pro opakov&#xE1;n&#xED;.","ba-audiorecorder-controlbar.stop":"Stop","ba-audiorecorder-controlbar.stop-tooltip":"Kliknut&#xED;m sem zastav&#xED;te.","ba-audiorecorder-controlbar.stop-available-after":"Minim&#xE1;ln&#xED; doba z&#xE1;znamu je %d sekund","ba-audiorecorder-controlbar.cancel":"zru&#x161;en&#xED;","ba-audiorecorder-controlbar.cancel-tooltip":"Kliknut&#xED;m sem akci zru&#x161;&#xED;te.","ba-videoplayer-controlbar.player-speed":"Rychlost hr&#xE1;&#x10D;e","ba-videoplayer-controlbar.settings":"Nastaven&#xED;","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"Ikona Airplay.","ba-videoplayer.all-settings":"V&#x161;echna nastaven&#xED;","ba-videoplayer.player-speed":"Rychlost hr&#xE1;&#x10D;e","ba-videoplayer.full-screen":"Cel&#xE1; obrazovka","ba-videorecorder-controlbar.add-stream":"P&#x159;idat stream","ba-videorecorder.switch-camera":"P&#x159;epnout kameru","ba-videorecorder.prepare-covershot":"P&#x159;&#xED;prava pokus&#x16F;","ba-videorecorder.prepare-thumbnails":"P&#x159;&#xED;prava hled&#xE1;n&#xED; miniatur","ba-videorecorder.adding-new-stream":"P&#x159;id&#xE1;n&#xED; nov&#xE9;ho streamu","ba-imagecapture.recorder-error":"Vyskytla se chyba. Zkuste to pros&#xED;m pozd&#x11B;ji. Kliknut&#xED;m to zkuste znovu.","ba-imagecapture.attach-error":"Nelze z&#xED;skat p&#x159;&#xED;stup k medi&#xE1;ln&#xED;mu rozhran&#xED;. V z&#xE1;vislosti na za&#x159;&#xED;zen&#xED; a prohl&#xED;&#x17E;e&#x10D;i mo&#x17E;n&#xE1; budete muset nainstalovat Flash nebo p&#x159;istupovat na str&#xE1;nku pomoc&#xED; SSL.","ba-imagecapture.software-required":"Chcete-li pokra&#x10D;ovat, klikn&#x11B;te n&#xED;&#x17E;e a nainstalujte / aktivujte n&#xE1;sleduj&#xED;c&#xED; po&#x17E;adavky.","ba-imagecapture.software-waiting":"&#x10C;ek&#xE1;n&#xED; na instalaci / aktivaci po&#x17E;adavk&#x16F;. Po dokon&#x10D;en&#xED; mo&#x17E;n&#xE1; budete muset str&#xE1;nku obnovit.","ba-imagecapture.access-forbidden":"P&#x159;&#xED;stup k m&#xE9;di&#xED;m byl zak&#xE1;z&#xE1;n. Kliknut&#xED;m to zkuste znovu.","ba-imagecapture.uploading":"Nahr&#xE1;v&#xE1;m","ba-imagecapture.uploading-failed":"Nahr&#xE1;v&#xE1;n&#xED; se nezda&#x159;ilo - kliknut&#xED;m sem to zkuste znovu.","ba-imagecapture.upload-error-duration":"D&#xE9;lka nahran&#xE9;ho obr&#xE1;zku nespl&#x148;uje po&#x17E;adavky - kliknut&#xED;m sem to zkuste znovu.","ba-imagecapture.resolution-constraint-error":"Soubor, kter&#xFD; jste vybrali, neodpov&#xED;d&#xE1; po&#x17E;adovan&#xE9;mu rozli&#x161;en&#xED; - kliknut&#xED;m sem to zkuste znovu.","ba-imagecapture.verifying":"Ov&#x11B;&#x159;en&#xED;","ba-imagecapture.verifying-failed":"Ov&#x11B;&#x159;en&#xED; se nezda&#x159;ilo - kliknut&#xED;m sem to zkuste znovu.","ba-imagecapture.rerecord-confirm":"Opravdu chcete znovu po&#x159;&#xED;dit sv&#x16F;j obr&#xE1;zek?","ba-imagecapture.image_file_too_large":"V&#xE1;&#x161; obrazov&#xFD; soubor je p&#x159;&#xED;li&#x161; velk&#xFD; (%s) - kliknut&#xED;m sem to zkuste znovu s men&#x161;&#xED;m obrazov&#xFD;m souborem.","ba-imagecapture.unsupported_image_type":"Nahrajte pros&#xED;m: %s - kliknut&#xED;m sem to zkuste znovu.","ba-imagecapture.orientation-portrait-required":"Chcete-li nahr&#xE1;vat v re&#x17E;imu na v&#xFD;&#x161;ku, oto&#x10D;te za&#x159;&#xED;zen&#xED;.","ba-imagecapture.orientation-landscape-required":"Chcete-li nahr&#xE1;vat v re&#x17E;imu na &#x161;&#xED;&#x159;ku, oto&#x10D;te za&#x159;&#xED;zen&#xED;.","ba-audiorecorder.recorder-error":"Vyskytla se chyba. Zkuste to pros&#xED;m pozd&#x11B;ji. Kliknut&#xED;m to zkuste znovu.","ba-audiorecorder.attach-error":"Nelze z&#xED;skat p&#x159;&#xED;stup k medi&#xE1;ln&#xED;mu rozhran&#xED;. V z&#xE1;vislosti na za&#x159;&#xED;zen&#xED; a prohl&#xED;&#x17E;e&#x10D;i mo&#x17E;n&#xE1; budete muset nainstalovat Flash nebo p&#x159;istupovat na str&#xE1;nku pomoc&#xED; SSL.","ba-audiorecorder.software-required":"Chcete-li pokra&#x10D;ovat, klikn&#x11B;te n&#xED;&#x17E;e a nainstalujte / aktivujte n&#xE1;sleduj&#xED;c&#xED; po&#x17E;adavky.","ba-audiorecorder.software-waiting":"&#x10C;ek&#xE1;n&#xED; na instalaci / aktivaci po&#x17E;adavk&#x16F;. Po dokon&#x10D;en&#xED; mo&#x17E;n&#xE1; budete muset str&#xE1;nku obnovit.","ba-audiorecorder.access-forbidden":"P&#x159;&#xED;stup k m&#xE9;di&#xED;m byl zak&#xE1;z&#xE1;n. Kliknut&#xED;m to zkuste znovu.","ba-audiorecorder.uploading":"Nahr&#xE1;v&#xE1;m","ba-audiorecorder.uploading-failed":"Nahr&#xE1;v&#xE1;n&#xED; se nezda&#x159;ilo - kliknut&#xED;m sem to zkuste znovu.","ba-audiorecorder.upload-error-duration":"D&#xE9;lka nahran&#xE9;ho zvuku nespl&#x148;uje po&#x17E;adavky - kliknut&#xED;m sem to zkuste znovu.","ba-audiorecorder.verifying":"Ov&#x11B;&#x159;en&#xED;","ba-audiorecorder.verifying-failed":"Ov&#x11B;&#x159;en&#xED; se nezda&#x159;ilo - kliknut&#xED;m sem to zkuste znovu.","ba-audiorecorder.rerecord-confirm":"Opravdu chcete p&#x159;ed&#x11B;lat zvuk?","ba-audiorecorder.cancel-confirm":"Opravdu chcete zru&#x161;it nahr&#xE1;v&#xE1;n&#xED; zvuku?","ba-audiorecorder.audio_file_too_large":"V&#xE1;&#x161; zvukov&#xFD; soubor je p&#x159;&#xED;li&#x161; velk&#xFD; (%s) - kliknut&#xED;m sem to zkuste znovu s men&#x161;&#xED;m zvukov&#xFD;m souborem.","ba-audiorecorder.unsupported_audio_type":"Nahrajte pros&#xED;m: %s - kliknut&#xED;m sem to zkuste znovu.","ba-common-settingsmenu.tooltip":"Klikn&#x11B;te pro p&#x159;ehr&#xE1;n&#xED;.","ba-common-settingsmenu.setting-menu":"V&#x161;echna nastaven&#xED;","ba-common-settingsmenu.source-quality":"Kvalita zdroje","ba-common-settingsmenu.player-speed":"Rychlost hr&#xE1;&#x10D;e","ba-common-settingsmenu.set-menu-option":"Nastavit mo&#x17E;nost","ba-common-settingsmenu.submit-video":"Potvr&#x10F;te video","ba-common-settingsmenu.picture-in-picture":"Obraz v obraze","ba-common-settingsmenu.exit-fullscreen-video":"Ukon&#x10D;it re&#x17E;im cel&#xE9; obrazovky","ba-common-settingsmenu.fullscreen-video":"P&#x159;ejd&#x11B;te na celou obrazovku","ba-videorecorder-chooser.multi-stream":"Multi Stream","ba-videorecorder-controlbar.pause-recorder":"Pozastavit z&#xE1;znam","ba-videorecorder-controlbar.resume-recorder":"Obnovte z&#xE1;znam","ba-videorecorder.missing-track":"Chyb&#xED; po&#x17E;adovan&#xE1; zvukov&#xE1; nebo obrazov&#xE1; stopa","ba-videorecorder.device-already-in-use":"Alespo&#x148; jedno z va&#x161;ich vstupn&#xED;ch za&#x159;&#xED;zen&#xED; se ji&#x17E; pou&#x17E;&#xED;v&#xE1;","ba-videorecorder.browser-permission-denied":"Prohl&#xED;&#x17E;e&#x10D; zam&#xED;tl opr&#xE1;vn&#x11B;n&#xED;, ud&#x11B;lejte pros&#xED;m p&#x159;&#xED;stup a znovu na&#x10D;t&#x11B;te str&#xE1;nku","ba-audioplayer.all-settings":"V&#x161;echna nastaven&#xED;","ba-videoplayer-controlbar.remaining-time":"Zb&#xFD;vaj&#xED;c&#xED; &#x10D;as","ba-videoplayer-controlbar.select-frame":"Vybrat","ba-videoplayer-controlbar.trim-video":"O&#x159;&#xED;znout","ba-videoplayer-playbutton.trim":"O&#x159;&#xED;znout","ba-videoplayer-playbutton.skip":"P&#x159;esko&#x10D;it","ba-videorecorder-imagegallery.upload-covershot":"Nahrajte ob&#xE1;lku","ba-videorecorder.pick-covershot-frame":"Vyberte sn&#xED;mek, kter&#xFD; chcete pou&#x17E;&#xED;t jako kryc&#xED; sn&#xED;mek.","ba-videorecorder.screen-recorder-is-not-supported":"Rekord&#xE9;r obrazovky nen&#xED; na tomto za&#x159;&#xED;zen&#xED; podporov&#xE1;n","ba-videorecorder.trim-prompt":"Chcete video o&#x159;&#xED;znout?","ba-videorecorder.trim-video":"Posunut&#xED;m po&#x10D;&#xE1;te&#x10D;n&#xED;ch a koncov&#xFD;ch zna&#x10D;ek o&#x159;&#xED;zn&#x11B;te video","ba-videorecorder.wait-for-trim":"&#x10C;ek&#xE1;n&#xED; na p&#x159;&#xED;kaz o&#x159;&#xED;znut&#xED; ...","ba-videorecorder-controlbar.no-video-source":"Chyb&#xED; dal&#x161;&#xED; zdroj vstupu videa","ba-videorecorder-controlbar.stream-already-selected":"Dal&#x161;&#xED; stream ji&#x17E; byl vybr&#xE1;n","ba-videorecorder.uploading-src-error":"Nyn&#xED; nelze p&#x159;ehr&#xE1;t video, nahr&#xE1;v&#xE1;n&#xED; st&#xE1;le prob&#xED;h&#xE1;","ba-audiorecorder-controlbar.pause-recorder":"Pozastavit rekord&#xE9;r","ba-audiorecorder-controlbar.resume-recorder":"Obnovit z&#xE1;znamn&#xED;k"},"language:da":{"ba-videoplayer-playbutton.tooltip":"Klik for at afspille video.","ba-videoplayer-playbutton.rerecord":"redo","ba-videoplayer-playbutton.submit-video":"Bekr&#xE6;ft video","ba-videoplayer-loader.tooltip":"Indl&#xE6;ser video ...","ba-videoplayer-controlbar.change-resolution":"Skift opl&#xF8;sning","ba-videoplayer-controlbar.video-progress":"fremskridt Video","ba-videoplayer-controlbar.rerecord-video":"Redo video?","ba-videoplayer-controlbar.submit-video":"Bekr&#xE6;ft video","ba-videoplayer-controlbar.play-video":"Afspil video","ba-videoplayer-controlbar.pause-video":"Pause video","ba-videoplayer-controlbar.elapsed-time":"Forl&#xF8;bet tid","ba-videoplayer-controlbar.total-time":"Samlet l&#xE6;ngde af video","ba-videoplayer-controlbar.fullscreen-video":"Indtast fullscreen","ba-videoplayer-controlbar.volume-button":"Indstil lydstyrke","ba-videoplayer-controlbar.volume-mute":"Sl&#xE5; lyden","ba-videoplayer-controlbar.volume-unmute":"Sl&#xE5; lyden til","ba-videoplayer.video-error":"Der opstod en fejl. Pr&#xF8;v venligst igen senere. Klik for at pr&#xF8;ve igen.","ba-videorecorder-chooser.record-video":"Optag din video","ba-videorecorder-chooser.upload-video":"Upload video","ba-videorecorder-controlbar.settings":"Indstillinger","ba-videorecorder-controlbar.camerahealthy":"Belysning er god","ba-videorecorder-controlbar.cameraunhealthy":"Belysning er ikke optimal","ba-videorecorder-controlbar.microphonehealthy":"Lyden er god","ba-videorecorder-controlbar.microphoneunhealthy":"Kan ikke afhente nogen lyd","ba-videorecorder-controlbar.record":"Optag","ba-videorecorder-controlbar.record-tooltip":"Klik her for at optage.","ba-videorecorder-controlbar.rerecord":"redo","ba-videorecorder-controlbar.rerecord-tooltip":"Klik her for at gentage.","ba-videorecorder-controlbar.upload-covershot":"Upload","ba-videorecorder-controlbar.upload-covershot-tooltip":"Klik her for at uploade brugerdefinerede d&#xE6;kning shot","ba-videorecorder-controlbar.stop":"Stop","ba-videorecorder-controlbar.stop-tooltip":"Klik her for at stoppe.","ba-videorecorder-controlbar.skip":"Spring over","ba-videorecorder-controlbar.skip-tooltip":"Klik her for at springe.","ba-videorecorder.recorder-error":"Der opstod en fejl. Pr&#xF8;v venligst igen senere. Klik for at pr&#xF8;ve igen.","ba-videorecorder.attach-error":"Vi kunne ikke f&#xE5; adgang til kameraet interface. Afh&#xE6;ngigt af enheden og browseren, skal du muligvis installere Flash eller adgang til siden via SSL.","ba-videorecorder.access-forbidden":"Adgang til kameraet var forbudt. Klik for at pr&#xF8;ve igen.","ba-videorecorder.pick-covershot":"V&#xE6;lg en covershot.","ba-videorecorder.uploading":"Upload","ba-videorecorder.uploading-failed":"Upload mislykkedes - klik her for at pr&#xF8;ve igen.","ba-videorecorder.verifying":"Bekr&#xE6;ftelse","ba-videorecorder.verifying-failed":"mislykkedes verificering - klik her for at pr&#xF8;ve igen.","ba-videorecorder.rerecord-confirm":"&#xD8;nsker du virkelig at optage en ny video?","ba-videorecorder.video_file_too_large":"Din video filen er for stor (%s) - klik her for at pr&#xF8;ve igen med et mindre videofil.","ba-videorecorder.unsupported_video_type":"upload venligst: %s - klik her for at pr&#xF8;ve igen.","ba-videoplayer-controlbar.exit-fullscreen-video":"Afslut fuldsk&#xE6;rm","ba-videoplayer-share.share":"Del video","ba-videorecorder-chooser.record-screen":"Optagelsessk&#xE6;rm","ba-videoplayer-controlbar.pause-video-disabled":"Pause ikke underst&#xF8;ttet","ba-videorecorder-chooser.record-audio":"Optag lyd","ba-videorecorder-controlbar.stop-available-after":"Mindste optagetid er %d sekunder","ba-videorecorder-controlbar.cancel":"Afbestille","ba-videorecorder-controlbar.cancel-tooltip":"Klik her for at annullere.","ba-videorecorder.cancel-confirm":"Vil du virkelig annullere din video upload?","ba-videoplayer-adslot.elapsed-time":"Forl&#xF8;bet tid","ba-videoplayer-adslot.volume-button":"Indstil lydstyrke","ba-videoplayer-adslot.volume-mute":"D&#xE6;mp lyd","ba-videoplayer-adslot.volume-unmute":"Sluk lyden","ba-videoplayer-adslot.ad-will-end-after":"Annoncen slutter efter %s","ba-videoplayer-adslot.can-skip-after":"Spring over efter %d","ba-videoplayer-adslot.skip-ad":"Spring annoncen over","ba-videorecorder.software-required":"Klik nedenfor for at installere / aktivere f&#xF8;lgende krav for at forts&#xE6;tte.","ba-videorecorder.software-waiting":"Venter p&#xE5; de krav, der skal installeres / aktiveres. Du skal m&#xE5;ske opdatere siden efter f&#xE6;rdigg&#xF8;relsen.","ba-videoplayer-controlbar.close-tracks":"Luk CC","ba-videoplayer-controlbar.show-tracks":"Vis CC","ba-videoplayer-tracks.upload-text-tracks":"Upload spor tekstfiler","ba-videoplayer-tracks.select-text-track-language":"Undertekstsprog","ba-videoplayer-tracks.info-select-locale-first":"V&#xE6;lg f&#xF8;rst lokalitet","ba-videoplayer-tracks.select-text-track-file":"Klik for at v&#xE6;lge fil","ba-videoplayer-tracks.back":"tilbage","ba-videorecorder.framerate-warning":"Videorammerhastigheden er meget lav. Vi anbefaler at lukke alle andre programmer og browser faner eller at bruge en hurtigere computer.","ba-videorecorder.upload-error-duration":"L&#xE6;ngden p&#xE5; den uploadede video opfylder ikke kravene - klik her for at pr&#xF8;ve igen.","ba-videorecorder.resolution-constraint-error":"Filen du har valgt stemmer ikke overens med den kr&#xE6;vede opl&#xF8;sning - klik her for at pr&#xF8;ve igen.","ba-videorecorder.orientation-portrait-required":"Venligst drej din enhed for at optage i st&#xE5;ende tilstand.","ba-videorecorder.orientation-landscape-required":"Venligst drej din enhed for at optage i liggende tilstand.","ba-imageviewer-controlbar.rerecord-image":"Redo?","ba-imageviewer-controlbar.submit-image":"Bekr&#xE6;fte","ba-imageviewer-controlbar.fullscreen-image":"Indtast fuldsk&#xE6;rm","ba-imageviewer-controlbar.exit-fullscreen-image":"Afslut fuldsk&#xE6;rm","ba-imageviewer.image-error":"Der opstod en fejl. Pr&#xF8;v venligst igen senere. Klik for at pr&#xF8;ve igen.","ba-imagecapture-chooser.image-capture":"Capture Image","ba-imagecapture-chooser.upload-image":"Upload billede","ba-imagecapture-controlbar.settings":"Indstillinger","ba-imagecapture-controlbar.camerahealthy":"Belysning er god","ba-imagecapture-controlbar.cameraunhealthy":"Belysning er ikke optimal","ba-imagecapture-controlbar.record":"Fange","ba-imagecapture-controlbar.record-tooltip":"Klik her for at fange.","ba-imagecapture-controlbar.rerecord":"redo","ba-imagecapture-controlbar.rerecord-tooltip":"Klik her for at gentage.","ba-imagecapture-controlbar.cancel":"Afbestille","ba-imagecapture-controlbar.cancel-tooltip":"Klik her for at annullere.","ba-audioplayer-controlbar.audio-progress":"Fremskridt","ba-audioplayer-controlbar.rerecord-audio":"Redo?","ba-audioplayer-controlbar.submit-audio":"Bekr&#xE6;fte","ba-audioplayer-controlbar.play-audio":"Spille","ba-audioplayer-controlbar.pause-audio":"Pause","ba-audioplayer-controlbar.pause-audio-disabled":"Pause ikke underst&#xF8;ttet","ba-audioplayer-controlbar.elapsed-time":"Forl&#xF8;bet tid","ba-audioplayer-controlbar.total-time":"Total l&#xE6;ngde p&#xE5;","ba-audioplayer-controlbar.volume-button":"Indstil lydstyrke","ba-audioplayer-controlbar.volume-mute":"D&#xE6;mp lyd","ba-audioplayer-controlbar.volume-unmute":"Sluk lyden","ba-audioplayer-loader.tooltip":"Indl&#xE6;ser...","ba-audioplayer.audio-error":"Der opstod en fejl. Pr&#xF8;v venligst igen senere. Klik for at pr&#xF8;ve igen.","ba-audiorecorder-chooser.record-audio":"Optag lyd","ba-audiorecorder-chooser.upload-audio":"Upload lyd","ba-audiorecorder-controlbar.settings":"Indstillinger","ba-audiorecorder-controlbar.microphonehealthy":"Lyden er god","ba-audiorecorder-controlbar.microphoneunhealthy":"Kan ikke hente nogen lyd","ba-audiorecorder-controlbar.record":"Optage","ba-audiorecorder-controlbar.record-tooltip":"Klik her for at optage.","ba-audiorecorder-controlbar.rerecord":"redo","ba-audiorecorder-controlbar.rerecord-tooltip":"Klik her for at gentage.","ba-audiorecorder-controlbar.stop":"Hold op","ba-audiorecorder-controlbar.stop-tooltip":"Klik her for at stoppe.","ba-audiorecorder-controlbar.stop-available-after":"Mindste optagetid er %d sekunder","ba-audiorecorder-controlbar.cancel":"Afbestille","ba-audiorecorder-controlbar.cancel-tooltip":"Klik her for at annullere.","ba-videoplayer-controlbar.player-speed":"Spillerhastighed","ba-videoplayer-controlbar.settings":"Indstillinger","ba-videoplayer-controlbar.airplay":"airplay","ba-videoplayer-controlbar.airplay-icon":"Airplay ikon.","ba-videoplayer.all-settings":"Alle indstillinger","ba-videoplayer.player-speed":"Spillerhastighed","ba-videoplayer.full-screen":"Fuld sk&#xE6;rm","ba-videorecorder-controlbar.add-stream":"Tilf&#xF8;j Stream","ba-videorecorder.switch-camera":"Skift kamera","ba-videorecorder.prepare-covershot":"Forbereder coverhots","ba-videorecorder.prepare-thumbnails":"Forbereder s&#xF8;ger miniaturer","ba-videorecorder.adding-new-stream":"Tilf&#xF8;jelse af ny str&#xF8;m","ba-imagecapture.recorder-error":"Der opstod en fejl. Pr&#xF8;v venligst igen senere. Klik for at pr&#xF8;ve igen.","ba-imagecapture.attach-error":"Vi kunne ikke f&#xE5; adgang til medieinterfacet. Afh&#xE6;ngigt af enhed og browser skal du muligvis installere Flash eller f&#xE5; adgang til siden via SSL.","ba-imagecapture.software-required":"Klik nedenfor for at installere / aktivere f&#xF8;lgende krav for at forts&#xE6;tte.","ba-imagecapture.software-waiting":"Venter p&#xE5; de krav, der skal installeres / aktiveres. Du skal m&#xE5;ske opdatere siden efter f&#xE6;rdigg&#xF8;relsen.","ba-imagecapture.access-forbidden":"Adgang til medierne var forbudt. Klik for at pr&#xF8;ve igen.","ba-imagecapture.uploading":"Upload","ba-imagecapture.uploading-failed":"Uploading mislykkedes - klik her for at pr&#xF8;ve igen.","ba-imagecapture.upload-error-duration":"L&#xE6;ngde p&#xE5; det uploadede billede opfylder ikke kravene - klik her for at pr&#xF8;ve igen.","ba-imagecapture.resolution-constraint-error":"Filen du har valgt stemmer ikke overens med den kr&#xE6;vede opl&#xF8;sning - klik her for at pr&#xF8;ve igen.","ba-imagecapture.verifying":"Bekr&#xE6;ftelse","ba-imagecapture.verifying-failed":"Bekr&#xE6;ftelse mislykkedes - klik her for at pr&#xF8;ve igen.","ba-imagecapture.rerecord-confirm":"Vil du virkelig genoptage dit billede?","ba-imagecapture.image_file_too_large":"Din billedfil er for stor (%s) - klik her for at pr&#xF8;ve igen med en mindre billedfil.","ba-imagecapture.unsupported_image_type":"Upload venligst: %s - klik her for at pr&#xF8;ve igen.","ba-imagecapture.orientation-portrait-required":"Venligst drej din enhed for at optage i st&#xE5;ende tilstand.","ba-imagecapture.orientation-landscape-required":"Venligst drej din enhed for at optage i liggende tilstand.","ba-audiorecorder.recorder-error":"Der opstod en fejl. Pr&#xF8;v venligst igen senere. Klik for at pr&#xF8;ve igen.","ba-audiorecorder.attach-error":"Vi kunne ikke f&#xE5; adgang til medieinterfacet. Afh&#xE6;ngigt af enhed og browser skal du muligvis installere Flash eller f&#xE5; adgang til siden via SSL.","ba-audiorecorder.software-required":"Klik nedenfor for at installere / aktivere f&#xF8;lgende krav for at forts&#xE6;tte.","ba-audiorecorder.software-waiting":"Venter p&#xE5; de krav, der skal installeres / aktiveres. Du skal m&#xE5;ske opdatere siden efter f&#xE6;rdigg&#xF8;relsen.","ba-audiorecorder.access-forbidden":"Adgang til medierne var forbudt. Klik for at pr&#xF8;ve igen.","ba-audiorecorder.uploading":"Upload","ba-audiorecorder.uploading-failed":"Uploading mislykkedes - klik her for at pr&#xF8;ve igen.","ba-audiorecorder.upload-error-duration":"L&#xE6;ngden p&#xE5; den uploadede lyd opfylder ikke kravene - klik her for at pr&#xF8;ve igen.","ba-audiorecorder.verifying":"Bekr&#xE6;ftelse","ba-audiorecorder.verifying-failed":"Bekr&#xE6;ftelse mislykkedes - klik her for at pr&#xF8;ve igen.","ba-audiorecorder.rerecord-confirm":"Vil du virkelig lave din lyd igen?","ba-audiorecorder.cancel-confirm":"Vil du virkelig annullere din lydopload?","ba-audiorecorder.audio_file_too_large":"Din lydfil er for stor (%s) - klik her for at pr&#xF8;ve igen med en mindre lydfil.","ba-audiorecorder.unsupported_audio_type":"Upload venligst: %s - klik her for at pr&#xF8;ve igen.","ba-common-settingsmenu.tooltip":"Klik for at spille.","ba-common-settingsmenu.setting-menu":"Alle indstillinger","ba-common-settingsmenu.source-quality":"Kildekvalitet","ba-common-settingsmenu.player-speed":"Spillerens hastighed","ba-common-settingsmenu.set-menu-option":"Indstil mulighed","ba-common-settingsmenu.submit-video":"Bekr&#xE6;ft video","ba-common-settingsmenu.picture-in-picture":"Billede i billede","ba-common-settingsmenu.exit-fullscreen-video":"Afslut fuldsk&#xE6;rm","ba-common-settingsmenu.fullscreen-video":"G&#xE5; ind i fuld sk&#xE6;rm","ba-videorecorder-chooser.multi-stream":"Multi Stream","ba-videorecorder-controlbar.pause-recorder":"Pause optager","ba-videorecorder-controlbar.resume-recorder":"Genoptag optager","ba-videorecorder.missing-track":"P&#xE5;kr&#xE6;vet lyd- eller videospor mangler","ba-videorecorder.device-already-in-use":"Mindst en af dine inputenheder er allerede i brug","ba-videorecorder.browser-permission-denied":"Tilladelse n&#xE6;gtet af browseren, giv venligst adgang og genindl&#xE6;s siden","ba-audioplayer.all-settings":"Alle indstillinger","ba-videoplayer-controlbar.remaining-time":"Resterende tid","ba-videoplayer-controlbar.select-frame":"V&#xE6;lg","ba-videoplayer-controlbar.trim-video":"Trimme","ba-videoplayer-playbutton.trim":"Trimme","ba-videoplayer-playbutton.skip":"Springe","ba-videorecorder-imagegallery.upload-covershot":"Upload d&#xE6;kning","ba-videorecorder.pick-covershot-frame":"V&#xE6;lg en ramme, der skal bruges som forsidebillede.","ba-videorecorder.screen-recorder-is-not-supported":"Screen recorder underst&#xF8;ttes ikke p&#xE5; denne enhed","ba-videorecorder.trim-prompt":"Vil du trimme din video?","ba-videorecorder.trim-video":"Flyt start- og slutmark&#xF8;rerne for at trimme din video","ba-videorecorder.wait-for-trim":"Venter p&#xE5; trimkommando ...","ba-videorecorder-controlbar.no-video-source":"Mangler yderligere videoindgangskilde","ba-videorecorder-controlbar.stream-already-selected":"Yderligere str&#xF8;m er allerede valgt","ba-videorecorder.uploading-src-error":"Kan ikke afspille video nu, og upload er stadig i gang","ba-audiorecorder-controlbar.pause-recorder":"Pause optager","ba-audiorecorder-controlbar.resume-recorder":"Genoptag optager"},"language:de":{"ba-videoplayer-playbutton.tooltip":"Hier klicken um Wiedergabe zu starten.","ba-videoplayer-playbutton.rerecord":"Video neu aufnehmen","ba-videoplayer-playbutton.submit-video":"Video akzeptieren","ba-videoplayer-loader.tooltip":"Video wird geladen...","ba-videoplayer-controlbar.change-resolution":"Aufl&#xF6;sung anpassen","ba-videoplayer-controlbar.video-progress":"Videofortschritt","ba-videoplayer-controlbar.rerecord-video":"Video erneut aufnehmen?","ba-videoplayer-controlbar.submit-video":"Video akzeptieren","ba-videoplayer-controlbar.play-video":"Video wiedergeben","ba-videoplayer-controlbar.pause-video":"Video pausieren","ba-videoplayer-controlbar.elapsed-time":"Vergangene Zeit","ba-videoplayer-controlbar.total-time":"L&#xE4;nge des Videos","ba-videoplayer-controlbar.fullscreen-video":"Vollbildmodus","ba-videoplayer-controlbar.volume-button":"Lautst&#xE4;rke regulieren","ba-videoplayer-controlbar.volume-mute":"Ton abstellen","ba-videoplayer-controlbar.volume-unmute":"Ton wieder aktivieren","ba-videoplayer.video-error":"Es ist ein Fehler aufgetreten, bitte versuchen Sie es sp&#xE4;ter noch einmal. Hier klicken, um es noch einmal zu probieren.","ba-videorecorder-chooser.record-video":"Video aufnehmen","ba-videorecorder-chooser.upload-video":"Video hochladen","ba-videorecorder-controlbar.settings":"Einstellungen","ba-videorecorder-controlbar.camerahealthy":"Gute Beleuchtung","ba-videorecorder-controlbar.cameraunhealthy":"Beleuchtung nicht optimal","ba-videorecorder-controlbar.microphonehealthy":"Soundqualit&#xE4;t einwandfrei","ba-videorecorder-controlbar.microphoneunhealthy":"Mikrofon bis jetzt stumm","ba-videorecorder-controlbar.record":"Video aufnehmen","ba-videorecorder-controlbar.record-tooltip":"Hier klicken um Aufnahme zu starten.","ba-videorecorder-controlbar.rerecord":"Video neu aufnehmen","ba-videorecorder-controlbar.rerecord-tooltip":"Hier klicken um Video erneut aufzunehmen.","ba-videorecorder-controlbar.upload-covershot":"Hochladen","ba-videorecorder-controlbar.upload-covershot-tooltip":"Hier klicken um einen Covershot hochzuladen.","ba-videorecorder-controlbar.stop":"Aufnahme stoppen","ba-videorecorder-controlbar.stop-tooltip":"Hier klicken um Aufnahme zu stoppen.","ba-videorecorder-controlbar.skip":"&#xDC;berspringen","ba-videorecorder-controlbar.skip-tooltip":"Hier klicken um zu &#xDC;berspringen.","ba-videorecorder.recorder-error":"Es ist ein Fehler aufgetreten, bitte versuchen Sie es sp&#xE4;ter noch einmal. Hier klicken, um es noch einmal zu probieren.","ba-videorecorder.attach-error":"Wir konnten nicht auf das Medieninterface zugreifen. Je nach Browser und Ger&#xE4;t muss m&#xF6;glicherweise Flash installiert oder die Seite &#xFC;ber SSL geladen werden.","ba-videorecorder.access-forbidden":"Zugriff auf das Medieninterface wurde verweigert. Hier klicken, um es noch einmal zu probieren.","ba-videorecorder.pick-covershot":"Bitte w&#xE4;hlen Sie einen Covershot aus.","ba-videorecorder.uploading":"Hochladen","ba-videorecorder.uploading-failed":"Hochladen fehlgeschlagen. Hier klicken, um es noch einmal zu probieren.","ba-videorecorder.verifying":"Verifizieren","ba-videorecorder.verifying-failed":"Verifizierung fehlgeschlagen. Hier klicken, um es noch einmal zu probieren.","ba-videorecorder.rerecord-confirm":"M&#xF6;chten Sie Ihr Video wirklich noch einmal aufnehmen?","ba-videorecorder.video_file_too_large":"Die angegebene Videodatei ist zu gro&#xDF; (%s). Hier klicken, um eine kleinere Videodatei hochzuladen.","ba-videorecorder.unsupported_video_type":"Bitte laden Sie Dateien des folgenden Typs hoch: %s. Hier klicken, um es noch einmal zu probieren.","ba-videoplayer-controlbar.exit-fullscreen-video":"Den Vollbildmous verlassen","ba-videoplayer-share.share":"Video teilen","ba-videorecorder-chooser.record-screen":"Bildschirm aufnehmen","ba-videoplayer-controlbar.pause-video-disabled":"Pause wird nicht unterst&#xFC;tzt","ba-videorecorder-chooser.record-audio":"Ton aufnehmen","ba-videorecorder-controlbar.stop-available-after":"Die minimale Aufnahmezeit ist %d Sekunden","ba-videorecorder-controlbar.cancel":"Stornieren","ba-videorecorder-controlbar.cancel-tooltip":"Klicken Sie hier, um abzubrechen.","ba-videorecorder.cancel-confirm":"M&#xF6;chten Sie Ihren Video-Upload wirklich abbrechen?","ba-videoplayer-adslot.elapsed-time":"Elased Zeit","ba-videoplayer-adslot.volume-button":"Lautst&#xE4;rke einstellen","ba-videoplayer-adslot.volume-mute":"Ton stummschalten","ba-videoplayer-adslot.volume-unmute":"Ton nicht h&#xF6;ren","ba-videoplayer-adslot.ad-will-end-after":"Die Anzeige endet nach %s","ba-videoplayer-adslot.can-skip-after":"&#xDC;berspringen nach %d","ba-videoplayer-adslot.skip-ad":"&#xDC;berspringen","ba-videorecorder.software-required":"Bitte klicken Sie hier, um die folgenden Voraussetzungen zu installieren bzw. zu aktivieren.","ba-videorecorder.software-waiting":"Warte auf Abschluss der Installation bzw. der Aktivierung. M&#xF6;glicherweise m&#xFC;ssen Sie die Seite nach dem Abschluss aktualisieren.","ba-videoplayer-controlbar.close-tracks":"Schlie&#xDF;en CC","ba-videoplayer-controlbar.show-tracks":"Zeig CC","ba-videoplayer-tracks.upload-text-tracks":"Hochladen von Textdateien","ba-videoplayer-tracks.select-text-track-language":"Untertitelsprache","ba-videoplayer-tracks.info-select-locale-first":"W&#xE4;hlen Sie zuerst das Gebietsschema aus","ba-videoplayer-tracks.select-text-track-file":"Klicken Sie, um eine Datei auszuw&#xE4;hlen","ba-videoplayer-tracks.back":"zur&#xFC;ck","ba-videorecorder.framerate-warning":"Die Videobildrate ist sehr niedrig. Wir empfehlen, alle anderen Programme und Browser-Tabs zu schlie&#xDF;en oder einen schnelleren Computer zu verwenden.","ba-videorecorder.upload-error-duration":"Die L&#xE4;nge des hochgeladenen Videos entspricht nicht den Anforderungen. Klicken Sie hier, um es erneut zu versuchen.","ba-videorecorder.resolution-constraint-error":"Die von Ihnen ausgew&#xE4;hlte Datei stimmt nicht mit der erforderlichen Aufl&#xF6;sung &#xFC;berein - klicken Sie hier, um es erneut zu versuchen.","ba-videorecorder.orientation-portrait-required":"Bitte drehen Sie Ihr Ger&#xE4;t, um im Hochformat aufzunehmen.","ba-videorecorder.orientation-landscape-required":"Bitte drehen Sie Ihr Ger&#xE4;t, um im Querformat aufzunehmen.","ba-imageviewer-controlbar.rerecord-image":"Wiederholen?","ba-imageviewer-controlbar.submit-image":"Best&#xE4;tigen","ba-imageviewer-controlbar.fullscreen-image":"Vollbildmodus aktivieren","ba-imageviewer-controlbar.exit-fullscreen-image":"Vollbildmodus beenden","ba-imageviewer.image-error":"Ein Fehler ist aufgetreten. Bitte versuchen Sie es sp&#xE4;ter erneut. Klicken Sie, um es erneut zu versuchen.","ba-imagecapture-chooser.image-capture":"Bild aufnehmen","ba-imagecapture-chooser.upload-image":"Bild hochladen","ba-imagecapture-controlbar.settings":"die Einstellungen","ba-imagecapture-controlbar.camerahealthy":"Die Beleuchtung ist gut","ba-imagecapture-controlbar.cameraunhealthy":"Die Beleuchtung ist nicht optimal","ba-imagecapture-controlbar.record":"Erfassung","ba-imagecapture-controlbar.record-tooltip":"Klicken Sie hier, um zu erfassen.","ba-imagecapture-controlbar.rerecord":"Wiederholen","ba-imagecapture-controlbar.rerecord-tooltip":"Klicken Sie hier, um den Vorgang zu wiederholen.","ba-imagecapture-controlbar.cancel":"Stornieren","ba-imagecapture-controlbar.cancel-tooltip":"Klicken Sie hier, um abzubrechen.","ba-audioplayer-controlbar.audio-progress":"Fortschritt","ba-audioplayer-controlbar.rerecord-audio":"Wiederholen?","ba-audioplayer-controlbar.submit-audio":"Best&#xE4;tigen","ba-audioplayer-controlbar.play-audio":"abspielen","ba-audioplayer-controlbar.pause-audio":"Pause","ba-audioplayer-controlbar.pause-audio-disabled":"Pause wird nicht unterst&#xFC;tzt","ba-audioplayer-controlbar.elapsed-time":"Elased Zeit","ba-audioplayer-controlbar.total-time":"Gesamtl&#xE4;nge von","ba-audioplayer-controlbar.volume-button":"Lautst&#xE4;rke einstellen","ba-audioplayer-controlbar.volume-mute":"Ton stummschalten","ba-audioplayer-controlbar.volume-unmute":"Ton nicht h&#xF6;ren","ba-audioplayer-loader.tooltip":"Wird geladen...","ba-audioplayer.audio-error":"Ein Fehler ist aufgetreten. Bitte versuchen Sie es sp&#xE4;ter erneut. Klicken Sie, um es erneut zu versuchen.","ba-audiorecorder-chooser.record-audio":"Ton aufnehmen","ba-audiorecorder-chooser.upload-audio":"Audio hochladen","ba-audiorecorder-controlbar.settings":"die Einstellungen","ba-audiorecorder-controlbar.microphonehealthy":"Sound ist gut","ba-audiorecorder-controlbar.microphoneunhealthy":"Kann keinen Ton aufnehmen","ba-audiorecorder-controlbar.record":"Aufzeichnung","ba-audiorecorder-controlbar.record-tooltip":"Klicken Sie hier, um aufzunehmen.","ba-audiorecorder-controlbar.rerecord":"Wiederholen","ba-audiorecorder-controlbar.rerecord-tooltip":"Klicken Sie hier, um den Vorgang zu wiederholen.","ba-audiorecorder-controlbar.stop":"Halt","ba-audiorecorder-controlbar.stop-tooltip":"Klicken Sie hier, um zu stoppen.","ba-audiorecorder-controlbar.stop-available-after":"Die minimale Aufnahmezeit ist %d Sekunden","ba-audiorecorder-controlbar.cancel":"Stornieren","ba-audiorecorder-controlbar.cancel-tooltip":"Klicken Sie hier, um abzubrechen.","ba-videoplayer-controlbar.player-speed":"Wiedergabegeschwindigkeit","ba-videoplayer-controlbar.settings":"Einstellungen","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"Airplay-Symbol","ba-videoplayer.all-settings":"Einstellungen","ba-videoplayer.player-speed":"Wiedergabegeschwindigkeit","ba-videoplayer.full-screen":"Vollbild","ba-videorecorder-controlbar.add-stream":"Quelle hinzuf&#xFC;gen","ba-videorecorder.switch-camera":"Kamera wechseln","ba-videorecorder.prepare-covershot":"Covershots vorbereiten","ba-videorecorder.prepare-thumbnails":"Thumbnails vorbereiten","ba-videorecorder.adding-new-stream":"Neue Quelle hinzuf&#xFC;gen","ba-imagecapture.recorder-error":"Ein Fehler ist aufgetreten. Bitte versuchen Sie es sp&#xE4;ter erneut. Klicken Sie hier, um es erneut zu versuchen.","ba-imagecapture.attach-error":"Wir konnten nicht auf die Medienschnittstelle zugreifen. Je nach Ger&#xE4;t und Browser m&#xFC;ssen Sie m&#xF6;glicherweise Flash installieren oder &#xFC;ber SSL auf die Seite zugreifen.","ba-imagecapture.software-required":"Klicken Sie unten, um die folgenden Voraussetzungen zu installieren / aktivieren, um fortzufahren.","ba-imagecapture.software-waiting":"Warten auf die Installation / Aktivierung der Anforderungen. M&#xF6;glicherweise m&#xFC;ssen Sie die Seite nach Abschluss aktualisieren.","ba-imagecapture.access-forbidden":"Der Zugang zu den Medien war verboten. Klicken Sie hier, um es erneut zu versuchen.","ba-imagecapture.uploading":"Hochladen","ba-imagecapture.uploading-failed":"Hochladen fehlgeschlagen - Klicken Sie hier, um es erneut zu versuchen.","ba-imagecapture.upload-error-duration":"Die L&#xE4;nge des hochgeladenen Bildes entspricht nicht den Anforderungen. Klicken Sie hier, um es erneut zu versuchen.","ba-imagecapture.resolution-constraint-error":"Die ausgew&#xE4;hlte Datei entspricht nicht der erforderlichen Aufl&#xF6;sung. Klicken Sie hier, um es erneut zu versuchen.","ba-imagecapture.verifying":"&#xDC;berpr&#xFC;fung","ba-imagecapture.verifying-failed":"&#xDC;berpr&#xFC;fung fehlgeschlagen - Klicken Sie hier, um es erneut zu versuchen.","ba-imagecapture.rerecord-confirm":"M&#xF6;chten Sie Ihr Bild wirklich neu aufnehmen?","ba-imagecapture.image_file_too_large":"Ihre Bilddatei ist zu gro&#xDF; (%s). Klicken Sie hier, um es mit einer kleineren Bilddatei erneut zu versuchen.","ba-imagecapture.unsupported_image_type":"Bitte hochladen: %s - Klicken Sie hier, um es erneut zu versuchen.","ba-imagecapture.orientation-portrait-required":"Bitte drehen Sie Ihr Ger&#xE4;t, um im Hochformat aufzunehmen.","ba-imagecapture.orientation-landscape-required":"Bitte drehen Sie Ihr Ger&#xE4;t, um im Querformat aufzunehmen.","ba-audiorecorder.recorder-error":"Ein Fehler ist aufgetreten. Bitte versuchen Sie es sp&#xE4;ter erneut. Klicken Sie hier, um es erneut zu versuchen.","ba-audiorecorder.attach-error":"Wir konnten nicht auf die Medienschnittstelle zugreifen. Je nach Ger&#xE4;t und Browser m&#xFC;ssen Sie m&#xF6;glicherweise Flash installieren oder &#xFC;ber SSL auf die Seite zugreifen.","ba-audiorecorder.software-required":"Klicken Sie unten, um die folgenden Voraussetzungen zu installieren / aktivieren, um fortzufahren.","ba-audiorecorder.software-waiting":"Warten auf die Installation / Aktivierung der Anforderungen. M&#xF6;glicherweise m&#xFC;ssen Sie die Seite nach Abschluss aktualisieren.","ba-audiorecorder.access-forbidden":"Der Zugang zu den Medien war verboten. Klicken Sie hier, um es erneut zu versuchen.","ba-audiorecorder.uploading":"Hochladen","ba-audiorecorder.uploading-failed":"Hochladen fehlgeschlagen - Klicken Sie hier, um es erneut zu versuchen.","ba-audiorecorder.upload-error-duration":"Die L&#xE4;nge des hochgeladenen Audios entspricht nicht den Anforderungen. Klicken Sie hier, um es erneut zu versuchen.","ba-audiorecorder.verifying":"&#xDC;berpr&#xFC;fung","ba-audiorecorder.verifying-failed":"&#xDC;berpr&#xFC;fung fehlgeschlagen - Klicken Sie hier, um es erneut zu versuchen.","ba-audiorecorder.rerecord-confirm":"M&#xF6;chten Sie Ihr Audio wirklich wiederholen?","ba-audiorecorder.cancel-confirm":"M&#xF6;chten Sie Ihren Audio-Upload wirklich abbrechen?","ba-audiorecorder.audio_file_too_large":"Ihre Audiodatei ist zu gro&#xDF; (%s) - Klicken Sie hier, um es mit einer kleineren Audiodatei erneut zu versuchen.","ba-audiorecorder.unsupported_audio_type":"Bitte hochladen: %s - Klicken Sie hier, um es erneut zu versuchen.","ba-common-settingsmenu.tooltip":"Hier klicken um Wiedergabe zu starten.","ba-common-settingsmenu.setting-menu":"Einstellungen","ba-common-settingsmenu.source-quality":"Quellqualit&#xE4;t","ba-common-settingsmenu.player-speed":"Wiedergabegeschwindigkeit","ba-common-settingsmenu.set-menu-option":"Option einstellen","ba-common-settingsmenu.submit-video":"Video best&#xE4;tigen","ba-common-settingsmenu.picture-in-picture":"Bild im Bild","ba-common-settingsmenu.exit-fullscreen-video":"Vollbildmous verlassen","ba-common-settingsmenu.fullscreen-video":"Vollbildmodus","ba-videorecorder-chooser.multi-stream":"Mehrfach-Stream","ba-videorecorder-controlbar.pause-recorder":"Aufnahme pausieren","ba-videorecorder-controlbar.resume-recorder":"Aufnahme fortsetzen","ba-videorecorder.missing-track":"Die erforderliche Audio- oder Videospur fehlt","ba-videorecorder.device-already-in-use":"Mindestens eines Ihrer Eingabeger&#xE4;te ist bereits in Gebrauch","ba-videorecorder.browser-permission-denied":"Zugriff wurde vom Browser verweigert, bitte erteilen Sie die Erlaubnis und laden Sie die Seite neu","ba-audioplayer.all-settings":"Einstellungen","ba-videoplayer-controlbar.remaining-time":"Verbleibende Zeit","ba-videoplayer-controlbar.select-frame":"W&#xE4;hlen","ba-videoplayer-controlbar.trim-video":"Trimmen","ba-videoplayer-playbutton.trim":"Trimmen","ba-videoplayer-playbutton.skip":"&#xDC;berspringen","ba-videorecorder-imagegallery.upload-covershot":"Cover hochladen","ba-videorecorder.pick-covershot-frame":"W&#xE4;hlen Sie ein Bild aus, das als Covershot verwendet werden soll.","ba-videorecorder.screen-recorder-is-not-supported":"Bildschirmaufnahme wird auf diesem Ger&#xE4;t nicht unterst&#xFC;tzt","ba-videorecorder.trim-prompt":"M&#xF6;chten Sie Ihr Video trimmen?","ba-videorecorder.trim-video":"Verschieben Sie die Start- und Endmarkierungen, um Ihr Video zu trimmen","ba-videorecorder.wait-for-trim":"Warten auf Trimmbefehl...","ba-videorecorder-controlbar.no-video-source":"Fehlende zus&#xE4;tzliche Videoeingangsquelle","ba-videorecorder-controlbar.stream-already-selected":"Zus&#xE4;tzlicher Stream wurde bereits ausgew&#xE4;hlt","ba-videorecorder.uploading-src-error":"Video kann jetzt nicht wiedergegeben werden, Upload l&#xE4;uft noch","ba-audiorecorder-controlbar.pause-recorder":"Recorder pausieren","ba-audiorecorder-controlbar.resume-recorder":"Lebenslauf-Recorder"},"language:el":{"ba-videoplayer-playbutton.tooltip":"&#x39A;&#x3BB;&#x3B9;&#x3BA; &#x3B3;&#x3B9;&#x3B1; &#x3B1;&#x3BD;&#x3B1;&#x3C0;&#x3B1;&#x3C1;&#x3B1;&#x3B3;&#x3C9;&#x3B3;&#x3AE;.","ba-videoplayer-playbutton.rerecord":"&#x395;&#x3C0;&#x3B1;&#x3BD;&#x3AC;&#x3BB;&#x3B7;&#x3C8;&#x3B7;","ba-videoplayer-playbutton.submit-video":"&#x395;&#x3C0;&#x3B9;&#x3B2;&#x3B5;&#x3B2;&#x3B1;&#x3B9;&#x3CE;&#x3C3;&#x3C4;&#x3B5; &#x3C4;&#x3BF; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3BF;","ba-videoplayer-loader.tooltip":"&#x3A6;&#x3CC;&#x3C1;&#x3C4;&#x3C9;&#x3C3;&#x3B7;...","ba-videoplayer-controlbar.change-resolution":"&#x391;&#x3BB;&#x3BB;&#x3B1;&#x3B3;&#x3AE; &#x3B1;&#x3BD;&#x3AC;&#x3BB;&#x3C5;&#x3C3;&#x3B7;&#x3C2;","ba-videoplayer-controlbar.video-progress":"&#x3A0;&#x3C1;&#x3CC;&#x3BF;&#x3B4;&#x3BF;&#x3C2;","ba-videoplayer-controlbar.rerecord-video":"&#x395;&#x3C0;&#x3B1;&#x3BD;&#x3AC;&#x3BB;&#x3B7;&#x3C8;&#x3B7;;","ba-videoplayer-controlbar.submit-video":"&#x395;&#x3C0;&#x3B9;&#x3B2;&#x3B5;&#x3B2;&#x3B1;&#x3AF;&#x3C9;&#x3C3;&#x3B7;","ba-videoplayer-controlbar.play-video":"&#x391;&#x3BD;&#x3B1;&#x3C0;&#x3B1;&#x3C1;&#x3B1;&#x3B3;&#x3C9;&#x3B3;&#x3AE;","ba-videoplayer-controlbar.pause-video":"&#x3A0;&#x3C1;&#x3BF;&#x3C3;&#x3C9;&#x3C1;&#x3B9;&#x3BD;&#x3AE; &#x3C0;&#x3B1;&#x3CD;&#x3C3;&#x3B7;","ba-videoplayer-controlbar.elapsed-time":"&#x3A7;&#x3C1;&#x3CC;&#x3BD;&#x3BF;&#x3C2; &#x3C0;&#x3BF;&#x3C5; &#x3C0;&#x3B1;&#x3C1;&#x3AE;&#x3BB;&#x3B8;&#x3B5;","ba-videoplayer-controlbar.total-time":"&#x3A3;&#x3C5;&#x3BD;&#x3BF;&#x3BB;&#x3B9;&#x3BA;&#x3AE; &#x3B4;&#x3B9;&#x3AC;&#x3C1;&#x3BA;&#x3B5;&#x3B9;&#x3B1; &#x3C4;&#x3BF;&#x3C5;","ba-videoplayer-controlbar.fullscreen-video":"&#x39C;&#x3B5;&#x3C4;&#x3AC;&#x3B2;&#x3B1;&#x3C3;&#x3B7; &#x3C3;&#x3B5; &#x3C0;&#x3BB;&#x3AE;&#x3C1;&#x3B7; &#x3BF;&#x3B8;&#x3CC;&#x3BD;&#x3B7;","ba-videoplayer-controlbar.volume-button":"&#x39F;&#x3C1;&#x3B9;&#x3C3;&#x3BC;&#x3CC;&#x3C2; &#x3AD;&#x3BD;&#x3C4;&#x3B1;&#x3C3;&#x3B7;&#x3C2;","ba-videoplayer-controlbar.volume-mute":"&#x3A3;&#x3AF;&#x3B3;&#x3B1;&#x3C3;&#x3B7; &#x3AE;&#x3C7;&#x3BF;&#x3C5;","ba-videoplayer-controlbar.volume-unmute":"&#x391;&#x3BD;&#x3B1;&#x3AF;&#x3C1;&#x3B5;&#x3C3;&#x3B7; &#x3C3;&#x3AF;&#x3B3;&#x3B1;&#x3C3;&#x3B7;&#x3C2; &#x3AE;&#x3C7;&#x3BF;&#x3C5;","ba-videoplayer.video-error":"&#x3A3;&#x3C5;&#x3BD;&#x3AD;&#x3B2;&#x3B7; &#x3BA;&#x3AC;&#x3C0;&#x3BF;&#x3B9;&#x3BF; &#x3BB;&#x3AC;&#x3B8;&#x3BF;&#x3C2;, &#x3C0;&#x3B1;&#x3C1;&#x3B1;&#x3BA;&#x3B1;&#x3BB;&#x3BF;&#x3CD;&#x3BC;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3B1;&#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3C4;&#x3B5; &#x3B1;&#x3C1;&#x3B3;&#x3CC;&#x3C4;&#x3B5;&#x3C1;&#x3B1;. &#x39A;&#x3BB;&#x3B9;&#x3BA; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3BE;&#x3B1;&#x3BD;&#x3B1;&#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5;.","ba-videorecorder-chooser.record-video":"&#x395;&#x3B3;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3AE; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3BF;","ba-videorecorder-chooser.upload-video":"&#x39C;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3CC;&#x3C1;&#x3C4;&#x3C9;&#x3C3;&#x3B7; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3BF;","ba-videorecorder-controlbar.settings":"&#x3A1;&#x3C5;&#x3B8;&#x3BC;&#x3AF;&#x3C3;&#x3B5;&#x3B9;&#x3C2;","ba-videorecorder-controlbar.camerahealthy":"&#x39F; &#x3C6;&#x3C9;&#x3C4;&#x3B9;&#x3C3;&#x3BC;&#x3CC;&#x3C2; &#x3B5;&#x3AF;&#x3BD;&#x3B1;&#x3B9; &#x3BA;&#x3B1;&#x3BB;&#x3CC;&#x3C2;","ba-videorecorder-controlbar.cameraunhealthy":"&#x39F; &#x3C6;&#x3C9;&#x3C4;&#x3B9;&#x3C3;&#x3BC;&#x3CC;&#x3C2; &#x3B4;&#x3B5;&#x3BD; &#x3B5;&#x3AF;&#x3BD;&#x3B1;&#x3B9; &#x3B9;&#x3BA;&#x3B1;&#x3BD;&#x3BF;&#x3C0;&#x3BF;&#x3B9;&#x3B7;&#x3C4;&#x3B9;&#x3BA;&#x3CC;&#x3C2;","ba-videorecorder-controlbar.microphonehealthy":"&#x39F; &#x3AE;&#x3C7;&#x3BF;&#x3C2; &#x3B5;&#x3AF;&#x3BD;&#x3B1;&#x3B9; &#x3BA;&#x3B1;&#x3BB;&#x3CC;&#x3C2;","ba-videorecorder-controlbar.microphoneunhealthy":"&#x394;&#x3B5;&#x3BD; &#x3B1;&#x3BA;&#x3BF;&#x3CD;&#x3B3;&#x3B5;&#x3C4;&#x3B1;&#x3B9; &#x3BA;&#x3B1;&#x3B8;&#x3CC;&#x3BB;&#x3BF;&#x3C5; &#x3AE;&#x3C7;&#x3BF;&#x3C2;","ba-videorecorder-controlbar.record":"&#x395;&#x3B3;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3AE;","ba-videorecorder-controlbar.record-tooltip":"&#x39A;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3B5;&#x3B3;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3AE;.","ba-videorecorder-controlbar.rerecord":"&#x395;&#x3C0;&#x3B1;&#x3BD;&#x3AC;&#x3BB;&#x3B7;&#x3C8;&#x3B7;","ba-videorecorder-controlbar.rerecord-tooltip":"&#x39A;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3B5;&#x3C0;&#x3B1;&#x3BD;&#x3AC;&#x3BB;&#x3B7;&#x3C8;&#x3B7;.","ba-videorecorder-controlbar.upload-covershot":"&#x39C;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3CC;&#x3C1;&#x3C4;&#x3C9;&#x3C3;&#x3B7;","ba-videorecorder-controlbar.upload-covershot-tooltip":"&#x39A;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3BC;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3BF;&#x3C1;&#x3C4;&#x3CE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3BC;&#x3AF;&#x3B1; &#x3B4;&#x3B9;&#x3BA;&#x3AE; &#x3C3;&#x3B1;&#x3C2; &#x3B5;&#x3B9;&#x3BA;&#x3CC;&#x3BD;&#x3B1; &#x3B5;&#x3C0;&#x3B9;&#x3C3;&#x3BA;&#x3CC;&#x3C0;&#x3B7;&#x3C3;&#x3B7;&#x3C2;","ba-videorecorder-controlbar.stop":"&#x394;&#x3B9;&#x3B1;&#x3BA;&#x3BF;&#x3C0;&#x3AE;","ba-videorecorder-controlbar.stop-tooltip":"&#x39A;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3B4;&#x3B9;&#x3B1;&#x3BA;&#x3BF;&#x3C0;&#x3AE;.","ba-videorecorder-controlbar.skip":"&#x3A0;&#x3B1;&#x3C1;&#x3AC;&#x3BB;&#x3B5;&#x3B9;&#x3C8;&#x3B7;","ba-videorecorder-controlbar.skip-tooltip":"&#x39A;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3C0;&#x3B1;&#x3C1;&#x3AC;&#x3BB;&#x3B5;&#x3B9;&#x3C8;&#x3B7;.","ba-videorecorder.recorder-error":"&#x3A3;&#x3C5;&#x3BD;&#x3AD;&#x3B2;&#x3B7; &#x3BA;&#x3AC;&#x3C0;&#x3BF;&#x3B9;&#x3BF; &#x3BB;&#x3AC;&#x3B8;&#x3BF;&#x3C2;, &#x3C0;&#x3B1;&#x3C1;&#x3B1;&#x3BA;&#x3B1;&#x3BB;&#x3BF;&#x3CD;&#x3BC;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3B1;&#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3C4;&#x3B5; &#x3B1;&#x3C1;&#x3B3;&#x3CC;&#x3C4;&#x3B5;&#x3C1;&#x3B1;. &#x39A;&#x3BB;&#x3B9;&#x3BA; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3BE;&#x3B1;&#x3BD;&#x3B1;&#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5;.","ba-videorecorder.attach-error":"&#x394;&#x3B5;&#x3BD; &#x3BC;&#x3C0;&#x3BF;&#x3C1;&#x3AD;&#x3C3;&#x3B1;&#x3BC;&#x3B5; &#x3BD;&#x3B1; &#x3B1;&#x3C0;&#x3BF;&#x3BA;&#x3C4;&#x3AE;&#x3C3;&#x3BF;&#x3C5;&#x3BC;&#x3B5; &#x3C0;&#x3C1;&#x3CC;&#x3C3;&#x3B2;&#x3B1;&#x3C3;&#x3B7; &#x3C3;&#x3C4;&#x3B7;&#x3BD; &#x3BA;&#x3AC;&#x3BC;&#x3B5;&#x3C1;&#x3B1;. &#x391;&#x3BD;&#x3AC;&#x3BB;&#x3BF;&#x3B3;&#x3B1; &#x3BC;&#x3B5; &#x3C4;&#x3B7; &#x3C3;&#x3C5;&#x3C3;&#x3BA;&#x3B5;&#x3C5;&#x3AE; &#x3BA;&#x3B1;&#x3B9; &#x3C4;&#x3BF;&#x3BD; browser &#x3C0;&#x3BF;&#x3C5; &#x3C7;&#x3C1;&#x3B7;&#x3C3;&#x3B9;&#x3BC;&#x3BF;&#x3C0;&#x3BF;&#x3B9;&#x3B5;&#x3AF;&#x3C4;&#x3B5;, &#x3BC;&#x3C0;&#x3BF;&#x3C1;&#x3B5;&#x3AF; &#x3BD;&#x3B1; &#x3C7;&#x3C1;&#x3B5;&#x3B9;&#x3B1;&#x3C3;&#x3C4;&#x3B5;&#x3AF; &#x3BD;&#x3B1; &#x3B5;&#x3B3;&#x3BA;&#x3B1;&#x3C4;&#x3B1;&#x3C3;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3BF; Flash &#x3AE; &#x3BD;&#x3B1; &#x3BC;&#x3C0;&#x3B5;&#x3AF;&#x3C4;&#x3B5; &#x3C3;&#x3C4;&#x3B7; &#x3C3;&#x3B5;&#x3BB;&#x3AF;&#x3B4;&#x3B1; &#x3BC;&#x3AD;&#x3C3;&#x3C9; SSL.","ba-videorecorder.access-forbidden":"&#x394;&#x3B5;&#x3BD; &#x3B5;&#x3C0;&#x3B9;&#x3C4;&#x3C1;&#x3AC;&#x3C0;&#x3B7;&#x3BA;&#x3B5; &#x3B7; &#x3C0;&#x3C1;&#x3CC;&#x3C3;&#x3B2;&#x3B1;&#x3C3;&#x3B7; &#x3C3;&#x3C4;&#x3B7;&#x3BD; &#x3BA;&#x3AC;&#x3BC;&#x3B5;&#x3C1;&#x3B1;. &#x39A;&#x3BB;&#x3B9;&#x3BA; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3BE;&#x3B1;&#x3BD;&#x3B1;&#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3C4;&#x3B5;.","ba-videorecorder.pick-covershot":"&#x395;&#x3C0;&#x3B9;&#x3BB;&#x3AD;&#x3BE;&#x3C4;&#x3B5; &#x3BC;&#x3B9;&#x3B1; &#x3B5;&#x3B9;&#x3BA;&#x3CC;&#x3BD;&#x3B1; &#x3B5;&#x3C0;&#x3B9;&#x3C3;&#x3BA;&#x3CC;&#x3C0;&#x3B7;&#x3C3;&#x3B7;&#x3C2;.","ba-videorecorder.uploading":"&#x39C;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3CC;&#x3C1;&#x3C4;&#x3C9;&#x3C3;&#x3B7;","ba-videorecorder.uploading-failed":"&#x397; &#x3BC;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3CC;&#x3C1;&#x3C4;&#x3C9;&#x3C3;&#x3B7; &#x3B1;&#x3C0;&#x3AD;&#x3C4;&#x3C5;&#x3C7;&#x3B5; - &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3BE;&#x3B1;&#x3BD;&#x3B1;&#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5;.","ba-videorecorder.verifying":"&#x395;&#x3C0;&#x3B9;&#x3B2;&#x3B5;&#x3B2;&#x3B1;&#x3AF;&#x3C9;&#x3C3;&#x3B7;","ba-videorecorder.verifying-failed":"&#x397; &#x3B5;&#x3C0;&#x3B9;&#x3B2;&#x3B5;&#x3B2;&#x3B1;&#x3AF;&#x3C9;&#x3C3;&#x3B7; &#x3B1;&#x3C0;&#x3AD;&#x3C4;&#x3C5;&#x3C7;&#x3B5;- &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3BE;&#x3B1;&#x3BD;&#x3B1;&#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5;.","ba-videorecorder.rerecord-confirm":"&#x3A3;&#x3AF;&#x3B3;&#x3BF;&#x3BF;&#x3C5;&#x3C1;&#x3B1; &#x3B8;&#x3AD;&#x3BB;&#x3B5;&#x3C4;&#x3B5; &#x3BD;&#x3B1; &#x3B5;&#x3C0;&#x3B1;&#x3BD;&#x3B1;&#x3BB;&#x3AC;&#x3B2;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3B7; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3BF;-&#x3BB;&#x3AE;&#x3C8;&#x3B7;;","ba-videorecorder.video_file_too_large":"&#x3A4;&#x3BF; &#x3B1;&#x3C1;&#x3C7;&#x3B5;&#x3AF;&#x3BF; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3BF; &#x3B5;&#x3AF;&#x3BD;&#x3B1;&#x3B9; &#x3C0;&#x3BF;&#x3BB;&#x3CD; &#x3BC;&#x3B5;&#x3B3;&#x3AC;&#x3BB;&#x3BF; (%s) - &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3BE;&#x3B1;&#x3BD;&#x3B1;&#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3BC;&#x3B5; &#x3AD;&#x3BD;&#x3B1; &#x3BC;&#x3B5;&#x3B3;&#x3B1;&#x3BB;&#x3CD;&#x3C4;&#x3B5;&#x3C1;&#x3BF;  &#x3B1;&#x3C1;&#x3C7;&#x3B5;&#x3AF;&#x3BF;.","ba-videorecorder.unsupported_video_type":"&#x3A0;&#x3B1;&#x3C1;&#x3B1;&#x3BA;&#x3B1;&#x3BB;&#x3BF;&#x3CD;&#x3BC;&#x3B5; &#x3BC;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3BF;&#x3C1;&#x3C4;&#x3CE;&#x3C3;&#x3C4;&#x3B5;: %s - &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3BE;&#x3B1;&#x3BD;&#x3B1;&#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5;.","ba-videoplayer-controlbar.exit-fullscreen-video":"&#x388;&#x3BE;&#x3BF;&#x3B4;&#x3BF;&#x3C2; &#x3B1;&#x3C0;&#x3CC; &#x3C0;&#x3BB;&#x3AE;&#x3C1;&#x3B7; &#x3BF;&#x3B8;&#x3CC;&#x3BD;&#x3B7;","ba-videoplayer-share.share":"&#x394;&#x3B9;&#x3B1;&#x3BC;&#x3BF;&#x3B9;&#x3C1;&#x3B1;&#x3C3;&#x3BC;&#x3CC;&#x3C2;","ba-videoplayer-controlbar.pause-video-disabled":"&#x397; &#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C9;&#x3C1;&#x3B9;&#x3BD;&#x3AE; &#x3C0;&#x3B1;&#x3CD;&#x3C3;&#x3B7; &#x3B4;&#x3B5;&#x3BD; &#x3C5;&#x3C0;&#x3BF;&#x3C3;&#x3B7;&#x3C1;&#x3AF;&#x3B6;&#x3B5;&#x3C4;&#x3B1;&#x3B9;","ba-videorecorder-chooser.record-audio":"&#x395;&#x3B3;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3AE; &#x3AE;&#x3C7;&#x3BF;&#x3C5;","ba-videorecorder-chooser.record-screen":"&#x39F;&#x3B8;&#x3CC;&#x3BD;&#x3B7; &#x3B5;&#x3B3;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3AE;&#x3C2;","ba-videorecorder-controlbar.stop-available-after":"&#x39F; &#x3B5;&#x3BB;&#x3AC;&#x3C7;&#x3B9;&#x3C3;&#x3C4;&#x3BF;&#x3C2; &#x3C7;&#x3C1;&#x3CC;&#x3BD;&#x3BF;&#x3C2; &#x3B5;&#x3B3;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3AE;&#x3C2; &#x3B5;&#x3AF;&#x3BD;&#x3B1;&#x3B9; %d &#x3B4;&#x3B5;&#x3C5;&#x3C4;&#x3B5;&#x3C1;&#x3CC;&#x3BB;&#x3B5;&#x3C0;&#x3C4;&#x3B1;","ba-videorecorder-controlbar.cancel":"&#x39C;&#x3B1;&#x3C4;&#x3B1;&#x3AF;&#x3C9;&#x3C3;&#x3B7;","ba-videorecorder-controlbar.cancel-tooltip":"&#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3B1;&#x3BA;&#x3CD;&#x3C1;&#x3C9;&#x3C3;&#x3B7;.","ba-videorecorder.cancel-confirm":"&#x398;&#x3AD;&#x3BB;&#x3B5;&#x3C4;&#x3B5; &#x3C0;&#x3C1;&#x3B1;&#x3B3;&#x3BC;&#x3B1;&#x3C4;&#x3B9;&#x3BA;&#x3AC; &#x3BD;&#x3B1; &#x3B1;&#x3BA;&#x3C5;&#x3C1;&#x3CE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3B7; &#x3BC;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3CC;&#x3C1;&#x3C4;&#x3C9;&#x3C3;&#x3B7; &#x3C4;&#x3BF;&#x3C5; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3CC; &#x3C3;&#x3B1;&#x3C2;;","ba-videoplayer-adslot.elapsed-time":"&#x3A7;&#x3C1;&#x3CC;&#x3BD;&#x3BF;&#x3C2; &#x3C0;&#x3BF;&#x3C5; &#x3C0;&#x3B1;&#x3C1;&#x3AE;&#x3BB;&#x3B8;&#x3B5;","ba-videoplayer-adslot.volume-button":"&#x3A1;&#x3CD;&#x3B8;&#x3BC;&#x3B9;&#x3C3;&#x3B7; &#x3AD;&#x3BD;&#x3C4;&#x3B1;&#x3C3;&#x3B7;&#x3C2;","ba-videoplayer-adslot.volume-mute":"&#x3A3;&#x3AF;&#x3B3;&#x3B1;&#x3C3;&#x3B7; &#x3AE;&#x3C7;&#x3BF;&#x3C5;","ba-videoplayer-adslot.volume-unmute":"&#x3A3;&#x3AF;&#x3B3;&#x3B1;&#x3C3;&#x3B7; &#x3AE;&#x3C7;&#x3BF;&#x3C5;","ba-videoplayer-adslot.ad-will-end-after":"&#x397; &#x3B4;&#x3B9;&#x3B1;&#x3C6;&#x3AE;&#x3BC;&#x3B9;&#x3C3;&#x3B7; &#x3B8;&#x3B1; &#x3BB;&#x3AE;&#x3BE;&#x3B5;&#x3B9; &#x3BC;&#x3B5;&#x3C4;&#x3AC; &#x3C4;&#x3BF; %s","ba-videoplayer-adslot.can-skip-after":"&#x3A0;&#x3B1;&#x3C1;&#x3AC;&#x3BB;&#x3B5;&#x3B9;&#x3C8;&#x3B7; &#x3BC;&#x3B5;&#x3C4;&#x3AC; &#x3C4;&#x3BF; %d","ba-videoplayer-adslot.skip-ad":"&#x3A0;&#x3B1;&#x3C1;&#x3AC;&#x3BA;&#x3B1;&#x3BC;&#x3C8;&#x3B7; &#x3B4;&#x3B9;&#x3B1;&#x3C6;&#x3AE;&#x3BC;&#x3B9;&#x3C3;&#x3B7;&#x3C2;","ba-videorecorder.software-required":"&#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3C0;&#x3B1;&#x3C1;&#x3B1;&#x3BA;&#x3AC;&#x3C4;&#x3C9; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3B5;&#x3B3;&#x3BA;&#x3B1;&#x3C4;&#x3B1;&#x3C3;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; / &#x3B5;&#x3BD;&#x3B5;&#x3C1;&#x3B3;&#x3BF;&#x3C0;&#x3BF;&#x3B9;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3B9;&#x3C2; &#x3B1;&#x3BA;&#x3CC;&#x3BB;&#x3BF;&#x3C5;&#x3B8;&#x3B5;&#x3C2; &#x3B1;&#x3C0;&#x3B1;&#x3B9;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3B9;&#x3C2; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C0;&#x3C1;&#x3BF;&#x3C7;&#x3C9;&#x3C1;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5;.","ba-videorecorder.software-waiting":"&#x391;&#x3BD;&#x3B1;&#x3BC;&#x3BF;&#x3BD;&#x3AE; &#x3B3;&#x3B9;&#x3B1; &#x3C4;&#x3B7;&#x3BD; &#x3B5;&#x3B3;&#x3BA;&#x3B1;&#x3C4;&#x3AC;&#x3C3;&#x3C4;&#x3B1;&#x3C3;&#x3B7; / &#x3B5;&#x3BD;&#x3B5;&#x3C1;&#x3B3;&#x3BF;&#x3C0;&#x3BF;&#x3AF;&#x3B7;&#x3C3;&#x3B7; &#x3C4;&#x3C9;&#x3BD; &#x3B1;&#x3C0;&#x3B1;&#x3B9;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3C9;&#x3BD;. &#x38A;&#x3C3;&#x3C9;&#x3C2; &#x3C7;&#x3C1;&#x3B5;&#x3B9;&#x3B1;&#x3C3;&#x3C4;&#x3B5;&#x3AF; &#x3BD;&#x3B1; &#x3B1;&#x3BD;&#x3B1;&#x3BD;&#x3B5;&#x3CE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3B7; &#x3C3;&#x3B5;&#x3BB;&#x3AF;&#x3B4;&#x3B1; &#x3BC;&#x3B5;&#x3C4;&#x3AC; &#x3C4;&#x3B7;&#x3BD; &#x3BF;&#x3BB;&#x3BF;&#x3BA;&#x3BB;&#x3AE;&#x3C1;&#x3C9;&#x3C3;&#x3B7;.","ba-videoplayer-controlbar.close-tracks":"&#x39A;&#x3BB;&#x3B5;&#x3AF;&#x3C3;&#x3B9;&#x3BC;&#x3BF; CC","ba-videoplayer-controlbar.show-tracks":"&#x395;&#x3BC;&#x3C6;&#x3AC;&#x3BD;&#x3B9;&#x3C3;&#x3B7; CC","ba-videoplayer-tracks.upload-text-tracks":"&#x391;&#x3BD;&#x3B5;&#x3B2;&#x3AC;&#x3C3;&#x3C4;&#x3B5; &#x3B1;&#x3C1;&#x3C7;&#x3B5;&#x3AF;&#x3B1; &#x3BA;&#x3B5;&#x3B9;&#x3BC;&#x3AD;&#x3BD;&#x3BF;&#x3C5; &#x3BA;&#x3BF;&#x3BC;&#x3BC;&#x3B1;&#x3C4;&#x3B9;&#x3BF;&#x3CD;","ba-videoplayer-tracks.select-text-track-language":"&#x393;&#x3BB;&#x3CE;&#x3C3;&#x3C3;&#x3B1; &#x3C5;&#x3C0;&#x3BF;&#x3C4;&#x3AF;&#x3C4;&#x3BB;&#x3C9;&#x3BD;","ba-videoplayer-tracks.info-select-locale-first":"&#x3A0;&#x3C1;&#x3CE;&#x3C4;&#x3B1; &#x3B5;&#x3C0;&#x3B9;&#x3BB;&#x3AD;&#x3BE;&#x3C4;&#x3B5; &#x3C4;&#x3BF;&#x3C0;&#x3B9;&#x3BA;&#x3AD;&#x3C2; &#x3C1;&#x3C5;&#x3B8;&#x3BC;&#x3AF;&#x3C3;&#x3B5;&#x3B9;&#x3C2;","ba-videoplayer-tracks.select-text-track-file":"&#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3B5;&#x3C0;&#x3B9;&#x3BB;&#x3AD;&#x3BE;&#x3B5;&#x3C4;&#x3B5; &#x3B1;&#x3C1;&#x3C7;&#x3B5;&#x3AF;&#x3BF;","ba-videoplayer-tracks.back":"&#x3C0;&#x3AF;&#x3C3;&#x3C9;","ba-videorecorder.framerate-warning":"&#x39F; &#x3C1;&#x3C5;&#x3B8;&#x3BC;&#x3CC;&#x3C2; &#x3BA;&#x3B1;&#x3C1;&#x3AD; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3BF; &#x3B5;&#x3AF;&#x3BD;&#x3B1;&#x3B9; &#x3C0;&#x3BF;&#x3BB;&#x3CD; &#x3C7;&#x3B1;&#x3BC;&#x3B7;&#x3BB;&#x3CC;&#x3C2;. &#x3A3;&#x3B1;&#x3C2; &#x3C3;&#x3C5;&#x3BD;&#x3B9;&#x3C3;&#x3C4;&#x3BF;&#x3CD;&#x3BC;&#x3B5; &#x3BD;&#x3B1; &#x3BA;&#x3BB;&#x3B5;&#x3AF;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3CC;&#x3BB;&#x3B1; &#x3C4;&#x3B1; &#x3AC;&#x3BB;&#x3BB;&#x3B1; &#x3C0;&#x3C1;&#x3BF;&#x3B3;&#x3C1;&#x3AC;&#x3BC;&#x3BC;&#x3B1;&#x3C4;&#x3B1; &#x3BA;&#x3B1;&#x3B9; &#x3C4;&#x3B9;&#x3C2; &#x3BA;&#x3B1;&#x3C1;&#x3C4;&#x3AD;&#x3BB;&#x3B5;&#x3C2; &#x3C4;&#x3BF;&#x3C5; &#x3C0;&#x3C1;&#x3BF;&#x3B3;&#x3C1;&#x3AC;&#x3BC;&#x3BC;&#x3B1;&#x3C4;&#x3BF;&#x3C2; &#x3C0;&#x3B5;&#x3C1;&#x3B9;&#x3AE;&#x3B3;&#x3B7;&#x3C3;&#x3B7;&#x3C2; &#x3AE; &#x3BD;&#x3B1; &#x3C7;&#x3C1;&#x3B7;&#x3C3;&#x3B9;&#x3BC;&#x3BF;&#x3C0;&#x3BF;&#x3B9;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3AD;&#x3BD;&#x3B1;&#x3BD; &#x3B3;&#x3C1;&#x3B7;&#x3B3;&#x3BF;&#x3C1;&#x3CC;&#x3C4;&#x3B5;&#x3C1;&#x3BF; &#x3C5;&#x3C0;&#x3BF;&#x3BB;&#x3BF;&#x3B3;&#x3B9;&#x3C3;&#x3C4;&#x3AE;.","ba-videorecorder.upload-error-duration":"&#x3A4;&#x3BF; &#x3BC;&#x3AE;&#x3BA;&#x3BF;&#x3C2; &#x3C4;&#x3BF;&#x3C5; &#x3BC;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3BF;&#x3C1;&#x3C4;&#x3C9;&#x3BC;&#x3AD;&#x3BD;&#x3BF;&#x3C5; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3BF; &#x3B4;&#x3B5;&#x3BD; &#x3C0;&#x3BB;&#x3B7;&#x3C1;&#x3BF;&#x3AF; &#x3C4;&#x3B9;&#x3C2; &#x3B1;&#x3C0;&#x3B1;&#x3B9;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3B9;&#x3C2; - &#x3BA;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3AC;.","ba-videorecorder.resolution-constraint-error":"&#x3A4;&#x3BF; &#x3B1;&#x3C1;&#x3C7;&#x3B5;&#x3AF;&#x3BF; &#x3C0;&#x3BF;&#x3C5; &#x3B5;&#x3C0;&#x3B9;&#x3BB;&#x3AD;&#x3BE;&#x3B1;&#x3C4;&#x3B5; &#x3B4;&#x3B5;&#x3BD; &#x3C4;&#x3B1;&#x3B9;&#x3C1;&#x3B9;&#x3AC;&#x3B6;&#x3B5;&#x3B9; &#x3BC;&#x3B5; &#x3C4;&#x3B7;&#x3BD; &#x3B1;&#x3C0;&#x3B1;&#x3B9;&#x3C4;&#x3BF;&#x3CD;&#x3BC;&#x3B5;&#x3BD;&#x3B7; &#x3B1;&#x3BD;&#x3AC;&#x3BB;&#x3C5;&#x3C3;&#x3B7; - &#x3BA;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3AC;.","ba-videorecorder.orientation-portrait-required":"&#x3A0;&#x3B5;&#x3C1;&#x3B9;&#x3C3;&#x3C4;&#x3C1;&#x3AD;&#x3C8;&#x3C4;&#x3B5; &#x3C4;&#x3B7; &#x3C3;&#x3C5;&#x3C3;&#x3BA;&#x3B5;&#x3C5;&#x3AE; &#x3C3;&#x3B1;&#x3C2; &#x3B3;&#x3B9;&#x3B1; &#x3B5;&#x3B3;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3AE; &#x3C3;&#x3B5; &#x3BA;&#x3B1;&#x3C4;&#x3B1;&#x3BA;&#x3CC;&#x3C1;&#x3C5;&#x3C6;&#x3B7; &#x3BB;&#x3B5;&#x3B9;&#x3C4;&#x3BF;&#x3C5;&#x3C1;&#x3B3;&#x3AF;&#x3B1;.","ba-videorecorder.orientation-landscape-required":"&#x3A0;&#x3B5;&#x3C1;&#x3B9;&#x3C3;&#x3C4;&#x3C1;&#x3AD;&#x3C8;&#x3C4;&#x3B5; &#x3C4;&#x3B7; &#x3C3;&#x3C5;&#x3C3;&#x3BA;&#x3B5;&#x3C5;&#x3AE; &#x3C3;&#x3B1;&#x3C2; &#x3B3;&#x3B9;&#x3B1; &#x3B5;&#x3B3;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3AE; &#x3C3;&#x3B5; &#x3BF;&#x3C1;&#x3B9;&#x3B6;&#x3CC;&#x3BD;&#x3C4;&#x3B9;&#x3B1; &#x3BB;&#x3B5;&#x3B9;&#x3C4;&#x3BF;&#x3C5;&#x3C1;&#x3B3;&#x3AF;&#x3B1;.","ba-imageviewer-controlbar.rerecord-image":"&#x39E;&#x3B1;&#x3BD;&#x3B1;&#x3BA;&#x3AC;&#x3BD;&#x3C9;?","ba-imageviewer-controlbar.submit-image":"&#x395;&#x3C0;&#x3B9;&#x3B2;&#x3B5;&#x3B2;&#x3B1;&#x3B9;&#x3CE;&#x3BD;&#x3C9;","ba-imageviewer-controlbar.fullscreen-image":"&#x395;&#x3B9;&#x3C3;&#x3B1;&#x3B3;&#x3AC;&#x3B3;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3B7;&#x3BD; &#x3C0;&#x3BB;&#x3AE;&#x3C1;&#x3B7; &#x3BF;&#x3B8;&#x3CC;&#x3BD;&#x3B7;","ba-imageviewer-controlbar.exit-fullscreen-image":"&#x388;&#x3BE;&#x3BF;&#x3B4;&#x3BF;&#x3C2; &#x3B1;&#x3C0;&#x3CC; &#x3C0;&#x3BB;&#x3AE;&#x3C1;&#x3B7; &#x3BF;&#x3B8;&#x3CC;&#x3BD;&#x3B7;","ba-imageviewer.image-error":"&#x395;&#x3BC;&#x3C6;&#x3B1;&#x3BD;&#x3AF;&#x3C3;&#x3C4;&#x3B7;&#x3BA;&#x3B5; &#x3BA;&#x3AC;&#x3C0;&#x3BF;&#x3B9;&#x3BF; &#x3C3;&#x3C6;&#x3AC;&#x3BB;&#x3BC;&#x3B1;. &#x3A0;&#x3B1;&#x3C1;&#x3B1;&#x3BA;&#x3B1;&#x3BB;&#x3CE; &#x3B4;&#x3BF;&#x3BA;&#x3B9;&#x3BC;&#x3AC;&#x3C3;&#x3C4;&#x3B5; &#x3B1;&#x3C1;&#x3B3;&#x3CC;&#x3C4;&#x3B5;&#x3C1;&#x3B1;. &#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B3;&#x3B9;&#x3B1; &#x3B5;&#x3C0;&#x3B1;&#x3BD;&#x3AC;&#x3BB;&#x3B7;&#x3C8;&#x3B7;.","ba-imagecapture-chooser.image-capture":"&#x39B;&#x3AE;&#x3C8;&#x3B7; &#x3B5;&#x3B9;&#x3BA;&#x3CC;&#x3BD;&#x3B1;&#x3C2;","ba-imagecapture-chooser.upload-image":"&#x39C;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3CC;&#x3C1;&#x3C4;&#x3C9;&#x3C3;&#x3B7; &#x3B5;&#x3B9;&#x3BA;&#x3CC;&#x3BD;&#x3B1;&#x3C2;","ba-imagecapture-controlbar.settings":"&#x3A1;&#x3C5;&#x3B8;&#x3BC;&#x3AF;&#x3C3;&#x3B5;&#x3B9;&#x3C2;","ba-imagecapture-controlbar.camerahealthy":"&#x39F; &#x3C6;&#x3C9;&#x3C4;&#x3B9;&#x3C3;&#x3BC;&#x3CC;&#x3C2; &#x3B5;&#x3AF;&#x3BD;&#x3B1;&#x3B9; &#x3BA;&#x3B1;&#x3BB;&#x3CC;&#x3C2;","ba-imagecapture-controlbar.cameraunhealthy":"&#x39F; &#x3C6;&#x3C9;&#x3C4;&#x3B9;&#x3C3;&#x3BC;&#x3CC;&#x3C2; &#x3B4;&#x3B5;&#x3BD; &#x3B5;&#x3AF;&#x3BD;&#x3B1;&#x3B9; &#x3B2;&#x3AD;&#x3BB;&#x3C4;&#x3B9;&#x3C3;&#x3C4;&#x3BF;&#x3C2;","ba-imagecapture-controlbar.record":"&#x3A0;&#x3B9;&#x3AC;&#x3BD;&#x3C9;","ba-imagecapture-controlbar.record-tooltip":"&#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BB;&#x3AE;&#x3C8;&#x3B7;.","ba-imagecapture-controlbar.rerecord":"&#x39E;&#x3B1;&#x3BD;&#x3B1;&#x3BA;&#x3AC;&#x3BD;&#x3C9;","ba-imagecapture-controlbar.rerecord-tooltip":"&#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3B5;&#x3C0;&#x3B1;&#x3BD;&#x3AC;&#x3BB;&#x3B7;&#x3C8;&#x3B7;.","ba-imagecapture-controlbar.cancel":"&#x39C;&#x3B1;&#x3C4;&#x3B1;&#x3AF;&#x3C9;&#x3C3;&#x3B7;","ba-imagecapture-controlbar.cancel-tooltip":"&#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3B1;&#x3BA;&#x3CD;&#x3C1;&#x3C9;&#x3C3;&#x3B7;.","ba-audioplayer-controlbar.audio-progress":"&#x3A0;&#x3C1;&#x3CC;&#x3BF;&#x3B4;&#x3BF;&#x3C2;","ba-audioplayer-controlbar.rerecord-audio":"&#x39E;&#x3B1;&#x3BD;&#x3B1;&#x3BA;&#x3AC;&#x3BD;&#x3C9;?","ba-audioplayer-controlbar.submit-audio":"&#x395;&#x3C0;&#x3B9;&#x3B2;&#x3B5;&#x3B2;&#x3B1;&#x3B9;&#x3CE;&#x3BD;&#x3C9;","ba-audioplayer-controlbar.play-audio":"&#x3A0;&#x3B1;&#x3AF;&#x3B6;&#x3C9;","ba-audioplayer-controlbar.pause-audio":"&#x3A0;&#x3B1;&#x3CD;&#x3C3;&#x3B7;","ba-audioplayer-controlbar.pause-audio-disabled":"&#x397; &#x3C0;&#x3B1;&#x3CD;&#x3C3;&#x3B7; &#x3B4;&#x3B5;&#x3BD; &#x3C5;&#x3C0;&#x3BF;&#x3C3;&#x3C4;&#x3B7;&#x3C1;&#x3AF;&#x3B6;&#x3B5;&#x3C4;&#x3B1;&#x3B9;","ba-audioplayer-controlbar.elapsed-time":"&#x3A7;&#x3C1;&#x3CC;&#x3BD;&#x3BF;&#x3C2; &#x3C0;&#x3BF;&#x3C5; &#x3C0;&#x3B1;&#x3C1;&#x3AE;&#x3BB;&#x3B8;&#x3B5;","ba-audioplayer-controlbar.total-time":"&#x3A3;&#x3C5;&#x3BD;&#x3BF;&#x3BB;&#x3B9;&#x3BA;&#x3CC; &#x3BC;&#x3AE;&#x3BA;&#x3BF;&#x3C2;","ba-audioplayer-controlbar.volume-button":"&#x3A1;&#x3CD;&#x3B8;&#x3BC;&#x3B9;&#x3C3;&#x3B7; &#x3AD;&#x3BD;&#x3C4;&#x3B1;&#x3C3;&#x3B7;&#x3C2;","ba-audioplayer-controlbar.volume-mute":"&#x3A3;&#x3AF;&#x3B3;&#x3B1;&#x3C3;&#x3B7; &#x3AE;&#x3C7;&#x3BF;&#x3C5;","ba-audioplayer-controlbar.volume-unmute":"&#x3A3;&#x3AF;&#x3B3;&#x3B1;&#x3C3;&#x3B7; &#x3AE;&#x3C7;&#x3BF;&#x3C5;","ba-audioplayer-loader.tooltip":"&#x3A6;&#x3CC;&#x3C1;&#x3C4;&#x3C9;&#x3C3;&#x3B7;...","ba-audioplayer.audio-error":"&#x395;&#x3BC;&#x3C6;&#x3B1;&#x3BD;&#x3AF;&#x3C3;&#x3C4;&#x3B7;&#x3BA;&#x3B5; &#x3BA;&#x3AC;&#x3C0;&#x3BF;&#x3B9;&#x3BF; &#x3C3;&#x3C6;&#x3AC;&#x3BB;&#x3BC;&#x3B1;. &#x3A0;&#x3B1;&#x3C1;&#x3B1;&#x3BA;&#x3B1;&#x3BB;&#x3CE; &#x3B4;&#x3BF;&#x3BA;&#x3B9;&#x3BC;&#x3AC;&#x3C3;&#x3C4;&#x3B5; &#x3B1;&#x3C1;&#x3B3;&#x3CC;&#x3C4;&#x3B5;&#x3C1;&#x3B1;. &#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B3;&#x3B9;&#x3B1; &#x3B5;&#x3C0;&#x3B1;&#x3BD;&#x3AC;&#x3BB;&#x3B7;&#x3C8;&#x3B7;.","ba-audiorecorder-chooser.record-audio":"&#x395;&#x3B3;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3AE; &#x3AE;&#x3C7;&#x3BF;&#x3C5;","ba-audiorecorder-chooser.upload-audio":"&#x39C;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3CC;&#x3C1;&#x3C4;&#x3C9;&#x3C3;&#x3B7; &#x3AE;&#x3C7;&#x3BF;&#x3C5;","ba-audiorecorder-controlbar.settings":"&#x3A1;&#x3C5;&#x3B8;&#x3BC;&#x3AF;&#x3C3;&#x3B5;&#x3B9;&#x3C2;","ba-audiorecorder-controlbar.microphonehealthy":"&#x39F; &#x3AE;&#x3C7;&#x3BF;&#x3C2; &#x3B5;&#x3AF;&#x3BD;&#x3B1;&#x3B9; &#x3BA;&#x3B1;&#x3BB;&#x3CC;&#x3C2;","ba-audiorecorder-controlbar.microphoneunhealthy":"&#x394;&#x3B5;&#x3BD; &#x3B5;&#x3AF;&#x3BD;&#x3B1;&#x3B9; &#x3B4;&#x3C5;&#x3BD;&#x3B1;&#x3C4;&#x3AE; &#x3B7; &#x3BB;&#x3AE;&#x3C8;&#x3B7; &#x3AE;&#x3C7;&#x3BF;&#x3C5;","ba-audiorecorder-controlbar.record":"&#x3A1;&#x3B5;&#x3BA;&#x3CC;&#x3C1;","ba-audiorecorder-controlbar.record-tooltip":"&#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3B5;&#x3B3;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3AE;.","ba-audiorecorder-controlbar.rerecord":"&#x39E;&#x3B1;&#x3BD;&#x3B1;&#x3BA;&#x3AC;&#x3BD;&#x3C9;","ba-audiorecorder-controlbar.rerecord-tooltip":"&#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3B5;&#x3C0;&#x3B1;&#x3BD;&#x3AC;&#x3BB;&#x3B7;&#x3C8;&#x3B7;.","ba-audiorecorder-controlbar.stop":"&#x39D;&#x3B1; &#x3C3;&#x3C4;&#x3B1;&#x3BC;&#x3B1;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3B9;","ba-audiorecorder-controlbar.stop-tooltip":"&#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C3;&#x3C4;&#x3B1;&#x3BC;&#x3B1;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5;.","ba-audiorecorder-controlbar.stop-available-after":"&#x39F; &#x3B5;&#x3BB;&#x3AC;&#x3C7;&#x3B9;&#x3C3;&#x3C4;&#x3BF;&#x3C2; &#x3C7;&#x3C1;&#x3CC;&#x3BD;&#x3BF;&#x3C2; &#x3B5;&#x3B3;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3AE;&#x3C2; &#x3B5;&#x3AF;&#x3BD;&#x3B1;&#x3B9; %d &#x3B4;&#x3B5;&#x3C5;&#x3C4;&#x3B5;&#x3C1;&#x3CC;&#x3BB;&#x3B5;&#x3C0;&#x3C4;&#x3B1;","ba-audiorecorder-controlbar.cancel":"&#x39C;&#x3B1;&#x3C4;&#x3B1;&#x3AF;&#x3C9;&#x3C3;&#x3B7;","ba-audiorecorder-controlbar.cancel-tooltip":"&#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3B1;&#x3BA;&#x3CD;&#x3C1;&#x3C9;&#x3C3;&#x3B7;.","ba-videoplayer-controlbar.player-speed":"&#x3A4;&#x3B1;&#x3C7;&#x3CD;&#x3C4;&#x3B7;&#x3C4;&#x3B1; &#x3C0;&#x3B1;&#x3AF;&#x3BA;&#x3C4;&#x3B7;","ba-videoplayer-controlbar.settings":"&#x3A1;&#x3C5;&#x3B8;&#x3BC;&#x3AF;&#x3C3;&#x3B5;&#x3B9;&#x3C2;","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"&#x395;&#x3B9;&#x3BA;&#x3BF;&#x3BD;&#x3AF;&#x3B4;&#x3B9;&#x3BF; Airplay.","ba-videoplayer.all-settings":"&#x38C;&#x3BB;&#x3B5;&#x3C2; &#x3BF;&#x3B9; &#x3C1;&#x3C5;&#x3B8;&#x3BC;&#x3AF;&#x3C3;&#x3B5;&#x3B9;&#x3C2;","ba-videoplayer.player-speed":"&#x3A4;&#x3B1;&#x3C7;&#x3CD;&#x3C4;&#x3B7;&#x3C4;&#x3B1; &#x3C0;&#x3B1;&#x3AF;&#x3BA;&#x3C4;&#x3B7;","ba-videoplayer.full-screen":"&#x3A0;&#x39B;&#x397;&#x3A1;&#x397;&#x3A3; &#x39F;&#x398;&#x39F;&#x39D;&#x397;","ba-videorecorder-controlbar.add-stream":"&#x3A0;&#x3C1;&#x3BF;&#x3C3;&#x3B8;&#x3AE;&#x3BA;&#x3B7; &#x3C1;&#x3BF;&#x3AE;&#x3C2;","ba-videorecorder.switch-camera":"&#x395;&#x3BD;&#x3B1;&#x3BB;&#x3BB;&#x3B1;&#x3B3;&#x3AE; &#x3BA;&#x3AC;&#x3BC;&#x3B5;&#x3C1;&#x3B1;&#x3C2;","ba-videorecorder.prepare-covershot":"&#x3A0;&#x3C1;&#x3BF;&#x3B5;&#x3C4;&#x3BF;&#x3B9;&#x3BC;&#x3B1;&#x3C3;&#x3AF;&#x3B1; &#x3B5;&#x3BE;&#x3CE;&#x3C6;&#x3C5;&#x3BB;&#x3BB;&#x3C9;&#x3BD;","ba-videorecorder.prepare-thumbnails":"&#x3A0;&#x3C1;&#x3BF;&#x3B5;&#x3C4;&#x3BF;&#x3B9;&#x3BC;&#x3B1;&#x3C3;&#x3AF;&#x3B1; &#x3B1;&#x3BD;&#x3B1;&#x3B6;&#x3AE;&#x3C4;&#x3B7;&#x3C3;&#x3B7;&#x3C2; &#x3BC;&#x3B9;&#x3BA;&#x3C1;&#x3BF;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3B9;&#x3CE;&#x3BD;","ba-videorecorder.adding-new-stream":"&#x3A0;&#x3C1;&#x3BF;&#x3C3;&#x3B8;&#x3AE;&#x3BA;&#x3B7; &#x3BD;&#x3AD;&#x3B1;&#x3C2; &#x3C1;&#x3BF;&#x3AE;&#x3C2;","ba-imagecapture.recorder-error":"&#x395;&#x3BC;&#x3C6;&#x3B1;&#x3BD;&#x3AF;&#x3C3;&#x3C4;&#x3B7;&#x3BA;&#x3B5; &#x3BA;&#x3AC;&#x3C0;&#x3BF;&#x3B9;&#x3BF; &#x3C3;&#x3C6;&#x3AC;&#x3BB;&#x3BC;&#x3B1;. &#x3A0;&#x3B1;&#x3C1;&#x3B1;&#x3BA;&#x3B1;&#x3BB;&#x3CE; &#x3B4;&#x3BF;&#x3BA;&#x3B9;&#x3BC;&#x3AC;&#x3C3;&#x3C4;&#x3B5; &#x3B1;&#x3C1;&#x3B3;&#x3CC;&#x3C4;&#x3B5;&#x3C1;&#x3B1;. &#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B3;&#x3B9;&#x3B1; &#x3B5;&#x3C0;&#x3B1;&#x3BD;&#x3AC;&#x3BB;&#x3B7;&#x3C8;&#x3B7;.","ba-imagecapture.attach-error":"&#x394;&#x3B5;&#x3BD; &#x3AE;&#x3C4;&#x3B1;&#x3BD; &#x3B4;&#x3C5;&#x3BD;&#x3B1;&#x3C4;&#x3AE; &#x3B7; &#x3C0;&#x3C1;&#x3CC;&#x3C3;&#x3B2;&#x3B1;&#x3C3;&#x3B7; &#x3C3;&#x3C4;&#x3B7; &#x3B4;&#x3B9;&#x3B5;&#x3C0;&#x3B1;&#x3C6;&#x3AE; &#x3C0;&#x3BF;&#x3BB;&#x3C5;&#x3BC;&#x3AD;&#x3C3;&#x3C9;&#x3BD;. &#x391;&#x3BD;&#x3AC;&#x3BB;&#x3BF;&#x3B3;&#x3B1; &#x3BC;&#x3B5; &#x3C4;&#x3B7; &#x3C3;&#x3C5;&#x3C3;&#x3BA;&#x3B5;&#x3C5;&#x3AE; &#x3BA;&#x3B1;&#x3B9; &#x3C4;&#x3BF; &#x3C0;&#x3C1;&#x3CC;&#x3B3;&#x3C1;&#x3B1;&#x3BC;&#x3BC;&#x3B1; &#x3C0;&#x3B5;&#x3C1;&#x3B9;&#x3AE;&#x3B3;&#x3B7;&#x3C3;&#x3B7;&#x3C2;, &#x3AF;&#x3C3;&#x3C9;&#x3C2; &#x3C7;&#x3C1;&#x3B5;&#x3B9;&#x3B1;&#x3C3;&#x3C4;&#x3B5;&#x3AF; &#x3BD;&#x3B1; &#x3B5;&#x3B3;&#x3BA;&#x3B1;&#x3C4;&#x3B1;&#x3C3;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3BF; Flash &#x3AE; &#x3BD;&#x3B1; &#x3B1;&#x3C0;&#x3BF;&#x3BA;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3C0;&#x3C1;&#x3CC;&#x3C3;&#x3B2;&#x3B1;&#x3C3;&#x3B7; &#x3C3;&#x3C4;&#x3B7; &#x3C3;&#x3B5;&#x3BB;&#x3AF;&#x3B4;&#x3B1; &#x3BC;&#x3AD;&#x3C3;&#x3C9; SSL.","ba-imagecapture.software-required":"&#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3C0;&#x3B1;&#x3C1;&#x3B1;&#x3BA;&#x3AC;&#x3C4;&#x3C9; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3B5;&#x3B3;&#x3BA;&#x3B1;&#x3C4;&#x3B1;&#x3C3;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; / &#x3B5;&#x3BD;&#x3B5;&#x3C1;&#x3B3;&#x3BF;&#x3C0;&#x3BF;&#x3B9;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3B9;&#x3C2; &#x3B1;&#x3BA;&#x3CC;&#x3BB;&#x3BF;&#x3C5;&#x3B8;&#x3B5;&#x3C2; &#x3B1;&#x3C0;&#x3B1;&#x3B9;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3B9;&#x3C2; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C0;&#x3C1;&#x3BF;&#x3C7;&#x3C9;&#x3C1;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5;.","ba-imagecapture.software-waiting":"&#x391;&#x3BD;&#x3B1;&#x3BC;&#x3BF;&#x3BD;&#x3AE; &#x3B3;&#x3B9;&#x3B1; &#x3C4;&#x3B7;&#x3BD; &#x3B5;&#x3B3;&#x3BA;&#x3B1;&#x3C4;&#x3AC;&#x3C3;&#x3C4;&#x3B1;&#x3C3;&#x3B7; / &#x3B5;&#x3BD;&#x3B5;&#x3C1;&#x3B3;&#x3BF;&#x3C0;&#x3BF;&#x3AF;&#x3B7;&#x3C3;&#x3B7; &#x3C4;&#x3C9;&#x3BD; &#x3B1;&#x3C0;&#x3B1;&#x3B9;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3C9;&#x3BD;. &#x38A;&#x3C3;&#x3C9;&#x3C2; &#x3C7;&#x3C1;&#x3B5;&#x3B9;&#x3B1;&#x3C3;&#x3C4;&#x3B5;&#x3AF; &#x3BD;&#x3B1; &#x3B1;&#x3BD;&#x3B1;&#x3BD;&#x3B5;&#x3CE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3B7; &#x3C3;&#x3B5;&#x3BB;&#x3AF;&#x3B4;&#x3B1; &#x3BC;&#x3B5;&#x3C4;&#x3AC; &#x3C4;&#x3B7;&#x3BD; &#x3BF;&#x3BB;&#x3BF;&#x3BA;&#x3BB;&#x3AE;&#x3C1;&#x3C9;&#x3C3;&#x3B7;.","ba-imagecapture.access-forbidden":"&#x391;&#x3C0;&#x3B1;&#x3B3;&#x3BF;&#x3C1;&#x3B5;&#x3CD;&#x3C4;&#x3B7;&#x3BA;&#x3B5; &#x3B7; &#x3C0;&#x3C1;&#x3CC;&#x3C3;&#x3B2;&#x3B1;&#x3C3;&#x3B7; &#x3C3;&#x3C4;&#x3B1; &#x3BC;&#x3AD;&#x3C3;&#x3B1; &#x3B5;&#x3BD;&#x3B7;&#x3BC;&#x3AD;&#x3C1;&#x3C9;&#x3C3;&#x3B7;&#x3C2;. &#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B3;&#x3B9;&#x3B1; &#x3B5;&#x3C0;&#x3B1;&#x3BD;&#x3AC;&#x3BB;&#x3B7;&#x3C8;&#x3B7;.","ba-imagecapture.uploading":"&#x39C;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3CC;&#x3C1;&#x3C4;&#x3C9;&#x3C3;&#x3B7;","ba-imagecapture.uploading-failed":"&#x397; &#x3BC;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3CC;&#x3C1;&#x3C4;&#x3C9;&#x3C3;&#x3B7; &#x3B1;&#x3C0;&#x3AD;&#x3C4;&#x3C5;&#x3C7;&#x3B5; - &#x3BA;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3AC;.","ba-imagecapture.upload-error-duration":"&#x3A4;&#x3BF; &#x3BC;&#x3AE;&#x3BA;&#x3BF;&#x3C2; &#x3C4;&#x3B7;&#x3C2; &#x3BC;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3BF;&#x3C1;&#x3C4;&#x3C9;&#x3BC;&#x3AD;&#x3BD;&#x3B7;&#x3C2; &#x3B5;&#x3B9;&#x3BA;&#x3CC;&#x3BD;&#x3B1;&#x3C2; &#x3B4;&#x3B5;&#x3BD; &#x3C0;&#x3BB;&#x3B7;&#x3C1;&#x3BF;&#x3AF; &#x3C4;&#x3B9;&#x3C2; &#x3B1;&#x3C0;&#x3B1;&#x3B9;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3B9;&#x3C2; - &#x3BA;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3AC;.","ba-imagecapture.resolution-constraint-error":"&#x3A4;&#x3BF; &#x3B1;&#x3C1;&#x3C7;&#x3B5;&#x3AF;&#x3BF; &#x3C0;&#x3BF;&#x3C5; &#x3B5;&#x3C0;&#x3B9;&#x3BB;&#x3AD;&#x3BE;&#x3B1;&#x3C4;&#x3B5; &#x3B4;&#x3B5;&#x3BD; &#x3C4;&#x3B1;&#x3B9;&#x3C1;&#x3B9;&#x3AC;&#x3B6;&#x3B5;&#x3B9; &#x3BC;&#x3B5; &#x3C4;&#x3B7;&#x3BD; &#x3B1;&#x3C0;&#x3B1;&#x3B9;&#x3C4;&#x3BF;&#x3CD;&#x3BC;&#x3B5;&#x3BD;&#x3B7; &#x3B1;&#x3BD;&#x3AC;&#x3BB;&#x3C5;&#x3C3;&#x3B7; - &#x3BA;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3AC;.","ba-imagecapture.verifying":"&#x395;&#x3C0;&#x3B1;&#x3BB;&#x3AE;&#x3B8;&#x3B5;&#x3C5;&#x3C3;&#x3B7;","ba-imagecapture.verifying-failed":"&#x397; &#x3B5;&#x3C0;&#x3B1;&#x3BB;&#x3AE;&#x3B8;&#x3B5;&#x3C5;&#x3C3;&#x3B7; &#x3B1;&#x3C0;&#x3AD;&#x3C4;&#x3C5;&#x3C7;&#x3B5; - &#x3BA;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3AC;.","ba-imagecapture.rerecord-confirm":"&#x398;&#x3AD;&#x3BB;&#x3B5;&#x3C4;&#x3B5; &#x3C0;&#x3C1;&#x3B1;&#x3B3;&#x3BC;&#x3B1;&#x3C4;&#x3B9;&#x3BA;&#x3AC; &#x3BD;&#x3B1; &#x3B5;&#x3C0;&#x3B1;&#x3BD;&#x3B1;&#x3BB;&#x3AC;&#x3B2;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3B7;&#x3BD; &#x3B5;&#x3B9;&#x3BA;&#x3CC;&#x3BD;&#x3B1; &#x3C3;&#x3B1;&#x3C2;;","ba-imagecapture.image_file_too_large":"&#x3A4;&#x3BF; &#x3B1;&#x3C1;&#x3C7;&#x3B5;&#x3AF;&#x3BF; &#x3B5;&#x3B9;&#x3BA;&#x3CC;&#x3BD;&#x3B1;&#x3C2; &#x3C3;&#x3B1;&#x3C2; &#x3B5;&#x3AF;&#x3BD;&#x3B1;&#x3B9; &#x3C0;&#x3BF;&#x3BB;&#x3CD; &#x3BC;&#x3B5;&#x3B3;&#x3AC;&#x3BB;&#x3BF; (%s) - &#x3BA;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3AC; &#x3BC;&#x3B5; &#x3AD;&#x3BD;&#x3B1; &#x3BC;&#x3B9;&#x3BA;&#x3C1;&#x3CC;&#x3C4;&#x3B5;&#x3C1;&#x3BF; &#x3B1;&#x3C1;&#x3C7;&#x3B5;&#x3AF;&#x3BF; &#x3B5;&#x3B9;&#x3BA;&#x3CC;&#x3BD;&#x3B1;&#x3C2;.","ba-imagecapture.unsupported_image_type":"&#x39C;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3BF;&#x3C1;&#x3C4;&#x3CE;&#x3C3;&#x3C4;&#x3B5;: %s - &#x3BA;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3AC;.","ba-imagecapture.orientation-portrait-required":"&#x3A0;&#x3B5;&#x3C1;&#x3B9;&#x3C3;&#x3C4;&#x3C1;&#x3AD;&#x3C8;&#x3C4;&#x3B5; &#x3C4;&#x3B7; &#x3C3;&#x3C5;&#x3C3;&#x3BA;&#x3B5;&#x3C5;&#x3AE; &#x3C3;&#x3B1;&#x3C2; &#x3B3;&#x3B9;&#x3B1; &#x3B5;&#x3B3;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3AE; &#x3C3;&#x3B5; &#x3BA;&#x3B1;&#x3C4;&#x3B1;&#x3BA;&#x3CC;&#x3C1;&#x3C5;&#x3C6;&#x3B7; &#x3BB;&#x3B5;&#x3B9;&#x3C4;&#x3BF;&#x3C5;&#x3C1;&#x3B3;&#x3AF;&#x3B1;.","ba-imagecapture.orientation-landscape-required":"&#x3A0;&#x3B5;&#x3C1;&#x3B9;&#x3C3;&#x3C4;&#x3C1;&#x3AD;&#x3C8;&#x3C4;&#x3B5; &#x3C4;&#x3B7; &#x3C3;&#x3C5;&#x3C3;&#x3BA;&#x3B5;&#x3C5;&#x3AE; &#x3C3;&#x3B1;&#x3C2; &#x3B3;&#x3B9;&#x3B1; &#x3B5;&#x3B3;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3AE; &#x3C3;&#x3B5; &#x3BF;&#x3C1;&#x3B9;&#x3B6;&#x3CC;&#x3BD;&#x3C4;&#x3B9;&#x3B1; &#x3BB;&#x3B5;&#x3B9;&#x3C4;&#x3BF;&#x3C5;&#x3C1;&#x3B3;&#x3AF;&#x3B1;.","ba-audiorecorder.recorder-error":"&#x395;&#x3BC;&#x3C6;&#x3B1;&#x3BD;&#x3AF;&#x3C3;&#x3C4;&#x3B7;&#x3BA;&#x3B5; &#x3BA;&#x3AC;&#x3C0;&#x3BF;&#x3B9;&#x3BF; &#x3C3;&#x3C6;&#x3AC;&#x3BB;&#x3BC;&#x3B1;. &#x3A0;&#x3B1;&#x3C1;&#x3B1;&#x3BA;&#x3B1;&#x3BB;&#x3CE; &#x3B4;&#x3BF;&#x3BA;&#x3B9;&#x3BC;&#x3AC;&#x3C3;&#x3C4;&#x3B5; &#x3B1;&#x3C1;&#x3B3;&#x3CC;&#x3C4;&#x3B5;&#x3C1;&#x3B1;. &#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B3;&#x3B9;&#x3B1; &#x3B5;&#x3C0;&#x3B1;&#x3BD;&#x3AC;&#x3BB;&#x3B7;&#x3C8;&#x3B7;.","ba-audiorecorder.attach-error":"&#x394;&#x3B5;&#x3BD; &#x3AE;&#x3C4;&#x3B1;&#x3BD; &#x3B4;&#x3C5;&#x3BD;&#x3B1;&#x3C4;&#x3AE; &#x3B7; &#x3C0;&#x3C1;&#x3CC;&#x3C3;&#x3B2;&#x3B1;&#x3C3;&#x3B7; &#x3C3;&#x3C4;&#x3B7; &#x3B4;&#x3B9;&#x3B5;&#x3C0;&#x3B1;&#x3C6;&#x3AE; &#x3C0;&#x3BF;&#x3BB;&#x3C5;&#x3BC;&#x3AD;&#x3C3;&#x3C9;&#x3BD;. &#x391;&#x3BD;&#x3AC;&#x3BB;&#x3BF;&#x3B3;&#x3B1; &#x3BC;&#x3B5; &#x3C4;&#x3B7; &#x3C3;&#x3C5;&#x3C3;&#x3BA;&#x3B5;&#x3C5;&#x3AE; &#x3BA;&#x3B1;&#x3B9; &#x3C4;&#x3BF; &#x3C0;&#x3C1;&#x3CC;&#x3B3;&#x3C1;&#x3B1;&#x3BC;&#x3BC;&#x3B1; &#x3C0;&#x3B5;&#x3C1;&#x3B9;&#x3AE;&#x3B3;&#x3B7;&#x3C3;&#x3B7;&#x3C2;, &#x3AF;&#x3C3;&#x3C9;&#x3C2; &#x3C7;&#x3C1;&#x3B5;&#x3B9;&#x3B1;&#x3C3;&#x3C4;&#x3B5;&#x3AF; &#x3BD;&#x3B1; &#x3B5;&#x3B3;&#x3BA;&#x3B1;&#x3C4;&#x3B1;&#x3C3;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3BF; Flash &#x3AE; &#x3BD;&#x3B1; &#x3B1;&#x3C0;&#x3BF;&#x3BA;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3C0;&#x3C1;&#x3CC;&#x3C3;&#x3B2;&#x3B1;&#x3C3;&#x3B7; &#x3C3;&#x3C4;&#x3B7; &#x3C3;&#x3B5;&#x3BB;&#x3AF;&#x3B4;&#x3B1; &#x3BC;&#x3AD;&#x3C3;&#x3C9; SSL.","ba-audiorecorder.software-required":"&#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3C0;&#x3B1;&#x3C1;&#x3B1;&#x3BA;&#x3AC;&#x3C4;&#x3C9; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3B5;&#x3B3;&#x3BA;&#x3B1;&#x3C4;&#x3B1;&#x3C3;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; / &#x3B5;&#x3BD;&#x3B5;&#x3C1;&#x3B3;&#x3BF;&#x3C0;&#x3BF;&#x3B9;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3B9;&#x3C2; &#x3B1;&#x3BA;&#x3CC;&#x3BB;&#x3BF;&#x3C5;&#x3B8;&#x3B5;&#x3C2; &#x3B1;&#x3C0;&#x3B1;&#x3B9;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3B9;&#x3C2; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C0;&#x3C1;&#x3BF;&#x3C7;&#x3C9;&#x3C1;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5;.","ba-audiorecorder.software-waiting":"&#x391;&#x3BD;&#x3B1;&#x3BC;&#x3BF;&#x3BD;&#x3AE; &#x3B3;&#x3B9;&#x3B1; &#x3C4;&#x3B7;&#x3BD; &#x3B5;&#x3B3;&#x3BA;&#x3B1;&#x3C4;&#x3AC;&#x3C3;&#x3C4;&#x3B1;&#x3C3;&#x3B7; / &#x3B5;&#x3BD;&#x3B5;&#x3C1;&#x3B3;&#x3BF;&#x3C0;&#x3BF;&#x3AF;&#x3B7;&#x3C3;&#x3B7; &#x3C4;&#x3C9;&#x3BD; &#x3B1;&#x3C0;&#x3B1;&#x3B9;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3C9;&#x3BD;. &#x38A;&#x3C3;&#x3C9;&#x3C2; &#x3C7;&#x3C1;&#x3B5;&#x3B9;&#x3B1;&#x3C3;&#x3C4;&#x3B5;&#x3AF; &#x3BD;&#x3B1; &#x3B1;&#x3BD;&#x3B1;&#x3BD;&#x3B5;&#x3CE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3B7; &#x3C3;&#x3B5;&#x3BB;&#x3AF;&#x3B4;&#x3B1; &#x3BC;&#x3B5;&#x3C4;&#x3AC; &#x3C4;&#x3B7;&#x3BD; &#x3BF;&#x3BB;&#x3BF;&#x3BA;&#x3BB;&#x3AE;&#x3C1;&#x3C9;&#x3C3;&#x3B7;.","ba-audiorecorder.access-forbidden":"&#x391;&#x3C0;&#x3B1;&#x3B3;&#x3BF;&#x3C1;&#x3B5;&#x3CD;&#x3C4;&#x3B7;&#x3BA;&#x3B5; &#x3B7; &#x3C0;&#x3C1;&#x3CC;&#x3C3;&#x3B2;&#x3B1;&#x3C3;&#x3B7; &#x3C3;&#x3C4;&#x3B1; &#x3BC;&#x3AD;&#x3C3;&#x3B1; &#x3B5;&#x3BD;&#x3B7;&#x3BC;&#x3AD;&#x3C1;&#x3C9;&#x3C3;&#x3B7;&#x3C2;. &#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B3;&#x3B9;&#x3B1; &#x3B5;&#x3C0;&#x3B1;&#x3BD;&#x3AC;&#x3BB;&#x3B7;&#x3C8;&#x3B7;.","ba-audiorecorder.uploading":"&#x39C;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3CC;&#x3C1;&#x3C4;&#x3C9;&#x3C3;&#x3B7;","ba-audiorecorder.uploading-failed":"&#x397; &#x3BC;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3CC;&#x3C1;&#x3C4;&#x3C9;&#x3C3;&#x3B7; &#x3B1;&#x3C0;&#x3AD;&#x3C4;&#x3C5;&#x3C7;&#x3B5; - &#x3BA;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3AC;.","ba-audiorecorder.upload-error-duration":"&#x3A4;&#x3BF; &#x3BC;&#x3AE;&#x3BA;&#x3BF;&#x3C2; &#x3C4;&#x3BF;&#x3C5; &#x3BC;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3BF;&#x3C1;&#x3C4;&#x3C9;&#x3BC;&#x3AD;&#x3BD;&#x3BF;&#x3C5; &#x3AE;&#x3C7;&#x3BF;&#x3C5; &#x3B4;&#x3B5;&#x3BD; &#x3C0;&#x3BB;&#x3B7;&#x3C1;&#x3BF;&#x3AF; &#x3C4;&#x3B9;&#x3C2; &#x3B1;&#x3C0;&#x3B1;&#x3B9;&#x3C4;&#x3AE;&#x3C3;&#x3B5;&#x3B9;&#x3C2; - &#x3BA;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3AC;.","ba-audiorecorder.verifying":"&#x395;&#x3C0;&#x3B1;&#x3BB;&#x3AE;&#x3B8;&#x3B5;&#x3C5;&#x3C3;&#x3B7;","ba-audiorecorder.verifying-failed":"&#x397; &#x3B5;&#x3C0;&#x3B1;&#x3BB;&#x3AE;&#x3B8;&#x3B5;&#x3C5;&#x3C3;&#x3B7; &#x3B1;&#x3C0;&#x3AD;&#x3C4;&#x3C5;&#x3C7;&#x3B5; - &#x3BA;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3AC;.","ba-audiorecorder.rerecord-confirm":"&#x398;&#x3AD;&#x3BB;&#x3B5;&#x3C4;&#x3B5; &#x3C0;&#x3C1;&#x3B1;&#x3B3;&#x3BC;&#x3B1;&#x3C4;&#x3B9;&#x3BA;&#x3AC; &#x3BD;&#x3B1; &#x3B5;&#x3C0;&#x3B1;&#x3BD;&#x3B1;&#x3BB;&#x3AC;&#x3B2;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3BF;&#x3BD; &#x3AE;&#x3C7;&#x3BF; &#x3C3;&#x3B1;&#x3C2;;","ba-audiorecorder.cancel-confirm":"&#x398;&#x3AD;&#x3BB;&#x3B5;&#x3C4;&#x3B5; &#x3C0;&#x3C1;&#x3B1;&#x3B3;&#x3BC;&#x3B1;&#x3C4;&#x3B9;&#x3BA;&#x3AC; &#x3BD;&#x3B1; &#x3B1;&#x3BA;&#x3C5;&#x3C1;&#x3CE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3B7; &#x3BC;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3CC;&#x3C1;&#x3C4;&#x3C9;&#x3C3;&#x3B7; &#x3AE;&#x3C7;&#x3BF;&#x3C5;;","ba-audiorecorder.audio_file_too_large":"&#x3A4;&#x3BF; &#x3B1;&#x3C1;&#x3C7;&#x3B5;&#x3AF;&#x3BF; &#x3AE;&#x3C7;&#x3BF;&#x3C5; &#x3C3;&#x3B1;&#x3C2; &#x3B5;&#x3AF;&#x3BD;&#x3B1;&#x3B9; &#x3C0;&#x3BF;&#x3BB;&#x3CD; &#x3BC;&#x3B5;&#x3B3;&#x3AC;&#x3BB;&#x3BF; (%s) - &#x3BA;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3B4;&#x3BF;&#x3BA;&#x3B9;&#x3BC;&#x3AC;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3AC; &#x3BC;&#x3B5; &#x3AD;&#x3BD;&#x3B1; &#x3BC;&#x3B9;&#x3BA;&#x3C1;&#x3CC;&#x3C4;&#x3B5;&#x3C1;&#x3BF; &#x3B1;&#x3C1;&#x3C7;&#x3B5;&#x3AF;&#x3BF; &#x3AE;&#x3C7;&#x3BF;&#x3C5;.","ba-audiorecorder.unsupported_audio_type":"&#x39C;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3BF;&#x3C1;&#x3C4;&#x3CE;&#x3C3;&#x3C4;&#x3B5;: %s - &#x3BA;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B5;&#x3B4;&#x3CE; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3AC;.","ba-common-settingsmenu.tooltip":"&#x39A;&#x3AC;&#x3BD;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C0;&#x3B1;&#x3AF;&#x3BE;&#x3B5;&#x3C4;&#x3B5;.","ba-common-settingsmenu.setting-menu":"&#x38C;&#x3BB;&#x3B5;&#x3C2; &#x3BF;&#x3B9; &#x3C1;&#x3C5;&#x3B8;&#x3BC;&#x3AF;&#x3C3;&#x3B5;&#x3B9;&#x3C2;","ba-common-settingsmenu.source-quality":"&#x3A0;&#x3BF;&#x3B9;&#x3CC;&#x3C4;&#x3B7;&#x3C4;&#x3B1; &#x3C0;&#x3B7;&#x3B3;&#x3AE;&#x3C2;","ba-common-settingsmenu.player-speed":"&#x3A4;&#x3B1;&#x3C7;&#x3CD;&#x3C4;&#x3B7;&#x3C4;&#x3B1; &#x3C0;&#x3B1;&#x3AF;&#x3BA;&#x3C4;&#x3B7;","ba-common-settingsmenu.set-menu-option":"&#x39F;&#x3C1;&#x3AF;&#x3C3;&#x3C4;&#x3B5; &#x3C4;&#x3B7;&#x3BD; &#x3B5;&#x3C0;&#x3B9;&#x3BB;&#x3BF;&#x3B3;&#x3AE;","ba-common-settingsmenu.submit-video":"&#x395;&#x3C0;&#x3B9;&#x3B2;&#x3B5;&#x3B2;&#x3B1;&#x3AF;&#x3C9;&#x3C3;&#x3B7; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3BF;","ba-common-settingsmenu.picture-in-picture":"&#x395;&#x3B9;&#x3BA;&#x3CC;&#x3BD;&#x3B1; &#x3C3;&#x3B5; &#x3B5;&#x3B9;&#x3BA;&#x3CC;&#x3BD;&#x3B1;","ba-common-settingsmenu.exit-fullscreen-video":"&#x388;&#x3BE;&#x3BF;&#x3B4;&#x3BF;&#x3C2; &#x3B1;&#x3C0;&#x3CC; &#x3C0;&#x3BB;&#x3AE;&#x3C1;&#x3B7; &#x3BF;&#x3B8;&#x3CC;&#x3BD;&#x3B7;","ba-common-settingsmenu.fullscreen-video":"&#x395;&#x3B9;&#x3C3;&#x3B1;&#x3B3;&#x3AC;&#x3B3;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3B7;&#x3BD; &#x3C0;&#x3BB;&#x3AE;&#x3C1;&#x3B7; &#x3BF;&#x3B8;&#x3CC;&#x3BD;&#x3B7;","ba-videorecorder-chooser.multi-stream":"&#x3A0;&#x3BF;&#x3BB;&#x3BB;&#x3B1;&#x3C0;&#x3BB;&#x3AE; &#x3C1;&#x3BF;&#x3AE;","ba-videorecorder-controlbar.pause-recorder":"&#x3A0;&#x3B1;&#x3CD;&#x3C3;&#x3B7; &#x3B5;&#x3B3;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3AE;&#x3C2;","ba-videorecorder-controlbar.resume-recorder":"&#x3A3;&#x3C5;&#x3BD;&#x3AD;&#x3C7;&#x3B9;&#x3C3;&#x3B7; &#x3B5;&#x3B3;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3AE;&#x3C2;","ba-videorecorder.missing-track":"&#x39B;&#x3B5;&#x3AF;&#x3C0;&#x3B5;&#x3B9; &#x3C4;&#x3BF; &#x3B1;&#x3C0;&#x3B1;&#x3B9;&#x3C4;&#x3BF;&#x3CD;&#x3BC;&#x3B5;&#x3BD;&#x3BF; &#x3BA;&#x3BF;&#x3BC;&#x3BC;&#x3AC;&#x3C4;&#x3B9; &#x3AE;&#x3C7;&#x3BF;&#x3C5; &#x3AE; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3BF;","ba-videorecorder.device-already-in-use":"&#x3A4;&#x3BF;&#x3C5;&#x3BB;&#x3AC;&#x3C7;&#x3B9;&#x3C3;&#x3C4;&#x3BF;&#x3BD; &#x3BC;&#x3AF;&#x3B1; &#x3B1;&#x3C0;&#x3CC; &#x3C4;&#x3B9;&#x3C2; &#x3C3;&#x3C5;&#x3C3;&#x3BA;&#x3B5;&#x3C5;&#x3AD;&#x3C2; &#x3B5;&#x3B9;&#x3C3;&#x3CC;&#x3B4;&#x3BF;&#x3C5; &#x3C3;&#x3B1;&#x3C2; &#x3C7;&#x3C1;&#x3B7;&#x3C3;&#x3B9;&#x3BC;&#x3BF;&#x3C0;&#x3BF;&#x3B9;&#x3B5;&#x3AF;&#x3C4;&#x3B1;&#x3B9; &#x3AE;&#x3B4;&#x3B7;","ba-videorecorder.browser-permission-denied":"&#x394;&#x3B5;&#x3BD; &#x3B5;&#x3C0;&#x3B9;&#x3C4;&#x3C1;&#x3AD;&#x3C0;&#x3B5;&#x3C4;&#x3B1;&#x3B9; &#x3B7; &#x3AC;&#x3B4;&#x3B5;&#x3B9;&#x3B1; &#x3B1;&#x3C0;&#x3CC; &#x3C4;&#x3BF; &#x3C0;&#x3C1;&#x3CC;&#x3B3;&#x3C1;&#x3B1;&#x3BC;&#x3BC;&#x3B1; &#x3C0;&#x3B5;&#x3C1;&#x3B9;&#x3AE;&#x3B3;&#x3B7;&#x3C3;&#x3B7;&#x3C2;, &#x3C0;&#x3B1;&#x3C1;&#x3B1;&#x3C7;&#x3C9;&#x3C1;&#x3AE;&#x3C3;&#x3C4;&#x3B5; &#x3C0;&#x3C1;&#x3CC;&#x3C3;&#x3B2;&#x3B1;&#x3C3;&#x3B7; &#x3BA;&#x3B1;&#x3B9; &#x3C6;&#x3BF;&#x3C1;&#x3C4;&#x3CE;&#x3C3;&#x3C4;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3AC; &#x3C4;&#x3B7; &#x3C3;&#x3B5;&#x3BB;&#x3AF;&#x3B4;&#x3B1;","ba-audioplayer.all-settings":"&#x38C;&#x3BB;&#x3B5;&#x3C2; &#x3BF;&#x3B9; &#x3C1;&#x3C5;&#x3B8;&#x3BC;&#x3AF;&#x3C3;&#x3B5;&#x3B9;&#x3C2;","ba-videoplayer-controlbar.remaining-time":"&#x3A7;&#x3C1;&#x3CC;&#x3BD;&#x3BF;&#x3C2; &#x3C0;&#x3BF;&#x3C5; &#x3B1;&#x3C0;&#x3BF;&#x3BC;&#x3AD;&#x3BD;&#x3B5;&#x3B9;","ba-videoplayer-controlbar.select-frame":"&#x395;&#x3C0;&#x3B9;&#x3BB;&#x3AD;&#x3B3;&#x3C9;","ba-videoplayer-controlbar.trim-video":"&#x3A4;&#x3B1;&#x3BA;&#x3C4;&#x3BF;&#x3C0;&#x3BF;&#x3AF;&#x3B7;&#x3C3;&#x3B7;","ba-videoplayer-playbutton.trim":"&#x3A4;&#x3B1;&#x3BA;&#x3C4;&#x3BF;&#x3C0;&#x3BF;&#x3AF;&#x3B7;&#x3C3;&#x3B7;","ba-videoplayer-playbutton.skip":"&#x3A0;&#x3B1;&#x3C1;&#x3B1;&#x3BB;&#x3B5;&#x3AF;&#x3C0;&#x3C9;","ba-videorecorder-imagegallery.upload-covershot":"&#x39C;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3CC;&#x3C1;&#x3C4;&#x3C9;&#x3C3;&#x3B7; &#x3B5;&#x3BE;&#x3C9;&#x3C6;&#x3CD;&#x3BB;&#x3BB;&#x3BF;&#x3C5;","ba-videorecorder.pick-covershot-frame":"&#x395;&#x3C0;&#x3B9;&#x3BB;&#x3AD;&#x3BE;&#x3C4;&#x3B5; &#x3AD;&#x3BD;&#x3B1; &#x3C0;&#x3BB;&#x3B1;&#x3AF;&#x3C3;&#x3B9;&#x3BF; &#x3B3;&#x3B9;&#x3B1; &#x3C7;&#x3C1;&#x3AE;&#x3C3;&#x3B7; &#x3C9;&#x3C2; &#x3BA;&#x3AC;&#x3BB;&#x3C5;&#x3C8;&#x3B7;.","ba-videorecorder.screen-recorder-is-not-supported":"&#x397; &#x3C3;&#x3C5;&#x3C3;&#x3BA;&#x3B5;&#x3C5;&#x3AE; &#x3B5;&#x3B3;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3AE;&#x3C2; &#x3BF;&#x3B8;&#x3CC;&#x3BD;&#x3B7;&#x3C2; &#x3B4;&#x3B5;&#x3BD; &#x3C5;&#x3C0;&#x3BF;&#x3C3;&#x3C4;&#x3B7;&#x3C1;&#x3AF;&#x3B6;&#x3B5;&#x3C4;&#x3B1;&#x3B9; &#x3C3;&#x3B5; &#x3B1;&#x3C5;&#x3C4;&#x3AE;&#x3BD; &#x3C4;&#x3B7; &#x3C3;&#x3C5;&#x3C3;&#x3BA;&#x3B5;&#x3C5;&#x3AE;","ba-videorecorder.trim-prompt":"&#x398;&#x3AD;&#x3BB;&#x3B5;&#x3C4;&#x3B5; &#x3BD;&#x3B1; &#x3BA;&#x3CC;&#x3C8;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3BF; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3CC; &#x3C3;&#x3B1;&#x3C2;;","ba-videorecorder.trim-video":"&#x39C;&#x3B5;&#x3C4;&#x3B1;&#x3BA;&#x3B9;&#x3BD;&#x3AE;&#x3C3;&#x3C4;&#x3B5; &#x3C4;&#x3BF;&#x3C5;&#x3C2; &#x3B4;&#x3B5;&#x3AF;&#x3BA;&#x3C4;&#x3B5;&#x3C2; &#x3AD;&#x3BD;&#x3B1;&#x3C1;&#x3BE;&#x3B7;&#x3C2; &#x3BA;&#x3B1;&#x3B9; &#x3C4;&#x3AD;&#x3BB;&#x3BF;&#x3C5;&#x3C2; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3BA;&#x3CC;&#x3C8;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3BF; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3CC; &#x3C3;&#x3B1;&#x3C2;","ba-videorecorder.wait-for-trim":"&#x391;&#x3BD;&#x3B1;&#x3BC;&#x3BF;&#x3BD;&#x3AE; &#x3B3;&#x3B9;&#x3B1; &#x3B5;&#x3BD;&#x3C4;&#x3BF;&#x3BB;&#x3AE; &#x3C0;&#x3B5;&#x3C1;&#x3B9;&#x3BA;&#x3BF;&#x3C0;&#x3AE;&#x3C2; ...","ba-videorecorder-controlbar.no-video-source":"&#x39B;&#x3B5;&#x3AF;&#x3C0;&#x3B5;&#x3B9; &#x3C0;&#x3C1;&#x3CC;&#x3C3;&#x3B8;&#x3B5;&#x3C4;&#x3B7; &#x3C0;&#x3B7;&#x3B3;&#x3AE; &#x3B5;&#x3B9;&#x3C3;&#x3CC;&#x3B4;&#x3BF;&#x3C5; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3BF;","ba-videorecorder-controlbar.stream-already-selected":"&#x397; &#x3C0;&#x3C1;&#x3CC;&#x3C3;&#x3B8;&#x3B5;&#x3C4;&#x3B7; &#x3C1;&#x3BF;&#x3AE; &#x3AD;&#x3C7;&#x3B5;&#x3B9; &#x3AE;&#x3B4;&#x3B7; &#x3B5;&#x3C0;&#x3B9;&#x3BB;&#x3B5;&#x3B3;&#x3B5;&#x3AF;","ba-videorecorder.uploading-src-error":"&#x394;&#x3B5;&#x3BD; &#x3B5;&#x3AF;&#x3BD;&#x3B1;&#x3B9; &#x3B4;&#x3C5;&#x3BD;&#x3B1;&#x3C4;&#x3AE; &#x3B7; &#x3B1;&#x3BD;&#x3B1;&#x3C0;&#x3B1;&#x3C1;&#x3B1;&#x3B3;&#x3C9;&#x3B3;&#x3AE; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3BF; &#x3C4;&#x3CE;&#x3C1;&#x3B1;, &#x3B7; &#x3BC;&#x3B5;&#x3C4;&#x3B1;&#x3C6;&#x3CC;&#x3C1;&#x3C4;&#x3C9;&#x3C3;&#x3B7; &#x3B5;&#x3AF;&#x3BD;&#x3B1;&#x3B9; &#x3B1;&#x3BA;&#x3CC;&#x3BC;&#x3B1; &#x3C3;&#x3B5; &#x3B5;&#x3BE;&#x3AD;&#x3BB;&#x3B9;&#x3BE;&#x3B7;","ba-audiorecorder-controlbar.pause-recorder":"&#x3A0;&#x3B1;&#x3CD;&#x3C3;&#x3B7; &#x3B5;&#x3B3;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3AE;&#x3C2;","ba-audiorecorder-controlbar.resume-recorder":"&#x3A3;&#x3C5;&#x3BD;&#x3AD;&#x3C7;&#x3B9;&#x3C3;&#x3B7; &#x3B5;&#x3B3;&#x3B3;&#x3C1;&#x3B1;&#x3C6;&#x3AE;&#x3C2;"},"language:es":{"ba-videoplayer-playbutton.tooltip":"Haga clic para ver el video.","ba-videoplayer-playbutton.rerecord":"Regrabar","ba-videoplayer-playbutton.submit-video":"Confirmar video","ba-videoplayer-loader.tooltip":"Cargando...","ba-videoplayer-controlbar.change-resolution":"Cambiar la resoluci&#xF3;n","ba-videoplayer-controlbar.video-progress":"Progreso de video","ba-videoplayer-controlbar.rerecord-video":"Regrabar video?","ba-videoplayer-controlbar.submit-video":"Confirmar","ba-videoplayer-controlbar.play-video":"Reproducir","ba-videoplayer-controlbar.pause-video":"Pausar","ba-videoplayer-controlbar.elapsed-time":"Tiempo transcurrido","ba-videoplayer-controlbar.total-time":"Duraci&#xF3;n total","ba-videoplayer-controlbar.fullscreen-video":"Ingresar a pantalla completa","ba-videoplayer-controlbar.volume-button":"Establecer volumen","ba-videoplayer-controlbar.volume-mute":"Silenciar sonido","ba-videoplayer-controlbar.volume-unmute":"Activar sonido","ba-videoplayer.video-error":"&#x27;Se produjo un error, por favor intente de nuevo m&#xE1;s tarde. Haga clic para volver a intentarlo.&#x27;","ba-videorecorder-chooser.record-video":"Grabar video","ba-videorecorder-chooser.upload-video":"Subir video","ba-videorecorder-controlbar.settings":"Ajustes","ba-videorecorder-controlbar.camerahealthy":"La iluminaci&#xF3;n es buena","ba-videorecorder-controlbar.cameraunhealthy":"La iluminaci&#xF3;n no es &#xF3;ptima","ba-videorecorder-controlbar.microphonehealthy":"El sonido es bueno","ba-videorecorder-controlbar.microphoneunhealthy":"Problemas con sonido","ba-videorecorder-controlbar.record":"Grabar","ba-videorecorder-controlbar.record-tooltip":"Haga clic aqu&#xED; para grabar.","ba-videorecorder-controlbar.rerecord":"Rehacer","ba-videorecorder-controlbar.rerecord-tooltip":"Haga clic aqu&#xED; para rehacer.","ba-videorecorder-controlbar.upload-covershot":"Subir foto de portada","ba-videorecorder-controlbar.upload-covershot-tooltip":"Haga clic aqu&#xED; para subir foto de portada personalizada","ba-videorecorder-controlbar.stop":"Detener","ba-videorecorder-controlbar.stop-tooltip":"Haga clic aqu&#xED; para detener.","ba-videorecorder-controlbar.skip":"Omitir","ba-videorecorder-controlbar.skip-tooltip":"Haga clic aqu&#xED; para omitir.","ba-videorecorder.recorder-error":"&#x27;Se produjo un error, por favor intente de nuevo m&#xE1;s tarde. Haga clic para volver a intentarlo.&#x27;","ba-videorecorder.attach-error":"No hemos podido acceder a la interfaz de la c&#xE1;mara. Dependiendo del dispositivo y del navegador, es posible que tenga que instalar Flash o acceder a la p&#xE1;gina a trav&#xE9;s de SSL.","ba-videorecorder.access-forbidden":"Acceso denegado a la c&#xE1;mara. Haga clic para volver a intentarlo.","ba-videorecorder.pick-covershot":"Elige una foto de portada.","ba-videorecorder.uploading":"Subiendo","ba-videorecorder.uploading-failed":"La subida ha fallado - hacer clic aqu&#xED; para volver a intentarlo.","ba-videorecorder.verifying":"Verificando","ba-videorecorder.verifying-failed":"Fall&#xF3; la verificaci&#xF3;n - hacer clic aqu&#xED; para volver a intentarlo.","ba-videorecorder.rerecord-confirm":"&#xBF;Est&#xE1; seguro que quiere volver a hacer el video?","ba-videorecorder.video_file_too_large":"El archivo de video es demasiado grande (%s) - hacer clic aqu&#xED; para volver a intentarlo con un archivo de video m&#xE1;s peque&#xF1;o.","ba-videorecorder.unsupported_video_type":"Por favor, sube: %s - haz clic aqu&#xED; para volver a intentarlo.","ba-videoplayer-controlbar.exit-fullscreen-video":"Salir de pantalla completa","ba-videoplayer-share.share":"Compartir video","ba-videorecorder-chooser.record-screen":"Grabar pantalla","ba-videoplayer-controlbar.pause-video-disabled":"Pausa no admitida","ba-videorecorder-chooser.record-audio":"Grabar audio","ba-videorecorder-controlbar.stop-available-after":"El tiempo de grabaci&#xF3;n m&#xED;nimo es %d segundos","ba-videorecorder-controlbar.cancel":"Cancelar","ba-videorecorder-controlbar.cancel-tooltip":"Haga clic aqu&#xED; para cancelar.","ba-videorecorder.cancel-confirm":"&#xBF;Realmente quieres cancelar tu carga de video?","ba-videoplayer-adslot.elapsed-time":"Tiempo transcurrido","ba-videoplayer-adslot.volume-button":"Establecer volumen","ba-videoplayer-adslot.volume-mute":"Silenciar sonido","ba-videoplayer-adslot.volume-unmute":"Activar sonido","ba-videoplayer-adslot.ad-will-end-after":"El anuncio finalizar&#xE1; en %s","ba-videoplayer-adslot.can-skip-after":"Omitir despu&#xE9;s de %d","ba-videoplayer-adslot.skip-ad":"Omitir anuncio","ba-videorecorder.software-required":"Haga click a continuaci&#xF3;n para instalar / activar los siguientes requisitos y as&#xED; poder continuar.","ba-videorecorder.software-waiting":"Esperando a que se instalen / activen los requisitos. Es posible que deba actualizar la p&#xE1;gina al finalizar.","ba-videoplayer-controlbar.close-tracks":"Cerrar CC","ba-videoplayer-controlbar.show-tracks":"Mostrar CC","ba-videoplayer-tracks.upload-text-tracks":"Cargar archivos de pista de texto","ba-videoplayer-tracks.select-text-track-language":"Idioma de subt&#xED;tulos","ba-videoplayer-tracks.info-select-locale-first":"Primero seleccione la configuraci&#xF3;n regional","ba-videoplayer-tracks.select-text-track-file":"Haga clic para seleccionar el archivo","ba-videoplayer-tracks.back":"atr&#xE1;s","ba-videorecorder.framerate-warning":"La velocidad de cuadros de video es muy baja. Recomendamos cerrar todos los dem&#xE1;s programas y pesta&#xF1;as del navegador o utilizar una computadora m&#xE1;s r&#xE1;pida.","ba-videorecorder.upload-error-duration":"La duraci&#xF3;n del video subido no cumple con los requisitos: haga clic aqu&#xED; para volver a intentarlo.","ba-videorecorder.resolution-constraint-error":"El archivo que ha seleccionado no coincide con la resoluci&#xF3;n requerida; haga clic aqu&#xED; para volver a intentarlo.","ba-videorecorder.orientation-portrait-required":"Por favor, gire su dispositivo para grabar en modo vertical.","ba-videorecorder.orientation-landscape-required":"Por favor, gire su dispositivo para grabar en modo horizontal.","ba-imageviewer-controlbar.rerecord-image":"&#xBF;Rehacer?","ba-imageviewer-controlbar.submit-image":"Confirmar","ba-imageviewer-controlbar.fullscreen-image":"Ingrese a pantalla completa","ba-imageviewer-controlbar.exit-fullscreen-image":"Salir de pantalla completa","ba-imageviewer.image-error":"&#x27;Se produjo un error, int&#xE9;ntalo de nuevo m&#xE1;s tarde. Haga clic para volver a intentar.&#x27;","ba-imagecapture-chooser.image-capture":"Capturar imagen","ba-imagecapture-chooser.upload-image":"Cargar imagen","ba-imagecapture-controlbar.settings":"Ajustes","ba-imagecapture-controlbar.camerahealthy":"La iluminaci&#xF3;n es buena","ba-imagecapture-controlbar.cameraunhealthy":"La iluminaci&#xF3;n no es &#xF3;ptima","ba-imagecapture-controlbar.record":"Capturar","ba-imagecapture-controlbar.record-tooltip":"Haga clic aqu&#xED; para capturar.","ba-imagecapture-controlbar.rerecord":"Rehacer","ba-imagecapture-controlbar.rerecord-tooltip":"Haga clic aqu&#xED; para rehacer.","ba-imagecapture-controlbar.cancel":"Cancelar","ba-imagecapture-controlbar.cancel-tooltip":"Haga clic aqu&#xED; para cancelar.","ba-audioplayer-controlbar.audio-progress":"Progreso","ba-audioplayer-controlbar.rerecord-audio":"&#xBF;Rehacer?","ba-audioplayer-controlbar.submit-audio":"Confirmar","ba-audioplayer-controlbar.play-audio":"Reproducir","ba-audioplayer-controlbar.pause-audio":"Pausa","ba-audioplayer-controlbar.pause-audio-disabled":"Pausa no admitida","ba-audioplayer-controlbar.elapsed-time":"Tiempo transcurrido","ba-audioplayer-controlbar.total-time":"Duraci&#xF3;n total","ba-audioplayer-controlbar.volume-button":"Establecer volumen","ba-audioplayer-controlbar.volume-mute":"Silenciar sonido","ba-audioplayer-controlbar.volume-unmute":"Activar sonido","ba-audioplayer-loader.tooltip":"Cargando...","ba-audioplayer.audio-error":"&#x27;Se produjo un error, int&#xE9;ntalo de nuevo m&#xE1;s tarde. Haga clic para volver a intentar.&#x27;","ba-audiorecorder-chooser.record-audio":"Grabar audio","ba-audiorecorder-chooser.upload-audio":"Subir audio","ba-audiorecorder-controlbar.settings":"Ajustes","ba-audiorecorder-controlbar.microphonehealthy":"El sonido es bueno","ba-audiorecorder-controlbar.microphoneunhealthy":"No se pudo captar ning&#xFA;n sonido","ba-audiorecorder-controlbar.record":"Grabar","ba-audiorecorder-controlbar.record-tooltip":"Haga clic aqu&#xED; para grabar.","ba-audiorecorder-controlbar.rerecord":"Rehacer","ba-audiorecorder-controlbar.rerecord-tooltip":"Haga clic aqu&#xED; para rehacer.","ba-audiorecorder-controlbar.stop":"Detener","ba-audiorecorder-controlbar.stop-tooltip":"Haga clic aqu&#xED; para detenerse.","ba-audiorecorder-controlbar.stop-available-after":"El tiempo de grabaci&#xF3;n m&#xED;nimo es %d segundos","ba-audiorecorder-controlbar.cancel":"Cancelar","ba-audiorecorder-controlbar.cancel-tooltip":"Haga clic aqu&#xED; para cancelar.","ba-videoplayer-controlbar.player-speed":"Velocidad de reproducci&#xF3;n","ba-videoplayer-controlbar.settings":"Ajustes","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"&#xCD;cono de Airplay","ba-videoplayer.all-settings":"Todos los ajustes","ba-videoplayer.player-speed":"Velocidad de reproducci&#xF3;n","ba-videoplayer.full-screen":"Pantalla completa","ba-videorecorder-controlbar.add-stream":"A&#xF1;adir Stream","ba-videorecorder.switch-camera":"Cambiar de c&#xE1;mara","ba-videorecorder.prepare-covershot":"Preparando portadas","ba-videorecorder.prepare-thumbnails":"Preparando b&#xFA;squeda de miniaturas","ba-videorecorder.adding-new-stream":"A&#xF1;adiendo nueva secuencia","ba-imagecapture.recorder-error":"&#x27;Ha ocurrido un error, por favor intente de nuevo m&#xE1;s tarde. Haga clic para volver a intentarlo.&#x27;","ba-imagecapture.attach-error":"No pudimos acceder a la interfaz multimedia. Seg&#xFA;n el dispositivo y el navegador, es posible que deba instalar Flash o acceder a la p&#xE1;gina a trav&#xE9;s de SSL.","ba-imagecapture.software-required":"Haga clic a continuaci&#xF3;n para instalar / activar los siguientes requisitos para continuar.","ba-imagecapture.software-waiting":"Esperando a que los requisitos sean instalados / activados. Es posible que necesite actualizar la p&#xE1;gina al finalizar.","ba-imagecapture.access-forbidden":"El acceso a los medios de comunicaci&#xF3;n est&#xE1; denegado. Haga clic para volver a intentarlo.","ba-imagecapture.uploading":"Subiendo","ba-imagecapture.uploading-failed":"Fall&#xF3; la carga - haga clic aqu&#xED; para volver a intentarlo.","ba-imagecapture.upload-error-duration":"La longitud de la imagen cargada no cumple con los requisitos - haga clic aqu&#xED; para volver a intentarlo.","ba-imagecapture.resolution-constraint-error":"El archivo que ha seleccionado no coincide con la resoluci&#xF3;n requerida - haga clic aqu&#xED; para volver a intentarlo.","ba-imagecapture.verifying":"Verificando","ba-imagecapture.verifying-failed":"Verificaci&#xF3;n fallida - haga clic aqu&#xED; para volver a intentarlo.","ba-imagecapture.rerecord-confirm":"&#xBF;De verdad quieres volver a tomar tu imagen?","ba-imagecapture.image_file_too_large":"Su archivo de imagen es demasiado grande (%s): haga clic aqu&#xED; para volver a intentarlo con un archivo de imagen m&#xE1;s peque&#xF1;o.","ba-imagecapture.unsupported_image_type":"Por favor suba: %s - haga clic aqu&#xED; para volver a intentarlo.","ba-imagecapture.orientation-portrait-required":"Por favor, gire su dispositivo para grabar en modo retrato.","ba-imagecapture.orientation-landscape-required":"Por favor, gire su dispositivo para grabar en modo horizontal.","ba-audiorecorder.recorder-error":"Ha ocurrido un error, por favor intente de nuevo m&#xE1;s tarde. Haga clic para volver a intentarlo.","ba-audiorecorder.attach-error":"No pudimos acceder a la interfaz multimedia. Seg&#xFA;n el dispositivo y el navegador, es posible que deba instalar Flash o acceder a la p&#xE1;gina a trav&#xE9;s de SSL.","ba-audiorecorder.software-required":"Haga clic debajo para instalar / activar los siguientes requisitos para continuar.","ba-audiorecorder.software-waiting":"Esperando a que los requisitos sean instalados / activados. Es posible que necesite actualizar la p&#xE1;gina despu&#xE9;s de finalizar.","ba-audiorecorder.access-forbidden":"El acceso a los medios de comunicaci&#xF3;n est&#xE1; denegado. Haga clic para volver a intentarlo.","ba-audiorecorder.uploading":"Subiendo","ba-audiorecorder.uploading-failed":"Fall&#xF3; la carga - haga clic aqu&#xED; para volver a intentarlo.","ba-audiorecorder.upload-error-duration":"La duraci&#xF3;n del audio cargado no cumple con los requisitos; haga clic aqu&#xED; para volver a intentarlo.","ba-audiorecorder.verifying":"Verificando","ba-audiorecorder.verifying-failed":"Verificaci&#xF3;n fallida - haga clic aqu&#xED; para volver a intentarlo.","ba-audiorecorder.rerecord-confirm":"&#xBF;Realmente quieres rehacer tu audio?","ba-audiorecorder.cancel-confirm":"&#xBF;Realmente quieres cancelar tu carga de audio?","ba-audiorecorder.audio_file_too_large":"Su archivo de audio es demasiado grande (%s) - haga clic aqu&#xED; para volver a intentarlo con un archivo de audio m&#xE1;s peque&#xF1;o.","ba-audiorecorder.unsupported_audio_type":"Por favor suba: %s - haga clic aqu&#xED; para volver a intentarlo.","ba-common-settingsmenu.tooltip":"Haga clic para reproducir.","ba-common-settingsmenu.setting-menu":"Todos los ajustes","ba-common-settingsmenu.source-quality":"Calidad","ba-common-settingsmenu.player-speed":"Velocidad de reproducci&#xF3;n","ba-common-settingsmenu.set-menu-option":"Establecer opci&#xF3;n","ba-common-settingsmenu.submit-video":"Confirmar video","ba-common-settingsmenu.picture-in-picture":"Picture in picture","ba-common-settingsmenu.exit-fullscreen-video":"Salir de pantalla completa","ba-common-settingsmenu.fullscreen-video":"Pantalla completa","ba-videorecorder-chooser.multi-stream":"Multi Stream","ba-videorecorder-controlbar.pause-recorder":"Pausar grabaci&#xF3;n","ba-videorecorder-controlbar.resume-recorder":"Resumir grabaci&#xF3;n","ba-videorecorder.missing-track":"Pista de audio o video requerida","ba-videorecorder.device-already-in-use":"Por lo menos uno de sus dispositivos de entrada se encuentra en uso","ba-videorecorder.browser-permission-denied":"Permiso denegado por el navegador, por favor conceda acceso y recargue la p&#xE1;gina","ba-audioplayer.all-settings":"Todos los ajustes","ba-videoplayer-controlbar.remaining-time":"Tiempo restante","ba-videoplayer-controlbar.select-frame":"Seleccione","ba-videoplayer-controlbar.trim-video":"Podar","ba-videoplayer-playbutton.trim":"Podar","ba-videoplayer-playbutton.skip":"Saltar","ba-videorecorder-imagegallery.upload-covershot":"Subir portada","ba-videorecorder.pick-covershot-frame":"Seleccione un fotograma para usarlo como foto de portada.","ba-videorecorder.screen-recorder-is-not-supported":"La grabadora de pantalla no es compatible con este dispositivo","ba-videorecorder.trim-prompt":"&#xBF;Quieres recortar tu video?","ba-videorecorder.trim-video":"Mueva los marcadores de inicio y fin para recortar su video","ba-videorecorder.wait-for-trim":"Esperando el comando de recorte ...","ba-videorecorder-controlbar.no-video-source":"Falta una fuente de entrada de video adicional","ba-videorecorder-controlbar.stream-already-selected":"Ya se ha seleccionado una transmisi&#xF3;n adicional","ba-videorecorder.uploading-src-error":"No se puede reproducir el video ahora, la carga a&#xFA;n est&#xE1; en progreso","ba-audiorecorder-controlbar.pause-recorder":"Pausar grabadora","ba-audiorecorder-controlbar.resume-recorder":"Reanudar grabadora"},"language:fi":{"ba-videoplayer-playbutton.tooltip":"Toista video.","ba-videoplayer-playbutton.rerecord":"Uudelleen","ba-videoplayer-playbutton.submit-video":"Vahvista video","ba-videoplayer-loader.tooltip":"Ladataan videota ...","ba-videoplayer-controlbar.change-resolution":"Muuta resoluutiota","ba-videoplayer-controlbar.video-progress":"Video edistyminen","ba-videoplayer-controlbar.rerecord-video":"Uudestaan?","ba-videoplayer-controlbar.submit-video":"Vahvista video","ba-videoplayer-controlbar.play-video":"Toista video","ba-videoplayer-controlbar.pause-video":"Tauko","ba-videoplayer-controlbar.elapsed-time":"Kulunut aika","ba-videoplayer-controlbar.total-time":"Kokonaispituus","ba-videoplayer-controlbar.fullscreen-video":"Kokon&#xE4;ytt&#xF6;","ba-videoplayer-controlbar.volume-button":"&#xC4;&#xE4;nenvoimakkuus","ba-videoplayer-controlbar.volume-mute":"&#xC4;&#xE4;nenmykistys","ba-videoplayer-controlbar.volume-unmute":"Poista mykistys","ba-videoplayer.video-error":"Tapahtui virhe, yrit&#xE4; my&#xF6;hemmin uudelleen. Yrit&#xE4; uudelleen klikkaamalla.","ba-videorecorder-chooser.record-video":"Nauhoita video","ba-videorecorder-chooser.upload-video":"Lataa video","ba-videorecorder-controlbar.settings":"Asetukset","ba-videorecorder-controlbar.camerahealthy":"Valaistus on riitt&#xE4;v&#xE4;","ba-videorecorder-controlbar.cameraunhealthy":"Valaistus ei ole optimaalinen","ba-videorecorder-controlbar.microphonehealthy":"&#xC4;&#xE4;nitys toimii","ba-videorecorder-controlbar.microphoneunhealthy":"&#xC4;&#xE4;ni ei tallennu, tarkista mikrofoniasetus","ba-videorecorder-controlbar.record":"Nauhoita","ba-videorecorder-controlbar.record-tooltip":"Aloita videon nauhoitus.","ba-videorecorder-controlbar.rerecord":"Uudelleen","ba-videorecorder-controlbar.rerecord-tooltip":"Paina aloittaaksesi uudelleen.","ba-videorecorder-controlbar.upload-covershot":"Lataa","ba-videorecorder-controlbar.upload-covershot-tooltip":"Paina t&#xE4;st&#xE4; lataaksesi aloituskuvan","ba-videorecorder-controlbar.stop":"Stop","ba-videorecorder-controlbar.stop-tooltip":"Lopeta nauhoitus painamalla t&#xE4;st&#xE4;.","ba-videorecorder-controlbar.skip":"Ohita","ba-videorecorder-controlbar.skip-tooltip":"Paina t&#xE4;st&#xE4; ohittaaksesi.","ba-videorecorder.recorder-error":"Tapahtui virhe, yrit&#xE4; my&#xF6;hemmin uudelleen. Yrit&#xE4; uudelleen klikkaamalla.","ba-videorecorder.attach-error":"Emme voineet k&#xE4;ytt&#xE4;&#xE4; kamera-rajapintaa. Laitteesta ja selaimesta riippuen, sinun on ehk&#xE4; asennettava Flash tai k&#xE4;ytett&#xE4;v&#xE4; sivun kautta SSL.","ba-videorecorder.access-forbidden":"P&#xE4;&#xE4;sy kameraan oli kielletty. Yrit&#xE4; uudelleen klikkaamalla.","ba-videorecorder.pick-covershot":"Valitse aloituskuva.","ba-videorecorder.uploading":"Ladataan","ba-videorecorder.uploading-failed":"Lataaminen ep&#xE4;onnistui - klikkaa t&#xE4;st&#xE4; ja yrit&#xE4; uudelleen.","ba-videorecorder.verifying":"Tarkistetaan","ba-videorecorder.verifying-failed":"Varmentaa ep&#xE4;onnistui - klikkaa t&#xE4;st&#xE4; ja yrit&#xE4; uudelleen.","ba-videorecorder.rerecord-confirm":"Haluatko todella tehd&#xE4; uudelleen videon?","ba-videorecorder.video_file_too_large":"Videotiedosto on liian suuri (%s) - klikkaa t&#xE4;st&#xE4; yritt&#xE4;&#xE4;ksesi uudelleen pienemm&#xE4;ll&#xE4; videotiedostolla.","ba-videorecorder.unsupported_video_type":"Lataa: %s - klikkaa t&#xE4;st&#xE4; yrit&#xE4;&#xE4;ksesi uudelleen.","ba-videoplayer-controlbar.exit-fullscreen-video":"Poistu kokon&#xE4;yt&#xF6;lt&#xE4;","ba-videoplayer-share.share":"Jaa video","ba-videorecorder-chooser.record-screen":"Ruudunkaappaus","ba-videoplayer-controlbar.pause-video-disabled":"Tauko ei ole tuettu","ba-videorecorder-chooser.record-audio":"&#xC4;&#xE4;nit&#xE4; &#xE4;&#xE4;nt&#xE4;","ba-videorecorder-controlbar.stop-available-after":"Minimi tallennusaika on %d sekuntia","ba-videorecorder-controlbar.cancel":"Peruuta","ba-videorecorder-controlbar.cancel-tooltip":"Peruuta napsauttamalla t&#xE4;t&#xE4;.","ba-videorecorder.cancel-confirm":"Haluatko todella peruuttaa videon l&#xE4;hett&#xE4;misen?","ba-videoplayer-adslot.elapsed-time":"Kulunut aika","ba-videoplayer-adslot.volume-button":"Aseta &#xE4;&#xE4;nenvoimakkuus","ba-videoplayer-adslot.volume-mute":"Mykist&#xE4; &#xE4;&#xE4;ni","ba-videoplayer-adslot.volume-unmute":"Palauta &#xE4;&#xE4;ni","ba-videoplayer-adslot.ad-will-end-after":"Mainos p&#xE4;&#xE4;ttyy %s: n j&#xE4;lkeen","ba-videoplayer-adslot.can-skip-after":"Ohita %d j&#xE4;lkeen","ba-videoplayer-adslot.skip-ad":"Ohita mainos","ba-videorecorder.software-required":"Napsauta alla olevaa asentaaksesi / aktivoi seuraavat vaatimukset jatkaaksesi.","ba-videorecorder.software-waiting":"Odottaa, ett&#xE4; vaatimukset asennetaan / aktivoidaan. Sinun on ehk&#xE4; p&#xE4;ivitett&#xE4;v&#xE4; sivusi lopuksi.","ba-videoplayer-controlbar.close-tracks":"Sulje CC","ba-videoplayer-controlbar.show-tracks":"N&#xE4;yt&#xE4; CC","ba-videoplayer-tracks.upload-text-tracks":"Lataa tekstitiedostoja","ba-videoplayer-tracks.select-text-track-language":"Tekstityskieli","ba-videoplayer-tracks.info-select-locale-first":"Valitse ensin sijainti","ba-videoplayer-tracks.select-text-track-file":"Paina valitaksesi tiedoston","ba-videoplayer-tracks.back":"takaisin","ba-videorecorder.framerate-warning":"Videon frame-rate on hyvin alhainen. Suosittelemme kaikkien muiden ohjelmien ja selainv&#xE4;lilehtien sulkemista tai nopeamman tietokoneen k&#xE4;ytt&#xF6;&#xE4;.","ba-videorecorder.upload-error-duration":"L&#xE4;hetetyn videon pituus ei t&#xE4;yt&#xE4; vaatimuksia - klikkaa t&#xE4;st&#xE4; yritt&#xE4;&#xE4;ksesi uudelleen.","ba-videorecorder.resolution-constraint-error":"Valitsemasi tiedosto ei vastaa vaadittua tarkkuutta - napsauta t&#xE4;t&#xE4; uudelleen yritt&#xE4;&#xE4;ksesi.","ba-videorecorder.orientation-portrait-required":"Kierr&#xE4; laitetta pystyasentoon.","ba-videorecorder.orientation-landscape-required":"Kierr&#xE4; laitetta nauhoittaaksesi vaakasuunnassa.","ba-imageviewer-controlbar.rerecord-image":"Uudelleen?","ba-imageviewer-controlbar.submit-image":"Vahvista","ba-imageviewer-controlbar.fullscreen-image":"Siirry kokon&#xE4;ytt&#xF6;&#xF6;n","ba-imageviewer-controlbar.exit-fullscreen-image":"Poistu kokon&#xE4;yt&#xF6;st&#xE4;","ba-imageviewer.image-error":"Tapahtui virhe. Yrit&#xE4; my&#xF6;hemmin uudelleen. Paina ja aloita uudelleen.","ba-imagecapture-chooser.image-capture":"Kuvan kaappaus","ba-imagecapture-chooser.upload-image":"L&#xE4;het&#xE4; kuva","ba-imagecapture-controlbar.settings":"Asetukset","ba-imagecapture-controlbar.camerahealthy":"Valaistus on riitt&#xE4;v&#xE4;","ba-imagecapture-controlbar.cameraunhealthy":"Valaistus ei ole optimaalinen","ba-imagecapture-controlbar.record":"Kaappaus","ba-imagecapture-controlbar.record-tooltip":"Paina t&#xE4;st&#xE4; kaapataksesi.","ba-imagecapture-controlbar.rerecord":"Tee uudelleen","ba-imagecapture-controlbar.rerecord-tooltip":"Paina t&#xE4;st&#xE4; tehd&#xE4;ksesi uudelleen.","ba-imagecapture-controlbar.cancel":"Peruuttaa","ba-imagecapture-controlbar.cancel-tooltip":"Peruuta painamalla t&#xE4;t&#xE4;.","ba-audioplayer-controlbar.audio-progress":"Edistyminen","ba-audioplayer-controlbar.rerecord-audio":"Uudelleen?","ba-audioplayer-controlbar.submit-audio":"Vahvista","ba-audioplayer-controlbar.play-audio":"Toista","ba-audioplayer-controlbar.pause-audio":"Tauko","ba-audioplayer-controlbar.pause-audio-disabled":"Tauko ei ole mahdollinen","ba-audioplayer-controlbar.elapsed-time":"Kulunut aika","ba-audioplayer-controlbar.total-time":"Kokonaispituus","ba-audioplayer-controlbar.volume-button":"Aseta &#xE4;&#xE4;nenvoimakkuus","ba-audioplayer-controlbar.volume-mute":"Mykist&#xE4; &#xE4;&#xE4;ni","ba-audioplayer-controlbar.volume-unmute":"Palauta &#xE4;&#xE4;ni","ba-audioplayer-loader.tooltip":"Ladataan...","ba-audioplayer.audio-error":"Tapahtui virhe. Yrit&#xE4; my&#xF6;hemmin uudelleen. Paina yritt&#xE4;&#xE4;ksesi uudelleen.","ba-audiorecorder-chooser.record-audio":"&#xC4;&#xE4;nit&#xE4; &#xE4;&#xE4;nt&#xE4;","ba-audiorecorder-chooser.upload-audio":"L&#xE4;het&#xE4; &#xE4;&#xE4;nitiedosto","ba-audiorecorder-controlbar.settings":"Asetukset","ba-audiorecorder-controlbar.microphonehealthy":"&#xC4;&#xE4;ni on hyv&#xE4;","ba-audiorecorder-controlbar.microphoneunhealthy":"&#xC4;&#xE4;nitys ei toimi","ba-audiorecorder-controlbar.record":"Nauhoita","ba-audiorecorder-controlbar.record-tooltip":"Paina nauhoittaaksesi.","ba-audiorecorder-controlbar.rerecord":"Tee uudelleen","ba-audiorecorder-controlbar.rerecord-tooltip":"Paina t&#xE4;st&#xE4; tehd&#xE4;ksesi uudelleen.","ba-audiorecorder-controlbar.stop":"Stop","ba-audiorecorder-controlbar.stop-tooltip":"Napsauta t&#xE4;st&#xE4; lopettaaksesi.","ba-audiorecorder-controlbar.stop-available-after":"Minimi tallennusaika on %d sekuntia","ba-audiorecorder-controlbar.cancel":"Peruuttaa","ba-audiorecorder-controlbar.cancel-tooltip":"Peruuta napsauttamalla t&#xE4;t&#xE4;.","ba-videoplayer-controlbar.player-speed":"Toiston nopeus","ba-videoplayer-controlbar.settings":"Asetukset","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"Airplay-kuvake.","ba-videoplayer.all-settings":"Kaikki asetukset","ba-videoplayer.player-speed":"Toiston nopeus","ba-videoplayer.full-screen":"Kokon&#xE4;ytt&#xF6;","ba-videorecorder-controlbar.add-stream":"Lis&#xE4;&#xE4; Stream","ba-videorecorder.switch-camera":"Vaihda kamera","ba-videorecorder.prepare-covershot":"Aloituskuvan valmistelu","ba-videorecorder.prepare-thumbnails":"Pienoiskuvien etsiminen","ba-videorecorder.adding-new-stream":"Streamin lis&#xE4;&#xE4;minen","ba-imagecapture.recorder-error":"Tapahtui virhe, yrit&#xE4; my&#xF6;hemmin uudelleen. Paina yritt&#xE4;&#xE4;ksesi uudelleen.","ba-imagecapture.attach-error":"Emme voineet k&#xE4;ytt&#xE4;&#xE4; mediarajapintaa. Laitteesta ja selaimesta riippuen sinun on ehk&#xE4; asennettava Flash tai avattava sivu SSL:n kautta.","ba-imagecapture.software-required":"Klikkaa asentaaksesi / aktivoidaksesi seuraavat vaatimukset jatkaaksesi.","ba-imagecapture.software-waiting":"Odotetaan, ett&#xE4; vaatimukset asennetaan / aktivoidaan. Saatat joutua p&#xE4;ivitt&#xE4;m&#xE4;&#xE4;n sivun valmistumisen j&#xE4;lkeen.","ba-imagecapture.access-forbidden":"P&#xE4;&#xE4;sy tiedotusv&#xE4;lineisiin oli kielletty. Napsauta uudelleen yritt&#xE4;&#xE4;ksesi.","ba-imagecapture.uploading":"lataaminen","ba-imagecapture.uploading-failed":"Lataaminen ep&#xE4;onnistui - yrit&#xE4; uudelleen napsauttamalla t&#xE4;t&#xE4;.","ba-imagecapture.upload-error-duration":"L&#xE4;hetetyn kuvan pituus ei t&#xE4;yt&#xE4; vaatimuksia - yrit&#xE4; uudelleen napsauttamalla t&#xE4;t&#xE4;.","ba-imagecapture.resolution-constraint-error":"Valitsemasi tiedosto ei vastaa vaadittua tarkkuutta - yrit&#xE4; uudelleen napsauttamalla t&#xE4;t&#xE4;.","ba-imagecapture.verifying":"Tarkistetaan","ba-imagecapture.verifying-failed":"Vahvistaminen ep&#xE4;onnistui - yrit&#xE4; uudelleen napsauttamalla t&#xE4;t&#xE4;.","ba-imagecapture.rerecord-confirm":"Haluatko todella ottaa kuvan uudelleen?","ba-imagecapture.image_file_too_large":"Kuvatiedosto on liian suuri (%s) - napsauta t&#xE4;t&#xE4;, jos haluat kokeilla uudelleen pienemp&#xE4;&#xE4; kuvatiedostoa.","ba-imagecapture.unsupported_image_type":"L&#xE4;het&#xE4;: %s - napsauta t&#xE4;t&#xE4;, jos haluat yritt&#xE4;&#xE4; uudelleen.","ba-imagecapture.orientation-portrait-required":"K&#xE4;&#xE4;nn&#xE4; laitetta tallentaaksesi muotokuvaustilassa.","ba-imagecapture.orientation-landscape-required":"Kierr&#xE4; laitetta kuvaamaan vaakasuunnassa.","ba-audiorecorder.recorder-error":"Tapahtui virhe, yrit&#xE4; my&#xF6;hemmin uudelleen. Napsauta uudelleen yritt&#xE4;&#xE4;ksesi.","ba-audiorecorder.attach-error":"Emme voineet k&#xE4;ytt&#xE4;&#xE4; mediarajapintaa. Laitteesta ja selaimesta riippuen sinun on ehk&#xE4; asennettava Flash tai avattava sivu SSL: n kautta.","ba-audiorecorder.software-required":"Klikkaa alla asentaaksesi / aktivoidaksesi seuraavat vaatimukset jatkaaksesi.","ba-audiorecorder.software-waiting":"Odotetaan ett&#xE4; vaatimukset asennetaan / aktivoidaan. Saatat joutua p&#xE4;ivitt&#xE4;m&#xE4;&#xE4;n sivun valmistumisen j&#xE4;lkeen.","ba-audiorecorder.access-forbidden":"P&#xE4;&#xE4;sy mediatiedostoon oli ev&#xE4;tty. Napsauta yritt&#xE4;&#xE4;ksesi uudelleen.","ba-audiorecorder.uploading":"Ladataan","ba-audiorecorder.uploading-failed":"Lataaminen ep&#xE4;onnistui - yrit&#xE4; uudelleen napsauttamalla t&#xE4;t&#xE4;.","ba-audiorecorder.upload-error-duration":"L&#xE4;hetetyn &#xE4;&#xE4;nityksen pituus ei t&#xE4;yt&#xE4; vaatimuksia - yrit&#xE4; uudelleen napsauttamalla t&#xE4;t&#xE4;.","ba-audiorecorder.verifying":"Tarkistetaan","ba-audiorecorder.verifying-failed":"Vahvistaminen ep&#xE4;onnistui - yrit&#xE4; uudelleen napsauttamalla t&#xE4;t&#xE4;.","ba-audiorecorder.rerecord-confirm":"Haluatko todella nauhoittaa uudelleen?","ba-audiorecorder.cancel-confirm":"Haluatko todella peruuttaa &#xE4;&#xE4;nilatauksen?","ba-audiorecorder.audio_file_too_large":"&#xC4;&#xE4;nitiedosto on liian suuri (%s) - napsauta t&#xE4;t&#xE4;, jos haluat kokeilla uudelleen pienemp&#xE4;&#xE4; &#xE4;&#xE4;nitiedostoa.","ba-audiorecorder.unsupported_audio_type":"L&#xE4;het&#xE4;: %s - napsauta t&#xE4;t&#xE4;, jos haluat yritt&#xE4;&#xE4; uudelleen.","ba-common-settingsmenu.tooltip":"Klikkaa pelataksesi.","ba-common-settingsmenu.setting-menu":"Kaikki asetukset","ba-common-settingsmenu.source-quality":"L&#xE4;hteen laatu","ba-common-settingsmenu.player-speed":"Pelaajan nopeus","ba-common-settingsmenu.set-menu-option":"Aseta vaihtoehto","ba-common-settingsmenu.submit-video":"Vahvista video","ba-common-settingsmenu.picture-in-picture":"Kuva kuvassa","ba-common-settingsmenu.exit-fullscreen-video":"Poistu koko n&#xE4;yt&#xF6;st&#xE4;","ba-common-settingsmenu.fullscreen-video":"Siirry koko n&#xE4;ytt&#xF6;&#xF6;n","ba-videorecorder-chooser.multi-stream":"Monivirta","ba-videorecorder-controlbar.pause-recorder":"Keskeyt&#xE4; tallennin","ba-videorecorder-controlbar.resume-recorder":"Jatka tallenninta","ba-videorecorder.missing-track":"Vaadittu &#xE4;&#xE4;ni- tai videoraita puuttuu","ba-videorecorder.device-already-in-use":"Ainakin yksi sy&#xF6;tt&#xF6;laitteistasi on jo k&#xE4;yt&#xF6;ss&#xE4;","ba-videorecorder.browser-permission-denied":"Selain ei my&#xF6;nt&#xE4;nyt lupaa. Anna k&#xE4;ytt&#xF6;oikeus ja lataa sivu uudelleen","ba-audioplayer.all-settings":"Kaikki asetukset","ba-videoplayer-controlbar.remaining-time":"J&#xE4;ljell&#xE4; oleva aika","ba-videoplayer-controlbar.select-frame":"Valitse","ba-videoplayer-controlbar.trim-video":"Trimmata","ba-videoplayer-playbutton.trim":"Trimmata","ba-videoplayer-playbutton.skip":"Ohita","ba-videorecorder-imagegallery.upload-covershot":"L&#xE4;het&#xE4; kansi","ba-videorecorder.pick-covershot-frame":"Valitse kehys, jota k&#xE4;ytet&#xE4;&#xE4;n kansikuvana.","ba-videorecorder.screen-recorder-is-not-supported":"N&#xE4;yt&#xF6;n tallenninta ei tueta t&#xE4;ss&#xE4; laitteessa","ba-videorecorder.trim-prompt":"Haluatko leikata videosi?","ba-videorecorder.trim-video":"Leikkaa videota siirt&#xE4;m&#xE4;ll&#xE4; aloitus- ja lopetusmerkkej&#xE4;","ba-videorecorder.wait-for-trim":"Odotetaan leikkauskomentoa ...","ba-videorecorder-controlbar.no-video-source":"Lis&#xE4;videon tulol&#xE4;hde puuttuu","ba-videorecorder-controlbar.stream-already-selected":"Lis&#xE4;virta on jo valittu","ba-videorecorder.uploading-src-error":"Videon toistaminen ei onnistu, lataaminen on edelleen kesken","ba-audiorecorder-controlbar.pause-recorder":"Keskeyt&#xE4; tallennin","ba-audiorecorder-controlbar.resume-recorder":"Jatka tallenninta"},"language:fr":{"ba-videoplayer-playbutton.tooltip":"Cliquez ici pour voir la vid&#xE9;o.","ba-videoplayer-playbutton.rerecord":"Recommencer","ba-videoplayer-playbutton.submit-video":"Confirmer vid&#xE9;o","ba-videoplayer-loader.tooltip":"Chargement...","ba-videoplayer-controlbar.change-resolution":"Modifier la r&#xE9;solution","ba-videoplayer-controlbar.video-progress":"Progr&#xE8;s","ba-videoplayer-controlbar.rerecord-video":"Recommencer la vid&#xE9;o?","ba-videoplayer-controlbar.submit-video":"Valider","ba-videoplayer-controlbar.play-video":"Lecture","ba-videoplayer-controlbar.pause-video":"Pause","ba-videoplayer-controlbar.elapsed-time":"Temps &#xE9;coul&#xE9; ou expir&#xE9;","ba-videoplayer-controlbar.total-time":"Dur&#xE9;e totale de la vid&#xE9;o","ba-videoplayer-controlbar.fullscreen-video":"Passer en mode plein &#xE9;cran","ba-videoplayer-controlbar.volume-button":"Ajuster le volume","ba-videoplayer-controlbar.volume-mute":"Silencieux","ba-videoplayer-controlbar.volume-unmute":"Silencieux d&#xE9;sactiv&#xE9;","ba-videoplayer.video-error":"Une erreur s&#x2019;est produite, r&#xE9;essayez ult&#xE9;rieurement. Cliquez ici pour r&#xE9;essayer.","ba-videorecorder-chooser.record-video":"Enregistrer votre vid&#xE9;o","ba-videorecorder-chooser.upload-video":"T&#xE9;l&#xE9;charger votre vid&#xE9;o","ba-videorecorder-controlbar.settings":"R&#xE9;glages","ba-videorecorder-controlbar.camerahealthy":"Bon &#xE9;clairage","ba-videorecorder-controlbar.cameraunhealthy":"L&#x2019;&#xE9;clairage n&#x2019;est pas ideal","ba-videorecorder-controlbar.microphonehealthy":"Bonne acoustique","ba-videorecorder-controlbar.microphoneunhealthy":"L&#x2019;acoustique n&#x27;est pas id&#xE9;ale","ba-videorecorder-controlbar.record":"Enregistrer","ba-videorecorder-controlbar.record-tooltip":"Cliquez ici pour enregistrer.","ba-videorecorder-controlbar.rerecord":"Recommencer","ba-videorecorder-controlbar.rerecord-tooltip":"Cliquez ici pour recommencer.","ba-videorecorder-controlbar.upload-covershot":"T&#xE9;l&#xE9;charger couverture","ba-videorecorder-controlbar.upload-covershot-tooltip":"Cliquez ici pour t&#xE9;l&#xE9;charger une couverture personnalis&#xE9;e.","ba-videorecorder-controlbar.stop":"Arr&#xEA;ter","ba-videorecorder-controlbar.stop-tooltip":"Cliquez ici pour arr&#xEA;ter.","ba-videorecorder-controlbar.skip":"Sauter","ba-videorecorder-controlbar.skip-tooltip":"Cliquez ici pour sauter.","ba-videorecorder.recorder-error":"Une erreur s&#x2019;est produite, r&#xE9;essayez ult&#xE9;rieurement. Cliquez ici pour r&#xE9;essayer.","ba-videorecorder.attach-error":"Nous n&#x27;avons pas pu acc&#xE9;der &#xE0; l&#x27;interface multim&#xE9;dia. Selon le p&#xE9;riph&#xE9;rique et le navigateur, vous devrez peut-&#xEA;tre installer Flash ou acc&#xE9;der &#xE0; la page via SSL.","ba-videorecorder.access-forbidden":"L&#x2019;acc&#xE8;s &#xE0; l&#x2019;appareil est interdit. Cliquez pour recommencer.","ba-videorecorder.pick-covershot":"Choisissez une couverture.","ba-videorecorder.uploading":"T&#xE9;l&#xE9;chargement","ba-videorecorder.uploading-failed":"&#xC9;chec du T&#xE9;l&#xE9;chargement - Cliquez ici pour recommencer ou r&#xE9;essayer.","ba-videorecorder.verifying":"V&#xE9;rification","ba-videorecorder.verifying-failed":"V&#xE9;rification &#xE9;chou&#xE9;e - Cliquez ici pour recommencer ou r&#xE9;essayer.","ba-videorecorder.rerecord-confirm":"Souhaitez vous r&#xE9;ellement recommencer la vid&#xE9;o?","ba-videorecorder.video_file_too_large":"La taille de votre fichier est trop grande (%s) - Cliquez ici pour r&#xE9;essayer avec un fichier plus petit.","ba-videorecorder.unsupported_video_type":"S&#x2019;il vous pla&#xEE;t, t&#xE9;l&#xE9;chargez %s - cliquez ici pour r&#xE9;essayer.","ba-videoplayer-controlbar.exit-fullscreen-video":"Quitter le mode plein &#xE9;cran","ba-videoplayer-share.share":"Partager la vid&#xE9;o","ba-videorecorder-chooser.record-screen":"Enregistrer l&#x27;&#xE9;cran","ba-videoplayer-controlbar.pause-video-disabled":"Pause non prise en charge","ba-videorecorder-chooser.record-audio":"Enregistrement audio","ba-videorecorder-controlbar.stop-available-after":"La dur&#xE9;e d&#x27;enregistrement minimale est de %d secondes","ba-videorecorder-controlbar.cancel":"Annuler","ba-videorecorder-controlbar.cancel-tooltip":"Cliquez ici pour annuler.","ba-videorecorder.cancel-confirm":"Voulez-vous vraiment annuler votre t&#xE9;l&#xE9;chargement de vid&#xE9;o?","ba-videoplayer-adslot.elapsed-time":"Temps &#xE9;coul&#xE9;","ba-videoplayer-adslot.volume-button":"D&#xE9;finir le volume","ba-videoplayer-adslot.volume-mute":"Son muet","ba-videoplayer-adslot.volume-unmute":"Activer le son","ba-videoplayer-adslot.ad-will-end-after":"L&#x27;annonce se termine apr&#xE8;s %s","ba-videoplayer-adslot.can-skip-after":"Passer apr&#xE8;s %d","ba-videoplayer-adslot.skip-ad":"Passer l&#x27;annonce","ba-videorecorder.software-required":"Veuillez cliquer ci-dessous pour installer / activer les d&#xE9;pendances suivantes afin de continuer.","ba-videorecorder.software-waiting":"Attendre que les exigences soient install&#xE9;es / activ&#xE9;es. Vous devrez peut-&#xEA;tre actualiser la page apr&#xE8;s l&#x27;ach&#xE8;vement.","ba-videoplayer-controlbar.close-tracks":"Fermer sous-titrage","ba-videoplayer-controlbar.show-tracks":"Montrer sous-titrage","ba-videoplayer-tracks.upload-text-tracks":"T&#xE9;l&#xE9;charger des fichiers texte de piste","ba-videoplayer-tracks.select-text-track-language":"Langue des sous-titres","ba-videoplayer-tracks.info-select-locale-first":"S&#xE9;lectionnez d&#x27;abord les param&#xE8;tres r&#xE9;gionaux","ba-videoplayer-tracks.select-text-track-file":"Cliquez pour s&#xE9;lectionner un fichier","ba-videoplayer-tracks.back":"retour","ba-videorecorder.framerate-warning":"Le taux de trame vid&#xE9;o est tr&#xE8;s faible. Nous vous recommandons de fermer tous les autres programmes et les onglets du navigateur ou d&#x27;utiliser un ordinateur plus rapide.","ba-videorecorder.upload-error-duration":"La longueur de la vid&#xE9;o t&#xE9;l&#xE9;charg&#xE9;e ne r&#xE9;pond pas aux exigences - cliquez ici pour r&#xE9;essayer.","ba-videorecorder.resolution-constraint-error":"Le fichier que vous avez s&#xE9;lectionn&#xE9; ne correspond pas &#xE0; la r&#xE9;solution requise - cliquez ici pour r&#xE9;essayer.","ba-videorecorder.orientation-portrait-required":"Veuillez faire pivoter votre appareil pour enregistrer en mode portrait.","ba-videorecorder.orientation-landscape-required":"Veuillez faire pivoter votre appareil pour enregistrer en mode paysage.","ba-imageviewer-controlbar.rerecord-image":"Refaire?","ba-imageviewer-controlbar.submit-image":"Confirmer","ba-imageviewer-controlbar.fullscreen-image":"Passer en mode plein &#xE9;cran","ba-imageviewer-controlbar.exit-fullscreen-image":"Quitter le mode plein &#xE9;cran","ba-imageviewer.image-error":"Une erreur est survenue, veuillez r&#xE9;essayer plus tard. Cliquez pour r&#xE9;essayer.","ba-imagecapture-chooser.image-capture":"Capture d&#x27;image","ba-imagecapture-chooser.upload-image":"T&#xE9;l&#xE9;charger une image","ba-imagecapture-controlbar.settings":"Param&#xE8;tres","ba-imagecapture-controlbar.camerahealthy":"L&#x27;&#xE9;clairage est bon","ba-imagecapture-controlbar.cameraunhealthy":"L&#x27;&#xE9;clairage n&#x27;est pas optimal","ba-imagecapture-controlbar.record":"Capturer","ba-imagecapture-controlbar.record-tooltip":"Cliquez ici pour capturer.","ba-imagecapture-controlbar.rerecord":"Refaire","ba-imagecapture-controlbar.rerecord-tooltip":"Cliquez ici pour refaire","ba-imagecapture-controlbar.cancel":"Annuler","ba-imagecapture-controlbar.cancel-tooltip":"Cliquez ici pour annuler.","ba-audioplayer-controlbar.audio-progress":"Progression","ba-audioplayer-controlbar.rerecord-audio":"Refaire?","ba-audioplayer-controlbar.submit-audio":"Confirmer","ba-audioplayer-controlbar.play-audio":"Jouer","ba-audioplayer-controlbar.pause-audio":"Pause","ba-audioplayer-controlbar.pause-audio-disabled":"Pause non support&#xE9;e","ba-audioplayer-controlbar.elapsed-time":"Temps &#xE9;coul&#xE9;","ba-audioplayer-controlbar.total-time":"Longueur totale de","ba-audioplayer-controlbar.volume-button":"R&#xE9;gler le volume","ba-audioplayer-controlbar.volume-mute":"Son muet","ba-audioplayer-controlbar.volume-unmute":"Activer le son","ba-audioplayer-loader.tooltip":"Chargement...","ba-audioplayer.audio-error":"Une erreur est survenue, veuillez r&#xE9;essayer plus tard. Cliquez pour r&#xE9;essayer.","ba-audiorecorder-chooser.record-audio":"Enregistrement audio","ba-audiorecorder-chooser.upload-audio":"T&#xE9;l&#xE9;charger l&#x27;audio","ba-audiorecorder-controlbar.settings":"Param&#xE8;tres","ba-audiorecorder-controlbar.microphonehealthy":"Le son est bon","ba-audiorecorder-controlbar.microphoneunhealthy":"Impossible de capter un son","ba-audiorecorder-controlbar.record":"Record","ba-audiorecorder-controlbar.record-tooltip":"Cliquez ici pour enregistrer.","ba-audiorecorder-controlbar.rerecord":"Refaire","ba-audiorecorder-controlbar.rerecord-tooltip":"Cliquez ici pour refaire","ba-audiorecorder-controlbar.stop":"Arr&#xEA;ter","ba-audiorecorder-controlbar.stop-tooltip":"Cliquez ici pour arr&#xEA;ter.","ba-audiorecorder-controlbar.stop-available-after":"La dur&#xE9;e d&#x27;enregistrement minimale est de %d secondes","ba-audiorecorder-controlbar.cancel":"Annuler","ba-audiorecorder-controlbar.cancel-tooltip":"Cliquez ici pour annuler.","ba-videoplayer-controlbar.player-speed":"Vitesse du lecteur","ba-videoplayer-controlbar.settings":"R&#xE9;glages","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"Ic&#xF4;ne airplay.","ba-videoplayer.all-settings":"Tous les r&#xE9;glages","ba-videoplayer.player-speed":"Vitesse du joueur","ba-videoplayer.full-screen":"Plein &#xE9;cran","ba-videorecorder-controlbar.add-stream":"Ajouter un flux","ba-videorecorder.switch-camera":"Changer de cam&#xE9;ra","ba-videorecorder.prepare-covershot":"Pr&#xE9;paration des couvertures","ba-videorecorder.prepare-thumbnails":"Pr&#xE9;parer la recherche de vignettes","ba-videorecorder.adding-new-stream":"Ajout d&#x27;un nouveau flux","ba-imagecapture.recorder-error":"Une erreur est survenue, veuillez r&#xE9;essayer plus tard. Cliquez pour r&#xE9;essayer.","ba-imagecapture.attach-error":"Nous n&#x27;avons pas pu acc&#xE9;der &#xE0; l&#x27;interface multim&#xE9;dia. Selon le p&#xE9;riph&#xE9;rique et le navigateur, vous devrez peut-&#xEA;tre installer Flash ou acc&#xE9;der &#xE0; la page via SSL.","ba-imagecapture.software-required":"Veuillez cliquer ci-dessous pour installer / activer les d&#xE9;pendances suivantes afin de continuer.","ba-imagecapture.software-waiting":"En attente des d&#xE9;pendances &#xE0; installer / activer. Vous devrez peut-&#xEA;tre actualiser la page une fois l&#x2019;op&#xE9;ration termin&#xE9;e.","ba-imagecapture.access-forbidden":"L&#x27;acc&#xE8;s au m&#xE9;dia &#xE9;tait interdit. Cliquez pour r&#xE9;essayer.","ba-imagecapture.uploading":"T&#xE9;l&#xE9;chargement","ba-imagecapture.uploading-failed":"&#xC9;chec du t&#xE9;l&#xE9;chargement - cliquez ici pour r&#xE9;essayer.","ba-imagecapture.upload-error-duration":"La longueur de l&#x27;image t&#xE9;l&#xE9;charg&#xE9;e ne r&#xE9;pond pas aux exigences - cliquez ici pour r&#xE9;essayer.","ba-imagecapture.resolution-constraint-error":"Le fichier que vous avez s&#xE9;lectionn&#xE9; ne correspond pas &#xE0; la r&#xE9;solution requise - cliquez ici pour r&#xE9;essayer.","ba-imagecapture.verifying":"V&#xE9;rification","ba-imagecapture.verifying-failed":"V&#xE9;rification &#xE9;chou&#xE9;e - cliquez ici pour r&#xE9;essayer.","ba-imagecapture.rerecord-confirm":"Voulez-vous vraiment reprendre votre image?","ba-imagecapture.image_file_too_large":"Votre fichier image est trop volumineux (%s) - cliquez ici pour essayer &#xE0; nouveau avec un fichier image plus petit.","ba-imagecapture.unsupported_image_type":"Veuillez t&#xE9;l&#xE9;charger : %s - cliquez ici pour r&#xE9;essayer.","ba-imagecapture.orientation-portrait-required":"Veuillez faire pivoter votre appareil pour enregistrer en mode portrait.","ba-imagecapture.orientation-landscape-required":"Veuillez faire pivoter votre appareil pour enregistrer en mode paysage.","ba-audiorecorder.recorder-error":"Une erreur est survenue, veuillez r&#xE9;essayer plus tard. Cliquez pour r&#xE9;essayer.","ba-audiorecorder.attach-error":"Nous n&#x27;avons pas pu acc&#xE9;der &#xE0; l&#x27;interface multim&#xE9;dia. Selon le p&#xE9;riph&#xE9;rique et le navigateur, vous devrez peut-&#xEA;tre installer Flash ou acc&#xE9;der &#xE0; la page via SSL.","ba-audiorecorder.software-required":"Veuillez cliquer ci-dessous pour installer / activer les d&#xE9;pendances suivantes afin de continuer.","ba-audiorecorder.software-waiting":"En attente des d&#xE9;pendances &#xE0; installer / activer. Vous devrez peut-&#xEA;tre actualiser la page une fois l&#x2019;op&#xE9;ration termin&#xE9;e.","ba-audiorecorder.access-forbidden":"L&#x27;acc&#xE8;s aux m&#xE9;dias &#xE9;tait interdit. Cliquez pour r&#xE9;essayer.","ba-audiorecorder.uploading":"T&#xE9;l&#xE9;chargement","ba-audiorecorder.uploading-failed":"&#xC9;chec du t&#xE9;l&#xE9;chargement - cliquez ici pour r&#xE9;essayer.","ba-audiorecorder.upload-error-duration":"La longueur de l&#x27;audio t&#xE9;l&#xE9;charg&#xE9; ne r&#xE9;pond pas aux exigences - cliquez ici pour r&#xE9;essayer.","ba-audiorecorder.verifying":"V&#xE9;rification","ba-audiorecorder.verifying-failed":"V&#xE9;rification &#xE9;chou&#xE9;e - cliquez ici pour r&#xE9;essayer.","ba-audiorecorder.rerecord-confirm":"Voulez-vous vraiment refaire votre audio?","ba-audiorecorder.cancel-confirm":"Voulez-vous vraiment annuler votre t&#xE9;l&#xE9;chargement audio?","ba-audiorecorder.audio_file_too_large":"Votre fichier audio est trop volumineux (%s) - cliquez ici pour essayer &#xE0; nouveau avec un fichier audio plus petit.","ba-audiorecorder.unsupported_audio_type":"Veuillez t&#xE9;l&#xE9;charger : %s - cliquez ici pour r&#xE9;essayer.","ba-common-settingsmenu.tooltip":"Cliquez ici pour voir la vid&#xE9;o","ba-common-settingsmenu.setting-menu":"Tous les r&#xE9;glages","ba-common-settingsmenu.source-quality":"Qualit&#xE9; source","ba-common-settingsmenu.player-speed":"Vitesse du lecteur","ba-common-settingsmenu.set-menu-option":"Configurer l&#x27;option","ba-common-settingsmenu.submit-video":"Confirmer vid&#xE9;o","ba-common-settingsmenu.picture-in-picture":"Image dans l&#x27;image","ba-common-settingsmenu.exit-fullscreen-video":"Quitter le mode plein &#xE9;cran","ba-common-settingsmenu.fullscreen-video":"Passer en mode plein &#xE9;cran","ba-videorecorder-chooser.multi-stream":"Flux multiples","ba-videorecorder-controlbar.pause-recorder":"Mettre l&#x27;enregistrement en pause","ba-videorecorder-controlbar.resume-recorder":"Continuer l&#x27;enregistrement","ba-videorecorder.missing-track":"La piste audio ou vid&#xE9;o requise est manquante","ba-videorecorder.device-already-in-use":"Au moins un de vos p&#xE9;riph&#xE9;riques d&#x27;entr&#xE9;e est d&#xE9;j&#xE0; utilis&#xE9;","ba-videorecorder.browser-permission-denied":"Autorisation refus&#xE9;e par le navigateur, veuillez accorder l&#x27;acc&#xE8;s et recharger la page","ba-audioplayer.all-settings":"Tous les r&#xE9;glages","ba-videoplayer-controlbar.remaining-time":"Temps restant","ba-videoplayer-controlbar.select-frame":"S&#xE9;lectionner","ba-videoplayer-controlbar.trim-video":"Garniture","ba-videoplayer-playbutton.trim":"Garniture","ba-videoplayer-playbutton.skip":"Sauter","ba-videorecorder-imagegallery.upload-covershot":"T&#xE9;l&#xE9;charger la couverture","ba-videorecorder.pick-covershot-frame":"S&#xE9;lectionnez une image &#xE0; utiliser comme couverture.","ba-videorecorder.screen-recorder-is-not-supported":"L&#x27;enregistreur d&#x27;&#xE9;cran n&#x27;est pas pris en charge sur cet appareil","ba-videorecorder.trim-prompt":"Voulez-vous d&#xE9;couper votre vid&#xE9;o&#xA0;?","ba-videorecorder.trim-video":"D&#xE9;placez les marqueurs de d&#xE9;but et de fin pour d&#xE9;couper votre vid&#xE9;o","ba-videorecorder.wait-for-trim":"En attente de la commande de rognage...","ba-videorecorder-controlbar.no-video-source":"Source d&#x27;entr&#xE9;e vid&#xE9;o suppl&#xE9;mentaire manquante","ba-videorecorder-controlbar.stream-already-selected":"Un flux suppl&#xE9;mentaire a d&#xE9;j&#xE0; &#xE9;t&#xE9; s&#xE9;lectionn&#xE9;","ba-videorecorder.uploading-src-error":"Impossible de lire la vid&#xE9;o maintenant, le t&#xE9;l&#xE9;chargement est toujours en cours","ba-audiorecorder-controlbar.pause-recorder":"Suspendre l&#x27;enregistreur","ba-audiorecorder-controlbar.resume-recorder":"Enregistreur de CV"},"language:hi":{"ba-videoplayer-playbutton.tooltip":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x91A;&#x932;&#x93E;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;","ba-videoplayer-playbutton.rerecord":"&#x92B;&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x92A;&#x941;&#x928;&#x903; &#x930;&#x93F;&#x915;&#x949;&#x93F;&#x921; &#x915;&#x93F;","ba-videoplayer-playbutton.submit-video":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x91C;&#x92E;&#x93E; &#x915;&#x93F;","ba-videoplayer-loader.tooltip":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x932;&#x94B;&#x921; &#x939;&#x94B; &#x930;&#x939;&#x93E; &#x939;&#x948; ...","ba-videoplayer-controlbar.change-resolution":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; - &#x93F;&#x947;&#x938;&#x94B;&#x932;&#x941;&#x936;&#x928; &#x92C;&#x926;&#x932;&#x94B;","ba-videoplayer-controlbar.video-progress":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x92C;&#x922;&#x93C; &#x93F;&#x939;&#x93E; &#x939;","ba-videoplayer-controlbar.rerecord-video":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x92A;&#x941;&#x928;&#x903; &#x930;&#x93F;&#x915;&#x949;&#x93F;&#x921; &#x915;&#x93F;","ba-videoplayer-controlbar.submit-video":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x91C;&#x92E;&#x93E; &#x915;&#x93F;","ba-videoplayer-controlbar.play-video":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x91A;&#x932;&#x93E;&#x90F;&#x902;","ba-videoplayer-controlbar.pause-video":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x930;&#x94B;&#x915;&#x947;&#x902;","ba-videoplayer-controlbar.elapsed-time":"&#x92C;&#x940;&#x924;&#x93E; &#x939;&#x941;&#x906; &#x938;&#x92E;&#x92F;","ba-videoplayer-controlbar.total-time":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x915;&#x940; &#x915;&#x941;&#x932; &#x932;&#x902;&#x92C;&#x93E;&#x908;","ba-videoplayer-controlbar.fullscreen-video":"&#x92A;&#x942;&#x930;&#x94D;&#x923; &#x938;&#x94D;&#x915;&#x94D;&#x930;&#x940;&#x928; &#x926;&#x930;&#x94D;&#x91C; &#x915;&#x930;&#x947;&#x902;","ba-videoplayer-controlbar.volume-button":"&#x92E;&#x93E;&#x924;&#x94D;&#x930;&#x93E; &#x938;&#x947;&#x91F; &#x915;&#x930;&#x947;&#x902;","ba-videoplayer-controlbar.volume-mute":"&#x927;&#x94D;&#x935;&#x928;&#x93F; &#x92E;&#x94D;&#x92F;&#x942;&#x91F; &#x915;&#x930;&#x947;&#x902;","ba-videoplayer-controlbar.volume-unmute":"&#x927;&#x94D;&#x935;&#x928;&#x93F; &#x915;&#x94B; &#x905;&#x928;&#x92E;&#x94D;&#x92F;&#x942;&#x91F; &#x915;&#x930;&#x947;&#x902;","ba-videoplayer.video-error":"&#x905; &#x93E;&#x924;  &#x941;&#x921;&#x93F; | &#x92A;&#x941;&#x928;&#x903;  &#x92F;&#x93E;&#x938; &#x915;&#x93F;&#x928;&#x947; &#x915;&#x947; &#x921;&#x932;&#x90F;  &#x93F;&#x915; &#x915;&#x93F;","ba-videorecorder-chooser.record-video":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x930;&#x93F;&#x915;&#x949;&#x930;&#x94D;&#x921; &#x915;&#x930;&#x94B;","ba-videorecorder-chooser.upload-video":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x905;&#x92A;&#x932;&#x94B;&#x921; &#x915;&#x930;&#x947;&#x902;","ba-videorecorder-controlbar.settings":"&#x938;&#x947;&#x91F;&#x93F;&#x902;&#x917;&#x94D;&#x938;","ba-videorecorder-controlbar.camerahealthy":"&#x92A;&#x94D;&#x930;&#x915;&#x93E;&#x936; &#x905;&#x91A;&#x94D;&#x91B;&#x93E; &#x939;&#x948;","ba-videorecorder-controlbar.cameraunhealthy":"&#x92A;&#x94D;&#x930;&#x915;&#x93E;&#x936; &#x907;&#x937;&#x94D;&#x91F;&#x924;&#x92E; &#x928;&#x939;&#x940;&#x902; &#x939;&#x948;","ba-videorecorder-controlbar.microphonehealthy":"&#x927;&#x94D;&#x935;&#x928;&#x93F; &#x905;&#x91A;&#x94D;&#x91B;&#x940; &#x939;&#x948;","ba-videorecorder-controlbar.microphoneunhealthy":"&#x915;&#x94B;&#x908; &#x92D;&#x940; &#x906;&#x935;&#x93E;&#x91C; &#x928;&#x939;&#x940;&#x902; &#x909;&#x920;&#x93E; &#x938;&#x915;&#x924;&#x93E;","ba-videorecorder-controlbar.record":"&#x930;&#x93F;&#x915;&#x949;&#x93F;&#x921;","ba-videorecorder-controlbar.record-tooltip":"&#x930;&#x93F;&#x915;&#x949;&#x930;&#x94D;&#x921; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-videorecorder-controlbar.rerecord":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x92A;&#x941;&#x928;&#x903; &#x930;&#x93F;&#x915;&#x949;&#x93F;&#x921; &#x915;&#x93F;","ba-videorecorder-controlbar.rerecord-tooltip":"&#x92B;&#x93F;&#x930; &#x938;&#x947; &#x915;&#x930;&#x947;&#x902; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-videorecorder-controlbar.upload-covershot":"&#x905;&#x92A;&#x932;&#x94B;&#x921;","ba-videorecorder-controlbar.upload-covershot-tooltip":"&#x915;&#x938;&#x94D;&#x91F;&#x92E; &#x915;&#x935;&#x930; &#x936;&#x949;&#x91F; &#x905;&#x92A;&#x932;&#x94B;&#x921; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;","ba-videorecorder-controlbar.stop":"&#x930;&#x941;&#x915;&#x947;&#x902;","ba-videorecorder-controlbar.stop-tooltip":"&#x930;&#x94B;&#x915;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;","ba-videorecorder-controlbar.skip":"&#x91B;&#x94B;&#x921;&#x93C;&#x947;&#x902;","ba-videorecorder-controlbar.skip-tooltip":"&#x91B;&#x94B;&#x921;&#x93C;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-videorecorder.recorder-error":"&#x90F;&#x915; &#x924;&#x94D;&#x930;&#x941;&#x91F;&#x93F; &#x918;&#x91F;&#x93F;&#x924; &#x939;&#x941;&#x908; &#x939;&#x948;, &#x915;&#x943;&#x92A;&#x92F;&#x93E; &#x92C;&#x93E;&#x926; &#x92E;&#x947;&#x902; &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x947;&#x902;&#x964; &#x92A;&#x941;&#x928;&#x903; &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;","ba-videorecorder.attach-error":"&#x939;&#x92E; &#x915;&#x948;&#x92E;&#x930;&#x947; &#x915;&#x947; &#x907;&#x902;&#x91F;&#x930;&#x92B;&#x93C;&#x947;&#x938; &#x924;&#x915; &#x92A;&#x939;&#x941;&#x902;&#x91A; &#x928;&#x939;&#x940;&#x902; &#x938;&#x915;&#x947;&#x964; &#x921;&#x93F;&#x935;&#x93E;&#x907;&#x938; &#x914;&#x930; &#x92C;&#x94D;&#x930;&#x93E;&#x909;&#x91C;&#x93C;&#x930; &#x915;&#x947; &#x906;&#x927;&#x93E;&#x930; &#x92A;&#x930;, &#x906;&#x92A;&#x915;&#x94B; &#x92B;&#x94D;&#x932;&#x948;&#x936; &#x907;&#x902;&#x938;&#x94D;&#x91F;&#x949;&#x932; &#x915;&#x930;&#x928;&#x93E; &#x92F;&#x93E; &#x92A;&#x943;&#x937;&#x94D;&#x920; &#x92A;&#x930; &#x90F;&#x938;&#x90F;&#x938;&#x90F;&#x932; &#x915;&#x947; &#x92E;&#x93E;&#x927;&#x94D;&#x92F;&#x92E; &#x938;&#x947; &#x92A;&#x94D;&#x930;&#x935;&#x947;&#x936; &#x915;&#x930;&#x928;&#x93E; &#x92A;&#x921;&#x93C; &#x938;&#x915;&#x924;&#x93E; &#x939;&#x948;","ba-videorecorder.access-forbidden":"&#x915;&#x948;&#x92E;&#x930;&#x947; &#x924;&#x915; &#x92A;&#x939;&#x941;&#x902;&#x91A; &#x92E;&#x928;&#x93E;&#x908; &#x917;&#x908; &#x925;&#x940; &#x92A;&#x941;&#x928;&#x903; &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;","ba-videorecorder.pick-covershot":"&#x936;&#x949;&#x93F;&#x921;&#x915;&#x93F; &#x915;&#x93E; &#x91A;&#x941;&#x928;&#x93E;&#x935; &#x915;&#x940;&#x921;&#x91C;&#x90F;","ba-videorecorder.uploading":"&#x905;&#x92A;&#x932;&#x94B;&#x921; &#x939;&#x94B; &#x930;&#x939;&#x93E; &#x939;&#x948;","ba-videorecorder.uploading-failed":"&#x905;&#x92A;&#x932;&#x94B;&#x921; &#x915;&#x930;&#x928;&#x93E; &#x935;&#x93F;&#x92B;&#x932; - &#x92A;&#x941;&#x928;&#x903; &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-videorecorder.verifying":"&#x91C;&#x93E; &#x91A; &#x91C;&#x93E;&#x93F;&#x940; &#x939;&#x948;","ba-videorecorder.verifying-failed":"&#x938;&#x924;&#x94D;&#x92F;&#x93E;&#x92A;&#x928; &#x935;&#x93F;&#x92B;&#x932; - &#x92A;&#x941;&#x928;&#x903; &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-videorecorder.rerecord-confirm":"&#x915;&#x94D;&#x92F;&#x93E; &#x906;&#x92A; &#x935;&#x93E;&#x938;&#x94D;&#x924;&#x935; &#x92E;&#x947;&#x902; &#x905;&#x92A;&#x928;&#x947; &#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x915;&#x94B; &#x92B;&#x93F;&#x930; &#x938;&#x947; &#x915;&#x930;&#x928;&#x93E; &#x91A;&#x93E;&#x939;&#x924;&#x947; &#x939;&#x948;&#x902;?","ba-videorecorder.video_file_too_large":"&#x906;&#x92A;&#x915;&#x940; &#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x92B;&#x93C;&#x93E;&#x907;&#x932; &#x92C;&#x939;&#x941;&#x924; &#x92C;&#x921;&#x93C;&#x940; &#x939;&#x948; (%s) - &#x90F;&#x915; &#x91B;&#x94B;&#x91F;&#x947; &#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x92B;&#x93C;&#x93E;&#x907;&#x932; &#x915;&#x947; &#x938;&#x93E;&#x925; &#x92B;&#x93F;&#x930; &#x938;&#x947; &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;","ba-videorecorder.unsupported_video_type":"&#x915;&#x943;&#x92A;&#x92F;&#x93E; &#x905;&#x92A;&#x932;&#x94B;&#x921; &#x915;&#x930;&#x947;&#x902;: %s - &#x92A;&#x941;&#x928;&#x903; &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-videoplayer-controlbar.exit-fullscreen-video":"&#x92A;&#x942;&#x930;&#x94D;&#x923; &#x938;&#x94D;&#x915;&#x94D;&#x930;&#x940;&#x928; &#x938;&#x947; &#x92C;&#x93E;&#x939;&#x930; &#x928;&#x93F;&#x915;&#x932;&#x947;&#x902;","ba-videoplayer-share.share":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x936;&#x947;&#x92F;&#x930; &#x915;&#x930;&#x947;&#x902;","ba-videorecorder-chooser.record-screen":"&#x930;&#x93F;&#x915;&#x949;&#x930;&#x94D;&#x921; &#x938;&#x94D;&#x915;&#x94D;&#x930;&#x940;&#x928;","ba-videoplayer-controlbar.pause-video-disabled":"&#x930;&#x94B;&#x915;&#x947;&#x902; &#x938;&#x92E;&#x930;&#x94D;&#x925;&#x93F;&#x924; &#x928;&#x939;&#x940;&#x902; &#x939;&#x948;","ba-videorecorder-chooser.record-audio":"&#x927;&#x94D;&#x935;&#x928;&#x93F; &#x930;&#x93F;&#x915;&#x949;&#x930;&#x94D;&#x921; &#x915;&#x930;&#x947;&#x902;","ba-videorecorder-controlbar.stop-available-after":"&#x928;&#x94D;&#x92F;&#x942;&#x928;&#x924;&#x92E; &#x930;&#x93F;&#x915;&#x949;&#x930;&#x94D;&#x921;&#x93F;&#x902;&#x917; &#x938;&#x92E;&#x92F; %d &#x938;&#x947;&#x915;&#x902;&#x921; &#x939;&#x948;","ba-videorecorder-controlbar.cancel":"&#x930;&#x926;&#x94D;&#x926; &#x915;&#x930;&#x928;&#x93E;","ba-videorecorder-controlbar.cancel-tooltip":"&#x930;&#x926;&#x94D;&#x926; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;","ba-videorecorder.cancel-confirm":"&#x915;&#x94D;&#x92F;&#x93E; &#x906;&#x92A; &#x935;&#x93E;&#x915;&#x908; &#x905;&#x92A;&#x928;&#x93E; &#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x905;&#x92A;&#x932;&#x94B;&#x921; &#x930;&#x926;&#x94D;&#x926; &#x915;&#x930;&#x928;&#x93E; &#x91A;&#x93E;&#x939;&#x924;&#x947; &#x939;&#x948;&#x902;?","ba-videoplayer-adslot.elapsed-time":"&#x92C;&#x940;&#x924;&#x93E; &#x939;&#x941;&#x906; &#x938;&#x92E;&#x92F;","ba-videoplayer-adslot.volume-button":"&#x92E;&#x93E;&#x924;&#x94D;&#x930;&#x93E; &#x938;&#x947;&#x91F; &#x915;&#x930;&#x947;&#x902;","ba-videoplayer-adslot.volume-mute":"&#x927;&#x94D;&#x935;&#x928;&#x93F; &#x92E;&#x94D;&#x92F;&#x942;&#x91F; &#x915;&#x930;&#x947;&#x902;","ba-videoplayer-adslot.volume-unmute":"&#x927;&#x94D;&#x935;&#x928;&#x93F; &#x915;&#x94B; &#x905;&#x928;&#x92E;&#x94D;&#x92F;&#x942;&#x91F; &#x915;&#x930;&#x947;&#x902;","ba-videoplayer-adslot.ad-will-end-after":"&#x935;&#x93F;&#x91C;&#x94D;&#x91E;&#x93E;&#x92A;&#x928; %s &#x915;&#x947; &#x92C;&#x93E;&#x926; &#x938;&#x92E;&#x93E;&#x92A;&#x94D;&#x924; &#x939;&#x94B; &#x91C;&#x93E;&#x90F;&#x917;&#x93E;","ba-videoplayer-adslot.can-skip-after":"%d &#x915;&#x947; &#x92C;&#x93E;&#x926; &#x91B;&#x94B;&#x921;&#x93C;&#x947;&#x902;","ba-videoplayer-adslot.skip-ad":"&#x935;&#x93F;&#x91C;&#x94D;&#x91E;&#x93E;&#x92A;&#x928; &#x938;&#x947; &#x906;&#x917;&#x947; &#x92C;&#x922;&#x93C;&#x947;&#x902;","ba-videorecorder.software-required":"&#x906;&#x917;&#x947; &#x92C;&#x922;&#x93C;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x943;&#x92A;&#x92F;&#x93E; &#x928;&#x93F;&#x92E;&#x94D;&#x928;&#x932;&#x93F;&#x916;&#x93F;&#x924; &#x906;&#x935;&#x936;&#x94D;&#x92F;&#x915;&#x924;&#x93E;&#x913;&#x902; &#x915;&#x94B; &#x938;&#x94D;&#x925;&#x93E;&#x92A;&#x93F;&#x924; / &#x938;&#x915;&#x94D;&#x930;&#x93F;&#x92F; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x928;&#x940;&#x91A;&#x947; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-videorecorder.software-waiting":"&#x906;&#x935;&#x936;&#x94D;&#x92F;&#x915;&#x924;&#x93E;&#x913;&#x902; &#x915;&#x94B; &#x938;&#x94D;&#x925;&#x93E;&#x92A;&#x93F;&#x924; / &#x938;&#x915;&#x94D;&#x930;&#x93F;&#x92F; &#x915;&#x930;&#x928;&#x947; &#x915;&#x940; &#x92A;&#x94D;&#x930;&#x924;&#x940;&#x915;&#x94D;&#x937;&#x93E; &#x915;&#x930; &#x930;&#x939;&#x93E; &#x939;&#x948; &#x906;&#x92A;&#x915;&#x94B; &#x92A;&#x942;&#x930;&#x93E; &#x939;&#x94B;&#x928;&#x947; &#x915;&#x947; &#x92C;&#x93E;&#x926; &#x92A;&#x943;&#x937;&#x94D;&#x920; &#x915;&#x94B; &#x930;&#x940;&#x92B;&#x93C;&#x94D;&#x930;&#x947;&#x936; &#x915;&#x930;&#x928;&#x93E; &#x92A;&#x921;&#x93C; &#x938;&#x915;&#x924;&#x93E; &#x939;&#x948;","ba-videoplayer-controlbar.close-tracks":"&#x938;&#x940;&#x938;&#x940; &#x92C;&#x902;&#x926; &#x915;&#x930;&#x947;&#x902;","ba-videoplayer-controlbar.show-tracks":"&#x938;&#x940;&#x938;&#x940; &#x926;&#x93F;&#x916;&#x93E;&#x913;","ba-videoplayer-tracks.upload-text-tracks":"&#x91F;&#x94D;&#x930;&#x948;&#x915; &#x91F;&#x947;&#x915;&#x94D;&#x938;&#x94D;&#x91F; &#x92B;&#x93E;&#x907;&#x932; &#x905;&#x92A;&#x932;&#x94B;&#x921; &#x915;&#x930;&#x947;&#x902;","ba-videoplayer-tracks.select-text-track-language":"&#x909;&#x92A;&#x936;&#x940;&#x930;&#x94D;&#x937;&#x915; &#x92D;&#x93E;&#x937;&#x93E;","ba-videoplayer-tracks.info-select-locale-first":"&#x92A;&#x939;&#x932;&#x947; &#x932;&#x94B;&#x915;&#x947;&#x932; &#x915;&#x93E; &#x91A;&#x92F;&#x928; &#x915;&#x930;&#x947;&#x902;","ba-videoplayer-tracks.select-text-track-file":"&#x92B;&#x93C;&#x93E;&#x907;&#x932; &#x915;&#x93E; &#x91A;&#x92F;&#x928; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;","ba-videoplayer-tracks.back":"&#x935;&#x93E;&#x92A;&#x938;","ba-videorecorder.framerate-warning":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x92B;&#x94D;&#x930;&#x947;&#x92E; &#x926;&#x930; &#x92C;&#x939;&#x941;&#x924; &#x915;&#x92E; &#x939;&#x948;&#x964; &#x939;&#x92E; &#x938;&#x92D;&#x940; &#x905;&#x928;&#x94D;&#x92F; &#x915;&#x93E;&#x930;&#x94D;&#x92F;&#x915;&#x94D;&#x930;&#x92E;&#x94B;&#x902; &#x914;&#x930; &#x92C;&#x94D;&#x930;&#x93E;&#x909;&#x91C;&#x93C;&#x930; &#x91F;&#x948;&#x92C; &#x915;&#x94B; &#x92C;&#x902;&#x926; &#x915;&#x930;&#x928;&#x947; &#x92F;&#x93E; &#x90F;&#x915; &#x924;&#x947;&#x91C;&#x93C; &#x915;&#x902;&#x92A;&#x94D;&#x92F;&#x942;&#x91F;&#x930; &#x915;&#x93E; &#x909;&#x92A;&#x92F;&#x94B;&#x917; &#x915;&#x930;&#x928;&#x947; &#x915;&#x940; &#x938;&#x932;&#x93E;&#x939; &#x926;&#x947;&#x924;&#x947; &#x939;&#x948;&#x902;&#x964;","ba-videorecorder.upload-error-duration":"&#x905;&#x92A;&#x932;&#x94B;&#x921; &#x915;&#x93F;&#x90F; &#x917;&#x90F; &#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x915;&#x940; &#x932;&#x902;&#x92C;&#x93E;&#x908; &#x906;&#x935;&#x936;&#x94D;&#x92F;&#x915;&#x924;&#x93E;&#x913;&#x902; &#x915;&#x94B; &#x92A;&#x942;&#x930;&#x93E; &#x928;&#x939;&#x940;&#x902; &#x915;&#x930;&#x924;&#x940; &#x939;&#x948; - &#x92A;&#x941;&#x928;&#x903; &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-videorecorder.resolution-constraint-error":"&#x906;&#x92A;&#x915;&#x947; &#x926;&#x94D;&#x935;&#x93E;&#x930;&#x93E; &#x91A;&#x941;&#x928;&#x940; &#x917;&#x908; &#x92B;&#x93C;&#x93E;&#x907;&#x932; &#x906;&#x935;&#x936;&#x94D;&#x92F;&#x915; &#x938;&#x902;&#x915;&#x932;&#x94D;&#x92A; &#x938;&#x947; &#x92E;&#x947;&#x932; &#x928;&#x939;&#x940;&#x902; &#x916;&#x93E;&#x924;&#x940; &#x939;&#x948; - &#x92A;&#x941;&#x928;&#x903; &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-videorecorder.orientation-portrait-required":"&#x92A;&#x94B;&#x930;&#x94D;&#x91F;&#x94D;&#x930;&#x947;&#x91F; &#x92E;&#x94B;&#x921; &#x92E;&#x947;&#x902; &#x930;&#x93F;&#x915;&#x949;&#x930;&#x94D;&#x921; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x943;&#x92A;&#x92F;&#x93E; &#x905;&#x92A;&#x928;&#x947; &#x921;&#x93F;&#x935;&#x93E;&#x907;&#x938; &#x915;&#x94B; &#x918;&#x941;&#x92E;&#x93E;&#x90F;&#x902;&#x964;","ba-videorecorder.orientation-landscape-required":"&#x932;&#x948;&#x902;&#x921;&#x938;&#x94D;&#x915;&#x947;&#x92A; &#x92E;&#x94B;&#x921; &#x92E;&#x947;&#x902; &#x930;&#x93F;&#x915;&#x949;&#x930;&#x94D;&#x921; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x943;&#x92A;&#x92F;&#x93E; &#x905;&#x92A;&#x928;&#x947; &#x921;&#x93F;&#x935;&#x93E;&#x907;&#x938; &#x915;&#x94B; &#x918;&#x941;&#x92E;&#x93E;&#x90F;&#x902;&#x964;","ba-imageviewer-controlbar.rerecord-image":"&#x92B;&#x93F;&#x930; &#x938;&#x947; &#x915;&#x930;&#x947;&#x902;?","ba-imageviewer-controlbar.submit-image":"&#x915;&#x940; &#x92A;&#x941;&#x937;&#x94D;&#x91F;&#x93F; &#x915;&#x930;&#x947;&#x902;","ba-imageviewer-controlbar.fullscreen-image":"&#x92A;&#x942;&#x930;&#x94D;&#x923; &#x938;&#x94D;&#x915;&#x94D;&#x930;&#x940;&#x928; &#x926;&#x930;&#x94D;&#x91C; &#x915;&#x930;&#x947;&#x902;","ba-imageviewer-controlbar.exit-fullscreen-image":"&#x92A;&#x942;&#x930;&#x94D;&#x923; &#x938;&#x94D;&#x915;&#x94D;&#x930;&#x940;&#x928; &#x938;&#x947; &#x92C;&#x93E;&#x939;&#x930; &#x928;&#x93F;&#x915;&#x932;&#x947;&#x902;","ba-imageviewer.image-error":"&#x90F;&#x915; &#x924;&#x94D;&#x930;&#x941;&#x91F;&#x93F; &#x918;&#x91F;&#x93F;&#x924; &#x939;&#x941;&#x908; &#x939;&#x948;, &#x915;&#x943;&#x92A;&#x92F;&#x93E; &#x92C;&#x93E;&#x926; &#x92E;&#x947;&#x902; &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x947;&#x902;&#x964; &#x92A;&#x941;&#x928;&#x903; &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-imagecapture-chooser.image-capture":"&#x91B;&#x935;&#x93F; &#x915;&#x948;&#x92A;&#x94D;&#x91A;&#x930; &#x915;&#x930;&#x947;&#x902;","ba-imagecapture-chooser.upload-image":"&#x924;&#x938;&#x94D;&#x935;&#x940;&#x930; &#x921;&#x93E;&#x932;&#x93F;&#x92F;&#x947;","ba-imagecapture-controlbar.settings":"&#x938;&#x947;&#x91F;&#x93F;&#x902;&#x917;&#x94D;&#x938;","ba-imagecapture-controlbar.camerahealthy":"&#x92A;&#x94D;&#x930;&#x915;&#x93E;&#x936; &#x905;&#x91A;&#x94D;&#x91B;&#x93E; &#x939;&#x948;","ba-imagecapture-controlbar.cameraunhealthy":"&#x92A;&#x94D;&#x930;&#x915;&#x93E;&#x936; &#x907;&#x937;&#x94D;&#x91F;&#x924;&#x92E; &#x928;&#x939;&#x940;&#x902; &#x939;&#x948;","ba-imagecapture-controlbar.record":"&#x915;&#x92C;&#x94D;&#x91C;&#x93E;","ba-imagecapture-controlbar.record-tooltip":"&#x915;&#x92C;&#x94D;&#x91C;&#x93E; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-imagecapture-controlbar.rerecord":"&#x92B;&#x93F;&#x930; &#x938;&#x947; &#x915;&#x930;&#x928;&#x93E;","ba-imagecapture-controlbar.rerecord-tooltip":"&#x92B;&#x93F;&#x930; &#x938;&#x947; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-imagecapture-controlbar.cancel":"&#x930;&#x926;&#x94D;&#x926; &#x915;&#x930;&#x928;&#x93E;","ba-imagecapture-controlbar.cancel-tooltip":"&#x930;&#x926;&#x94D;&#x926; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-audioplayer-controlbar.audio-progress":"&#x92A;&#x94D;&#x930;&#x917;&#x924;&#x93F;","ba-audioplayer-controlbar.rerecord-audio":"&#x92B;&#x93F;&#x930; &#x938;&#x947; &#x915;&#x930;&#x947;&#x902;?","ba-audioplayer-controlbar.submit-audio":"&#x915;&#x940; &#x92A;&#x941;&#x937;&#x94D;&#x91F;&#x93F; &#x915;&#x930;&#x947;&#x902;","ba-audioplayer-controlbar.play-audio":"&#x92A;&#x94D;&#x932;&#x947;","ba-audioplayer-controlbar.pause-audio":"&#x920;&#x939;&#x930;&#x93E;&#x935;","ba-audioplayer-controlbar.pause-audio-disabled":"&#x930;&#x94B;&#x915;&#x947;&#x902; &#x938;&#x92E;&#x930;&#x94D;&#x925;&#x93F;&#x924; &#x928;&#x939;&#x940;&#x902; &#x939;&#x948;","ba-audioplayer-controlbar.elapsed-time":"&#x92C;&#x940;&#x924;&#x93E; &#x939;&#x941;&#x906; &#x938;&#x92E;&#x92F;","ba-audioplayer-controlbar.total-time":"&#x915;&#x940; &#x915;&#x941;&#x932; &#x932;&#x902;&#x92C;&#x93E;&#x908;","ba-audioplayer-controlbar.volume-button":"&#x935;&#x949;&#x932;&#x94D;&#x92F;&#x942;&#x92E; &#x938;&#x947;&#x91F; &#x915;&#x930;&#x947;&#x902;","ba-audioplayer-controlbar.volume-mute":"&#x927;&#x94D;&#x935;&#x928;&#x93F; &#x92E;&#x94D;&#x92F;&#x942;&#x91F; &#x915;&#x930;&#x947;&#x902;","ba-audioplayer-controlbar.volume-unmute":"&#x927;&#x94D;&#x935;&#x928;&#x93F; &#x905;&#x928;&#x92E;&#x94D;&#x92F;&#x942;&#x91F; &#x915;&#x930;&#x947;&#x902;","ba-audioplayer-loader.tooltip":"&#x932;&#x94B;&#x921; &#x939;&#x94B; &#x930;&#x939;&#x93E; &#x939;&#x948;...","ba-audioplayer.audio-error":"&#x90F;&#x915; &#x924;&#x94D;&#x930;&#x941;&#x91F;&#x93F; &#x918;&#x91F;&#x93F;&#x924; &#x939;&#x941;&#x908; &#x939;&#x948;, &#x915;&#x943;&#x92A;&#x92F;&#x93E; &#x92C;&#x93E;&#x926; &#x92E;&#x947;&#x902; &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x947;&#x902;&#x964; &#x92A;&#x941;&#x928;&#x903; &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-audiorecorder-chooser.record-audio":"&#x927;&#x94D;&#x935;&#x928;&#x93F; &#x930;&#x93F;&#x915;&#x949;&#x930;&#x94D;&#x921; &#x915;&#x930;&#x947;&#x902;","ba-audiorecorder-chooser.upload-audio":"&#x911;&#x921;&#x93F;&#x92F;&#x94B; &#x905;&#x92A;&#x932;&#x94B;&#x921; &#x915;&#x930;&#x947;&#x902;","ba-audiorecorder-controlbar.settings":"&#x938;&#x947;&#x91F;&#x93F;&#x902;&#x917;&#x94D;&#x938;","ba-audiorecorder-controlbar.microphonehealthy":"&#x927;&#x94D;&#x935;&#x928;&#x93F; &#x905;&#x91A;&#x94D;&#x91B;&#x940; &#x939;&#x948;&#x902;","ba-audiorecorder-controlbar.microphoneunhealthy":"&#x915;&#x94B;&#x908; &#x906;&#x935;&#x93E;&#x91C; &#x928;&#x939;&#x940;&#x902; &#x909;&#x920;&#x93E; &#x938;&#x915;&#x924;&#x947; &#x939;&#x948;&#x902;","ba-audiorecorder-controlbar.record":"&#x905;&#x92D;&#x93F;&#x932;&#x947;&#x916;","ba-audiorecorder-controlbar.record-tooltip":"&#x930;&#x93F;&#x915;&#x949;&#x930;&#x94D;&#x921; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-audiorecorder-controlbar.rerecord":"&#x92B;&#x93F;&#x930; &#x938;&#x947; &#x915;&#x930;&#x928;&#x93E;","ba-audiorecorder-controlbar.rerecord-tooltip":"&#x92B;&#x93F;&#x930; &#x938;&#x947; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-audiorecorder-controlbar.stop":"&#x930;&#x941;&#x915;&#x947;&#x902;","ba-audiorecorder-controlbar.stop-tooltip":"&#x930;&#x94B;&#x915;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-audiorecorder-controlbar.stop-available-after":"&#x928;&#x94D;&#x92F;&#x942;&#x928;&#x924;&#x92E; &#x930;&#x93F;&#x915;&#x949;&#x930;&#x94D;&#x921;&#x93F;&#x902;&#x917; &#x938;&#x92E;&#x92F; %d &#x938;&#x947;&#x915;&#x947;&#x902;&#x921; &#x939;&#x948;","ba-audiorecorder-controlbar.cancel":"&#x930;&#x926;&#x94D;&#x926; &#x915;&#x930;&#x928;&#x93E;","ba-audiorecorder-controlbar.cancel-tooltip":"&#x930;&#x926;&#x94D;&#x926; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-videoplayer-controlbar.player-speed":"&#x916;&#x93F;&#x932;&#x93E;&#x921;&#x93C;&#x940; &#x915;&#x940; &#x917;&#x924;&#x93F;","ba-videoplayer-controlbar.settings":"&#x938;&#x947;&#x91F;&#x93F;&#x902;&#x917;&#x94D;&#x938;","ba-videoplayer-controlbar.airplay":"&#x90F;&#x92F;&#x930;&#x92A;&#x94D;&#x932;&#x947;","ba-videoplayer-controlbar.airplay-icon":"&#x90F;&#x92F;&#x930;&#x92A;&#x94D;&#x932;&#x947; &#x906;&#x907;&#x915;&#x928;&#x964;","ba-videoplayer.all-settings":"&#x938;&#x92D;&#x940; &#x938;&#x947;&#x91F;&#x93F;&#x902;&#x917;&#x94D;&#x938;","ba-videoplayer.player-speed":"&#x916;&#x93F;&#x932;&#x93E;&#x921;&#x93C;&#x940; &#x915;&#x940; &#x917;&#x924;&#x93F;","ba-videoplayer.full-screen":"&#x92A;&#x942;&#x930;&#x94D;&#x923; &#x938;&#x94D;&#x915;&#x94D;&#x930;&#x940;&#x928;","ba-videorecorder-controlbar.add-stream":"&#x938;&#x94D;&#x91F;&#x94D;&#x930;&#x940;&#x92E; &#x91C;&#x94B;&#x921;&#x93C;&#x947;&#x902;","ba-videorecorder.switch-camera":"&#x915;&#x948;&#x92E;&#x930;&#x93E; &#x938;&#x94D;&#x935;&#x93F;&#x91A; &#x915;&#x930;&#x947;&#x902;","ba-videorecorder.prepare-covershot":"&#x915;&#x935;&#x930;&#x936;&#x949;&#x91F; &#x924;&#x948;&#x92F;&#x93E;&#x930; &#x915;&#x930;&#x928;&#x93E;","ba-videorecorder.prepare-thumbnails":"&#x925;&#x92E;&#x94D;&#x92C;&#x93F;&#x902;&#x917; &#x915;&#x940; &#x924;&#x948;&#x92F;&#x93E;&#x930;&#x940; &#x915;&#x930;&#x928;&#x93E;","ba-videorecorder.adding-new-stream":"&#x928;&#x908; &#x938;&#x94D;&#x91F;&#x94D;&#x930;&#x940;&#x92E; &#x91C;&#x94B;&#x921;&#x93C;&#x928;&#x93E;","ba-imagecapture.recorder-error":"&#x90F;&#x915; &#x924;&#x94D;&#x930;&#x941;&#x91F;&#x93F; &#x918;&#x91F;&#x93F;&#x924; &#x939;&#x941;&#x908; &#x939;&#x948;, &#x915;&#x943;&#x92A;&#x92F;&#x93E; &#x92C;&#x93E;&#x926; &#x92E;&#x947;&#x902; &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x947;&#x902;&#x964; &#x92A;&#x941;&#x928;&#x903; &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-imagecapture.attach-error":"&#x939;&#x92E; &#x92E;&#x940;&#x921;&#x93F;&#x92F;&#x93E; &#x907;&#x902;&#x91F;&#x930;&#x92B;&#x93C;&#x947;&#x938; &#x915;&#x93E; &#x909;&#x92A;&#x92F;&#x94B;&#x917; &#x928;&#x939;&#x940;&#x902; &#x915;&#x930; &#x938;&#x915;&#x947;&#x964; &#x921;&#x93F;&#x935;&#x93E;&#x907;&#x938; &#x914;&#x930; &#x92C;&#x94D;&#x930;&#x93E;&#x909;&#x91C;&#x93C;&#x930; &#x915;&#x947; &#x906;&#x927;&#x93E;&#x930; &#x92A;&#x930;, &#x906;&#x92A;&#x915;&#x94B; &#x90F;&#x938;&#x90F;&#x938;&#x90F;&#x932; &#x915;&#x947; &#x92E;&#x93E;&#x927;&#x94D;&#x92F;&#x92E; &#x938;&#x947; &#x92B;&#x94D;&#x932;&#x948;&#x936; &#x938;&#x94D;&#x925;&#x93E;&#x92A;&#x93F;&#x924; &#x915;&#x930;&#x928;&#x947; &#x92F;&#x93E; &#x92A;&#x943;&#x937;&#x94D;&#x920; &#x924;&#x915; &#x92A;&#x939;&#x941;&#x902;&#x91A;&#x928;&#x947; &#x915;&#x940; &#x906;&#x935;&#x936;&#x94D;&#x92F;&#x915;&#x924;&#x93E; &#x939;&#x94B; &#x938;&#x915;&#x924;&#x940; &#x939;&#x948;&#x964;","ba-imagecapture.software-required":"&#x906;&#x917;&#x947; &#x92C;&#x922;&#x93C;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x943;&#x92A;&#x92F;&#x93E; &#x928;&#x93F;&#x92E;&#x94D;&#x928; &#x906;&#x935;&#x936;&#x94D;&#x92F;&#x915;&#x924;&#x93E;&#x913;&#x902; &#x915;&#x94B; &#x938;&#x94D;&#x925;&#x93E;&#x92A;&#x93F;&#x924; / &#x938;&#x915;&#x94D;&#x930;&#x93F;&#x92F; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x928;&#x940;&#x91A;&#x947; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-imagecapture.software-waiting":"&#x938;&#x94D;&#x925;&#x93E;&#x92A;&#x93F;&#x924; / &#x938;&#x915;&#x94D;&#x930;&#x93F;&#x92F; &#x939;&#x94B;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x906;&#x935;&#x936;&#x94D;&#x92F;&#x915;&#x924;&#x93E;&#x913;&#x902; &#x915;&#x940; &#x92A;&#x94D;&#x930;&#x924;&#x940;&#x915;&#x94D;&#x937;&#x93E; &#x915;&#x930; &#x930;&#x939;&#x93E; &#x939;&#x948;&#x964; &#x92A;&#x942;&#x930;&#x93E; &#x939;&#x94B;&#x928;&#x947; &#x915;&#x947; &#x92C;&#x93E;&#x926; &#x906;&#x92A;&#x915;&#x94B; &#x92A;&#x943;&#x937;&#x94D;&#x920; &#x915;&#x94B; &#x930;&#x93F;&#x92B;&#x94D;&#x930;&#x947;&#x936; &#x915;&#x930;&#x928;&#x947; &#x915;&#x940; &#x906;&#x935;&#x936;&#x94D;&#x92F;&#x915;&#x924;&#x93E; &#x939;&#x94B; &#x938;&#x915;&#x924;&#x940; &#x939;&#x948;&#x964;","ba-imagecapture.access-forbidden":"&#x92E;&#x940;&#x921;&#x93F;&#x92F;&#x93E; &#x924;&#x915; &#x92A;&#x939;&#x941;&#x902;&#x91A; &#x915;&#x940; &#x92E;&#x928;&#x93E;&#x939;&#x940; &#x925;&#x940;&#x964; &#x92A;&#x941;&#x928;&#x903; &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-imagecapture.uploading":"&#x905;&#x92A;&#x932;&#x94B;&#x921; &#x939;&#x94B; &#x930;&#x939;&#x93E; &#x939;&#x948;","ba-imagecapture.uploading-failed":"&#x905;&#x92A;&#x932;&#x94B;&#x921; &#x915;&#x930;&#x928;&#x93E; &#x935;&#x93F;&#x92B;&#x932; - &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-imagecapture.upload-error-duration":"&#x905;&#x92A;&#x932;&#x94B;&#x921; &#x915;&#x940; &#x917;&#x908; &#x91B;&#x935;&#x93F; &#x915;&#x940; &#x932;&#x902;&#x92C;&#x93E;&#x908; &#x906;&#x935;&#x936;&#x94D;&#x92F;&#x915;&#x924;&#x93E;&#x913;&#x902; &#x915;&#x94B; &#x92A;&#x942;&#x930;&#x93E; &#x928;&#x939;&#x940;&#x902; &#x915;&#x930;&#x924;&#x940; &#x939;&#x948; - &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-imagecapture.resolution-constraint-error":"&#x906;&#x92A;&#x915;&#x947; &#x926;&#x94D;&#x935;&#x93E;&#x930;&#x93E; &#x91A;&#x92F;&#x928;&#x93F;&#x924; &#x92B;&#x93C;&#x93E;&#x907;&#x932; &#x906;&#x935;&#x936;&#x94D;&#x92F;&#x915; &#x930;&#x93F;&#x91C;&#x93C;&#x949;&#x932;&#x94D;&#x92F;&#x942;&#x936;&#x928; &#x938;&#x947; &#x92E;&#x947;&#x932; &#x928;&#x939;&#x940;&#x902; &#x916;&#x93E;&#x924;&#x940; &#x939;&#x948; - &#x92B;&#x93F;&#x930; &#x938;&#x947; &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-imagecapture.verifying":"&#x938;&#x924;&#x94D;&#x92F;&#x93E;&#x92A;&#x93F;&#x924; &#x915;&#x93F;&#x92F;&#x93E; &#x91C;&#x93E; &#x930;&#x939;&#x93E;","ba-imagecapture.verifying-failed":"&#x938;&#x924;&#x94D;&#x92F;&#x93E;&#x92A;&#x93F;&#x924; &#x915;&#x930;&#x928;&#x93E; &#x935;&#x93F;&#x92B;&#x932; - &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-imagecapture.rerecord-confirm":"&#x915;&#x94D;&#x92F;&#x93E; &#x906;&#x92A; &#x935;&#x93E;&#x938;&#x94D;&#x924;&#x935; &#x92E;&#x947;&#x902; &#x905;&#x92A;&#x928;&#x940; &#x91B;&#x935;&#x93F; &#x915;&#x94B; &#x92B;&#x93F;&#x930; &#x938;&#x947; &#x92C;&#x928;&#x93E;&#x928;&#x93E; &#x91A;&#x93E;&#x939;&#x924;&#x947; &#x939;&#x948;&#x902;?","ba-imagecapture.image_file_too_large":"&#x906;&#x92A;&#x915;&#x940; &#x91B;&#x935;&#x93F; &#x92B;&#x93C;&#x93E;&#x907;&#x932; &#x92C;&#x939;&#x941;&#x924; &#x92C;&#x921;&#x93C;&#x940; &#x939;&#x948; (%s) - &#x90F;&#x915; &#x91B;&#x94B;&#x91F;&#x940; &#x91B;&#x935;&#x93F; &#x92B;&#x93C;&#x93E;&#x907;&#x932; &#x915;&#x947; &#x938;&#x93E;&#x925; &#x92B;&#x93F;&#x930; &#x938;&#x947; &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-imagecapture.unsupported_image_type":"&#x915;&#x943;&#x92A;&#x92F;&#x93E; &#x905;&#x92A;&#x932;&#x94B;&#x921; &#x915;&#x930;&#x947;&#x902;: %s - &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-imagecapture.orientation-portrait-required":"&#x915;&#x943;&#x92A;&#x92F;&#x93E; &#x92A;&#x94B;&#x930;&#x94D;&#x91F;&#x94D;&#x930;&#x947;&#x91F; &#x92E;&#x94B;&#x921; &#x92E;&#x947;&#x902; &#x930;&#x93F;&#x915;&#x949;&#x930;&#x94D;&#x921; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x905;&#x92A;&#x928;&#x947; &#x921;&#x93F;&#x935;&#x93E;&#x907;&#x938; &#x915;&#x94B; &#x918;&#x941;&#x92E;&#x93E;&#x90F;&#x902;&#x964;","ba-imagecapture.orientation-landscape-required":"&#x915;&#x943;&#x92A;&#x92F;&#x93E; &#x905;&#x92A;&#x928;&#x947; &#x921;&#x93F;&#x935;&#x93E;&#x907;&#x938; &#x915;&#x94B; &#x932;&#x948;&#x902;&#x921;&#x938;&#x94D;&#x915;&#x947;&#x92A; &#x92E;&#x94B;&#x921; &#x92E;&#x947;&#x902; &#x930;&#x93F;&#x915;&#x949;&#x930;&#x94D;&#x921; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x918;&#x941;&#x92E;&#x93E;&#x90F;&#x902;&#x964;","ba-audiorecorder.recorder-error":"&#x90F;&#x915; &#x924;&#x94D;&#x930;&#x941;&#x91F;&#x93F; &#x918;&#x91F;&#x93F;&#x924; &#x939;&#x941;&#x908; &#x939;&#x948;, &#x915;&#x943;&#x92A;&#x92F;&#x93E; &#x92C;&#x93E;&#x926; &#x92E;&#x947;&#x902; &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x947;&#x902;&#x964; &#x92A;&#x941;&#x928;&#x903; &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-audiorecorder.attach-error":"&#x939;&#x92E; &#x92E;&#x940;&#x921;&#x93F;&#x92F;&#x93E; &#x907;&#x902;&#x91F;&#x930;&#x92B;&#x93C;&#x947;&#x938; &#x915;&#x93E; &#x909;&#x92A;&#x92F;&#x94B;&#x917; &#x928;&#x939;&#x940;&#x902; &#x915;&#x930; &#x938;&#x915;&#x947;&#x964; &#x921;&#x93F;&#x935;&#x93E;&#x907;&#x938; &#x914;&#x930; &#x92C;&#x94D;&#x930;&#x93E;&#x909;&#x91C;&#x93C;&#x930; &#x915;&#x947; &#x906;&#x927;&#x93E;&#x930; &#x92A;&#x930;, &#x906;&#x92A;&#x915;&#x94B; &#x90F;&#x938;&#x90F;&#x938;&#x90F;&#x932; &#x915;&#x947; &#x92E;&#x93E;&#x927;&#x94D;&#x92F;&#x92E; &#x938;&#x947; &#x92B;&#x94D;&#x932;&#x948;&#x936; &#x938;&#x94D;&#x925;&#x93E;&#x92A;&#x93F;&#x924; &#x915;&#x930;&#x928;&#x947; &#x92F;&#x93E; &#x92A;&#x943;&#x937;&#x94D;&#x920; &#x924;&#x915; &#x92A;&#x939;&#x941;&#x902;&#x91A;&#x928;&#x947; &#x915;&#x940; &#x906;&#x935;&#x936;&#x94D;&#x92F;&#x915;&#x924;&#x93E; &#x939;&#x94B; &#x938;&#x915;&#x924;&#x940; &#x939;&#x948;&#x964;","ba-audiorecorder.software-required":"&#x906;&#x917;&#x947; &#x92C;&#x922;&#x93C;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x943;&#x92A;&#x92F;&#x93E; &#x928;&#x93F;&#x92E;&#x94D;&#x928; &#x906;&#x935;&#x936;&#x94D;&#x92F;&#x915;&#x924;&#x93E;&#x913;&#x902; &#x915;&#x94B; &#x938;&#x94D;&#x925;&#x93E;&#x92A;&#x93F;&#x924; / &#x938;&#x915;&#x94D;&#x930;&#x93F;&#x92F; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x928;&#x940;&#x91A;&#x947; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-audiorecorder.software-waiting":"&#x938;&#x94D;&#x925;&#x93E;&#x92A;&#x93F;&#x924; / &#x938;&#x915;&#x94D;&#x930;&#x93F;&#x92F; &#x939;&#x94B;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x906;&#x935;&#x936;&#x94D;&#x92F;&#x915;&#x924;&#x93E;&#x913;&#x902; &#x915;&#x940; &#x92A;&#x94D;&#x930;&#x924;&#x940;&#x915;&#x94D;&#x937;&#x93E; &#x915;&#x930; &#x930;&#x939;&#x93E; &#x939;&#x948;&#x964; &#x92A;&#x942;&#x930;&#x93E; &#x939;&#x94B;&#x928;&#x947; &#x915;&#x947; &#x92C;&#x93E;&#x926; &#x906;&#x92A;&#x915;&#x94B; &#x92A;&#x943;&#x937;&#x94D;&#x920; &#x915;&#x94B; &#x930;&#x93F;&#x92B;&#x94D;&#x930;&#x947;&#x936; &#x915;&#x930;&#x928;&#x947; &#x915;&#x940; &#x906;&#x935;&#x936;&#x94D;&#x92F;&#x915;&#x924;&#x93E; &#x939;&#x94B; &#x938;&#x915;&#x924;&#x940; &#x939;&#x948;&#x964;","ba-audiorecorder.access-forbidden":"&#x92E;&#x940;&#x921;&#x93F;&#x92F;&#x93E; &#x924;&#x915; &#x92A;&#x939;&#x941;&#x902;&#x91A; &#x915;&#x940; &#x92E;&#x928;&#x93E;&#x939;&#x940; &#x925;&#x940;&#x964; &#x92A;&#x941;&#x928;&#x903; &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-audiorecorder.uploading":"&#x905;&#x92A;&#x932;&#x94B;&#x921; &#x939;&#x94B; &#x930;&#x939;&#x93E; &#x939;&#x948;","ba-audiorecorder.uploading-failed":"&#x905;&#x92A;&#x932;&#x94B;&#x921; &#x915;&#x930;&#x928;&#x93E; &#x935;&#x93F;&#x92B;&#x932; - &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-audiorecorder.upload-error-duration":"&#x905;&#x92A;&#x932;&#x94B;&#x921; &#x915;&#x93F;&#x90F; &#x917;&#x90F; &#x911;&#x921;&#x93F;&#x92F;&#x94B; &#x915;&#x940; &#x932;&#x902;&#x92C;&#x93E;&#x908; &#x906;&#x935;&#x936;&#x94D;&#x92F;&#x915;&#x924;&#x93E;&#x913;&#x902; &#x915;&#x94B; &#x92A;&#x942;&#x930;&#x93E; &#x928;&#x939;&#x940;&#x902; &#x915;&#x930;&#x924;&#x940; &#x939;&#x948; - &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-audiorecorder.verifying":"&#x938;&#x924;&#x94D;&#x92F;&#x93E;&#x92A;&#x93F;&#x924; &#x915;&#x93F;&#x92F;&#x93E; &#x91C;&#x93E; &#x930;&#x939;&#x93E;","ba-audiorecorder.verifying-failed":"&#x938;&#x924;&#x94D;&#x92F;&#x93E;&#x92A;&#x93F;&#x924; &#x915;&#x930;&#x928;&#x93E; &#x935;&#x93F;&#x92B;&#x932; - &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-audiorecorder.rerecord-confirm":"&#x915;&#x94D;&#x92F;&#x93E; &#x906;&#x92A; &#x935;&#x93E;&#x938;&#x94D;&#x924;&#x935; &#x92E;&#x947;&#x902; &#x905;&#x92A;&#x928;&#x947; &#x911;&#x921;&#x93F;&#x92F;&#x94B; &#x915;&#x94B; &#x92B;&#x93F;&#x930; &#x938;&#x947; &#x915;&#x930;&#x928;&#x93E; &#x91A;&#x93E;&#x939;&#x924;&#x947; &#x939;&#x948;&#x902;?","ba-audiorecorder.cancel-confirm":"&#x915;&#x94D;&#x92F;&#x93E; &#x906;&#x92A; &#x935;&#x93E;&#x938;&#x94D;&#x924;&#x935; &#x92E;&#x947;&#x902; &#x905;&#x92A;&#x928;&#x947; &#x911;&#x921;&#x93F;&#x92F;&#x94B; &#x905;&#x92A;&#x932;&#x94B;&#x921; &#x915;&#x94B; &#x930;&#x926;&#x94D;&#x926; &#x915;&#x930;&#x928;&#x93E; &#x91A;&#x93E;&#x939;&#x924;&#x947; &#x939;&#x948;&#x902;?","ba-audiorecorder.audio_file_too_large":"&#x906;&#x92A;&#x915;&#x940; &#x911;&#x921;&#x93F;&#x92F;&#x94B; &#x92B;&#x93C;&#x93E;&#x907;&#x932; &#x92C;&#x939;&#x941;&#x924; &#x92C;&#x921;&#x93C;&#x940; &#x939;&#x948; (%s) - &#x90F;&#x915; &#x91B;&#x94B;&#x91F;&#x940; &#x911;&#x921;&#x93F;&#x92F;&#x94B; &#x92B;&#x93C;&#x93E;&#x907;&#x932; &#x915;&#x947; &#x938;&#x93E;&#x925; &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-audiorecorder.unsupported_audio_type":"&#x915;&#x943;&#x92A;&#x92F;&#x93E; &#x905;&#x92A;&#x932;&#x94B;&#x921; &#x915;&#x930;&#x947;&#x902;: %s - &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92F;&#x939;&#x93E;&#x902; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-common-settingsmenu.tooltip":"&#x91A;&#x932;&#x93E;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-common-settingsmenu.setting-menu":"&#x938;&#x92D;&#x940; &#x938;&#x947;&#x91F;&#x93F;&#x902;&#x917;&#x94D;&#x938;","ba-common-settingsmenu.source-quality":"&#x938;&#x94D;&#x930;&#x94B;&#x924; &#x915;&#x940; &#x917;&#x941;&#x923;&#x935;&#x924;&#x94D;&#x924;&#x93E;","ba-common-settingsmenu.player-speed":"&#x916;&#x93F;&#x932;&#x93E;&#x921;&#x93C;&#x940; &#x915;&#x940; &#x917;&#x924;&#x93F;","ba-common-settingsmenu.set-menu-option":"&#x935;&#x93F;&#x915;&#x932;&#x94D;&#x92A; &#x938;&#x947;&#x91F; &#x915;&#x930;&#x947;&#x902;","ba-common-settingsmenu.submit-video":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x915;&#x940; &#x92A;&#x941;&#x937;&#x94D;&#x91F;&#x93F; &#x915;&#x930;&#x947;&#x902;","ba-common-settingsmenu.picture-in-picture":"&#x91A;&#x93F;&#x924;&#x94D;&#x930; &#x92E;&#x947;&#x902; &#x91A;&#x93F;&#x924;&#x94D;&#x930;","ba-common-settingsmenu.exit-fullscreen-video":"&#x92A;&#x942;&#x930;&#x94D;&#x923; &#x938;&#x94D;&#x915;&#x94D;&#x930;&#x940;&#x928; &#x938;&#x947; &#x92C;&#x93E;&#x939;&#x930; &#x928;&#x93F;&#x915;&#x932;&#x947;&#x902;","ba-common-settingsmenu.fullscreen-video":"&#x92A;&#x942;&#x930;&#x94D;&#x923; &#x938;&#x94D;&#x915;&#x94D;&#x930;&#x940;&#x928; &#x926;&#x930;&#x94D;&#x91C; &#x915;&#x930;&#x947;&#x902;","ba-videorecorder-chooser.multi-stream":"&#x92E;&#x932;&#x94D;&#x91F;&#x940; &#x938;&#x94D;&#x91F;&#x94D;&#x930;&#x940;&#x92E;","ba-videorecorder-controlbar.pause-recorder":"&#x935;&#x93F;&#x930;&#x93E;&#x92E; &#x926;&#x947;&#x928;&#x947; &#x935;&#x93E;&#x932;&#x93E;","ba-videorecorder-controlbar.resume-recorder":"&#x92B;&#x93F;&#x930; &#x938;&#x947; &#x936;&#x941;&#x930;&#x942; &#x915;&#x930;&#x947;&#x902;","ba-videorecorder.missing-track":"&#x906;&#x935;&#x936;&#x94D;&#x92F;&#x915; &#x911;&#x921;&#x93F;&#x92F;&#x94B; &#x92F;&#x93E; &#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x91F;&#x94D;&#x930;&#x948;&#x915; &#x917;&#x93E;&#x92F;&#x92C; &#x939;&#x948;","ba-videorecorder.device-already-in-use":"&#x906;&#x92A;&#x915;&#x93E; &#x915;&#x92E; &#x938;&#x947; &#x915;&#x92E; &#x90F;&#x915; &#x907;&#x928;&#x92A;&#x941;&#x91F; &#x921;&#x93F;&#x935;&#x93E;&#x907;&#x938; &#x92A;&#x939;&#x932;&#x947; &#x938;&#x947; &#x939;&#x940; &#x909;&#x92A;&#x92F;&#x94B;&#x917; &#x92E;&#x947;&#x902; &#x939;&#x948;","ba-videorecorder.browser-permission-denied":"&#x92C;&#x94D;&#x930;&#x93E;&#x909;&#x91C;&#x93C;&#x930; &#x926;&#x94D;&#x935;&#x93E;&#x930;&#x93E; &#x905;&#x928;&#x941;&#x92E;&#x924;&#x93F; &#x938;&#x947; &#x907;&#x928;&#x915;&#x93E;&#x930; &#x915;&#x93F;&#x92F;&#x93E; &#x917;&#x92F;&#x93E; &#x939;&#x948;, &#x915;&#x943;&#x92A;&#x92F;&#x93E; &#x92A;&#x939;&#x941;&#x901;&#x91A; &#x914;&#x930; &#x92A;&#x941;&#x928;&#x903; &#x932;&#x94B;&#x921; &#x92A;&#x943;&#x937;&#x94D;&#x920; &#x92A;&#x94D;&#x930;&#x926;&#x93E;&#x928; &#x915;&#x930;&#x947;&#x902;","ba-audioplayer.all-settings":"&#x938;&#x92D;&#x940; &#x938;&#x947;&#x91F;&#x93F;&#x902;&#x917;&#x94D;&#x938;","ba-videoplayer-controlbar.remaining-time":"&#x936;&#x947;&#x937; &#x938;&#x92E;&#x92F;","ba-videoplayer-controlbar.select-frame":"&#x91A;&#x941;&#x928;&#x924;&#x947; &#x939;&#x948;&#x902;","ba-videoplayer-controlbar.trim-video":"&#x91F;&#x94D;&#x930;&#x93F;&#x92E;","ba-videoplayer-playbutton.trim":"&#x91F;&#x94D;&#x930;&#x93F;&#x92E;","ba-videoplayer-playbutton.skip":"&#x91B;&#x94B;&#x921;&#x93C;&#x947;&#x902;","ba-videorecorder-imagegallery.upload-covershot":"&#x915;&#x935;&#x930; &#x905;&#x92A;&#x932;&#x94B;&#x921; &#x915;&#x930;&#x947;&#x902;","ba-videorecorder.pick-covershot-frame":"&#x915;&#x935;&#x930;&#x936;&#x949;&#x91F; &#x915;&#x947; &#x930;&#x942;&#x92A; &#x92E;&#x947;&#x902; &#x909;&#x92A;&#x92F;&#x94B;&#x917; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x90F;&#x915; &#x92B;&#x94D;&#x930;&#x947;&#x92E; &#x915;&#x93E; &#x91A;&#x92F;&#x928; &#x915;&#x930;&#x947;&#x902;&#x964;","ba-videorecorder.screen-recorder-is-not-supported":"&#x907;&#x938; &#x921;&#x93F;&#x935;&#x93E;&#x907;&#x938; &#x92A;&#x930; &#x938;&#x94D;&#x915;&#x94D;&#x930;&#x940;&#x928; &#x930;&#x93F;&#x915;&#x949;&#x930;&#x94D;&#x921;&#x930; &#x938;&#x92E;&#x930;&#x94D;&#x925;&#x93F;&#x924; &#x928;&#x939;&#x940;&#x902; &#x939;&#x948;","ba-videorecorder.trim-prompt":"&#x915;&#x94D;&#x92F;&#x93E; &#x906;&#x92A; &#x905;&#x92A;&#x928;&#x93E; &#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x91F;&#x94D;&#x930;&#x93F;&#x92E; &#x915;&#x930;&#x928;&#x93E; &#x91A;&#x93E;&#x939;&#x924;&#x947; &#x939;&#x948;&#x902;?","ba-videorecorder.trim-video":"&#x905;&#x92A;&#x928;&#x947; &#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x915;&#x94B; &#x91F;&#x94D;&#x930;&#x93F;&#x92E; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x92A;&#x94D;&#x930;&#x93E;&#x930;&#x902;&#x92D; &#x914;&#x930; &#x938;&#x92E;&#x93E;&#x92A;&#x94D;&#x924;&#x93F; &#x92E;&#x93E;&#x930;&#x94D;&#x915;&#x930;&#x94B;&#x902; &#x915;&#x94B; &#x938;&#x94D;&#x925;&#x93E;&#x928;&#x93E;&#x902;&#x924;&#x930;&#x93F;&#x924; &#x915;&#x930;&#x947;&#x902;","ba-videorecorder.wait-for-trim":"&#x91F;&#x94D;&#x930;&#x93F;&#x92E; &#x915;&#x92E;&#x93E;&#x902;&#x921; &#x915;&#x940; &#x92A;&#x94D;&#x930;&#x924;&#x940;&#x915;&#x94D;&#x937;&#x93E; &#x915;&#x940; &#x91C;&#x93E; &#x930;&#x939;&#x940; &#x939;&#x948;...","ba-videorecorder-controlbar.no-video-source":"&#x905;&#x924;&#x93F;&#x930;&#x93F;&#x915;&#x94D;&#x924; &#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x907;&#x928;&#x92A;&#x941;&#x91F; &#x938;&#x94D;&#x930;&#x94B;&#x924; &#x917;&#x941;&#x92E; &#x939;&#x948;","ba-videorecorder-controlbar.stream-already-selected":"&#x905;&#x924;&#x93F;&#x930;&#x93F;&#x915;&#x94D;&#x924; &#x938;&#x94D;&#x91F;&#x94D;&#x930;&#x940;&#x92E; &#x92A;&#x939;&#x932;&#x947; &#x939;&#x940; &#x91A;&#x941;&#x928;&#x940; &#x91C;&#x93E; &#x91A;&#x941;&#x915;&#x940; &#x939;&#x948;","ba-videorecorder.uploading-src-error":"&#x905;&#x92D;&#x940; &#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x935;&#x93E;&#x92A;&#x938; &#x91A;&#x932;&#x93E;&#x928;&#x947; &#x92E;&#x947;&#x902; &#x905;&#x938;&#x92E;&#x930;&#x94D;&#x925;, &#x905;&#x92A;&#x932;&#x94B;&#x921; &#x915;&#x930;&#x928;&#x93E; &#x905;&#x92D;&#x940; &#x92D;&#x940; &#x92A;&#x94D;&#x930;&#x917;&#x924;&#x93F; &#x92A;&#x930; &#x939;&#x948;","ba-audiorecorder-controlbar.pause-recorder":"&#x930;&#x94B;&#x915;&#x947;&#x902; &#x930;&#x93F;&#x915;&#x949;&#x930;&#x94D;&#x921;&#x930;","ba-audiorecorder-controlbar.resume-recorder":"&#x930;&#x93F;&#x91C;&#x94D;&#x92F;&#x942;&#x92E;&#x947; &#x930;&#x93F;&#x915;&#x949;&#x930;&#x94D;&#x921;&#x930;"},"language:hr":{"ba-videoplayer-playbutton.tooltip":"Kliknite za reprodukciju video zapisa.","ba-videoplayer-playbutton.rerecord":"preurediti","ba-videoplayer-playbutton.submit-video":"Potvrda videa","ba-videoplayer-loader.tooltip":"U&#x10D;itavanje videa ...","ba-videoplayer-controlbar.change-resolution":"Promjena razlu&#x10D;ivosti","ba-videoplayer-controlbar.video-progress":"napredak Video","ba-videoplayer-controlbar.rerecord-video":"Ponovi video?","ba-videoplayer-controlbar.submit-video":"Potvrda videa","ba-videoplayer-controlbar.play-video":"Reprodukcija videozapisa","ba-videoplayer-controlbar.pause-video":"Pauza Video","ba-videoplayer-controlbar.elapsed-time":"Proteklo vrijeme","ba-videoplayer-controlbar.total-time":"Ukupna du&#x17E;ina videa","ba-videoplayer-controlbar.fullscreen-video":"Idi na puni zaslon","ba-videoplayer-controlbar.volume-button":"Set volumen","ba-videoplayer-controlbar.volume-mute":"Bez zvuka","ba-videoplayer-controlbar.volume-unmute":"Vrati zvuk","ba-videoplayer.video-error":"Do&#x161;lo je do pogre&#x161;ke. Molimo poku&#x161;ajte ponovno kasnije. Kliknite za ponovni poku&#x161;aj.","ba-videorecorder-chooser.record-video":"Snimanje videa","ba-videorecorder-chooser.upload-video":"Dodaj video","ba-videorecorder-controlbar.settings":"Postavke","ba-videorecorder-controlbar.camerahealthy":"Rasvjeta je dobra","ba-videorecorder-controlbar.cameraunhealthy":"Rasvjeta nije optimalno","ba-videorecorder-controlbar.microphonehealthy":"Zvuk je dobar","ba-videorecorder-controlbar.microphoneunhealthy":"ne mo&#x17E;e podi&#x107;i bilo koji zvuk","ba-videorecorder-controlbar.record":"Snimiti","ba-videorecorder-controlbar.record-tooltip":"Kliknite ovdje za snimanje.","ba-videorecorder-controlbar.rerecord":"preurediti","ba-videorecorder-controlbar.rerecord-tooltip":"Kliknite ovdje ponoviti.","ba-videorecorder-controlbar.upload-covershot":"Postavi","ba-videorecorder-controlbar.upload-covershot-tooltip":"Kliknite ovdje kako biste poslali prilago&#x111;ene cover metak","ba-videorecorder-controlbar.stop":"Stop","ba-videorecorder-controlbar.stop-tooltip":"Kliknite ovdje da se zaustavi.","ba-videorecorder-controlbar.skip":"Presko&#x10D;iti","ba-videorecorder-controlbar.skip-tooltip":"Kliknite ovdje presko&#x10D;iti.","ba-videorecorder.recorder-error":"Do&#x161;lo je do pogre&#x161;ke. Molimo poku&#x161;ajte ponovno kasnije. Kliknite za ponovni poku&#x161;aj.","ba-videorecorder.attach-error":"Nismo mogli pristupiti su&#x10D;elju fotoaparata. Ovisno o ure&#x111;aju i preglednika, mo&#x17E;da &#x107;ete morati instalirati Flash ili pristupiti stranici putem SSL-a.","ba-videorecorder.access-forbidden":"Pristup kameri je zabranjeno. Kliknite za ponovni poku&#x161;aj.","ba-videorecorder.pick-covershot":"Izaberite covershot.","ba-videorecorder.uploading":"Prijenos","ba-videorecorder.uploading-failed":"Prijenos nije uspio - kliknite ovdje za ponovni poku&#x161;aj.","ba-videorecorder.verifying":"Potvr&#x111;ivanje","ba-videorecorder.verifying-failed":"Potvr&#x111;ivanje nije uspjelo - kliknite ovdje za ponovni poku&#x161;aj.","ba-videorecorder.rerecord-confirm":"Da li zaista &#x17E;elite ponoviti svoj video?","ba-videorecorder.video_file_too_large":"Va&#x161; video datoteka je prevelika (%s) - kliknite ovdje kako bi poku&#x161;ali ponovno s manjim video datoteka.","ba-videorecorder.unsupported_video_type":"Prenesite: %s - kliknite ovdje za ponovni poku&#x161;aj.","ba-videoplayer-controlbar.exit-fullscreen-video":"Iza&#x111;ite iz cijelog zaslona","ba-videoplayer-share.share":"Dijeljenje videozapisa","ba-videorecorder-chooser.record-screen":"Zaslon za snimanje","ba-videoplayer-controlbar.pause-video-disabled":"Pauza nije podr&#x17E;ana","ba-videorecorder-chooser.record-audio":"Snimanje zvuka","ba-videorecorder-controlbar.stop-available-after":"Minimalno vrijeme snimanja je %d sekundi","ba-videorecorder-controlbar.cancel":"Otkazati","ba-videorecorder-controlbar.cancel-tooltip":"Kliknite ovdje kako biste odustali.","ba-videorecorder.cancel-confirm":"&#x17D;elite li zaista odustati od prijenosa videozapisa?","ba-videoplayer-adslot.elapsed-time":"Proteklo vrijeme","ba-videoplayer-adslot.volume-button":"Postavite glasno&#x107;u","ba-videoplayer-adslot.volume-mute":"Isklju&#x10D;ite zvuk","ba-videoplayer-adslot.volume-unmute":"Uklju&#x10D;i zvuk","ba-videoplayer-adslot.ad-will-end-after":"Oglas zavr&#x161;ava nakon %s","ba-videoplayer-adslot.can-skip-after":"Presko&#x10D;i nakon %d","ba-videoplayer-adslot.skip-ad":"Presko&#x10D;ite oglas","ba-videorecorder.software-required":"Kliknite dolje da biste instalirali / aktivirali sljede&#x107;e uvjete kako biste nastavili.","ba-videorecorder.software-waiting":"&#x10C;eka se postavljanje / aktiviranje zahtjeva. Mo&#x17E;da &#x107;ete morati osvje&#x17E;iti stranicu nakon zavr&#x161;etka.","ba-videoplayer-controlbar.close-tracks":"Zatvori CC","ba-videoplayer-controlbar.show-tracks":"Prika&#x17E;i CC","ba-videoplayer-tracks.upload-text-tracks":"Prenesite tekstne datoteke zapisa","ba-videoplayer-tracks.select-text-track-language":"Jezik podnaslova","ba-videoplayer-tracks.info-select-locale-first":"Prvo odaberite mjesto","ba-videoplayer-tracks.select-text-track-file":"Kliknite za odabir datoteke","ba-videoplayer-tracks.back":"le&#x111;a","ba-videorecorder.framerate-warning":"Brzina videozapisa je vrlo niska. Preporu&#x10D;ujemo zatvaranje svih ostalih programa i kartica preglednika ili kori&#x161;tenje br&#x17E;eg ra&#x10D;unala.","ba-videorecorder.upload-error-duration":"Duljina prijenosa videozapisa ne zadovoljava uvjete - kliknite ovdje kako biste poku&#x161;ali ponovno.","ba-videorecorder.resolution-constraint-error":"Odabrana datoteka ne odgovara potrebnoj rezoluciji - kliknite ovdje kako biste poku&#x161;ali ponovno.","ba-videorecorder.orientation-portrait-required":"Zakrenite ure&#x111;aj za snimanje u portretnom na&#x10D;inu rada.","ba-videorecorder.orientation-landscape-required":"Zakrenite ure&#x111;aj da snimate u pejza&#x17E;nom na&#x10D;inu rada.","ba-imageviewer-controlbar.rerecord-image":"Ponovi?","ba-imageviewer-controlbar.submit-image":"potvrditi","ba-imageviewer-controlbar.fullscreen-image":"Unesite puni zaslon","ba-imageviewer-controlbar.exit-fullscreen-image":"Izlaz iz cijelog zaslona","ba-imageviewer.image-error":"Do&#x161;lo je do pogre&#x161;ke. Molimo poku&#x161;ajte ponovno kasnije. Kliknite za ponovni poku&#x161;aj.","ba-imagecapture-chooser.image-capture":"Snimite sliku","ba-imagecapture-chooser.upload-image":"U&#x10D;itaj sliku","ba-imagecapture-controlbar.settings":"postavke","ba-imagecapture-controlbar.camerahealthy":"Rasvjeta je dobra","ba-imagecapture-controlbar.cameraunhealthy":"Rasvjeta nije optimalna","ba-imagecapture-controlbar.record":"Uhvatiti","ba-imagecapture-controlbar.record-tooltip":"Kliknite ovdje za snimanje.","ba-imagecapture-controlbar.rerecord":"preurediti","ba-imagecapture-controlbar.rerecord-tooltip":"Kliknite ovdje za ponavljanje.","ba-imagecapture-controlbar.cancel":"Otkazati","ba-imagecapture-controlbar.cancel-tooltip":"Kliknite ovdje kako biste odustali.","ba-audioplayer-controlbar.audio-progress":"Napredak","ba-audioplayer-controlbar.rerecord-audio":"Ponovi?","ba-audioplayer-controlbar.submit-audio":"potvrditi","ba-audioplayer-controlbar.play-audio":"igra","ba-audioplayer-controlbar.pause-audio":"Pauza","ba-audioplayer-controlbar.pause-audio-disabled":"Pauza nije podr&#x17E;ana","ba-audioplayer-controlbar.elapsed-time":"Proteklo vrijeme","ba-audioplayer-controlbar.total-time":"Ukupna duljina","ba-audioplayer-controlbar.volume-button":"Postavite glasno&#x107;u","ba-audioplayer-controlbar.volume-mute":"Isklju&#x10D;ite zvuk","ba-audioplayer-controlbar.volume-unmute":"Uklju&#x10D;i zvuk","ba-audioplayer-loader.tooltip":"U&#x10D;itavam...","ba-audioplayer.audio-error":"Do&#x161;lo je do pogre&#x161;ke. Molimo poku&#x161;ajte ponovno kasnije. Kliknite za ponovni poku&#x161;aj.","ba-audiorecorder-chooser.record-audio":"Snimanje zvuka","ba-audiorecorder-chooser.upload-audio":"Prijenos zvuka","ba-audiorecorder-controlbar.settings":"postavke","ba-audiorecorder-controlbar.microphonehealthy":"Zvuk je dobar","ba-audiorecorder-controlbar.microphoneunhealthy":"Ne mogu podi&#x107;i zvuk","ba-audiorecorder-controlbar.record":"Snimiti","ba-audiorecorder-controlbar.record-tooltip":"Kliknite ovdje za snimanje.","ba-audiorecorder-controlbar.rerecord":"preurediti","ba-audiorecorder-controlbar.rerecord-tooltip":"Kliknite ovdje za ponavljanje.","ba-audiorecorder-controlbar.stop":"Stop","ba-audiorecorder-controlbar.stop-tooltip":"Kliknite ovdje da biste prestali.","ba-audiorecorder-controlbar.stop-available-after":"Minimalno vrijeme snimanja je %d sekundi","ba-audiorecorder-controlbar.cancel":"Otkazati","ba-audiorecorder-controlbar.cancel-tooltip":"Kliknite ovdje kako biste odustali.","ba-videoplayer-controlbar.player-speed":"Brzina igra&#x10D;a","ba-videoplayer-controlbar.settings":"postavke","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"Ikona Airplay.","ba-videoplayer.all-settings":"Sve postavke","ba-videoplayer.player-speed":"Brzina igra&#x10D;a","ba-videoplayer.full-screen":"Puni zaslon","ba-videorecorder-controlbar.add-stream":"Dodaj tok","ba-videorecorder.switch-camera":"Promijenite kameru","ba-videorecorder.prepare-covershot":"Priprema snimke","ba-videorecorder.prepare-thumbnails":"Priprema za tra&#x17E;enje sli&#x10D;ica","ba-videorecorder.adding-new-stream":"Dodavanje novog toka","ba-imagecapture.recorder-error":"Do&#x161;lo je do pogre&#x161;ke. Molimo poku&#x161;ajte ponovno kasnije. Kliknite za ponovni poku&#x161;aj.","ba-imagecapture.attach-error":"Nismo mogli pristupiti su&#x10D;elju medija. Ovisno o ure&#x111;aju i pregledniku, mo&#x17E;da &#x107;ete morati instalirati Flash ili pristupiti stranici putem SSL-a.","ba-imagecapture.software-required":"Da biste nastavili, kliknite ispod kako biste instalirali / aktivirali sljede&#x107;e zahtjeve.","ba-imagecapture.software-waiting":"&#x10C;eka se instaliranje / aktiviranje zahtjeva. Mo&#x17E;da &#x107;ete morati osvje&#x17E;iti stranicu nakon dovr&#x161;etka.","ba-imagecapture.access-forbidden":"Pristup medijima bio je zabranjen. Kliknite za ponovni poku&#x161;aj.","ba-imagecapture.uploading":"Prijenos","ba-imagecapture.uploading-failed":"U&#x10D;itavanje nije uspjelo - kliknite ovdje za ponovni poku&#x161;aj.","ba-imagecapture.upload-error-duration":"Duljina prenesene slike ne ispunjava uvjete - kliknite ovdje za ponovni poku&#x161;aj.","ba-imagecapture.resolution-constraint-error":"Odabrana datoteka ne odgovara tra&#x17E;enoj razlu&#x10D;ivosti - kliknite ovdje za ponovni poku&#x161;aj.","ba-imagecapture.verifying":"Provjera","ba-imagecapture.verifying-failed":"Potvr&#x111;ivanje nije uspjelo - kliknite ovdje za ponovni poku&#x161;aj.","ba-imagecapture.rerecord-confirm":"&#x17D;elite li doista ponovno uzeti sliku?","ba-imagecapture.image_file_too_large":"Va&#x161;a je slikovna datoteka prevelika (%s) - kliknite ovdje da biste poku&#x161;ali ponovno s manjom slikovnom datotekom.","ba-imagecapture.unsupported_image_type":"Prenesite: %s - kliknite ovdje za ponovni poku&#x161;aj.","ba-imagecapture.orientation-portrait-required":"Okre&#x107;ite ure&#x111;aj da biste snimali u portretnom na&#x10D;inu.","ba-imagecapture.orientation-landscape-required":"Rotirajte ure&#x111;aj da biste snimali u pejza&#x17E;nom na&#x10D;inu.","ba-audiorecorder.recorder-error":"Do&#x161;lo je do pogre&#x161;ke. Molimo poku&#x161;ajte ponovno kasnije. Kliknite za ponovni poku&#x161;aj.","ba-audiorecorder.attach-error":"Nismo mogli pristupiti su&#x10D;elju medija. Ovisno o ure&#x111;aju i pregledniku, mo&#x17E;da &#x107;ete morati instalirati Flash ili pristupiti stranici putem SSL-a.","ba-audiorecorder.software-required":"Da biste nastavili, kliknite ispod kako biste instalirali / aktivirali sljede&#x107;e zahtjeve.","ba-audiorecorder.software-waiting":"&#x10C;eka se instaliranje / aktiviranje zahtjeva. Mo&#x17E;da &#x107;ete morati osvje&#x17E;iti stranicu nakon dovr&#x161;etka.","ba-audiorecorder.access-forbidden":"Pristup medijima bio je zabranjen. Kliknite za ponovni poku&#x161;aj.","ba-audiorecorder.uploading":"Prijenos","ba-audiorecorder.uploading-failed":"U&#x10D;itavanje nije uspjelo - kliknite ovdje za ponovni poku&#x161;aj.","ba-audiorecorder.upload-error-duration":"Duljina prenesenog zvuka ne zadovoljava zahtjeve - kliknite ovdje za ponovni poku&#x161;aj.","ba-audiorecorder.verifying":"Provjera","ba-audiorecorder.verifying-failed":"Potvr&#x111;ivanje nije uspjelo - kliknite ovdje za ponovni poku&#x161;aj.","ba-audiorecorder.rerecord-confirm":"&#x17D;elite li zaista ponoviti zvuk?","ba-audiorecorder.cancel-confirm":"&#x17D;elite li zaista otkazati prijenos zvuka?","ba-audiorecorder.audio_file_too_large":"Va&#x161;a je audio datoteka prevelika (%s) - kliknite ovdje da biste poku&#x161;ali ponovno s manjom audio datotekom.","ba-audiorecorder.unsupported_audio_type":"Prenesite: %s - kliknite ovdje za ponovni poku&#x161;aj.","ba-common-settingsmenu.tooltip":"Kliknite za reprodukciju.","ba-common-settingsmenu.setting-menu":"Sve postavke","ba-common-settingsmenu.source-quality":"Kvaliteta izvora","ba-common-settingsmenu.player-speed":"Brzina igra&#x10D;a","ba-common-settingsmenu.set-menu-option":"Postavite opciju","ba-common-settingsmenu.submit-video":"Potvrdite video","ba-common-settingsmenu.picture-in-picture":"Slika u slici","ba-common-settingsmenu.exit-fullscreen-video":"Izlaz iz cijelog zaslona","ba-common-settingsmenu.fullscreen-video":"U&#x111;ite u cijeli zaslon","ba-videorecorder-chooser.multi-stream":"Vi&#x161;estruki tok","ba-videorecorder-controlbar.pause-recorder":"Pauzirajte snima&#x10D;","ba-videorecorder-controlbar.resume-recorder":"Snima&#x10D; &#x17E;ivotopisa","ba-videorecorder.missing-track":"Nedostaje potreban audio ili video zapis","ba-videorecorder.device-already-in-use":"Barem jedan od va&#x161;ih ulaznih ure&#x111;aja ve&#x107; se koristi","ba-videorecorder.browser-permission-denied":"Dozvola odbijena od strane preglednika, odobrite pristup i ponovno u&#x10D;itajte stranicu","ba-audioplayer.all-settings":"Sve postavke","ba-videoplayer-controlbar.remaining-time":"Preostalo vrijeme","ba-videoplayer-controlbar.select-frame":"Odaberi","ba-videoplayer-controlbar.trim-video":"Obre&#x17E;ite","ba-videoplayer-playbutton.trim":"Obre&#x17E;ite","ba-videoplayer-playbutton.skip":"Presko&#x10D;iti","ba-videorecorder-imagegallery.upload-covershot":"Prenesi naslovnicu","ba-videorecorder.pick-covershot-frame":"Odaberite okvir koji &#x107;ete koristiti kao snimku naslovnice.","ba-videorecorder.screen-recorder-is-not-supported":"Snima&#x10D; zaslona nije podr&#x17E;an na ovom ure&#x111;aju","ba-videorecorder.trim-prompt":"&#x17D;elite li obrezati svoj videozapis?","ba-videorecorder.trim-video":"Pomaknite oznake po&#x10D;etka i kraja da biste obrezali videozapis","ba-videorecorder.wait-for-trim":"&#x10C;eka se naredba trim ...","ba-videorecorder-controlbar.no-video-source":"Nedostaje dodatni video ulaz","ba-videorecorder-controlbar.stream-already-selected":"Dodatni tok ve&#x107; je odabran","ba-videorecorder.uploading-src-error":"Videozapis se sada ne mo&#x17E;e reproducirati, prijenos je jo&#x161; u tijeku","ba-audiorecorder-controlbar.pause-recorder":"Zaustavi snima&#x10D;","ba-audiorecorder-controlbar.resume-recorder":"Snima&#x10D; &#x17E;ivotopisa"},"language:hu":{"ba-videoplayer-playbutton.tooltip":"Kattintson ide a vide&#xF3; lej&#xE1;tsz&#xE1;s&#xE1;hoz.","ba-videoplayer-playbutton.rerecord":"&#xDA;jra","ba-videoplayer-playbutton.submit-video":"Er&#x151;s&#xED;tse vide&#xF3;","ba-videoplayer-loader.tooltip":"Vide&#xF3; bet&#xF6;lt&#xE9;se ...","ba-videoplayer-controlbar.change-resolution":"a felbont&#xE1;s m&#xF3;dos&#xED;t&#xE1;sa","ba-videoplayer-controlbar.video-progress":"vide&#xF3; halad&#xE1;s","ba-videoplayer-controlbar.rerecord-video":"&#xDA;jra vide&#xF3;t?","ba-videoplayer-controlbar.submit-video":"Er&#x151;s&#xED;tse vide&#xF3;","ba-videoplayer-controlbar.play-video":"vide&#xF3; lej&#xE1;tsz&#xE1;sa","ba-videoplayer-controlbar.pause-video":"sz&#xFC;net vide&#xF3;","ba-videoplayer-controlbar.elapsed-time":"Eltelt id&#x151;","ba-videoplayer-controlbar.total-time":"Teljes hossza vide&#xF3;","ba-videoplayer-controlbar.fullscreen-video":"a teljes k&#xE9;perny&#x151;s","ba-videoplayer-controlbar.volume-button":"&#xC1;ll&#xED;tsa be a hanger&#x151;t","ba-videoplayer-controlbar.volume-mute":"hang eln&#xE9;m&#xED;t&#xE1;sa","ba-videoplayer-controlbar.volume-unmute":"Unmute hang","ba-videoplayer.video-error":"Hiba t&#xF6;rt&#xE9;nt. K&#xE9;rj&#xFC;k, pr&#xF3;b&#xE1;lkozzon k&#xE9;s&#x151;bb. Kattintson ide &#xFA;jra.","ba-videorecorder-chooser.record-video":"A vide&#xF3; r&#xF6;gz&#xED;t&#xE9;s&#xE9;nek","ba-videorecorder-chooser.upload-video":"Vide&#xF3; felt&#xF6;lt&#xE9;se","ba-videorecorder-controlbar.settings":"Be&#xE1;ll&#xED;t&#xE1;sok","ba-videorecorder-controlbar.camerahealthy":"Vil&#xE1;g&#xED;t&#xE1;s j&#xF3;","ba-videorecorder-controlbar.cameraunhealthy":"Vil&#xE1;g&#xED;t&#xE1;s nem optim&#xE1;lis","ba-videorecorder-controlbar.microphonehealthy":"Hang j&#xF3;","ba-videorecorder-controlbar.microphoneunhealthy":"Nem lehet felvenni minden hang","ba-videorecorder-controlbar.record":"Rekord","ba-videorecorder-controlbar.record-tooltip":"Kattintson ide, hogy r&#xF6;gz&#xED;ti.","ba-videorecorder-controlbar.rerecord":"&#xDA;jra","ba-videorecorder-controlbar.rerecord-tooltip":"Kattintson ide, hogy &#xFA;jra.","ba-videorecorder-controlbar.upload-covershot":"Felt&#xF6;lt&#xE9;s","ba-videorecorder-controlbar.upload-covershot-tooltip":"Kattintson ide felt&#xF6;lthet&#x151; egyedi fed&#xE9;l l&#xF6;v&#xE9;s","ba-videorecorder-controlbar.stop":"&#xC1;llj meg","ba-videorecorder-controlbar.stop-tooltip":"Kattintson ide, hogy hagyja abba.","ba-videorecorder-controlbar.skip":"Skip","ba-videorecorder-controlbar.skip-tooltip":"Kattintson ide, hogy kihagyja.","ba-videorecorder.recorder-error":"Hiba t&#xF6;rt&#xE9;nt. K&#xE9;rj&#xFC;k, pr&#xF3;b&#xE1;lkozzon k&#xE9;s&#x151;bb. Kattintson ide &#xFA;jra.","ba-videorecorder.attach-error":"Nem tudtuk el&#xE9;rni a kamera interface. Att&#xF3;l f&#xFC;gg&#x151;en, hogy a k&#xE9;sz&#xFC;l&#xE9;k &#xE9;s a b&#xF6;ng&#xE9;sz&#x151;ben, akkor telep&#xED;tenie kell a Flash vagy el&#xE9;rni az oldalt SSL.","ba-videorecorder.access-forbidden":"Hozz&#xE1;f&#xE9;r&#xE9;s a kamera tilos volt. Kattintson ide &#xFA;jra.","ba-videorecorder.pick-covershot":"V&#xE1;lassz egy covershot.","ba-videorecorder.uploading":"Felt&#xF6;lt&#xE9;s","ba-videorecorder.uploading-failed":"Felt&#xF6;lt&#xE9;s sikertelen - ide kattintva &#xFA;jra.","ba-videorecorder.verifying":"ellen&#x151;rz&#xE9;se","ba-videorecorder.verifying-failed":"Ellen&#x151;rz&#xE9;s&#xE9;&#xE9;rt sikertelen - ide kattintva &#xFA;jra.","ba-videorecorder.rerecord-confirm":"T&#xE9;nyleg azt akarja ism&#xE9;telni a vide&#xF3;?","ba-videorecorder.video_file_too_large":"A vide&#xF3; f&#xE1;jl t&#xFA;l nagy (%s) - ide kattintva pr&#xF3;b&#xE1;lkozzon &#xFA;jra egy kisebb video f&#xE1;jlt.","ba-videorecorder.unsupported_video_type":"K&#xE9;rj&#xFC;k, t&#xF6;lts&#xF6;n fel: %s - ide kattintva &#xFA;jra.","ba-videoplayer-controlbar.exit-fullscreen-video":"Kil&#xE9;p&#xE9;s a teljes k&#xE9;perny&#x151;s","ba-videoplayer-share.share":"Vide&#xF3; megoszt&#xE1;sa","ba-videorecorder-chooser.record-screen":"Felv&#xE9;tel k&#xE9;perny&#x151;","ba-videoplayer-controlbar.pause-video-disabled":"A sz&#xFC;neteltet&#xE9;s nem t&#xE1;mogatott","ba-videorecorder-chooser.record-audio":"Hang r&#xF6;gz&#xED;t&#xE9;se","ba-videorecorder-controlbar.stop-available-after":"A minim&#xE1;lis felv&#xE9;teli id&#x151; %d m&#xE1;sodperc","ba-videorecorder-controlbar.cancel":"Megsz&#xFC;nteti","ba-videorecorder-controlbar.cancel-tooltip":"Kattintson ide a lemond&#xE1;shoz.","ba-videorecorder.cancel-confirm":"T&#xE9;nyleg t&#xF6;r&#xF6;lni szeretn&#xE9; a vide&#xF3; felt&#xF6;lt&#xE9;s&#xE9;t?","ba-videoplayer-adslot.elapsed-time":"Elkelt id&#x151;","ba-videoplayer-adslot.volume-button":"&#xC1;ll&#xED;tsa be a hanger&#x151;t","ba-videoplayer-adslot.volume-mute":"Eln&#xE9;m&#xED;tja a hangot","ba-videoplayer-adslot.volume-unmute":"Csengessen a hang","ba-videoplayer-adslot.ad-will-end-after":"A hirdet&#xE9;s a %s ut&#xE1;n befejez&#x151;dik","ba-videoplayer-adslot.can-skip-after":"Ugr&#xE1;s a %d ut&#xE1;n","ba-videoplayer-adslot.skip-ad":"Hirdet&#xE9;s &#xE1;tugr&#xE1;sa","ba-videorecorder.software-required":"K&#xE9;rj&#xFC;k, kattintson az al&#xE1;bbi gombra a k&#xF6;vetkez&#x151; k&#xF6;vetelm&#xE9;nyek telep&#xED;t&#xE9;s&#xE9;hez / aktiv&#xE1;l&#xE1;s&#xE1;hoz a folytat&#xE1;shoz.","ba-videorecorder.software-waiting":"V&#xE1;rakoz&#xE1;s a telep&#xED;t&#xE9;s / aktiv&#xE1;l&#xE1;s k&#xF6;vetelm&#xE9;nyeire. Lehet, hogy friss&#xED;tenie kell az oldalt befejez&#xE9;se ut&#xE1;n.","ba-videoplayer-controlbar.close-tracks":"K&#xF6;zeli CC","ba-videoplayer-controlbar.show-tracks":"CC mutat&#xE1;sa","ba-videoplayer-tracks.upload-text-tracks":"P&#xE1;lya sz&#xF6;veges f&#xE1;jlok felt&#xF6;lt&#xE9;se","ba-videoplayer-tracks.select-text-track-language":"Felirat nyelve","ba-videoplayer-tracks.info-select-locale-first":"El&#x151;sz&#xF6;r v&#xE1;lassza a helyi be&#xE1;ll&#xED;t&#xE1;st","ba-videoplayer-tracks.select-text-track-file":"Kattintson a f&#xE1;jl kiv&#xE1;laszt&#xE1;s&#xE1;hoz","ba-videoplayer-tracks.back":"h&#xE1;t","ba-videorecorder.framerate-warning":"A vide&#xF3; k&#xE9;par&#xE1;nya nagyon alacsony. Javasoljuk, hogy z&#xE1;rja be az &#xF6;sszes t&#xF6;bbi programot &#xE9;s b&#xF6;ng&#xE9;sz&#x151;lapot, vagy gyorsabb sz&#xE1;m&#xED;t&#xF3;g&#xE9;pet haszn&#xE1;ljon.","ba-videorecorder.upload-error-duration":"A felt&#xF6;lt&#xF6;tt vide&#xF3; hossza nem felel meg a k&#xF6;vetelm&#xE9;nyeknek - kattintson ide &#xFA;jrapr&#xF3;b&#xE1;lkoz&#xE1;shoz.","ba-videorecorder.resolution-constraint-error":"A kiv&#xE1;lasztott f&#xE1;jl nem egyezik meg a sz&#xFC;ks&#xE9;ges felbont&#xE1;ssal - kattintson ide &#xFA;jrapr&#xF3;b&#xE1;lkoz&#xE1;shoz.","ba-videorecorder.orientation-portrait-required":"Forgassa el a k&#xE9;sz&#xFC;l&#xE9;ket &#xE1;ll&#xF3;k&#xE9;p r&#xF6;gz&#xED;t&#xE9;s&#xE9;hez.","ba-videorecorder.orientation-landscape-required":"Forgassa el a k&#xE9;sz&#xFC;l&#xE9;ket fekv&#x151; m&#xF3;dban t&#xF6;rt&#xE9;n&#x151; r&#xF6;gz&#xED;t&#xE9;shez.","ba-imageviewer-controlbar.rerecord-image":"&#xDA;jra?","ba-imageviewer-controlbar.submit-image":"meger&#x151;s&#xED;t","ba-imageviewer-controlbar.fullscreen-image":"L&#xE9;pjen be a teljes k&#xE9;perny&#x151;re","ba-imageviewer-controlbar.exit-fullscreen-image":"Kil&#xE9;p&#xE9;s a teljes k&#xE9;perny&#x151;r&#x151;l","ba-imageviewer.image-error":"Hiba t&#xF6;rt&#xE9;nt. K&#xE9;rj&#xFC;k, pr&#xF3;b&#xE1;lkozzon k&#xE9;s&#x151;bb. Kattintson &#xFA;jra az &#xFA;jrapr&#xF3;b&#xE1;l&#xE1;shoz.","ba-imagecapture-chooser.image-capture":"K&#xE9;p r&#xF6;gz&#xED;t&#xE9;se","ba-imagecapture-chooser.upload-image":"K&#xE9;p felt&#xF6;lt&#xE9;se","ba-imagecapture-controlbar.settings":"Be&#xE1;ll&#xED;t&#xE1;sok","ba-imagecapture-controlbar.camerahealthy":"A vil&#xE1;g&#xED;t&#xE1;s j&#xF3;","ba-imagecapture-controlbar.cameraunhealthy":"A vil&#xE1;g&#xED;t&#xE1;s nem optim&#xE1;lis","ba-imagecapture-controlbar.record":"Elfog","ba-imagecapture-controlbar.record-tooltip":"Kattintson ide a r&#xF6;gz&#xED;t&#xE9;shez.","ba-imagecapture-controlbar.rerecord":"&#xDA;jra","ba-imagecapture-controlbar.rerecord-tooltip":"Kattintson ide &#xFA;jra.","ba-imagecapture-controlbar.cancel":"Megsz&#xFC;nteti","ba-imagecapture-controlbar.cancel-tooltip":"Kattintson ide a lemond&#xE1;shoz.","ba-audioplayer-controlbar.audio-progress":"El&#x151;rehalad","ba-audioplayer-controlbar.rerecord-audio":"&#xDA;jra?","ba-audioplayer-controlbar.submit-audio":"meger&#x151;s&#xED;t","ba-audioplayer-controlbar.play-audio":"J&#xE1;t&#xE9;k","ba-audioplayer-controlbar.pause-audio":"Sz&#xFC;net","ba-audioplayer-controlbar.pause-audio-disabled":"A sz&#xFC;neteltet&#xE9;s nem t&#xE1;mogatott","ba-audioplayer-controlbar.elapsed-time":"Elkelt id&#x151;","ba-audioplayer-controlbar.total-time":"Teljes hossza","ba-audioplayer-controlbar.volume-button":"&#xC1;ll&#xED;tsa be a hanger&#x151;t","ba-audioplayer-controlbar.volume-mute":"Eln&#xE9;m&#xED;tja a hangot","ba-audioplayer-controlbar.volume-unmute":"Csengessen a hang","ba-audioplayer-loader.tooltip":"Bet&#xF6;lt&#xE9;s...","ba-audioplayer.audio-error":"Hiba t&#xF6;rt&#xE9;nt. K&#xE9;rj&#xFC;k, pr&#xF3;b&#xE1;lkozzon k&#xE9;s&#x151;bb. Kattintson &#xFA;jra az &#xFA;jrapr&#xF3;b&#xE1;l&#xE1;shoz.","ba-audiorecorder-chooser.record-audio":"Hang r&#xF6;gz&#xED;t&#xE9;se","ba-audiorecorder-chooser.upload-audio":"Hang felt&#xF6;lt&#xE9;se","ba-audiorecorder-controlbar.settings":"Be&#xE1;ll&#xED;t&#xE1;sok","ba-audiorecorder-controlbar.microphonehealthy":"A hang j&#xF3;","ba-audiorecorder-controlbar.microphoneunhealthy":"Nem hallhat&#xF3; hang","ba-audiorecorder-controlbar.record":"Rekord","ba-audiorecorder-controlbar.record-tooltip":"Kattintson ide a felv&#xE9;telhez.","ba-audiorecorder-controlbar.rerecord":"&#xDA;jra","ba-audiorecorder-controlbar.rerecord-tooltip":"Kattintson ide &#xFA;jra.","ba-audiorecorder-controlbar.stop":"&#xC1;llj meg","ba-audiorecorder-controlbar.stop-tooltip":"Kattintson ide a le&#xE1;ll&#xED;t&#xE1;shoz.","ba-audiorecorder-controlbar.stop-available-after":"A minim&#xE1;lis felv&#xE9;teli id&#x151; %d m&#xE1;sodperc","ba-audiorecorder-controlbar.cancel":"Megsz&#xFC;nteti","ba-audiorecorder-controlbar.cancel-tooltip":"Kattintson ide a lemond&#xE1;shoz.","ba-videoplayer-controlbar.player-speed":"J&#xE1;t&#xE9;kos sebess&#xE9;ge","ba-videoplayer-controlbar.settings":"Be&#xE1;ll&#xED;t&#xE1;sok","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"Airplay ikonra.","ba-videoplayer.all-settings":"Minden be&#xE1;ll&#xED;t&#xE1;s","ba-videoplayer.player-speed":"J&#xE1;t&#xE9;kos sebess&#xE9;ge","ba-videoplayer.full-screen":"Teljes k&#xE9;perny&#x151;","ba-videorecorder-controlbar.add-stream":"Adja hozz&#xE1; az adatfolyamot","ba-videorecorder.switch-camera":"Kapcsolja be a kamer&#xE1;t","ba-videorecorder.prepare-covershot":"Coverhots k&#xE9;sz&#xED;t&#xE9;se","ba-videorecorder.prepare-thumbnails":"A miniat&#x171;r&#xF6;k keres&#xE9;s&#xE9;nek el&#x151;k&#xE9;sz&#xED;t&#xE9;se","ba-videorecorder.adding-new-stream":"&#xDA;j adatfolyam hozz&#xE1;ad&#xE1;sa","ba-imagecapture.recorder-error":"Hiba t&#xF6;rt&#xE9;nt. Pr&#xF3;b&#xE1;lja &#xFA;jra k&#xE9;s&#x151;bb. Kattintson az &#xFA;jrapr&#xF3;b&#xE1;lkoz&#xE1;sra.","ba-imagecapture.attach-error":"Nem tudtuk el&#xE9;rni a m&#xE9;dia interf&#xE9;szt. Az eszk&#xF6;zt&#x151;l &#xE9;s a b&#xF6;ng&#xE9;sz&#x151;t&#x151;l f&#xFC;gg&#x151;en el&#x151;fordulhat, hogy telep&#xED;tenie kell a Flash-et vagy az SSL-en kereszt&#xFC;l az oldalt.","ba-imagecapture.software-required":"Az al&#xE1;bbi k&#xF6;vetelm&#xE9;nyek telep&#xED;t&#xE9;s&#xE9;hez / aktiv&#xE1;l&#xE1;s&#xE1;hoz kattintson az al&#xE1;bbi gombra.","ba-imagecapture.software-waiting":"V&#xE1;rakoz&#xE1;s a k&#xF6;vetelm&#xE9;nyek telep&#xED;t&#xE9;s&#xE9;re / aktiv&#xE1;l&#xE1;s&#xE1;ra. Lehet, hogy a befejez&#xE9;s ut&#xE1;n friss&#xED;tenie kell az oldalt.","ba-imagecapture.access-forbidden":"Tilos a m&#xE9;di&#xE1;hoz val&#xF3; hozz&#xE1;f&#xE9;r&#xE9;s. Kattintson az &#xFA;jrapr&#xF3;b&#xE1;lkoz&#xE1;sra.","ba-imagecapture.uploading":"Felt&#xF6;lt&#xE9;s","ba-imagecapture.uploading-failed":"A felt&#xF6;lt&#xE9;s sikertelen - kattintson ide, hogy &#xFA;jra pr&#xF3;b&#xE1;lkozzon.","ba-imagecapture.upload-error-duration":"A felt&#xF6;lt&#xF6;tt k&#xE9;p hossza nem felel meg a k&#xF6;vetelm&#xE9;nyeknek - kattintson ide az &#xFA;jrapr&#xF3;b&#xE1;lkoz&#xE1;shoz.","ba-imagecapture.resolution-constraint-error":"A kiv&#xE1;lasztott f&#xE1;jl nem egyezik meg a sz&#xFC;ks&#xE9;ges felbont&#xE1;ssal - kattintson ide, hogy &#xFA;jra pr&#xF3;b&#xE1;lkozzon.","ba-imagecapture.verifying":"ellen&#x151;rz&#xE9;se","ba-imagecapture.verifying-failed":"Sikertelen ellen&#x151;rz&#xE9;s - kattintson ide, hogy &#xFA;jra pr&#xF3;b&#xE1;lkozzon.","ba-imagecapture.rerecord-confirm":"T&#xE9;nyleg meg akarja ism&#xE9;telni a k&#xE9;pet?","ba-imagecapture.image_file_too_large":"A k&#xE9;pf&#xE1;jl t&#xFA;l nagy (%s) - kattintson ide, ha megpr&#xF3;b&#xE1;l egy kisebb k&#xE9;pf&#xE1;jl haszn&#xE1;lat&#xE1;val.","ba-imagecapture.unsupported_image_type":"K&#xE9;rj&#xFC;k, t&#xF6;ltse fel: %s - kattintson ide, hogy &#xFA;jra pr&#xF3;b&#xE1;lkozzon.","ba-imagecapture.orientation-portrait-required":"K&#xE9;rj&#xFC;k, forgassa el a k&#xE9;sz&#xFC;l&#xE9;ket, hogy portr&#xE9; m&#xF3;dban r&#xF6;gz&#xED;tse.","ba-imagecapture.orientation-landscape-required":"K&#xE9;rj&#xFC;k, forgassa el a k&#xE9;sz&#xFC;l&#xE9;ket, hogy t&#xE1;jol&#xE1;st k&#xE9;sz&#xED;tsen.","ba-audiorecorder.recorder-error":"Hiba t&#xF6;rt&#xE9;nt. Pr&#xF3;b&#xE1;lja &#xFA;jra k&#xE9;s&#x151;bb. Kattintson az &#xFA;jrapr&#xF3;b&#xE1;lkoz&#xE1;sra.","ba-audiorecorder.attach-error":"Nem tudtuk el&#xE9;rni a m&#xE9;dia interf&#xE9;szt. Az eszk&#xF6;zt&#x151;l &#xE9;s a b&#xF6;ng&#xE9;sz&#x151;t&#x151;l f&#xFC;gg&#x151;en el&#x151;fordulhat, hogy telep&#xED;tenie kell a Flash-et vagy az SSL-en kereszt&#xFC;l az oldalt.","ba-audiorecorder.software-required":"Az al&#xE1;bbi k&#xF6;vetelm&#xE9;nyek telep&#xED;t&#xE9;s&#xE9;hez / aktiv&#xE1;l&#xE1;s&#xE1;hoz kattintson az al&#xE1;bbi gombra.","ba-audiorecorder.software-waiting":"V&#xE1;rakoz&#xE1;s a k&#xF6;vetelm&#xE9;nyek telep&#xED;t&#xE9;s&#xE9;re / aktiv&#xE1;l&#xE1;s&#xE1;ra. Lehet, hogy a befejez&#xE9;s ut&#xE1;n friss&#xED;tenie kell az oldalt.","ba-audiorecorder.access-forbidden":"Tilos a m&#xE9;di&#xE1;hoz val&#xF3; hozz&#xE1;f&#xE9;r&#xE9;s. Kattintson az &#xFA;jrapr&#xF3;b&#xE1;lkoz&#xE1;sra.","ba-audiorecorder.uploading":"Felt&#xF6;lt&#xE9;s","ba-audiorecorder.uploading-failed":"A felt&#xF6;lt&#xE9;s sikertelen - kattintson ide, hogy &#xFA;jra pr&#xF3;b&#xE1;lkozzon.","ba-audiorecorder.upload-error-duration":"A felt&#xF6;lt&#xF6;tt hang hossza nem felel meg a k&#xF6;vetelm&#xE9;nyeknek - kattintson ide az &#xFA;jrapr&#xF3;b&#xE1;lkoz&#xE1;shoz.","ba-audiorecorder.verifying":"ellen&#x151;rz&#xE9;se","ba-audiorecorder.verifying-failed":"Sikertelen ellen&#x151;rz&#xE9;s - kattintson ide, hogy &#xFA;jra pr&#xF3;b&#xE1;lkozzon.","ba-audiorecorder.rerecord-confirm":"T&#xE9;nyleg meg szeretn&#xE9; &#xFA;j&#xED;tani a hangj&#xE1;t?","ba-audiorecorder.cancel-confirm":"T&#xE9;nyleg t&#xF6;r&#xF6;lni szeretn&#xE9; a hangfelv&#xE9;tel&#xE9;t?","ba-audiorecorder.audio_file_too_large":"A hangf&#xE1;jl t&#xFA;l nagy (%s) - kattints ide, ha megpr&#xF3;b&#xE1;lsz &#xFA;jra egy kisebb hangf&#xE1;jl seg&#xED;ts&#xE9;g&#xE9;vel.","ba-audiorecorder.unsupported_audio_type":"K&#xE9;rj&#xFC;k, t&#xF6;ltse fel: %s - kattintson ide, hogy &#xFA;jra pr&#xF3;b&#xE1;lkozzon.","ba-common-settingsmenu.tooltip":"Kattintson a j&#xE1;t&#xE9;k elkezd&#xE9;s&#xE9;hez.","ba-common-settingsmenu.setting-menu":"Minden be&#xE1;ll&#xED;t&#xE1;s","ba-common-settingsmenu.source-quality":"Forr&#xE1;s min&#x151;s&#xE9;ge","ba-common-settingsmenu.player-speed":"J&#xE1;t&#xE9;kos sebess&#xE9;ge","ba-common-settingsmenu.set-menu-option":"Be&#xE1;ll&#xED;t&#xE1;s opci&#xF3;","ba-common-settingsmenu.submit-video":"Vide&#xF3; meger&#x151;s&#xED;t&#xE9;se","ba-common-settingsmenu.picture-in-picture":"K&#xE9;p a k&#xE9;pen","ba-common-settingsmenu.exit-fullscreen-video":"Kil&#xE9;p&#xE9;s a teljes k&#xE9;perny&#x151;s k&#xE9;perny&#x151;r&#x151;l","ba-common-settingsmenu.fullscreen-video":"L&#xE9;pjen be teljes k&#xE9;perny&#x151;sre","ba-videorecorder-chooser.multi-stream":"T&#xF6;bb adatfolyam","ba-videorecorder-controlbar.pause-recorder":"A felvev&#x151; sz&#xFC;neteltet&#xE9;se","ba-videorecorder-controlbar.resume-recorder":"Felv&#xE9;tel folytat&#xE1;sa","ba-videorecorder.missing-track":"Hi&#xE1;nyzik a sz&#xFC;ks&#xE9;ges audio vagy video s&#xE1;v","ba-videorecorder.device-already-in-use":"Legal&#xE1;bb az egyik beviteli eszk&#xF6;z m&#xE1;r haszn&#xE1;latban van","ba-videorecorder.browser-permission-denied":"Az enged&#xE9;lyt a b&#xF6;ng&#xE9;sz&#x151; megtagadta. K&#xE9;rj&#xFC;k, adjon hozz&#xE1;f&#xE9;r&#xE9;st &#xE9;s t&#xF6;ltse be &#xFA;jra az oldalt","ba-audioplayer.all-settings":"Minden be&#xE1;ll&#xED;t&#xE1;s","ba-videoplayer-controlbar.remaining-time":"H&#xE1;tral&#xE9;v&#x151; id&#x151;","ba-videoplayer-controlbar.select-frame":"V&#xE1;lassza a lehet&#x151;s&#xE9;get","ba-videoplayer-controlbar.trim-video":"V&#xE1;g&#xE1;s","ba-videoplayer-playbutton.trim":"V&#xE1;g&#xE1;s","ba-videoplayer-playbutton.skip":"Ugr&#xE1;s","ba-videorecorder-imagegallery.upload-covershot":"Bor&#xED;t&#xF3; felt&#xF6;lt&#xE9;se","ba-videorecorder.pick-covershot-frame":"V&#xE1;lasszon ki egy k&#xE9;pet, amelyet fed&#x151;k&#xE9;pk&#xE9;nt haszn&#xE1;lni szeretne.","ba-videorecorder.screen-recorder-is-not-supported":"Ez a k&#xE9;sz&#xFC;l&#xE9;k nem t&#xE1;mogatja a k&#xE9;perny&#x151;felvev&#x151;t","ba-videorecorder.trim-prompt":"Le akarja v&#xE1;gni a vide&#xF3;dat?","ba-videorecorder.trim-video":"Mozgassa a kezd&#x151; &#xE9;s a befejez&#x151; jelz&#x151;t a vide&#xF3; v&#xE1;g&#xE1;s&#xE1;hoz","ba-videorecorder.wait-for-trim":"V&#xE1;rakoz&#xE1;s a trim parancsra ...","ba-videorecorder-controlbar.no-video-source":"Hi&#xE1;nyzik a tov&#xE1;bbi vide&#xF3; bemeneti forr&#xE1;s","ba-videorecorder-controlbar.stream-already-selected":"Tov&#xE1;bbi adatfolyam m&#xE1;r kiv&#xE1;lasztva","ba-videorecorder.uploading-src-error":"A vide&#xF3;t most nem lehet lej&#xE1;tszani, a felt&#xF6;lt&#xE9;s m&#xE9;g folyamatban van","ba-audiorecorder-controlbar.pause-recorder":"Sz&#xFC;neteltesse a felvev&#x151;t","ba-audiorecorder-controlbar.resume-recorder":"Felv&#xE9;tel folytat&#xE1;sa"},"language:id":{"ba-videoplayer-playbutton.tooltip":"Klik untuk memutar video.","ba-videoplayer-playbutton.rerecord":"Mengulangi","ba-videoplayer-playbutton.submit-video":"Konfirmasi video","ba-videoplayer-loader.tooltip":"Memuat video ...","ba-videoplayer-controlbar.change-resolution":"Ubah resolusi","ba-videoplayer-controlbar.video-progress":"Kemajuan video","ba-videoplayer-controlbar.rerecord-video":"Redo video?","ba-videoplayer-controlbar.submit-video":"Konfirmasi video","ba-videoplayer-controlbar.play-video":"Putar video","ba-videoplayer-controlbar.pause-video":"Jeda video","ba-videoplayer-controlbar.elapsed-time":"Waktu berlalu","ba-videoplayer-controlbar.total-time":"Panjang video total","ba-videoplayer-controlbar.fullscreen-video":"Memasuki layar penuh","ba-videoplayer-controlbar.volume-button":"Setel volume","ba-videoplayer-controlbar.volume-mute":"Bisu terdengar","ba-videoplayer-controlbar.volume-unmute":"Suarakan suara","ba-videoplayer.video-error":"Terjadi kesalahan, coba lagi nanti. Klik untuk mencoba lagi.","ba-videorecorder-chooser.record-video":"Merekam video","ba-videorecorder-chooser.upload-video":"Upload Video","ba-videorecorder-controlbar.settings":"Pengaturan","ba-videorecorder-controlbar.camerahealthy":"Pencahayaan itu bagus","ba-videorecorder-controlbar.cameraunhealthy":"Pencahayaan tidak optimal","ba-videorecorder-controlbar.microphonehealthy":"Suara bagus","ba-videorecorder-controlbar.microphoneunhealthy":"Tidak bisa mengambil suara apapun","ba-videorecorder-controlbar.record":"Merekam","ba-videorecorder-controlbar.record-tooltip":"Klik di sini untuk merekam.","ba-videorecorder-controlbar.rerecord":"Mengulangi","ba-videorecorder-controlbar.rerecord-tooltip":"Klik di sini untuk mengulang.","ba-videorecorder-controlbar.upload-covershot":"Upload","ba-videorecorder-controlbar.upload-covershot-tooltip":"Klik di sini untuk mengunggah tangkapan sampul khusus","ba-videorecorder-controlbar.stop":"Berhenti","ba-videorecorder-controlbar.stop-tooltip":"Klik di sini untuk berhenti.","ba-videorecorder-controlbar.skip":"Melewatkan","ba-videorecorder-controlbar.skip-tooltip":"Klik di sini untuk melompat.","ba-videorecorder.recorder-error":"Terjadi kesalahan, coba lagi nanti. Klik untuk mencoba lagi.","ba-videorecorder.attach-error":"Kami tidak dapat mengakses antarmuka kamera. Bergantung pada perangkat dan browser, Anda mungkin perlu menginstal Flash atau mengakses halaman melalui SSL.","ba-videorecorder.access-forbidden":"Akses ke kamera dilarang. Klik untuk mencoba lagi.","ba-videorecorder.pick-covershot":"Pilih sebuah coverhot.","ba-videorecorder.uploading":"Mengunggah","ba-videorecorder.uploading-failed":"Mengunggah gagal - klik di sini untuk mencoba lagi.","ba-videorecorder.verifying":"Memverifikasi","ba-videorecorder.verifying-failed":"Verifikasi gagal - klik di sini untuk mencoba lagi.","ba-videorecorder.rerecord-confirm":"Apakah Anda benar-benar ingin mengulang video Anda?","ba-videorecorder.video_file_too_large":"File video Anda terlalu besar (%s) - klik di sini untuk mencoba lagi dengan file video yang lebih kecil.","ba-videorecorder.unsupported_video_type":"Silakan upload: %s - klik di sini untuk mencoba lagi.","ba-videoplayer-controlbar.exit-fullscreen-video":"Keluar dari layar penuh","ba-videoplayer-share.share":"Berbagi video","ba-videorecorder-chooser.record-screen":"Layar rekam","ba-videoplayer-controlbar.pause-video-disabled":"Jeda tidak didukung","ba-videorecorder-chooser.record-audio":"Suara rekaman","ba-videorecorder-controlbar.stop-available-after":"Waktu perekaman minimum adalah %d detik","ba-videorecorder-controlbar.cancel":"Membatalkan","ba-videorecorder-controlbar.cancel-tooltip":"Klik disini untuk membatalkan","ba-videorecorder.cancel-confirm":"Apakah Anda benar-benar ingin membatalkan upload video Anda?","ba-videoplayer-adslot.elapsed-time":"Waktu berlalu","ba-videoplayer-adslot.volume-button":"Setel volume","ba-videoplayer-adslot.volume-mute":"Bisu terdengar","ba-videoplayer-adslot.volume-unmute":"Suarakan suara","ba-videoplayer-adslot.ad-will-end-after":"Iklan akan berakhir setelah %s","ba-videoplayer-adslot.can-skip-after":"Lewati setelah %d","ba-videoplayer-adslot.skip-ad":"Melewatkan iklan","ba-videorecorder.software-required":"Silahkan klik di bawah ini untuk menginstal / mengaktifkan persyaratan berikut agar bisa melanjutkan.","ba-videorecorder.software-waiting":"Menunggu persyaratan untuk dipasang / diaktifkan. Anda mungkin perlu menyegarkan halaman setelah selesai.","ba-videoplayer-controlbar.close-tracks":"Tutup CC","ba-videoplayer-controlbar.show-tracks":"Tampilkan CC","ba-videoplayer-tracks.upload-text-tracks":"Unggah file teks lagu","ba-videoplayer-tracks.select-text-track-language":"Bahasa Subtitle","ba-videoplayer-tracks.info-select-locale-first":"Pertama pilih lokal","ba-videoplayer-tracks.select-text-track-file":"Klik untuk memilih file","ba-videoplayer-tracks.back":"kembali","ba-videorecorder.framerate-warning":"Kecepatan frame video sangat rendah. Kami sarankan untuk menutup semua program lain dan tab browser atau menggunakan komputer yang lebih cepat.","ba-videorecorder.upload-error-duration":"Panjang video yang diunggah tidak memenuhi persyaratan - klik di sini untuk mencoba lagi.","ba-videorecorder.resolution-constraint-error":"File yang Anda pilih tidak sesuai dengan resolusi yang diperlukan - klik di sini untuk mencoba lagi.","ba-videorecorder.orientation-portrait-required":"Silakan putar perangkat Anda untuk merekam dalam mode potret.","ba-videorecorder.orientation-landscape-required":"Silakan putar perangkat Anda untuk merekam dalam mode lansekap.","ba-imageviewer-controlbar.rerecord-image":"Mengulangi?","ba-imageviewer-controlbar.submit-image":"Memastikan","ba-imageviewer-controlbar.fullscreen-image":"Memasuki layar penuh","ba-imageviewer-controlbar.exit-fullscreen-image":"Keluar dari layar penuh","ba-imageviewer.image-error":"Terjadi kesalahan, coba lagi nanti. Klik untuk mencoba lagi.","ba-imagecapture-chooser.image-capture":"Capture Image","ba-imagecapture-chooser.upload-image":"Unggah Gambar","ba-imagecapture-controlbar.settings":"Pengaturan","ba-imagecapture-controlbar.camerahealthy":"Pencahayaan bagus","ba-imagecapture-controlbar.cameraunhealthy":"Pencahayaan tidak optimal","ba-imagecapture-controlbar.record":"Menangkap","ba-imagecapture-controlbar.record-tooltip":"Klik di sini untuk menangkap.","ba-imagecapture-controlbar.rerecord":"Mengulangi","ba-imagecapture-controlbar.rerecord-tooltip":"Klik di sini untuk mengulang.","ba-imagecapture-controlbar.cancel":"Membatalkan","ba-imagecapture-controlbar.cancel-tooltip":"Klik di sini untuk membatalkan.","ba-audioplayer-controlbar.audio-progress":"Kemajuan","ba-audioplayer-controlbar.rerecord-audio":"Mengulangi?","ba-audioplayer-controlbar.submit-audio":"Memastikan","ba-audioplayer-controlbar.play-audio":"Bermain","ba-audioplayer-controlbar.pause-audio":"Berhenti sebentar","ba-audioplayer-controlbar.pause-audio-disabled":"Jeda tidak didukung","ba-audioplayer-controlbar.elapsed-time":"Waktu berlalu","ba-audioplayer-controlbar.total-time":"Panjang total","ba-audioplayer-controlbar.volume-button":"Setel volume","ba-audioplayer-controlbar.volume-mute":"Bungkam suara","ba-audioplayer-controlbar.volume-unmute":"Bunyikan suara","ba-audioplayer-loader.tooltip":"Pemuatan...","ba-audioplayer.audio-error":"Terjadi kesalahan, coba lagi nanti. Klik untuk mencoba lagi.","ba-audiorecorder-chooser.record-audio":"Suara rekaman","ba-audiorecorder-chooser.upload-audio":"Unggah Audio","ba-audiorecorder-controlbar.settings":"Pengaturan","ba-audiorecorder-controlbar.microphonehealthy":"Suara itu bagus","ba-audiorecorder-controlbar.microphoneunhealthy":"Tidak dapat mengambil suara apa pun","ba-audiorecorder-controlbar.record":"Merekam","ba-audiorecorder-controlbar.record-tooltip":"Klik di sini untuk merekam.","ba-audiorecorder-controlbar.rerecord":"Mengulangi","ba-audiorecorder-controlbar.rerecord-tooltip":"Klik di sini untuk mengulang.","ba-audiorecorder-controlbar.stop":"Berhenti","ba-audiorecorder-controlbar.stop-tooltip":"Klik di sini untuk berhenti.","ba-audiorecorder-controlbar.stop-available-after":"Waktu perekaman minimum adalah %d detik","ba-audiorecorder-controlbar.cancel":"Membatalkan","ba-audiorecorder-controlbar.cancel-tooltip":"Klik di sini untuk membatalkan.","ba-videoplayer-controlbar.player-speed":"Kecepatan pemain","ba-videoplayer-controlbar.settings":"Pengaturan","ba-videoplayer-controlbar.airplay":"Diputar","ba-videoplayer-controlbar.airplay-icon":"Ikon Airplay.","ba-videoplayer.all-settings":"Semua pengaturan","ba-videoplayer.player-speed":"Kecepatan pemain","ba-videoplayer.full-screen":"Layar penuh","ba-videorecorder-controlbar.add-stream":"Tambahkan Stream","ba-videorecorder.switch-camera":"Ganti kamera","ba-videorecorder.prepare-covershot":"Mempersiapkan tangkapan layar","ba-videorecorder.prepare-thumbnails":"Mempersiapkan thumbnail pencarian","ba-videorecorder.adding-new-stream":"Menambahkan Stream Baru","ba-imagecapture.recorder-error":"Terjadi kesalahan, coba lagi nanti. Klik untuk mencoba lagi.","ba-imagecapture.attach-error":"Kami tidak dapat mengakses antarmuka media. Bergantung pada perangkat dan browser, Anda mungkin perlu menginstal Flash atau mengakses halaman melalui SSL.","ba-imagecapture.software-required":"Silakan klik di bawah ini untuk menginstal / mengaktifkan persyaratan berikut untuk melanjutkan.","ba-imagecapture.software-waiting":"Menunggu persyaratan untuk diinstal / diaktifkan. Anda mungkin perlu menyegarkan halaman setelah selesai.","ba-imagecapture.access-forbidden":"Akses ke media dilarang. Klik untuk mencoba lagi.","ba-imagecapture.uploading":"Mengunggah","ba-imagecapture.uploading-failed":"Gagal mengunggah - klik di sini untuk mencoba lagi.","ba-imagecapture.upload-error-duration":"Panjang gambar yang diunggah tidak memenuhi persyaratan - klik di sini untuk mencoba lagi.","ba-imagecapture.resolution-constraint-error":"File yang Anda pilih tidak cocok dengan resolusi yang diperlukan - klik di sini untuk mencoba lagi.","ba-imagecapture.verifying":"Memverifikasi","ba-imagecapture.verifying-failed":"Verifikasi gagal - klik di sini untuk mencoba lagi.","ba-imagecapture.rerecord-confirm":"Apakah Anda benar-benar ingin mengambil kembali gambar Anda?","ba-imagecapture.image_file_too_large":"File gambar Anda terlalu besar (%s) - klik di sini untuk mencoba lagi dengan file gambar yang lebih kecil.","ba-imagecapture.unsupported_image_type":"Harap unggah: %s - klik di sini untuk mencoba lagi.","ba-imagecapture.orientation-portrait-required":"Harap putar perangkat Anda untuk merekam dalam mode potret.","ba-imagecapture.orientation-landscape-required":"Harap putar perangkat Anda untuk merekam dalam mode lansekap.","ba-audiorecorder.recorder-error":"Terjadi kesalahan, coba lagi nanti. Klik untuk mencoba lagi.","ba-audiorecorder.attach-error":"Kami tidak dapat mengakses antarmuka media. Bergantung pada perangkat dan browser, Anda mungkin perlu menginstal Flash atau mengakses halaman melalui SSL.","ba-audiorecorder.software-required":"Silakan klik di bawah ini untuk menginstal / mengaktifkan persyaratan berikut untuk melanjutkan.","ba-audiorecorder.software-waiting":"Menunggu persyaratan untuk diinstal / diaktifkan. Anda mungkin perlu menyegarkan halaman setelah selesai.","ba-audiorecorder.access-forbidden":"Akses ke media dilarang. Klik untuk mencoba lagi.","ba-audiorecorder.uploading":"Mengunggah","ba-audiorecorder.uploading-failed":"Gagal mengunggah - klik di sini untuk mencoba lagi.","ba-audiorecorder.upload-error-duration":"Panjang audio yang diunggah tidak memenuhi persyaratan - klik di sini untuk mencoba lagi.","ba-audiorecorder.verifying":"Memverifikasi","ba-audiorecorder.verifying-failed":"Verifikasi gagal - klik di sini untuk mencoba lagi.","ba-audiorecorder.rerecord-confirm":"Apakah Anda benar-benar ingin mengulang audio Anda?","ba-audiorecorder.cancel-confirm":"Apakah Anda benar-benar ingin membatalkan upload audio Anda?","ba-audiorecorder.audio_file_too_large":"File audio Anda terlalu besar (%s) - klik di sini untuk mencoba lagi dengan file audio yang lebih kecil.","ba-audiorecorder.unsupported_audio_type":"Harap unggah: %s - klik di sini untuk mencoba lagi.","ba-common-settingsmenu.tooltip":"Klik untuk main.","ba-common-settingsmenu.setting-menu":"Semua pengaturan","ba-common-settingsmenu.source-quality":"Kualitas sumber","ba-common-settingsmenu.player-speed":"Kecepatan pemain","ba-common-settingsmenu.set-menu-option":"Atur opsi","ba-common-settingsmenu.submit-video":"Konfirmasikan video","ba-common-settingsmenu.picture-in-picture":"Gambar di dalam gambar","ba-common-settingsmenu.exit-fullscreen-video":"Keluar dari layar penuh","ba-common-settingsmenu.fullscreen-video":"Memasuki layar penuh","ba-videorecorder-chooser.multi-stream":"Multi Stream","ba-videorecorder-controlbar.pause-recorder":"Jeda Perekam","ba-videorecorder-controlbar.resume-recorder":"Lanjutkan Perekam","ba-videorecorder.missing-track":"Trek audio atau video yang diperlukan tidak ada","ba-videorecorder.device-already-in-use":"Setidaknya satu dari perangkat input Anda sudah digunakan","ba-videorecorder.browser-permission-denied":"Izin ditolak oleh browser, berikan akses dan muat ulang halaman","ba-audioplayer.all-settings":"Semua pengaturan","ba-videoplayer-controlbar.remaining-time":"Waktu yang tersisa","ba-videoplayer-controlbar.select-frame":"Pilih","ba-videoplayer-controlbar.trim-video":"Memangkas","ba-videoplayer-playbutton.trim":"Memangkas","ba-videoplayer-playbutton.skip":"Melewatkan","ba-videorecorder-imagegallery.upload-covershot":"Unggah Sampul","ba-videorecorder.pick-covershot-frame":"Pilih bingkai untuk digunakan sebagai foto sampul.","ba-videorecorder.screen-recorder-is-not-supported":"Perekam layar tidak didukung pada perangkat ini","ba-videorecorder.trim-prompt":"Apakah Anda ingin memangkas video Anda?","ba-videorecorder.trim-video":"Pindahkan penanda awal dan akhir untuk memangkas video Anda","ba-videorecorder.wait-for-trim":"Menunggu perintah trim...","ba-videorecorder-controlbar.no-video-source":"Tidak ada sumber input video tambahan","ba-videorecorder-controlbar.stream-already-selected":"Aliran tambahan telah dipilih","ba-videorecorder.uploading-src-error":"Tidak dapat memutar video sekarang, pengunggahan masih berlangsung","ba-audiorecorder-controlbar.pause-recorder":"Jeda Perekam","ba-audiorecorder-controlbar.resume-recorder":"Perekam Lanjutkan"},"language:it":{"ba-videoplayer-playbutton.tooltip":"Clicca per riprodurre il video.","ba-videoplayer-playbutton.rerecord":"Riprova","ba-videoplayer-playbutton.submit-video":"Conferma il video","ba-videoplayer-loader.tooltip":"Caricamento video...","ba-videoplayer-controlbar.change-resolution":"Cambia la risoluzione","ba-videoplayer-controlbar.video-progress":"Progresso video","ba-videoplayer-controlbar.rerecord-video":"Riprova?","ba-videoplayer-controlbar.submit-video":"Conferma il video","ba-videoplayer-controlbar.play-video":"Guarda il video","ba-videoplayer-controlbar.pause-video":"Pausa","ba-videoplayer-controlbar.elapsed-time":"Tempo trascorso","ba-videoplayer-controlbar.total-time":"Lunghezza totale del video","ba-videoplayer-controlbar.fullscreen-video":"Entra a schermo intero","ba-videoplayer-controlbar.volume-button":"Imposta il volume","ba-videoplayer-controlbar.volume-mute":"Muta l&#x27;audio","ba-videoplayer-controlbar.volume-unmute":"Riattiva l&#x27;audio","ba-videoplayer.video-error":"Si &#xE8; verificato un errore, riprova pi&#xF9; tardi. Fai clic per riprovare.","ba-videorecorder-chooser.record-video":"Registra video","ba-videorecorder-chooser.upload-video":"Carica video","ba-videorecorder-controlbar.settings":"Impostazioni","ba-videorecorder-controlbar.camerahealthy":"L&#x27;illuminazione &#xE8; buona","ba-videorecorder-controlbar.cameraunhealthy":"L&#x27;illuminazione non &#xE8; ottimale","ba-videorecorder-controlbar.microphonehealthy":"Il suono &#xE8; buono","ba-videorecorder-controlbar.microphoneunhealthy":"Non riesco a sentire alcun suono","ba-videorecorder-controlbar.record":"Registra","ba-videorecorder-controlbar.record-tooltip":"Clicca qui per registrare.","ba-videorecorder-controlbar.rerecord":"Riprova","ba-videorecorder-controlbar.rerecord-tooltip":"Clicca qui per riprovare.","ba-videorecorder-controlbar.upload-covershot":"Carica foto di copertina","ba-videorecorder-controlbar.upload-covershot-tooltip":"Clicca qui per caricare una foto di copertina personalizzata","ba-videorecorder-controlbar.stop":"Stop","ba-videorecorder-controlbar.stop-tooltip":"Clicca qui per fermare.","ba-videorecorder-controlbar.skip":"Salta","ba-videorecorder-controlbar.skip-tooltip":"Clicca qui per saltare.","ba-videorecorder.recorder-error":"Si &#xE8; verificato un errore, riprova pi&#xF9; tardi. Fare clic per riprovare.","ba-videorecorder.attach-error":"Non siamo riusciti ad accedere all&#x27;interfaccia multimediale. A seconda del dispositivo e del browser, potrebbe essere necessario installare Flash o accedere alla pagina tramite SSL.","ba-videorecorder.access-forbidden":"L&#x27;accesso alla camera era proibito. Fare clic per riprovare.","ba-videorecorder.pick-covershot":"Scegli una foto di copertina.","ba-videorecorder.uploading":"Caricamento","ba-videorecorder.uploading-failed":"Caricamento fallito - clicca qui per riprovare.","ba-videorecorder.verifying":"Verifica","ba-videorecorder.verifying-failed":"Verifica non riuscita - clicca qui per riprovare.","ba-videorecorder.rerecord-confirm":"Vuoi davvero rifare il video?","ba-videorecorder.video_file_too_large":"Il file video &#xE8; troppo grande (%s) - clicca qui per provare di nuovo con un file video pi&#xF9; piccolo.","ba-videorecorder.unsupported_video_type":"Per favore carica: %s - clicca qui per riprovare.","ba-videoplayer-controlbar.exit-fullscreen-video":"Esci dalla modalit&#xE0; a schermo intero","ba-videoplayer-share.share":"Condividi il video","ba-videorecorder-chooser.record-screen":"Registra schermo","ba-videoplayer-controlbar.pause-video-disabled":"Pausa non supportata","ba-videorecorder-chooser.record-audio":"Registra audio","ba-videorecorder-controlbar.stop-available-after":"Il tempo di registrazione minimo &#xE8; %d secondi","ba-videorecorder-controlbar.cancel":"Annulla","ba-videorecorder-controlbar.cancel-tooltip":"Clicca qui per annullare.","ba-videorecorder.cancel-confirm":"Vuoi veramente annullare il tuo caricamento video?","ba-videoplayer-adslot.elapsed-time":"Tempo trascorso","ba-videoplayer-adslot.volume-button":"Imposta il volume","ba-videoplayer-adslot.volume-mute":"Muta l&#x27;audio","ba-videoplayer-adslot.volume-unmute":"Riattiva l&#x27;audio","ba-videoplayer-adslot.ad-will-end-after":"L&#x27;annuncio terminer&#xE0; dopo %s","ba-videoplayer-adslot.can-skip-after":"Salta dopo %d","ba-videoplayer-adslot.skip-ad":"Salta annuncio","ba-videorecorder.software-required":"Clicca qui sotto per installare / attivare i seguenti requisiti per procedere.","ba-videorecorder.software-waiting":"Aspettando che i requisiti siano installati / attivati. Potrebbe essere necessario aggiornare la pagina dopo il completamento.","ba-videoplayer-controlbar.close-tracks":"Chiudi sottotitoli","ba-videoplayer-controlbar.show-tracks":"Mostra sottotitoli","ba-videoplayer-tracks.upload-text-tracks":"Carica file sottotitoli","ba-videoplayer-tracks.select-text-track-language":"Lingua sottotitoli","ba-videoplayer-tracks.info-select-locale-first":"Prima seleziona la lingua","ba-videoplayer-tracks.select-text-track-file":"Clicca per selezionare il file","ba-videoplayer-tracks.back":"indietro","ba-videorecorder.framerate-warning":"Il frame rate video &#xE8; molto basso. Ti consigliamo di chiudere tutti gli altri programmi e le schede del browser o di utilizzare un computer pi&#xF9; veloce.","ba-videorecorder.upload-error-duration":"La lunghezza del video caricato non soddisfa i requisiti: fai clic qui per riprovare.","ba-videorecorder.resolution-constraint-error":"Il file che hai selezionato non corrisponde alla risoluzione richiesta: fai clic qui per riprovare.","ba-videorecorder.orientation-portrait-required":"Si prega di ruotare il dispositivo per registrare in modalit&#xE0; verticale.","ba-videorecorder.orientation-landscape-required":"Si prega di ruotare il dispositivo per registrare in modalit&#xE0; orizzontale.","ba-imageviewer-controlbar.rerecord-image":"Riprova?","ba-imageviewer-controlbar.submit-image":"Conferma","ba-imageviewer-controlbar.fullscreen-image":"Entra a schermo intero","ba-imageviewer-controlbar.exit-fullscreen-image":"Esci dalla modalit&#xE0; a schermo intero","ba-imageviewer.image-error":"Si &#xE8; verificato un errore, riprova pi&#xF9; tardi. Clicca per riprovare.","ba-imagecapture-chooser.image-capture":"Cattura immagine","ba-imagecapture-chooser.upload-image":"Carica immagine","ba-imagecapture-controlbar.settings":"Impostazioni","ba-imagecapture-controlbar.camerahealthy":"L&#x27;illuminazione &#xE8; buona","ba-imagecapture-controlbar.cameraunhealthy":"L&#x27;illuminazione non &#xE8; ottimale","ba-imagecapture-controlbar.record":"Cattura","ba-imagecapture-controlbar.record-tooltip":"Clicca qui per catturare.","ba-imagecapture-controlbar.rerecord":"Riprova","ba-imagecapture-controlbar.rerecord-tooltip":"Clicca qui per riprovare.","ba-imagecapture-controlbar.cancel":"Annulla","ba-imagecapture-controlbar.cancel-tooltip":"Clicca qui per annullare.","ba-audioplayer-controlbar.audio-progress":"Progresso","ba-audioplayer-controlbar.rerecord-audio":"Riprova?","ba-audioplayer-controlbar.submit-audio":"Conferma","ba-audioplayer-controlbar.play-audio":"Riproduci","ba-audioplayer-controlbar.pause-audio":"Pausa","ba-audioplayer-controlbar.pause-audio-disabled":"Pausa non supportata","ba-audioplayer-controlbar.elapsed-time":"Tempo trascorso","ba-audioplayer-controlbar.total-time":"Lunghezza totale di","ba-audioplayer-controlbar.volume-button":"Imposta il volume","ba-audioplayer-controlbar.volume-mute":"Muta l&#x27;audio","ba-audioplayer-controlbar.volume-unmute":"Riattiva l&#x27;audio","ba-audioplayer-loader.tooltip":"Caricamento in corso...","ba-audioplayer.audio-error":"Si &#xE8; verificato un errore, riprova pi&#xF9; tardi. Clicca per riprovare.","ba-audiorecorder-chooser.record-audio":"Registra audio","ba-audiorecorder-chooser.upload-audio":"Carica audio","ba-audiorecorder-controlbar.settings":"Impostazioni","ba-audiorecorder-controlbar.microphonehealthy":"Il suono &#xE8; buono","ba-audiorecorder-controlbar.microphoneunhealthy":"Non riesco a sentire alcun suono","ba-audiorecorder-controlbar.record":"Registra","ba-audiorecorder-controlbar.record-tooltip":"Clicca qui per registrare.","ba-audiorecorder-controlbar.rerecord":"Riprova","ba-audiorecorder-controlbar.rerecord-tooltip":"Clicca qui per riprovare.","ba-audiorecorder-controlbar.stop":"Stop","ba-audiorecorder-controlbar.stop-tooltip":"Clicca qui per interrompere.","ba-audiorecorder-controlbar.stop-available-after":"Il tempo di registrazione minimo &#xE8; %d secondi","ba-audiorecorder-controlbar.cancel":"Annulla","ba-audiorecorder-controlbar.cancel-tooltip":"Clicca qui per cancellare.","ba-videoplayer-controlbar.player-speed":"Velocit&#xE0; di riproduzione","ba-videoplayer-controlbar.settings":"Impostazioni","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"Icona Airplay.","ba-videoplayer.all-settings":"Tutte le impostazioni","ba-videoplayer.player-speed":"Velocit&#xE0; di riproduzione","ba-videoplayer.full-screen":"A schermo intero","ba-videorecorder-controlbar.add-stream":"Aggiungi flusso","ba-videorecorder.switch-camera":"Cambia fotocamera","ba-videorecorder.prepare-covershot":"Preparazione delle foto di copertina","ba-videorecorder.prepare-thumbnails":"Preparazione delle miniature di ricerca","ba-videorecorder.adding-new-stream":"Aggiunta di un nuovo flusso","ba-imagecapture.recorder-error":"Si &#xE8; verificato un errore, riprova pi&#xF9; tardi. Clicca per riprovare.","ba-imagecapture.attach-error":"Non siamo riusciti ad accedere all&#x27;interfaccia multimediale. A seconda del dispositivo e del browser, potrebbe essere necessario installare Flash o accedere alla pagina tramite SSL.","ba-imagecapture.software-required":"Clicca qui sotto per installare / attivare i seguenti requisiti per procedere.","ba-imagecapture.software-waiting":"In attesa che i requisiti siano installati / attivati. Potrebbe essere necessario aggiornare la pagina dopo il completamento.","ba-imagecapture.access-forbidden":"L&#x27;accesso ai media era proibito. Clicca per riprovare.","ba-imagecapture.uploading":"Caricamento","ba-imagecapture.uploading-failed":"Caricamento fallito: fai clic qui per riprovare.","ba-imagecapture.upload-error-duration":"La lunghezza dell&#x27;immagine caricata non soddisfa i requisiti: fai clic qui per riprovare.","ba-imagecapture.resolution-constraint-error":"Il file che hai selezionato non corrisponde alla risoluzione richiesta: fai clic qui per riprovare.","ba-imagecapture.verifying":"Verifica","ba-imagecapture.verifying-failed":"Verifica fallita - clicca qui per riprovare.","ba-imagecapture.rerecord-confirm":"Vuoi veramente riprovare a scattare la tua immagine?","ba-imagecapture.image_file_too_large":"Il tuo file immagine &#xE8; troppo grande (%s) - clicca qui per riprovare con un file immagine pi&#xF9; piccolo.","ba-imagecapture.unsupported_image_type":"Per favore carica: %s - fai clic qui per riprovare.","ba-imagecapture.orientation-portrait-required":"Si prega di ruotare il dispositivo per registrare in modalit&#xE0; verticale.","ba-imagecapture.orientation-landscape-required":"Si prega di ruotare il dispositivo per registrare in modalit&#xE0; orizzontale.","ba-audiorecorder.recorder-error":"Si &#xE8; verificato un errore, riprova pi&#xF9; tardi. Clicca per riprovare.","ba-audiorecorder.attach-error":"Non siamo riusciti ad accedere all&#x27;interfaccia multimediale. A seconda del dispositivo e del browser, potrebbe essere necessario installare Flash o accedere alla pagina tramite SSL.","ba-audiorecorder.software-required":"Clicca qui sotto per installare / attivare i seguenti requisiti per procedere.","ba-audiorecorder.software-waiting":"In attesa che i requisiti siano installati / attivati. Potrebbe essere necessario aggiornare la pagina dopo il completamento.","ba-audiorecorder.access-forbidden":"L&#x27;accesso ai media era proibito. Clicca per riprovare.","ba-audiorecorder.uploading":"Caricamento","ba-audiorecorder.uploading-failed":"Caricamento fallito: fai clic qui per riprovare.","ba-audiorecorder.upload-error-duration":"La lunghezza dell&#x27;audio caricato non soddisfa i requisiti: fai clic qui per riprovare.","ba-audiorecorder.verifying":"Verifica","ba-audiorecorder.verifying-failed":"Verifica fallita - clicca qui per riprovare.","ba-audiorecorder.rerecord-confirm":"Vuoi veramente riprovare a registrare il tuo audio?","ba-audiorecorder.cancel-confirm":"Vuoi veramente cancellare il tuo caricamento audio?","ba-audiorecorder.audio_file_too_large":"Il tuo file audio &#xE8; troppo grande (%s) - fai clic qui per riprovare con un file audio pi&#xF9; piccolo.","ba-audiorecorder.unsupported_audio_type":"Carica: %s - fai clic qui per riprovare.","ba-common-settingsmenu.tooltip":"Clicca per riprodurre.","ba-common-settingsmenu.setting-menu":"Tutte le impostazioni","ba-common-settingsmenu.source-quality":"Qualit&#xE0; della fonte","ba-common-settingsmenu.player-speed":"Velocit&#xE0; di riproduzione","ba-common-settingsmenu.set-menu-option":"Imposta opzione","ba-common-settingsmenu.submit-video":"Conferma il video","ba-common-settingsmenu.picture-in-picture":"Immagine nell&#x27;immagine","ba-common-settingsmenu.exit-fullscreen-video":"Esci dalla modalit&#xE0; a schermo intero","ba-common-settingsmenu.fullscreen-video":"Entra a schermo intero","ba-videorecorder-chooser.multi-stream":"Flusso multiplo","ba-videorecorder-controlbar.pause-recorder":"Metti in pausa la registrazione","ba-videorecorder-controlbar.resume-recorder":"Riprendi la registrazione","ba-videorecorder.missing-track":"Audio o video non disponibile","ba-videorecorder.device-already-in-use":"Almeno uno dei tuoi dispositivi di input &#xE8; gi&#xE0; in uso","ba-videorecorder.browser-permission-denied":"Autorizzazione negata dal browser, concedi l&#x27;accesso e ricarica la pagina","ba-audioplayer.all-settings":"Tutte le impostazioni","ba-videoplayer-controlbar.remaining-time":"Tempo rimanente","ba-videoplayer-controlbar.select-frame":"Seleziona","ba-videoplayer-controlbar.trim-video":"Taglia","ba-videoplayer-playbutton.trim":"Taglia","ba-videoplayer-playbutton.skip":"Salta","ba-videorecorder-imagegallery.upload-covershot":"Carica copertina","ba-videorecorder.pick-covershot-frame":"Seleziona una cornice da usare come foto di copertina.","ba-videorecorder.screen-recorder-is-not-supported":"Il registratore dello schermo non &#xE8; supportato su questo dispositivo","ba-videorecorder.trim-prompt":"Vuoi tagliare il tuo video?","ba-videorecorder.trim-video":"Sposta gli indicatori di inizio e fine per tagliare il tuo video","ba-videorecorder.wait-for-trim":"In attesa del comando di ritaglio...","ba-videorecorder-controlbar.no-video-source":"Fonte di ingresso video aggiuntiva mancante","ba-videorecorder-controlbar.stream-already-selected":"&#xC8; gi&#xE0; stato selezionato un flusso aggiuntivo","ba-videorecorder.uploading-src-error":"Impossibile riprodurre il video ora, il caricamento &#xE8; ancora in corso","ba-audiorecorder-controlbar.pause-recorder":"Pausa registratore","ba-audiorecorder-controlbar.resume-recorder":"Riprendi registratore"},"language:ja":{"ba-videoplayer-playbutton.tooltip":"&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x751F;&#x3057;&#x307E;&#x3059;&#x3002;","ba-videoplayer-playbutton.rerecord":"&#x518D;&#x9332;&#x753B;","ba-videoplayer-playbutton.submit-video":"&#x30D3;&#x30C7;&#x30AA;&#x3092;&#x78BA;&#x8A8D;&#x3059;&#x308B;","ba-videoplayer-loader.tooltip":"&#x8AAD;&#x307F;&#x8FBC;&#x3093;&#x3067;&#x3044;&#x307E;&#x3059;...","ba-videoplayer-controlbar.change-resolution":"&#x89E3;&#x50CF;&#x5EA6;&#x3092;&#x5909;&#x66F4;&#x3059;&#x308B;","ba-videoplayer-controlbar.video-progress":"&#x9032;&#x6357;","ba-videoplayer-controlbar.rerecord-video":"&#x518D;&#x9332;&#x753B;&#xFF1F;","ba-videoplayer-controlbar.submit-video":"&#x78BA;&#x8A8D;","ba-videoplayer-controlbar.play-video":"&#x518D;&#x751F;&#x3059;&#x308B;","ba-videoplayer-controlbar.pause-video":"&#x4E00;&#x6642;&#x505C;&#x6B62;","ba-videoplayer-controlbar.elapsed-time":"&#x7D4C;&#x904E;&#x6642;&#x9593;","ba-videoplayer-controlbar.total-time":"&#x5408;&#x8A08;&#x6642;&#x9593;","ba-videoplayer-controlbar.fullscreen-video":"&#x5168;&#x753B;&#x9762;&#x8868;&#x793A;&#x306B;&#x3059;&#x308B;","ba-videoplayer-controlbar.volume-button":"&#x30DC;&#x30EA;&#x30E5;&#x30FC;&#x30E0;&#x3092;&#x8A2D;&#x5B9A;&#x3059;&#x308B;","ba-videoplayer-controlbar.volume-mute":"&#x30DF;&#x30E5;&#x30FC;&#x30C8;","ba-videoplayer-controlbar.volume-unmute":"&#x30DF;&#x30E5;&#x30FC;&#x30C8;&#x89E3;&#x9664;","ba-videoplayer.video-error":"&#x30A8;&#x30E9;&#x30FC;&#x304C;&#x767A;&#x751F;&#x3057;&#x307E;&#x3057;&#x305F;&#x3002;&#x3057;&#x3070;&#x3089;&#x304F;&#x3057;&#x3066;&#x304B;&#x3089;&#x3082;&#x3046;&#x4E00;&#x5EA6;&#x304A;&#x8A66;&#x3057;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x307E;&#x3059;&#x3002;","ba-videorecorder-chooser.record-video":"&#x9332;&#x753B;","ba-videorecorder-chooser.upload-video":"&#x52D5;&#x753B;&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;","ba-videorecorder-controlbar.settings":"&#x8A2D;&#x5B9A;","ba-videorecorder-controlbar.camerahealthy":"&#x7167;&#x660E;&#x306F;&#x826F;&#x597D;&#x3067;&#x3059;","ba-videorecorder-controlbar.cameraunhealthy":"&#x7167;&#x660E;&#x304C;&#x6700;&#x9069;&#x3067;&#x306F;&#x3042;&#x308A;&#x307E;&#x305B;&#x3093;","ba-videorecorder-controlbar.microphonehealthy":"&#x97F3;&#x58F0;&#x306F;&#x826F;&#x597D;&#x3067;&#x3059;","ba-videorecorder-controlbar.microphoneunhealthy":"&#x97F3;&#x58F0;&#x3092;&#x8A8D;&#x8B58;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;","ba-videorecorder-controlbar.record":"&#x9332;&#x753B;&#x958B;&#x59CB;","ba-videorecorder-controlbar.record-tooltip":"&#x9332;&#x753B;&#x958B;&#x59CB;&#x3059;&#x308B;&#x306B;&#x306F;&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-videorecorder-controlbar.rerecord":"&#x518D;&#x9332;&#x753B;","ba-videorecorder-controlbar.rerecord-tooltip":"&#x518D;&#x9332;&#x753B;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-videorecorder-controlbar.upload-covershot":"&#x30AB;&#x30D0;&#x30FC;&#x3092;&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;","ba-videorecorder-controlbar.upload-covershot-tooltip":"&#x30AB;&#x30B9;&#x30BF;&#x30E0;&#x30AB;&#x30D0;&#x30FC;&#x30B7;&#x30E7;&#x30C3;&#x30C8;&#x3092;&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;","ba-videorecorder-controlbar.stop":"&#x505C;&#x6B62;","ba-videorecorder-controlbar.stop-tooltip":"&#x505C;&#x6B62;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-videorecorder-controlbar.skip":"&#x30B9;&#x30AD;&#x30C3;&#x30D7;","ba-videorecorder-controlbar.skip-tooltip":"&#x30B9;&#x30AD;&#x30C3;&#x30D7;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-videorecorder.recorder-error":"&#x30A8;&#x30E9;&#x30FC;&#x304C;&#x767A;&#x751F;&#x3057;&#x307E;&#x3057;&#x305F;&#x3002;&#x3057;&#x3070;&#x3089;&#x304F;&#x3057;&#x3066;&#x304B;&#x3089;&#x3082;&#x3046;&#x4E00;&#x5EA6;&#x304A;&#x8A66;&#x3057;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x307E;&#x3059;&#x3002;","ba-videorecorder.attach-error":"&#x30E1;&#x30C7;&#x30A3;&#x30A2;&#x30A4;&#x30F3;&#x30BF;&#x30FC;&#x30D5;&#x30A7;&#x30A4;&#x30B9;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3067;&#x3057;&#x305F;&#x3002;&#x30C7;&#x30D0;&#x30A4;&#x30B9;&#x3068;&#x30D6;&#x30E9;&#x30A6;&#x30B6;&#x306B;&#x3088;&#x3063;&#x3066;&#x306F;&#x3001;Flash&#x3092;&#x30A4;&#x30F3;&#x30B9;&#x30C8;&#x30FC;&#x30EB;&#x3059;&#x308B;&#x304B;&#x3001;SSL&#x7D4C;&#x7531;&#x3067;&#x30DA;&#x30FC;&#x30B8;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3059;&#x308B;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308B;&#x5834;&#x5408;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;","ba-videorecorder.access-forbidden":"&#x30E1;&#x30C7;&#x30A3;&#x30A2;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x304C;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3002;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x307E;&#x3059;&#x3002;","ba-videorecorder.pick-covershot":"&#x30AB;&#x30D0;&#x30FC;&#x30B7;&#x30E7;&#x30C3;&#x30C8;&#x3092;&#x9078;&#x3093;&#x3067;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-videorecorder.uploading":"&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;","ba-videorecorder.uploading-failed":"&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;&#x306B;&#x5931;&#x6557;&#x3057;&#x307E;&#x3057;&#x305F;-&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-videorecorder.verifying":"&#x691C;&#x8A3C;&#x4E2D;","ba-videorecorder.verifying-failed":"&#x691C;&#x8A3C;&#x306B;&#x5931;&#x6557;&#x3057;&#x307E;&#x3057;&#x305F;-&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-videorecorder.rerecord-confirm":"&#x672C;&#x5F53;&#x306B;&#x518D;&#x9332;&#x753B;&#x3057;&#x307E;&#x3059;&#x304B;&#xFF1F;","ba-videorecorder.video_file_too_large":"&#x30D3;&#x30C7;&#x30AA;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x304C;&#x5927;&#x304D;&#x3059;&#x304E;&#x307E;&#x3059;(%s)-&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x3001;&#x5C0F;&#x3055;&#x3044;&#x30D3;&#x30C7;&#x30AA;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x3067;&#x518D;&#x8A66;&#x884C;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-videorecorder.unsupported_video_type":"&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#xFF1A;%s -&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-videoplayer-controlbar.exit-fullscreen-video":"&#x5168;&#x753B;&#x9762;&#x8868;&#x793A;&#x3092;&#x7D42;&#x4E86;","ba-videoplayer-share.share":"&#x30E1;&#x30C7;&#x30A3;&#x30A2;&#x3092;&#x5171;&#x6709;&#x3059;&#x308B;","ba-videorecorder-chooser.record-screen":"&#x753B;&#x9762;&#x9332;&#x753B;","ba-videoplayer-controlbar.pause-video-disabled":"&#x4E00;&#x6642;&#x505C;&#x6B62;&#x306F;&#x30B5;&#x30DD;&#x30FC;&#x30C8;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x305B;&#x3093;","ba-videorecorder-chooser.record-audio":"&#x30EC;&#x30B3;&#x30FC;&#x30C9;&#x30AA;&#x30FC;&#x30C7;&#x30A3;&#x30AA;","ba-videorecorder-controlbar.stop-available-after":"&#x6700;&#x77ED;&#x3067;&#x3082;%d&#x79D2;&#x306F;&#x9332;&#x753B;&#x304C;&#x5FC5;&#x8981;&#x3067;&#x3059;","ba-videorecorder-controlbar.cancel":"&#x30AD;&#x30E3;&#x30F3;&#x30BB;&#x30EB;","ba-videorecorder-controlbar.cancel-tooltip":"&#x30AD;&#x30E3;&#x30F3;&#x30BB;&#x30EB;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-videorecorder.cancel-confirm":"&#x30D3;&#x30C7;&#x30AA;&#x306E;&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;&#x3092;&#x672C;&#x5F53;&#x306B;&#x30AD;&#x30E3;&#x30F3;&#x30BB;&#x30EB;&#x3057;&#x307E;&#x3059;&#x304B;&#xFF1F;","ba-videoplayer-adslot.elapsed-time":"&#x7D4C;&#x904E;&#x6642;&#x9593;","ba-videoplayer-adslot.volume-button":"&#x30DC;&#x30EA;&#x30E5;&#x30FC;&#x30E0;&#x3092;&#x8A2D;&#x5B9A;&#x3059;&#x308B;","ba-videoplayer-adslot.volume-mute":"&#x30DF;&#x30E5;&#x30FC;&#x30C8;","ba-videoplayer-adslot.volume-unmute":"&#x30DF;&#x30E5;&#x30FC;&#x30C8;&#x89E3;&#x9664;","ba-videoplayer-adslot.ad-will-end-after":"&#x5E83;&#x544A;&#x306F;%s&#x5F8C;&#x306B;&#x7D42;&#x4E86;&#x3057;&#x307E;&#x3059;","ba-videoplayer-adslot.can-skip-after":"(%d)&#x306E;&#x5F8C;&#x306B;&#x30B9;&#x30AD;&#x30C3;&#x30D7;","ba-videoplayer-adslot.skip-ad":"&#x5E83;&#x544A;&#x3092;&#x30B9;&#x30AD;&#x30C3;&#x30D7;","ba-videorecorder.software-required":"&#x7D9A;&#x884C;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x4EE5;&#x4E0B;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x6B21;&#x306E;&#x8981;&#x4EF6;&#x3092;&#x30A4;&#x30F3;&#x30B9;&#x30C8;&#x30FC;&#x30EB;/&#x30A2;&#x30AF;&#x30C6;&#x30A3;&#x30D6;&#x5316;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-videorecorder.software-waiting":"&#x8981;&#x4EF6;&#x304C;&#x30A4;&#x30F3;&#x30B9;&#x30C8;&#x30FC;&#x30EB;/&#x30A2;&#x30AF;&#x30C6;&#x30A3;&#x30D6;&#x5316;&#x3055;&#x308C;&#x308B;&#x306E;&#x3092;&#x5F85;&#x3063;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;&#x5B8C;&#x4E86;&#x5F8C;&#x306B;&#x30DA;&#x30FC;&#x30B8;&#x3092;&#x66F4;&#x65B0;&#x3059;&#x308B;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308B;&#x5834;&#x5408;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;","ba-videoplayer-controlbar.close-tracks":"CC&#x3092;&#x9589;&#x3058;&#x308B;","ba-videoplayer-controlbar.show-tracks":"CC&#x3092;&#x8868;&#x793A;","ba-videoplayer-tracks.upload-text-tracks":"&#x30C8;&#x30E9;&#x30C3;&#x30AF;&#x30C6;&#x30AD;&#x30B9;&#x30C8;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x3092;&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;&#x3059;&#x308B;","ba-videoplayer-tracks.select-text-track-language":"&#x5B57;&#x5E55;&#x8A00;&#x8A9E;","ba-videoplayer-tracks.info-select-locale-first":"&#x6700;&#x521D;&#x306B;&#x30ED;&#x30B1;&#x30FC;&#x30EB;&#x3092;&#x9078;&#x629E;&#x3057;&#x307E;&#x3059;","ba-videoplayer-tracks.select-text-track-file":"&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x3092;&#x9078;&#x629E;","ba-videoplayer-tracks.back":"&#x30D0;&#x30C3;&#x30AF;","ba-videorecorder.framerate-warning":"&#x30D3;&#x30C7;&#x30AA;&#x306E;&#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x30EC;&#x30FC;&#x30C8;&#x306F;&#x975E;&#x5E38;&#x306B;&#x4F4E;&#x3044;&#x3067;&#x3059;&#x3002;&#x4ED6;&#x306E;&#x3059;&#x3079;&#x3066;&#x306E;&#x30D7;&#x30ED;&#x30B0;&#x30E9;&#x30E0;&#x3068;&#x30D6;&#x30E9;&#x30A6;&#x30B6;&#x30BF;&#x30D6;&#x3092;&#x9589;&#x3058;&#x308B;&#x304B;&#x3001;&#x3088;&#x308A;&#x9AD8;&#x901F;&#x306A;&#x30B3;&#x30F3;&#x30D4;&#x30E5;&#x30FC;&#x30BF;&#x3092;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x3053;&#x3068;&#x3092;&#x304A;&#x52E7;&#x3081;&#x3057;&#x307E;&#x3059;&#x3002;","ba-videorecorder.upload-error-duration":"&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;&#x3055;&#x308C;&#x305F;&#x30D3;&#x30C7;&#x30AA;&#x306E;&#x9577;&#x3055;&#x304C;&#x8981;&#x4EF6;&#x3092;&#x6E80;&#x305F;&#x3057;&#x3066;&#x3044;&#x307E;&#x305B;&#x3093;-&#x518D;&#x8A66;&#x884C;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-videorecorder.resolution-constraint-error":"&#x9078;&#x629E;&#x3057;&#x305F;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x304C;&#x5FC5;&#x8981;&#x306A;&#x89E3;&#x50CF;&#x5EA6;&#x3068;&#x4E00;&#x81F4;&#x3057;&#x307E;&#x305B;&#x3093;-&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-videorecorder.orientation-portrait-required":"&#x30DD;&#x30FC;&#x30C8;&#x30EC;&#x30FC;&#x30C8;&#x30E2;&#x30FC;&#x30C9;&#x3067;&#x8A18;&#x9332;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x30C7;&#x30D0;&#x30A4;&#x30B9;&#x3092;&#x56DE;&#x8EE2;&#x3055;&#x305B;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-videorecorder.orientation-landscape-required":"&#x6A2A;&#x5411;&#x304D;&#x30E2;&#x30FC;&#x30C9;&#x3067;&#x8A18;&#x9332;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x30C7;&#x30D0;&#x30A4;&#x30B9;&#x3092;&#x56DE;&#x8EE2;&#x3055;&#x305B;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-imageviewer-controlbar.rerecord-image":"&#x3084;&#x308A;&#x76F4;&#x3057;&#xFF1F;","ba-imageviewer-controlbar.submit-image":"&#x78BA;&#x8A8D;","ba-imageviewer-controlbar.fullscreen-image":"&#x5168;&#x753B;&#x9762;&#x8868;&#x793A;&#x306B;&#x3059;&#x308B;","ba-imageviewer-controlbar.exit-fullscreen-image":"&#x5168;&#x753B;&#x9762;&#x8868;&#x793A;&#x3092;&#x7D42;&#x4E86;","ba-imageviewer.image-error":"&#x30A8;&#x30E9;&#x30FC;&#x304C;&#x767A;&#x751F;&#x3057;&#x307E;&#x3057;&#x305F;&#x3002;&#x3057;&#x3070;&#x3089;&#x304F;&#x3057;&#x3066;&#x304B;&#x3089;&#x3082;&#x3046;&#x4E00;&#x5EA6;&#x304A;&#x8A66;&#x3057;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x307E;&#x3059;&#x3002;","ba-imagecapture-chooser.image-capture":"&#x753B;&#x50CF;&#x3092;&#x30AD;&#x30E3;&#x30D7;&#x30C1;&#x30E3;&#x3059;&#x308B;","ba-imagecapture-chooser.upload-image":"&#x753B;&#x50CF;&#x3092;&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;","ba-imagecapture-controlbar.settings":"&#x8A2D;&#x5B9A;","ba-imagecapture-controlbar.camerahealthy":"&#x7167;&#x660E;&#x306F;&#x826F;&#x597D;&#x3067;&#x3059;","ba-imagecapture-controlbar.cameraunhealthy":"&#x7167;&#x660E;&#x304C;&#x6700;&#x9069;&#x3067;&#x306F;&#x3042;&#x308A;&#x307E;&#x305B;&#x3093;","ba-imagecapture-controlbar.record":"&#x30AD;&#x30E3;&#x30D7;&#x30C1;&#x30E3;&#x30FC;","ba-imagecapture-controlbar.record-tooltip":"&#x30AD;&#x30E3;&#x30D7;&#x30C1;&#x30E3;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-imagecapture-controlbar.rerecord":"&#x3084;&#x308A;&#x76F4;&#x3057;","ba-imagecapture-controlbar.rerecord-tooltip":"&#x3084;&#x308A;&#x76F4;&#x3059;&#x306B;&#x306F;&#x3001;&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-imagecapture-controlbar.cancel":"&#x30AD;&#x30E3;&#x30F3;&#x30BB;&#x30EB;","ba-imagecapture-controlbar.cancel-tooltip":"&#x30AD;&#x30E3;&#x30F3;&#x30BB;&#x30EB;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-audioplayer-controlbar.audio-progress":"&#x9032;&#x6357;","ba-audioplayer-controlbar.rerecord-audio":"&#x3084;&#x308A;&#x76F4;&#x3057;&#xFF1F;","ba-audioplayer-controlbar.submit-audio":"&#x78BA;&#x8A8D;","ba-audioplayer-controlbar.play-audio":"&#x6F14;&#x594F;&#x3059;&#x308B;","ba-audioplayer-controlbar.pause-audio":"&#x4E00;&#x6642;&#x505C;&#x6B62;","ba-audioplayer-controlbar.pause-audio-disabled":"&#x4E00;&#x6642;&#x505C;&#x6B62;&#x306F;&#x30B5;&#x30DD;&#x30FC;&#x30C8;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x305B;&#x3093;","ba-audioplayer-controlbar.elapsed-time":"&#x7D4C;&#x904E;&#x6642;&#x9593;","ba-audioplayer-controlbar.total-time":"&#x306E;&#x5168;&#x9577;","ba-audioplayer-controlbar.volume-button":"&#x30DC;&#x30EA;&#x30E5;&#x30FC;&#x30E0;&#x3092;&#x8A2D;&#x5B9A;&#x3059;&#x308B;","ba-audioplayer-controlbar.volume-mute":"&#x30DF;&#x30E5;&#x30FC;&#x30C8;","ba-audioplayer-controlbar.volume-unmute":"&#x30DF;&#x30E5;&#x30FC;&#x30C8;&#x89E3;&#x9664;","ba-audioplayer-loader.tooltip":"&#x8AAD;&#x307F;&#x8FBC;&#x3093;&#x3067;&#x3044;&#x307E;&#x3059;...","ba-audioplayer.audio-error":"&#x30A8;&#x30E9;&#x30FC;&#x304C;&#x767A;&#x751F;&#x3057;&#x307E;&#x3057;&#x305F;&#x3002;&#x3057;&#x3070;&#x3089;&#x304F;&#x3057;&#x3066;&#x304B;&#x3089;&#x3082;&#x3046;&#x4E00;&#x5EA6;&#x304A;&#x8A66;&#x3057;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x307E;&#x3059;&#x3002;","ba-audiorecorder-chooser.record-audio":"&#x30EC;&#x30B3;&#x30FC;&#x30C9;&#x30AA;&#x30FC;&#x30C7;&#x30A3;&#x30AA;","ba-audiorecorder-chooser.upload-audio":"&#x30AA;&#x30FC;&#x30C7;&#x30A3;&#x30AA;&#x306E;&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;","ba-audiorecorder-controlbar.settings":"&#x8A2D;&#x5B9A;","ba-audiorecorder-controlbar.microphonehealthy":"&#x97F3;&#x58F0;&#x306F;&#x826F;&#x597D;&#x3067;&#x3059;","ba-audiorecorder-controlbar.microphoneunhealthy":"&#x97F3;&#x58F0;&#x3092;&#x8A8D;&#x8B58;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;","ba-audiorecorder-controlbar.record":"&#x9332;&#x97F3;","ba-audiorecorder-controlbar.record-tooltip":"&#x9332;&#x97F3;&#x3059;&#x308B;&#x306B;&#x306F;&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-audiorecorder-controlbar.rerecord":"&#x3084;&#x308A;&#x76F4;&#x3057;","ba-audiorecorder-controlbar.rerecord-tooltip":"&#x3084;&#x308A;&#x76F4;&#x3059;&#x306B;&#x306F;&#x3001;&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-audiorecorder-controlbar.stop":"&#x505C;&#x6B62;","ba-audiorecorder-controlbar.stop-tooltip":"&#x505C;&#x6B62;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-audiorecorder-controlbar.stop-available-after":"&#x6700;&#x77ED;&#x3067;&#x3082;%d&#x79D2;&#x306F;&#x9332;&#x97F3;&#x304C;&#x5FC5;&#x8981;&#x3067;&#x3059;","ba-audiorecorder-controlbar.cancel":"&#x30AD;&#x30E3;&#x30F3;&#x30BB;&#x30EB;","ba-audiorecorder-controlbar.cancel-tooltip":"&#x30AD;&#x30E3;&#x30F3;&#x30BB;&#x30EB;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-videoplayer-controlbar.player-speed":"&#x518D;&#x751F;&#x901F;&#x5EA6;","ba-videoplayer-controlbar.settings":"&#x8A2D;&#x5B9A;","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"Airplay&#x30A2;&#x30A4;&#x30B3;&#x30F3;&#x3002;","ba-videoplayer.all-settings":"&#x3059;&#x3079;&#x3066;&#x306E;&#x8A2D;&#x5B9A;","ba-videoplayer.player-speed":"&#x518D;&#x751F;&#x901F;&#x5EA6;","ba-videoplayer.full-screen":"&#x5168;&#x753B;&#x9762;&#x8868;&#x793A;","ba-videorecorder-controlbar.add-stream":"&#x30B9;&#x30C8;&#x30EA;&#x30FC;&#x30E0;&#x3092;&#x8FFD;&#x52A0;","ba-videorecorder.switch-camera":"&#x30AB;&#x30E1;&#x30E9;&#x3092;&#x5207;&#x308A;&#x66FF;&#x3048;&#x308B;","ba-videorecorder.prepare-covershot":"&#x30AB;&#x30D0;&#x30FC;&#x30B7;&#x30E7;&#x30C3;&#x30C8;&#x306E;&#x6E96;&#x5099;","ba-videorecorder.prepare-thumbnails":"&#x30B5;&#x30E0;&#x30CD;&#x30A4;&#x30EB;&#x3092;&#x63A2;&#x3059;&#x6E96;&#x5099;","ba-videorecorder.adding-new-stream":"&#x65B0;&#x3057;&#x3044;&#x30B9;&#x30C8;&#x30EA;&#x30FC;&#x30E0;&#x306E;&#x8FFD;&#x52A0;","ba-imagecapture.recorder-error":"&#x30A8;&#x30E9;&#x30FC;&#x304C;&#x767A;&#x751F;&#x3057;&#x307E;&#x3057;&#x305F;&#x3002;&#x3057;&#x3070;&#x3089;&#x304F;&#x3057;&#x3066;&#x304B;&#x3089;&#x3082;&#x3046;&#x4E00;&#x5EA6;&#x304A;&#x8A66;&#x3057;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x307E;&#x3059;&#x3002;","ba-imagecapture.attach-error":"&#x30E1;&#x30C7;&#x30A3;&#x30A2;&#x30A4;&#x30F3;&#x30BF;&#x30FC;&#x30D5;&#x30A7;&#x30A4;&#x30B9;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3067;&#x3057;&#x305F;&#x3002;&#x30C7;&#x30D0;&#x30A4;&#x30B9;&#x3068;&#x30D6;&#x30E9;&#x30A6;&#x30B6;&#x306B;&#x3088;&#x3063;&#x3066;&#x306F;&#x3001;Flash&#x3092;&#x30A4;&#x30F3;&#x30B9;&#x30C8;&#x30FC;&#x30EB;&#x3059;&#x308B;&#x304B;&#x3001;SSL&#x7D4C;&#x7531;&#x3067;&#x30DA;&#x30FC;&#x30B8;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3059;&#x308B;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308B;&#x5834;&#x5408;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;","ba-imagecapture.software-required":"&#x7D9A;&#x884C;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x4EE5;&#x4E0B;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x6B21;&#x306E;&#x8981;&#x4EF6;&#x3092;&#x30A4;&#x30F3;&#x30B9;&#x30C8;&#x30FC;&#x30EB;/&#x30A2;&#x30AF;&#x30C6;&#x30A3;&#x30D6;&#x5316;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-imagecapture.software-waiting":"&#x8981;&#x4EF6;&#x304C;&#x30A4;&#x30F3;&#x30B9;&#x30C8;&#x30FC;&#x30EB;/&#x30A2;&#x30AF;&#x30C6;&#x30A3;&#x30D6;&#x5316;&#x3055;&#x308C;&#x308B;&#x306E;&#x3092;&#x5F85;&#x3063;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;&#x5B8C;&#x4E86;&#x5F8C;&#x306B;&#x30DA;&#x30FC;&#x30B8;&#x3092;&#x66F4;&#x65B0;&#x3059;&#x308B;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308B;&#x5834;&#x5408;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;","ba-imagecapture.access-forbidden":"&#x30E1;&#x30C7;&#x30A3;&#x30A2;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x306F;&#x7981;&#x6B62;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x3057;&#x305F;&#x3002;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x307E;&#x3059;&#x3002;","ba-imagecapture.uploading":"&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;","ba-imagecapture.uploading-failed":"&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;&#x306B;&#x5931;&#x6557;&#x3057;&#x307E;&#x3057;&#x305F;-&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-imagecapture.upload-error-duration":"&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;&#x3055;&#x308C;&#x305F;&#x753B;&#x50CF;&#x306E;&#x9577;&#x3055;&#x304C;&#x8981;&#x4EF6;&#x3092;&#x6E80;&#x305F;&#x3057;&#x3066;&#x3044;&#x307E;&#x305B;&#x3093;-&#x518D;&#x8A66;&#x884C;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-imagecapture.resolution-constraint-error":"&#x9078;&#x629E;&#x3057;&#x305F;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x304C;&#x5FC5;&#x8981;&#x306A;&#x89E3;&#x50CF;&#x5EA6;&#x3068;&#x4E00;&#x81F4;&#x3057;&#x307E;&#x305B;&#x3093;-&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-imagecapture.verifying":"&#x78BA;&#x8A8D;&#x4E2D;","ba-imagecapture.verifying-failed":"&#x78BA;&#x8A8D;&#x306B;&#x5931;&#x6557;&#x3057;&#x307E;&#x3057;&#x305F;-&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-imagecapture.rerecord-confirm":"&#x672C;&#x5F53;&#x306B;&#x81EA;&#x5206;&#x306E;&#x753B;&#x50CF;&#x3092;&#x64AE;&#x308A;&#x76F4;&#x3057;&#x305F;&#x3044;&#x3067;&#x3059;&#x304B;&#xFF1F;","ba-imagecapture.image_file_too_large":"&#x753B;&#x50CF;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x304C;&#x5927;&#x304D;&#x3059;&#x304E;&#x307E;&#x3059;&#xFF08;%s&#xFF09;-&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x3001;&#x5C0F;&#x3055;&#x3044;&#x753B;&#x50CF;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x3067;&#x518D;&#x8A66;&#x884C;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-imagecapture.unsupported_image_type":"&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#xFF1A;%s-&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-imagecapture.orientation-portrait-required":"&#x30DD;&#x30FC;&#x30C8;&#x30EC;&#x30FC;&#x30C8;&#x30E2;&#x30FC;&#x30C9;&#x3067;&#x8A18;&#x9332;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x30C7;&#x30D0;&#x30A4;&#x30B9;&#x3092;&#x56DE;&#x8EE2;&#x3055;&#x305B;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-imagecapture.orientation-landscape-required":"&#x6A2A;&#x5411;&#x304D;&#x30E2;&#x30FC;&#x30C9;&#x3067;&#x8A18;&#x9332;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x30C7;&#x30D0;&#x30A4;&#x30B9;&#x3092;&#x56DE;&#x8EE2;&#x3055;&#x305B;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-audiorecorder.recorder-error":"&#x30A8;&#x30E9;&#x30FC;&#x304C;&#x767A;&#x751F;&#x3057;&#x307E;&#x3057;&#x305F;&#x3002;&#x3057;&#x3070;&#x3089;&#x304F;&#x3057;&#x3066;&#x304B;&#x3089;&#x3082;&#x3046;&#x4E00;&#x5EA6;&#x304A;&#x8A66;&#x3057;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x307E;&#x3059;&#x3002;","ba-audiorecorder.attach-error":"&#x30E1;&#x30C7;&#x30A3;&#x30A2;&#x30A4;&#x30F3;&#x30BF;&#x30FC;&#x30D5;&#x30A7;&#x30A4;&#x30B9;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3067;&#x3057;&#x305F;&#x3002;&#x30C7;&#x30D0;&#x30A4;&#x30B9;&#x3068;&#x30D6;&#x30E9;&#x30A6;&#x30B6;&#x306B;&#x3088;&#x3063;&#x3066;&#x306F;&#x3001;Flash&#x3092;&#x30A4;&#x30F3;&#x30B9;&#x30C8;&#x30FC;&#x30EB;&#x3059;&#x308B;&#x304B;&#x3001;SSL&#x7D4C;&#x7531;&#x3067;&#x30DA;&#x30FC;&#x30B8;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3059;&#x308B;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308B;&#x5834;&#x5408;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;","ba-audiorecorder.software-required":"&#x7D9A;&#x884C;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x4EE5;&#x4E0B;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x6B21;&#x306E;&#x8981;&#x4EF6;&#x3092;&#x30A4;&#x30F3;&#x30B9;&#x30C8;&#x30FC;&#x30EB;/&#x30A2;&#x30AF;&#x30C6;&#x30A3;&#x30D6;&#x5316;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-audiorecorder.software-waiting":"&#x8981;&#x4EF6;&#x304C;&#x30A4;&#x30F3;&#x30B9;&#x30C8;&#x30FC;&#x30EB;/&#x30A2;&#x30AF;&#x30C6;&#x30A3;&#x30D6;&#x5316;&#x3055;&#x308C;&#x308B;&#x306E;&#x3092;&#x5F85;&#x3063;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;&#x5B8C;&#x4E86;&#x5F8C;&#x306B;&#x30DA;&#x30FC;&#x30B8;&#x3092;&#x66F4;&#x65B0;&#x3059;&#x308B;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308B;&#x5834;&#x5408;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;","ba-audiorecorder.access-forbidden":"&#x30E1;&#x30C7;&#x30A3;&#x30A2;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x306F;&#x7981;&#x6B62;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x3057;&#x305F;&#x3002;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x307E;&#x3059;&#x3002;","ba-audiorecorder.uploading":"&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;","ba-audiorecorder.uploading-failed":"&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;&#x306B;&#x5931;&#x6557;&#x3057;&#x307E;&#x3057;&#x305F;-&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-audiorecorder.upload-error-duration":"&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;&#x3055;&#x308C;&#x305F;&#x30AA;&#x30FC;&#x30C7;&#x30A3;&#x30AA;&#x306E;&#x9577;&#x3055;&#x304C;&#x8981;&#x4EF6;&#x3092;&#x6E80;&#x305F;&#x3057;&#x3066;&#x3044;&#x307E;&#x305B;&#x3093;-&#x518D;&#x8A66;&#x884C;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-audiorecorder.verifying":"&#x78BA;&#x8A8D;&#x4E2D;","ba-audiorecorder.verifying-failed":"&#x78BA;&#x8A8D;&#x306B;&#x5931;&#x6557;&#x3057;&#x307E;&#x3057;&#x305F;-&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-audiorecorder.rerecord-confirm":"&#x672C;&#x5F53;&#x306B;&#x30AA;&#x30FC;&#x30C7;&#x30A3;&#x30AA;&#x3092;&#x3084;&#x308A;&#x76F4;&#x3057;&#x305F;&#x3044;&#x3067;&#x3059;&#x304B;&#xFF1F;","ba-audiorecorder.cancel-confirm":"&#x672C;&#x5F53;&#x306B;&#x30AA;&#x30FC;&#x30C7;&#x30A3;&#x30AA;&#x306E;&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;&#x3092;&#x30AD;&#x30E3;&#x30F3;&#x30BB;&#x30EB;&#x3057;&#x307E;&#x3059;&#x304B;&#xFF1F;","ba-audiorecorder.audio_file_too_large":"&#x30AA;&#x30FC;&#x30C7;&#x30A3;&#x30AA;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x304C;&#x5927;&#x304D;&#x3059;&#x304E;&#x307E;&#x3059;&#xFF08;%s&#xFF09;-&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x3001;&#x5C0F;&#x3055;&#x3044;&#x30AA;&#x30FC;&#x30C7;&#x30A3;&#x30AA;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x3067;&#x518D;&#x8A66;&#x884C;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-audiorecorder.unsupported_audio_type":"&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#xFF1A;%s-&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ba-common-settingsmenu.tooltip":"&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x751F;&#x3057;&#x307E;&#x3059;&#x3002;","ba-common-settingsmenu.setting-menu":"&#x3059;&#x3079;&#x3066;&#x306E;&#x8A2D;&#x5B9A;","ba-common-settingsmenu.source-quality":"&#x30BD;&#x30FC;&#x30B9;&#x54C1;&#x8CEA;","ba-common-settingsmenu.player-speed":"&#x518D;&#x751F;&#x901F;&#x5EA6;","ba-common-settingsmenu.set-menu-option":"&#x30AA;&#x30D7;&#x30B7;&#x30E7;&#x30F3;&#x3092;&#x8A2D;&#x5B9A;","ba-common-settingsmenu.submit-video":"&#x30D3;&#x30C7;&#x30AA;&#x3092;&#x78BA;&#x8A8D;&#x3059;&#x308B;","ba-common-settingsmenu.picture-in-picture":"&#x30D4;&#x30AF;&#x30C1;&#x30E3;&#x30FC;&#x30A4;&#x30F3;&#x30D4;&#x30AF;&#x30C1;&#x30E3;&#x30FC;","ba-common-settingsmenu.exit-fullscreen-video":"&#x5168;&#x753B;&#x9762;&#x8868;&#x793A;&#x3092;&#x7D42;&#x4E86;","ba-common-settingsmenu.fullscreen-video":"&#x5168;&#x753B;&#x9762;&#x8868;&#x793A;&#x306B;&#x3059;&#x308B;","ba-videorecorder-chooser.multi-stream":"&#x30DE;&#x30EB;&#x30C1;&#x30B9;&#x30C8;&#x30EA;&#x30FC;&#x30E0;","ba-videorecorder-controlbar.pause-recorder":"&#x30EC;&#x30B3;&#x30FC;&#x30C0;&#x30FC;&#x306E;&#x4E00;&#x6642;&#x505C;&#x6B62;","ba-videorecorder-controlbar.resume-recorder":"&#x30EC;&#x30B8;&#x30E5;&#x30E1;&#x30EC;&#x30B3;&#x30FC;&#x30C0;&#x30FC;","ba-videorecorder.missing-track":"&#x5FC5;&#x8981;&#x306A;&#x30AA;&#x30FC;&#x30C7;&#x30A3;&#x30AA;&#x307E;&#x305F;&#x306F;&#x30D3;&#x30C7;&#x30AA;&#x30C8;&#x30E9;&#x30C3;&#x30AF;&#x304C;&#x3042;&#x308A;&#x307E;&#x305B;&#x3093;","ba-videorecorder.device-already-in-use":"&#x5165;&#x529B;&#x30C7;&#x30D0;&#x30A4;&#x30B9;&#x306E;&#x5C11;&#x306A;&#x304F;&#x3068;&#x3082;1&#x3064;&#x304C;&#x3059;&#x3067;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x3059;","ba-videorecorder.browser-permission-denied":"&#x30D6;&#x30E9;&#x30A6;&#x30B6;&#x306B;&#x3088;&#x3063;&#x3066;&#x62D2;&#x5426;&#x3055;&#x308C;&#x307E;&#x3057;&#x305F;&#x3002;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3092;&#x8A31;&#x53EF;&#x3057;&#x3066;&#x30DA;&#x30FC;&#x30B8;&#x3092;&#x30EA;&#x30ED;&#x30FC;&#x30C9;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;","ba-audioplayer.all-settings":"&#x3059;&#x3079;&#x3066;&#x306E;&#x8A2D;&#x5B9A;","ba-videoplayer-controlbar.remaining-time":"&#x6B8B;&#x308A;&#x6642;&#x9593;","ba-videoplayer-controlbar.select-frame":"&#x9078;&#x629E;&#x3059;&#x308B;","ba-videoplayer-controlbar.trim-video":"&#x30C8;&#x30EA;&#x30E0;","ba-videoplayer-playbutton.trim":"&#x30C8;&#x30EA;&#x30E0;","ba-videoplayer-playbutton.skip":"&#x30B9;&#x30AD;&#x30C3;&#x30D7;","ba-videorecorder-imagegallery.upload-covershot":"&#x30AB;&#x30D0;&#x30FC;&#x3092;&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;","ba-videorecorder.pick-covershot-frame":"&#x30AB;&#x30D0;&#x30FC;&#x30B7;&#x30E7;&#x30C3;&#x30C8;&#x3068;&#x3057;&#x3066;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x3092;&#x9078;&#x629E;&#x3057;&#x307E;&#x3059;&#x3002;","ba-videorecorder.screen-recorder-is-not-supported":"&#x30B9;&#x30AF;&#x30EA;&#x30FC;&#x30F3;&#x30EC;&#x30B3;&#x30FC;&#x30C0;&#x30FC;&#x306F;&#x3053;&#x306E;&#x30C7;&#x30D0;&#x30A4;&#x30B9;&#x3067;&#x306F;&#x30B5;&#x30DD;&#x30FC;&#x30C8;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x305B;&#x3093;","ba-videorecorder.trim-prompt":"&#x30D3;&#x30C7;&#x30AA;&#x3092;&#x30C8;&#x30EA;&#x30DF;&#x30F3;&#x30B0;&#x3057;&#x307E;&#x3059;&#x304B;&#xFF1F;","ba-videorecorder.trim-video":"&#x958B;&#x59CB;&#x30DE;&#x30FC;&#x30AB;&#x30FC;&#x3068;&#x7D42;&#x4E86;&#x30DE;&#x30FC;&#x30AB;&#x30FC;&#x3092;&#x79FB;&#x52D5;&#x3057;&#x3066;&#x3001;&#x30D3;&#x30C7;&#x30AA;&#x3092;&#x30C8;&#x30EA;&#x30DF;&#x30F3;&#x30B0;&#x3057;&#x307E;&#x3059;","ba-videorecorder.wait-for-trim":"&#x30C8;&#x30EA;&#x30E0;&#x30B3;&#x30DE;&#x30F3;&#x30C9;&#x3092;&#x5F85;&#x3063;&#x3066;&#x3044;&#x307E;&#x3059;...","ba-videorecorder-controlbar.no-video-source":"&#x8FFD;&#x52A0;&#x306E;&#x30D3;&#x30C7;&#x30AA;&#x5165;&#x529B;&#x30BD;&#x30FC;&#x30B9;&#x304C;&#x3042;&#x308A;&#x307E;&#x305B;&#x3093;","ba-videorecorder-controlbar.stream-already-selected":"&#x8FFD;&#x52A0;&#x306E;&#x30B9;&#x30C8;&#x30EA;&#x30FC;&#x30E0;&#x306F;&#x3059;&#x3067;&#x306B;&#x9078;&#x629E;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x3059;","ba-videorecorder.uploading-src-error":"&#x73FE;&#x5728;&#x52D5;&#x753B;&#x3092;&#x518D;&#x751F;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3002;&#x30A2;&#x30C3;&#x30D7;&#x30ED;&#x30FC;&#x30C9;&#x306F;&#x307E;&#x3060;&#x9032;&#x884C;&#x4E2D;&#x3067;&#x3059;","ba-audiorecorder-controlbar.pause-recorder":"&#x30EC;&#x30B3;&#x30FC;&#x30C0;&#x30FC;&#x306E;&#x4E00;&#x6642;&#x505C;&#x6B62;","ba-audiorecorder-controlbar.resume-recorder":"&#x30EC;&#x30B8;&#x30E5;&#x30E1;&#x30EC;&#x30B3;&#x30FC;&#x30C0;&#x30FC;"},"language:mk":{"ba-videoplayer-playbutton.tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x437;&#x430; &#x434;&#x430; &#x438;&#x433;&#x440;&#x430;&#x442;&#x435;.","ba-videoplayer-playbutton.rerecord":"&#x41F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;","ba-videoplayer-playbutton.submit-video":"&#x41F;&#x43E;&#x442;&#x432;&#x440;&#x434;&#x435;&#x442;&#x435; &#x433;&#x43E; &#x432;&#x438;&#x434;&#x435;&#x43E;&#x442;&#x43E;","ba-videoplayer-loader.tooltip":"&#x421;&#x435; &#x432;&#x447;&#x438;&#x442;&#x443;&#x432;&#x430; ...","ba-videoplayer-controlbar.change-resolution":"&#x41F;&#x440;&#x43E;&#x43C;&#x435;&#x43D;&#x435;&#x442;&#x435; &#x458;&#x430; &#x440;&#x435;&#x437;&#x43E;&#x43B;&#x443;&#x446;&#x438;&#x458;&#x430;&#x442;&#x430;","ba-videoplayer-controlbar.video-progress":"&#x41D;&#x430;&#x43F;&#x440;&#x435;&#x434;&#x43E;&#x43A;","ba-videoplayer-controlbar.rerecord-video":"&#x41F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;?","ba-videoplayer-controlbar.submit-video":"&#x41F;&#x43E;&#x442;&#x432;&#x440;&#x434;&#x438;","ba-videoplayer-controlbar.play-video":"&#x418;&#x433;&#x440;&#x430;&#x458;","ba-videoplayer-controlbar.pause-video":"&#x41F;&#x430;&#x443;&#x437;&#x430;","ba-videoplayer-controlbar.elapsed-time":"&#x41F;&#x43E;&#x43C;&#x438;&#x43D;&#x430;&#x442;&#x43E; &#x432;&#x440;&#x435;&#x43C;&#x435;","ba-videoplayer-controlbar.total-time":"&#x412;&#x43A;&#x443;&#x43F;&#x43D;&#x430; &#x434;&#x43E;&#x43B;&#x436;&#x438;&#x43D;&#x430; &#x43D;&#x430;","ba-videoplayer-controlbar.fullscreen-video":"&#x412;&#x43D;&#x435;&#x441;&#x435;&#x442;&#x435; &#x446;&#x435;&#x43B; &#x435;&#x43A;&#x440;&#x430;&#x43D;","ba-videoplayer-controlbar.volume-button":"&#x41F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x435;&#x442;&#x435; &#x458;&#x430; &#x458;&#x430;&#x447;&#x438;&#x43D;&#x430;&#x442;&#x430; &#x43D;&#x430; &#x437;&#x432;&#x443;&#x43A;&#x43E;&#x442;","ba-videoplayer-controlbar.volume-mute":"&#x41D;&#x435;&#x43C;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-videoplayer-controlbar.volume-unmute":"&#x41D;&#x435;&#x43C;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-videoplayer.video-error":"&#x41D;&#x430;&#x441;&#x442;&#x430;&#x43D;&#x430; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x430;, &#x43E;&#x431;&#x438;&#x434;&#x435;&#x442;&#x435; &#x441;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E; &#x43F;&#x43E;&#x434;&#x43E;&#x446;&#x43D;&#x430;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x437;&#x430; &#x434;&#x430; &#x441;&#x435; &#x43E;&#x431;&#x438;&#x434;&#x435;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-videorecorder-chooser.record-video":"&#x421;&#x43D;&#x438;&#x43C;&#x438; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videorecorder-chooser.upload-video":"&#x41F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x435;&#x442;&#x435; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videorecorder-controlbar.settings":"&#x41F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x43A;&#x438;","ba-videorecorder-controlbar.camerahealthy":"&#x41E;&#x441;&#x432;&#x435;&#x442;&#x43B;&#x443;&#x432;&#x430;&#x45A;&#x435;&#x442;&#x43E; &#x435; &#x434;&#x43E;&#x431;&#x440;&#x43E;","ba-videorecorder-controlbar.cameraunhealthy":"&#x41E;&#x441;&#x432;&#x435;&#x442;&#x43B;&#x443;&#x432;&#x430;&#x45A;&#x435;&#x442;&#x43E; &#x43D;&#x435; &#x435; &#x43E;&#x43F;&#x442;&#x438;&#x43C;&#x430;&#x43B;&#x43D;&#x43E;","ba-videorecorder-controlbar.microphonehealthy":"&#x417;&#x432;&#x443;&#x43A;&#x43E;&#x442; &#x435; &#x434;&#x43E;&#x431;&#x430;&#x440;","ba-videorecorder-controlbar.microphoneunhealthy":"&#x41D;&#x435; &#x43C;&#x43E;&#x436;&#x430;&#x43C; &#x434;&#x430; &#x441;&#x43E;&#x431;&#x435;&#x440;&#x430;&#x43C; &#x437;&#x432;&#x443;&#x43A;","ba-videorecorder-controlbar.record":"&#x421;&#x43D;&#x438;&#x43C;&#x438;","ba-videorecorder-controlbar.record-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x441;&#x43D;&#x438;&#x43C;&#x438;&#x442;&#x435;.","ba-videorecorder-controlbar.rerecord":"&#x41F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;","ba-videorecorder-controlbar.rerecord-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x43D;&#x430;&#x43F;&#x440;&#x430;&#x432;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-videorecorder-controlbar.upload-covershot":"&#x41F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x435;&#x442;&#x435; &#x43A;&#x43E;&#x440;&#x438;&#x446;&#x430;","ba-videorecorder-controlbar.upload-covershot-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x438;&#x442;&#x435; &#x43F;&#x440;&#x438;&#x43B;&#x430;&#x433;&#x43E;&#x434;&#x435;&#x43D;&#x430; &#x441;&#x43D;&#x438;&#x43C;&#x43A;&#x430; &#x43E;&#x434; &#x43A;&#x43E;&#x440;&#x438;&#x446;&#x430;&#x442;&#x430;","ba-videorecorder-controlbar.stop":"&#x417;&#x430;&#x441;&#x442;&#x430;&#x43D;&#x438;","ba-videorecorder-controlbar.stop-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;&#x430; &#x437;&#x430; &#x434;&#x430; &#x437;&#x430;&#x43F;&#x440;&#x435;&#x442;&#x435;.","ba-videorecorder-controlbar.skip":"&#x41F;&#x440;&#x435;&#x441;&#x43A;&#x43E;&#x43A;&#x43D;&#x438;","ba-videorecorder-controlbar.skip-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;&#x430; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x435;&#x441;&#x43A;&#x43E;&#x43A;&#x43D;&#x435;&#x442;&#x435;.","ba-videorecorder.recorder-error":"&#x41D;&#x430;&#x441;&#x442;&#x430;&#x43D;&#x430; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x430;, &#x43E;&#x431;&#x438;&#x434;&#x435;&#x442;&#x435; &#x441;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E; &#x43F;&#x43E;&#x434;&#x43E;&#x446;&#x43D;&#x430;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x437;&#x430; &#x434;&#x430; &#x441;&#x435; &#x43E;&#x431;&#x438;&#x434;&#x435;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-videorecorder.attach-error":"&#x41D;&#x435; &#x43C;&#x43E;&#x436;&#x435;&#x432;&#x43C;&#x435; &#x434;&#x430; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x430;&#x43F;&#x438;&#x43C;&#x435; &#x434;&#x43E; &#x43C;&#x435;&#x434;&#x438;&#x443;&#x43C;&#x441;&#x43A;&#x438;&#x43E;&#x442; &#x438;&#x43D;&#x442;&#x435;&#x440;&#x444;&#x435;&#x458;&#x441;. &#x412;&#x43E; &#x437;&#x430;&#x432;&#x438;&#x441;&#x43D;&#x43E;&#x441;&#x442; &#x43E;&#x434; &#x443;&#x440;&#x435;&#x434;&#x43E;&#x442; &#x438; &#x43F;&#x440;&#x435;&#x43B;&#x438;&#x441;&#x442;&#x443;&#x432;&#x430;&#x447;&#x43E;&#x442;, &#x43C;&#x43E;&#x436;&#x435;&#x431;&#x438; &#x45C;&#x435; &#x442;&#x440;&#x435;&#x431;&#x430; &#x434;&#x430; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x442;&#x435; Flash &#x438;&#x43B;&#x438; &#x434;&#x430; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x430;&#x43F;&#x438;&#x442;&#x435; &#x43D;&#x430; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x430;&#x442;&#x430; &#x43F;&#x440;&#x435;&#x43A;&#x443; SSL.","ba-videorecorder.access-forbidden":"&#x417;&#x430;&#x431;&#x440;&#x430;&#x43D;&#x435;&#x442; &#x435; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x430;&#x43F;&#x43E;&#x442; &#x434;&#x43E; &#x43C;&#x435;&#x434;&#x438;&#x443;&#x43C;&#x438;&#x442;&#x435;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x437;&#x430; &#x434;&#x430; &#x441;&#x435; &#x43E;&#x431;&#x438;&#x434;&#x435;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-videorecorder.pick-covershot":"&#x418;&#x437;&#x431;&#x435;&#x440;&#x435;&#x442;&#x435; &#x43F;&#x43E;&#x43A;&#x440;&#x438;&#x432;&#x43A;&#x430;.","ba-videorecorder.uploading":"&#x421;&#x435; &#x43F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x443;&#x432;&#x430;","ba-videorecorder.uploading-failed":"&#x412;&#x447;&#x438;&#x442;&#x443;&#x432;&#x430;&#x45A;&#x435;&#x442;&#x43E; &#x43D;&#x435; &#x443;&#x441;&#x43F;&#x435;&#x430; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-videorecorder.verifying":"&#x41F;&#x43E;&#x442;&#x432;&#x440;&#x434;&#x443;&#x432;&#x430;&#x45A;&#x435;","ba-videorecorder.verifying-failed":"&#x41F;&#x43E;&#x442;&#x432;&#x440;&#x434;&#x430;&#x442;&#x430; &#x43D;&#x435; &#x443;&#x441;&#x43F;&#x435;&#x430; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-videorecorder.rerecord-confirm":"&#x414;&#x430;&#x43B;&#x438; &#x43D;&#x430;&#x432;&#x438;&#x441;&#x442;&#x438;&#x43D;&#x430; &#x441;&#x430;&#x43A;&#x430;&#x442;&#x435; &#x434;&#x430; &#x433;&#x43E; &#x43D;&#x430;&#x43F;&#x440;&#x430;&#x432;&#x438;&#x442;&#x435; &#x432;&#x430;&#x448;&#x435;&#x442;&#x43E; &#x432;&#x438;&#x434;&#x435;&#x43E;?","ba-videorecorder.video_file_too_large":"&#x412;&#x430;&#x448;&#x430;&#x442;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x434;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x430; &#x435; &#x43F;&#x440;&#x435;&#x433;&#x43E;&#x43B;&#x435;&#x43C;&#x430; (%s) - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x441;&#x435; &#x43E;&#x431;&#x438;&#x434;&#x435;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E; &#x441;&#x43E; &#x43F;&#x43E;&#x43C;&#x430;&#x43B;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E;-&#x434;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x430;.","ba-videorecorder.unsupported_video_type":"&#x41F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x435;&#x442;&#x435;: %s - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;&#x430; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-videoplayer-controlbar.exit-fullscreen-video":"&#x418;&#x437;&#x43B;&#x435;&#x437;&#x435;&#x442;&#x435; &#x43E;&#x434; &#x446;&#x435;&#x43B; &#x435;&#x43A;&#x440;&#x430;&#x43D;","ba-videoplayer-share.share":"&#x421;&#x43F;&#x43E;&#x434;&#x435;&#x43B;&#x438; &#x43C;&#x435;&#x434;&#x438;&#x443;&#x43C;&#x438;","ba-videorecorder-chooser.record-screen":"&#x415;&#x43A;&#x440;&#x430;&#x43D; &#x437;&#x430; &#x441;&#x43D;&#x438;&#x43C;&#x430;&#x45A;&#x435;","ba-videoplayer-controlbar.pause-video-disabled":"&#x41F;&#x430;&#x443;&#x437;&#x430;&#x442;&#x430; &#x43D;&#x435; &#x435; &#x43F;&#x43E;&#x434;&#x434;&#x440;&#x436;&#x430;&#x43D;&#x430;","ba-videorecorder-chooser.record-audio":"&#x421;&#x43D;&#x438;&#x43C;&#x438; &#x430;&#x443;&#x434;&#x438;&#x43E;","ba-videorecorder-controlbar.stop-available-after":"&#x41C;&#x438;&#x43D;&#x438;&#x43C;&#x430;&#x43B;&#x43D;&#x43E;&#x442;&#x43E; &#x432;&#x440;&#x435;&#x43C;&#x435; &#x43D;&#x430; &#x441;&#x43D;&#x438;&#x43C;&#x430;&#x45A;&#x435; &#x435; %d &#x441;&#x435;&#x43A;&#x443;&#x43D;&#x434;&#x438;","ba-videorecorder-controlbar.cancel":"&#x41E;&#x442;&#x43A;&#x430;&#x436;&#x438;","ba-videorecorder-controlbar.cancel-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;&#x430; &#x437;&#x430; &#x434;&#x430; &#x43E;&#x442;&#x43A;&#x430;&#x436;&#x435;&#x442;&#x435;.","ba-videorecorder.cancel-confirm":"&#x414;&#x430;&#x43B;&#x438; &#x43D;&#x430;&#x432;&#x438;&#x441;&#x442;&#x438;&#x43D;&#x430; &#x441;&#x430;&#x43A;&#x430;&#x442;&#x435; &#x434;&#x430; &#x433;&#x43E; &#x43E;&#x442;&#x43A;&#x430;&#x436;&#x435;&#x442;&#x435; &#x43F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x443;&#x432;&#x430;&#x45A;&#x435;&#x442;&#x43E; &#x43D;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E;&#x442;&#x43E;?","ba-videoplayer-adslot.elapsed-time":"&#x41F;&#x43E;&#x43C;&#x438;&#x43D;&#x430;&#x442;&#x43E; &#x432;&#x440;&#x435;&#x43C;&#x435;","ba-videoplayer-adslot.volume-button":"&#x41F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x435;&#x442;&#x435; &#x458;&#x430; &#x458;&#x430;&#x447;&#x438;&#x43D;&#x430;&#x442;&#x430; &#x43D;&#x430; &#x437;&#x432;&#x443;&#x43A;&#x43E;&#x442;","ba-videoplayer-adslot.volume-mute":"&#x41D;&#x435;&#x43C;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-videoplayer-adslot.volume-unmute":"&#x41D;&#x435;&#x43C;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-videoplayer-adslot.ad-will-end-after":"&#x41E;&#x433;&#x43B;&#x430;&#x441;&#x43E;&#x442; &#x45C;&#x435; &#x437;&#x430;&#x432;&#x440;&#x448;&#x438; &#x43F;&#x43E; %s","ba-videoplayer-adslot.can-skip-after":"&#x41F;&#x440;&#x435;&#x441;&#x43A;&#x43E;&#x43A;&#x43D;&#x438; &#x43F;&#x43E; %d","ba-videoplayer-adslot.skip-ad":"&#x41F;&#x440;&#x435;&#x441;&#x43A;&#x43E;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x440;&#x435;&#x43A;&#x43B;&#x430;&#x43C;&#x430;","ba-videorecorder.software-required":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43F;&#x43E;&#x434;&#x43E;&#x43B;&#x443; &#x437;&#x430; &#x434;&#x430; &#x433;&#x438; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x442;&#x435; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x430;&#x442;&#x435; &#x441;&#x43B;&#x435;&#x434;&#x43D;&#x438;&#x432;&#x435; &#x431;&#x430;&#x440;&#x430;&#x45A;&#x430; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x434;&#x43E;&#x43B;&#x436;&#x438;&#x442;&#x435;.","ba-videorecorder.software-waiting":"&#x427;&#x435;&#x43A;&#x430;&#x458;&#x45C;&#x438; &#x434;&#x430; &#x441;&#x435; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x430;&#x442; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x430;&#x430;&#x442; &#x431;&#x430;&#x440;&#x430;&#x45A;&#x430;&#x442;&#x430;. &#x41C;&#x43E;&#x436;&#x435;&#x431;&#x438; &#x45C;&#x435; &#x442;&#x440;&#x435;&#x431;&#x430; &#x434;&#x430; &#x458;&#x430; &#x43E;&#x441;&#x432;&#x435;&#x436;&#x438;&#x442;&#x435; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x430;&#x442;&#x430; &#x43F;&#x43E; &#x437;&#x430;&#x432;&#x440;&#x448;&#x443;&#x432;&#x430;&#x45A;&#x435;&#x442;&#x43E;.","ba-videoplayer-controlbar.close-tracks":"&#x417;&#x430;&#x442;&#x432;&#x43E;&#x440;&#x438; CC","ba-videoplayer-controlbar.show-tracks":"&#x41F;&#x43E;&#x43A;&#x430;&#x436;&#x438; CC","ba-videoplayer-tracks.upload-text-tracks":"&#x41F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x435;&#x442;&#x435; &#x434;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x438; &#x441;&#x43E; &#x442;&#x435;&#x43A;&#x441;&#x442; &#x437;&#x430; &#x43F;&#x435;&#x441;&#x43D;&#x430;","ba-videoplayer-tracks.select-text-track-language":"&#x408;&#x430;&#x437;&#x438;&#x43A; &#x43D;&#x430; &#x43F;&#x440;&#x435;&#x432;&#x43E;&#x434;","ba-videoplayer-tracks.info-select-locale-first":"&#x41F;&#x440;&#x432;&#x43E; &#x438;&#x437;&#x431;&#x435;&#x440;&#x435;&#x442;&#x435; &#x43B;&#x43E;&#x43A;&#x430;&#x446;&#x438;&#x458;&#x430;","ba-videoplayer-tracks.select-text-track-file":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x437;&#x430; &#x434;&#x430; &#x438;&#x437;&#x431;&#x435;&#x440;&#x435;&#x442;&#x435; &#x434;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x430;","ba-videoplayer-tracks.back":"&#x43D;&#x430;&#x437;&#x430;&#x434;","ba-videorecorder.framerate-warning":"&#x421;&#x442;&#x430;&#x43F;&#x43A;&#x430;&#x442;&#x430; &#x43D;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x440;&#x430;&#x43C;&#x43A;&#x438; &#x435; &#x43C;&#x43D;&#x43E;&#x433;&#x443; &#x43C;&#x430;&#x43B;&#x430;. &#x41F;&#x440;&#x435;&#x43F;&#x43E;&#x440;&#x430;&#x447;&#x443;&#x432;&#x430;&#x43C;&#x435; &#x434;&#x430; &#x433;&#x438; &#x437;&#x430;&#x442;&#x432;&#x43E;&#x440;&#x438;&#x442;&#x435; &#x441;&#x438;&#x442;&#x435; &#x434;&#x440;&#x443;&#x433;&#x438; &#x43F;&#x440;&#x43E;&#x433;&#x440;&#x430;&#x43C;&#x438; &#x438; &#x458;&#x430;&#x437;&#x438;&#x447;&#x438;&#x45A;&#x430; &#x43D;&#x430; &#x43F;&#x440;&#x435;&#x43B;&#x438;&#x441;&#x442;&#x443;&#x432;&#x430;&#x447;&#x438; &#x438;&#x43B;&#x438; &#x434;&#x430; &#x43A;&#x43E;&#x440;&#x438;&#x441;&#x442;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x431;&#x440;&#x437; &#x43A;&#x43E;&#x43C;&#x43F;&#x458;&#x443;&#x442;&#x435;&#x440;.","ba-videorecorder.upload-error-duration":"&#x414;&#x43E;&#x43B;&#x436;&#x438;&#x43D;&#x430;&#x442;&#x430; &#x43D;&#x430; &#x43F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x435;&#x43D;&#x43E;&#x442;&#x43E; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x43D;&#x435; &#x433;&#x438; &#x438;&#x441;&#x43F;&#x43E;&#x43B;&#x43D;&#x443;&#x432;&#x430; &#x443;&#x441;&#x43B;&#x43E;&#x432;&#x438;&#x442;&#x435; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-videorecorder.resolution-constraint-error":"&#x414;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x430;&#x442;&#x430; &#x448;&#x442;&#x43E; &#x458;&#x430; &#x438;&#x437;&#x431;&#x440;&#x430;&#x432;&#x442;&#x435; &#x43D;&#x435; &#x43E;&#x434;&#x433;&#x43E;&#x432;&#x430;&#x440;&#x430; &#x43D;&#x430; &#x43F;&#x43E;&#x442;&#x440;&#x435;&#x431;&#x43D;&#x430;&#x442;&#x430; &#x440;&#x435;&#x437;&#x43E;&#x43B;&#x443;&#x446;&#x438;&#x458;&#x430; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-videorecorder.orientation-portrait-required":"&#x417;&#x430;&#x432;&#x440;&#x442;&#x435;&#x442;&#x435; &#x433;&#x43E; &#x443;&#x440;&#x435;&#x434;&#x43E;&#x442; &#x437;&#x430; &#x441;&#x43D;&#x438;&#x43C;&#x430;&#x45A;&#x435; &#x432;&#x43E; &#x440;&#x435;&#x436;&#x438;&#x43C; &#x43D;&#x430; &#x43F;&#x43E;&#x440;&#x442;&#x440;&#x435;&#x442;.","ba-videorecorder.orientation-landscape-required":"&#x417;&#x430;&#x432;&#x440;&#x442;&#x435;&#x442;&#x435; &#x433;&#x43E; &#x443;&#x440;&#x435;&#x434;&#x43E;&#x442; &#x437;&#x430; &#x441;&#x43D;&#x438;&#x43C;&#x430;&#x45A;&#x435; &#x432;&#x43E; &#x440;&#x435;&#x436;&#x438;&#x43C; &#x43D;&#x430; &#x43F;&#x435;&#x458;&#x437;&#x430;&#x436;.","ba-imageviewer-controlbar.rerecord-image":"&#x41F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;?","ba-imageviewer-controlbar.submit-image":"&#x41F;&#x43E;&#x442;&#x432;&#x440;&#x434;&#x438;","ba-imageviewer-controlbar.fullscreen-image":"&#x412;&#x43D;&#x435;&#x441;&#x435;&#x442;&#x435; &#x446;&#x435;&#x43B; &#x435;&#x43A;&#x440;&#x430;&#x43D;","ba-imageviewer-controlbar.exit-fullscreen-image":"&#x418;&#x437;&#x43B;&#x435;&#x437;&#x435;&#x442;&#x435; &#x43E;&#x434; &#x446;&#x435;&#x43B; &#x435;&#x43A;&#x440;&#x430;&#x43D;","ba-imageviewer.image-error":"&#x41D;&#x430;&#x441;&#x442;&#x430;&#x43D;&#x430; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x430;, &#x43E;&#x431;&#x438;&#x434;&#x435;&#x442;&#x435; &#x441;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E; &#x43F;&#x43E;&#x434;&#x43E;&#x446;&#x43D;&#x430;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x437;&#x430; &#x434;&#x430; &#x441;&#x435; &#x43E;&#x431;&#x438;&#x434;&#x435;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-imagecapture-chooser.image-capture":"&#x421;&#x43D;&#x438;&#x43C;&#x438; &#x441;&#x43B;&#x438;&#x43A;&#x430;","ba-imagecapture-chooser.upload-image":"&#x41F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x435;&#x442;&#x435; &#x441;&#x43B;&#x438;&#x43A;&#x430;","ba-imagecapture-controlbar.settings":"&#x41F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x43A;&#x438;","ba-imagecapture-controlbar.camerahealthy":"&#x41E;&#x441;&#x432;&#x435;&#x442;&#x43B;&#x443;&#x432;&#x430;&#x45A;&#x435;&#x442;&#x43E; &#x435; &#x434;&#x43E;&#x431;&#x440;&#x43E;","ba-imagecapture-controlbar.cameraunhealthy":"&#x41E;&#x441;&#x432;&#x435;&#x442;&#x43B;&#x443;&#x432;&#x430;&#x45A;&#x435;&#x442;&#x43E; &#x43D;&#x435; &#x435; &#x43E;&#x43F;&#x442;&#x438;&#x43C;&#x430;&#x43B;&#x43D;&#x43E;","ba-imagecapture-controlbar.record":"&#x424;&#x430;&#x442;&#x438;","ba-imagecapture-controlbar.record-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x441;&#x43D;&#x438;&#x43C;&#x438;&#x442;&#x435;.","ba-imagecapture-controlbar.rerecord":"&#x41F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;","ba-imagecapture-controlbar.rerecord-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x43D;&#x430;&#x43F;&#x440;&#x430;&#x432;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-imagecapture-controlbar.cancel":"&#x41E;&#x442;&#x43A;&#x430;&#x436;&#x438;","ba-imagecapture-controlbar.cancel-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;&#x430; &#x437;&#x430; &#x434;&#x430; &#x43E;&#x442;&#x43A;&#x430;&#x436;&#x435;&#x442;&#x435;.","ba-audioplayer-controlbar.audio-progress":"&#x41D;&#x430;&#x43F;&#x440;&#x435;&#x434;&#x43E;&#x43A;","ba-audioplayer-controlbar.rerecord-audio":"&#x41F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;?","ba-audioplayer-controlbar.submit-audio":"&#x41F;&#x43E;&#x442;&#x432;&#x440;&#x434;&#x438;","ba-audioplayer-controlbar.play-audio":"&#x418;&#x433;&#x440;&#x430;&#x458;","ba-audioplayer-controlbar.pause-audio":"&#x41F;&#x430;&#x443;&#x437;&#x430;","ba-audioplayer-controlbar.pause-audio-disabled":"&#x41F;&#x430;&#x443;&#x437;&#x430;&#x442;&#x430; &#x43D;&#x435; &#x435; &#x43F;&#x43E;&#x434;&#x434;&#x440;&#x436;&#x430;&#x43D;&#x430;","ba-audioplayer-controlbar.elapsed-time":"&#x41F;&#x43E;&#x43C;&#x438;&#x43D;&#x430;&#x442;&#x43E; &#x432;&#x440;&#x435;&#x43C;&#x435;","ba-audioplayer-controlbar.total-time":"&#x412;&#x43A;&#x443;&#x43F;&#x43D;&#x430; &#x434;&#x43E;&#x43B;&#x436;&#x438;&#x43D;&#x430; &#x43D;&#x430;","ba-audioplayer-controlbar.volume-button":"&#x41F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x435;&#x442;&#x435; &#x458;&#x430; &#x458;&#x430;&#x447;&#x438;&#x43D;&#x430;&#x442;&#x430; &#x43D;&#x430; &#x437;&#x432;&#x443;&#x43A;&#x43E;&#x442;","ba-audioplayer-controlbar.volume-mute":"&#x41D;&#x435;&#x43C;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-audioplayer-controlbar.volume-unmute":"&#x41D;&#x435;&#x43C;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-audioplayer-loader.tooltip":"&#x421;&#x435; &#x432;&#x447;&#x438;&#x442;&#x443;&#x432;&#x430; ...","ba-audioplayer.audio-error":"&#x41D;&#x430;&#x441;&#x442;&#x430;&#x43D;&#x430; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x430;, &#x43E;&#x431;&#x438;&#x434;&#x435;&#x442;&#x435; &#x441;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E; &#x43F;&#x43E;&#x434;&#x43E;&#x446;&#x43D;&#x430;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x437;&#x430; &#x434;&#x430; &#x441;&#x435; &#x43E;&#x431;&#x438;&#x434;&#x435;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-audiorecorder-chooser.record-audio":"&#x421;&#x43D;&#x438;&#x43C;&#x438; &#x430;&#x443;&#x434;&#x438;&#x43E;","ba-audiorecorder-chooser.upload-audio":"&#x41F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x435;&#x442;&#x435; &#x430;&#x443;&#x434;&#x438;&#x43E;","ba-audiorecorder-controlbar.settings":"&#x41F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x43A;&#x438;","ba-audiorecorder-controlbar.microphonehealthy":"&#x417;&#x432;&#x443;&#x43A;&#x43E;&#x442; &#x435; &#x434;&#x43E;&#x431;&#x430;&#x440;","ba-audiorecorder-controlbar.microphoneunhealthy":"&#x41D;&#x435; &#x43C;&#x43E;&#x436;&#x430;&#x43C; &#x434;&#x430; &#x441;&#x43E;&#x431;&#x435;&#x440;&#x430;&#x43C; &#x437;&#x432;&#x443;&#x43A;","ba-audiorecorder-controlbar.record":"&#x421;&#x43D;&#x438;&#x43C;&#x438;","ba-audiorecorder-controlbar.record-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x441;&#x43D;&#x438;&#x43C;&#x438;&#x442;&#x435;.","ba-audiorecorder-controlbar.rerecord":"&#x41F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;","ba-audiorecorder-controlbar.rerecord-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x43D;&#x430;&#x43F;&#x440;&#x430;&#x432;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-audiorecorder-controlbar.stop":"&#x417;&#x430;&#x441;&#x442;&#x430;&#x43D;&#x438;","ba-audiorecorder-controlbar.stop-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;&#x430; &#x437;&#x430; &#x434;&#x430; &#x437;&#x430;&#x43F;&#x440;&#x435;&#x442;&#x435;.","ba-audiorecorder-controlbar.stop-available-after":"&#x41C;&#x438;&#x43D;&#x438;&#x43C;&#x430;&#x43B;&#x43D;&#x43E;&#x442;&#x43E; &#x432;&#x440;&#x435;&#x43C;&#x435; &#x43D;&#x430; &#x441;&#x43D;&#x438;&#x43C;&#x430;&#x45A;&#x435; &#x435; %d &#x441;&#x435;&#x43A;&#x443;&#x43D;&#x434;&#x438;","ba-audiorecorder-controlbar.cancel":"&#x41E;&#x442;&#x43A;&#x430;&#x436;&#x438;","ba-audiorecorder-controlbar.cancel-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;&#x430; &#x437;&#x430; &#x434;&#x430; &#x43E;&#x442;&#x43A;&#x430;&#x436;&#x435;&#x442;&#x435;.","ba-videoplayer-controlbar.player-speed":"&#x411;&#x440;&#x437;&#x438;&#x43D;&#x430; &#x43D;&#x430; &#x43F;&#x43B;&#x435;&#x435;&#x440;&#x43E;&#x442;","ba-videoplayer-controlbar.settings":"&#x41F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x43A;&#x438;","ba-videoplayer-controlbar.airplay":"&#x412;&#x43E;&#x437;&#x434;&#x443;&#x448;&#x43D;&#x430; &#x438;&#x433;&#x440;&#x430;","ba-videoplayer-controlbar.airplay-icon":"&#x418;&#x43A;&#x43E;&#x43D;&#x430; &#x437;&#x430; &#x432;&#x43E;&#x437;&#x434;&#x443;&#x448;&#x43D;&#x430; &#x438;&#x433;&#x440;&#x430;.","ba-videoplayer.all-settings":"&#x421;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x43A;&#x438;","ba-videoplayer.player-speed":"&#x411;&#x440;&#x437;&#x438;&#x43D;&#x430; &#x43D;&#x430; &#x43F;&#x43B;&#x435;&#x435;&#x440;&#x43E;&#x442;","ba-videoplayer.full-screen":"&#x426;&#x435;&#x43B; &#x435;&#x43A;&#x440;&#x430;&#x43D;","ba-videorecorder-controlbar.add-stream":"&#x414;&#x43E;&#x434;&#x430;&#x434;&#x435;&#x442;&#x435; &#x43F;&#x43E;&#x442;&#x43E;&#x43A;","ba-videorecorder.switch-camera":"&#x41F;&#x440;&#x435;&#x444;&#x440;&#x43B;&#x435;&#x442;&#x435; &#x458;&#x430; &#x43A;&#x430;&#x43C;&#x435;&#x440;&#x430;&#x442;&#x430;","ba-videorecorder.prepare-covershot":"&#x41F;&#x43E;&#x434;&#x433;&#x43E;&#x442;&#x432;&#x443;&#x432;&#x430;&#x45A;&#x435; &#x43F;&#x43E;&#x43A;&#x440;&#x438;&#x432;&#x43A;&#x438;","ba-videorecorder.prepare-thumbnails":"&#x421;&#x435; &#x43F;&#x43E;&#x434;&#x433;&#x43E;&#x442;&#x432;&#x443;&#x432;&#x430; &#x431;&#x430;&#x440;&#x430;&#x45A;&#x435; &#x43D;&#x430; &#x441;&#x43B;&#x438;&#x43A;&#x438;&#x447;&#x43A;&#x438;","ba-videorecorder.adding-new-stream":"&#x414;&#x43E;&#x434;&#x430;&#x432;&#x430;&#x45A;&#x435; &#x43D;&#x43E;&#x432; &#x442;&#x435;&#x43A;","ba-imagecapture.recorder-error":"&#x41D;&#x430;&#x441;&#x442;&#x430;&#x43D;&#x430; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x430;, &#x43E;&#x431;&#x438;&#x434;&#x435;&#x442;&#x435; &#x441;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E; &#x43F;&#x43E;&#x434;&#x43E;&#x446;&#x43D;&#x430;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x437;&#x430; &#x434;&#x430; &#x441;&#x435; &#x43E;&#x431;&#x438;&#x434;&#x435;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-imagecapture.attach-error":"&#x41D;&#x435; &#x43C;&#x43E;&#x436;&#x435;&#x432;&#x43C;&#x435; &#x434;&#x430; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x430;&#x43F;&#x438;&#x43C;&#x435; &#x434;&#x43E; &#x43C;&#x435;&#x434;&#x438;&#x443;&#x43C;&#x441;&#x43A;&#x438;&#x43E;&#x442; &#x438;&#x43D;&#x442;&#x435;&#x440;&#x444;&#x435;&#x458;&#x441;. &#x412;&#x43E; &#x437;&#x430;&#x432;&#x438;&#x441;&#x43D;&#x43E;&#x441;&#x442; &#x43E;&#x434; &#x443;&#x440;&#x435;&#x434;&#x43E;&#x442; &#x438; &#x43F;&#x440;&#x435;&#x43B;&#x438;&#x441;&#x442;&#x443;&#x432;&#x430;&#x447;&#x43E;&#x442;, &#x43C;&#x43E;&#x436;&#x435;&#x431;&#x438; &#x45C;&#x435; &#x442;&#x440;&#x435;&#x431;&#x430; &#x434;&#x430; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x442;&#x435; Flash &#x438;&#x43B;&#x438; &#x434;&#x430; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x430;&#x43F;&#x438;&#x442;&#x435; &#x43D;&#x430; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x430;&#x442;&#x430; &#x43F;&#x440;&#x435;&#x43A;&#x443; SSL.","ba-imagecapture.software-required":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43F;&#x43E;&#x434;&#x43E;&#x43B;&#x443; &#x437;&#x430; &#x434;&#x430; &#x433;&#x438; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x442;&#x435; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x430;&#x442;&#x435; &#x441;&#x43B;&#x435;&#x434;&#x43D;&#x438;&#x432;&#x435; &#x431;&#x430;&#x440;&#x430;&#x45A;&#x430; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x434;&#x43E;&#x43B;&#x436;&#x438;&#x442;&#x435;.","ba-imagecapture.software-waiting":"&#x427;&#x435;&#x43A;&#x430;&#x458;&#x45C;&#x438; &#x434;&#x430; &#x441;&#x435; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x430;&#x442; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x430;&#x430;&#x442; &#x431;&#x430;&#x440;&#x430;&#x45A;&#x430;&#x442;&#x430;. &#x41C;&#x43E;&#x436;&#x435;&#x431;&#x438; &#x45C;&#x435; &#x442;&#x440;&#x435;&#x431;&#x430; &#x434;&#x430; &#x458;&#x430; &#x43E;&#x441;&#x432;&#x435;&#x436;&#x438;&#x442;&#x435; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x430;&#x442;&#x430; &#x43F;&#x43E; &#x437;&#x430;&#x432;&#x440;&#x448;&#x443;&#x432;&#x430;&#x45A;&#x435;&#x442;&#x43E;.","ba-imagecapture.access-forbidden":"&#x417;&#x430;&#x431;&#x440;&#x430;&#x43D;&#x435;&#x442; &#x435; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x430;&#x43F;&#x43E;&#x442; &#x434;&#x43E; &#x43C;&#x435;&#x434;&#x438;&#x443;&#x43C;&#x438;&#x442;&#x435;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x437;&#x430; &#x434;&#x430; &#x441;&#x435; &#x43E;&#x431;&#x438;&#x434;&#x435;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-imagecapture.uploading":"&#x421;&#x435; &#x43F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x443;&#x432;&#x430;","ba-imagecapture.uploading-failed":"&#x412;&#x447;&#x438;&#x442;&#x443;&#x432;&#x430;&#x45A;&#x435;&#x442;&#x43E; &#x43D;&#x435; &#x443;&#x441;&#x43F;&#x435;&#x430; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-imagecapture.upload-error-duration":"&#x414;&#x43E;&#x43B;&#x436;&#x438;&#x43D;&#x430;&#x442;&#x430; &#x43D;&#x430; &#x43F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x435;&#x43D;&#x430;&#x442;&#x430; &#x441;&#x43B;&#x438;&#x43A;&#x430; &#x43D;&#x435; &#x433;&#x438; &#x438;&#x441;&#x43F;&#x43E;&#x43B;&#x43D;&#x443;&#x432;&#x430; &#x443;&#x441;&#x43B;&#x43E;&#x432;&#x438;&#x442;&#x435; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-imagecapture.resolution-constraint-error":"&#x414;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x430;&#x442;&#x430; &#x448;&#x442;&#x43E; &#x458;&#x430; &#x438;&#x437;&#x431;&#x440;&#x430;&#x432;&#x442;&#x435; &#x43D;&#x435; &#x43E;&#x434;&#x433;&#x43E;&#x432;&#x430;&#x440;&#x430; &#x43D;&#x430; &#x43F;&#x43E;&#x442;&#x440;&#x435;&#x431;&#x43D;&#x430;&#x442;&#x430; &#x440;&#x435;&#x437;&#x43E;&#x43B;&#x443;&#x446;&#x438;&#x458;&#x430; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-imagecapture.verifying":"&#x41F;&#x43E;&#x442;&#x432;&#x440;&#x434;&#x443;&#x432;&#x430;&#x45A;&#x435;","ba-imagecapture.verifying-failed":"&#x41F;&#x43E;&#x442;&#x432;&#x440;&#x434;&#x430;&#x442;&#x430; &#x43D;&#x435; &#x443;&#x441;&#x43F;&#x435;&#x430; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-imagecapture.rerecord-confirm":"&#x414;&#x430;&#x43B;&#x438; &#x43D;&#x430;&#x432;&#x438;&#x441;&#x442;&#x438;&#x43D;&#x430; &#x441;&#x430;&#x43A;&#x430;&#x442;&#x435; &#x434;&#x430; &#x458;&#x430; &#x43F;&#x43E;&#x432;&#x440;&#x430;&#x442;&#x438;&#x442;&#x435; &#x432;&#x430;&#x448;&#x430;&#x442;&#x430; &#x441;&#x43B;&#x438;&#x43A;&#x430;?","ba-imagecapture.image_file_too_large":"&#x412;&#x430;&#x448;&#x430;&#x442;&#x430; &#x434;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x430; &#x441;&#x43E; &#x441;&#x43B;&#x438;&#x43A;&#x430; &#x435; &#x43F;&#x440;&#x435;&#x433;&#x43E;&#x43B;&#x435;&#x43C;&#x430; (%s) - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x441;&#x435; &#x43E;&#x431;&#x438;&#x434;&#x435;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E; &#x441;&#x43E; &#x43F;&#x43E;&#x43C;&#x430;&#x43B;&#x430; &#x434;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x430; &#x441;&#x43E; &#x441;&#x43B;&#x438;&#x43A;&#x430;.","ba-imagecapture.unsupported_image_type":"&#x41F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x435;&#x442;&#x435;: %s - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;&#x430; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-imagecapture.orientation-portrait-required":"&#x417;&#x430;&#x432;&#x440;&#x442;&#x435;&#x442;&#x435; &#x433;&#x43E; &#x443;&#x440;&#x435;&#x434;&#x43E;&#x442; &#x437;&#x430; &#x441;&#x43D;&#x438;&#x43C;&#x430;&#x45A;&#x435; &#x432;&#x43E; &#x440;&#x435;&#x436;&#x438;&#x43C; &#x43D;&#x430; &#x43F;&#x43E;&#x440;&#x442;&#x440;&#x435;&#x442;.","ba-imagecapture.orientation-landscape-required":"&#x417;&#x430;&#x432;&#x440;&#x442;&#x435;&#x442;&#x435; &#x433;&#x43E; &#x443;&#x440;&#x435;&#x434;&#x43E;&#x442; &#x437;&#x430; &#x441;&#x43D;&#x438;&#x43C;&#x430;&#x45A;&#x435; &#x432;&#x43E; &#x440;&#x435;&#x436;&#x438;&#x43C; &#x43D;&#x430; &#x43F;&#x435;&#x458;&#x437;&#x430;&#x436;.","ba-audiorecorder.recorder-error":"&#x41D;&#x430;&#x441;&#x442;&#x430;&#x43D;&#x430; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x430;, &#x43E;&#x431;&#x438;&#x434;&#x435;&#x442;&#x435; &#x441;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E; &#x43F;&#x43E;&#x434;&#x43E;&#x446;&#x43D;&#x430;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x437;&#x430; &#x434;&#x430; &#x441;&#x435; &#x43E;&#x431;&#x438;&#x434;&#x435;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-audiorecorder.attach-error":"&#x41D;&#x435; &#x43C;&#x43E;&#x436;&#x435;&#x432;&#x43C;&#x435; &#x434;&#x430; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x430;&#x43F;&#x438;&#x43C;&#x435; &#x434;&#x43E; &#x43C;&#x435;&#x434;&#x438;&#x443;&#x43C;&#x441;&#x43A;&#x438;&#x43E;&#x442; &#x438;&#x43D;&#x442;&#x435;&#x440;&#x444;&#x435;&#x458;&#x441;. &#x412;&#x43E; &#x437;&#x430;&#x432;&#x438;&#x441;&#x43D;&#x43E;&#x441;&#x442; &#x43E;&#x434; &#x443;&#x440;&#x435;&#x434;&#x43E;&#x442; &#x438; &#x43F;&#x440;&#x435;&#x43B;&#x438;&#x441;&#x442;&#x443;&#x432;&#x430;&#x447;&#x43E;&#x442;, &#x43C;&#x43E;&#x436;&#x435;&#x431;&#x438; &#x45C;&#x435; &#x442;&#x440;&#x435;&#x431;&#x430; &#x434;&#x430; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x442;&#x435; Flash &#x438;&#x43B;&#x438; &#x434;&#x430; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x430;&#x43F;&#x438;&#x442;&#x435; &#x43D;&#x430; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x430;&#x442;&#x430; &#x43F;&#x440;&#x435;&#x43A;&#x443; SSL.","ba-audiorecorder.software-required":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43F;&#x43E;&#x434;&#x43E;&#x43B;&#x443; &#x437;&#x430; &#x434;&#x430; &#x433;&#x438; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x442;&#x435; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x430;&#x442;&#x435; &#x441;&#x43B;&#x435;&#x434;&#x43D;&#x438;&#x432;&#x435; &#x431;&#x430;&#x440;&#x430;&#x45A;&#x430; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x434;&#x43E;&#x43B;&#x436;&#x438;&#x442;&#x435;.","ba-audiorecorder.software-waiting":"&#x427;&#x435;&#x43A;&#x430;&#x458;&#x45C;&#x438; &#x434;&#x430; &#x441;&#x435; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x430;&#x442; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x430;&#x430;&#x442; &#x431;&#x430;&#x440;&#x430;&#x45A;&#x430;&#x442;&#x430;. &#x41C;&#x43E;&#x436;&#x435;&#x431;&#x438; &#x45C;&#x435; &#x442;&#x440;&#x435;&#x431;&#x430; &#x434;&#x430; &#x458;&#x430; &#x43E;&#x441;&#x432;&#x435;&#x436;&#x438;&#x442;&#x435; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x430;&#x442;&#x430; &#x43F;&#x43E; &#x437;&#x430;&#x432;&#x440;&#x448;&#x443;&#x432;&#x430;&#x45A;&#x435;&#x442;&#x43E;.","ba-audiorecorder.access-forbidden":"&#x417;&#x430;&#x431;&#x440;&#x430;&#x43D;&#x435;&#x442; &#x435; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x430;&#x43F;&#x43E;&#x442; &#x434;&#x43E; &#x43C;&#x435;&#x434;&#x438;&#x443;&#x43C;&#x438;&#x442;&#x435;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x437;&#x430; &#x434;&#x430; &#x441;&#x435; &#x43E;&#x431;&#x438;&#x434;&#x435;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-audiorecorder.uploading":"&#x421;&#x435; &#x43F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x443;&#x432;&#x430;","ba-audiorecorder.uploading-failed":"&#x412;&#x447;&#x438;&#x442;&#x443;&#x432;&#x430;&#x45A;&#x435;&#x442;&#x43E; &#x43D;&#x435; &#x443;&#x441;&#x43F;&#x435;&#x430; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-audiorecorder.upload-error-duration":"&#x414;&#x43E;&#x43B;&#x436;&#x438;&#x43D;&#x430;&#x442;&#x430; &#x43D;&#x430; &#x43F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x435;&#x43D;&#x43E;&#x442;&#x43E; &#x430;&#x443;&#x434;&#x438;&#x43E; &#x43D;&#x435; &#x433;&#x438; &#x438;&#x441;&#x43F;&#x43E;&#x43B;&#x43D;&#x443;&#x432;&#x430; &#x443;&#x441;&#x43B;&#x43E;&#x432;&#x438;&#x442;&#x435; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-audiorecorder.verifying":"&#x41F;&#x43E;&#x442;&#x432;&#x440;&#x434;&#x443;&#x432;&#x430;&#x45A;&#x435;","ba-audiorecorder.verifying-failed":"&#x41F;&#x43E;&#x442;&#x432;&#x440;&#x434;&#x430;&#x442;&#x430; &#x43D;&#x435; &#x443;&#x441;&#x43F;&#x435;&#x430; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-audiorecorder.rerecord-confirm":"&#x414;&#x430;&#x43B;&#x438; &#x43D;&#x430;&#x432;&#x438;&#x441;&#x442;&#x438;&#x43D;&#x430; &#x441;&#x430;&#x43A;&#x430;&#x442;&#x435; &#x434;&#x430; &#x433;&#x43E; &#x43D;&#x430;&#x43F;&#x440;&#x430;&#x432;&#x438;&#x442;&#x435; &#x432;&#x430;&#x448;&#x435;&#x442;&#x43E; &#x430;&#x443;&#x434;&#x438;&#x43E; &#x43F;&#x43E;&#x440;&#x430;&#x43A;&#x430;?","ba-audiorecorder.cancel-confirm":"&#x414;&#x430;&#x43B;&#x438; &#x43D;&#x430;&#x432;&#x438;&#x441;&#x442;&#x438;&#x43D;&#x430; &#x441;&#x430;&#x43A;&#x430;&#x442;&#x435; &#x434;&#x430; &#x433;&#x43E; &#x43E;&#x442;&#x43A;&#x430;&#x436;&#x435;&#x442;&#x435; &#x430;&#x443;&#x434;&#x438;&#x43E; &#x43F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x443;&#x432;&#x430;&#x45A;&#x435;&#x442;&#x43E;?","ba-audiorecorder.audio_file_too_large":"&#x412;&#x430;&#x448;&#x430;&#x442;&#x430; &#x430;&#x443;&#x434;&#x438;&#x43E;-&#x434;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x430; &#x435; &#x43F;&#x440;&#x435;&#x433;&#x43E;&#x43B;&#x435;&#x43C;&#x430; (%s) - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;&#x430; &#x437;&#x430; &#x434;&#x430; &#x441;&#x435; &#x43E;&#x431;&#x438;&#x434;&#x435;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E; &#x441;&#x43E; &#x43F;&#x43E;&#x43C;&#x430;&#x43B;&#x430; &#x430;&#x443;&#x434;&#x438;&#x43E;-&#x434;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x430;.","ba-audiorecorder.unsupported_audio_type":"&#x41F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x435;&#x442;&#x435;: %s - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x442;&#x443;&#x43A;&#x430; &#x437;&#x430; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E;.","ba-common-settingsmenu.tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x437;&#x430; &#x434;&#x430; &#x438;&#x433;&#x440;&#x430;&#x442;&#x435;.","ba-common-settingsmenu.setting-menu":"&#x421;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x43A;&#x438;","ba-common-settingsmenu.source-quality":"&#x41A;&#x432;&#x430;&#x43B;&#x438;&#x442;&#x435;&#x442; &#x43D;&#x430; &#x438;&#x437;&#x432;&#x43E;&#x440;&#x43E;&#x442;","ba-common-settingsmenu.player-speed":"&#x411;&#x440;&#x437;&#x438;&#x43D;&#x430; &#x43D;&#x430; &#x43F;&#x43B;&#x435;&#x435;&#x440;&#x43E;&#x442;","ba-common-settingsmenu.set-menu-option":"&#x41F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x435;&#x442;&#x435; &#x43E;&#x43F;&#x446;&#x438;&#x458;&#x430;","ba-common-settingsmenu.submit-video":"&#x41F;&#x43E;&#x442;&#x432;&#x440;&#x434;&#x435;&#x442;&#x435; &#x433;&#x43E; &#x432;&#x438;&#x434;&#x435;&#x43E;&#x442;&#x43E;","ba-common-settingsmenu.picture-in-picture":"&#x421;&#x43B;&#x438;&#x43A;&#x430; &#x43D;&#x430; &#x441;&#x43B;&#x438;&#x43A;&#x430;","ba-common-settingsmenu.exit-fullscreen-video":"&#x418;&#x437;&#x43B;&#x435;&#x437;&#x435;&#x442;&#x435; &#x43E;&#x434; &#x446;&#x435;&#x43B; &#x435;&#x43A;&#x440;&#x430;&#x43D;","ba-common-settingsmenu.fullscreen-video":"&#x412;&#x43D;&#x435;&#x441;&#x435;&#x442;&#x435; &#x446;&#x435;&#x43B; &#x435;&#x43A;&#x440;&#x430;&#x43D;","ba-videorecorder-chooser.multi-stream":"&#x41C;&#x443;&#x43B;&#x442;&#x438;-&#x43F;&#x43E;&#x442;&#x43E;&#x43A;","ba-videorecorder-controlbar.pause-recorder":"&#x41F;&#x430;&#x443;&#x437;&#x430; &#x43D;&#x430; &#x441;&#x43D;&#x438;&#x43C;&#x430;&#x447;&#x43E;&#x442;","ba-videorecorder-controlbar.resume-recorder":"&#x41F;&#x440;&#x43E;&#x434;&#x43E;&#x43B;&#x436;&#x438; &#x420;&#x435;&#x43A;&#x43E;&#x440;&#x434;&#x435;&#x440;","ba-videorecorder.missing-track":"&#x41D;&#x435;&#x434;&#x43E;&#x441;&#x442;&#x430;&#x441;&#x443;&#x432;&#x430; &#x43F;&#x43E;&#x442;&#x440;&#x435;&#x431;&#x43D;&#x430;&#x442;&#x430; &#x430;&#x443;&#x434;&#x438;&#x43E; &#x438;&#x43B;&#x438; &#x432;&#x438;&#x434;&#x435;&#x43E;-&#x442;&#x440;&#x430;&#x43A;&#x430;","ba-videorecorder.device-already-in-use":"&#x411;&#x430;&#x440;&#x435;&#x43C; &#x435;&#x434;&#x435;&#x43D; &#x43E;&#x434; &#x432;&#x430;&#x448;&#x438;&#x442;&#x435; &#x432;&#x43B;&#x435;&#x437;&#x43D;&#x438; &#x443;&#x440;&#x435;&#x434;&#x438; &#x432;&#x435;&#x45C;&#x435; &#x441;&#x435; &#x43A;&#x43E;&#x440;&#x438;&#x441;&#x442;&#x438;","ba-videorecorder.browser-permission-denied":"&#x414;&#x43E;&#x437;&#x432;&#x43E;&#x43B;&#x430;&#x442;&#x430; &#x435; &#x43E;&#x434;&#x431;&#x438;&#x435;&#x43D;&#x430; &#x43E;&#x434; &#x43F;&#x440;&#x435;&#x43B;&#x438;&#x441;&#x442;&#x443;&#x432;&#x430;&#x447;&#x43E;&#x442;, &#x434;&#x43E;&#x434;&#x435;&#x43B;&#x435;&#x442;&#x435; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x430;&#x43F; &#x438; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x43D;&#x43E; &#x432;&#x447;&#x438;&#x442;&#x430;&#x458;&#x442;&#x435; &#x458;&#x430; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x430;&#x442;&#x430;","ba-audioplayer.all-settings":"&#x421;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x43A;&#x438;","ba-videoplayer-controlbar.remaining-time":"&#x41F;&#x440;&#x435;&#x43E;&#x441;&#x442;&#x430;&#x43D;&#x430;&#x442;&#x43E;&#x442;&#x43E; &#x432;&#x440;&#x435;&#x43C;&#x435;","ba-videoplayer-controlbar.select-frame":"&#x418;&#x437;&#x431;&#x435;&#x440;&#x435;&#x442;&#x435;","ba-videoplayer-controlbar.trim-video":"&#x41D;&#x430;&#x43C;&#x430;&#x43B;&#x438;","ba-videoplayer-playbutton.trim":"&#x41D;&#x430;&#x43C;&#x430;&#x43B;&#x438;","ba-videoplayer-playbutton.skip":"&#x41F;&#x440;&#x435;&#x441;&#x43A;&#x43E;&#x43A;&#x43D;&#x438;","ba-videorecorder-imagegallery.upload-covershot":"&#x41F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x435;&#x442;&#x435; &#x43A;&#x43E;&#x440;&#x438;&#x446;&#x430;","ba-videorecorder.pick-covershot-frame":"&#x418;&#x437;&#x431;&#x435;&#x440;&#x435;&#x442;&#x435; &#x440;&#x430;&#x43C;&#x43A;&#x430; &#x448;&#x442;&#x43E; &#x45C;&#x435; &#x458;&#x430; &#x43A;&#x43E;&#x440;&#x438;&#x441;&#x442;&#x438;&#x442;&#x435; &#x43A;&#x430;&#x43A;&#x43E; &#x43F;&#x43E;&#x43A;&#x440;&#x438;&#x432;&#x43A;&#x430;.","ba-videorecorder.screen-recorder-is-not-supported":"&#x421;&#x43D;&#x438;&#x43C;&#x430;&#x447;&#x43E;&#x442; &#x43D;&#x430; &#x435;&#x43A;&#x440;&#x430;&#x43D;&#x43E;&#x442; &#x43D;&#x435; &#x435; &#x43F;&#x43E;&#x434;&#x434;&#x440;&#x436;&#x430;&#x43D; &#x43D;&#x430; &#x43E;&#x432;&#x43E;&#x458; &#x443;&#x440;&#x435;&#x434;","ba-videorecorder.trim-prompt":"&#x414;&#x430;&#x43B;&#x438; &#x441;&#x430;&#x43A;&#x430;&#x442;&#x435; &#x434;&#x430; &#x433;&#x43E; &#x438;&#x441;&#x435;&#x447;&#x435;&#x442;&#x435; &#x432;&#x430;&#x448;&#x435;&#x442;&#x43E; &#x432;&#x438;&#x434;&#x435;&#x43E;?","ba-videorecorder.trim-video":"&#x41F;&#x43E;&#x43C;&#x435;&#x441;&#x442;&#x435;&#x442;&#x435; &#x433;&#x438; &#x43E;&#x437;&#x43D;&#x430;&#x43A;&#x438;&#x442;&#x435; &#x437;&#x430; &#x43F;&#x43E;&#x447;&#x435;&#x442;&#x43E;&#x43A; &#x438; &#x43A;&#x440;&#x430;&#x458; &#x437;&#x430; &#x434;&#x430; &#x433;&#x43E; &#x438;&#x441;&#x435;&#x447;&#x435;&#x442;&#x435; &#x432;&#x430;&#x448;&#x435;&#x442;&#x43E; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videorecorder.wait-for-trim":"&#x421;&#x435; &#x447;&#x435;&#x43A;&#x430; &#x43A;&#x43E;&#x43C;&#x430;&#x43D;&#x434;&#x430;&#x442;&#x430; &#x437;&#x430; &#x442;&#x440;&#x438;&#x43C; ...","ba-videorecorder-controlbar.no-video-source":"&#x41D;&#x435;&#x434;&#x43E;&#x441;&#x442;&#x430;&#x441;&#x443;&#x432;&#x430; &#x434;&#x43E;&#x43F;&#x43E;&#x43B;&#x43D;&#x438;&#x442;&#x435;&#x43B;&#x435;&#x43D; &#x438;&#x437;&#x432;&#x43E;&#x440; &#x437;&#x430; &#x432;&#x43D;&#x435;&#x441;&#x443;&#x432;&#x430;&#x45A;&#x435; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videorecorder-controlbar.stream-already-selected":"&#x414;&#x43E;&#x43F;&#x43E;&#x43B;&#x43D;&#x438;&#x442;&#x435;&#x43B;&#x435;&#x43D; &#x442;&#x435;&#x43A; &#x432;&#x435;&#x45C;&#x435; &#x435; &#x438;&#x437;&#x431;&#x440;&#x430;&#x43D;","ba-videorecorder.uploading-src-error":"&#x41D;&#x435; &#x43C;&#x43E;&#x436;&#x435; &#x434;&#x430; &#x441;&#x435; &#x440;&#x435;&#x43F;&#x440;&#x43E;&#x434;&#x443;&#x446;&#x438;&#x440;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x441;&#x435;&#x433;&#x430;, &#x43F;&#x440;&#x438;&#x43A;&#x430;&#x447;&#x443;&#x432;&#x430;&#x45A;&#x435;&#x442;&#x43E; &#x435; &#x441;&#x435;&#x443;&#x448;&#x442;&#x435; &#x432;&#x43E; &#x442;&#x435;&#x43A;","ba-audiorecorder-controlbar.pause-recorder":"&#x41F;&#x430;&#x443;&#x437;&#x438;&#x440;&#x430;&#x458;&#x442;&#x435; &#x433;&#x43E; &#x440;&#x435;&#x43A;&#x43E;&#x440;&#x434;&#x435;&#x440;&#x43E;&#x442;","ba-audiorecorder-controlbar.resume-recorder":"&#x420;&#x435;&#x437;&#x438;&#x43C;&#x435; &#x43D;&#x430; &#x440;&#x435;&#x437;&#x438;&#x43C;&#x435;"},"language:nl":{"ba-videoplayer-playbutton.tooltip":"Klik om video af te spelen.","ba-videoplayer-playbutton.rerecord":"Opnieuw","ba-videoplayer-playbutton.submit-video":"Bevestigen","ba-videoplayer-loader.tooltip":"Laden...","ba-videoplayer-controlbar.change-resolution":"Resolutie veranderen","ba-videoplayer-controlbar.video-progress":"Vooruitgang","ba-videoplayer-controlbar.rerecord-video":"Opnieuw opnemen?","ba-videoplayer-controlbar.submit-video":"Bevestigen","ba-videoplayer-controlbar.play-video":"Afspelen","ba-videoplayer-controlbar.pause-video":"Pauze","ba-videoplayer-controlbar.elapsed-time":"Verstreken tijd","ba-videoplayer-controlbar.total-time":"De totale lengte van de video","ba-videoplayer-controlbar.fullscreen-video":"Volledig scherm","ba-videoplayer-controlbar.volume-button":"Volume instellen","ba-videoplayer-controlbar.volume-mute":"Geluid dempen","ba-videoplayer-controlbar.volume-unmute":"Geluid inschakelen","ba-videoplayer.video-error":"Er is een fout opgetreden, probeer het later opnieuw. Klik hier om opnieuw te proberen.","ba-videorecorder-chooser.record-video":"Video opnemen","ba-videorecorder-chooser.upload-video":"Video uploaden","ba-videorecorder-controlbar.settings":"Instellingen","ba-videorecorder-controlbar.camerahealthy":"Verlichting is goed","ba-videorecorder-controlbar.cameraunhealthy":"Verlichting is niet optimaal","ba-videorecorder-controlbar.microphonehealthy":"Het geluid is goed","ba-videorecorder-controlbar.microphoneunhealthy":"Geluid is niet optimaal","ba-videorecorder-controlbar.record":"Opnemen","ba-videorecorder-controlbar.record-tooltip":"Klik hier om te registreren.","ba-videorecorder-controlbar.rerecord":"Opnieuw opnemen","ba-videorecorder-controlbar.rerecord-tooltip":"Opnieuw opnemen","ba-videorecorder-controlbar.upload-covershot":"Video uploaden","ba-videorecorder-controlbar.upload-covershot-tooltip":"Klik hier om je aangepaste cover te uploaden","ba-videorecorder-controlbar.stop":"Stop","ba-videorecorder-controlbar.stop-tooltip":"Klik hier om te stoppen.","ba-videorecorder-controlbar.skip":"Overslaan","ba-videorecorder-controlbar.skip-tooltip":"Klik hier om over te slaan.","ba-videorecorder.recorder-error":"Er is een fout opgetreden, probeer het later opnieuw. Klik hier om opnieuw te proberen.","ba-videorecorder.attach-error":"We konden geen toegang krijgen tot de camera. Afhankelijk van het apparaat en de browser, moet u misschien Flash installeren of toegang tot de pagina via SSL.","ba-videorecorder.access-forbidden":"De toegang tot de camera was verboden. Klik hier om opnieuw te proberen.","ba-videorecorder.pick-covershot":"Kies een covershot.","ba-videorecorder.uploading":"Uploaden","ba-videorecorder.uploading-failed":"Uploaden mislukt - klik hier om opnieuw te proberen.","ba-videorecorder.verifying":"Verifi&#xEB;ren","ba-videorecorder.verifying-failed":"Verificatie mislukt - klik hier om opnieuw te proberen.","ba-videorecorder.rerecord-confirm":"Wil je echt je video opnieuw opnemen?","ba-videorecorder.video_file_too_large":"Uw video bestand is te groot (%s) - klik hier om opnieuw te proberen met een kleiner bestand.","ba-videorecorder.unsupported_video_type":"Upload: %s - klik hier om opnieuw te proberen.","ba-videoplayer-controlbar.exit-fullscreen-video":"Verlaat volledig scherm","ba-videoplayer-share.share":"Video Helen","ba-videorecorder-chooser.record-screen":"Scherm opnemen","ba-videoplayer-controlbar.pause-video-disabled":"Pauzeren niet ondersteund","ba-videorecorder-chooser.record-audio":"Geluid opnemen","ba-videorecorder-controlbar.stop-available-after":"Minimale opnametijd is %d seconden","ba-videorecorder-controlbar.cancel":"Annuleren","ba-videorecorder-controlbar.cancel-tooltip":"Klik hier om te annuleren.","ba-videorecorder.cancel-confirm":"Wil je je upload echt annuleren?","ba-videoplayer-adslot.elapsed-time":"Verstreken tijd","ba-videoplayer-adslot.volume-button":"Volume","ba-videoplayer-adslot.volume-mute":"Geluid dempen","ba-videoplayer-adslot.volume-unmute":"Geluid inschakelen","ba-videoplayer-adslot.ad-will-end-after":"Advertentie eindigt na %s","ba-videoplayer-adslot.can-skip-after":"Skip na %d","ba-videoplayer-adslot.skip-ad":"Advertentie overslaan","ba-videorecorder.software-required":"Klik hieronder om de volgende vereisten te installeren / activeren om door te gaan.","ba-videorecorder.software-waiting":"Wacht tot de vereisten zijn ge&#xEF;nstalleerd / geactiveerd. Mogelijk moet u de pagina na voltooiing vernieuwen.","ba-videoplayer-controlbar.close-tracks":"Sluit CC","ba-videoplayer-controlbar.show-tracks":"Toon CC","ba-videoplayer-tracks.upload-text-tracks":"Uploadtekstbestanden uploaden","ba-videoplayer-tracks.select-text-track-language":"Taal ondertitels","ba-videoplayer-tracks.info-select-locale-first":"Selecteer eerst locale","ba-videoplayer-tracks.select-text-track-file":"Klik om bestand te selecteren","ba-videoplayer-tracks.back":"terug","ba-videorecorder.framerate-warning":"De videoframesnelheid is erg laag. We raden aan om alle andere programma&#x27;s en browsertabs te sluiten of om een &#x200B;&#x200B;snellere computer te gebruiken.","ba-videorecorder.upload-error-duration":"De lengte van de ge&#xFC;ploade video voldoet niet aan de vereisten. Klik hier om opnieuw te proberen.","ba-videorecorder.resolution-constraint-error":"Het bestand dat je hebt geselecteerd komt niet overeen met de vereiste resolutie - klik hier om het opnieuw te proberen.","ba-videorecorder.orientation-portrait-required":"Draai uw apparaat om op te nemen in staande modus.","ba-videorecorder.orientation-landscape-required":"Draai je apparaat om in de liggende modus op te nemen.","ba-imageviewer-controlbar.rerecord-image":"Opnieuw doen?","ba-imageviewer-controlbar.submit-image":"Bevestigen","ba-imageviewer-controlbar.fullscreen-image":"Voer het volledige scherm in","ba-imageviewer-controlbar.exit-fullscreen-image":"Verlaat volledig scherm","ba-imageviewer.image-error":"Er is een fout opgetreden. Probeer het later opnieuw. Klik om opnieuw te proberen.","ba-imagecapture-chooser.image-capture":"Capture Image","ba-imagecapture-chooser.upload-image":"Afbeelding uploaden","ba-imagecapture-controlbar.settings":"instellingen","ba-imagecapture-controlbar.camerahealthy":"Verlichting is goed","ba-imagecapture-controlbar.cameraunhealthy":"Verlichting is niet optimaal","ba-imagecapture-controlbar.record":"Gevangen nemen","ba-imagecapture-controlbar.record-tooltip":"Klik hier om vast te leggen.","ba-imagecapture-controlbar.rerecord":"Opnieuw doen","ba-imagecapture-controlbar.rerecord-tooltip":"Klik hier om opnieuw te doen.","ba-imagecapture-controlbar.cancel":"Annuleer","ba-imagecapture-controlbar.cancel-tooltip":"Klik hier om te annuleren.","ba-audioplayer-controlbar.audio-progress":"Vooruitgang","ba-audioplayer-controlbar.rerecord-audio":"Opnieuw doen?","ba-audioplayer-controlbar.submit-audio":"Bevestigen","ba-audioplayer-controlbar.play-audio":"Spelen","ba-audioplayer-controlbar.pause-audio":"Pauze","ba-audioplayer-controlbar.pause-audio-disabled":"Pauzeren niet ondersteund","ba-audioplayer-controlbar.elapsed-time":"Verstreken tijd","ba-audioplayer-controlbar.total-time":"Totale lengte van","ba-audioplayer-controlbar.volume-button":"Volume instellen","ba-audioplayer-controlbar.volume-mute":"Geluid dempen","ba-audioplayer-controlbar.volume-unmute":"Geluid dempen","ba-audioplayer-loader.tooltip":"Bezig met laden...","ba-audioplayer.audio-error":"Er is een fout opgetreden. Probeer het later opnieuw. Klik om opnieuw te proberen.","ba-audiorecorder-chooser.record-audio":"Geluid opnemen","ba-audiorecorder-chooser.upload-audio":"Upload audio","ba-audiorecorder-controlbar.settings":"instellingen","ba-audiorecorder-controlbar.microphonehealthy":"Geluid is goed","ba-audiorecorder-controlbar.microphoneunhealthy":"Kan geen geluid oppikken","ba-audiorecorder-controlbar.record":"Record","ba-audiorecorder-controlbar.record-tooltip":"Klik hier om op te nemen.","ba-audiorecorder-controlbar.rerecord":"Opnieuw doen","ba-audiorecorder-controlbar.rerecord-tooltip":"Klik hier om opnieuw te doen.","ba-audiorecorder-controlbar.stop":"Hou op","ba-audiorecorder-controlbar.stop-tooltip":"Klik hier om te stoppen.","ba-audiorecorder-controlbar.stop-available-after":"Minimale opnametijd is %d seconden","ba-audiorecorder-controlbar.cancel":"Annuleer","ba-audiorecorder-controlbar.cancel-tooltip":"Klik hier om te annuleren.","ba-videoplayer-controlbar.player-speed":"Snelheid van de speler","ba-videoplayer-controlbar.settings":"instellingen","ba-videoplayer-controlbar.airplay":"airplay","ba-videoplayer-controlbar.airplay-icon":"Airplay-pictogram.","ba-videoplayer.all-settings":"Alle instellingen","ba-videoplayer.player-speed":"Snelheid van de speler","ba-videoplayer.full-screen":"Volledig scherm","ba-videorecorder-controlbar.add-stream":"Stream toevoegen","ba-videorecorder.switch-camera":"Schakel camera","ba-videorecorder.prepare-covershot":"Dekkinghots voorbereiden","ba-videorecorder.prepare-thumbnails":"Voorbereiden op het zoeken naar miniaturen","ba-videorecorder.adding-new-stream":"Nieuwe stream toevoegen","ba-imagecapture.recorder-error":"Er is een fout opgetreden. Probeer het later opnieuw. Klik om opnieuw te proberen.","ba-imagecapture.attach-error":"We hadden geen toegang tot de media-interface. Afhankelijk van het apparaat en de browser, moet u mogelijk Flash installeren of de pagina openen via SSL.","ba-imagecapture.software-required":"Klik hieronder om de volgende vereisten te installeren / activeren om door te gaan.","ba-imagecapture.software-waiting":"Wacht tot de vereisten zijn ge&#xEF;nstalleerd / geactiveerd. Mogelijk moet u de pagina na voltooiing vernieuwen.","ba-imagecapture.access-forbidden":"Toegang tot de media was verboden. Klik om opnieuw te proberen.","ba-imagecapture.uploading":"uploaden","ba-imagecapture.uploading-failed":"Uploaden mislukt - klik hier om het opnieuw te proberen.","ba-imagecapture.upload-error-duration":"De lengte van de ge&#xFC;ploade afbeelding voldoet niet aan de vereisten. Klik hier om opnieuw te proberen.","ba-imagecapture.resolution-constraint-error":"Het bestand dat u heeft geselecteerd komt niet overeen met de vereiste resolutie - klik hier om het opnieuw te proberen.","ba-imagecapture.verifying":"Het verifi&#xEB;ren","ba-imagecapture.verifying-failed":"Verifi&#xEB;ren mislukt - klik hier om het opnieuw te proberen.","ba-imagecapture.rerecord-confirm":"Wil je echt je foto opnieuw maken?","ba-imagecapture.image_file_too_large":"Uw afbeeldingsbestand is te groot (%s) - klik hier om het opnieuw te proberen met een kleiner afbeeldingsbestand.","ba-imagecapture.unsupported_image_type":"Upload alstublieft: %s - klik hier om het opnieuw te proberen.","ba-imagecapture.orientation-portrait-required":"Draai uw apparaat om op te nemen in staande modus.","ba-imagecapture.orientation-landscape-required":"Draai je apparaat om op te nemen in liggende modus.","ba-audiorecorder.recorder-error":"Er is een fout opgetreden. Probeer het later opnieuw. Klik om opnieuw te proberen.","ba-audiorecorder.attach-error":"We hadden geen toegang tot de media-interface. Afhankelijk van het apparaat en de browser, moet u mogelijk Flash installeren of de pagina openen via SSL.","ba-audiorecorder.software-required":"Klik hieronder om de volgende vereisten te installeren / activeren om door te gaan.","ba-audiorecorder.software-waiting":"Wacht tot de vereisten zijn ge&#xEF;nstalleerd / geactiveerd. Mogelijk moet u de pagina na voltooiing vernieuwen.","ba-audiorecorder.access-forbidden":"Toegang tot de media was verboden. Klik om opnieuw te proberen.","ba-audiorecorder.uploading":"uploaden","ba-audiorecorder.uploading-failed":"Uploaden mislukt - klik hier om het opnieuw te proberen.","ba-audiorecorder.upload-error-duration":"De lengte van de ge&#xFC;ploade audio voldoet niet aan de vereisten. Klik hier om opnieuw te proberen.","ba-audiorecorder.verifying":"Het verifi&#xEB;ren","ba-audiorecorder.verifying-failed":"Verifi&#xEB;ren mislukt - klik hier om het opnieuw te proberen.","ba-audiorecorder.rerecord-confirm":"Wil je je audio echt opnieuw spelen?","ba-audiorecorder.cancel-confirm":"Wil je echt je audio-upload annuleren?","ba-audiorecorder.audio_file_too_large":"Je audiobestand is te groot (%s) - klik hier om het opnieuw te proberen met een kleiner audiobestand.","ba-audiorecorder.unsupported_audio_type":"Upload alstublieft: %s - klik hier om het opnieuw te proberen.","ba-common-settingsmenu.tooltip":"Klik om te spelen.","ba-common-settingsmenu.setting-menu":"Alle instellingen","ba-common-settingsmenu.source-quality":"Bronkwaliteit","ba-common-settingsmenu.player-speed":"Speler snelheid","ba-common-settingsmenu.set-menu-option":"Optie instellen","ba-common-settingsmenu.submit-video":"Bevestig video","ba-common-settingsmenu.picture-in-picture":"Foto in foto","ba-common-settingsmenu.exit-fullscreen-video":"Verlaat volledig scherm","ba-common-settingsmenu.fullscreen-video":"Volledig scherm openen","ba-videorecorder-chooser.multi-stream":"Multi-stream","ba-videorecorder-controlbar.pause-recorder":"Pauzeer de recorder","ba-videorecorder-controlbar.resume-recorder":"Hervat de recorder","ba-videorecorder.missing-track":"Vereiste audio- of videotrack ontbreekt","ba-videorecorder.device-already-in-use":"Minstens een van uw invoerapparaten is al in gebruik","ba-videorecorder.browser-permission-denied":"Toestemming geweigerd door browser, geef toegang en laad de pagina opnieuw","ba-audioplayer.all-settings":"Alle instellingen","ba-videoplayer-controlbar.remaining-time":"Overgebleven tijd","ba-videoplayer-controlbar.select-frame":"Selecteer","ba-videoplayer-controlbar.trim-video":"Trimmen","ba-videoplayer-playbutton.trim":"Trimmen","ba-videoplayer-playbutton.skip":"Overspringen","ba-videorecorder-imagegallery.upload-covershot":"Omslag uploaden","ba-videorecorder.pick-covershot-frame":"Selecteer een frame om als covershot te gebruiken.","ba-videorecorder.screen-recorder-is-not-supported":"Schermrecorder wordt niet ondersteund op dit apparaat","ba-videorecorder.trim-prompt":"Wil je je video inkorten?","ba-videorecorder.trim-video":"Verplaats de begin- en eindmarkeringen om je video bij te snijden","ba-videorecorder.wait-for-trim":"Wachten op trimcommando...","ba-videorecorder-controlbar.no-video-source":"Ontbrekende extra video-invoerbron","ba-videorecorder-controlbar.stream-already-selected":"Extra stream is al geselecteerd","ba-videorecorder.uploading-src-error":"Kan de video nu niet afspelen, het uploaden is nog bezig","ba-audiorecorder-controlbar.pause-recorder":"Recorder pauzeren","ba-audiorecorder-controlbar.resume-recorder":"Recorder hervatten"},"language:no":{"ba-videoplayer-playbutton.tooltip":"Klikk for &#xE5; spille video.","ba-videoplayer-playbutton.rerecord":"Gj&#xF8;re om","ba-videoplayer-playbutton.submit-video":"bekreft video","ba-videoplayer-loader.tooltip":"Laster video ...","ba-videoplayer-controlbar.change-resolution":"Endre oppl&#xF8;sning","ba-videoplayer-controlbar.video-progress":"video fremgang","ba-videoplayer-controlbar.rerecord-video":"Gj&#xF8;r om videoen?","ba-videoplayer-controlbar.submit-video":"bekreft video","ba-videoplayer-controlbar.play-video":"spill video","ba-videoplayer-controlbar.pause-video":"pause video","ba-videoplayer-controlbar.elapsed-time":"Forl&#xF8;pt tid","ba-videoplayer-controlbar.total-time":"Total lengde p&#xE5; video","ba-videoplayer-controlbar.fullscreen-video":"Skriv fullskjerm","ba-videoplayer-controlbar.volume-button":"Still inn volum","ba-videoplayer-controlbar.volume-mute":"lyd","ba-videoplayer-controlbar.volume-unmute":"lyd","ba-videoplayer.video-error":"En feil oppstod. Vennligst pr&#xF8;v igjen senere. Klikk for &#xE5; pr&#xF8;ve p&#xE5; nytt.","ba-videorecorder-chooser.record-video":"Spill av video","ba-videorecorder-chooser.upload-video":"Last opp video","ba-videorecorder-controlbar.settings":"innstillinger","ba-videorecorder-controlbar.camerahealthy":"Belysning er god","ba-videorecorder-controlbar.cameraunhealthy":"Belysning er ikke optimal","ba-videorecorder-controlbar.microphonehealthy":"Lyden er god","ba-videorecorder-controlbar.microphoneunhealthy":"Kan ikke plukke opp noen lyd","ba-videorecorder-controlbar.record":"Ta opp","ba-videorecorder-controlbar.record-tooltip":"Klikk her for &#xE5; spille inn.","ba-videorecorder-controlbar.rerecord":"Gj&#xF8;re om","ba-videorecorder-controlbar.rerecord-tooltip":"Klikk her for &#xE5; gj&#xF8;re om.","ba-videorecorder-controlbar.upload-covershot":"Laste opp","ba-videorecorder-controlbar.upload-covershot-tooltip":"Klikk her for &#xE5; laste opp egendefinerte dekke skudd","ba-videorecorder-controlbar.stop":"Stoppe","ba-videorecorder-controlbar.stop-tooltip":"Klikk her for &#xE5; stoppe.","ba-videorecorder-controlbar.skip":"Hopp","ba-videorecorder-controlbar.skip-tooltip":"Klikk her for &#xE5; hoppe.","ba-videorecorder.recorder-error":"En feil oppstod. Vennligst pr&#xF8;v igjen senere. Klikk for &#xE5; pr&#xF8;ve p&#xE5; nytt.","ba-videorecorder.attach-error":"Vi kunne ikke f&#xE5; tilgang til kameraet grensesnitt. Avhengig av enheten og nettleser, kan det hende du m&#xE5; installere Flash eller tilgang til siden via SSL.","ba-videorecorder.access-forbidden":"Tilgang til kameraet ble forbudt. Klikk for &#xE5; pr&#xF8;ve p&#xE5; nytt.","ba-videorecorder.pick-covershot":"Plukk en covershot.","ba-videorecorder.uploading":"Laster opp","ba-videorecorder.uploading-failed":"Opplasting mislyktes - klikk her for &#xE5; pr&#xF8;ve p&#xE5; nytt.","ba-videorecorder.verifying":"Bekrefter","ba-videorecorder.verifying-failed":"Bekrefter mislyktes - klikk her for &#xE5; pr&#xF8;ve p&#xE5; nytt.","ba-videorecorder.rerecord-confirm":"Har du virkelig &#xF8;nsker &#xE5; gj&#xF8;re om videoen?","ba-videorecorder.video_file_too_large":"Videofilen er for stor (%s) - klikk her for &#xE5; pr&#xF8;ve p&#xE5; nytt med en mindre videofil.","ba-videorecorder.unsupported_video_type":"Last opp: %s - klikk her for &#xE5; pr&#xF8;ve p&#xE5; nytt.","ba-videoplayer-controlbar.exit-fullscreen-video":"Avslutt fullskjerm","ba-videoplayer-share.share":"Del video","ba-videorecorder-chooser.record-screen":"Opptaksskjerm","ba-videoplayer-controlbar.pause-video-disabled":"Pause ikke st&#xF8;ttet","ba-videorecorder-chooser.record-audio":"Ta opp lyd","ba-videorecorder-controlbar.stop-available-after":"Minimum opptakstid er %d sekunder","ba-videorecorder-controlbar.cancel":"Avbryt","ba-videorecorder-controlbar.cancel-tooltip":"Klikk her for &#xE5; avbryte.","ba-videorecorder.cancel-confirm":"Vil du virkelig slette videoopplasting?","ba-videoplayer-adslot.elapsed-time":"Forl&#xF8;pt tid","ba-videoplayer-adslot.volume-button":"Angi volum","ba-videoplayer-adslot.volume-mute":"Dempe lyd","ba-videoplayer-adslot.volume-unmute":"Sl&#xE5; av lyden","ba-videoplayer-adslot.ad-will-end-after":"Annonsen slutter etter %s","ba-videoplayer-adslot.can-skip-after":"Hopp over etter %d","ba-videoplayer-adslot.skip-ad":"Hopp over annonse","ba-videorecorder.software-required":"Vennligst klikk nedenfor for &#xE5; installere / aktivere f&#xF8;lgende krav for &#xE5; fortsette.","ba-videorecorder.software-waiting":"Venter p&#xE5; kravene som skal installeres / aktiveres. Du m&#xE5; kanskje oppdatere siden etter ferdigstillelse.","ba-videoplayer-controlbar.close-tracks":"Lukk CC","ba-videoplayer-controlbar.show-tracks":"Vis CC","ba-videoplayer-tracks.upload-text-tracks":"Last opp tekstfilfiler","ba-videoplayer-tracks.select-text-track-language":"Undertekst Spr&#xE5;k","ba-videoplayer-tracks.info-select-locale-first":"Velg f&#xF8;rst spr&#xE5;k","ba-videoplayer-tracks.select-text-track-file":"Klikk for &#xE5; velge fil","ba-videoplayer-tracks.back":"tilbake","ba-videorecorder.framerate-warning":"Videorammen er sv&#xE6;rt lav. Vi anbefaler at du lukker alle andre programmer og nettleserfliker eller bruker en raskere datamaskin.","ba-videorecorder.upload-error-duration":"Lengden p&#xE5; den opplastede videoen oppfyller ikke kravene - klikk her for &#xE5; pr&#xF8;ve p&#xE5; nytt.","ba-videorecorder.resolution-constraint-error":"Filen du har valgt stemmer ikke overens med &#xF8;nsket oppl&#xF8;sning - klikk her for &#xE5; pr&#xF8;ve p&#xE5; nytt.","ba-videorecorder.orientation-portrait-required":"Vennligst roter enheten til &#xE5; ta opp i st&#xE5;ende modus.","ba-videorecorder.orientation-landscape-required":"Vennligst roter enheten til &#xE5; ta opp i liggende modus.","ba-imageviewer-controlbar.rerecord-image":"Gj&#xF8;re om?","ba-imageviewer-controlbar.submit-image":"Bekrefte","ba-imageviewer-controlbar.fullscreen-image":"Skriv inn fullskjerm","ba-imageviewer-controlbar.exit-fullscreen-image":"Avslutt fullskjerm","ba-imageviewer.image-error":"En feil oppstod. Vennligst pr&#xF8;v igjen senere. Klikk for &#xE5; pr&#xF8;ve igjen.","ba-imagecapture-chooser.image-capture":"Capture Image","ba-imagecapture-chooser.upload-image":"Last opp bilde","ba-imagecapture-controlbar.settings":"innstillinger","ba-imagecapture-controlbar.camerahealthy":"Belysning er bra","ba-imagecapture-controlbar.cameraunhealthy":"Belysning er ikke optimal","ba-imagecapture-controlbar.record":"Capture","ba-imagecapture-controlbar.record-tooltip":"Klikk her for &#xE5; fange.","ba-imagecapture-controlbar.rerecord":"Gj&#xF8;re om","ba-imagecapture-controlbar.rerecord-tooltip":"Klikk her for &#xE5; gjenta.","ba-imagecapture-controlbar.cancel":"Avbryt","ba-imagecapture-controlbar.cancel-tooltip":"Klikk her for &#xE5; avbryte.","ba-audioplayer-controlbar.audio-progress":"Framgang","ba-audioplayer-controlbar.rerecord-audio":"Gj&#xF8;re om?","ba-audioplayer-controlbar.submit-audio":"Bekrefte","ba-audioplayer-controlbar.play-audio":"Spille","ba-audioplayer-controlbar.pause-audio":"Pause","ba-audioplayer-controlbar.pause-audio-disabled":"Pause ikke st&#xF8;ttet","ba-audioplayer-controlbar.elapsed-time":"Forl&#xF8;pt tid","ba-audioplayer-controlbar.total-time":"Total lengde p&#xE5;","ba-audioplayer-controlbar.volume-button":"Angi volum","ba-audioplayer-controlbar.volume-mute":"Dempe lyd","ba-audioplayer-controlbar.volume-unmute":"Sl&#xE5; av lyden","ba-audioplayer-loader.tooltip":"Laster ...","ba-audioplayer.audio-error":"En feil oppstod. Vennligst pr&#xF8;v igjen senere. Klikk for &#xE5; pr&#xF8;ve igjen.","ba-audiorecorder-chooser.record-audio":"Ta opp lyd","ba-audiorecorder-chooser.upload-audio":"Last opp lyd","ba-audiorecorder-controlbar.settings":"innstillinger","ba-audiorecorder-controlbar.microphonehealthy":"Lyden er god","ba-audiorecorder-controlbar.microphoneunhealthy":"Kan ikke hente lyd","ba-audiorecorder-controlbar.record":"Ta opp","ba-audiorecorder-controlbar.record-tooltip":"Klikk her for &#xE5; spille inn.","ba-audiorecorder-controlbar.rerecord":"Gj&#xF8;re om","ba-audiorecorder-controlbar.rerecord-tooltip":"Klikk her for &#xE5; gjenta.","ba-audiorecorder-controlbar.stop":"Stoppe","ba-audiorecorder-controlbar.stop-tooltip":"Klikk her for &#xE5; stoppe.","ba-audiorecorder-controlbar.stop-available-after":"Minimum opptakstid er %d sekunder","ba-audiorecorder-controlbar.cancel":"Avbryt","ba-audiorecorder-controlbar.cancel-tooltip":"Klikk her for &#xE5; avbryte.","ba-videoplayer-controlbar.player-speed":"Spillerens hastighet","ba-videoplayer-controlbar.settings":"innstillinger","ba-videoplayer-controlbar.airplay":"airplay","ba-videoplayer-controlbar.airplay-icon":"Airplay-ikon.","ba-videoplayer.all-settings":"Alle innstillinger","ba-videoplayer.player-speed":"Spillerens hastighet","ba-videoplayer.full-screen":"Full skjerm","ba-videorecorder-controlbar.add-stream":"Legg til str&#xF8;m","ba-videorecorder.switch-camera":"Bytt kamera","ba-videorecorder.prepare-covershot":"Forbereder deksler","ba-videorecorder.prepare-thumbnails":"Forbereder s&#xF8;ker miniatyrbilder","ba-videorecorder.adding-new-stream":"Legger til ny str&#xF8;m","ba-imagecapture.recorder-error":"En feil oppstod. Vennligst pr&#xF8;v igjen senere. Klikk for &#xE5; pr&#xF8;ve igjen.","ba-imagecapture.attach-error":"Vi kunne ikke f&#xE5; tilgang til mediegrensesnittet. Avhengig av enhet og nettleser, m&#xE5; du kanskje installere Flash eller f&#xE5; tilgang til siden via SSL.","ba-imagecapture.software-required":"Vennligst klikk nedenfor for &#xE5; installere / aktivere f&#xF8;lgende krav for &#xE5; fortsette.","ba-imagecapture.software-waiting":"Venter p&#xE5; kravene som skal installeres / aktiveres. Du m&#xE5; kanskje oppdatere siden etter ferdigstillelse.","ba-imagecapture.access-forbidden":"Tilgang til media var forbudt. Klikk for &#xE5; pr&#xF8;ve igjen.","ba-imagecapture.uploading":"Laster opp","ba-imagecapture.uploading-failed":"Opplasting mislyktes - klikk her for &#xE5; pr&#xF8;ve p&#xE5; nytt.","ba-imagecapture.upload-error-duration":"Lengden p&#xE5; det opplastede bildet oppfyller ikke kravene - klikk her for &#xE5; pr&#xF8;ve igjen.","ba-imagecapture.resolution-constraint-error":"Filen du har valgt stemmer ikke overens med &#xF8;nsket oppl&#xF8;sning - klikk her for &#xE5; pr&#xF8;ve p&#xE5; nytt.","ba-imagecapture.verifying":"Bekrefter","ba-imagecapture.verifying-failed":"Bekreftelse mislyktes - klikk her for &#xE5; pr&#xF8;ve igjen.","ba-imagecapture.rerecord-confirm":"Vil du virkelig gjenta bildet ditt?","ba-imagecapture.image_file_too_large":"Bildefilen din er for stor (%s) - klikk her for &#xE5; pr&#xF8;ve igjen med en mindre bildefil.","ba-imagecapture.unsupported_image_type":"Vennligst last opp: %s - klikk her for &#xE5; pr&#xF8;ve p&#xE5; nytt.","ba-imagecapture.orientation-portrait-required":"Vennligst roter enheten din for &#xE5; ta opp i st&#xE5;ende modus.","ba-imagecapture.orientation-landscape-required":"Vennligst roter enheten til &#xE5; ta opp i liggende modus.","ba-audiorecorder.recorder-error":"En feil oppstod. Vennligst pr&#xF8;v igjen senere. Klikk for &#xE5; pr&#xF8;ve igjen.","ba-audiorecorder.attach-error":"Vi kunne ikke f&#xE5; tilgang til mediegrensesnittet. Avhengig av enhet og nettleser, m&#xE5; du kanskje installere Flash eller f&#xE5; tilgang til siden via SSL.","ba-audiorecorder.software-required":"Vennligst klikk nedenfor for &#xE5; installere / aktivere f&#xF8;lgende krav for &#xE5; fortsette.","ba-audiorecorder.software-waiting":"Venter p&#xE5; kravene som skal installeres / aktiveres. Du m&#xE5; kanskje oppdatere siden etter ferdigstillelse.","ba-audiorecorder.access-forbidden":"Tilgang til media var forbudt. Klikk for &#xE5; pr&#xF8;ve igjen.","ba-audiorecorder.uploading":"Laster opp","ba-audiorecorder.uploading-failed":"Opplasting mislyktes - klikk her for &#xE5; pr&#xF8;ve p&#xE5; nytt.","ba-audiorecorder.upload-error-duration":"Lengden p&#xE5; den opplastede lyden oppfyller ikke kravene - klikk her for &#xE5; pr&#xF8;ve p&#xE5; nytt.","ba-audiorecorder.verifying":"Bekrefter","ba-audiorecorder.verifying-failed":"Bekreftelse mislyktes - klikk her for &#xE5; pr&#xF8;ve igjen.","ba-audiorecorder.rerecord-confirm":"Vil du virkelig gjenta lyden din?","ba-audiorecorder.cancel-confirm":"Vil du virkelig slette lydopplasting?","ba-audiorecorder.audio_file_too_large":"Lydfilen din er for stor (%s) - klikk her for &#xE5; pr&#xF8;ve igjen med en mindre lydfil.","ba-audiorecorder.unsupported_audio_type":"Vennligst last opp: %s - klikk her for &#xE5; pr&#xF8;ve p&#xE5; nytt.","ba-common-settingsmenu.tooltip":"Klikk for &#xE5; spille.","ba-common-settingsmenu.setting-menu":"Alle innstillinger","ba-common-settingsmenu.source-quality":"Kildekvalitet","ba-common-settingsmenu.player-speed":"Spillerens hastighet","ba-common-settingsmenu.set-menu-option":"Still inn alternativ","ba-common-settingsmenu.submit-video":"Bekreft video","ba-common-settingsmenu.picture-in-picture":"Bilde i bilde","ba-common-settingsmenu.exit-fullscreen-video":"G&#xE5; ut av fullskjerm","ba-common-settingsmenu.fullscreen-video":"G&#xE5; inn i fullskjerm","ba-videorecorder-chooser.multi-stream":"Multi Stream","ba-videorecorder-controlbar.pause-recorder":"Pause opptaker","ba-videorecorder-controlbar.resume-recorder":"Gjenoppta opptaker","ba-videorecorder.missing-track":"N&#xF8;dvendig lyd- eller videospor mangler","ba-videorecorder.device-already-in-use":"Minst en av inngangsenhetene dine er allerede i bruk","ba-videorecorder.browser-permission-denied":"Tillatelse nektet av nettleseren. Vennligst gi tilgang og last inn siden p&#xE5; nytt","ba-audioplayer.all-settings":"Alle innstillinger","ba-videoplayer-controlbar.remaining-time":"Gjenv&#xE6;rende tid","ba-videoplayer-controlbar.select-frame":"&#xC5; velge","ba-videoplayer-controlbar.trim-video":"Listverk","ba-videoplayer-playbutton.trim":"Listverk","ba-videoplayer-playbutton.skip":"Hopp over","ba-videorecorder-imagegallery.upload-covershot":"Last opp deksel","ba-videorecorder.pick-covershot-frame":"Velg en ramme som skal brukes som forsidebilde.","ba-videorecorder.screen-recorder-is-not-supported":"Skjermopptaker st&#xF8;ttes ikke p&#xE5; denne enheten","ba-videorecorder.trim-prompt":"Vil du trimme videoen din?","ba-videorecorder.trim-video":"Flytt start- og sluttmark&#xF8;rene for &#xE5; trimme videoen","ba-videorecorder.wait-for-trim":"Venter p&#xE5; trimkommando ...","ba-videorecorder-controlbar.no-video-source":"Mangler ytterligere videoinngangskilde","ba-videorecorder-controlbar.stream-already-selected":"Ytterligere str&#xF8;m er allerede valgt","ba-videorecorder.uploading-src-error":"Kan ikke spille av video n&#xE5;. Opplasting p&#xE5;g&#xE5;r fortsatt","ba-audiorecorder-controlbar.pause-recorder":"Pause opptaker","ba-audiorecorder-controlbar.resume-recorder":"Fortsett opptaker"},"language:pl":{"ba-videoplayer-playbutton.tooltip":"Kliknij, aby odtworzy&#x107; film.","ba-videoplayer-playbutton.rerecord":"Pon&#xF3;w","ba-videoplayer-playbutton.submit-video":"Potwierd&#x17A; wideo","ba-videoplayer-loader.tooltip":"&#x141;adowanie...","ba-videoplayer-controlbar.change-resolution":"Zmie&#x144; rozdzielczo&#x15B;&#x107;","ba-videoplayer-controlbar.video-progress":"Post&#x119;p wideo","ba-videoplayer-controlbar.rerecord-video":"Nagra&#x107; ponownie?","ba-videoplayer-controlbar.submit-video":"Potwierd&#x17A; wideo","ba-videoplayer-controlbar.play-video":"Odtw&#xF3;rz","ba-videoplayer-controlbar.pause-video":"Zatrzymaj","ba-videoplayer-controlbar.elapsed-time":"czas trwania","ba-videoplayer-controlbar.total-time":"Ca&#x142;kowita d&#x142;ugo&#x15B;&#x107; wideo","ba-videoplayer-controlbar.fullscreen-video":"Tryb pe&#x142;noekranowy","ba-videoplayer-controlbar.volume-button":"Ustaw g&#x142;o&#x15B;no&#x15B;&#x107;","ba-videoplayer-controlbar.volume-mute":"Wycisz d&#x17A;wi&#x119;k","ba-videoplayer-controlbar.volume-unmute":"W&#x142;&#x105;cz d&#x17A;wi&#x119;k","ba-videoplayer.video-error":"Wyst&#x105;pi&#x142; b&#x142;&#x105;d. Prosz&#x119; spr&#xF3;bowa&#x107; p&#xF3;&#x17A;niej. Kliknij, aby ponowi&#x107; pr&#xF3;b&#x119;.","ba-videorecorder-chooser.record-video":"Nagraj wideo","ba-videorecorder-chooser.upload-video":"Prze&#x15B;lij wideo","ba-videorecorder-controlbar.settings":"Ustawienia","ba-videorecorder-controlbar.camerahealthy":"O&#x15B;wietlenie jest dobre","ba-videorecorder-controlbar.cameraunhealthy":"O&#x15B;wietlenie nie jest optymalne","ba-videorecorder-controlbar.microphonehealthy":"D&#x17A;wi&#x119;k jest dobry","ba-videorecorder-controlbar.microphoneunhealthy":"Nie mo&#x17C;na odebra&#x107; &#x17C;adnego d&#x17A;wi&#x119;ku","ba-videorecorder-controlbar.record":"Nagraj","ba-videorecorder-controlbar.record-tooltip":"Kliknij tutaj, aby rozpocz&#x105;&#x107; nagranie.","ba-videorecorder-controlbar.rerecord":"Pon&#xF3;w","ba-videorecorder-controlbar.rerecord-tooltip":"Kliknij tutaj, aby ponowi&#x107;.","ba-videorecorder-controlbar.upload-covershot":"Wy&#x15B;lij plik ok&#x142;adki","ba-videorecorder-controlbar.upload-covershot-tooltip":"Kliknij tu aby przes&#x142;a&#x107; niestandardowy plik ok&#x142;adki","ba-videorecorder-controlbar.stop":"Zatrzymaj","ba-videorecorder-controlbar.stop-tooltip":"Kliknij tutaj, aby zatrzyma&#x107;.","ba-videorecorder-controlbar.skip":"Pomi&#x144;","ba-videorecorder-controlbar.skip-tooltip":"Kliknij tutaj, aby pomin&#x105;&#x107;.","ba-videorecorder.recorder-error":"Wyst&#x105;pi&#x142; b&#x142;&#x105;d. Prosz&#x119; spr&#xF3;bowa&#x107; p&#xF3;&#x17A;niej. Kliknij, aby ponowi&#x107; pr&#xF3;b&#x119;.","ba-videorecorder.attach-error":"Nie uzyskano dost&#x119;pu do interfejsu aparatu. W zale&#x17C;no&#x15B;ci od urz&#x105;dzenia i przegl&#x105;darki, mo&#x17C;e by&#x107; konieczne zainstalowanie Flash lub  wej&#x15B;cie na stron&#x119; za po&#x15B;rednictwem protoko&#x142;u SSL.","ba-videorecorder.access-forbidden":"Dost&#x119;p do kamery zosta&#x142; zabroniony. Kliknij, aby ponowi&#x107; pr&#xF3;b&#x119;.","ba-videorecorder.pick-covershot":"Wybierz plik ok&#x142;adki.","ba-videorecorder.uploading":"Przesy&#x142;anie","ba-videorecorder.uploading-failed":"Przesy&#x142;anie nie powiod&#x142;o si&#x119; - kliknij tutaj, aby ponowi&#x107; pr&#xF3;b&#x119;.","ba-videorecorder.verifying":"Weryfikacja","ba-videorecorder.verifying-failed":"Sprawdzanie poprawno&#x15B;ci nie powiod&#x142;o si&#x119; - kliknij tutaj, aby ponowi&#x107; pr&#xF3;b&#x119;.","ba-videorecorder.rerecord-confirm":"Czy na pewno chcesz ponowi&#x107; nagranie?","ba-videorecorder.video_file_too_large":"Plik wideo jest zbyt du&#x17C;a (%s) - kliknij tutaj, aby spr&#xF3;bowa&#x107; ponownie z mniejszym plikiem wideo.","ba-videorecorder.unsupported_video_type":"Prosz&#x119; przes&#x142;a&#x107;: %s - kliknij tutaj, aby ponowi&#x107; pr&#xF3;b&#x119;.","ba-videoplayer-controlbar.exit-fullscreen-video":"Zamknij pe&#x142;ny ekran","ba-videoplayer-share.share":"Udost&#x119;pnij film","ba-videorecorder-chooser.record-screen":"Nagraj ekran","ba-videoplayer-controlbar.pause-video-disabled":"Wstrzymanie nie jest obs&#x142;ugiwane","ba-videorecorder-chooser.record-audio":"Nagraj d&#x17A;wi&#x119;k","ba-videorecorder-controlbar.stop-available-after":"Minimalny czas nagrywania to %d sekund","ba-videorecorder-controlbar.cancel":"Anuluj","ba-videorecorder-controlbar.cancel-tooltip":"Kliknij tutaj, aby anulowa&#x107;.","ba-videorecorder.cancel-confirm":"Czy na pewno chcesz anulowa&#x107; przesy&#x142;anie wideo?","ba-videoplayer-adslot.elapsed-time":"czas trwania","ba-videoplayer-adslot.volume-button":"Ustaw g&#x142;o&#x15B;no&#x15B;&#x107;","ba-videoplayer-adslot.volume-mute":"Wycisz d&#x17A;wi&#x119;k","ba-videoplayer-adslot.volume-unmute":"W&#x142;&#x105;cz d&#x17A;wi&#x119;k","ba-videoplayer-adslot.ad-will-end-after":"Reklama zako&#x144;czy si&#x119; po %s","ba-videoplayer-adslot.can-skip-after":"Pomi&#x144; za %d","ba-videoplayer-adslot.skip-ad":"Pomi&#x144; reklam&#x119;","ba-videorecorder.software-required":"Kliknij poni&#x17C;ej, aby zainstalowa&#x107; / aktywowa&#x107; nast&#x119;puj&#x105;ce wymagania, aby kontynuowa&#x107;.","ba-videorecorder.software-waiting":"Oczekiwanie na zainstalowanie / aktywacj&#x119; wymaga&#x144;. Po zako&#x144;czeniu mo&#x17C;e by&#x107; konieczne od&#x15B;wie&#x17C;enie strony.","ba-videoplayer-controlbar.close-tracks":"Zamknij CC","ba-videoplayer-controlbar.show-tracks":"Poka&#x17C; CC","ba-videoplayer-tracks.upload-text-tracks":"Prze&#x15B;lij pliki tekstowe &#x15B;cie&#x17C;ki d&#x17A;wi&#x119;kowej","ba-videoplayer-tracks.select-text-track-language":"J&#x119;zyk napis&#xF3;w","ba-videoplayer-tracks.info-select-locale-first":"Najpierw wybierz ustawienia lokalne","ba-videoplayer-tracks.select-text-track-file":"Kliknij, aby wybra&#x107; plik","ba-videoplayer-tracks.back":"Cofnij","ba-videorecorder.framerate-warning":"Szybko&#x15B;&#x107; klatek wideo jest bardzo niska. Zalecamy zamkni&#x119;cie wszystkich innych program&#xF3;w i kart przegl&#x105;darki lub u&#x17C;ycie szybszego komputera.","ba-videorecorder.upload-error-duration":"D&#x142;ugo&#x15B;&#x107; przes&#x142;anego filmu nie spe&#x142;nia wymaga&#x144; - kliknij tutaj, aby spr&#xF3;bowa&#x107; ponownie.","ba-videorecorder.resolution-constraint-error":"Wybrany plik nie pasuje do wymaganej rozdzielczo&#x15B;ci - kliknij tutaj, aby spr&#xF3;bowa&#x107; ponownie.","ba-videorecorder.orientation-portrait-required":"Obr&#xF3;&#x107; urz&#x105;dzenie, aby nagrywa&#x107; w trybie portretu.","ba-videorecorder.orientation-landscape-required":"Obr&#xF3;&#x107; urz&#x105;dzenie, aby nagrywa&#x107; w trybie poziomym.","ba-imageviewer-controlbar.rerecord-image":"Ponowi&#x107;?","ba-imageviewer-controlbar.submit-image":"Potwierdza&#x107;","ba-imageviewer-controlbar.fullscreen-image":"Pe&#x142;ny ekran","ba-imageviewer-controlbar.exit-fullscreen-image":"Wy&#x142;&#x105;cz tryb pe&#x142;noekranowy","ba-imageviewer.image-error":"Wyst&#x105;pi&#x142; b&#x142;&#x105;d. Prosz&#x119; spr&#xF3;bowa&#x107; p&#xF3;&#x17A;niej. Kliknij, aby spr&#xF3;bowa&#x107; jeszcze raz.","ba-imagecapture-chooser.image-capture":"Zr&#xF3;b zdj&#x119;cie","ba-imagecapture-chooser.upload-image":"Za&#x142;aduj obraz","ba-imagecapture-controlbar.settings":"Ustawienia","ba-imagecapture-controlbar.camerahealthy":"O&#x15B;wietlenie jest dobre","ba-imagecapture-controlbar.cameraunhealthy":"O&#x15B;wietlenie nie jest optymalne","ba-imagecapture-controlbar.record":"Uchwy&#x107;","ba-imagecapture-controlbar.record-tooltip":"Kliknij tutaj, aby uchwyci&#x107;.","ba-imagecapture-controlbar.rerecord":"Pon&#xF3;w","ba-imagecapture-controlbar.rerecord-tooltip":"Kliknij tutaj, aby ponowi&#x107;.","ba-imagecapture-controlbar.cancel":"Anuluj","ba-imagecapture-controlbar.cancel-tooltip":"Kliknij tutaj, aby anulowa&#x107;.","ba-audioplayer-controlbar.audio-progress":"Post&#x119;p","ba-audioplayer-controlbar.rerecord-audio":"Ponowi&#x107;?","ba-audioplayer-controlbar.submit-audio":"Potwierd&#x17A;","ba-audioplayer-controlbar.play-audio":"Uruchom","ba-audioplayer-controlbar.pause-audio":"Zatrzymaj","ba-audioplayer-controlbar.pause-audio-disabled":"Wstrzymanie nie jest obs&#x142;ugiwane","ba-audioplayer-controlbar.elapsed-time":"Czas trwania","ba-audioplayer-controlbar.total-time":"Ca&#x142;kowita d&#x142;ugo&#x15B;&#x107;","ba-audioplayer-controlbar.volume-button":"Ustaw g&#x142;o&#x15B;no&#x15B;&#x107;","ba-audioplayer-controlbar.volume-mute":"Wycisz d&#x17A;wi&#x119;k","ba-audioplayer-controlbar.volume-unmute":"W&#x142;&#x105;cz d&#x17A;wi&#x119;k","ba-audioplayer-loader.tooltip":"&#x141;adowanie...","ba-audioplayer.audio-error":"Wyst&#x105;pi&#x142; b&#x142;&#x105;d. Prosz&#x119; spr&#xF3;bowa&#x107; p&#xF3;&#x17A;niej. Kliknij, aby spr&#xF3;bowa&#x107; jeszcze raz.","ba-audiorecorder-chooser.record-audio":"Nagraj d&#x17A;wi&#x119;k","ba-audiorecorder-chooser.upload-audio":"Prze&#x15B;lij audio","ba-audiorecorder-controlbar.settings":"Ustawienia","ba-audiorecorder-controlbar.microphonehealthy":"D&#x17A;wi&#x119;k jest dobry","ba-audiorecorder-controlbar.microphoneunhealthy":"Nie mo&#x17C;na odebra&#x107; &#x17C;adnego d&#x17A;wi&#x119;ku","ba-audiorecorder-controlbar.record":"Nagraj","ba-audiorecorder-controlbar.record-tooltip":"Kliknij tutaj, aby nagra&#x107;.","ba-audiorecorder-controlbar.rerecord":"Pon&#xF3;w","ba-audiorecorder-controlbar.rerecord-tooltip":"Kliknij tutaj, aby ponowi&#x107;.","ba-audiorecorder-controlbar.stop":"Zatrzymaj","ba-audiorecorder-controlbar.stop-tooltip":"Kliknij tutaj, aby zatrzyma&#x107;.","ba-audiorecorder-controlbar.stop-available-after":"Minimalny czas nagrywania to %d sekund","ba-audiorecorder-controlbar.cancel":"Anuluj","ba-audiorecorder-controlbar.cancel-tooltip":"Kliknij tutaj, aby anulowa&#x107;.","ba-videoplayer-controlbar.player-speed":"Pr&#x119;dko&#x15B;&#x107; odtwarzania","ba-videoplayer-controlbar.settings":"Ustawienia","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"Ikona Airplay.","ba-videoplayer.all-settings":"Wszystkie ustawienia","ba-videoplayer.player-speed":"Pr&#x119;dko&#x15B;&#x107; odtwarzania","ba-videoplayer.full-screen":"Pe&#x142;ny ekran","ba-videorecorder-controlbar.add-stream":"Dodaj strumie&#x144;","ba-videorecorder.switch-camera":"Prze&#x142;&#x105;cz aparat","ba-videorecorder.prepare-covershot":"Przygotowywanie plik&#xF3;w ok&#x142;adki","ba-videorecorder.prepare-thumbnails":"Przygotowanie do szukania miniatur","ba-videorecorder.adding-new-stream":"Dodawanie nowego streamu","ba-imagecapture.recorder-error":"Wyst&#x105;pi&#x142; b&#x142;&#x105;d. Prosz&#x119; spr&#xF3;bowa&#x107; p&#xF3;&#x17A;niej. Kliknij, aby spr&#xF3;bowa&#x107; ponownie.","ba-imagecapture.attach-error":"Nie mo&#x17C;na uzyska&#x107; dost&#x119;pu do interfejsu multimedialnego. W zale&#x17C;no&#x15B;ci od urz&#x105;dzenia i przegl&#x105;darki mo&#x17C;e by&#x107; konieczne zainstalowanie Flasha lub  uzyskanie dost&#x119;pu do strony przez SSL.","ba-imagecapture.software-required":"Kliknij poni&#x17C;ej, aby zainstalowa&#x107; / aktywowa&#x107; nast&#x119;puj&#x105;ce wymagania, aby kontynuowa&#x107;.","ba-imagecapture.software-waiting":"Oczekiwanie na zainstalowanie / aktywacj&#x119; wymaga&#x144;. Mo&#x17C;e by&#x107; konieczne od&#x15B;wie&#x17C;enie strony po zako&#x144;czeniu.","ba-imagecapture.access-forbidden":"Dost&#x119;p do medi&#xF3;w zosta&#x142; zabroniony. Kliknij, aby spr&#xF3;bowa&#x107; ponownie.","ba-imagecapture.uploading":"Przesy&#x142;anie","ba-imagecapture.uploading-failed":"Przesy&#x142;anie nie powiod&#x142;o si&#x119; - kliknij tutaj, aby spr&#xF3;bowa&#x107; ponownie.","ba-imagecapture.upload-error-duration":"D&#x142;ugo&#x15B;&#x107; przes&#x142;anego obrazu nie spe&#x142;nia wymaga&#x144; - kliknij tutaj, aby spr&#xF3;bowa&#x107; ponownie.","ba-imagecapture.resolution-constraint-error":"Wybrany plik nie odpowiada wymaganej rozdzielczo&#x15B;ci - kliknij tutaj, aby spr&#xF3;bowa&#x107; ponownie.","ba-imagecapture.verifying":"Weryfikacja","ba-imagecapture.verifying-failed":"Weryfikacja nie powiod&#x142;a si&#x119; - kliknij tutaj, aby spr&#xF3;bowa&#x107; ponownie.","ba-imagecapture.rerecord-confirm":"Czy na pewno chcesz ponowi&#x107; dodawanie obrazu?","ba-imagecapture.image_file_too_large":"Tw&#xF3;j plik obrazu jest za du&#x17C;y (%s) - kliknij tutaj, aby spr&#xF3;bowa&#x107; ponownie z mniejszym plikiem obrazu.","ba-imagecapture.unsupported_image_type":"Prze&#x15B;lij: %s - kliknij tutaj, aby spr&#xF3;bowa&#x107; ponownie.","ba-imagecapture.orientation-portrait-required":"Obr&#xF3;&#x107; urz&#x105;dzenie, aby nagrywa&#x107; w trybie pionowym.","ba-imagecapture.orientation-landscape-required":"Obr&#xF3;&#x107; urz&#x105;dzenie, aby nagrywa&#x107; w trybie poziomym.","ba-audiorecorder.recorder-error":"Wyst&#x105;pi&#x142; b&#x142;&#x105;d. Prosz&#x119; spr&#xF3;bowa&#x107; p&#xF3;&#x17A;niej. Kliknij, aby spr&#xF3;bowa&#x107; ponownie.","ba-audiorecorder.attach-error":"Nie mo&#x17C;na uzyska&#x107; dost&#x119;pu do interfejsu multimedialnego. W zale&#x17C;no&#x15B;ci od urz&#x105;dzenia i przegl&#x105;darki mo&#x17C;e by&#x107; konieczne zainstalowanie Flasha lub  uzyskanie dost&#x119;pu do strony przez SSL.","ba-audiorecorder.software-required":"Kliknij poni&#x17C;ej, aby zainstalowa&#x107; / aktywowa&#x107; nast&#x119;puj&#x105;ce wymagania, aby kontynuowa&#x107;.","ba-audiorecorder.software-waiting":"Oczekiwanie na zainstalowanie / aktywacj&#x119; wymaga&#x144;. Mo&#x17C;e by&#x107; konieczne od&#x15B;wie&#x17C;enie strony po zako&#x144;czeniu.","ba-audiorecorder.access-forbidden":"Dost&#x119;p do medi&#xF3;w zosta&#x142; zabroniony. Kliknij, aby spr&#xF3;bowa&#x107; ponownie.","ba-audiorecorder.uploading":"Przesy&#x142;anie","ba-audiorecorder.uploading-failed":"Przesy&#x142;anie nie powiod&#x142;o si&#x119; - kliknij tutaj, aby spr&#xF3;bowa&#x107; ponownie.","ba-audiorecorder.upload-error-duration":"D&#x142;ugo&#x15B;&#x107; przes&#x142;anego d&#x17A;wi&#x119;ku nie spe&#x142;nia wymaga&#x144; - kliknij tutaj, aby spr&#xF3;bowa&#x107; ponownie.","ba-audiorecorder.verifying":"Weryfikacja","ba-audiorecorder.verifying-failed":"Weryfikacja nie powiod&#x142;a si&#x119; - kliknij tutaj, aby spr&#xF3;bowa&#x107; ponownie.","ba-audiorecorder.rerecord-confirm":"Czy na pewno chcesz nadpisa&#x107; przes&#x142;any d&#x17A;wi&#x119;k?","ba-audiorecorder.cancel-confirm":"Czy na pewno chcesz anulowa&#x107; przesy&#x142;anie d&#x17A;wi&#x119;ku?","ba-audiorecorder.audio_file_too_large":"Tw&#xF3;j plik audio jest za du&#x17C;y (%s) - kliknij tutaj, aby spr&#xF3;bowa&#x107; ponownie z mniejszym plikiem audio.","ba-audiorecorder.unsupported_audio_type":"Prze&#x15B;lij: %s - kliknij tutaj, aby spr&#xF3;bowa&#x107; ponownie.","ba-common-settingsmenu.tooltip":"Kliknij, aby uruchomi&#x107;","ba-common-settingsmenu.setting-menu":"Ustawienia","ba-common-settingsmenu.source-quality":"Jako&#x15B;&#x107; &#x17A;r&#xF3;d&#x142;a","ba-common-settingsmenu.player-speed":"Szybko&#x15B;&#x107; odtwarzania","ba-common-settingsmenu.set-menu-option":"Ustaw","ba-common-settingsmenu.submit-video":"Potwierd&#x17A; wideo","ba-common-settingsmenu.picture-in-picture":"Obraz w obrazie","ba-common-settingsmenu.exit-fullscreen-video":"Wyjd&#x17A; z trybu pe&#x142;noekranowego","ba-common-settingsmenu.fullscreen-video":"Tryb pe&#x142;noekranowy","ba-videorecorder-chooser.multi-stream":"Multi-Stream","ba-videorecorder-controlbar.pause-recorder":"Zatrzymaj nagrywanie","ba-videorecorder-controlbar.resume-recorder":"Wzn&#xF3;w nagrywanie","ba-videorecorder.missing-track":"Nie znaleziono wymaganej &#x15B;cie&#x17C;ki d&#x17A;wi&#x119;kowej lub pliku wideo","ba-videorecorder.device-already-in-use":"Przynajmniej jedno z twoich urz&#x105;dze&#x144; wej&#x15B;cia jest ju&#x17C; w u&#x17C;yciu","ba-videorecorder.browser-permission-denied":"Odmowa dost&#x119;pu przez przegl&#x105;dark&#x119;. Nadaj uprawnienia i od&#x15B;wie&#x17C;","ba-audioplayer.all-settings":"Ustawiemia","ba-videoplayer-controlbar.remaining-time":"Pozosta&#x142;y czas","ba-videoplayer-controlbar.select-frame":"Wybierz","ba-videoplayer-controlbar.trim-video":"Trym","ba-videoplayer-playbutton.trim":"Trym","ba-videoplayer-playbutton.skip":"Pomin&#x105;&#x107;","ba-videorecorder-imagegallery.upload-covershot":"Prze&#x15B;lij ok&#x142;adk&#x119;","ba-videorecorder.pick-covershot-frame":"Wybierz ramk&#x119;, kt&#xF3;rej chcesz u&#x17C;y&#x107; jako zrzutu ekranu.","ba-videorecorder.screen-recorder-is-not-supported":"Rejestrator ekranu nie jest obs&#x142;ugiwany na tym urz&#x105;dzeniu","ba-videorecorder.trim-prompt":"Czy chcesz przyci&#x105;&#x107; sw&#xF3;j film?","ba-videorecorder.trim-video":"Przesu&#x144; znaczniki pocz&#x105;tku i ko&#x144;ca, aby przyci&#x105;&#x107; film","ba-videorecorder.wait-for-trim":"Oczekiwanie na polecenie przyci&#x119;cia...","ba-videorecorder-controlbar.no-video-source":"Brakuje dodatkowego &#x17A;r&#xF3;d&#x142;a wej&#x15B;cia wideo","ba-videorecorder-controlbar.stream-already-selected":"Dodatkowy strumie&#x144; zosta&#x142; ju&#x17C; wybrany","ba-videorecorder.uploading-src-error":"Nie mo&#x17C;na teraz odtworzy&#x107; filmu, przesy&#x142;anie jest nadal w toku","ba-audiorecorder-controlbar.pause-recorder":"Wstrzymaj rejestrator","ba-audiorecorder-controlbar.resume-recorder":"Rejestrator CV"},"language:pt-br":{"ba-videoplayer-playbutton.tooltip":"Clique para reproduzir v&#xED;deo.","ba-videoplayer-playbutton.rerecord":"Regravar","ba-videoplayer-playbutton.submit-video":"confirmar v&#xED;deo","ba-videoplayer-loader.tooltip":"Carregando v&#xED;deo...","ba-videoplayer-controlbar.change-resolution":"alterar resolu&#xE7;&#xE3;o","ba-videoplayer-controlbar.video-progress":"Progresso","ba-videoplayer-controlbar.rerecord-video":"Regravar v&#xED;deo?","ba-videoplayer-controlbar.submit-video":"confirmar v&#xED;deo","ba-videoplayer-controlbar.play-video":"reproduzir v&#xED;deo","ba-videoplayer-controlbar.pause-video":"pausar v&#xED;deo","ba-videoplayer-controlbar.elapsed-time":"tempo decorrido","ba-videoplayer-controlbar.total-time":"tempo total do v&#xED;deo","ba-videoplayer-controlbar.fullscreen-video":"Exibir em tela cheia","ba-videoplayer-controlbar.volume-button":"definir volume","ba-videoplayer-controlbar.volume-mute":"silenciar &#xE1;udio","ba-videoplayer-controlbar.volume-unmute":"ativar o &#xE1;udio","ba-videoplayer.video-error":"Ocorreu um erro. Por favor tente novamente mais tarde. Clique para tentar novamente.","ba-videorecorder-chooser.record-video":"Gravar v&#xED;deo","ba-videorecorder-chooser.upload-video":"Enviar v&#xED;deo","ba-videorecorder-controlbar.settings":"Configura&#xE7;&#xF5;es","ba-videorecorder-controlbar.camerahealthy":"Ilumina&#xE7;&#xE3;o est&#xE1; boa","ba-videorecorder-controlbar.cameraunhealthy":"Ilumina&#xE7;&#xE3;o n&#xE3;o &#xE9; ideal","ba-videorecorder-controlbar.microphonehealthy":"O &#xE1;udio est&#xE1; bom","ba-videorecorder-controlbar.microphoneunhealthy":"N&#xE3;o &#xE9; poss&#xED;vel captar nenhum som","ba-videorecorder-controlbar.record":"Gravar","ba-videorecorder-controlbar.record-tooltip":"Clique aqui para gravar.","ba-videorecorder-controlbar.rerecord":"Regravar","ba-videorecorder-controlbar.rerecord-tooltip":"Clique aqui para regravar.","ba-videorecorder-controlbar.upload-covershot":"Envio","ba-videorecorder-controlbar.upload-covershot-tooltip":"Clique aqui para enviar imagem personalizada de capa","ba-videorecorder-controlbar.stop":"Pare","ba-videorecorder-controlbar.stop-tooltip":"Clique aqui para parar a grava&#xE7;&#xE3;o.","ba-videorecorder-controlbar.skip":"Pular","ba-videorecorder-controlbar.skip-tooltip":"Clique aqui para pular.","ba-videorecorder.recorder-error":"Ocorreu um erro. Por favor tente novamente mais tarde. Clique para tentar novamente.","ba-videorecorder.attach-error":"N&#xE3;o foi poss&#xED;vel acessar a interface da c&#xE2;mera. Dependendo do dispositivo e navegador pode ser necess&#xE1;rio instalar o Flash ou acessar a p&#xE1;gina atrav&#xE9;s de SSL.","ba-videorecorder.access-forbidden":"N&#xE3;o foi autorizado acesso &#xE0; c&#xE2;mera. Clique para tentar novamente.","ba-videorecorder.pick-covershot":"Escolha uma imagem de capa.","ba-videorecorder.uploading":"Enviando","ba-videorecorder.uploading-failed":"Upload falhou - clique aqui para tentar novamente.","ba-videorecorder.verifying":"Verificando","ba-videorecorder.verifying-failed":"Verifica&#xE7;&#xE3;o falhou - clique aqui para tentar novamente.","ba-videorecorder.rerecord-confirm":"Voc&#xEA; realmente deseja regravar o v&#xED;deo?","ba-videorecorder.video_file_too_large":"O arquivo de v&#xED;deo &#xE9; muito grande (%s) - clique aqui para tentar novamente com um arquivo de v&#xED;deo menor.","ba-videorecorder.unsupported_video_type":"Fa&#xE7;a o upload: %s - clique aqui para tentar novamente.","ba-videoplayer-controlbar.exit-fullscreen-video":"Sair da tela cheia","ba-videoplayer-share.share":"Compartilhar v&#xED;deo","ba-videorecorder-chooser.record-screen":"Tela de grava&#xE7;&#xE3;o","ba-videoplayer-controlbar.pause-video-disabled":"Pausa n&#xE3;o suportada","ba-videorecorder-chooser.record-audio":"Gravar &#xE1;udio","ba-videorecorder-controlbar.stop-available-after":"O tempo m&#xED;nimo de grava&#xE7;&#xE3;o &#xE9; %d segundos","ba-videorecorder-controlbar.cancel":"Cancelar","ba-videorecorder-controlbar.cancel-tooltip":"Clique aqui para cancelar.","ba-videorecorder.cancel-confirm":"Voc&#xEA; deseja realmente cancelar o upload de seu v&#xED;deo?","ba-videoplayer-adslot.elapsed-time":"Tempo Decorrido","ba-videoplayer-adslot.volume-button":"Definir volume","ba-videoplayer-adslot.volume-mute":"Silenciar &#xE1;udio","ba-videoplayer-adslot.volume-unmute":"Ativar &#xE1;udio","ba-videoplayer-adslot.ad-will-end-after":"O an&#xFA;ncio terminar&#xE1; ap&#xF3;s %s","ba-videoplayer-adslot.can-skip-after":"Pular ap&#xF3;s %d","ba-videoplayer-adslot.skip-ad":"Pular An&#xFA;ncio","ba-videorecorder.software-required":"Clique abaixo para instalar / ativar os seguintes requisitos para prosseguir.","ba-videorecorder.software-waiting":"Esperando que os requisitos sejam instalados / ativados. Talvez seja necess&#xE1;rio atualizar a p&#xE1;gina ap&#xF3;s a conclus&#xE3;o.","ba-videoplayer-controlbar.close-tracks":"Fechar CC","ba-videoplayer-controlbar.show-tracks":"Mostrar CC","ba-videoplayer-tracks.upload-text-tracks":"Enviar legenda","ba-videoplayer-tracks.select-text-track-language":"Idioma das legendas","ba-videoplayer-tracks.info-select-locale-first":"Primeiro selecione a localiza&#xE7;&#xE3;o","ba-videoplayer-tracks.select-text-track-file":"Clique para selecionar o arquivo","ba-videoplayer-tracks.back":"voltar","ba-videorecorder.framerate-warning":"A taxa de frames por segundo do v&#xED;deo &#xE9; muito baixa. Recomendamos fechar todos os outros programas e guias do navegador ou usar um computador mais r&#xE1;pido.","ba-videorecorder.upload-error-duration":"A dura&#xE7;&#xE3;o do v&#xED;deo enviado n&#xE3;o atende aos requisitos. Clique aqui para tentar novamente.","ba-videorecorder.resolution-constraint-error":"O arquivo que voc&#xEA; selecionou n&#xE3;o corresponde &#xE0; resolu&#xE7;&#xE3;o necess&#xE1;ria - clique aqui para tentar novamente.","ba-videorecorder.orientation-portrait-required":"Por favor, gire seu dispositivo para gravar no modo retrato.","ba-videorecorder.orientation-landscape-required":"Por favor, gire seu dispositivo para gravar no modo paisagem.","ba-imageviewer-controlbar.rerecord-image":"Refazer","ba-imageviewer-controlbar.submit-image":"confirmar","ba-imageviewer-controlbar.fullscreen-image":"Entrar em tela cheia","ba-imageviewer-controlbar.exit-fullscreen-image":"Sair da tela cheia","ba-imageviewer.image-error":"Ocorreu um erro. Por favor tente novamente mais tarde. Clique para tentar novamente.","ba-imagecapture-chooser.image-capture":"Capturar imagem","ba-imagecapture-chooser.upload-image":"Enviar Imagem","ba-imagecapture-controlbar.settings":"Configura&#xE7;&#xF5;es","ba-imagecapture-controlbar.camerahealthy":"Ilumina&#xE7;&#xE3;o est&#xE1; boa","ba-imagecapture-controlbar.cameraunhealthy":"Ilumina&#xE7;&#xE3;o n&#xE3;o &#xE9; ideal","ba-imagecapture-controlbar.record":"Capturar","ba-imagecapture-controlbar.record-tooltip":"Clique aqui para capturar.","ba-imagecapture-controlbar.rerecord":"Refazer","ba-imagecapture-controlbar.rerecord-tooltip":"Clique aqui para refazer.","ba-imagecapture-controlbar.cancel":"Cancelar","ba-imagecapture-controlbar.cancel-tooltip":"Clique aqui para cancelar.","ba-audioplayer-controlbar.audio-progress":"Progresso","ba-audioplayer-controlbar.rerecord-audio":"Refazer","ba-audioplayer-controlbar.submit-audio":"confirmar","ba-audioplayer-controlbar.play-audio":"Tocar &#xE1;udio","ba-audioplayer-controlbar.pause-audio":"Pausar &#xE1;udio","ba-audioplayer-controlbar.pause-audio-disabled":"Pausa n&#xE3;o suportada","ba-audioplayer-controlbar.elapsed-time":"Tempo decorrido","ba-audioplayer-controlbar.total-time":"tempo total do &#xE1;udio","ba-audioplayer-controlbar.volume-button":"Definir volume","ba-audioplayer-controlbar.volume-mute":"Silenciar &#xE1;udio","ba-audioplayer-controlbar.volume-unmute":"Ativar &#xE1;udio","ba-audioplayer-loader.tooltip":"Carregando...","ba-audioplayer.audio-error":"Ocorreu um erro. Por favor tente novamente mais tarde. Clique para tentar novamente.","ba-audiorecorder-chooser.record-audio":"Gravar audio","ba-audiorecorder-chooser.upload-audio":"Carregar &#xE1;udio","ba-audiorecorder-controlbar.settings":"Configura&#xE7;&#xF5;es","ba-audiorecorder-controlbar.microphonehealthy":"O &#xE1;udio est&#xE1; bom","ba-audiorecorder-controlbar.microphoneunhealthy":"N&#xE3;o &#xE9; poss&#xED;vel captar nenhum som","ba-audiorecorder-controlbar.record":"Gravar","ba-audiorecorder-controlbar.record-tooltip":"Clique aqui para gravar.","ba-audiorecorder-controlbar.rerecord":"Refazer","ba-audiorecorder-controlbar.rerecord-tooltip":"Clique aqui para refazer.","ba-audiorecorder-controlbar.stop":"Pare","ba-audiorecorder-controlbar.stop-tooltip":"Clique aqui para parar a grava&#xE7;&#xE3;o.","ba-audiorecorder-controlbar.stop-available-after":"Tempo m&#xED;nimo de grava&#xE7;&#xE3;o &#xE9; de %d segundos","ba-audiorecorder-controlbar.cancel":"Cancelar","ba-audiorecorder-controlbar.cancel-tooltip":"Clique aqui para cancelar.","ba-videoplayer-controlbar.player-speed":"Velocidade de reprodu&#xE7;&#xE3;o","ba-videoplayer-controlbar.settings":"Defini&#xE7;&#xF5;es","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"&#xCD;cone de airplay.","ba-videoplayer.all-settings":"Todas as configura&#xE7;&#xF5;es","ba-videoplayer.player-speed":"Velocidade de reprodu&#xE7;&#xE3;o","ba-videoplayer.full-screen":"Tela cheia","ba-videorecorder-controlbar.add-stream":"Adicionar stream","ba-videorecorder.switch-camera":"Alternar c&#xE2;mera","ba-videorecorder.prepare-covershot":"Preparando imagens de capa","ba-videorecorder.prepare-thumbnails":"Preparando miniaturas em busca","ba-videorecorder.adding-new-stream":"Adicionando Novo Stream","ba-imagecapture.recorder-error":"Ocorreu um erro. Por favor tente novamente mais tarde. Clique para tentar novamente.","ba-imagecapture.attach-error":"N&#xE3;o conseguimos acessar a interface de m&#xED;dia. Dependendo do dispositivo e do navegador, talvez seja necess&#xE1;rio instalar o Flash ou acessar a p&#xE1;gina via SSL.","ba-imagecapture.software-required":"Por favor, clique abaixo para instalar / ativar os seguintes requisitos para prosseguir.","ba-imagecapture.software-waiting":"Aguardando que os requisitos sejam instalados / ativados. Pode ser necess&#xE1;rio atualizar a p&#xE1;gina ap&#xF3;s a conclus&#xE3;o.","ba-imagecapture.access-forbidden":"O acesso &#xE0; m&#xED;dia foi proibido. Clique para tentar novamente.","ba-imagecapture.uploading":"Upload","ba-imagecapture.uploading-failed":"O upload falhou - clique aqui para tentar novamente.","ba-imagecapture.upload-error-duration":"O comprimento da imagem enviada n&#xE3;o atende aos requisitos. Clique aqui para tentar novamente.","ba-imagecapture.resolution-constraint-error":"O arquivo que voc&#xEA; selecionou n&#xE3;o corresponde &#xE0; resolu&#xE7;&#xE3;o necess&#xE1;ria - clique aqui para tentar novamente.","ba-imagecapture.verifying":"Verificando","ba-imagecapture.verifying-failed":"Verifica&#xE7;&#xE3;o falhou - clique aqui para tentar novamente.","ba-imagecapture.rerecord-confirm":"Voc&#xEA; realmente quer refazer sua imagem?","ba-imagecapture.image_file_too_large":"Seu arquivo de imagem &#xE9; muito grande (%s) - clique aqui para tentar novamente com um arquivo de imagem menor.","ba-imagecapture.unsupported_image_type":"Por favor, envie: %s - clique aqui para tentar novamente.","ba-imagecapture.orientation-portrait-required":"Por favor, gire seu dispositivo para gravar no modo retrato.","ba-imagecapture.orientation-landscape-required":"Por favor, gire seu dispositivo para gravar no modo paisagem.","ba-audiorecorder.recorder-error":"Ocorreu um erro. Por favor tente novamente mais tarde. Clique para tentar novamente.","ba-audiorecorder.attach-error":"N&#xE3;o conseguimos acessar a interface de m&#xED;dia. Dependendo do dispositivo e do navegador talvez seja necess&#xE1;rio instalar o Flash ou acessar a p&#xE1;gina via SSL.","ba-audiorecorder.software-required":"Por favor, clique abaixo para instalar / ativar os seguintes requisitos para prosseguir.","ba-audiorecorder.software-waiting":"Aguardando que os requisitos sejam instalados / ativados. Pode ser necess&#xE1;rio atualizar a p&#xE1;gina ap&#xF3;s a conclus&#xE3;o.","ba-audiorecorder.access-forbidden":"O acesso &#xE0; m&#xED;dia foi proibido. Clique para tentar novamente.","ba-audiorecorder.uploading":"Enviando","ba-audiorecorder.uploading-failed":"O upload falhou - clique aqui para tentar novamente.","ba-audiorecorder.upload-error-duration":"A dura&#xE7;&#xE3;o do &#xE1;udio enviado n&#xE3;o atende aos requisitos. Clique aqui para tentar novamente.","ba-audiorecorder.verifying":"Verificando","ba-audiorecorder.verifying-failed":"Verifica&#xE7;&#xE3;o falhou - clique aqui para tentar novamente.","ba-audiorecorder.rerecord-confirm":"Voc&#xEA; realmente quer refazer seu &#xE1;udio?","ba-audiorecorder.cancel-confirm":"Voc&#xEA; realmente quer cancelar o envio do seu &#xE1;udio?","ba-audiorecorder.audio_file_too_large":"Seu arquivo de &#xE1;udio &#xE9; muito grande (%s) - clique aqui para tentar novamente com um arquivo de &#xE1;udio menor.","ba-audiorecorder.unsupported_audio_type":"Por favor, envie: %s - clique aqui para tentar novamente.","ba-common-settingsmenu.tooltip":"Clique para jogar.","ba-common-settingsmenu.setting-menu":"Todas as configura&#xE7;&#xF5;es","ba-common-settingsmenu.source-quality":"Qualidade da fonte","ba-common-settingsmenu.player-speed":"Velocidade do jogador","ba-common-settingsmenu.set-menu-option":"Definir op&#xE7;&#xE3;o","ba-common-settingsmenu.submit-video":"Confirme o v&#xED;deo","ba-common-settingsmenu.picture-in-picture":"Imagem na imagem","ba-common-settingsmenu.exit-fullscreen-video":"Sair da tela inteira","ba-common-settingsmenu.fullscreen-video":"Entrar em tela cheia","ba-videorecorder-chooser.multi-stream":"Multi Stream","ba-videorecorder-controlbar.pause-recorder":"Pausar gravador","ba-videorecorder-controlbar.resume-recorder":"Retomar gravador","ba-videorecorder.missing-track":"Falta trilha de &#xE1;udio ou v&#xED;deo necess&#xE1;ria","ba-videorecorder.device-already-in-use":"Pelo menos um de seus dispositivos de entrada j&#xE1; est&#xE1; em uso","ba-videorecorder.browser-permission-denied":"Permiss&#xE3;o negada pelo navegador, conceda acesso e recarregue a p&#xE1;gina","ba-audioplayer.all-settings":"Todas as configura&#xE7;&#xF5;es","ba-videoplayer-controlbar.remaining-time":"Tempo restante","ba-videoplayer-controlbar.select-frame":"Selecione","ba-videoplayer-controlbar.trim-video":"Aparar","ba-videoplayer-playbutton.trim":"Aparar","ba-videoplayer-playbutton.skip":"Pular","ba-videorecorder-imagegallery.upload-covershot":"Carregar capa","ba-videorecorder.pick-covershot-frame":"Selecione um quadro para usar como cobertura.","ba-videorecorder.screen-recorder-is-not-supported":"O gravador de tela n&#xE3;o &#xE9; compat&#xED;vel com este dispositivo","ba-videorecorder.trim-prompt":"Voc&#xEA; quer cortar seu v&#xED;deo?","ba-videorecorder.trim-video":"Mova os marcadores de in&#xED;cio e fim para cortar seu v&#xED;deo","ba-videorecorder.wait-for-trim":"Esperando pelo comando de corte ...","ba-videorecorder-controlbar.no-video-source":"Fonte de entrada de v&#xED;deo adicional ausente","ba-videorecorder-controlbar.stream-already-selected":"Stream adicional j&#xE1; foi selecionado","ba-videorecorder.uploading-src-error":"N&#xE3;o &#xE9; poss&#xED;vel reproduzir o v&#xED;deo agora, o upload ainda est&#xE1; em andamento","ba-audiorecorder-controlbar.pause-recorder":"Pausar gravador","ba-audiorecorder-controlbar.resume-recorder":"Retomar gravador"},"language:pt":{"ba-videoplayer-playbutton.tooltip":"Clique para reproduzir","ba-videoplayer-playbutton.rerecord":"Repetir","ba-videoplayer-playbutton.submit-video":"Enviar v&#xED;deo","ba-videoplayer-loader.tooltip":"A Carregar...","ba-videoplayer-controlbar.change-resolution":"Alterar resolu&#xE7;&#xE3;o","ba-videoplayer-controlbar.video-progress":"Progresso","ba-videoplayer-controlbar.rerecord-video":"Repetir?","ba-videoplayer-controlbar.submit-video":"Confirmar","ba-videoplayer-controlbar.play-video":"Ver V&#xED;deo","ba-videoplayer-controlbar.pause-video":"Pausa","ba-videoplayer-controlbar.elapsed-time":"Tempo decorrido","ba-videoplayer-controlbar.total-time":"Tempo Total","ba-videoplayer-controlbar.fullscreen-video":"Modo ecr&#xE3; inteiro","ba-videoplayer-controlbar.volume-button":"Definir volume","ba-videoplayer-controlbar.volume-mute":"Silenciar Som","ba-videoplayer-controlbar.volume-unmute":"Ativar Som","ba-videoplayer.video-error":"Ocorreu um erro. Por favor tente de novo mais tarde. Clique para tentar novamente.","ba-videorecorder-chooser.record-video":"Gravar V&#xED;deo","ba-videorecorder-chooser.upload-video":"Enviar V&#xED;deo","ba-videorecorder-controlbar.settings":"Configura&#xE7;&#xF5;es","ba-videorecorder-controlbar.camerahealthy":"A ilumina&#xE7;&#xE3;o est&#xE1; boa","ba-videorecorder-controlbar.cameraunhealthy":"A ilumina&#xE7;&#xE3;o n&#xE3;o &#xE9; ideal","ba-videorecorder-controlbar.microphonehealthy":"O som est&#xE1; bom","ba-videorecorder-controlbar.microphoneunhealthy":"N&#xE3;o foi poss&#xED;vel ouvir nenhum som","ba-videorecorder-controlbar.record":"Gravar","ba-videorecorder-controlbar.record-tooltip":"Clique aqui para gravar","ba-videorecorder-controlbar.rerecord":"Repetir","ba-videorecorder-controlbar.rerecord-tooltip":"Clique aqui para repetir","ba-videorecorder-controlbar.upload-covershot":"Enviar","ba-videorecorder-controlbar.upload-covershot-tooltip":"Clique aqui para enviar a captura de capa personalizada","ba-videorecorder-controlbar.stop":"Parar","ba-videorecorder-controlbar.stop-tooltip":"Clique aqui para parar","ba-videorecorder-controlbar.skip":"Ignorar","ba-videorecorder-controlbar.skip-tooltip":"Clique aqui para ignorar","ba-videorecorder.recorder-error":"Ocorreu um erro. Por favor tente novamente mais tarde. Clique para tentar novamente.","ba-videorecorder.attach-error":"N&#xE3;o conseguimos aceder &#xE0; c&#xE2;mara. Dependendo do dispositivo e do navegador, pode ser necess&#xE1;rio instalar o Flash ou aceder &#xE0; p&#xE1;gina via SSL.","ba-videorecorder.access-forbidden":"O acesso &#xE0; c&#xE2;mara foi pro&#xED;bido. Clique para tentar novamente.","ba-videorecorder.pick-covershot":"Escolha uma capa personalizada","ba-videorecorder.uploading":"A enviar","ba-videorecorder.uploading-failed":"O envio falhou - clique para tentar de novo","ba-videorecorder.verifying":"A verificar","ba-videorecorder.verifying-failed":"A verifica&#xE7;&#xE3;o falhou - clique para tentar de novo","ba-videorecorder.rerecord-confirm":"Quer mesmo repetir o seu v&#xED;deo?","ba-videorecorder.video_file_too_large":"O seu v&#xED;deo &#xE9; demasiado grande (%s) - clique para tentar de novo com um v&#xED;deo mais pequeno.","ba-videorecorder.unsupported_video_type":"Por favor, envie: %s - clique para tentar de novo.","ba-videoplayer-controlbar.exit-fullscreen-video":"Sair do modo ecr&#xE3; inteiro","ba-videoplayer-share.share":"Partilhar a grava&#xE7;&#xE3;o","ba-videoplayer-controlbar.pause-video-disabled":"A pausa n&#xE3;o &#xE9; suportada","ba-videorecorder-chooser.record-audio":"Gravar &#xC1;udio","ba-videorecorder-chooser.record-screen":"Captura de ecr&#xE3;","ba-videorecorder-controlbar.stop-available-after":"O tempo m&#xED;nimo de grava&#xE7;&#xE3;o &#xE9; %d segundos","ba-videorecorder-controlbar.cancel":"Cancelar","ba-videorecorder-controlbar.cancel-tooltip":"Clique aqui para cancelar.","ba-videorecorder.cancel-confirm":"Voc&#xEA; deseja realmente cancelar o upload de seu v&#xED;deo?","ba-videoplayer-adslot.elapsed-time":"Tempo Decorrido","ba-videoplayer-adslot.volume-button":"Definir volume","ba-videoplayer-adslot.volume-mute":"Silenciar Som","ba-videoplayer-adslot.volume-unmute":"Ativar Som","ba-videoplayer-adslot.ad-will-end-after":"O an&#xFA;ncio terminar&#xE1; ap&#xF3;s %s","ba-videoplayer-adslot.can-skip-after":"Ignorar ap&#xF3;s %d","ba-videoplayer-adslot.skip-ad":"Saltar An&#xFA;ncio","ba-videorecorder.software-required":"Clique abaixo para instalar / ativar os seguintes requisitos para prosseguir.","ba-videorecorder.software-waiting":"Esperando que os requisitos sejam instalados / ativados. Talvez seja necess&#xE1;rio atualizar a p&#xE1;gina ap&#xF3;s a conclus&#xE3;o.","ba-videoplayer-controlbar.close-tracks":"Fechar CC","ba-videoplayer-controlbar.show-tracks":"Mostrar CC","ba-videoplayer-tracks.upload-text-tracks":"Carregar arquivos de texto da faixa","ba-videoplayer-tracks.select-text-track-language":"Idioma das legendas","ba-videoplayer-tracks.info-select-locale-first":"Primeiro selecione o local","ba-videoplayer-tracks.select-text-track-file":"Clique para selecionar o arquivo","ba-videoplayer-tracks.back":"voltar","ba-videorecorder.framerate-warning":"A taxa de quadros do v&#xED;deo &#xE9; muito baixa. Recomendamos fechar todos os outros programas e guias do navegador ou usar um computador mais r&#xE1;pido.","ba-videorecorder.upload-error-duration":"A dura&#xE7;&#xE3;o do v&#xED;deo enviado n&#xE3;o atende aos requisitos. Clique aqui para tentar novamente.","ba-videorecorder.resolution-constraint-error":"O arquivo que voc&#xEA; selecionou n&#xE3;o corresponde &#xE0; resolu&#xE7;&#xE3;o necess&#xE1;ria - clique aqui para tentar novamente.","ba-videorecorder.orientation-portrait-required":"Por favor, gire o seu dispositivo para gravar no modo retrato.","ba-videorecorder.orientation-landscape-required":"Por favor, gire o seu dispositivo para gravar no modo paisagem.","ba-imageviewer-controlbar.rerecord-image":"Refazer","ba-imageviewer-controlbar.submit-image":"confirmar","ba-imageviewer-controlbar.fullscreen-image":"Entrar em ecr&#xE3; inteiro","ba-imageviewer-controlbar.exit-fullscreen-image":"Sair de ecr&#xE3; inteiro","ba-imageviewer.image-error":"Ocorreu um erro. Por favor tente novamente mais tarde. Clique para tentar novamente.","ba-imagecapture-chooser.image-capture":"Capturar imagem","ba-imagecapture-chooser.upload-image":"Enviar Imagem","ba-imagecapture-controlbar.settings":"Configura&#xE7;&#xF5;es","ba-imagecapture-controlbar.camerahealthy":"Ilumina&#xE7;&#xE3;o est&#xE1; boa","ba-imagecapture-controlbar.cameraunhealthy":"Ilumina&#xE7;&#xE3;o n&#xE3;o &#xE9; ideal","ba-imagecapture-controlbar.record":"Capturar","ba-imagecapture-controlbar.record-tooltip":"Clique aqui para capturar.","ba-imagecapture-controlbar.rerecord":"Refazer","ba-imagecapture-controlbar.rerecord-tooltip":"Clique aqui para refazer.","ba-imagecapture-controlbar.cancel":"Cancelar","ba-imagecapture-controlbar.cancel-tooltip":"Clique aqui para cancelar.","ba-audioplayer-controlbar.audio-progress":"Progresso","ba-audioplayer-controlbar.rerecord-audio":"Refazer","ba-audioplayer-controlbar.submit-audio":"confirmar","ba-audioplayer-controlbar.play-audio":"Tocar","ba-audioplayer-controlbar.pause-audio":"Pausar","ba-audioplayer-controlbar.pause-audio-disabled":"Pausa n&#xE3;o suportada","ba-audioplayer-controlbar.elapsed-time":"Tempo decorrido","ba-audioplayer-controlbar.total-time":"Tempo total","ba-audioplayer-controlbar.volume-button":"Definir volume","ba-audioplayer-controlbar.volume-mute":"Som mudo","ba-audioplayer-controlbar.volume-unmute":"Ativar som","ba-audioplayer-loader.tooltip":"Carregando...","ba-audioplayer.audio-error":"Ocorreu um erro. Por favor tente novamente mais tarde. Clique para tentar novamente.","ba-audiorecorder-chooser.record-audio":"Gravar audio","ba-audiorecorder-chooser.upload-audio":"Carregar &#xE1;udio","ba-audiorecorder-controlbar.settings":"Configura&#xE7;&#xF5;es","ba-audiorecorder-controlbar.microphonehealthy":"Som est&#xE1; bom","ba-audiorecorder-controlbar.microphoneunhealthy":"N&#xE3;o &#xE9; poss&#xED;vel captar nenhum som","ba-audiorecorder-controlbar.record":"Gravar","ba-audiorecorder-controlbar.record-tooltip":"Clique aqui para gravar.","ba-audiorecorder-controlbar.rerecord":"Refazer","ba-audiorecorder-controlbar.rerecord-tooltip":"Clique aqui para refazer.","ba-audiorecorder-controlbar.stop":"Pare","ba-audiorecorder-controlbar.stop-tooltip":"Clique aqui para parar.","ba-audiorecorder-controlbar.stop-available-after":"Tempo m&#xED;nimo de grava&#xE7;&#xE3;o &#xE9; de %d segundos","ba-audiorecorder-controlbar.cancel":"Cancelar","ba-audiorecorder-controlbar.cancel-tooltip":"Clique aqui para cancelar.","ba-videoplayer-controlbar.player-speed":"Velocidade de reprodu&#xE7;&#xE3;o","ba-videoplayer-controlbar.settings":"Defini&#xE7;&#xF5;es","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"&#xCD;cone de airplay.","ba-videoplayer.all-settings":"Todas as configura&#xE7;&#xF5;es","ba-videoplayer.player-speed":"Velocidade de reprodu&#xE7;&#xE3;o","ba-videoplayer.full-screen":"Modo ecr&#xE3; inteiro","ba-videorecorder-controlbar.add-stream":"Adicionar stream","ba-videorecorder.switch-camera":"Alternar c&#xE2;mera","ba-videorecorder.prepare-covershot":"Preparando covershots","ba-videorecorder.prepare-thumbnails":"Preparando a busca de miniaturas","ba-videorecorder.adding-new-stream":"Adicionando Novo Stream","ba-imagecapture.recorder-error":"Ocorreu um erro. Por favor tente novamente mais tarde. Clique para tentar novamente.","ba-imagecapture.attach-error":"N&#xE3;o conseguimos acessar a interface de m&#xED;dia. Dependendo do dispositivo e do navegador, talvez seja necess&#xE1;rio instalar o Flash ou acessar a p&#xE1;gina via SSL.","ba-imagecapture.software-required":"Por favor, clique abaixo para instalar / ativar os seguintes requisitos para prosseguir.","ba-imagecapture.software-waiting":"Aguardando que os requisitos sejam instalados / ativados. Pode ser necess&#xE1;rio atualizar a p&#xE1;gina ap&#xF3;s a conclus&#xE3;o.","ba-imagecapture.access-forbidden":"O acesso &#xE0; m&#xED;dia foi proibido. Clique para tentar novamente.","ba-imagecapture.uploading":"Enviando","ba-imagecapture.uploading-failed":"O upload falhou - clique aqui para tentar novamente.","ba-imagecapture.upload-error-duration":"O comprimento da imagem enviada n&#xE3;o atende aos requisitos. Clique aqui para tentar novamente.","ba-imagecapture.resolution-constraint-error":"O arquivo que voc&#xEA; selecionou n&#xE3;o corresponde &#xE0; resolu&#xE7;&#xE3;o necess&#xE1;ria - clique aqui para tentar novamente.","ba-imagecapture.verifying":"Verificando","ba-imagecapture.verifying-failed":"Verifica&#xE7;&#xE3;o falhou - clique aqui para tentar novamente.","ba-imagecapture.rerecord-confirm":"Voc&#xEA; realmente quer refazer sua imagem?","ba-imagecapture.image_file_too_large":"Seu arquivo de imagem &#xE9; muito grande (%s) - clique aqui para tentar novamente com um arquivo de imagem menor.","ba-imagecapture.unsupported_image_type":"Carregue por favor: %s - clique aqui para tentar novamente.","ba-imagecapture.orientation-portrait-required":"Por favor, gire o seu dispositivo para gravar no modo retrato.","ba-imagecapture.orientation-landscape-required":"Por favor, gire o seu dispositivo para gravar no modo paisagem.","ba-audiorecorder.recorder-error":"Ocorreu um erro. Por favor tente novamente mais tarde. Clique para tentar novamente.","ba-audiorecorder.attach-error":"N&#xE3;o conseguimos acessar a interface de m&#xED;dia. Dependendo do dispositivo e do navegador, talvez seja necess&#xE1;rio instalar o Flash ou acessar a p&#xE1;gina via SSL.","ba-audiorecorder.software-required":"Por favor, clique abaixo para instalar / ativar os seguintes requisitos para prosseguir.","ba-audiorecorder.software-waiting":"Aguardando que os requisitos sejam instalados / ativados. Pode ser necess&#xE1;rio atualizar a p&#xE1;gina ap&#xF3;s a conclus&#xE3;o.","ba-audiorecorder.access-forbidden":"O acesso &#xE0; m&#xED;dia foi proibido. Clique para tentar novamente.","ba-audiorecorder.uploading":"Upload","ba-audiorecorder.uploading-failed":"O upload falhou - clique aqui para tentar novamente.","ba-audiorecorder.upload-error-duration":"O comprimento do &#xE1;udio enviado n&#xE3;o atende aos requisitos. Clique aqui para tentar novamente.","ba-audiorecorder.verifying":"Verificando","ba-audiorecorder.verifying-failed":"Verificando falhou - clique aqui para tentar novamente.","ba-audiorecorder.rerecord-confirm":"Voc&#xEA; realmente quer refazer o seu &#xE1;udio?","ba-audiorecorder.cancel-confirm":"Voc&#xEA; realmente quer cancelar o seu upload de &#xE1;udio?","ba-audiorecorder.audio_file_too_large":"Seu arquivo de &#xE1;udio &#xE9; muito grande (%s) - clique aqui para tentar novamente com um arquivo de &#xE1;udio menor.","ba-audiorecorder.unsupported_audio_type":"Carregue por favor: %s - clique aqui para tentar novamente.","ba-common-settingsmenu.tooltip":"Clique para reproduzir.","ba-common-settingsmenu.setting-menu":"Todas as configura&#xE7;&#xF5;es","ba-common-settingsmenu.source-quality":"Qualidade da fonte","ba-common-settingsmenu.player-speed":"Velocidade de reprodu&#xE7;&#xE3;o","ba-common-settingsmenu.set-menu-option":"Definir op&#xE7;&#xE3;o","ba-common-settingsmenu.submit-video":"Confirmar v&#xED;deo","ba-common-settingsmenu.picture-in-picture":"Picture in picture","ba-common-settingsmenu.exit-fullscreen-video":"Sair do modo ecr&#xE3; inteiro","ba-common-settingsmenu.fullscreen-video":"Entrar em modo ecr&#xE3; inteiro","ba-videorecorder-chooser.multi-stream":"Multi Stream","ba-videorecorder-controlbar.pause-recorder":"Pausar gravador","ba-videorecorder-controlbar.resume-recorder":"Resumir gravador","ba-videorecorder.missing-track":"Falta a pista de &#xE1;udio ou v&#xED;deo necess&#xE1;ria","ba-videorecorder.device-already-in-use":"Pelo menos um dos seus dispositivos de entrada est&#xE1; em uso","ba-videorecorder.browser-permission-denied":"Permiss&#xE3;o negada pelo navegador, por favor conceda acesso e recarregue a p&#xE1;gina","ba-audioplayer.all-settings":"Todas as configura&#xE7;&#xF5;es","ba-videoplayer-controlbar.remaining-time":"Tempo restante","ba-videoplayer-controlbar.select-frame":"Selecione","ba-videoplayer-controlbar.trim-video":"Aparar","ba-videoplayer-playbutton.trim":"Aparar","ba-videoplayer-playbutton.skip":"Pular","ba-videorecorder-imagegallery.upload-covershot":"Carregar capa","ba-videorecorder.pick-covershot-frame":"Selecione um quadro para usar como cobertura.","ba-videorecorder.screen-recorder-is-not-supported":"O gravador de tela n&#xE3;o &#xE9; compat&#xED;vel com este dispositivo","ba-videorecorder.trim-prompt":"Voc&#xEA; quer cortar seu v&#xED;deo?","ba-videorecorder.trim-video":"Mova os marcadores de in&#xED;cio e fim para cortar seu v&#xED;deo","ba-videorecorder.wait-for-trim":"Esperando pelo comando de corte ...","ba-videorecorder-controlbar.no-video-source":"Fonte de entrada de v&#xED;deo adicional ausente","ba-videorecorder-controlbar.stream-already-selected":"Stream adicional j&#xE1; foi selecionado","ba-videorecorder.uploading-src-error":"N&#xE3;o &#xE9; poss&#xED;vel reproduzir o v&#xED;deo agora, o upload ainda est&#xE1; em andamento","ba-audiorecorder-controlbar.pause-recorder":"Pausar gravador","ba-audiorecorder-controlbar.resume-recorder":"Retomar gravador"},"language:ro":{"ba-videoplayer-playbutton.tooltip":"Click aici pentru a reda video.","ba-videoplayer-playbutton.rerecord":"&#xCE;nregistreaz&#x103; din nou","ba-videoplayer-playbutton.submit-video":"confirm&#x103; film","ba-videoplayer-loader.tooltip":"Se &#xEE;ncarc&#x103; videoclipul ...","ba-videoplayer-controlbar.change-resolution":"Schimba&#x21B;i rezolu&#x21B;ia","ba-videoplayer-controlbar.video-progress":"progresul video","ba-videoplayer-controlbar.rerecord-video":"Reface&#x21B;i video?","ba-videoplayer-controlbar.submit-video":"confirm&#x103; film","ba-videoplayer-controlbar.play-video":"Ruleaz&#x103; video","ba-videoplayer-controlbar.pause-video":"Pauz&#x103; video","ba-videoplayer-controlbar.elapsed-time":"timp scurs","ba-videoplayer-controlbar.total-time":"Lungimea total&#x103; a videoclipului","ba-videoplayer-controlbar.fullscreen-video":"M&#x103;re&#x219;te pe tot ecranul","ba-videoplayer-controlbar.volume-button":"reglajul volumului","ba-videoplayer-controlbar.volume-mute":"opre&#x219;te sunet","ba-videoplayer-controlbar.volume-unmute":"repornirea sunetului","ba-videoplayer.video-error":"A ap&#x103;rut o eroare, v&#x103; rug&#x103;m s&#x103; &#xEE;ncerca&#x21B;i din nou mai t&#xE2;rziu. Click aici pentru a &#xEE;ncerca din nou.","ba-videorecorder-chooser.record-video":"&#xCE;nregistrarea Dvs. video","ba-videorecorder-chooser.upload-video":"&#xCE;ncarc&#x103; film","ba-videorecorder-controlbar.settings":"set&#x103;rile","ba-videorecorder-controlbar.camerahealthy":"Lumina este optim&#x103;","ba-videorecorder-controlbar.cameraunhealthy":"Lumina nu este optim&#x103;","ba-videorecorder-controlbar.microphonehealthy":"Sunetul este bun","ba-videorecorder-controlbar.microphoneunhealthy":"Sunetul nu poate fi &#xEE;nregistrat","ba-videorecorder-controlbar.record":"&#xCE;nregistreaz&#x103;","ba-videorecorder-controlbar.record-tooltip":"Apasa aici pentru a &#xEE;nregistra.","ba-videorecorder-controlbar.rerecord":"&#xCE;nregistreaz&#x103; din nou","ba-videorecorder-controlbar.rerecord-tooltip":"Apasa aici pentru a reface.","ba-videorecorder-controlbar.upload-covershot":"&#xCE;nc&#x103;rca&#x21B;i","ba-videorecorder-controlbar.upload-covershot-tooltip":"Apasa aici pentru a &#xEE;nc&#x103;rca o copert&#x103; personalizat&#x103;","ba-videorecorder-controlbar.stop":"Stop","ba-videorecorder-controlbar.stop-tooltip":"Apasa aici pentru a opri.","ba-videorecorder-controlbar.skip":"sari","ba-videorecorder-controlbar.skip-tooltip":"Apasa aici pentru a s&#x103;ri peste.","ba-videorecorder.recorder-error":"A ap&#x103;rut o eroare, v&#x103; rug&#x103;m s&#x103; &#xEE;ncerca&#x21B;i din nou mai t&#xE2;rziu. Click aici pentru a &#xEE;ncerca din nou.","ba-videorecorder.attach-error":"Nu am putut accesa interfa&#x21B;a camerei. &#xCE;n func&#x21B;ie de dispozitiv &#x219;i de browser-ul folosit, poate fi necesar s&#x103; instala&#x21B;i Flash sau accesa pagina prin SSL.","ba-videorecorder.access-forbidden":"Accesul la camera a fost interzis. Click aici pentru a &#xEE;ncerca din nou.","ba-videorecorder.pick-covershot":"Alege o copert&#x103;.","ba-videorecorder.uploading":"Se &#xEE;ncarc&#x103;","ba-videorecorder.uploading-failed":"&#xCE;nc&#x103;rcarea nu a reu&#x219;it - clic aici pentru a &#xEE;ncerca din nou.","ba-videorecorder.verifying":"Se verific&#x103;","ba-videorecorder.verifying-failed":"Verificarea nu a reu&#x219;it - clic aici pentru a &#xEE;ncerca din nou.","ba-videorecorder.rerecord-confirm":"Sunte&#x21B;i sigur c&#x103; vre&#x21B;i s&#x103; reface&#x21B;i videoclipul?","ba-videorecorder.video_file_too_large":"Fi&#x219;ierul dvs. video este prea mare (%s) - click aici pentru a &#xEE;ncerca din nou cu un fi&#x219;ier video mai mic.","ba-videorecorder.unsupported_video_type":"V&#x103; rug&#x103;m s&#x103; &#xEE;nc&#x103;rca&#x21B;i: %s - clic aici pentru a &#xEE;ncerca din nou.","ba-videoplayer-controlbar.exit-fullscreen-video":"Ie&#x219;i&#x21B;i din ecranul complet","ba-videoplayer-share.share":"Distribui&#x21B;i videoclipul","ba-videorecorder-chooser.record-screen":"Ecranul de &#xEE;nregistrare","ba-videoplayer-controlbar.pause-video-disabled":"&#xCE;ntreruperea nu este acceptat&#x103;","ba-videorecorder-chooser.record-audio":"&#xCE;nregistreaz&#x103; audio","ba-videorecorder-controlbar.stop-available-after":"Durata minim&#x103; de &#xEE;nregistrare este %d secunde","ba-videorecorder-controlbar.cancel":"Anulare","ba-videorecorder-controlbar.cancel-tooltip":"Face&#x21B;i clic aici pentru a anula.","ba-videorecorder.cancel-confirm":"Chiar vrei s&#x103; anulezi &#xEE;nc&#x103;rcarea videoclipului?","ba-videoplayer-adslot.elapsed-time":"Timp scurs","ba-videoplayer-adslot.volume-button":"Seta&#x21B;i volumul","ba-videoplayer-adslot.volume-mute":"Opri&#x21B;i sunetul","ba-videoplayer-adslot.volume-unmute":"Debloca&#x21B;i sunetul","ba-videoplayer-adslot.ad-will-end-after":"Anun&#x21B;ul se va &#xEE;ncheia dup&#x103; %s","ba-videoplayer-adslot.can-skip-after":"S&#x103;ri&#x21B;i dup&#x103; %d","ba-videoplayer-adslot.skip-ad":"&#x218;terge&#x21B;i anun&#x21B;ul","ba-videorecorder.software-required":"Face&#x21B;i clic mai jos pentru a instala / activa urm&#x103;toarele cerin&#x21B;e pentru a continua.","ba-videorecorder.software-waiting":"Se a&#x219;teapt&#x103; ca cerin&#x21B;ele s&#x103; fie instalate / activate. Poate fi necesar s&#x103; actualiza&#x21B;i pagina dup&#x103; finalizare.","ba-videoplayer-controlbar.close-tracks":"&#xCE;nchide&#x21B;i CC","ba-videoplayer-controlbar.show-tracks":"Ar&#x103;ta&#x21B;i CC","ba-videoplayer-tracks.upload-text-tracks":"&#xCE;nc&#x103;rca&#x21B;i fi&#x219;iere text","ba-videoplayer-tracks.select-text-track-language":"Limba pentru subtitrare","ba-videoplayer-tracks.info-select-locale-first":"Mai &#xEE;nt&#xE2;i selecta&#x21B;i localizarea","ba-videoplayer-tracks.select-text-track-file":"Face&#x21B;i clic pentru a selecta fi&#x219;ierul","ba-videoplayer-tracks.back":"&#xEE;napoi","ba-videorecorder.framerate-warning":"Rata cadrelor video este foarte sc&#x103;zut&#x103;. V&#x103; recomand&#x103;m s&#x103; &#xEE;nchide&#x21B;i toate celelalte programe &#x219;i filele browserului sau s&#x103; utiliza&#x21B;i un computer mai rapid.","ba-videorecorder.upload-error-duration":"Durata videoclipului &#xEE;nc&#x103;rcat nu &#xEE;ndepline&#x219;te cerin&#x21B;ele - face&#x21B;i clic aici pentru a &#xEE;ncerca din nou.","ba-videorecorder.resolution-constraint-error":"Fi&#x219;ierul pe care l-a&#x21B;i selectat nu corespunde rezolu&#x21B;iei cerute - face&#x21B;i clic aici pentru a &#xEE;ncerca din nou.","ba-videorecorder.orientation-portrait-required":"Rote&#x219;te dispozitivul pentru a &#xEE;nregistra &#xEE;n modul portret.","ba-videorecorder.orientation-landscape-required":"Rote&#x219;te dispozitivul pentru a &#xEE;nregistra &#xEE;n modul peisaj.","ba-imageviewer-controlbar.rerecord-image":"Re-inregistreaza?","ba-imageviewer-controlbar.submit-image":"Confirma","ba-imageviewer-controlbar.fullscreen-image":"M&#x103;re&#x219;te pe &#xEE;ntre ecranul","ba-imageviewer-controlbar.exit-fullscreen-image":"Ie&#x219;i&#x21B;i de pe ecranul complet","ba-imageviewer.image-error":"A ap&#x103;rut o eroare, &#xEE;ncerca&#x21B;i din nou mai t&#xE2;rziu. Face&#x21B;i clic pentru a re&#xEE;ncerca.","ba-imagecapture-chooser.image-capture":"Captura&#x21B;i imaginea","ba-imagecapture-chooser.upload-image":"Incarca imaginea","ba-imagecapture-controlbar.settings":"Set&#x103;ri","ba-imagecapture-controlbar.camerahealthy":"Lumina este bun&#x103;","ba-imagecapture-controlbar.cameraunhealthy":"Lumina nu este optim&#x103;","ba-imagecapture-controlbar.record":"Captur&#x103;","ba-imagecapture-controlbar.record-tooltip":"Face&#x21B;i clic aici pentru a captura.","ba-imagecapture-controlbar.rerecord":"A reface","ba-imagecapture-controlbar.rerecord-tooltip":"Face&#x21B;i clic aici pentru a reveni.","ba-imagecapture-controlbar.cancel":"Anulare","ba-imagecapture-controlbar.cancel-tooltip":"Face&#x21B;i clic aici pentru a anula.","ba-audioplayer-controlbar.audio-progress":"progres","ba-audioplayer-controlbar.rerecord-audio":"Re-inregistreaza?","ba-audioplayer-controlbar.submit-audio":"Confirma","ba-audioplayer-controlbar.play-audio":"Ruleaz&#x103;","ba-audioplayer-controlbar.pause-audio":"Pauz&#x103;","ba-audioplayer-controlbar.pause-audio-disabled":"&#xCE;ntreruperea nu este acceptat&#x103;","ba-audioplayer-controlbar.elapsed-time":"Timp scurs","ba-audioplayer-controlbar.total-time":"Lungimea total&#x103;","ba-audioplayer-controlbar.volume-button":"Seta&#x21B;i volumul","ba-audioplayer-controlbar.volume-mute":"Opri&#x21B;i sunetul","ba-audioplayer-controlbar.volume-unmute":"Debloca&#x21B;i sunetul","ba-audioplayer-loader.tooltip":"Se incarca...","ba-audioplayer.audio-error":"A ap&#x103;rut o eroare, &#xEE;ncerca&#x21B;i din nou mai t&#xE2;rziu. Face&#x21B;i clic pentru a re&#xEE;ncerca.","ba-audiorecorder-chooser.record-audio":"&#xCE;nregistreaz&#x103; audio","ba-audiorecorder-chooser.upload-audio":"&#xCE;nc&#x103;rca&#x21B;i audio","ba-audiorecorder-controlbar.settings":"Set&#x103;ri","ba-audiorecorder-controlbar.microphonehealthy":"Sunetul este bun","ba-audiorecorder-controlbar.microphoneunhealthy":"Sunetul nu este bun","ba-audiorecorder-controlbar.record":"&#xCE;nregistreaz&#x103;","ba-audiorecorder-controlbar.record-tooltip":"Face&#x21B;i clic aici pentru a &#xEE;nregistra.","ba-audiorecorder-controlbar.rerecord":"&#xCE;nregistreaz&#x103; din nou","ba-audiorecorder-controlbar.rerecord-tooltip":"Face&#x21B;i clic aici pentru a reveni.","ba-audiorecorder-controlbar.stop":"Stop","ba-audiorecorder-controlbar.stop-tooltip":"Face&#x21B;i clic aici pentru a opri.","ba-audiorecorder-controlbar.stop-available-after":"Durata minim&#x103; de &#xEE;nregistrare este %d secunde","ba-audiorecorder-controlbar.cancel":"Anulare","ba-audiorecorder-controlbar.cancel-tooltip":"Face&#x21B;i clic aici pentru a anula.","ba-videoplayer-controlbar.player-speed":"Viteza de rulare","ba-videoplayer-controlbar.settings":"Set&#x103;ri","ba-videoplayer-controlbar.airplay":"AirPlay","ba-videoplayer-controlbar.airplay-icon":"Airplay icon.","ba-videoplayer.all-settings":"Toate set&#x103;rile","ba-videoplayer.player-speed":"Viteza de rulare","ba-videoplayer.full-screen":"Ecran complet","ba-videorecorder-controlbar.add-stream":"Ad&#x103;uga&#x21B;i un flux","ba-videorecorder.switch-camera":"Porni&#x21B;i camera","ba-videorecorder.prepare-covershot":"Preg&#x103;te&#x219;te coperta","ba-videorecorder.prepare-thumbnails":"Preg&#x103;te&#x219;te miniaturi","ba-videorecorder.adding-new-stream":"Ad&#x103;ugarea fluxului nou","ba-imagecapture.recorder-error":"A ap&#x103;rut o eroare, &#xEE;ncerca&#x21B;i din nou mai t&#xE2;rziu. Face&#x21B;i clic pentru a re&#xEE;ncerca.","ba-imagecapture.attach-error":"Nu am putut accesa interfa&#x21B;a media. &#xCE;n func&#x21B;ie de dispozitiv &#x219;i browser, este posibil s&#x103; fie nevoie s&#x103; instala&#x21B;i Flash sau s&#x103; accesa&#x21B;i pagina prin SSL.","ba-imagecapture.software-required":"Face&#x21B;i clic mai jos pentru a instala / activa urm&#x103;toarele cerin&#x21B;e pentru a continua.","ba-imagecapture.software-waiting":"Se a&#x219;teapt&#x103; ca cerin&#x21B;ele s&#x103; fie instalate / activate. Poate fi necesar s&#x103; actualiza&#x21B;i pagina dup&#x103; finalizare.","ba-imagecapture.access-forbidden":"Accesul la mass-media a fost interzis. Face&#x21B;i clic pentru a re&#xEE;ncerca.","ba-imagecapture.uploading":"Se &#xEE;ncarc&#x103;","ba-imagecapture.uploading-failed":"&#xCE;nc&#x103;rcarea a e&#x219;uat - face&#x21B;i clic aici pentru a re&#xEE;ncerca.","ba-imagecapture.upload-error-duration":"M&#x103;rimea imaginii &#xEE;nc&#x103;rcate nu &#xEE;ndepline&#x219;te cerin&#x21B;ele - face&#x21B;i clic aici pentru a re&#xEE;ncerca.","ba-imagecapture.resolution-constraint-error":"Fi&#x219;ierul pe care l-a&#x21B;i selectat nu corespunde rezolu&#x21B;iei dorite - face&#x21B;i clic aici pentru a &#xEE;ncerca din nou.","ba-imagecapture.verifying":"Verificare","ba-imagecapture.verifying-failed":"Verificare e&#x219;uat&#x103; - face&#x21B;i clic aici pentru a re&#xEE;ncerca.","ba-imagecapture.rerecord-confirm":"Dori&#x21B;i s&#x103; reface&#x21B;i imaginea?","ba-imagecapture.image_file_too_large":"Fi&#x219;ierul imagine este prea mare (%s) - face&#x21B;i clic aici pentru a &#xEE;ncerca din nou cu un fi&#x219;ier imagine mai mic.","ba-imagecapture.unsupported_image_type":"&#xCE;nc&#x103;rca&#x21B;i: %s - face&#x21B;i clic aici pentru a re&#xEE;ncerca.","ba-imagecapture.orientation-portrait-required":"Rote&#x219;te dispozitivul pentru a &#xEE;nregistra &#xEE;n modul portret.","ba-imagecapture.orientation-landscape-required":"Rote&#x219;te dispozitivul pentru a &#xEE;nregistra &#xEE;n modul peisaj.","ba-audiorecorder.recorder-error":"A ap&#x103;rut o eroare, &#xEE;ncerca&#x21B;i din nou mai t&#xE2;rziu. Face&#x21B;i clic pentru a re&#xEE;ncerca.","ba-audiorecorder.attach-error":"Nu am putut accesa interfa&#x21B;a media. &#xCE;n func&#x21B;ie de dispozitiv &#x219;i browser, este posibil s&#x103; fie nevoie s&#x103; instala&#x21B;i Flash sau s&#x103; accesa&#x21B;i pagina prin SSL.","ba-audiorecorder.software-required":"Face&#x21B;i clic mai jos pentru a instala / activa urm&#x103;toarele cerin&#x21B;e pentru a continua.","ba-audiorecorder.software-waiting":"Se a&#x219;teapt&#x103; ca cerin&#x21B;ele s&#x103; fie instalate / activate. Poate fi necesar s&#x103; actualiza&#x21B;i pagina dup&#x103; finalizare.","ba-audiorecorder.access-forbidden":"Accesul la mass-media a fost interzis. Face&#x21B;i clic pentru a re&#xEE;ncerca.","ba-audiorecorder.uploading":"Se &#xEE;ncarc&#x103;","ba-audiorecorder.uploading-failed":"&#xCE;nc&#x103;rcarea a e&#x219;uat - face&#x21B;i clic aici pentru a re&#xEE;ncerca.","ba-audiorecorder.upload-error-duration":"Dimensiunea fi&#x219;ierului de sunet &#xEE;nc&#x103;rcat nu &#xEE;ndepline&#x219;te cerin&#x21B;ele - face&#x21B;i clic aici pentru a &#xEE;ncerca din nou.","ba-audiorecorder.verifying":"Verificare","ba-audiorecorder.verifying-failed":"Verificare e&#x219;uat&#x103; - face&#x21B;i clic aici pentru a re&#xEE;ncerca.","ba-audiorecorder.rerecord-confirm":"Dori&#x21B;i s&#x103; re&#xEE;nregistra&#x21B;i sunetul?","ba-audiorecorder.cancel-confirm":"Dori&#x21B;i s&#x103; anula&#x21B;i &#xEE;nc&#x103;rcarea audio?","ba-audiorecorder.audio_file_too_large":"Fi&#x219;ierul dvs. audio este prea mare (%s) - face&#x21B;i clic aici pentru a &#xEE;ncerca din nou cu un fi&#x219;ier audio mai mic.","ba-audiorecorder.unsupported_audio_type":"&#xCE;nc&#x103;rca&#x21B;i: %s - face&#x21B;i clic aici pentru a re&#xEE;ncerca.","ba-common-settingsmenu.tooltip":"Face&#x21B;i clic pentru a juca.","ba-common-settingsmenu.setting-menu":"Toate set&#x103;rile","ba-common-settingsmenu.source-quality":"Calitatea sursei","ba-common-settingsmenu.player-speed":"Viteza de redare","ba-common-settingsmenu.set-menu-option":"Seta&#x21B;i op&#x21B;iunea","ba-common-settingsmenu.submit-video":"Confirma&#x21B;i videoclipul","ba-common-settingsmenu.picture-in-picture":"Imagine &#xEE;n imagine","ba-common-settingsmenu.exit-fullscreen-video":"Ie&#x219;i&#x21B;i din modul ecran complet","ba-common-settingsmenu.fullscreen-video":"Afi&#x219;eaz&#x103; pe ecran complet","ba-videorecorder-chooser.multi-stream":"Multi Stream","ba-videorecorder-controlbar.pause-recorder":"Pauz&#x103; &#xEE;nregistrare","ba-videorecorder-controlbar.resume-recorder":"Relua&#x21B;i &#xEE;nregistrarea","ba-videorecorder.missing-track":"Fi&#x219;ierul audio sau video necesar lipse&#x219;te","ba-videorecorder.device-already-in-use":"Cel pu&#x21B;in unul dintre dispozitivele dvs. este deja utilizat","ba-videorecorder.browser-permission-denied":"Permisiunea refuzat&#x103; de browser, v&#x103; rug&#x103;m s&#x103; acorda&#x21B;i acces &#x219;i s&#x103; re&#xEE;nc&#x103;rca&#x21B;i pagina","ba-audioplayer.all-settings":"Toate set&#x103;rile","ba-videoplayer-controlbar.remaining-time":"Timp r&#x103;mas","ba-videoplayer-controlbar.select-frame":"Selecta&#x21B;i","ba-videoplayer-controlbar.trim-video":"Tunde","ba-videoplayer-playbutton.trim":"Tunde","ba-videoplayer-playbutton.skip":"Ocolire","ba-videorecorder-imagegallery.upload-covershot":"&#xCE;nc&#x103;rca&#x21B;i coperta","ba-videorecorder.pick-covershot-frame":"Selecta&#x21B;i un cadru pe care s&#x103; &#xEE;l utiliza&#x21B;i ca imagine de acoperire.","ba-videorecorder.screen-recorder-is-not-supported":"&#xCE;nregistratorul de ecran nu este acceptat pe acest dispozitiv","ba-videorecorder.trim-prompt":"Dori&#x21B;i s&#x103; t&#x103;ia&#x21B;i videoclipul?","ba-videorecorder.trim-video":"Muta&#x21B;i marcajele de &#xEE;nceput &#x219;i sf&#xE2;r&#x219;it pentru a t&#x103;ia videoclipul","ba-videorecorder.wait-for-trim":"Se a&#x219;teapt&#x103; comanda de t&#x103;iere ...","ba-videorecorder-controlbar.no-video-source":"Lipse&#x219;te o surs&#x103; de intrare video suplimentar&#x103;","ba-videorecorder-controlbar.stream-already-selected":"Fluxul suplimentar a fost deja selectat","ba-videorecorder.uploading-src-error":"Imposibil de redat videoclipul acum, &#xEE;nc&#x103;rcarea este &#xEE;nc&#x103; &#xEE;n desf&#x103;&#x219;urare","ba-audiorecorder-controlbar.pause-recorder":"Pauz&#x103; Recorder","ba-audiorecorder-controlbar.resume-recorder":"Relua&#x21B;i &#xEE;nregistratorul"},"language:ru":{"ba-videoplayer-playbutton.tooltip":"&#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x432;&#x43E;&#x441;&#x43F;&#x440;&#x43E;&#x438;&#x437;&#x432;&#x435;&#x441;&#x442;&#x438; &#x432;&#x438;&#x434;&#x435;&#x43E;.","ba-videoplayer-playbutton.rerecord":"&#x41F;&#x435;&#x440;&#x435;&#x437;&#x430;&#x43F;&#x438;&#x441;&#x430;&#x442;&#x44C;","ba-videoplayer-loader.tooltip":"&#x417;&#x430;&#x433;&#x440;&#x443;&#x437;&#x43A;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E; ...","ba-videoplayer-controlbar.change-resolution":"&#x418;&#x437;&#x43C;&#x435;&#x43D;&#x438;&#x442;&#x44C; &#x440;&#x430;&#x437;&#x440;&#x435;&#x448;&#x435;&#x43D;&#x438;&#x435;","ba-videoplayer-controlbar.video-progress":"&#x425;&#x43E;&#x434; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videoplayer-controlbar.rerecord-video":"&#x41F;&#x435;&#x440;&#x435;&#x437;&#x430;&#x43F;&#x438;&#x441;&#x430;&#x442;&#x44C; &#x432;&#x438;&#x434;&#x435;&#x43E;?","ba-videoplayer-controlbar.play-video":"&#x41F;&#x440;&#x43E;&#x438;&#x433;&#x440;&#x430;&#x442;&#x44C; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videoplayer-controlbar.pause-video":"&#x41F;&#x440;&#x438;&#x43E;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x44C; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videoplayer-controlbar.elapsed-time":"&#x41F;&#x440;&#x43E;&#x439;&#x434;&#x435;&#x43D;&#x43D;&#x43E;&#x435; &#x432;&#x440;&#x435;&#x43C;&#x44F;","ba-videoplayer-controlbar.total-time":"&#x41E;&#x431;&#x449;&#x430;&#x44F; &#x434;&#x43B;&#x438;&#x43D;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videoplayer-controlbar.fullscreen-video":"&#x41F;&#x43E;&#x43B;&#x43D;&#x43E;&#x44D;&#x43A;&#x440;&#x430;&#x43D;&#x43D;&#x44B;&#x439; &#x440;&#x435;&#x436;&#x438;&#x43C;","ba-videoplayer-controlbar.volume-button":"&#x413;&#x440;&#x43E;&#x43C;&#x43A;&#x43E;&#x441;&#x442;&#x44C;","ba-videoplayer-controlbar.volume-mute":"&#x41E;&#x442;&#x43A;&#x43B;&#x44E;&#x447;&#x438;&#x442;&#x44C; &#x437;&#x432;&#x443;&#x43A;","ba-videoplayer-controlbar.volume-unmute":"&#x412;&#x43A;&#x43B;&#x44E;&#x447;&#x438;&#x442;&#x44C; &#x437;&#x432;&#x443;&#x43A;","ba-videoplayer.video-error":"&#x41F;&#x440;&#x43E;&#x438;&#x437;&#x43E;&#x448;&#x43B;&#x430; &#x43E;&#x448;&#x438;&#x431;&#x43A;&#x430;. &#x41F;&#x43E;&#x436;&#x430;&#x43B;&#x443;&#x439;&#x441;&#x442;&#x430;, &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443; &#x43F;&#x43E;&#x437;&#x436;&#x435;. &#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-videorecorder-chooser.record-video":"&#x417;&#x430;&#x43F;&#x438;&#x448;&#x438;&#x442;&#x435; &#x441;&#x432;&#x43E;&#x435; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videorecorder-chooser.upload-video":"&#x417;&#x430;&#x433;&#x440;&#x443;&#x437;&#x438;&#x442;&#x44C; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videorecorder-controlbar.settings":"&#x41D;&#x430;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x43A;&#x438;","ba-videorecorder-controlbar.camerahealthy":"&#x41E;&#x441;&#x432;&#x435;&#x449;&#x435;&#x43D;&#x438;&#x435; &#x445;&#x43E;&#x440;&#x43E;&#x448;&#x435;&#x435;","ba-videorecorder-controlbar.cameraunhealthy":"&#x421;&#x43B;&#x430;&#x431;&#x43E;&#x435; &#x43E;&#x441;&#x432;&#x435;&#x449;&#x435;&#x43D;&#x438;&#x435;","ba-videorecorder-controlbar.microphonehealthy":"&#x417;&#x432;&#x443;&#x43A; &#x445;&#x43E;&#x440;&#x43E;&#x448;&#x438;&#x439;","ba-videorecorder-controlbar.microphoneunhealthy":"&#x41D;&#x435;&#x432;&#x43E;&#x437;&#x43C;&#x43E;&#x436;&#x43D;&#x43E; &#x43F;&#x43E;&#x43B;&#x443;&#x447;&#x438;&#x442;&#x44C; &#x437;&#x432;&#x443;&#x43A;","ba-videorecorder-controlbar.record":"&#x417;&#x430;&#x43F;&#x438;&#x441;&#x44C;","ba-videorecorder-controlbar.record-tooltip":"&#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x430;&#x442;&#x44C;.","ba-videorecorder-controlbar.stop":"&#x421;&#x442;&#x43E;&#x43F;","ba-videorecorder-controlbar.stop-tooltip":"&#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43E;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x44C;.","ba-videorecorder-controlbar.skip":"&#x41F;&#x440;&#x43E;&#x43F;&#x443;&#x441;&#x442;&#x438;&#x442;&#x44C;","ba-videorecorder-controlbar.skip-tooltip":"&#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x440;&#x43E;&#x43F;&#x443;&#x441;&#x442;&#x438;&#x442;&#x44C;.","ba-videorecorder.recorder-error":"&#x41F;&#x440;&#x43E;&#x438;&#x437;&#x43E;&#x448;&#x43B;&#x430; &#x43E;&#x448;&#x438;&#x431;&#x43A;&#x430;. &#x41F;&#x43E;&#x436;&#x430;&#x43B;&#x443;&#x439;&#x441;&#x442;&#x430;, &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443; &#x43F;&#x43E;&#x437;&#x436;&#x435;. &#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-videorecorder.access-forbidden":"&#x414;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x43A; &#x43A;&#x430;&#x43C;&#x435;&#x440;&#x435; &#x431;&#x44B;&#x43B; &#x437;&#x430;&#x43F;&#x440;&#x435;&#x449;&#x435;&#x43D;. &#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-videorecorder.pick-covershot":"&#x412;&#x44B;&#x431;&#x435;&#x440;&#x438;&#x442;&#x435; &#x441;&#x43D;&#x438;&#x43C;&#x43E;&#x43A;.","ba-videorecorder.uploading":"&#x417;&#x430;&#x433;&#x440;&#x443;&#x437;&#x43A;&#x430;","ba-videorecorder.uploading-failed":"&#x41E;&#x448;&#x438;&#x431;&#x43A;&#x430; &#x437;&#x430;&#x433;&#x440;&#x443;&#x437;&#x43A;&#x438;: &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-videorecorder.verifying":"&#x41F;&#x440;&#x43E;&#x432;&#x435;&#x440;&#x43A;&#x430;","ba-videorecorder.verifying-failed":"&#x41E;&#x448;&#x438;&#x431;&#x43A;&#x430; &#x43F;&#x43E;&#x434;&#x442;&#x432;&#x435;&#x440;&#x436;&#x434;&#x435;&#x43D;&#x438;&#x44F;. &#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-videorecorder.rerecord-confirm":"&#x412;&#x44B; &#x434;&#x435;&#x439;&#x441;&#x442;&#x432;&#x438;&#x442;&#x435;&#x43B;&#x44C;&#x43D;&#x43E; &#x445;&#x43E;&#x442;&#x438;&#x442;&#x435; &#x43F;&#x435;&#x440;&#x435;&#x437;&#x430;&#x43F;&#x438;&#x441;&#x430;&#x442;&#x44C; &#x432;&#x438;&#x434;&#x435;&#x43E;?","ba-videorecorder.video_file_too_large":"&#x412;&#x430;&#x448; &#x432;&#x438;&#x434;&#x435;&#x43E;&#x444;&#x430;&#x439;&#x43B; &#x441;&#x43B;&#x438;&#x448;&#x43A;&#x43E;&#x43C; &#x432;&#x435;&#x43B;&#x438;&#x43A; (%s) - &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443; &#x441; &#x43C;&#x435;&#x43D;&#x44C;&#x448;&#x438;&#x43C; &#x432;&#x438;&#x434;&#x435;&#x43E;&#x444;&#x430;&#x439;&#x43B;&#x43E;&#x43C;.","ba-videorecorder.unsupported_video_type":"&#x41F;&#x43E;&#x436;&#x430;&#x43B;&#x443;&#x439;&#x441;&#x442;&#x430; &#x437;&#x430;&#x433;&#x440;&#x443;&#x437;&#x438;&#x442;&#x435;: %s - &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-videoplayer-playbutton.submit-video":"&#x41F;&#x43E;&#x434;&#x442;&#x432;&#x435;&#x440;&#x434;&#x438;&#x442;&#x44C; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videoplayer-controlbar.submit-video":"&#x41F;&#x43E;&#x434;&#x442;&#x432;&#x435;&#x440;&#x434;&#x438;&#x442;&#x44C; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videorecorder-controlbar.rerecord":"&#x41F;&#x435;&#x440;&#x435;&#x434;&#x435;&#x43B;&#x430;&#x442;&#x44C;","ba-videorecorder-controlbar.rerecord-tooltip":"&#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x435;&#x440;&#x435;&#x437;&#x430;&#x43F;&#x438;&#x441;&#x430;&#x442;&#x44C;","ba-videorecorder-controlbar.upload-covershot":"&#x417;&#x430;&#x433;&#x440;&#x443;&#x437;&#x438;&#x442;&#x44C;","ba-videorecorder-controlbar.upload-covershot-tooltip":"&#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x437;&#x430;&#x433;&#x440;&#x443;&#x437;&#x438;&#x442;&#x44C; &#x43B;&#x438;&#x447;&#x43D;&#x443;&#x44E; &#x43E;&#x431;&#x43B;&#x43E;&#x436;&#x43A;&#x443;","ba-videorecorder.attach-error":"&#x22;&#x41D;&#x435; &#x443;&#x434;&#x430;&#x43B;&#x43E;&#x441;&#x44C; &#x43F;&#x43E;&#x43B;&#x443;&#x447;&#x438;&#x442;&#x44C; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x43A; &#x43A;&#x430;&#x43C;&#x435;&#x440;&#x435;. &#x412; &#x437;&#x430;&#x432;&#x438;&#x441;&#x438;&#x43C;&#x43E;&#x441;&#x442;&#x438; &#x43E;&#x442; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432;&#x430; &#x438;&#x43B;&#x438; &#x431;&#x440;&#x430;&#x443;&#x437;&#x435;&#x440;&#x430;, &#x432;&#x430;&#x43C; &#x43C;&#x43E;&#x436;&#x435;&#x442; &#x43F;&#x43E;&#x43D;&#x430;&#x434;&#x43E;&#x431;&#x438;&#x442;&#x44C;&#x441;&#x44F; &#x443;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x44C; Flash &#x438;&#x43B;&#x438; &#x43F;&#x43E;&#x43B;&#x443;&#x447;&#x438;&#x442;&#x44C; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x43A; &#x441;&#x430;&#x439;&#x442;&#x443; &#x447;&#x435;&#x440;&#x435;&#x437; SSL.&#x22;","ba-videoplayer-controlbar.exit-fullscreen-video":"&#x412;&#x44B;&#x439;&#x442;&#x438; &#x438;&#x437; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x430; &#x43F;&#x43E;&#x43B;&#x43D;&#x43E;&#x433;&#x43E; &#x43E;&#x43A;&#x43D;&#x430;","ba-videoplayer-share.share":"&#x41F;&#x43E;&#x434;&#x435;&#x43B;&#x438;&#x442;&#x44C;&#x441;&#x44F; &#x441; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videorecorder-chooser.record-screen":"&#x42D;&#x43A;&#x440;&#x430;&#x43D; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x438;","ba-videoplayer-controlbar.pause-video-disabled":"&#x41F;&#x430;&#x443;&#x437;&#x430; &#x43D;&#x435; &#x43F;&#x43E;&#x434;&#x434;&#x435;&#x440;&#x436;&#x438;&#x432;&#x430;&#x435;&#x442;&#x441;&#x44F;","ba-videorecorder-chooser.record-audio":"&#x417;&#x430;&#x43F;&#x438;&#x441;&#x44C; &#x430;&#x443;&#x434;&#x438;&#x43E;","ba-videorecorder-controlbar.stop-available-after":"&#x41C;&#x438;&#x43D;&#x438;&#x43C;&#x430;&#x43B;&#x44C;&#x43D;&#x43E;&#x435; &#x432;&#x440;&#x435;&#x43C;&#x44F; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x438;: %d &#x441;&#x435;&#x43A;&#x443;&#x43D;&#x434;","ba-videorecorder-controlbar.cancel":"&#x41E;&#x442;&#x43C;&#x435;&#x43D;&#x430;","ba-videorecorder-controlbar.cancel-tooltip":"&#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43E;&#x442;&#x43C;&#x435;&#x43D;&#x438;&#x442;&#x44C;.","ba-videorecorder.cancel-confirm":"&#x412;&#x44B; &#x434;&#x435;&#x439;&#x441;&#x442;&#x432;&#x438;&#x442;&#x435;&#x43B;&#x44C;&#x43D;&#x43E; &#x445;&#x43E;&#x442;&#x438;&#x442;&#x435; &#x43E;&#x442;&#x43C;&#x435;&#x43D;&#x438;&#x442;&#x44C; &#x437;&#x430;&#x433;&#x440;&#x443;&#x437;&#x43A;&#x443; &#x432;&#x438;&#x434;&#x435;&#x43E;?","ba-videoplayer-adslot.elapsed-time":"&#x423;&#x43A;&#x43E;&#x440;&#x43E;&#x447;&#x435;&#x43D;&#x43D;&#x43E;&#x435; &#x432;&#x440;&#x435;&#x43C;&#x44F;","ba-videoplayer-adslot.volume-button":"&#x423;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x44C; &#x433;&#x440;&#x43E;&#x43C;&#x43A;&#x43E;&#x441;&#x442;&#x44C;","ba-videoplayer-adslot.volume-mute":"&#x41E;&#x442;&#x43A;&#x43B;&#x44E;&#x447;&#x438;&#x442;&#x44C; &#x437;&#x432;&#x443;&#x43A;","ba-videoplayer-adslot.volume-unmute":"&#x412;&#x43A;&#x43B;&#x44E;&#x447;&#x438;&#x442;&#x44C; &#x437;&#x432;&#x443;&#x43A;","ba-videoplayer-adslot.ad-will-end-after":"&#x41E;&#x431;&#x44A;&#x44F;&#x432;&#x43B;&#x435;&#x43D;&#x438;&#x435; &#x431;&#x443;&#x434;&#x435;&#x442; &#x437;&#x430;&#x432;&#x435;&#x440;&#x448;&#x435;&#x43D;&#x43E; &#x43F;&#x43E;&#x441;&#x43B;&#x435; %s","ba-videoplayer-adslot.can-skip-after":"&#x41F;&#x440;&#x43E;&#x43F;&#x443;&#x441;&#x442;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x441;&#x43B;&#x435; %d","ba-videoplayer-adslot.skip-ad":"&#x41F;&#x440;&#x43E;&#x43F;&#x443;&#x441;&#x442;&#x438;&#x442;&#x44C; &#x440;&#x435;&#x43A;&#x43B;&#x430;&#x43C;&#x443;","ba-videorecorder.software-required":"&#x41F;&#x43E;&#x436;&#x430;&#x43B;&#x443;&#x439;&#x441;&#x442;&#x430;, &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x43D;&#x438;&#x436;&#x435;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x443;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x44C; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x43E;&#x432;&#x430;&#x442;&#x44C; &#x441;&#x43B;&#x435;&#x434;&#x443;&#x44E;&#x449;&#x438;&#x435; &#x442;&#x440;&#x435;&#x431;&#x43E;&#x432;&#x430;&#x43D;&#x438;&#x44F;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x440;&#x43E;&#x434;&#x43E;&#x43B;&#x436;&#x438;&#x442;&#x44C;.","ba-videorecorder.software-waiting":"&#x41E;&#x436;&#x438;&#x434;&#x430;&#x43D;&#x438;&#x435; &#x442;&#x440;&#x435;&#x431;&#x43E;&#x432;&#x430;&#x43D;&#x438;&#x439; &#x43A; &#x443;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x43A;&#x435; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x430;&#x446;&#x438;&#x438;. &#x412;&#x43E;&#x437;&#x43C;&#x43E;&#x436;&#x43D;&#x43E;, &#x432;&#x430;&#x43C; &#x43F;&#x440;&#x438;&#x434;&#x435;&#x442;&#x441;&#x44F; &#x43E;&#x431;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x44C; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x443; &#x43F;&#x43E;&#x441;&#x43B;&#x435; &#x437;&#x430;&#x432;&#x435;&#x440;&#x448;&#x435;&#x43D;&#x438;&#x44F;.","ba-videoplayer-controlbar.close-tracks":"&#x417;&#x430;&#x43A;&#x440;&#x44B;&#x442;&#x44C; CC","ba-videoplayer-controlbar.show-tracks":"&#x41F;&#x43E;&#x43A;&#x430;&#x437;&#x430;&#x442;&#x44C; CC","ba-videoplayer-tracks.upload-text-tracks":"&#x417;&#x430;&#x433;&#x440;&#x443;&#x437;&#x438;&#x442;&#x44C; &#x434;&#x43E;&#x440;&#x43E;&#x436;&#x43A;&#x438;","ba-videoplayer-tracks.select-text-track-language":"&#x42F;&#x437;&#x44B;&#x43A; &#x441;&#x443;&#x431;&#x442;&#x438;&#x442;&#x440;&#x43E;&#x432;","ba-videoplayer-tracks.info-select-locale-first":"&#x421;&#x43D;&#x430;&#x447;&#x430;&#x43B;&#x430; &#x432;&#x44B;&#x431;&#x435;&#x440;&#x438;&#x442;&#x435; &#x44F;&#x437;&#x44B;&#x43A;","ba-videoplayer-tracks.select-text-track-file":"&#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x432;&#x44B;&#x431;&#x440;&#x430;&#x442;&#x44C; &#x444;&#x430;&#x439;&#x43B;","ba-videoplayer-tracks.back":"&#x43D;&#x430;&#x437;&#x430;&#x434;","ba-videorecorder.framerate-warning":"&#x427;&#x430;&#x441;&#x442;&#x43E;&#x442;&#x430; &#x43A;&#x430;&#x434;&#x440;&#x43E;&#x432; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x43E;&#x447;&#x435;&#x43D;&#x44C; &#x43D;&#x438;&#x437;&#x43A;&#x430;&#x44F;. &#x41C;&#x44B; &#x440;&#x435;&#x43A;&#x43E;&#x43C;&#x435;&#x43D;&#x434;&#x443;&#x435;&#x43C; &#x437;&#x430;&#x43A;&#x440;&#x44B;&#x442;&#x44C; &#x432;&#x441;&#x435; &#x434;&#x440;&#x443;&#x433;&#x438;&#x435; &#x43F;&#x440;&#x43E;&#x433;&#x440;&#x430;&#x43C;&#x43C;&#x44B; &#x438; &#x432;&#x43A;&#x43B;&#x430;&#x434;&#x43A;&#x438; &#x431;&#x440;&#x430;&#x443;&#x437;&#x435;&#x440;&#x430; &#x438;&#x43B;&#x438; &#x438;&#x441;&#x43F;&#x43E;&#x43B;&#x44C;&#x437;&#x43E;&#x432;&#x430;&#x442;&#x44C; &#x431;&#x43E;&#x43B;&#x435;&#x435; &#x431;&#x44B;&#x441;&#x442;&#x440;&#x44B;&#x439; &#x43A;&#x43E;&#x43C;&#x43F;&#x44C;&#x44E;&#x442;&#x435;&#x440;.","ba-videorecorder.upload-error-duration":"&#x414;&#x43B;&#x438;&#x43D;&#x430; &#x437;&#x430;&#x433;&#x440;&#x443;&#x436;&#x435;&#x43D;&#x43D;&#x43E;&#x433;&#x43E; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x43D;&#x435; &#x441;&#x43E;&#x43E;&#x442;&#x432;&#x435;&#x442;&#x441;&#x442;&#x432;&#x443;&#x435;&#x442; &#x442;&#x440;&#x435;&#x431;&#x43E;&#x432;&#x430;&#x43D;&#x438;&#x44F;&#x43C; - &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-videorecorder.resolution-constraint-error":"&#x412;&#x44B;&#x431;&#x440;&#x430;&#x43D;&#x43D;&#x44B;&#x439; &#x444;&#x430;&#x439;&#x43B; &#x43D;&#x435; &#x441;&#x43E;&#x43E;&#x442;&#x432;&#x435;&#x442;&#x441;&#x442;&#x432;&#x443;&#x435;&#x442; &#x442;&#x440;&#x435;&#x431;&#x443;&#x435;&#x43C;&#x43E;&#x43C;&#x443; &#x440;&#x430;&#x437;&#x440;&#x435;&#x448;&#x435;&#x43D;&#x438;&#x44E; - &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-videorecorder.orientation-portrait-required":"&#x41F;&#x43E;&#x432;&#x435;&#x440;&#x43D;&#x438;&#x442;&#x435; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432;&#x43E; &#x434;&#x43B;&#x44F; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x438; &#x432; &#x43F;&#x43E;&#x440;&#x442;&#x440;&#x435;&#x442;&#x43D;&#x43E;&#x43C; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x435;.","ba-videorecorder.orientation-landscape-required":"&#x41F;&#x43E;&#x432;&#x435;&#x440;&#x43D;&#x438;&#x442;&#x435; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432;&#x43E; &#x434;&#x43B;&#x44F; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x438; &#x432; &#x430;&#x43B;&#x44C;&#x431;&#x43E;&#x43C;&#x43D;&#x43E;&#x43C; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x435;.","ba-imageviewer-controlbar.rerecord-image":"&#x41F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C;?","ba-imageviewer-controlbar.submit-image":"&#x43F;&#x43E;&#x434;&#x442;&#x432;&#x435;&#x440;&#x434;&#x438;&#x442;&#x44C;","ba-imageviewer-controlbar.fullscreen-image":"&#x412;&#x43E;&#x439;&#x442;&#x438; &#x432; &#x43F;&#x43E;&#x43B;&#x43D;&#x43E;&#x44D;&#x43A;&#x440;&#x430;&#x43D;&#x43D;&#x44B;&#x439; &#x440;&#x435;&#x436;&#x438;&#x43C;","ba-imageviewer-controlbar.exit-fullscreen-image":"&#x412;&#x44B;&#x445;&#x43E;&#x434; &#x438;&#x437; &#x43F;&#x43E;&#x43B;&#x43D;&#x43E;&#x44D;&#x43A;&#x440;&#x430;&#x43D;&#x43D;&#x43E;&#x433;&#x43E; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x430;","ba-imageviewer.image-error":"&#x41F;&#x440;&#x43E;&#x438;&#x437;&#x43E;&#x448;&#x43B;&#x430; &#x43E;&#x448;&#x438;&#x431;&#x43A;&#x430;. &#x41F;&#x43E;&#x436;&#x430;&#x43B;&#x443;&#x439;&#x441;&#x442;&#x430;, &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443; &#x43F;&#x43E;&#x437;&#x436;&#x435;. &#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-imagecapture-chooser.image-capture":"&#x417;&#x430;&#x445;&#x432;&#x430;&#x442; &#x438;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x44F;","ba-imagecapture-chooser.upload-image":"&#x417;&#x430;&#x433;&#x440;&#x443;&#x437;&#x438;&#x442;&#x44C; &#x438;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x435;","ba-imagecapture-controlbar.settings":"&#x43D;&#x430;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x43A;&#x438;","ba-imagecapture-controlbar.camerahealthy":"&#x41E;&#x441;&#x432;&#x435;&#x449;&#x435;&#x43D;&#x438;&#x435; &#x445;&#x43E;&#x440;&#x43E;&#x448;&#x435;&#x435;","ba-imagecapture-controlbar.cameraunhealthy":"&#x41E;&#x441;&#x432;&#x435;&#x449;&#x435;&#x43D;&#x438;&#x435; &#x43D;&#x435; &#x44F;&#x432;&#x43B;&#x44F;&#x435;&#x442;&#x441;&#x44F; &#x43E;&#x43F;&#x442;&#x438;&#x43C;&#x430;&#x43B;&#x44C;&#x43D;&#x44B;&#x43C;","ba-imagecapture-controlbar.record":"&#x417;&#x430;&#x445;&#x432;&#x430;&#x442;&#x438;&#x442;&#x44C;","ba-imagecapture-controlbar.record-tooltip":"&#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x441;&#x434;&#x435;&#x43B;&#x430;&#x442;&#x44C; &#x441;&#x43D;&#x438;&#x43C;&#x43E;&#x43A;.","ba-imagecapture-controlbar.rerecord":"&#x43F;&#x435;&#x440;&#x435;&#x434;&#x435;&#x43B;&#x44B;&#x432;&#x430;&#x442;&#x44C;","ba-imagecapture-controlbar.rerecord-tooltip":"&#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C;.","ba-imagecapture-controlbar.cancel":"&#x41E;&#x442;&#x43C;&#x435;&#x43D;&#x430;","ba-imagecapture-controlbar.cancel-tooltip":"&#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43E;&#x442;&#x43C;&#x435;&#x43D;&#x438;&#x442;&#x44C;.","ba-audioplayer-controlbar.audio-progress":"&#x41F;&#x440;&#x43E;&#x433;&#x440;&#x435;&#x441;&#x441;","ba-audioplayer-controlbar.rerecord-audio":"&#x41F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C;?","ba-audioplayer-controlbar.submit-audio":"&#x43F;&#x43E;&#x434;&#x442;&#x432;&#x435;&#x440;&#x434;&#x438;&#x442;&#x44C;","ba-audioplayer-controlbar.play-audio":"&#x418;&#x433;&#x440;&#x430;&#x442;&#x44C;","ba-audioplayer-controlbar.pause-audio":"&#x41F;&#x430;&#x443;&#x437;&#x430;","ba-audioplayer-controlbar.pause-audio-disabled":"&#x41F;&#x430;&#x443;&#x437;&#x430; &#x43D;&#x435; &#x43F;&#x43E;&#x434;&#x434;&#x435;&#x440;&#x436;&#x438;&#x432;&#x430;&#x435;&#x442;&#x441;&#x44F;","ba-audioplayer-controlbar.elapsed-time":"&#x423;&#x43A;&#x43E;&#x440;&#x43E;&#x447;&#x435;&#x43D;&#x43D;&#x43E;&#x435; &#x432;&#x440;&#x435;&#x43C;&#x44F;","ba-audioplayer-controlbar.total-time":"&#x41E;&#x431;&#x449;&#x430;&#x44F; &#x434;&#x43B;&#x438;&#x43D;&#x430;","ba-audioplayer-controlbar.volume-button":"&#x423;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x44C; &#x433;&#x440;&#x43E;&#x43C;&#x43A;&#x43E;&#x441;&#x442;&#x44C;","ba-audioplayer-controlbar.volume-mute":"&#x41E;&#x442;&#x43A;&#x43B;&#x44E;&#x447;&#x438;&#x442;&#x44C; &#x437;&#x432;&#x443;&#x43A;","ba-audioplayer-controlbar.volume-unmute":"&#x412;&#x43A;&#x43B;&#x44E;&#x447;&#x438;&#x442;&#x44C; &#x437;&#x432;&#x443;&#x43A;","ba-audioplayer-loader.tooltip":"Loading ...","ba-audioplayer.audio-error":"&#x41F;&#x440;&#x43E;&#x438;&#x437;&#x43E;&#x448;&#x43B;&#x430; &#x43E;&#x448;&#x438;&#x431;&#x43A;&#x430;. &#x41F;&#x43E;&#x436;&#x430;&#x43B;&#x443;&#x439;&#x441;&#x442;&#x430;, &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443; &#x43F;&#x43E;&#x437;&#x436;&#x435;. &#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-audiorecorder-chooser.record-audio":"&#x417;&#x430;&#x43F;&#x438;&#x441;&#x44C; &#x430;&#x443;&#x434;&#x438;&#x43E;","ba-audiorecorder-chooser.upload-audio":"&#x417;&#x430;&#x433;&#x440;&#x443;&#x437;&#x438;&#x442;&#x44C; &#x430;&#x443;&#x434;&#x438;&#x43E;","ba-audiorecorder-controlbar.settings":"&#x43D;&#x430;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x43A;&#x438;","ba-audiorecorder-controlbar.microphonehealthy":"&#x417;&#x432;&#x443;&#x43A; &#x445;&#x43E;&#x440;&#x43E;&#x448;","ba-audiorecorder-controlbar.microphoneunhealthy":"&#x41D;&#x435;&#x432;&#x43E;&#x437;&#x43C;&#x43E;&#x436;&#x43D;&#x43E; &#x43F;&#x43E;&#x434;&#x43E;&#x431;&#x440;&#x430;&#x442;&#x44C; &#x437;&#x432;&#x443;&#x43A;","ba-audiorecorder-controlbar.record":"&#x437;&#x430;&#x43F;&#x438;&#x441;&#x44C;","ba-audiorecorder-controlbar.record-tooltip":"&#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x430;&#x442;&#x44C;.","ba-audiorecorder-controlbar.rerecord":"&#x43F;&#x435;&#x440;&#x435;&#x434;&#x435;&#x43B;&#x44B;&#x432;&#x430;&#x442;&#x44C;","ba-audiorecorder-controlbar.rerecord-tooltip":"&#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C;.","ba-audiorecorder-controlbar.stop":"&#x421;&#x442;&#x43E;&#x43F;","ba-audiorecorder-controlbar.stop-tooltip":"&#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43E;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x44C;&#x441;&#x44F;.","ba-audiorecorder-controlbar.stop-available-after":"&#x41C;&#x438;&#x43D;&#x438;&#x43C;&#x430;&#x43B;&#x44C;&#x43D;&#x43E;&#x435; &#x432;&#x440;&#x435;&#x43C;&#x44F; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x438;: %d &#x441;&#x435;&#x43A;&#x443;&#x43D;&#x434;","ba-audiorecorder-controlbar.cancel":"&#x41E;&#x442;&#x43C;&#x435;&#x43D;&#x430;","ba-audiorecorder-controlbar.cancel-tooltip":"&#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43E;&#x442;&#x43C;&#x435;&#x43D;&#x438;&#x442;&#x44C;.","ba-videoplayer-controlbar.player-speed":"&#x421;&#x43A;&#x43E;&#x440;&#x43E;&#x441;&#x442;&#x44C; &#x438;&#x433;&#x440;&#x43E;&#x43A;&#x430;","ba-videoplayer-controlbar.settings":"&#x43D;&#x430;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x43A;&#x438;","ba-videoplayer-controlbar.airplay":"&#x442;&#x440;&#x430;&#x43D;&#x441;&#x43B;&#x44F;&#x446;&#x438;&#x44F; &#x437;&#x432;&#x443;&#x43A;&#x43E;&#x437;&#x430;&#x43F;&#x438;&#x441;&#x438;","ba-videoplayer-controlbar.airplay-icon":"&#x417;&#x43D;&#x430;&#x447;&#x43E;&#x43A; Airplay.","ba-videoplayer.all-settings":"&#x412;&#x441;&#x435; &#x43D;&#x430;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x43A;&#x438;","ba-videoplayer.player-speed":"&#x421;&#x43A;&#x43E;&#x440;&#x43E;&#x441;&#x442;&#x44C; &#x438;&#x433;&#x440;&#x43E;&#x43A;&#x430;","ba-videoplayer.full-screen":"&#x41F;&#x43E;&#x43B;&#x43D;&#x43E;&#x44D;&#x43A;&#x440;&#x430;&#x43D;&#x43D;&#x44B;&#x439;","ba-videorecorder-controlbar.add-stream":"&#x414;&#x43E;&#x431;&#x430;&#x432;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x442;&#x43E;&#x43A;","ba-videorecorder.switch-camera":"&#x41F;&#x435;&#x440;&#x435;&#x43A;&#x43B;&#x44E;&#x447;&#x438;&#x442;&#x44C; &#x43A;&#x430;&#x43C;&#x435;&#x440;&#x443;","ba-videorecorder.prepare-covershot":"&#x41F;&#x43E;&#x434;&#x433;&#x43E;&#x442;&#x43E;&#x432;&#x43A;&#x430; &#x43E;&#x431;&#x43B;&#x43E;&#x436;&#x435;&#x43A;","ba-videorecorder.prepare-thumbnails":"&#x41F;&#x43E;&#x434;&#x433;&#x43E;&#x442;&#x43E;&#x432;&#x43A;&#x430; &#x43F;&#x43E;&#x438;&#x441;&#x43A;&#x430; &#x43C;&#x438;&#x43D;&#x438;&#x430;&#x442;&#x44E;&#x440;","ba-videorecorder.adding-new-stream":"&#x414;&#x43E;&#x431;&#x430;&#x432;&#x43B;&#x435;&#x43D;&#x438;&#x435; &#x43D;&#x43E;&#x432;&#x43E;&#x433;&#x43E; &#x43F;&#x43E;&#x442;&#x43E;&#x43A;&#x430;","ba-imagecapture.recorder-error":"&#x41F;&#x440;&#x43E;&#x438;&#x437;&#x43E;&#x448;&#x43B;&#x430; &#x43E;&#x448;&#x438;&#x431;&#x43A;&#x430;. &#x41F;&#x43E;&#x436;&#x430;&#x43B;&#x443;&#x439;&#x441;&#x442;&#x430;, &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443; &#x43F;&#x43E;&#x437;&#x436;&#x435;. &#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-imagecapture.attach-error":"&#x41C;&#x44B; &#x43D;&#x435; &#x441;&#x43C;&#x43E;&#x433;&#x43B;&#x438; &#x43F;&#x43E;&#x43B;&#x443;&#x447;&#x438;&#x442;&#x44C; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x43A; &#x43C;&#x435;&#x434;&#x438;&#x430;&#x438;&#x43D;&#x442;&#x435;&#x440;&#x444;&#x435;&#x439;&#x441;&#x443;. &#x412; &#x437;&#x430;&#x432;&#x438;&#x441;&#x438;&#x43C;&#x43E;&#x441;&#x442;&#x438; &#x43E;&#x442; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432;&#x430; &#x438; &#x431;&#x440;&#x430;&#x443;&#x437;&#x435;&#x440;&#x430;, &#x432;&#x430;&#x43C; &#x43C;&#x43E;&#x436;&#x435;&#x442; &#x43F;&#x43E;&#x442;&#x440;&#x435;&#x431;&#x43E;&#x432;&#x430;&#x442;&#x44C;&#x441;&#x44F; &#x443;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x44C; Flash &#x438;&#x43B;&#x438; &#x43F;&#x43E;&#x43B;&#x443;&#x447;&#x438;&#x442;&#x44C; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x43A; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x435; &#x447;&#x435;&#x440;&#x435;&#x437; SSL.","ba-imagecapture.software-required":"&#x41F;&#x43E;&#x436;&#x430;&#x43B;&#x443;&#x439;&#x441;&#x442;&#x430;, &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x43D;&#x438;&#x436;&#x435;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x443;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x44C; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x43E;&#x432;&#x430;&#x442;&#x44C; &#x441;&#x43B;&#x435;&#x434;&#x443;&#x44E;&#x449;&#x438;&#x435; &#x442;&#x440;&#x435;&#x431;&#x43E;&#x432;&#x430;&#x43D;&#x438;&#x44F;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x440;&#x43E;&#x434;&#x43E;&#x43B;&#x436;&#x438;&#x442;&#x44C;.","ba-imagecapture.software-waiting":"&#x412; &#x43E;&#x436;&#x438;&#x434;&#x430;&#x43D;&#x438;&#x438; &#x442;&#x440;&#x435;&#x431;&#x43E;&#x432;&#x430;&#x43D;&#x438;&#x439;, &#x43A;&#x43E;&#x442;&#x43E;&#x440;&#x44B;&#x435; &#x431;&#x443;&#x434;&#x443;&#x442; &#x443;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x43B;&#x435;&#x43D;&#x44B; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x43E;&#x432;&#x430;&#x43D;&#x44B;. &#x412;&#x43E;&#x437;&#x43C;&#x43E;&#x436;&#x43D;&#x43E;, &#x432;&#x430;&#x43C; &#x43F;&#x440;&#x438;&#x434;&#x435;&#x442;&#x441;&#x44F; &#x43E;&#x431;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x44C; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x443; &#x43F;&#x43E;&#x441;&#x43B;&#x435; &#x437;&#x430;&#x432;&#x435;&#x440;&#x448;&#x435;&#x43D;&#x438;&#x44F;.","ba-imagecapture.access-forbidden":"&#x414;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x43A; &#x421;&#x41C;&#x418; &#x431;&#x44B;&#x43B; &#x437;&#x430;&#x43F;&#x440;&#x435;&#x449;&#x435;&#x43D;. &#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-imagecapture.uploading":"&#x412;&#x44B;&#x433;&#x440;&#x443;&#x437;&#x43A;&#x430;","ba-imagecapture.uploading-failed":"&#x417;&#x430;&#x433;&#x440;&#x443;&#x437;&#x43A;&#x430; &#x43D;&#x435; &#x443;&#x434;&#x430;&#x43B;&#x430;&#x441;&#x44C; - &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-imagecapture.upload-error-duration":"&#x414;&#x43B;&#x438;&#x43D;&#x430; &#x437;&#x430;&#x433;&#x440;&#x443;&#x436;&#x435;&#x43D;&#x43D;&#x43E;&#x433;&#x43E; &#x438;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x44F; &#x43D;&#x435; &#x441;&#x43E;&#x43E;&#x442;&#x432;&#x435;&#x442;&#x441;&#x442;&#x432;&#x443;&#x435;&#x442; &#x442;&#x440;&#x435;&#x431;&#x43E;&#x432;&#x430;&#x43D;&#x438;&#x44F;&#x43C; - &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-imagecapture.resolution-constraint-error":"&#x412;&#x44B;&#x431;&#x440;&#x430;&#x43D;&#x43D;&#x44B;&#x439; &#x432;&#x430;&#x43C;&#x438; &#x444;&#x430;&#x439;&#x43B; &#x43D;&#x435; &#x441;&#x43E;&#x43E;&#x442;&#x432;&#x435;&#x442;&#x441;&#x442;&#x432;&#x443;&#x435;&#x442; &#x442;&#x440;&#x435;&#x431;&#x443;&#x435;&#x43C;&#x43E;&#x43C;&#x443; &#x440;&#x430;&#x437;&#x440;&#x435;&#x448;&#x435;&#x43D;&#x438;&#x44E; - &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-imagecapture.verifying":"&#x43F;&#x440;&#x43E;&#x432;&#x435;&#x440;&#x43A;&#x430;","ba-imagecapture.verifying-failed":"&#x41F;&#x440;&#x43E;&#x432;&#x435;&#x440;&#x43A;&#x430; &#x43D;&#x435; &#x443;&#x434;&#x430;&#x43B;&#x430;&#x441;&#x44C; - &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-imagecapture.rerecord-confirm":"&#x412;&#x44B; &#x434;&#x435;&#x439;&#x441;&#x442;&#x432;&#x438;&#x442;&#x435;&#x43B;&#x44C;&#x43D;&#x43E; &#x445;&#x43E;&#x442;&#x438;&#x442;&#x435; &#x432;&#x435;&#x440;&#x43D;&#x443;&#x442;&#x44C; &#x441;&#x432;&#x43E;&#x439; &#x43E;&#x431;&#x440;&#x430;&#x437;?","ba-imagecapture.image_file_too_large":"&#x424;&#x430;&#x439;&#x43B; &#x438;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x44F; &#x441;&#x43B;&#x438;&#x448;&#x43A;&#x43E;&#x43C; &#x432;&#x435;&#x43B;&#x438;&#x43A; (%s) - &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443; &#x441; &#x43C;&#x435;&#x43D;&#x44C;&#x448;&#x438;&#x43C; &#x444;&#x430;&#x439;&#x43B;&#x43E;&#x43C; &#x438;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x44F;.","ba-imagecapture.unsupported_image_type":"&#x417;&#x430;&#x433;&#x440;&#x443;&#x437;&#x438;&#x442;&#x435;: %s - &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-imagecapture.orientation-portrait-required":"&#x41F;&#x43E;&#x436;&#x430;&#x43B;&#x443;&#x439;&#x441;&#x442;&#x430;, &#x43F;&#x43E;&#x432;&#x435;&#x440;&#x43D;&#x438;&#x442;&#x435; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432;&#x43E; &#x434;&#x43B;&#x44F; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x438; &#x432; &#x43F;&#x43E;&#x440;&#x442;&#x440;&#x435;&#x442;&#x43D;&#x43E;&#x43C; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x435;.","ba-imagecapture.orientation-landscape-required":"&#x41F;&#x43E;&#x436;&#x430;&#x43B;&#x443;&#x439;&#x441;&#x442;&#x430;, &#x43F;&#x43E;&#x432;&#x435;&#x440;&#x43D;&#x438;&#x442;&#x435; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432;&#x43E; &#x434;&#x43B;&#x44F; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x438; &#x432; &#x43B;&#x430;&#x43D;&#x434;&#x448;&#x430;&#x444;&#x442;&#x43D;&#x43E;&#x43C; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x435;.","ba-audiorecorder.recorder-error":"&#x41F;&#x440;&#x43E;&#x438;&#x437;&#x43E;&#x448;&#x43B;&#x430; &#x43E;&#x448;&#x438;&#x431;&#x43A;&#x430;. &#x41F;&#x43E;&#x436;&#x430;&#x43B;&#x443;&#x439;&#x441;&#x442;&#x430;, &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443; &#x43F;&#x43E;&#x437;&#x436;&#x435;. &#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-audiorecorder.attach-error":"&#x41C;&#x44B; &#x43D;&#x435; &#x441;&#x43C;&#x43E;&#x433;&#x43B;&#x438; &#x43F;&#x43E;&#x43B;&#x443;&#x447;&#x438;&#x442;&#x44C; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x43A; &#x43C;&#x435;&#x434;&#x438;&#x430;&#x438;&#x43D;&#x442;&#x435;&#x440;&#x444;&#x435;&#x439;&#x441;&#x443;. &#x412; &#x437;&#x430;&#x432;&#x438;&#x441;&#x438;&#x43C;&#x43E;&#x441;&#x442;&#x438; &#x43E;&#x442; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432;&#x430; &#x438; &#x431;&#x440;&#x430;&#x443;&#x437;&#x435;&#x440;&#x430;, &#x432;&#x430;&#x43C; &#x43C;&#x43E;&#x436;&#x435;&#x442; &#x43F;&#x43E;&#x442;&#x440;&#x435;&#x431;&#x43E;&#x432;&#x430;&#x442;&#x44C;&#x441;&#x44F; &#x443;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x44C; Flash &#x438;&#x43B;&#x438; &#x43F;&#x43E;&#x43B;&#x443;&#x447;&#x438;&#x442;&#x44C; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x43A; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x435; &#x447;&#x435;&#x440;&#x435;&#x437; SSL.","ba-audiorecorder.software-required":"&#x41F;&#x43E;&#x436;&#x430;&#x43B;&#x443;&#x439;&#x441;&#x442;&#x430;, &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x43D;&#x438;&#x436;&#x435;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x443;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x44C; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x43E;&#x432;&#x430;&#x442;&#x44C; &#x441;&#x43B;&#x435;&#x434;&#x443;&#x44E;&#x449;&#x438;&#x435; &#x442;&#x440;&#x435;&#x431;&#x43E;&#x432;&#x430;&#x43D;&#x438;&#x44F;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x440;&#x43E;&#x434;&#x43E;&#x43B;&#x436;&#x438;&#x442;&#x44C;.","ba-audiorecorder.software-waiting":"&#x412; &#x43E;&#x436;&#x438;&#x434;&#x430;&#x43D;&#x438;&#x438; &#x442;&#x440;&#x435;&#x431;&#x43E;&#x432;&#x430;&#x43D;&#x438;&#x439;, &#x43A;&#x43E;&#x442;&#x43E;&#x440;&#x44B;&#x435; &#x431;&#x443;&#x434;&#x443;&#x442; &#x443;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x43B;&#x435;&#x43D;&#x44B; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x43E;&#x432;&#x430;&#x43D;&#x44B;. &#x412;&#x43E;&#x437;&#x43C;&#x43E;&#x436;&#x43D;&#x43E;, &#x432;&#x430;&#x43C; &#x43F;&#x440;&#x438;&#x434;&#x435;&#x442;&#x441;&#x44F; &#x43E;&#x431;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x44C; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x443; &#x43F;&#x43E;&#x441;&#x43B;&#x435; &#x437;&#x430;&#x432;&#x435;&#x440;&#x448;&#x435;&#x43D;&#x438;&#x44F;.","ba-audiorecorder.access-forbidden":"&#x414;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x43A; &#x421;&#x41C;&#x418; &#x431;&#x44B;&#x43B; &#x437;&#x430;&#x43F;&#x440;&#x435;&#x449;&#x435;&#x43D;. &#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-audiorecorder.uploading":"&#x412;&#x44B;&#x433;&#x440;&#x443;&#x437;&#x43A;&#x430;","ba-audiorecorder.uploading-failed":"&#x417;&#x430;&#x433;&#x440;&#x443;&#x437;&#x43A;&#x430; &#x43D;&#x435; &#x443;&#x434;&#x430;&#x43B;&#x430;&#x441;&#x44C; - &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-audiorecorder.upload-error-duration":"&#x414;&#x43B;&#x438;&#x43D;&#x430; &#x437;&#x430;&#x433;&#x440;&#x443;&#x436;&#x435;&#x43D;&#x43D;&#x43E;&#x433;&#x43E; &#x430;&#x443;&#x434;&#x438;&#x43E; &#x43D;&#x435; &#x441;&#x43E;&#x43E;&#x442;&#x432;&#x435;&#x442;&#x441;&#x442;&#x432;&#x443;&#x435;&#x442; &#x442;&#x440;&#x435;&#x431;&#x43E;&#x432;&#x430;&#x43D;&#x438;&#x44F;&#x43C; - &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-audiorecorder.verifying":"&#x43F;&#x440;&#x43E;&#x432;&#x435;&#x440;&#x43A;&#x430;","ba-audiorecorder.verifying-failed":"&#x41F;&#x440;&#x43E;&#x432;&#x435;&#x440;&#x43A;&#x430; &#x43D;&#x435; &#x443;&#x434;&#x430;&#x43B;&#x430;&#x441;&#x44C; - &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-audiorecorder.rerecord-confirm":"&#x412;&#x44B; &#x434;&#x435;&#x439;&#x441;&#x442;&#x432;&#x438;&#x442;&#x435;&#x43B;&#x44C;&#x43D;&#x43E; &#x445;&#x43E;&#x442;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x430;&#x443;&#x434;&#x438;&#x43E;?","ba-audiorecorder.cancel-confirm":"&#x412;&#x44B; &#x434;&#x435;&#x439;&#x441;&#x442;&#x432;&#x438;&#x442;&#x435;&#x43B;&#x44C;&#x43D;&#x43E; &#x445;&#x43E;&#x442;&#x438;&#x442;&#x435; &#x43E;&#x442;&#x43C;&#x435;&#x43D;&#x438;&#x442;&#x44C; &#x437;&#x430;&#x433;&#x440;&#x443;&#x437;&#x43A;&#x443; &#x430;&#x443;&#x434;&#x438;&#x43E;?","ba-audiorecorder.audio_file_too_large":"&#x412;&#x430;&#x448; &#x430;&#x443;&#x434;&#x438;&#x43E;&#x444;&#x430;&#x439;&#x43B; &#x441;&#x43B;&#x438;&#x448;&#x43A;&#x43E;&#x43C; &#x431;&#x43E;&#x43B;&#x44C;&#x448;&#x43E;&#x439; (%s) - &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443; &#x441; &#x43C;&#x435;&#x43D;&#x44C;&#x448;&#x438;&#x43C; &#x430;&#x443;&#x434;&#x438;&#x43E;&#x444;&#x430;&#x439;&#x43B;&#x43E;&#x43C;.","ba-audiorecorder.unsupported_audio_type":"&#x417;&#x430;&#x433;&#x440;&#x443;&#x437;&#x438;&#x442;&#x435;: %s - &#x43D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435; &#x437;&#x434;&#x435;&#x441;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ba-common-settingsmenu.tooltip":"&#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x438;&#x433;&#x440;&#x430;&#x442;&#x44C;.","ba-common-settingsmenu.setting-menu":"&#x412;&#x441;&#x435; &#x43D;&#x430;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x43A;&#x438;","ba-common-settingsmenu.source-quality":"&#x41A;&#x430;&#x447;&#x435;&#x441;&#x442;&#x432;&#x43E; &#x438;&#x441;&#x442;&#x43E;&#x447;&#x43D;&#x438;&#x43A;&#x430;","ba-common-settingsmenu.player-speed":"&#x421;&#x43A;&#x43E;&#x440;&#x43E;&#x441;&#x442;&#x44C; &#x438;&#x433;&#x440;&#x43E;&#x43A;&#x430;","ba-common-settingsmenu.set-menu-option":"&#x423;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x44C; &#x432;&#x430;&#x440;&#x438;&#x430;&#x43D;&#x442;","ba-common-settingsmenu.submit-video":"&#x41F;&#x43E;&#x434;&#x442;&#x432;&#x435;&#x440;&#x434;&#x438;&#x442;&#x44C; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-common-settingsmenu.picture-in-picture":"&#x41A;&#x430;&#x440;&#x442;&#x438;&#x43D;&#x43A;&#x430; &#x432; &#x43A;&#x430;&#x440;&#x442;&#x438;&#x43D;&#x43A;&#x435;","ba-common-settingsmenu.exit-fullscreen-video":"&#x412;&#x44B;&#x439;&#x442;&#x438; &#x438;&#x437; &#x43F;&#x43E;&#x43B;&#x43D;&#x43E;&#x44D;&#x43A;&#x440;&#x430;&#x43D;&#x43D;&#x43E;&#x433;&#x43E; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x430;","ba-common-settingsmenu.fullscreen-video":"&#x412;&#x43E;&#x439;&#x442;&#x438; &#x432; &#x43F;&#x43E;&#x43B;&#x43D;&#x43E;&#x44D;&#x43A;&#x440;&#x430;&#x43D;&#x43D;&#x44B;&#x439; &#x440;&#x435;&#x436;&#x438;&#x43C;","ba-videorecorder-chooser.multi-stream":"&#x41C;&#x43D;&#x43E;&#x433;&#x43E;&#x43F;&#x43E;&#x442;&#x43E;&#x447;&#x43D;&#x44B;&#x439;","ba-videorecorder-controlbar.pause-recorder":"&#x41F;&#x440;&#x438;&#x43E;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x44C; &#x440;&#x435;&#x43A;&#x43E;&#x440;&#x434;&#x435;&#x440;","ba-videorecorder-controlbar.resume-recorder":"&#x420;&#x435;&#x43A;&#x43E;&#x440;&#x434;&#x435;&#x440; &#x440;&#x435;&#x437;&#x44E;&#x43C;&#x435;","ba-videorecorder.missing-track":"&#x41E;&#x442;&#x441;&#x443;&#x442;&#x441;&#x442;&#x432;&#x443;&#x435;&#x442; &#x43D;&#x435;&#x43E;&#x431;&#x445;&#x43E;&#x434;&#x438;&#x43C;&#x430;&#x44F; &#x437;&#x432;&#x443;&#x43A;&#x43E;&#x432;&#x430;&#x44F; &#x438;&#x43B;&#x438; &#x432;&#x438;&#x434;&#x435;&#x43E;&#x434;&#x43E;&#x440;&#x43E;&#x436;&#x43A;&#x430;","ba-videorecorder.device-already-in-use":"&#x41A;&#x430;&#x43A; &#x43C;&#x438;&#x43D;&#x438;&#x43C;&#x443;&#x43C; &#x43E;&#x434;&#x43D;&#x43E; &#x438;&#x437; &#x432;&#x430;&#x448;&#x438;&#x445; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432; &#x432;&#x432;&#x43E;&#x434;&#x430; &#x443;&#x436;&#x435; &#x438;&#x441;&#x43F;&#x43E;&#x43B;&#x44C;&#x437;&#x443;&#x435;&#x442;&#x441;&#x44F;","ba-videorecorder.browser-permission-denied":"&#x411;&#x440;&#x430;&#x443;&#x437;&#x435;&#x440; &#x43E;&#x442;&#x43A;&#x430;&#x437;&#x430;&#x43B; &#x432; &#x440;&#x430;&#x437;&#x440;&#x435;&#x448;&#x435;&#x43D;&#x438;&#x438;, &#x43F;&#x440;&#x435;&#x434;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x44C;&#x442;&#x435; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x438; &#x43F;&#x435;&#x440;&#x435;&#x437;&#x430;&#x433;&#x440;&#x443;&#x437;&#x438;&#x442;&#x435; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x443;","ba-audioplayer.all-settings":"&#x412;&#x441;&#x435; &#x43D;&#x430;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x43A;&#x438;","ba-videoplayer-controlbar.remaining-time":"&#x41E;&#x441;&#x442;&#x430;&#x432;&#x448;&#x435;&#x435;&#x441;&#x44F; &#x432;&#x440;&#x435;&#x43C;&#x44F;","ba-videoplayer-controlbar.select-frame":"&#x412;&#x44B;&#x431;&#x438;&#x440;&#x430;&#x442;&#x44C;","ba-videoplayer-controlbar.trim-video":"&#x41E;&#x442;&#x434;&#x435;&#x43B;&#x43A;&#x430;","ba-videoplayer-playbutton.trim":"&#x41E;&#x442;&#x434;&#x435;&#x43B;&#x43A;&#x430;","ba-videoplayer-playbutton.skip":"&#x41F;&#x440;&#x43E;&#x43F;&#x443;&#x441;&#x43A;&#x430;&#x442;&#x44C;","ba-videorecorder-imagegallery.upload-covershot":"&#x417;&#x430;&#x433;&#x440;&#x443;&#x437;&#x438;&#x442;&#x44C; &#x43E;&#x431;&#x43B;&#x43E;&#x436;&#x43A;&#x443;","ba-videorecorder.pick-covershot-frame":"&#x412;&#x44B;&#x431;&#x435;&#x440;&#x438;&#x442;&#x435; &#x43A;&#x430;&#x434;&#x440; &#x434;&#x43B;&#x44F; &#x438;&#x441;&#x43F;&#x43E;&#x43B;&#x44C;&#x437;&#x43E;&#x432;&#x430;&#x43D;&#x438;&#x44F; &#x432; &#x43A;&#x430;&#x447;&#x435;&#x441;&#x442;&#x432;&#x435; &#x43E;&#x431;&#x43B;&#x43E;&#x436;&#x43A;&#x438;.","ba-videorecorder.screen-recorder-is-not-supported":"&#x417;&#x430;&#x43F;&#x438;&#x441;&#x44C; &#x441; &#x44D;&#x43A;&#x440;&#x430;&#x43D;&#x430; &#x43D;&#x435; &#x43F;&#x43E;&#x434;&#x434;&#x435;&#x440;&#x436;&#x438;&#x432;&#x430;&#x435;&#x442;&#x441;&#x44F; &#x43D;&#x430; &#x44D;&#x442;&#x43E;&#x43C; &#x443;&#x441;&#x442;&#x440;&#x43E;&#x439;&#x441;&#x442;&#x432;&#x435;","ba-videorecorder.trim-prompt":"&#x412;&#x44B; &#x445;&#x43E;&#x442;&#x438;&#x442;&#x435; &#x43E;&#x431;&#x440;&#x435;&#x437;&#x430;&#x442;&#x44C; &#x432;&#x438;&#x434;&#x435;&#x43E;?","ba-videorecorder.trim-video":"&#x41F;&#x435;&#x440;&#x435;&#x43C;&#x435;&#x441;&#x442;&#x438;&#x442;&#x435; &#x43C;&#x430;&#x440;&#x43A;&#x435;&#x440;&#x44B; &#x43D;&#x430;&#x447;&#x430;&#x43B;&#x430; &#x438; &#x43A;&#x43E;&#x43D;&#x446;&#x430;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43E;&#x431;&#x440;&#x435;&#x437;&#x430;&#x442;&#x44C; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videorecorder.wait-for-trim":"&#x41E;&#x436;&#x438;&#x434;&#x430;&#x43D;&#x438;&#x435; &#x43A;&#x43E;&#x43C;&#x430;&#x43D;&#x434;&#x44B; &#x43E;&#x431;&#x440;&#x435;&#x437;&#x43A;&#x438; ...","ba-videorecorder-controlbar.no-video-source":"&#x41E;&#x442;&#x441;&#x443;&#x442;&#x441;&#x442;&#x432;&#x443;&#x435;&#x442; &#x434;&#x43E;&#x43F;&#x43E;&#x43B;&#x43D;&#x438;&#x442;&#x435;&#x43B;&#x44C;&#x43D;&#x44B;&#x439; &#x438;&#x441;&#x442;&#x43E;&#x447;&#x43D;&#x438;&#x43A; &#x432;&#x438;&#x434;&#x435;&#x43E;&#x432;&#x445;&#x43E;&#x434;&#x430;","ba-videorecorder-controlbar.stream-already-selected":"&#x414;&#x43E;&#x43F;&#x43E;&#x43B;&#x43D;&#x438;&#x442;&#x435;&#x43B;&#x44C;&#x43D;&#x44B;&#x439; &#x43F;&#x43E;&#x442;&#x43E;&#x43A; &#x443;&#x436;&#x435; &#x432;&#x44B;&#x431;&#x440;&#x430;&#x43D;","ba-videorecorder.uploading-src-error":"&#x41D;&#x435;&#x432;&#x43E;&#x437;&#x43C;&#x43E;&#x436;&#x43D;&#x43E; &#x432;&#x43E;&#x441;&#x43F;&#x440;&#x43E;&#x438;&#x437;&#x432;&#x435;&#x441;&#x442;&#x438; &#x432;&#x438;&#x434;&#x435;&#x43E;, &#x437;&#x430;&#x433;&#x440;&#x443;&#x437;&#x43A;&#x430; &#x432;&#x441;&#x435; &#x435;&#x449;&#x435; &#x43F;&#x440;&#x43E;&#x434;&#x43E;&#x43B;&#x436;&#x430;&#x435;&#x442;&#x441;&#x44F;","ba-audiorecorder-controlbar.pause-recorder":"&#x41F;&#x440;&#x438;&#x43E;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x44C; &#x440;&#x435;&#x43A;&#x43E;&#x440;&#x434;&#x435;&#x440;","ba-audiorecorder-controlbar.resume-recorder":"&#x420;&#x435;&#x43A;&#x43E;&#x440;&#x434;&#x435;&#x440; &#x440;&#x435;&#x437;&#x44E;&#x43C;&#x435;"},"language:sk":{"ba-videoplayer-playbutton.tooltip":"Pre prehratie videa kliknite.","ba-videoplayer-playbutton.rerecord":"Znovu nahra&#x165;","ba-videoplayer-playbutton.submit-video":"Potvr&#x10F;te video","ba-videoplayer-loader.tooltip":"Nahr&#xE1;vanie...","ba-videoplayer-controlbar.change-resolution":"Zme&#x148;te rozl&#xED;&#x161;enie","ba-videoplayer-controlbar.video-progress":"Progres","ba-videoplayer-controlbar.rerecord-video":"Nahra&#x165; znovu?","ba-videoplayer-controlbar.submit-video":"Potvrdi&#x165;","ba-videoplayer-controlbar.play-video":"Prehra&#x165;","ba-videoplayer-controlbar.pause-video":"Pozastavi&#x165;","ba-videoplayer-controlbar.elapsed-time":"Uplynut&#xFD; &#x10D;as","ba-videoplayer-controlbar.total-time":"Celkov&#xE1; d&#x13A;&#x17E;ka","ba-videoplayer-controlbar.fullscreen-video":"Zobrazi&#x165; na cel&#xFA; obrazovku","ba-videoplayer-controlbar.volume-button":"Nastavi&#x165; hlasitos&#x165;","ba-videoplayer-controlbar.volume-mute":"Vypn&#xFA;&#x165; zvuk","ba-videoplayer-controlbar.volume-unmute":"Zapn&#xFA;&#x165; zvuk","ba-videoplayer.video-error":"Vyskytla sa chyba. Sk&#xFA;ste to znova.","ba-videorecorder-chooser.record-video":"Nahra&#x165; nov&#xE9; video","ba-videorecorder-chooser.upload-video":"Prilo&#x17E;i&#x165; existuj&#xFA;ce video","ba-videorecorder-controlbar.settings":"Nastavenia","ba-videorecorder-controlbar.camerahealthy":"Osvetlenie vyzer&#xE1; dobre","ba-videorecorder-controlbar.cameraunhealthy":"Osvetlenie nie je optim&#xE1;lne","ba-videorecorder-controlbar.microphonehealthy":"Zvuk je v poriadku","ba-videorecorder-controlbar.microphoneunhealthy":"Nepodarilo sa zachyti&#x165; &#x17E;iaden zvuk","ba-videorecorder-controlbar.record":"Nahra&#x165;","ba-videorecorder-controlbar.record-tooltip":"Kliknite sem pre nahr&#xE1;vanie.","ba-videorecorder-controlbar.rerecord":"Znovu nahra&#x165;","ba-videorecorder-controlbar.rerecord-tooltip":"Kliknite sem pre zopakovanie nahr&#xE1;vania.","ba-videorecorder-controlbar.upload-covershot":"Prilo&#x17E;i&#x165;","ba-videorecorder-controlbar.upload-covershot-tooltip":"Kliknite sem pre nahratie vlastnej &#xFA;vodnej sn&#xED;mky","ba-videorecorder-controlbar.stop":"Zastavi&#x165;","ba-videorecorder-controlbar.stop-tooltip":"Kliknite sem pre zastavenie.","ba-videorecorder-controlbar.skip":"Presko&#x10D;i&#x165;","ba-videorecorder-controlbar.skip-tooltip":"Kliknite sem pre presko&#x10D;enie.","ba-videorecorder.recorder-error":"Vyskytla sa chyba. Kliknut&#xED;m sk&#xFA;ste znova.","ba-videorecorder.attach-error":"Nepodarilo sa n&#xE1;m z&#xED;ska&#x165; pr&#xED;stup k rozhraniu fotoapar&#xE1;tu. V z&#xE1;vislosti od zariadenia a prehliada&#x10D;a budete mo&#x17E;no musie&#x165; nain&#x161;talova&#x165; Flash alebo pristupova&#x165; na str&#xE1;nku cez protokol SSL.","ba-videorecorder.access-forbidden":"Pr&#xED;stup ku kamere bol zak&#xE1;zan&#xFD;. Kliknut&#xED;m sk&#xFA;ste znova.","ba-videorecorder.pick-covershot":"Vyberte si &#xFA;vodn&#xFA; sn&#xED;mku.","ba-videorecorder.uploading":"Nahr&#xE1;vanie","ba-videorecorder.uploading-failed":"Nahr&#xE1;vanie zlyhalo - kliknite sem pre zopakovanie.","ba-videorecorder.verifying":"Overovanie","ba-videorecorder.verifying-failed":"Overovanie zlyhalo - kliknite sem pre zopakovanie.","ba-videorecorder.rerecord-confirm":"Skuto&#x10D;ne chcete toto video prerobi&#x165;?","ba-videorecorder.video_file_too_large":"Va&#x161;e video je pr&#xED;li&#x161; dlh&#xE9; (%s) - kliknite sem pre zopakovanie s men&#x161;&#xED;m videos&#xFA;borom.","ba-videorecorder.unsupported_video_type":"Pros&#xED;m nahrajte: %s - kliknite sem pre zopakovanie.","ba-videoplayer-controlbar.exit-fullscreen-video":"Zru&#x161;i&#x165; zobrazenie na cel&#xFA; obrazovku","ba-videoplayer-share.share":"Zdie&#x13E;a&#x165;","ba-videoplayer-controlbar.pause-video-disabled":"Pozastavenie nie je mo&#x17E;n&#xE9;","ba-videorecorder-chooser.record-audio":"Nahra&#x165; zvuk","ba-videorecorder-controlbar.stop-available-after":"Minimum nahr&#xE1;vacieho &#x10D;asu je %d sek&#xFA;nd","ba-videorecorder-controlbar.cancel":"Zru&#x161;i&#x165;","ba-videorecorder-controlbar.cancel-tooltip":"Kliknite sem pre zru&#x161;enie.","ba-videorecorder.cancel-confirm":"Naozaj chcete zru&#x161;i&#x165; nahr&#xE1;vanie videa?","ba-videorecorder-chooser.record-screen":"Obrazovka nahr&#xE1;vania","ba-videoplayer-adslot.elapsed-time":"Uplynut&#xFD; &#x10D;as","ba-videoplayer-adslot.volume-button":"Nastavte hlasitos&#x165;","ba-videoplayer-adslot.volume-mute":"Stlmenie zvuku","ba-videoplayer-adslot.volume-unmute":"Zru&#x161;i&#x165; zvuk","ba-videoplayer-adslot.ad-will-end-after":"Reklama sa skon&#x10D;&#xED; po %s","ba-videoplayer-adslot.can-skip-after":"Presko&#x10D;i&#x165; za %d","ba-videoplayer-adslot.skip-ad":"Presko&#x10D;i&#x165; reklamu","ba-videorecorder.software-required":"Ak chcete pokra&#x10D;ova&#x165;, kliknite na ni&#x17E;&#x161;ie a nain&#x161;talujte / aktivujte nasleduj&#xFA;ce po&#x17E;iadavky.","ba-videorecorder.software-waiting":"&#x10C;ak&#xE1; sa na po&#x17E;iadavky na in&#x161;tal&#xE1;ciu / aktiv&#xE1;ciu. Po skon&#x10D;en&#xED; str&#xE1;nky mo&#x17E;no budete musie&#x165; obnovi&#x165; str&#xE1;nku.","ba-videoplayer-controlbar.close-tracks":"Zatvorte CC","ba-videoplayer-controlbar.show-tracks":"Zobrazi&#x165; CC","ba-videoplayer-tracks.upload-text-tracks":"Nahrajte textov&#xE9; s&#xFA;bory skladieb","ba-videoplayer-tracks.select-text-track-language":"Jazyk titulkov","ba-videoplayer-tracks.info-select-locale-first":"Najprv vyberte lokaliz&#xE1;ciu","ba-videoplayer-tracks.select-text-track-file":"Kliknut&#xED;m vyberte s&#xFA;bor","ba-videoplayer-tracks.back":"sp&#xE4;&#x165;","ba-videorecorder.framerate-warning":"R&#xFD;chlos&#x165; videoz&#xE1;znamu je ve&#x13E;mi n&#xED;zka. Odpor&#xFA;&#x10D;ame uzavrie&#x165; v&#x161;etky ostatn&#xE9; programy a karty prehliada&#x10D;a alebo pou&#x17E;i&#x165; r&#xFD;chlej&#x161;&#xED; po&#x10D;&#xED;ta&#x10D;.","ba-videorecorder.upload-error-duration":"D&#x13A;&#x17E;ka odovzdan&#xE9;ho videa nesp&#x13A;&#x148;a po&#x17E;iadavky - kliknite sem a sk&#xFA;ste to znova.","ba-videorecorder.resolution-constraint-error":"Zvolen&#xFD; s&#xFA;bor nezodpoved&#xE1; po&#x17E;adovan&#xE9;mu rozl&#xED;&#x161;eniu - kliknite sem a sk&#xFA;ste to znova.","ba-videorecorder.orientation-portrait-required":"Zariadenie m&#xF4;&#x17E;ete nat&#xE1;&#x10D;a&#x165; nat&#xE1;&#x10D;an&#xED;m v re&#x17E;ime na v&#xFD;&#x161;ku.","ba-videorecorder.orientation-landscape-required":"Nat&#xE1;&#x10D;ajte zariadenie tak, aby sa nahral v re&#x17E;ime na &#x161;&#xED;rku.","ba-imageviewer-controlbar.rerecord-image":"Prerobi&#x165;?","ba-imageviewer-controlbar.submit-image":"potvrdi&#x165;","ba-imageviewer-controlbar.fullscreen-image":"Zadajte cel&#xFA; obrazovku","ba-imageviewer-controlbar.exit-fullscreen-image":"Ukon&#x10D;ite cel&#xFA; obrazovku","ba-imageviewer.image-error":"Vyskytla sa chyba. Sk&#xFA;ste to znovu nesk&#xF4;r pros&#xED;m. Kliknut&#xED;m sk&#xFA;ste znova.","ba-imagecapture-chooser.image-capture":"Zachy&#x165;te obr&#xE1;zok","ba-imagecapture-chooser.upload-image":"Nahra&#x165; obr&#xE1;zok","ba-imagecapture-controlbar.settings":"nastavenie","ba-imagecapture-controlbar.camerahealthy":"Osvetlenie je dobr&#xE9;","ba-imagecapture-controlbar.cameraunhealthy":"Osvetlenie nie je optim&#xE1;lne","ba-imagecapture-controlbar.record":"zajat&#xED;","ba-imagecapture-controlbar.record-tooltip":"Kliknite tu pre zachytenie.","ba-imagecapture-controlbar.rerecord":"prerobi&#x165;","ba-imagecapture-controlbar.rerecord-tooltip":"Kliknite tu pre op&#xE4;tovn&#xE9; spracovanie.","ba-imagecapture-controlbar.cancel":"Zru&#x161;i&#x165;","ba-imagecapture-controlbar.cancel-tooltip":"Kliknut&#xED;m tu zru&#x161;&#xED;te.","ba-audioplayer-controlbar.audio-progress":"pokrok","ba-audioplayer-controlbar.rerecord-audio":"Prerobi&#x165;?","ba-audioplayer-controlbar.submit-audio":"potvrdi&#x165;","ba-audioplayer-controlbar.play-audio":"hra&#x165;","ba-audioplayer-controlbar.pause-audio":"Pauza","ba-audioplayer-controlbar.pause-audio-disabled":"Pozastavenie nie je podporovan&#xE9;","ba-audioplayer-controlbar.elapsed-time":"Uplynut&#xFD; &#x10D;as","ba-audioplayer-controlbar.total-time":"Celkov&#xE1; d&#x13A;&#x17E;ka","ba-audioplayer-controlbar.volume-button":"Nastavte hlasitos&#x165;","ba-audioplayer-controlbar.volume-mute":"Stlmenie zvuku","ba-audioplayer-controlbar.volume-unmute":"Zru&#x161;i&#x165; zvuk","ba-audioplayer-loader.tooltip":"Na&#x10D;&#xED;tava...","ba-audioplayer.audio-error":"Vyskytla sa chyba. Sk&#xFA;ste to znovu nesk&#xF4;r pros&#xED;m. Kliknut&#xED;m sk&#xFA;ste znova.","ba-audiorecorder-chooser.record-audio":"Z&#xE1;znam zvuku","ba-audiorecorder-chooser.upload-audio":"Nahra&#x165; zvuk","ba-audiorecorder-controlbar.settings":"nastavenie","ba-audiorecorder-controlbar.microphonehealthy":"Zvuk je dobr&#xFD;","ba-audiorecorder-controlbar.microphoneunhealthy":"Nepodar&#xED; sa zdvihn&#xFA;&#x165; &#x17E;iaden zvuk","ba-audiorecorder-controlbar.record":"rekord","ba-audiorecorder-controlbar.record-tooltip":"Kliknite tu pre nahr&#xE1;vanie.","ba-audiorecorder-controlbar.rerecord":"prerobi&#x165;","ba-audiorecorder-controlbar.rerecord-tooltip":"Kliknite tu pre op&#xE4;tovn&#xE9; spracovanie.","ba-audiorecorder-controlbar.stop":"presta&#x165;","ba-audiorecorder-controlbar.stop-tooltip":"Kliknut&#xED;m sem zastav&#xED;te.","ba-audiorecorder-controlbar.stop-available-after":"Minim&#xE1;lny &#x10D;as nahr&#xE1;vania je %d sekundy","ba-audiorecorder-controlbar.cancel":"Zru&#x161;i&#x165;","ba-audiorecorder-controlbar.cancel-tooltip":"Kliknut&#xED;m tu zru&#x161;&#xED;te.","ba-videoplayer-controlbar.player-speed":"R&#xFD;chlos&#x165; prehr&#xE1;va&#x10D;a","ba-videoplayer-controlbar.settings":"nastavenie","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"Ikona Airplay.","ba-videoplayer.all-settings":"V&#x161;etky nastavenia","ba-videoplayer.player-speed":"R&#xFD;chlos&#x165; prehr&#xE1;va&#x10D;a","ba-videoplayer.full-screen":"Cel&#xE1; obrazovka","ba-videorecorder-controlbar.add-stream":"Prida&#x165; Stream","ba-videorecorder.switch-camera":"Prepnite fotoapar&#xE1;t","ba-videorecorder.prepare-covershot":"Pr&#xED;prava pokr&#xFD;va","ba-videorecorder.prepare-thumbnails":"Pr&#xED;prava vyh&#x13E;ad&#xE1;vania miniat&#xFA;r","ba-videorecorder.adding-new-stream":"Pridanie nov&#xE9;ho toku","ba-imagecapture.recorder-error":"Vyskytla sa chyba. Sk&#xFA;ste to znovu nesk&#xF4;r pros&#xED;m. Kliknite, ak chcete opakova&#x165; pokus.","ba-imagecapture.attach-error":"Nem&#xF4;&#x17E;eme z&#xED;ska&#x165; pr&#xED;stup k rozhraniu m&#xE9;di&#xED;. V z&#xE1;vislosti od zariadenia a prehliada&#x10D;a mo&#x17E;no budete musie&#x165; nain&#x161;talova&#x165; Flash alebo pristupova&#x165; na str&#xE1;nku cez SSL.","ba-imagecapture.software-required":"Ak chcete pokra&#x10D;ova&#x165;, kliknite ni&#x17E;&#x161;ie a nain&#x161;talujte / aktivujte nasleduj&#xFA;ce po&#x17E;iadavky.","ba-imagecapture.software-waiting":"&#x10C;akanie na in&#x161;tal&#xE1;ciu / aktiv&#xE1;ciu po&#x17E;iadaviek. Po dokon&#x10D;en&#xED; m&#xF4;&#x17E;ete potrebova&#x165; obnovi&#x165; str&#xE1;nku.","ba-imagecapture.access-forbidden":"Pr&#xED;stup k m&#xE9;di&#xE1;m bol zak&#xE1;zan&#xFD;. Kliknite, ak chcete opakova&#x165; pokus.","ba-imagecapture.uploading":"nahr&#xE1;vanie","ba-imagecapture.uploading-failed":"Nahr&#xE1;vanie zlyhalo - kliknut&#xED;m sem zopakujte pokus.","ba-imagecapture.upload-error-duration":"D&#x13A;&#x17E;ka nahran&#xE9;ho obr&#xE1;zka nesp&#x13A;&#x148;a po&#x17E;iadavky - kliknite sem a sk&#xFA;ste to znova.","ba-imagecapture.resolution-constraint-error":"Vybran&#xFD; s&#xFA;bor nezodpoved&#xE1; po&#x17E;adovan&#xE9;mu rozl&#xED;&#x161;eniu - kliknut&#xED;m sem zopakujte pokus.","ba-imagecapture.verifying":"overenie","ba-imagecapture.verifying-failed":"Overenie zlyhalo - kliknut&#xED;m sem zopakujte pokus.","ba-imagecapture.rerecord-confirm":"Naozaj chcete znova nasn&#xED;ma&#x165; svoj obr&#xE1;zok?","ba-imagecapture.image_file_too_large":"V&#xE1;&#x161; obrazov&#xFD; s&#xFA;bor je pr&#xED;li&#x161; ve&#x13E;k&#xFD; (%s) - kliknut&#xED;m sem sk&#xFA;ste znova s men&#x161;&#xED;m obr&#xE1;zkov&#xFD;m s&#xFA;borom.","ba-imagecapture.unsupported_image_type":"Nahrajte: %s - kliknite sem a sk&#xFA;ste to znova.","ba-imagecapture.orientation-portrait-required":"Ak chcete nahr&#xE1;va&#x165; v re&#x17E;ime na v&#xFD;&#x161;ku, oto&#x10D;te zariadenie.","ba-imagecapture.orientation-landscape-required":"Ak chcete nahr&#xE1;va&#x165; v re&#x17E;ime na &#x161;&#xED;rku, oto&#x10D;te zariadenie.","ba-audiorecorder.recorder-error":"Vyskytla sa chyba. Sk&#xFA;ste to znovu nesk&#xF4;r pros&#xED;m. Kliknite, ak chcete opakova&#x165; pokus.","ba-audiorecorder.attach-error":"Nem&#xF4;&#x17E;eme z&#xED;ska&#x165; pr&#xED;stup k rozhraniu m&#xE9;di&#xED;. V z&#xE1;vislosti od zariadenia a prehliada&#x10D;a mo&#x17E;no budete musie&#x165; nain&#x161;talova&#x165; Flash alebo pristupova&#x165; na str&#xE1;nku cez SSL.","ba-audiorecorder.software-required":"Ak chcete pokra&#x10D;ova&#x165;, kliknite ni&#x17E;&#x161;ie a nain&#x161;talujte / aktivujte nasleduj&#xFA;ce po&#x17E;iadavky.","ba-audiorecorder.software-waiting":"&#x10C;akanie na in&#x161;tal&#xE1;ciu / aktiv&#xE1;ciu po&#x17E;iadaviek. Po dokon&#x10D;en&#xED; m&#xF4;&#x17E;ete potrebova&#x165; obnovi&#x165; str&#xE1;nku.","ba-audiorecorder.access-forbidden":"Pr&#xED;stup k m&#xE9;di&#xE1;m bol zak&#xE1;zan&#xFD;. Kliknite, ak chcete opakova&#x165; pokus.","ba-audiorecorder.uploading":"nahr&#xE1;vanie","ba-audiorecorder.uploading-failed":"Nahr&#xE1;vanie zlyhalo - kliknut&#xED;m sem zopakujte pokus.","ba-audiorecorder.upload-error-duration":"D&#x13A;&#x17E;ka nahran&#xE9;ho zvuku nesp&#x13A;&#x148;a po&#x17E;iadavky - kliknite sem a sk&#xFA;ste to znova.","ba-audiorecorder.verifying":"overenie","ba-audiorecorder.verifying-failed":"Overenie zlyhalo - ak chcete pokus zopakova&#x165;, kliknite sem.","ba-audiorecorder.rerecord-confirm":"Naozaj chcete prepracova&#x165; zvuk?","ba-audiorecorder.cancel-confirm":"Naozaj chcete zru&#x161;i&#x165; nahr&#xE1;vanie zvuku?","ba-audiorecorder.audio_file_too_large":"V&#xE1;&#x161; zvukov&#xFD; s&#xFA;bor je pr&#xED;li&#x161; ve&#x13E;k&#xFD; (%s) - kliknite sem a sk&#xFA;ste znova s men&#x161;&#xED;m zvukov&#xFD;m s&#xFA;borom.","ba-audiorecorder.unsupported_audio_type":"Nahrajte: %s - kliknite sem a sk&#xFA;ste to znova.","ba-common-settingsmenu.tooltip":"Kliknut&#xED;m prehr&#xE1;te.","ba-common-settingsmenu.setting-menu":"V&#x161;etky nastavenia","ba-common-settingsmenu.source-quality":"Kvalita zdroja","ba-common-settingsmenu.player-speed":"R&#xFD;chlos&#x165; hr&#xE1;&#x10D;a","ba-common-settingsmenu.set-menu-option":"Nastavi&#x165; mo&#x17E;nos&#x165;","ba-common-settingsmenu.submit-video":"Potvr&#x10F;te video","ba-common-settingsmenu.picture-in-picture":"Obraz v obraze","ba-common-settingsmenu.exit-fullscreen-video":"Ukon&#x10D;i&#x165; cel&#xFA; obrazovku","ba-common-settingsmenu.fullscreen-video":"Prejdite na cel&#xFA; obrazovku","ba-videorecorder-chooser.multi-stream":"Multi Stream","ba-videorecorder-controlbar.pause-recorder":"Pozastavi&#x165; z&#xE1;znamn&#xED;k","ba-videorecorder-controlbar.resume-recorder":"Obnovte z&#xE1;znam","ba-videorecorder.missing-track":"Ch&#xFD;ba po&#x17E;adovan&#xE1; zvukov&#xE1; alebo obrazov&#xE1; stopa","ba-videorecorder.device-already-in-use":"Aspo&#x148; jedno z va&#x161;ich vstupn&#xFD;ch zariaden&#xED; sa u&#x17E; pou&#x17E;&#xED;va","ba-videorecorder.browser-permission-denied":"Prehliada&#x10D; zamietol povolenie, ude&#x13E;te pr&#xED;stup a znova na&#x10D;&#xED;tajte str&#xE1;nku","ba-audioplayer.all-settings":"V&#x161;etky nastavenia","ba-videoplayer-controlbar.remaining-time":"Zost&#xE1;vaj&#xFA;ci &#x10D;as","ba-videoplayer-controlbar.select-frame":"Vyberte","ba-videoplayer-controlbar.trim-video":"Oreza&#x165;","ba-videoplayer-playbutton.trim":"Oreza&#x165;","ba-videoplayer-playbutton.skip":"Presko&#x10D;i&#x165;","ba-videorecorder-imagegallery.upload-covershot":"Odovzdajte ob&#xE1;lku","ba-videorecorder.pick-covershot-frame":"Vyberte r&#xE1;m, ktor&#xFD; sa m&#xE1; pou&#x17E;i&#x165; ako kryc&#xED; z&#xE1;ber.","ba-videorecorder.screen-recorder-is-not-supported":"Rekord&#xE9;r obrazovky nie je t&#xFD;mto zariaden&#xED;m podporovan&#xFD;","ba-videorecorder.trim-prompt":"Chcete video oreza&#x165;?","ba-videorecorder.trim-video":"Posunut&#xED;m za&#x10D;iato&#x10D;n&#xFD;ch a koncov&#xFD;ch zna&#x10D;iek video upravte","ba-videorecorder.wait-for-trim":"&#x10C;ak&#xE1; sa na pr&#xED;kaz na orezanie ...","ba-videorecorder-controlbar.no-video-source":"Ch&#xFD;ba &#x10F;al&#x161;&#xED; zdroj vstupu videa","ba-videorecorder-controlbar.stream-already-selected":"&#x10E;al&#x161;&#xED; stream u&#x17E; bol vybrat&#xFD;","ba-videorecorder.uploading-src-error":"Teraz nie je mo&#x17E;n&#xE9; prehr&#xE1;va&#x165; video, nahr&#xE1;vanie st&#xE1;le prebieha","ba-audiorecorder-controlbar.pause-recorder":"Pozastavi&#x165; z&#xE1;znamn&#xED;k","ba-audiorecorder-controlbar.resume-recorder":"Obnovi&#x165; z&#xE1;znamn&#xED;k"},"language:sl":{"ba-videoplayer-playbutton.tooltip":"Klikni za predvajanje.","ba-videoplayer-playbutton.rerecord":"Ponovno snemanje","ba-videoplayer-playbutton.submit-video":"Po&#x161;lji video","ba-videoplayer-loader.tooltip":"Nalaganje ...","ba-videoplayer-controlbar.change-resolution":"Spremeni resolucijo","ba-videoplayer-controlbar.video-progress":"Napredek","ba-videoplayer-controlbar.rerecord-video":"Ponovno snemanje?","ba-videoplayer-controlbar.submit-video":"Potrdi","ba-videoplayer-controlbar.play-video":"Predvajaj","ba-videoplayer-controlbar.pause-video":"Premor","ba-videoplayer-controlbar.elapsed-time":"Prete&#x10D;en &#x10D;as","ba-videoplayer-controlbar.total-time":"Skupna dol&#x17E;ina","ba-videoplayer-controlbar.fullscreen-video":"Celozaslonski na&#x10D;in","ba-videoplayer-controlbar.volume-button":"Nastavitve glasnosti","ba-videoplayer-controlbar.volume-mute":"Uti&#x161;aj zvok","ba-videoplayer-controlbar.volume-unmute":"Vklopi zvok","ba-videoplayer.video-error":"Pri&#x161;lo je do napake. Prosimo, poskusite kasneje. Klikni za ponovni poskus","ba-videorecorder-chooser.record-video":"Snemanje videa","ba-videorecorder-chooser.upload-video":"Nalaganje videa","ba-videorecorder-controlbar.settings":"Nastavitve","ba-videorecorder-controlbar.camerahealthy":"Svetloba je v redu","ba-videorecorder-controlbar.cameraunhealthy":"Svetloba ni v redu","ba-videorecorder-controlbar.microphonehealthy":"Zvok je v redu","ba-videorecorder-controlbar.microphoneunhealthy":"Zvoka ni mogo&#x10D;e zajeti","ba-videorecorder-controlbar.record":"Snemanje","ba-videorecorder-controlbar.record-tooltip":"Klikni tukaj za snemanje.","ba-videorecorder-controlbar.rerecord":"Ponovno snemanje","ba-videorecorder-controlbar.rerecord-tooltip":"Klikni tukaj za ponovno snemanje.","ba-videorecorder-controlbar.upload-covershot":"Nalo&#x17E;i naslovno sliko","ba-videorecorder-controlbar.upload-covershot-tooltip":"Klikni tukaj, &#x10D;e &#x17E;eli&#x161; nalo&#x17E;iti naslovno sliko","ba-videorecorder-controlbar.stop":"Stop","ba-videorecorder-controlbar.stop-tooltip":"Klikni tukaj za zaustavitev snemanja.","ba-videorecorder-controlbar.skip":"Presko&#x10D;i","ba-videorecorder-controlbar.skip-tooltip":"Klikni tukaj, &#x10D;e &#x17E;eli&#x161; presko&#x10D;iti.","ba-videorecorder.recorder-error":"Pri&#x161;lo je do napake. Prosimo, poskusite kasneje. Klikni za ponovni poskus","ba-videorecorder.attach-error":"Ne moremo dostopati do medijskega vmesnika. Namestite Flash ali dostopajte do strani preko SSL-ja.","ba-videorecorder.access-forbidden":"Dostop do medija je bil prepovedan. Klikni za ponovni poskus.","ba-videorecorder.pick-covershot":"Izberi naslovno sliko","ba-videorecorder.uploading":"Nalaganje","ba-videorecorder.uploading-failed":"Nalaganje ni uspelo - klikni tukaj za ponovni poskus.","ba-videorecorder.verifying":"Preverjanje","ba-videorecorder.verifying-failed":"Preverjanje ni uspelo - klikni tukaj za ponovni poskus","ba-videorecorder.rerecord-confirm":"Ali res &#x17E;elite ponovno posneti video?","ba-videorecorder.video_file_too_large":"Va&#x161;a video datoteka je prevelika (%s) - klikni tukaj, da poskusite znova z manj&#x161;o video datoteko.","ba-videorecorder.unsupported_video_type":"Prosimo nalo&#x17E;ite: %s - klikni tukaj za ponovni poskus.","ba-videoplayer-controlbar.exit-fullscreen-video":"Zapusti celozaslonski na&#x10D;in","ba-videoplayer-share.share":"Deli","ba-videorecorder-chooser.record-screen":"Posnetek zaslona","ba-videoplayer-controlbar.pause-video-disabled":"Premor ni podprt","ba-videorecorder-chooser.record-audio":"Snemanje zvoka","ba-videorecorder-controlbar.stop-available-after":"Minimalni snemalni &#x10D;as je %d sekund","ba-videorecorder-controlbar.cancel":"Prekli&#x10D;i","ba-videorecorder-controlbar.cancel-tooltip":"Klikni tukaj za preklic.","ba-videorecorder.cancel-confirm":"Ali res &#x17E;elite preklicati prenos videoposnetka?","ba-videoplayer-adslot.elapsed-time":"Prete&#x10D;en &#x10D;as","ba-videoplayer-adslot.volume-button":"Nastavitve glasnosti","ba-videoplayer-adslot.volume-mute":"Uti&#x161;aj zvok","ba-videoplayer-adslot.volume-unmute":"Vklopi zvok","ba-videoplayer-adslot.ad-will-end-after":"Oglas se bo kon&#x10D;al po %s","ba-videoplayer-adslot.can-skip-after":"Presko&#x10D;i po %d","ba-videoplayer-adslot.skip-ad":"Presko&#x10D;i oglas","ba-videorecorder.software-required":"&#x10C;e &#x17E;elite nadaljevati, klikni spodaj, da namestite / aktivirate naslednje zahteve.","ba-videorecorder.software-waiting":"&#x10C;akamo, da se zahteve namestijo / aktivirajo. Po zaklju&#x10D;ku boste morda morali osve&#x17E;iti stran.","ba-videoplayer-controlbar.close-tracks":"Zapri CC","ba-videoplayer-controlbar.show-tracks":"Poka&#x17E;i CC","ba-videoplayer-tracks.upload-text-tracks":"Nalo&#x17E;i besedilne datoteke","ba-videoplayer-tracks.select-text-track-language":"Jezik podnapisov","ba-videoplayer-tracks.info-select-locale-first":"Najprej izberite jezik","ba-videoplayer-tracks.select-text-track-file":"Klikni, da izberete datoteko","ba-videoplayer-tracks.back":"nazaj","ba-videorecorder.framerate-warning":"Hitrost videa je zelo nizka. Priporo&#x10D;amo, da zaprete vse druge programe in zavihke brskalnika ali uporabite hitrej&#x161;i ra&#x10D;unalnik.","ba-videorecorder.upload-error-duration":"Dol&#x17E;ina nalo&#x17E;enega videoposnetka ne ustreza zahtevam - klikni tukaj za ponovni poskus.","ba-videorecorder.resolution-constraint-error":"Izbrana datoteka se ne ujema z zahtevano lo&#x10D;ljivostjo - klikni tukaj za ponovni poskus.","ba-videorecorder.orientation-portrait-required":"Za snemanje v pokon&#x10D;nem na&#x10D;inu obrnite napravo.","ba-videorecorder.orientation-landscape-required":"Za snemanje v le&#x17E;e&#x10D;em na&#x10D;inu obrnite napravo.","ba-imageviewer-controlbar.rerecord-image":"Ponovno snemanje?","ba-imageviewer-controlbar.submit-image":"Potrdi","ba-imageviewer-controlbar.fullscreen-image":"Celozaslonski na&#x10D;in","ba-imageviewer-controlbar.exit-fullscreen-image":"Izhod iz celozaslonskega na&#x10D;ina","ba-imageviewer.image-error":"Pri&#x161;lo je do napake. Prosimo, poskusite kasneje. Klikni za ponovni poskus","ba-imagecapture-chooser.image-capture":"Zajem slike","ba-imagecapture-chooser.upload-image":"Nalo&#x17E;i sliko","ba-imagecapture-controlbar.settings":"Nastavitve","ba-imagecapture-controlbar.camerahealthy":"Svetloba je v redu","ba-imagecapture-controlbar.cameraunhealthy":"Svetloba ni v redu","ba-imagecapture-controlbar.record":"Zajem","ba-imagecapture-controlbar.record-tooltip":"Klikni tukaj za zajem","ba-imagecapture-controlbar.rerecord":"Ponovno snemanje","ba-imagecapture-controlbar.rerecord-tooltip":"Klikni tukaj za ponovno snemanje.","ba-imagecapture-controlbar.cancel":"Prekli&#x10D;i","ba-imagecapture-controlbar.cancel-tooltip":"Klikni tukaj za preklic.","ba-audioplayer-controlbar.audio-progress":"Napredek","ba-audioplayer-controlbar.rerecord-audio":"Ponovno snemanje?","ba-audioplayer-controlbar.submit-audio":"Potrdi","ba-audioplayer-controlbar.play-audio":"Predvajaj","ba-audioplayer-controlbar.pause-audio":"Pavza","ba-audioplayer-controlbar.pause-audio-disabled":"Premor ni podprt","ba-audioplayer-controlbar.elapsed-time":"Pete&#x10D;en &#x10D;as","ba-audioplayer-controlbar.total-time":"Skupna dol&#x17E;ina","ba-audioplayer-controlbar.volume-button":"Nastavitve glasnosti","ba-audioplayer-controlbar.volume-mute":"Uti&#x161;aj zvoj","ba-audioplayer-controlbar.volume-unmute":"Vklopi zvok","ba-audioplayer-loader.tooltip":"Nalaganje ...","ba-audioplayer.audio-error":"Pri&#x161;lo je do napake. Prosimo, poskusite kasneje. Klikni za ponovni poskus.","ba-audiorecorder-chooser.record-audio":"Snemanje zvoka","ba-audiorecorder-chooser.upload-audio":"Nalo&#x17E;i zvok","ba-audiorecorder-controlbar.settings":"Nastavitve","ba-audiorecorder-controlbar.microphonehealthy":"Zvok je v redu","ba-audiorecorder-controlbar.microphoneunhealthy":"Zvoka ni mogo&#x10D;e zajeti","ba-audiorecorder-controlbar.record":"Snemanje","ba-audiorecorder-controlbar.record-tooltip":"Klikni tukaj za snemanje.","ba-audiorecorder-controlbar.rerecord":"Ponovno snemanje","ba-audiorecorder-controlbar.rerecord-tooltip":"Klikni tukaj za ponovno snemanje.","ba-audiorecorder-controlbar.stop":"Stop","ba-audiorecorder-controlbar.stop-tooltip":"Klikni tukaj za zaustavitev snemanja.","ba-audiorecorder-controlbar.stop-available-after":"Minimalni snemalni &#x10D;as je %d sekund","ba-audiorecorder-controlbar.cancel":"Prekli&#x10D;i","ba-audiorecorder-controlbar.cancel-tooltip":"Klikni tukaj za preklic.","ba-videoplayer-controlbar.player-speed":"Hitrost predvajalnika","ba-videoplayer-controlbar.settings":"Nastavitve","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"Airplay icon. Airplay ikona.","ba-videoplayer.all-settings":"Vse nastavitve","ba-videoplayer.player-speed":"Hitrost predvajalnika","ba-videoplayer.full-screen":"Celozaslonski na&#x10D;in","ba-videorecorder-controlbar.add-stream":"Add Stream","ba-videorecorder.switch-camera":"Zamenjaj kamero","ba-videorecorder.prepare-covershot":"Pripravljanje naslovne fotografije","ba-videorecorder.prepare-thumbnails":"Pripravljanje predogledne slike","ba-videorecorder.adding-new-stream":"Adding New Stream","ba-imagecapture.recorder-error":"Pri&#x161;lo je do napake. Prosimo, poskusite kasneje. Klikni za ponovni poskus.","ba-imagecapture.attach-error":"Ne moremo dostopati do medijskega vmesnika. Namestite Flash ali dostopajte do strani preko SSL-ja.","ba-imagecapture.software-required":"&#x10C;e &#x17E;elite nadaljevati, klikni spodaj, da namestite / aktivirate naslednje zahteve.","ba-imagecapture.software-waiting":"&#x10C;akamo, da se zahteve namestijo / aktivirajo. Po zaklju&#x10D;ku boste morda morali osve&#x17E;iti stran.","ba-imagecapture.access-forbidden":"Dostop do medija je bil prepovedan. Klikni za ponovni poskus.","ba-imagecapture.uploading":"Nalaganje","ba-imagecapture.uploading-failed":"Nalaganje ni uspelo - klikni tukaj za ponovni poskus.","ba-imagecapture.upload-error-duration":"Nalo&#x17E;ena slika ne ustreza zahtevam - klikni tukaj za ponovni poskus.","ba-imagecapture.resolution-constraint-error":"Izbrana datoteka se ne ujema z zahtevano lo&#x10D;ljivostjo - klikni tukaj za ponovni poskus.","ba-imagecapture.verifying":"Preverjanje","ba-imagecapture.verifying-failed":"Preverjanje ni uspelo - klikni tukaj za ponovni poskus.","ba-imagecapture.rerecord-confirm":"Ali res &#x17E;elite ponovno posneti sliko?","ba-imagecapture.image_file_too_large":"Va&#x161;a slikovna datoteka je prevelika (%s) - klikni tukaj, da poskusite ponovno z manj&#x161;o.","ba-imagecapture.unsupported_image_type":"Prosimo nalo&#x17E;ite: %s - klikni tukaj za ponovni poskus.","ba-imagecapture.orientation-portrait-required":"Za snemanje v pokon&#x10D;nem na&#x10D;inu obrnite napravo.","ba-imagecapture.orientation-landscape-required":"Za snemanje v le&#x17E;e&#x10D;em na&#x10D;inu obrnite napravo.","ba-audiorecorder.recorder-error":"Pri&#x161;lo je do napake. Prosimo, poskusite kasneje. Klikni za ponovni poskus.","ba-audiorecorder.attach-error":"Ne moremo dostopati do medijskega vmesnika. Namestite Flash ali dostopajte do strani preko SSL-ja.","ba-audiorecorder.software-required":"&#x10C;e &#x17E;elite nadaljevati, klikni spodaj, da namestite / aktivirate naslednje zahteve.","ba-audiorecorder.software-waiting":"&#x10C;akamo, da se zahteve namestijo / aktivirajo. Po zaklju&#x10D;ku boste morda morali osve&#x17E;iti stran.","ba-audiorecorder.access-forbidden":"Dostop do medija je bil prepovedan. Klikni za ponovni poskus.","ba-audiorecorder.uploading":"Nalaganje","ba-audiorecorder.uploading-failed":"Nalaganje ni uspelo - klikni tukaj za ponovni poskus.","ba-audiorecorder.upload-error-duration":"Dol&#x17E;ina nalo&#x17E;enega videoposnetka ne ustreza zahtevam - klikni tukaj za ponovni poskus.","ba-audiorecorder.verifying":"Preverjanje","ba-audiorecorder.verifying-failed":"Preverjanje ni uspelo - klikni tukaj za ponovni poskus.","ba-audiorecorder.rerecord-confirm":"Ali res &#x17E;elite obnoviti zvo&#x10D;ni posnetek?","ba-audiorecorder.cancel-confirm":"Ali res &#x17E;elite preklicati nalaganje va&#x161;ega zvo&#x10D;nega posnetka?","ba-audiorecorder.audio_file_too_large":"Va&#x161;a zvo&#x10D;na datoteka je prevelika (%s) - klikni tukaj, da poskusite ponovno z manj&#x161;o.","ba-audiorecorder.unsupported_audio_type":"Prosimo nalo&#x17E;ite: %s - klikni tukaj za ponovni poskus.","ba-common-settingsmenu.tooltip":"Klikni za predvajanje.","ba-common-settingsmenu.setting-menu":"Vse nastavitve","ba-common-settingsmenu.source-quality":"Kakovost vira","ba-common-settingsmenu.player-speed":"Hitrost predvajalnika","ba-common-settingsmenu.set-menu-option":"Mo&#x17E;nosti nastavitve","ba-common-settingsmenu.submit-video":"Potrdi video","ba-common-settingsmenu.picture-in-picture":"Slika v sliki","ba-common-settingsmenu.exit-fullscreen-video":"Izhod iz celozaslonskega na&#x10D;ina","ba-common-settingsmenu.fullscreen-video":"Celozaslonski na&#x10D;in","ba-videorecorder-chooser.multi-stream":"Multi Stream","ba-videorecorder-controlbar.pause-recorder":"Zaustavi snemalnik","ba-videorecorder-controlbar.resume-recorder":"Ponovno nadaljuj","ba-videorecorder.missing-track":"Zahtevan zvo&#x10D;ni ali video posnetek manjka","ba-videorecorder.device-already-in-use":"Vsaj ena od va&#x161;ih vhodnih naprav je &#x17E;e v uporabi","ba-videorecorder.browser-permission-denied":"Dovoljenje zavrnjeno s strani brskalnika, prosimo pridobite odobritev za dostop in ponovno nalo&#x17E;ite stran.","ba-audioplayer.all-settings":"Vse nastavitve","ba-videoplayer-controlbar.remaining-time":"Preostali &#x10D;as","ba-videoplayer-controlbar.select-frame":"Izberite","ba-videoplayer-controlbar.trim-video":"Obre&#x17E;ite","ba-videoplayer-playbutton.trim":"Obre&#x17E;ite","ba-videoplayer-playbutton.skip":"Presko&#x10D;i","ba-videorecorder-imagegallery.upload-covershot":"Nalo&#x17E;i ovitek","ba-videorecorder.pick-covershot-frame":"Izberite okvir, ki ga &#x17E;elite uporabiti kot posnetek.","ba-videorecorder.screen-recorder-is-not-supported":"Ta naprava ne podpira snemalnika zaslona","ba-videorecorder.trim-prompt":"Ali &#x17E;elite obrezati video?","ba-videorecorder.trim-video":"Premaknite za&#x10D;etni in kon&#x10D;ni ozna&#x10D;evalnik, da obre&#x17E;ete video","ba-videorecorder.wait-for-trim":"&#x10C;akanje na ukaz za obrezovanje ...","ba-videorecorder-controlbar.no-video-source":"Manjka dodaten video vhodni vir","ba-videorecorder-controlbar.stream-already-selected":"Dodatni tok je &#x17E;e izbran","ba-videorecorder.uploading-src-error":"Videoposnetka trenutno ni mogo&#x10D;e predvajati, nalaganje &#x161;e poteka","ba-audiorecorder-controlbar.pause-recorder":"Zaustavi snemalnik","ba-audiorecorder-controlbar.resume-recorder":"Snemalnik &#x17E;ivljenjepisov"},"language:sr":{"ba-videoplayer-playbutton.tooltip":"&#x426;&#x43B;&#x438;&#x446;&#x43A; &#x442;&#x43E; &#x43F;&#x43B;&#x430;&#x438; &#x432;&#x438;&#x434;&#x435;&#x43E;.","ba-videoplayer-playbutton.rerecord":"&#x43F;&#x440;&#x435;&#x43F;&#x440;&#x430;&#x432;&#x438;&#x442;&#x438;","ba-videoplayer-playbutton.submit-video":"&#x43F;&#x43E;&#x442;&#x432;&#x440;&#x434;&#x438;&#x442;&#x438; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videoplayer-loader.tooltip":"&#x41B;&#x43E;&#x430;&#x434;&#x438;&#x43D;&#x433; &#x432;&#x438;&#x434;&#x435;&#x43E; ...","ba-videoplayer-controlbar.change-resolution":"&#x41F;&#x440;&#x43E;&#x43C;&#x435;&#x43D;&#x430; &#x440;&#x435;&#x437;&#x43E;&#x43B;&#x443;&#x446;&#x438;&#x458;&#x435;","ba-videoplayer-controlbar.video-progress":"&#x432;&#x438;&#x434;&#x435;&#x43E; &#x43D;&#x430;&#x43F;&#x440;&#x435;&#x434;&#x430;&#x43A;","ba-videoplayer-controlbar.rerecord-video":"&#x420;&#x435;&#x434;&#x43E; &#x432;&#x438;&#x434;&#x435;&#x43E;?","ba-videoplayer-controlbar.submit-video":"&#x43F;&#x43E;&#x442;&#x432;&#x440;&#x434;&#x438;&#x442;&#x438; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videoplayer-controlbar.play-video":"&#x43F;&#x43B;&#x430;&#x438; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videoplayer-controlbar.pause-video":"&#x43F;&#x430;&#x443;&#x437;&#x430; video","ba-videoplayer-controlbar.elapsed-time":"&#x415;&#x43B;&#x430;&#x441;&#x43F;&#x435;&#x434; &#x432;&#x440;&#x435;&#x43C;&#x435;","ba-videoplayer-controlbar.total-time":"&#x423;&#x43A;&#x443;&#x43F;&#x43D;&#x430; &#x434;&#x443;&#x436;&#x438;&#x43D;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videoplayer-controlbar.fullscreen-video":"&#x415;&#x43D;&#x442;&#x435;&#x440; &#x444;&#x443;&#x43B;&#x43B;&#x441;&#x446;&#x440;&#x435;&#x435;&#x43D;","ba-videoplayer-controlbar.volume-button":"&#x41F;&#x43E;&#x434;&#x435;&#x448;&#x430;&#x432;&#x430;&#x45A;&#x435; &#x458;&#x430;&#x447;&#x438;&#x43D;&#x435; &#x437;&#x432;&#x443;&#x43A;&#x430;","ba-videoplayer-controlbar.volume-mute":"&#x43C;&#x443;&#x442;&#x435; &#x441;&#x43E;&#x443;&#x43D;&#x434;","ba-videoplayer-controlbar.volume-unmute":"&#x423;&#x43A;&#x459;&#x443;&#x447;&#x438; &#x437;&#x432;&#x443;&#x43A; &#x437;&#x432;&#x443;&#x43A;","ba-videoplayer.video-error":"&#x414;&#x43E;&#x448;&#x43B;&#x43E; &#x458;&#x435; &#x434;&#x43E; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x435;. &#x41C;&#x43E;&#x43B;&#x438;&#x43C;&#x43E;, &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x458;&#x442;&#x435; &#x43A;&#x430;&#x441;&#x43D;&#x438;&#x458;&#x435;. &#x426;&#x43B;&#x438;&#x446;&#x43A; &#x442;&#x43E; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x438;.","ba-videorecorder-chooser.record-video":"&#x421;&#x43D;&#x438;&#x43C;&#x438;&#x442;&#x435; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videorecorder-chooser.upload-video":"&#x414;&#x43E;&#x434;&#x430;&#x458; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videorecorder-controlbar.settings":"&#x41F;&#x43E;&#x434;&#x435;&#x448;&#x430;&#x432;&#x430;&#x45A;&#x430;","ba-videorecorder-controlbar.camerahealthy":"&#x41E;&#x441;&#x432;&#x435;&#x442;&#x459;&#x435;&#x45A;&#x435; &#x458;&#x435; &#x434;&#x43E;&#x431;&#x440;&#x43E;","ba-videorecorder-controlbar.cameraunhealthy":"&#x41E;&#x441;&#x432;&#x435;&#x442;&#x459;&#x435;&#x45A;&#x435; &#x43D;&#x438;&#x458;&#x435; &#x43E;&#x43F;&#x442;&#x438;&#x43C;&#x430;&#x43B;&#x43D;&#x430;","ba-videorecorder-controlbar.microphonehealthy":"&#x417;&#x432;&#x443;&#x43A; &#x458;&#x435; &#x434;&#x43E;&#x431;&#x430;&#x440;","ba-videorecorder-controlbar.microphoneunhealthy":"&#x41D;&#x435; &#x43C;&#x43E;&#x433;&#x443; &#x443;&#x437;&#x435;&#x442;&#x438; &#x431;&#x438;&#x43B;&#x43E; &#x43A;&#x43E;&#x458;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-videorecorder-controlbar.record":"&#x437;&#x430;&#x43F;&#x438;&#x441;","ba-videorecorder-controlbar.record-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x441;&#x43D;&#x438;&#x43C;&#x430;&#x45A;&#x435;.","ba-videorecorder-controlbar.rerecord":"&#x43F;&#x440;&#x435;&#x43F;&#x440;&#x430;&#x432;&#x438;&#x442;&#x438;","ba-videorecorder-controlbar.rerecord-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x43F;&#x43E;&#x43D;&#x430;&#x432;&#x459;&#x430;&#x45A;&#x435;.","ba-videorecorder-controlbar.upload-covershot":"&#x43E;&#x442;&#x43F;&#x440;&#x435;&#x43C;&#x430;&#x45A;&#x435;","ba-videorecorder-controlbar.upload-covershot-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x440;&#x438;&#x43B;&#x430;&#x433;&#x43E;&#x452;&#x435;&#x43D;&#x443; &#x43D;&#x430;&#x441;&#x43B;&#x43E;&#x432;&#x43D;&#x443; &#x43C;&#x435;&#x442;&#x430;&#x43A;","ba-videorecorder-controlbar.stop":"&#x417;&#x430;&#x443;&#x441;&#x442;&#x430;&#x432;&#x438;&#x442;&#x438;","ba-videorecorder-controlbar.stop-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x441;&#x435; &#x437;&#x430;&#x443;&#x441;&#x442;&#x430;&#x432;&#x438;.","ba-videorecorder-controlbar.skip":"&#x43F;&#x440;&#x435;&#x441;&#x43A;&#x43E;&#x447;&#x438;&#x442;&#x438;","ba-videorecorder-controlbar.skip-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x43F;&#x440;&#x435;&#x441;&#x43A;&#x43E;&#x447;&#x438;&#x442;&#x435;.","ba-videorecorder.recorder-error":"&#x414;&#x43E;&#x448;&#x43B;&#x43E; &#x458;&#x435; &#x434;&#x43E; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x435;. &#x41C;&#x43E;&#x43B;&#x438;&#x43C;&#x43E;, &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x458;&#x442;&#x435; &#x43A;&#x430;&#x441;&#x43D;&#x438;&#x458;&#x435;. &#x426;&#x43B;&#x438;&#x446;&#x43A; &#x442;&#x43E; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x438;.","ba-videorecorder.attach-error":"&#x41C;&#x438; &#x43D;&#x435; &#x43C;&#x43E;&#x436;&#x435; &#x434;&#x430; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x443;&#x43F;&#x438; &#x438;&#x43D;&#x442;&#x435;&#x440;&#x444;&#x435;&#x458;&#x441; &#x43A;&#x430;&#x43C;&#x435;&#x440;&#x435;. &#x423; &#x437;&#x430;&#x432;&#x438;&#x441;&#x43D;&#x43E;&#x441;&#x442;&#x438; &#x43E;&#x434; &#x443;&#x440;&#x435;&#x452;&#x430;&#x458;&#x430; &#x438; &#x43F;&#x440;&#x435;&#x442;&#x440;&#x430;&#x436;&#x438;&#x432;&#x430;&#x447;&#x430;, &#x43C;&#x43E;&#x436;&#x434;&#x430; &#x45B;&#x435;&#x442;&#x435; &#x43C;&#x43E;&#x440;&#x430;&#x442;&#x438; &#x434;&#x430; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x442;&#x435; &#x424;&#x43B;&#x430;&#x441;&#x445; &#x438;&#x43B;&#x438; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x443;&#x43F;&#x438;&#x43B;&#x438; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x438; &#x43F;&#x440;&#x435;&#x43A;&#x43E; &#x421;&#x421;&#x41B;.","ba-videorecorder.access-forbidden":"&#x41F;&#x440;&#x438;&#x441;&#x442;&#x443;&#x43F; &#x43A;&#x430;&#x43C;&#x435;&#x440;&#x43E;&#x43C; &#x458;&#x435; &#x437;&#x430;&#x431;&#x440;&#x430;&#x45A;&#x435;&#x43D;&#x43E;. &#x426;&#x43B;&#x438;&#x446;&#x43A; &#x442;&#x43E; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x438;.","ba-videorecorder.pick-covershot":"&#x418;&#x437;&#x430;&#x431;&#x435;&#x440;&#x438;&#x442;&#x435; &#x446;&#x43E;&#x432;&#x435;&#x440;&#x441;&#x445;&#x43E;&#x442;.","ba-videorecorder.uploading":"&#x443;&#x43F;&#x43B;&#x43E;&#x430;&#x434;&#x438;&#x43D;&#x433;","ba-videorecorder.uploading-failed":"&#x423;&#x43F;&#x43B;&#x43E;&#x430;&#x434;&#x438;&#x43D;&#x433; &#x444;&#x430;&#x438;&#x43B;&#x435;&#x434; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;.","ba-videorecorder.verifying":"&#x432;&#x435;&#x440;&#x438;&#x444;&#x438;&#x43A;&#x430;&#x446;&#x438;&#x458;&#x443;","ba-videorecorder.verifying-failed":"&#x41F;&#x440;&#x43E;&#x432;&#x435;&#x440;&#x430; &#x43D;&#x438;&#x458;&#x435; &#x443;&#x441;&#x43F;&#x435;&#x43B;&#x430; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;.","ba-videorecorder.rerecord-confirm":"&#x414;&#x430; &#x43B;&#x438; &#x437;&#x430;&#x438;&#x441;&#x442;&#x430; &#x436;&#x435;&#x43B;&#x438;&#x442;&#x435; &#x434;&#x430; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x435; &#x441;&#x432;&#x43E;&#x458; &#x432;&#x438;&#x434;&#x435;&#x43E;?","ba-videorecorder.video_file_too_large":"&#x412;&#x430;&#x448; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x434;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x430; &#x458;&#x435; &#x43F;&#x440;&#x435;&#x432;&#x435;&#x43B;&#x438;&#x43A;&#x430; (%s) - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E; &#x441;&#x430; &#x43C;&#x430;&#x45A;&#x43E;&#x43C; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x444;&#x430;&#x458;&#x43B;.","ba-videorecorder.unsupported_video_type":"&#x41C;&#x43E;&#x43B;&#x438;&#x43C;&#x43E; &#x412;&#x430;&#x441; &#x434;&#x430; &#x443;&#x43F;&#x43B;&#x43E;&#x430;&#x434;: %&#x441; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;.","ba-videoplayer-controlbar.exit-fullscreen-video":"&#x418;&#x437;&#x43B;&#x430;&#x437; &#x438;&#x437; &#x446;&#x435;&#x43B;&#x43E;&#x433; &#x435;&#x43A;&#x440;&#x430;&#x43D;&#x430;","ba-videoplayer-share.share":"&#x41F;&#x43E;&#x434;&#x435;&#x43B;&#x438; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videorecorder-chooser.record-screen":"&#x421;&#x43D;&#x438;&#x43C;&#x430;&#x43A; &#x435;&#x43A;&#x440;&#x430;&#x43D;&#x430;","ba-videoplayer-controlbar.pause-video-disabled":"&#x41F;&#x430;&#x443;&#x437;&#x430; &#x43D;&#x438;&#x458;&#x435; &#x43F;&#x43E;&#x434;&#x440;&#x436;&#x430;&#x43D;&#x430;","ba-videorecorder-chooser.record-audio":"&#x421;&#x43D;&#x438;&#x43C;&#x438;&#x442;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-videorecorder-controlbar.stop-available-after":"&#x41C;&#x438;&#x43D;&#x438;&#x43C;&#x430;&#x43B;&#x43D;&#x43E; &#x432;&#x440;&#x435;&#x43C;&#x435; &#x441;&#x43D;&#x438;&#x43C;&#x430;&#x45A;&#x430; &#x458;&#x435; %d &#x441;&#x435;&#x43A;&#x443;&#x43D;&#x434;&#x438;","ba-videorecorder-controlbar.cancel":"&#x41F;&#x43E;&#x43D;&#x438;&#x448;&#x442;&#x438;&#x442;&#x438;, &#x43E;&#x442;&#x43A;&#x430;&#x437;&#x430;&#x442;&#x438;","ba-videorecorder-controlbar.cancel-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43E;&#x442;&#x43A;&#x430;&#x437;&#x430;&#x43B;&#x438;.","ba-videorecorder.cancel-confirm":"&#x414;&#x430; &#x43B;&#x438; &#x437;&#x430;&#x438;&#x441;&#x442;&#x430; &#x436;&#x435;&#x43B;&#x438;&#x442;&#x435; &#x434;&#x430; &#x43E;&#x442;&#x43A;&#x430;&#x436;&#x435;&#x442;&#x435; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x43E;&#x442;&#x43F;&#x440;&#x435;&#x43C;&#x430;&#x45A;&#x435;?","ba-videoplayer-adslot.elapsed-time":"&#x415;&#x43B;&#x430;&#x441;&#x43F;&#x435;&#x434; &#x442;&#x438;&#x43C;&#x435;","ba-videoplayer-adslot.volume-button":"&#x41F;&#x43E;&#x434;&#x435;&#x441;&#x438;&#x442;&#x435; &#x458;&#x430;&#x447;&#x438;&#x43D;&#x443; &#x437;&#x432;&#x443;&#x43A;&#x430;","ba-videoplayer-adslot.volume-mute":"&#x418;&#x441;&#x43A;&#x459;&#x443;&#x447;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-videoplayer-adslot.volume-unmute":"&#x423;&#x43A;&#x459;&#x443;&#x447;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-videoplayer-adslot.ad-will-end-after":"&#x41E;&#x433;&#x43B;&#x430;&#x441; &#x45B;&#x435; &#x441;&#x435; &#x437;&#x430;&#x432;&#x440;&#x448;&#x438;&#x442;&#x438; &#x43D;&#x430;&#x43A;&#x43E;&#x43D; %&#x441;","ba-videoplayer-adslot.can-skip-after":"&#x41F;&#x440;&#x435;&#x441;&#x43A;&#x43E;&#x447;&#x438; &#x43F;&#x43E;&#x441;&#x43B;&#x435; %d","ba-videoplayer-adslot.skip-ad":"&#x41F;&#x440;&#x435;&#x441;&#x43A;&#x43E;&#x447;&#x438;&#x442;&#x435; &#x43E;&#x433;&#x43B;&#x430;&#x441;","ba-videorecorder.software-required":"&#x41C;&#x43E;&#x43B;&#x438;&#x43C;&#x43E; &#x434;&#x430; &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x438;&#x441;&#x43F;&#x43E;&#x434; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x43B;&#x438; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x430;&#x43B;&#x438; &#x441;&#x43B;&#x435;&#x434;&#x435;&#x45B;&#x435; &#x437;&#x430;&#x445;&#x442;&#x435;&#x432;&#x435; &#x43A;&#x430;&#x43A;&#x43E; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43D;&#x430;&#x441;&#x442;&#x430;&#x432;&#x438;&#x43B;&#x438;.","ba-videorecorder.software-waiting":"&#x427;&#x435;&#x43A;&#x430; &#x441;&#x435; &#x437;&#x430;&#x445;&#x442;&#x435;&#x432; &#x43A;&#x43E;&#x458;&#x438; &#x442;&#x440;&#x435;&#x431;&#x430; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x442;&#x438; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x430;&#x442;&#x438;. &#x41C;&#x43E;&#x436;&#x434;&#x430; &#x45B;&#x435;&#x442;&#x435; &#x43C;&#x43E;&#x440;&#x430;&#x442;&#x438; &#x43E;&#x441;&#x432;&#x435;&#x436;&#x438;&#x442;&#x438; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x443; &#x43D;&#x430;&#x43A;&#x43E;&#x43D; &#x437;&#x430;&#x432;&#x440;&#x448;&#x435;&#x442;&#x43A;&#x430;.","ba-videoplayer-controlbar.close-tracks":"&#x417;&#x430;&#x442;&#x432;&#x43E;&#x440;&#x438; &#x426;&#x426;","ba-videoplayer-controlbar.show-tracks":"&#x41F;&#x440;&#x438;&#x43A;&#x430;&#x436;&#x438; &#x426;&#x426;","ba-videoplayer-tracks.upload-text-tracks":"&#x414;&#x43E;&#x434;&#x430;&#x458; &#x442;&#x435;&#x43A;&#x441;&#x442;&#x443;&#x430;&#x43B;&#x43D;&#x435; &#x434;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x435;","ba-videoplayer-tracks.select-text-track-language":"&#x408;&#x435;&#x437;&#x438;&#x43A; &#x442;&#x438;&#x442;&#x43B;&#x430;","ba-videoplayer-tracks.info-select-locale-first":"&#x41F;&#x440;&#x432;&#x43E; &#x438;&#x437;&#x430;&#x431;&#x435;&#x440;&#x438;&#x442;&#x435; &#x43B;&#x43E;&#x43A;&#x430;&#x43B;","ba-videoplayer-tracks.select-text-track-file":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x438;&#x437;&#x430;&#x431;&#x440;&#x430;&#x43B;&#x438; &#x434;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x443;","ba-videoplayer-tracks.back":"&#x43D;&#x430;&#x437;&#x430;&#x434;","ba-videorecorder.framerate-warning":"&#x421;&#x442;&#x43E;&#x43F;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x43A;&#x430;&#x434;&#x440;&#x430; &#x458;&#x435; &#x432;&#x440;&#x43B;&#x43E; &#x43D;&#x438;&#x441;&#x43A;&#x430;. &#x41F;&#x440;&#x435;&#x43F;&#x43E;&#x440;&#x443;&#x447;&#x443;&#x458;&#x435;&#x43C;&#x43E; &#x434;&#x430; &#x437;&#x430;&#x442;&#x432;&#x430;&#x440;&#x430;&#x442;&#x435; &#x441;&#x432;&#x435; &#x434;&#x440;&#x443;&#x433;&#x435; &#x43F;&#x440;&#x43E;&#x433;&#x440;&#x430;&#x43C;&#x435; &#x438; &#x43A;&#x430;&#x440;&#x442;&#x438;&#x446;&#x435; &#x43F;&#x440;&#x435;&#x433;&#x43B;&#x435;&#x434;&#x430;&#x447;&#x430; &#x438;&#x43B;&#x438; &#x434;&#x430; &#x43A;&#x43E;&#x440;&#x438;&#x441;&#x442;&#x438;&#x442;&#x435; &#x431;&#x440;&#x436;&#x438; &#x440;&#x430;&#x447;&#x443;&#x43D;&#x430;&#x440;.","ba-videorecorder.upload-error-duration":"&#x414;&#x443;&#x436;&#x438;&#x43D;&#x430; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x441;&#x43D;&#x438;&#x43C;&#x43A;&#x430; &#x43D;&#x435; &#x438;&#x441;&#x43F;&#x443;&#x45A;&#x430;&#x432;&#x430; &#x443;&#x441;&#x43B;&#x43E;&#x432;&#x435; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438;.","ba-videorecorder.resolution-constraint-error":"&#x414;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x430; &#x43A;&#x43E;&#x458;&#x443; &#x441;&#x442;&#x435; &#x43E;&#x434;&#x430;&#x431;&#x440;&#x430;&#x43B;&#x438; &#x43D;&#x435; &#x43E;&#x434;&#x433;&#x43E;&#x432;&#x430;&#x440;&#x430; &#x442;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x43E;&#x458; &#x440;&#x435;&#x437;&#x43E;&#x43B;&#x443;&#x446;&#x438;&#x458;&#x438; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438;.","ba-videorecorder.orientation-portrait-required":"&#x420;&#x43E;&#x442;&#x438;&#x440;&#x430;&#x458;&#x442;&#x435; &#x443;&#x440;&#x435;&#x452;&#x430;&#x458; &#x437;&#x430; &#x441;&#x43D;&#x438;&#x43C;&#x430;&#x45A;&#x435; &#x443; &#x43F;&#x43E;&#x440;&#x442;&#x440;&#x435;&#x442;&#x43D;&#x43E;&#x43C; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x443;.","ba-videorecorder.orientation-landscape-required":"&#x420;&#x43E;&#x442;&#x438;&#x440;&#x430;&#x458;&#x442;&#x435; &#x443;&#x440;&#x435;&#x452;&#x430;&#x458; &#x43A;&#x430;&#x43A;&#x43E; &#x431;&#x438;&#x441;&#x442;&#x435; &#x441;&#x43D;&#x438;&#x43C;&#x438;&#x43B;&#x438; &#x443; &#x43F;&#x435;&#x458;&#x437;&#x430;&#x436;&#x43D;&#x43E;&#x43C; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x443;.","ba-imageviewer-controlbar.rerecord-image":"&#x41F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;?","ba-imageviewer-controlbar.submit-image":"&#x41F;&#x43E;&#x442;&#x432;&#x440;&#x434;&#x438;","ba-imageviewer-controlbar.fullscreen-image":"&#x423;&#x43D;&#x435;&#x441;&#x438;&#x442;&#x435; &#x446;&#x435;&#x43E; &#x435;&#x43A;&#x440;&#x430;&#x43D;","ba-imageviewer-controlbar.exit-fullscreen-image":"&#x418;&#x437;&#x430;&#x45B;&#x438; &#x438;&#x437; &#x446;&#x435;&#x43B;&#x43E;&#x433; &#x435;&#x43A;&#x440;&#x430;&#x43D;&#x430;","ba-imageviewer.image-error":"&#x414;&#x43E;&#x448;&#x43B;&#x43E; &#x458;&#x435; &#x434;&#x43E; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x435;. &#x41C;&#x43E;&#x43B;&#x438;&#x43C;&#x43E;, &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x458;&#x442;&#x435; &#x43A;&#x430;&#x441;&#x43D;&#x438;&#x458;&#x435;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438;.","ba-imagecapture-chooser.image-capture":"&#x426;&#x430;&#x43F;&#x442;&#x443;&#x440;&#x435; &#x418;&#x43C;&#x430;&#x433;&#x435;","ba-imagecapture-chooser.upload-image":"&#x423;&#x447;&#x438;&#x442;&#x430;&#x458; &#x441;&#x43B;&#x438;&#x43A;&#x443;","ba-imagecapture-controlbar.settings":"&#x41F;&#x43E;&#x434;&#x435;&#x448;&#x430;&#x432;&#x430;&#x45A;&#x430;","ba-imagecapture-controlbar.camerahealthy":"&#x41E;&#x441;&#x432;&#x435;&#x442;&#x459;&#x435;&#x45A;&#x435; &#x458;&#x435; &#x434;&#x43E;&#x431;&#x440;&#x43E;","ba-imagecapture-controlbar.cameraunhealthy":"&#x41E;&#x441;&#x432;&#x435;&#x442;&#x459;&#x435;&#x45A;&#x435; &#x43D;&#x438;&#x458;&#x435; &#x43E;&#x43F;&#x442;&#x438;&#x43C;&#x430;&#x43B;&#x43D;&#x43E;","ba-imagecapture-controlbar.record":"&#x421;&#x43D;&#x438;&#x43C;&#x430;&#x458;&#x442;&#x435;","ba-imagecapture-controlbar.record-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x441;&#x43D;&#x438;&#x43C;&#x438;&#x43B;&#x438;.","ba-imagecapture-controlbar.rerecord":"&#x41F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;","ba-imagecapture-controlbar.rerecord-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x438;&#x43B;&#x438;.","ba-imagecapture-controlbar.cancel":"&#x41F;&#x43E;&#x43D;&#x438;&#x448;&#x442;&#x438;&#x442;&#x438;, &#x43E;&#x442;&#x43A;&#x430;&#x437;&#x430;&#x442;&#x438;","ba-imagecapture-controlbar.cancel-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43E;&#x442;&#x43A;&#x430;&#x437;&#x430;&#x43B;&#x438;.","ba-audioplayer-controlbar.audio-progress":"&#x41D;&#x430;&#x43F;&#x440;&#x435;&#x434;&#x430;&#x43A;","ba-audioplayer-controlbar.rerecord-audio":"&#x41F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;?","ba-audioplayer-controlbar.submit-audio":"&#x41F;&#x43E;&#x442;&#x432;&#x440;&#x434;&#x438;","ba-audioplayer-controlbar.play-audio":"&#x418;&#x433;&#x440;&#x430;","ba-audioplayer-controlbar.pause-audio":"&#x41F;&#x430;&#x443;&#x437;&#x438;&#x440;&#x430;&#x458;","ba-audioplayer-controlbar.pause-audio-disabled":"&#x41F;&#x430;&#x443;&#x437;&#x430; &#x43D;&#x438;&#x458;&#x435; &#x43F;&#x43E;&#x434;&#x440;&#x436;&#x430;&#x43D;&#x430;","ba-audioplayer-controlbar.elapsed-time":"&#x415;&#x43B;&#x430;&#x441;&#x43F;&#x435;&#x434; &#x442;&#x438;&#x43C;&#x435;","ba-audioplayer-controlbar.total-time":"&#x423;&#x43A;&#x443;&#x43F;&#x43D;&#x430; &#x434;&#x443;&#x436;&#x438;&#x43D;&#x430;","ba-audioplayer-controlbar.volume-button":"&#x41F;&#x43E;&#x434;&#x435;&#x441;&#x438;&#x442;&#x435; &#x458;&#x430;&#x447;&#x438;&#x43D;&#x443; &#x437;&#x432;&#x443;&#x43A;&#x430;","ba-audioplayer-controlbar.volume-mute":"&#x418;&#x441;&#x43A;&#x459;&#x443;&#x447;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-audioplayer-controlbar.volume-unmute":"&#x423;&#x43A;&#x459;&#x443;&#x447;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-audioplayer-loader.tooltip":"&#x423;&#x447;&#x438;&#x442;&#x430;&#x432;&#x430;&#x45A;&#x435; ...","ba-audioplayer.audio-error":"&#x414;&#x43E;&#x448;&#x43B;&#x43E; &#x458;&#x435; &#x434;&#x43E; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x435;. &#x41C;&#x43E;&#x43B;&#x438;&#x43C;&#x43E;, &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x458;&#x442;&#x435; &#x43A;&#x430;&#x441;&#x43D;&#x438;&#x458;&#x435;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438;.","ba-audiorecorder-chooser.record-audio":"&#x421;&#x43D;&#x438;&#x43C;&#x438;&#x442;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-audiorecorder-chooser.upload-audio":"&#x423;&#x43F;&#x43B;&#x43E;&#x430;&#x434; &#x410;&#x443;&#x434;&#x438;&#x43E;","ba-audiorecorder-controlbar.settings":"&#x41F;&#x43E;&#x434;&#x435;&#x448;&#x430;&#x432;&#x430;&#x45A;&#x430;","ba-audiorecorder-controlbar.microphonehealthy":"&#x417;&#x432;&#x443;&#x43A; &#x458;&#x435; &#x434;&#x43E;&#x431;&#x430;&#x440;","ba-audiorecorder-controlbar.microphoneunhealthy":"&#x41D;&#x435; &#x43C;&#x43E;&#x433;&#x443; &#x43F;&#x43E;&#x434;&#x438;&#x45B;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-audiorecorder-controlbar.record":"&#x417;&#x430;&#x43F;&#x438;&#x441;","ba-audiorecorder-controlbar.record-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x437;&#x430; &#x441;&#x43D;&#x438;&#x43C;&#x430;&#x45A;&#x435;.","ba-audiorecorder-controlbar.rerecord":"&#x41F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;","ba-audiorecorder-controlbar.rerecord-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x438;&#x43B;&#x438;.","ba-audiorecorder-controlbar.stop":"&#x417;&#x430;&#x443;&#x441;&#x442;&#x430;&#x432;&#x438;&#x442;&#x438;","ba-audiorecorder-controlbar.stop-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x437;&#x430;&#x443;&#x441;&#x442;&#x430;&#x432;&#x438;&#x43B;&#x438;.","ba-audiorecorder-controlbar.stop-available-after":"&#x41C;&#x438;&#x43D;&#x438;&#x43C;&#x430;&#x43B;&#x43D;&#x43E; &#x432;&#x440;&#x435;&#x43C;&#x435; &#x441;&#x43D;&#x438;&#x43C;&#x430;&#x45A;&#x430; &#x458;&#x435; %d &#x441;&#x435;&#x43A;&#x443;&#x43D;&#x434;&#x438;","ba-audiorecorder-controlbar.cancel":"&#x41F;&#x43E;&#x43D;&#x438;&#x448;&#x442;&#x438;&#x442;&#x438;, &#x43E;&#x442;&#x43A;&#x430;&#x437;&#x430;&#x442;&#x438;","ba-audiorecorder-controlbar.cancel-tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43E;&#x442;&#x43A;&#x430;&#x437;&#x430;&#x43B;&#x438;.","ba-videoplayer-controlbar.player-speed":"&#x411;&#x440;&#x437;&#x438;&#x43D;&#x430; &#x438;&#x433;&#x440;&#x430;&#x447;&#x430;","ba-videoplayer-controlbar.settings":"&#x41F;&#x43E;&#x434;&#x435;&#x448;&#x430;&#x432;&#x430;&#x45A;&#x430;","ba-videoplayer-controlbar.airplay":"&#x410;&#x438;&#x440;&#x43F;&#x43B;&#x430;&#x438;","ba-videoplayer-controlbar.airplay-icon":"&#x410;&#x438;&#x440;&#x43F;&#x43B;&#x430;&#x438; &#x438;&#x446;&#x43E;&#x43D;.","ba-videoplayer.all-settings":"&#x421;&#x432;&#x430; &#x43F;&#x43E;&#x434;&#x435;&#x448;&#x430;&#x432;&#x430;&#x45A;&#x430;","ba-videoplayer.player-speed":"&#x411;&#x440;&#x437;&#x438;&#x43D;&#x430; &#x438;&#x433;&#x440;&#x430;&#x447;&#x430;","ba-videoplayer.full-screen":"&#x426;&#x435;&#x43E; &#x435;&#x43A;&#x440;&#x430;&#x43D;","ba-videorecorder-controlbar.add-stream":"&#x410;&#x434;&#x434; &#x421;&#x442;&#x440;&#x435;&#x430;&#x43C;","ba-videorecorder.switch-camera":"&#x421;&#x432;&#x438;&#x442;&#x446;&#x445; &#x446;&#x430;&#x43C;&#x435;&#x440;&#x430;","ba-videorecorder.prepare-covershot":"&#x41F;&#x440;&#x438;&#x43F;&#x440;&#x435;&#x43C;&#x430; &#x441;&#x43D;&#x438;&#x43C;&#x430;&#x43A;&#x430;","ba-videorecorder.prepare-thumbnails":"&#x41F;&#x440;&#x438;&#x43F;&#x440;&#x435;&#x43C;&#x430; &#x437;&#x430; &#x442;&#x440;&#x430;&#x436;&#x435;&#x45A;&#x435; &#x441;&#x43B;&#x438;&#x447;&#x438;&#x446;&#x430;","ba-videorecorder.adding-new-stream":"&#x414;&#x43E;&#x434;&#x430;&#x432;&#x430;&#x45A;&#x435; &#x43D;&#x43E;&#x432;&#x43E;&#x433; &#x442;&#x43E;&#x43A;&#x430;","ba-imagecapture.recorder-error":"&#x414;&#x43E;&#x448;&#x43B;&#x43E; &#x458;&#x435; &#x434;&#x43E; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x435;. &#x41C;&#x43E;&#x43B;&#x438;&#x43C;&#x43E;, &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x458;&#x442;&#x435; &#x43A;&#x430;&#x441;&#x43D;&#x438;&#x458;&#x435;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;.","ba-imagecapture.attach-error":"&#x41D;&#x438;&#x441;&#x43C;&#x43E; &#x43C;&#x43E;&#x433;&#x43B;&#x438; &#x434;&#x430; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x443;&#x43F;&#x438;&#x43C;&#x43E; &#x438;&#x43D;&#x442;&#x435;&#x440;&#x444;&#x435;&#x458;&#x441;&#x443; &#x43C;&#x435;&#x434;&#x438;&#x458;&#x430;. &#x423; &#x437;&#x430;&#x432;&#x438;&#x441;&#x43D;&#x43E;&#x441;&#x442;&#x438; &#x43E;&#x434; &#x443;&#x440;&#x435;&#x452;&#x430;&#x458;&#x430; &#x438; &#x43F;&#x440;&#x435;&#x442;&#x440;&#x430;&#x436;&#x438;&#x432;&#x430;&#x447;&#x430;, &#x43C;&#x43E;&#x436;&#x434;&#x430; &#x45B;&#x435;&#x442;&#x435; &#x43C;&#x43E;&#x440;&#x430;&#x442;&#x438; &#x434;&#x430; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x442;&#x435; &#x424;&#x43B;&#x430;&#x441;&#x445; &#x438;&#x43B;&#x438; &#x434;&#x430; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x443;&#x43F;&#x438;&#x442;&#x435; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x438; &#x43F;&#x440;&#x435;&#x43A;&#x43E; &#x421;&#x421;&#x41B;-&#x430;.","ba-imagecapture.software-required":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x438;&#x441;&#x43F;&#x43E;&#x434; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x43B;&#x438; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x430;&#x43B;&#x438; &#x441;&#x43B;&#x435;&#x434;&#x435;&#x45B;&#x435; &#x437;&#x430;&#x445;&#x442;&#x435;&#x432;&#x435; &#x43A;&#x430;&#x43A;&#x43E; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43D;&#x430;&#x441;&#x442;&#x430;&#x432;&#x438;&#x43B;&#x438;.","ba-imagecapture.software-waiting":"&#x427;&#x435;&#x43A;&#x430;&#x45A;&#x435; &#x434;&#x430; &#x441;&#x435; &#x437;&#x430;&#x445;&#x442;&#x458;&#x435;&#x432;&#x438; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x458;&#x443; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x430;&#x458;&#x443;. &#x41C;&#x43E;&#x436;&#x434;&#x430; &#x45B;&#x435;&#x442;&#x435; &#x43C;&#x43E;&#x440;&#x430;&#x442;&#x438; &#x434;&#x430; &#x43E;&#x441;&#x432;&#x435;&#x436;&#x438;&#x442;&#x435; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x443; &#x43D;&#x430;&#x43A;&#x43E;&#x43D; &#x437;&#x430;&#x432;&#x440;&#x448;&#x435;&#x442;&#x43A;&#x430;.","ba-imagecapture.access-forbidden":"&#x41F;&#x440;&#x438;&#x441;&#x442;&#x443;&#x43F; &#x43C;&#x435;&#x434;&#x438;&#x458;&#x438;&#x43C;&#x430; &#x431;&#x438;&#x43E; &#x458;&#x435; &#x437;&#x430;&#x431;&#x440;&#x430;&#x45A;&#x435;&#x43D;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;.","ba-imagecapture.uploading":"&#x423;&#x43F;&#x43B;&#x43E;&#x430;&#x434;&#x438;&#x43D;&#x433;","ba-imagecapture.uploading-failed":"&#x41E;&#x442;&#x43F;&#x440;&#x435;&#x43C;&#x430;&#x45A;&#x435; &#x43D;&#x438;&#x458;&#x435; &#x443;&#x441;&#x43F;&#x435;&#x43B;&#x43E; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;.","ba-imagecapture.upload-error-duration":"&#x414;&#x443;&#x436;&#x438;&#x43D;&#x430; &#x443;&#x447;&#x438;&#x442;&#x430;&#x43D;&#x435; &#x441;&#x43B;&#x438;&#x43A;&#x435; &#x43D;&#x435; &#x438;&#x441;&#x43F;&#x443;&#x45A;&#x430;&#x432;&#x430; &#x437;&#x430;&#x445;&#x442;&#x435;&#x432;&#x435; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;.","ba-imagecapture.resolution-constraint-error":"&#x414;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x430; &#x43A;&#x43E;&#x458;&#x443; &#x441;&#x442;&#x435; &#x438;&#x437;&#x430;&#x431;&#x440;&#x430;&#x43B;&#x438; &#x43D;&#x435; &#x43E;&#x434;&#x433;&#x43E;&#x432;&#x430;&#x440;&#x430; &#x437;&#x430;&#x445;&#x442;&#x435;&#x432;&#x430;&#x43D;&#x43E;&#x458; &#x440;&#x435;&#x437;&#x43E;&#x43B;&#x443;&#x446;&#x438;&#x458;&#x438; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;.","ba-imagecapture.verifying":"&#x412;&#x435;&#x440;&#x438;&#x444;&#x438;&#x43A;&#x43E;&#x432;&#x430;&#x45A;&#x435;","ba-imagecapture.verifying-failed":"&#x412;&#x435;&#x440;&#x438;&#x444;&#x438;&#x43A;&#x430;&#x446;&#x438;&#x458;&#x430; &#x43D;&#x438;&#x458;&#x435; &#x443;&#x441;&#x43F;&#x435;&#x43B;&#x430; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;.","ba-imagecapture.rerecord-confirm":"&#x414;&#x430; &#x43B;&#x438; &#x437;&#x430;&#x438;&#x441;&#x442;&#x430; &#x436;&#x435;&#x43B;&#x438;&#x442;&#x435; &#x434;&#x430; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E; &#x43F;&#x440;&#x435;&#x443;&#x437;&#x43C;&#x435;&#x442;&#x435; &#x441;&#x43B;&#x438;&#x43A;&#x443;?","ba-imagecapture.image_file_too_large":"&#x414;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x430; &#x441;&#x43B;&#x438;&#x43A;&#x435; &#x458;&#x435; &#x43F;&#x440;&#x435;&#x432;&#x435;&#x43B;&#x438;&#x43A;&#x430; (%&#x441;) - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E; &#x441;&#x430; &#x43C;&#x430;&#x45A;&#x43E;&#x43C; &#x441;&#x43B;&#x438;&#x43A;&#x43E;&#x43C;.","ba-imagecapture.unsupported_image_type":"&#x423;&#x447;&#x438;&#x442;&#x430;&#x458;&#x442;&#x435;: %&#x441; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;.","ba-imagecapture.orientation-portrait-required":"&#x420;&#x43E;&#x442;&#x438;&#x440;&#x430;&#x458;&#x442;&#x435; &#x443;&#x440;&#x435;&#x452;&#x430;&#x458; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x441;&#x43D;&#x438;&#x43C;&#x430;&#x43B;&#x438; &#x443; &#x43F;&#x43E;&#x440;&#x442;&#x440;&#x435;&#x442;&#x43D;&#x43E;&#x43C; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x443;.","ba-imagecapture.orientation-landscape-required":"&#x420;&#x43E;&#x442;&#x438;&#x440;&#x430;&#x458;&#x442;&#x435; &#x443;&#x440;&#x435;&#x452;&#x430;&#x458; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x441;&#x43D;&#x438;&#x43C;&#x430;&#x43B;&#x438; &#x443; &#x43F;&#x435;&#x458;&#x437;&#x430;&#x436;&#x43D;&#x43E;&#x43C; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x443;.","ba-audiorecorder.recorder-error":"&#x414;&#x43E;&#x448;&#x43B;&#x43E; &#x458;&#x435; &#x434;&#x43E; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x435;. &#x41C;&#x43E;&#x43B;&#x438;&#x43C;&#x43E;, &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x458;&#x442;&#x435; &#x43A;&#x430;&#x441;&#x43D;&#x438;&#x458;&#x435;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;.","ba-audiorecorder.attach-error":"&#x41D;&#x438;&#x441;&#x43C;&#x43E; &#x43C;&#x43E;&#x433;&#x43B;&#x438; &#x434;&#x430; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x443;&#x43F;&#x438;&#x43C;&#x43E; &#x438;&#x43D;&#x442;&#x435;&#x440;&#x444;&#x435;&#x458;&#x441;&#x443; &#x43C;&#x435;&#x434;&#x438;&#x458;&#x430;. &#x423; &#x437;&#x430;&#x432;&#x438;&#x441;&#x43D;&#x43E;&#x441;&#x442;&#x438; &#x43E;&#x434; &#x443;&#x440;&#x435;&#x452;&#x430;&#x458;&#x430; &#x438; &#x43F;&#x440;&#x435;&#x442;&#x440;&#x430;&#x436;&#x438;&#x432;&#x430;&#x447;&#x430;, &#x43C;&#x43E;&#x436;&#x434;&#x430; &#x45B;&#x435;&#x442;&#x435; &#x43C;&#x43E;&#x440;&#x430;&#x442;&#x438; &#x434;&#x430; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x442;&#x435; &#x424;&#x43B;&#x430;&#x441;&#x445; &#x438;&#x43B;&#x438; &#x434;&#x430; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x443;&#x43F;&#x438;&#x442;&#x435; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x438; &#x43F;&#x440;&#x435;&#x43A;&#x43E; &#x421;&#x421;&#x41B;-&#x430;.","ba-audiorecorder.software-required":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x438;&#x441;&#x43F;&#x43E;&#x434; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x43B;&#x438; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x430;&#x43B;&#x438; &#x441;&#x43B;&#x435;&#x434;&#x435;&#x45B;&#x435; &#x437;&#x430;&#x445;&#x442;&#x435;&#x432;&#x435; &#x43A;&#x430;&#x43A;&#x43E; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43D;&#x430;&#x441;&#x442;&#x430;&#x432;&#x438;&#x43B;&#x438;.","ba-audiorecorder.software-waiting":"&#x427;&#x435;&#x43A;&#x430;&#x45A;&#x435; &#x434;&#x430; &#x441;&#x435; &#x437;&#x430;&#x445;&#x442;&#x458;&#x435;&#x432;&#x438; &#x438;&#x43D;&#x441;&#x442;&#x430;&#x43B;&#x438;&#x440;&#x430;&#x458;&#x443; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x438;&#x440;&#x430;&#x458;&#x443;. &#x41C;&#x43E;&#x436;&#x434;&#x430; &#x45B;&#x435;&#x442;&#x435; &#x43C;&#x43E;&#x440;&#x430;&#x442;&#x438; &#x434;&#x430; &#x43E;&#x441;&#x432;&#x435;&#x436;&#x438;&#x442;&#x435; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x443; &#x43D;&#x430;&#x43A;&#x43E;&#x43D; &#x437;&#x430;&#x432;&#x440;&#x448;&#x435;&#x442;&#x43A;&#x430;.","ba-audiorecorder.access-forbidden":"&#x41F;&#x440;&#x438;&#x441;&#x442;&#x443;&#x43F; &#x43C;&#x435;&#x434;&#x438;&#x458;&#x438;&#x43C;&#x430; &#x431;&#x438;&#x43E; &#x458;&#x435; &#x437;&#x430;&#x431;&#x440;&#x430;&#x45A;&#x435;&#x43D;. &#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;.","ba-audiorecorder.uploading":"&#x423;&#x43F;&#x43B;&#x43E;&#x430;&#x434;&#x438;&#x43D;&#x433;","ba-audiorecorder.uploading-failed":"&#x41E;&#x442;&#x43F;&#x440;&#x435;&#x43C;&#x430;&#x45A;&#x435; &#x43D;&#x438;&#x458;&#x435; &#x443;&#x441;&#x43F;&#x435;&#x43B;&#x43E; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;.","ba-audiorecorder.upload-error-duration":"&#x414;&#x443;&#x436;&#x438;&#x43D;&#x430; &#x43F;&#x440;&#x435;&#x43D;&#x435;&#x441;&#x435;&#x43D;&#x43E;&#x433; &#x437;&#x432;&#x443;&#x43A;&#x430; &#x43D;&#x435; &#x438;&#x441;&#x43F;&#x443;&#x45A;&#x430;&#x432;&#x430; &#x437;&#x430;&#x445;&#x442;&#x435;&#x432;&#x435; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;.","ba-audiorecorder.verifying":"&#x412;&#x435;&#x440;&#x438;&#x444;&#x438;&#x43A;&#x43E;&#x432;&#x430;&#x45A;&#x435;","ba-audiorecorder.verifying-failed":"&#x412;&#x435;&#x440;&#x438;&#x444;&#x438;&#x43A;&#x430;&#x446;&#x438;&#x458;&#x430; &#x43D;&#x438;&#x458;&#x435; &#x443;&#x441;&#x43F;&#x435;&#x43B;&#x430; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;.","ba-audiorecorder.rerecord-confirm":"&#x414;&#x430; &#x43B;&#x438; &#x437;&#x430;&#x438;&#x441;&#x442;&#x430; &#x436;&#x435;&#x43B;&#x438;&#x442;&#x435; &#x434;&#x430; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x435; &#x437;&#x432;&#x443;&#x43A;?","ba-audiorecorder.cancel-confirm":"&#x414;&#x430; &#x43B;&#x438; &#x437;&#x430;&#x438;&#x441;&#x442;&#x430; &#x436;&#x435;&#x43B;&#x438;&#x442;&#x435; &#x434;&#x430; &#x43E;&#x442;&#x43A;&#x430;&#x436;&#x435;&#x442;&#x435; &#x443;&#x447;&#x438;&#x442;&#x430;&#x432;&#x430;&#x45A;&#x435; &#x437;&#x432;&#x443;&#x43A;&#x430;?","ba-audiorecorder.audio_file_too_large":"&#x412;&#x430;&#x448;&#x430; &#x430;&#x443;&#x434;&#x438;&#x43E; &#x434;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x430; &#x458;&#x435; &#x43F;&#x440;&#x435;&#x432;&#x435;&#x43B;&#x438;&#x43A;&#x430; (%&#x441;) - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E; &#x441;&#x430; &#x43C;&#x430;&#x45A;&#x438;&#x43C; &#x430;&#x443;&#x434;&#x438;&#x43E; &#x444;&#x430;&#x458;&#x43B;&#x43E;&#x43C;.","ba-audiorecorder.unsupported_audio_type":"&#x423;&#x447;&#x438;&#x442;&#x430;&#x458;&#x442;&#x435;: %&#x441; - &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x434;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;.","ba-common-settingsmenu.tooltip":"&#x41A;&#x43B;&#x438;&#x43A;&#x43D;&#x438;&#x442;&#x435; &#x437;&#x430; &#x440;&#x435;&#x43F;&#x440;&#x43E;&#x434;&#x443;&#x43A;&#x446;&#x438;&#x458;&#x443;.","ba-common-settingsmenu.setting-menu":"&#x421;&#x432;&#x430; &#x43F;&#x43E;&#x434;&#x435;&#x448;&#x430;&#x432;&#x430;&#x45A;&#x430;","ba-common-settingsmenu.source-quality":"&#x41A;&#x432;&#x430;&#x43B;&#x438;&#x442;&#x435;&#x442; &#x438;&#x437;&#x432;&#x43E;&#x440;&#x430;","ba-common-settingsmenu.player-speed":"&#x411;&#x440;&#x437;&#x438;&#x43D;&#x430; &#x438;&#x433;&#x440;&#x430;&#x447;&#x430;","ba-common-settingsmenu.set-menu-option":"&#x41F;&#x43E;&#x441;&#x442;&#x430;&#x432;&#x438;&#x442;&#x435; &#x43E;&#x43F;&#x446;&#x438;&#x458;&#x443;","ba-common-settingsmenu.submit-video":"&#x41F;&#x43E;&#x442;&#x432;&#x440;&#x434;&#x438;&#x442;&#x435; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-common-settingsmenu.picture-in-picture":"&#x421;&#x43B;&#x438;&#x43A;&#x430; &#x443; &#x441;&#x43B;&#x438;&#x446;&#x438;","ba-common-settingsmenu.exit-fullscreen-video":"&#x418;&#x437;&#x430;&#x452;&#x438; &#x438;&#x437; &#x446;&#x435;&#x43B;&#x43E;&#x433; &#x435;&#x43A;&#x440;&#x430;&#x43D;&#x430;","ba-common-settingsmenu.fullscreen-video":"&#x423;&#x452;&#x438;&#x442;&#x435; &#x43D;&#x430; &#x446;&#x435;&#x43E; &#x435;&#x43A;&#x440;&#x430;&#x43D;","ba-videorecorder-chooser.multi-stream":"&#x41C;&#x443;&#x43B;&#x442;&#x438; &#x421;&#x442;&#x440;&#x435;&#x430;&#x43C;","ba-videorecorder-controlbar.pause-recorder":"&#x41F;&#x430;&#x443;&#x437;&#x438;&#x440;&#x430;&#x458; &#x441;&#x43D;&#x438;&#x43C;&#x430;&#x447;","ba-videorecorder-controlbar.resume-recorder":"&#x420;&#x435;&#x441;&#x443;&#x43C;&#x435; &#x420;&#x435;&#x446;&#x43E;&#x440;&#x434;&#x435;&#x440;","ba-videorecorder.missing-track":"&#x41D;&#x435;&#x434;&#x43E;&#x441;&#x442;&#x430;&#x458;&#x435; &#x43E;&#x431;&#x430;&#x432;&#x435;&#x437;&#x43D;&#x430; &#x430;&#x443;&#x434;&#x438;&#x43E; &#x438;&#x43B;&#x438; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x43D;&#x443;&#x43C;&#x435;&#x440;&#x430;","ba-videorecorder.device-already-in-use":"&#x411;&#x430;&#x440;&#x435;&#x43C; &#x458;&#x435;&#x434;&#x430;&#x43D; &#x43E;&#x434; &#x432;&#x430;&#x448;&#x438;&#x445; &#x443;&#x43B;&#x430;&#x437;&#x43D;&#x438;&#x445; &#x443;&#x440;&#x435;&#x452;&#x430;&#x458;&#x430; &#x441;&#x435; &#x432;&#x435;&#x45B; &#x43A;&#x43E;&#x440;&#x438;&#x441;&#x442;&#x438;","ba-videorecorder.browser-permission-denied":"&#x41F;&#x440;&#x435;&#x433;&#x43B;&#x435;&#x434;&#x430;&#x447; &#x458;&#x435; &#x43E;&#x434;&#x431;&#x438;&#x43E; &#x434;&#x43E;&#x437;&#x432;&#x43E;&#x43B;&#x443;, &#x434;&#x43E;&#x437;&#x432;&#x43E;&#x43B;&#x438;&#x442;&#x435; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x443;&#x43F; &#x438; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43D;&#x43E; &#x443;&#x447;&#x438;&#x442;&#x430;&#x432;&#x430;&#x45A;&#x435; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x435;","ba-audioplayer.all-settings":"&#x421;&#x432;&#x430; &#x43F;&#x43E;&#x434;&#x435;&#x448;&#x430;&#x432;&#x430;&#x45A;&#x430;","ba-videoplayer-controlbar.remaining-time":"&#x41F;&#x440;&#x435;&#x43E;&#x441;&#x442;&#x430;&#x43B;&#x43E; &#x432;&#x440;&#x435;&#x43C;&#x435;","ba-videoplayer-controlbar.select-frame":"&#x418;&#x437;&#x430;&#x431;&#x435;&#x440;&#x438;&#x442;&#x435;","ba-videoplayer-controlbar.trim-video":"&#x422;&#x440;&#x438;&#x43C;","ba-videoplayer-playbutton.trim":"&#x422;&#x440;&#x438;&#x43C;","ba-videoplayer-playbutton.skip":"&#x41F;&#x440;&#x435;&#x441;&#x43A;&#x43E;&#x447;&#x438;","ba-videorecorder-imagegallery.upload-covershot":"&#x423;&#x43F;&#x43B;&#x43E;&#x430;&#x434; &#x426;&#x43E;&#x432;&#x435;&#x440;","ba-videorecorder.pick-covershot-frame":"&#x418;&#x437;&#x430;&#x431;&#x435;&#x440;&#x438;&#x442;&#x435; &#x43E;&#x43A;&#x432;&#x438;&#x440; &#x43A;&#x43E;&#x458;&#x438; &#x45B;&#x435;&#x442;&#x435; &#x43A;&#x43E;&#x440;&#x438;&#x441;&#x442;&#x438;&#x442;&#x438; &#x43A;&#x430;&#x43E; &#x43D;&#x430;&#x441;&#x43B;&#x43E;&#x432;&#x43D;&#x443; &#x444;&#x43E;&#x442;&#x43E;&#x433;&#x440;&#x430;&#x444;&#x438;&#x458;&#x443;.","ba-videorecorder.screen-recorder-is-not-supported":"&#x41E;&#x432;&#x430;&#x458; &#x443;&#x440;&#x435;&#x452;&#x430;&#x458; &#x43D;&#x435; &#x43F;&#x43E;&#x434;&#x440;&#x436;&#x430;&#x432;&#x430; &#x441;&#x43D;&#x438;&#x43C;&#x430;&#x447; &#x435;&#x43A;&#x440;&#x430;&#x43D;&#x430;","ba-videorecorder.trim-prompt":"&#x414;&#x430; &#x43B;&#x438; &#x436;&#x435;&#x43B;&#x438;&#x442;&#x435; &#x434;&#x430; &#x43E;&#x431;&#x440;&#x435;&#x436;&#x435;&#x442;&#x435; &#x432;&#x438;&#x434;&#x435;&#x43E;?","ba-videorecorder.trim-video":"&#x41F;&#x43E;&#x43C;&#x435;&#x440;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x447;&#x435;&#x442;&#x43D;&#x435; &#x438; &#x43A;&#x440;&#x430;&#x458;&#x45A;&#x435; &#x43C;&#x430;&#x440;&#x43A;&#x435;&#x440;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x438;&#x441;&#x435;&#x43A;&#x43B;&#x438; &#x432;&#x438;&#x434;&#x435;&#x43E;","ba-videorecorder.wait-for-trim":"&#x427;&#x435;&#x43A;&#x430; &#x441;&#x435; &#x43D;&#x430;&#x440;&#x435;&#x434;&#x431;&#x430; &#x437;&#x430; &#x442;&#x440;&#x438;&#x43C; ...","ba-videorecorder-controlbar.no-video-source":"&#x41D;&#x435;&#x434;&#x43E;&#x441;&#x442;&#x430;&#x458;&#x435; &#x434;&#x43E;&#x434;&#x430;&#x442;&#x43D;&#x438; &#x438;&#x437;&#x432;&#x43E;&#x440; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x443;&#x43B;&#x430;&#x437;&#x430;","ba-videorecorder-controlbar.stream-already-selected":"&#x414;&#x43E;&#x434;&#x430;&#x442;&#x43D;&#x438; &#x442;&#x43E;&#x43A; &#x458;&#x435; &#x432;&#x435;&#x45B; &#x438;&#x437;&#x430;&#x431;&#x440;&#x430;&#x43D;","ba-videorecorder.uploading-src-error":"&#x412;&#x438;&#x434;&#x435;&#x43E; &#x43D;&#x438;&#x458;&#x435; &#x43C;&#x43E;&#x433;&#x443;&#x45B;&#x435; &#x440;&#x435;&#x43F;&#x440;&#x43E;&#x434;&#x443;&#x43A;&#x43E;&#x432;&#x430;&#x442;&#x438;, &#x43E;&#x442;&#x43F;&#x440;&#x435;&#x43C;&#x430;&#x45A;&#x435; &#x458;&#x435; &#x458;&#x43E;&#x448; &#x443; &#x442;&#x43E;&#x43A;&#x443;","ba-audiorecorder-controlbar.pause-recorder":"&#x41F;&#x430;&#x443;&#x441;&#x435; &#x420;&#x435;&#x446;&#x43E;&#x440;&#x434;&#x435;&#x440;","ba-audiorecorder-controlbar.resume-recorder":"&#x421;&#x43D;&#x438;&#x43C;&#x430;&#x447; &#x436;&#x438;&#x432;&#x43E;&#x442;&#x43E;&#x43F;&#x438;&#x441;&#x430;"},"language:sv":{"ba-videoplayer-playbutton.tooltip":"Klicka f&#xF6;r att spela upp video.","ba-videoplayer-playbutton.rerecord":"G&#xF6;ra om","ba-videoplayer-playbutton.submit-video":"bekr&#xE4;fta video","ba-videoplayer-loader.tooltip":"Laddar video ...","ba-videoplayer-controlbar.change-resolution":"&#xE4;ndra uppl&#xF6;sning","ba-videoplayer-controlbar.video-progress":"video framsteg","ba-videoplayer-controlbar.rerecord-video":"G&#xF6;r video?","ba-videoplayer-controlbar.submit-video":"bekr&#xE4;fta video","ba-videoplayer-controlbar.play-video":"Spela video","ba-videoplayer-controlbar.pause-video":"pause video","ba-videoplayer-controlbar.elapsed-time":"F&#xF6;rfluten tid","ba-videoplayer-controlbar.total-time":"Totala l&#xE4;ngden av video","ba-videoplayer-controlbar.fullscreen-video":"Ange fullscreen","ba-videoplayer-controlbar.volume-button":"inst&#xE4;llda volymen","ba-videoplayer-controlbar.volume-mute":"st&#xE4;nga av ljudet","ba-videoplayer-controlbar.volume-unmute":"s&#xE4;tta p&#xE5; ljudet","ba-videoplayer.video-error":"Ett fel har intr&#xE4;ffat. V&#xE4;nligen f&#xF6;rs&#xF6;k igen senare. Klicka f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-videorecorder-chooser.record-video":"Spela din video","ba-videorecorder-chooser.upload-video":"Ladda upp video","ba-videorecorder-controlbar.settings":"inst&#xE4;llningar","ba-videorecorder-controlbar.camerahealthy":"Belysning &#xE4;r bra","ba-videorecorder-controlbar.cameraunhealthy":"Belysning &#xE4;r inte optimal","ba-videorecorder-controlbar.microphonehealthy":"Ljudet &#xE4;r bra","ba-videorecorder-controlbar.microphoneunhealthy":"Det g&#xE5;r inte att plocka upp n&#xE5;got ljud","ba-videorecorder-controlbar.record":"Spela in","ba-videorecorder-controlbar.record-tooltip":"Klicka h&#xE4;r f&#xF6;r att spela in.","ba-videorecorder-controlbar.rerecord":"G&#xF6;ra om","ba-videorecorder-controlbar.rerecord-tooltip":"Klicka h&#xE4;r f&#xF6;r att g&#xF6;ra om.","ba-videorecorder-controlbar.upload-covershot":"Ladda upp","ba-videorecorder-controlbar.upload-covershot-tooltip":"Klicka h&#xE4;r f&#xF6;r att ladda upp anpassade t&#xE4;cka skott","ba-videorecorder-controlbar.stop":"Sluta","ba-videorecorder-controlbar.stop-tooltip":"Klicka h&#xE4;r f&#xF6;r att stanna.","ba-videorecorder-controlbar.skip":"Hoppa","ba-videorecorder-controlbar.skip-tooltip":"Klicka h&#xE4;r f&#xF6;r att hoppa.","ba-videorecorder.recorder-error":"Ett fel har intr&#xE4;ffat. V&#xE4;nligen f&#xF6;rs&#xF6;k igen senare. Klicka f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-videorecorder.attach-error":"Vi kunde inte komma &#xE5;t kameragr&#xE4;nssnittet. Beroende p&#xE5; vilken enhet och webbl&#xE4;sare, kan du beh&#xF6;va installera Flash eller &#xF6;ppna sidan via SSL.","ba-videorecorder.access-forbidden":"&#xC5;tkomst till kameran var f&#xF6;rbjudet. Klicka f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-videorecorder.pick-covershot":"V&#xE4;lj en covershot.","ba-videorecorder.uploading":"uppladdning","ba-videorecorder.uploading-failed":"Uppladdning misslyckades - klicka h&#xE4;r f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-videorecorder.verifying":"verifiera","ba-videorecorder.verifying-failed":"Verifiera misslyckades - klicka h&#xE4;r f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-videorecorder.rerecord-confirm":"Vill du verkligen vill g&#xF6;ra om din video?","ba-videorecorder.video_file_too_large":"Videofilen &#xE4;r f&#xF6;r stor (%s) - klicka h&#xE4;r f&#xF6;r att f&#xF6;rs&#xF6;ka igen med en mindre videofil.","ba-videorecorder.unsupported_video_type":"Ladda upp: %s - klicka h&#xE4;r f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-videoplayer-controlbar.exit-fullscreen-video":"Avsluta fullsk&#xE4;rmen","ba-videoplayer-share.share":"Dela video","ba-videorecorder-chooser.record-screen":"Inspelningssk&#xE4;rm","ba-videoplayer-controlbar.pause-video-disabled":"Paus st&#xF6;ds inte","ba-videorecorder-chooser.record-audio":"Spela in ljud","ba-videorecorder-controlbar.stop-available-after":"Minsta inspelningstid &#xE4;r %d sekunder","ba-videorecorder-controlbar.cancel":"Annullera","ba-videorecorder-controlbar.cancel-tooltip":"Klicka h&#xE4;r f&#xF6;r att avbryta.","ba-videorecorder.cancel-confirm":"Vill du verkligen avbryta din videouppladdning?","ba-videoplayer-adslot.elapsed-time":"F&#xF6;rfluten tid","ba-videoplayer-adslot.volume-button":"Ange volym","ba-videoplayer-adslot.volume-mute":"St&#xE4;ng ljudet","ba-videoplayer-adslot.volume-unmute":"Sl&#xE5; av ljudet","ba-videoplayer-adslot.ad-will-end-after":"Annonsen slutar efter %s","ba-videoplayer-adslot.can-skip-after":"Hoppa &#xF6;ver efter %d","ba-videoplayer-adslot.skip-ad":"Hoppa &#xF6;ver annonsen","ba-videorecorder.software-required":"V&#xE4;nligen klicka nedan f&#xF6;r att installera / aktivera f&#xF6;ljande krav f&#xF6;r att forts&#xE4;tta.","ba-videorecorder.software-waiting":"V&#xE4;ntar p&#xE5; att kraven ska installeras / aktiveras. Det kan h&#xE4;nda att du beh&#xF6;ver uppdatera sidan efter slutf&#xF6;randet.","ba-videoplayer-controlbar.close-tracks":"St&#xE4;ng CC","ba-videoplayer-controlbar.show-tracks":"Visa CC","ba-videoplayer-tracks.upload-text-tracks":"Ladda upp sp&#xE5;r textfiler","ba-videoplayer-tracks.select-text-track-language":"Textningsspr&#xE5;k","ba-videoplayer-tracks.info-select-locale-first":"V&#xE4;lj f&#xF6;rst platsen","ba-videoplayer-tracks.select-text-track-file":"Klicka f&#xF6;r att v&#xE4;lja fil","ba-videoplayer-tracks.back":"tillbaka","ba-videorecorder.framerate-warning":"Videorammen &#xE4;r mycket l&#xE5;ga. Vi rekommenderar att du st&#xE4;nger alla andra program och webbl&#xE4;sarflikar eller anv&#xE4;nder en snabbare dator.","ba-videorecorder.upload-error-duration":"L&#xE4;ngd p&#xE5; den uppladdade videon uppfyller inte kraven - klicka h&#xE4;r f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-videorecorder.resolution-constraint-error":"Filen du har valt matchar inte den &#xF6;nskade uppl&#xF6;sningen - klicka h&#xE4;r f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-videorecorder.orientation-portrait-required":"V&#xE4;nligen rotera enheten f&#xF6;r att spela in i st&#xE5;ende l&#xE4;ge.","ba-videorecorder.orientation-landscape-required":"V&#xE4;nligen rotera enheten f&#xF6;r att spela in i liggande l&#xE4;ge.","ba-imageviewer-controlbar.rerecord-image":"G&#xF6;ra om?","ba-imageviewer-controlbar.submit-image":"Bekr&#xE4;fta","ba-imageviewer-controlbar.fullscreen-image":"Ange fullsk&#xE4;rm","ba-imageviewer-controlbar.exit-fullscreen-image":"Avsluta fullsk&#xE4;rmen","ba-imageviewer.image-error":"Ett fel har intr&#xE4;ffat. V&#xE4;nligen f&#xF6;rs&#xF6;k igen senare. Klicka f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-imagecapture-chooser.image-capture":"Capture Image","ba-imagecapture-chooser.upload-image":"Ladda upp bild","ba-imagecapture-controlbar.settings":"inst&#xE4;llningar","ba-imagecapture-controlbar.camerahealthy":"Belysning &#xE4;r bra","ba-imagecapture-controlbar.cameraunhealthy":"Belysning &#xE4;r inte optimal","ba-imagecapture-controlbar.record":"F&#xE5;nga","ba-imagecapture-controlbar.record-tooltip":"Klicka h&#xE4;r f&#xF6;r att f&#xE5;nga.","ba-imagecapture-controlbar.rerecord":"G&#xF6;ra om","ba-imagecapture-controlbar.rerecord-tooltip":"Klicka h&#xE4;r f&#xF6;r att g&#xF6;ra om.","ba-imagecapture-controlbar.cancel":"Annullera","ba-imagecapture-controlbar.cancel-tooltip":"Klicka h&#xE4;r f&#xF6;r att avbryta.","ba-audioplayer-controlbar.audio-progress":"Framsteg","ba-audioplayer-controlbar.rerecord-audio":"G&#xF6;ra om?","ba-audioplayer-controlbar.submit-audio":"Bekr&#xE4;fta","ba-audioplayer-controlbar.play-audio":"Spela","ba-audioplayer-controlbar.pause-audio":"Paus","ba-audioplayer-controlbar.pause-audio-disabled":"Paus st&#xF6;ds inte","ba-audioplayer-controlbar.elapsed-time":"F&#xF6;rfluten tid","ba-audioplayer-controlbar.total-time":"Total l&#xE4;ngd p&#xE5;","ba-audioplayer-controlbar.volume-button":"Ange volym","ba-audioplayer-controlbar.volume-mute":"St&#xE4;ng ljudet","ba-audioplayer-controlbar.volume-unmute":"Sl&#xE5; av ljudet","ba-audioplayer-loader.tooltip":"L&#xE4;ser in...","ba-audioplayer.audio-error":"Ett fel har intr&#xE4;ffat. V&#xE4;nligen f&#xF6;rs&#xF6;k igen senare. Klicka f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-audiorecorder-chooser.record-audio":"Spela in ljud","ba-audiorecorder-chooser.upload-audio":"Ladda upp ljud","ba-audiorecorder-controlbar.settings":"inst&#xE4;llningar","ba-audiorecorder-controlbar.microphonehealthy":"Ljudet &#xE4;r bra","ba-audiorecorder-controlbar.microphoneunhealthy":"Kan inte h&#xE4;mta n&#xE5;got ljud","ba-audiorecorder-controlbar.record":"Spela in","ba-audiorecorder-controlbar.record-tooltip":"Klicka h&#xE4;r f&#xF6;r att spela in.","ba-audiorecorder-controlbar.rerecord":"G&#xF6;ra om","ba-audiorecorder-controlbar.rerecord-tooltip":"Klicka h&#xE4;r f&#xF6;r att g&#xF6;ra om.","ba-audiorecorder-controlbar.stop":"Sluta","ba-audiorecorder-controlbar.stop-tooltip":"Klicka h&#xE4;r f&#xF6;r att sluta.","ba-audiorecorder-controlbar.stop-available-after":"Minsta inspelningstid &#xE4;r %d sekunder","ba-audiorecorder-controlbar.cancel":"Annullera","ba-audiorecorder-controlbar.cancel-tooltip":"Klicka h&#xE4;r f&#xF6;r att avbryta.","ba-videoplayer-controlbar.player-speed":"Spelarens hastighet","ba-videoplayer-controlbar.settings":"inst&#xE4;llningar","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"Airplay-ikonen.","ba-videoplayer.all-settings":"Alla inst&#xE4;llningar","ba-videoplayer.player-speed":"Spelarens hastighet","ba-videoplayer.full-screen":"Fullsk&#xE4;rm","ba-videorecorder-controlbar.add-stream":"L&#xE4;gg till str&#xF6;m","ba-videorecorder.switch-camera":"Byt kamera","ba-videorecorder.prepare-covershot":"F&#xF6;rbereder t&#xE4;ckbilder","ba-videorecorder.prepare-thumbnails":"F&#xF6;rbereder s&#xF6;ker miniatyrbilder","ba-videorecorder.adding-new-stream":"L&#xE4;gger till ny str&#xF6;m","ba-imagecapture.recorder-error":"Ett fel har intr&#xE4;ffat. V&#xE4;nligen f&#xF6;rs&#xF6;k igen senare. Klicka f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-imagecapture.attach-error":"Vi kunde inte komma &#xE5;t mediegr&#xE4;nssnittet. Beroende p&#xE5; enhet och webbl&#xE4;sare kan du beh&#xF6;va installera Flash eller komma &#xE5;t sidan via SSL.","ba-imagecapture.software-required":"V&#xE4;nligen klicka nedan f&#xF6;r att installera / aktivera f&#xF6;ljande krav f&#xF6;r att forts&#xE4;tta.","ba-imagecapture.software-waiting":"V&#xE4;ntar p&#xE5; att kraven ska installeras / aktiveras. Det kan h&#xE4;nda att du beh&#xF6;ver uppdatera sidan efter slutf&#xF6;randet.","ba-imagecapture.access-forbidden":"Tillg&#xE5;ng till media var f&#xF6;rbjuden. Klicka f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-imagecapture.uploading":"uppladdning","ba-imagecapture.uploading-failed":"Uppladdning misslyckades - klicka h&#xE4;r f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-imagecapture.upload-error-duration":"L&#xE4;ngd p&#xE5; den uppladdade bilden uppfyller inte kraven - klicka h&#xE4;r f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-imagecapture.resolution-constraint-error":"Filen du har valt matchar inte den &#xF6;nskade uppl&#xF6;sningen - klicka h&#xE4;r f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-imagecapture.verifying":"verifiera","ba-imagecapture.verifying-failed":"Verifiering misslyckades - klicka h&#xE4;r f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-imagecapture.rerecord-confirm":"Vill du verkligen ta om bilden?","ba-imagecapture.image_file_too_large":"Din bildfil &#xE4;r f&#xF6;r stor (%s) - klicka h&#xE4;r f&#xF6;r att f&#xF6;rs&#xF6;ka igen med en mindre bildfil.","ba-imagecapture.unsupported_image_type":"V&#xE4;nligen ladda upp: %s - klicka h&#xE4;r f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-imagecapture.orientation-portrait-required":"V&#xE4;nligen rotera enheten f&#xF6;r att spela in i st&#xE5;ende l&#xE4;ge.","ba-imagecapture.orientation-landscape-required":"V&#xE4;nligen rotera enheten f&#xF6;r att spela in i liggande l&#xE4;ge.","ba-audiorecorder.recorder-error":"Ett fel har intr&#xE4;ffat. V&#xE4;nligen f&#xF6;rs&#xF6;k igen senare. Klicka f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-audiorecorder.attach-error":"Vi kunde inte komma &#xE5;t mediegr&#xE4;nssnittet. Beroende p&#xE5; enhet och webbl&#xE4;sare kan du beh&#xF6;va installera Flash eller komma &#xE5;t sidan via SSL.","ba-audiorecorder.software-required":"V&#xE4;nligen klicka nedan f&#xF6;r att installera / aktivera f&#xF6;ljande krav f&#xF6;r att forts&#xE4;tta.","ba-audiorecorder.software-waiting":"V&#xE4;ntar p&#xE5; att kraven ska installeras / aktiveras. Det kan h&#xE4;nda att du beh&#xF6;ver uppdatera sidan efter slutf&#xF6;randet.","ba-audiorecorder.access-forbidden":"Tillg&#xE5;ng till media var f&#xF6;rbjuden. Klicka f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-audiorecorder.uploading":"uppladdning","ba-audiorecorder.uploading-failed":"Uppladdning misslyckades - klicka h&#xE4;r f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-audiorecorder.upload-error-duration":"L&#xE4;ngden p&#xE5; det uppladdade ljudet uppfyller inte kraven - klicka h&#xE4;r f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-audiorecorder.verifying":"verifiera","ba-audiorecorder.verifying-failed":"Verifiering misslyckades - klicka h&#xE4;r f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-audiorecorder.rerecord-confirm":"Vill du verkligen g&#xF6;ra om ditt ljud?","ba-audiorecorder.cancel-confirm":"Vill du verkligen avbryta din ljuduppladdning?","ba-audiorecorder.audio_file_too_large":"Din ljudfil &#xE4;r f&#xF6;r stor (%s) - klicka h&#xE4;r f&#xF6;r att f&#xF6;rs&#xF6;ka igen med en mindre ljudfil.","ba-audiorecorder.unsupported_audio_type":"V&#xE4;nligen ladda upp: %s - klicka h&#xE4;r f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ba-common-settingsmenu.tooltip":"Klicka f&#xF6;r att spela.","ba-common-settingsmenu.setting-menu":"Alla inst&#xE4;llningar","ba-common-settingsmenu.source-quality":"K&#xE4;llkvalitet","ba-common-settingsmenu.player-speed":"Spelarens hastighet","ba-common-settingsmenu.set-menu-option":"St&#xE4;ll in alternativ","ba-common-settingsmenu.submit-video":"Bekr&#xE4;fta video","ba-common-settingsmenu.picture-in-picture":"Bild i bild","ba-common-settingsmenu.exit-fullscreen-video":"Avsluta helsk&#xE4;rm","ba-common-settingsmenu.fullscreen-video":"G&#xE5; till helsk&#xE4;rm","ba-videorecorder-chooser.multi-stream":"Multi Stream","ba-videorecorder-controlbar.pause-recorder":"Pausa inspelaren","ba-videorecorder-controlbar.resume-recorder":"&#xC5;teruppta inspelare","ba-videorecorder.missing-track":"N&#xF6;dv&#xE4;ndigt ljud- eller videosp&#xE5;r saknas","ba-videorecorder.device-already-in-use":"Minst en av dina inmatningsenheter &#xE4;r redan i bruk","ba-videorecorder.browser-permission-denied":"Till&#xE5;telse nekad av webbl&#xE4;saren, v&#xE4;nligen ge &#xE5;tkomst och ladda om sidan","ba-audioplayer.all-settings":"Alla inst&#xE4;llningar","ba-videoplayer-controlbar.remaining-time":"&#xC5;terst&#xE5;ende tid","ba-videoplayer-controlbar.select-frame":"V&#xE4;lj","ba-videoplayer-controlbar.trim-video":"Trim","ba-videoplayer-playbutton.trim":"Trim","ba-videoplayer-playbutton.skip":"Hoppa","ba-videorecorder-imagegallery.upload-covershot":"Ladda upp omslaget","ba-videorecorder.pick-covershot-frame":"V&#xE4;lj en ram som ska anv&#xE4;ndas som omslagsbild.","ba-videorecorder.screen-recorder-is-not-supported":"Sk&#xE4;rminspelare st&#xF6;ds inte p&#xE5; den h&#xE4;r enheten","ba-videorecorder.trim-prompt":"Vill du klippa din video?","ba-videorecorder.trim-video":"Flytta start- och slutmark&#xF6;rerna f&#xF6;r att trimma din video","ba-videorecorder.wait-for-trim":"V&#xE4;ntar p&#xE5; trimkommando ...","ba-videorecorder-controlbar.no-video-source":"Saknar ytterligare videoing&#xE5;ngsk&#xE4;lla","ba-videorecorder-controlbar.stream-already-selected":"Ytterligare str&#xF6;m har redan valts","ba-videorecorder.uploading-src-error":"Det g&#xE5;r inte att spela upp video nu, uppladdning p&#xE5;g&#xE5;r fortfarande","ba-audiorecorder-controlbar.pause-recorder":"Pausa inspelare","ba-audiorecorder-controlbar.resume-recorder":"&#xC5;teruppta inspelaren"},"language:tl":{"ba-videoplayer-playbutton.tooltip":"I-click upang i-play ang video.","ba-videoplayer-playbutton.rerecord":"Gawing muli","ba-videoplayer-playbutton.submit-video":"Kumpirmahin ang video","ba-videoplayer-loader.tooltip":"Nilo-load ang video ...","ba-videoplayer-controlbar.change-resolution":"Baguhin ang resolution","ba-videoplayer-controlbar.video-progress":"Pag-usad ng video","ba-videoplayer-controlbar.rerecord-video":"Gawing muli ang video?","ba-videoplayer-controlbar.submit-video":"Kumpirmahin ang video","ba-videoplayer-controlbar.play-video":"I-play ang video","ba-videoplayer-controlbar.pause-video":"I-pause ang video","ba-videoplayer-controlbar.elapsed-time":"Tiyak na oras","ba-videoplayer-controlbar.total-time":"Kabuuang haba ng video","ba-videoplayer-controlbar.fullscreen-video":"Pumasok sa fullscreen","ba-videoplayer-controlbar.volume-button":"Itakda ang lakas ng tunog","ba-videoplayer-controlbar.volume-mute":"I-mute ang tunog","ba-videoplayer-controlbar.volume-unmute":"I-unmute ang tunog","ba-videoplayer.video-error":"May naganap na error. Mangyaring subukan muli sa ibang pagkakataon. I-click upang subukang muli.","ba-videorecorder-chooser.record-video":"Kumuha ng video","ba-videorecorder-chooser.upload-video":"Mag-upload ng Video","ba-videorecorder-controlbar.settings":"Mga Setting","ba-videorecorder-controlbar.camerahealthy":"Ang pag-iilaw ay mabuti","ba-videorecorder-controlbar.cameraunhealthy":"Ang pag-iilaw ay hindi pinakamainam","ba-videorecorder-controlbar.microphonehealthy":"Ang tunog ay mabuti","ba-videorecorder-controlbar.microphoneunhealthy":"Walang nakukuhang anumang tunog","ba-videorecorder-controlbar.record":"Rekord","ba-videorecorder-controlbar.record-tooltip":"Mag-click dito upang i-record.","ba-videorecorder-controlbar.rerecord":"Gawing muli","ba-videorecorder-controlbar.rerecord-tooltip":"Mag-click dito upang gawing muli.","ba-videorecorder-controlbar.upload-covershot":"Upload","ba-videorecorder-controlbar.upload-covershot-tooltip":"Mag-click dito upang mag-upload ng angkop na cover shot","ba-videorecorder-controlbar.stop":"Itigil","ba-videorecorder-controlbar.stop-tooltip":"Mag-click dito upang itigil.","ba-videorecorder-controlbar.skip":"Laktawan","ba-videorecorder-controlbar.skip-tooltip":"Mag-click dito upang laktawan.","ba-videorecorder.recorder-error":"May naganap na error. Mangyaring subukan muli sa ibang pagkakataon. I-click upang subukang muli.","ba-videorecorder.attach-error":"Hindi namin mai-access ang interface ng camera. Depende sa device at browser, maaaring kailangan mong i-install ng Flash o ma-access ang pahina sa pamamagitan ng SSL.","ba-videorecorder.access-forbidden":"Ang access sa camera ay ipinagbabawal. I-click upang subukang muli.","ba-videorecorder.pick-covershot":"Pumili ng isang covershot.","ba-videorecorder.uploading":"Pag-upload","ba-videorecorder.uploading-failed":"Nabigo ang pag-upload - i-click dito upang subukang muli.","ba-videorecorder.verifying":"Bine-verify","ba-videorecorder.verifying-failed":"Ang pag-verify nabigo - i-click dito upang subukang muli.","ba-videorecorder.rerecord-confirm":"Nais mo ba talaga na gawing muli ang iyong video?","ba-videorecorder.video_file_too_large":"Ang iyong video file ay masyadong malaki (%s) - i-click dito upang subukang muli gamit ang mas maliit na file na video.","ba-videorecorder.unsupported_video_type":"Mangyaring i-upload: %s - i-click dito upang subukang muli.","ba-videoplayer-controlbar.exit-fullscreen-video":"Lumabas sa fullscreen","ba-videoplayer-share.share":"Ibahagi ang video","ba-videorecorder-chooser.record-screen":"Mag-record ng Screen","ba-videoplayer-controlbar.pause-video-disabled":"Ang pause ang hindi suportado","ba-videorecorder-chooser.record-audio":"Mag-record ng Audio","ba-videorecorder-controlbar.stop-available-after":"Ang pinakamababa na oras ng pag-record ay %d segundo","ba-videorecorder-controlbar.cancel":"Kanselahin","ba-videorecorder-controlbar.cancel-tooltip":"Mag-click dito upang kanselahin.","ba-videorecorder.cancel-confirm":"Nais mo bang kanselahin ang iyong pag-upload ng video?","ba-videoplayer-adslot.elapsed-time":"Tiyak na oras","ba-videoplayer-adslot.volume-button":"Itakda ang lakas ng tunog","ba-videoplayer-adslot.volume-mute":"I-mute ang tunog","ba-videoplayer-adslot.volume-unmute":"I-unmute ang tunog","ba-videoplayer-adslot.ad-will-end-after":"Magwawakas ang ad matapos ang %s","ba-videoplayer-adslot.can-skip-after":"Laktawan pagkatapos %d","ba-videoplayer-adslot.skip-ad":"Laktawan ang ad","ba-videorecorder.software-required":"Mangyaring mag-click sa ibaba upang i-install / i-activate ang mga sumusunod na kinakailangan upang magpatuloy.","ba-videorecorder.software-waiting":"Naghihintay ng mga kinakailangan na mai-install / isinaaktibo. Maaaring kailanganin mong i-refresh ang pahina pagkatapos makumpleto.","ba-videoplayer-controlbar.close-tracks":"Isara ang CC","ba-videoplayer-controlbar.show-tracks":"Ipakita ang CC","ba-videoplayer-tracks.upload-text-tracks":"Mag-upload ng mga track text file","ba-videoplayer-tracks.select-text-track-language":"Wika ng Subtitle","ba-videoplayer-tracks.info-select-locale-first":"Unang piliin ang lokal","ba-videoplayer-tracks.select-text-track-file":"I-click upang piliin ang file","ba-videoplayer-tracks.back":"Bumalik","ba-videorecorder.framerate-warning":"Napakababa ang rate ng video frame. Inirerekumenda namin ang pagsasara ng lahat ng iba pang mga programa at mga tab ng browser o upang gumamit ng mas mabilis na computer.","ba-videorecorder.upload-error-duration":"Ang haba ng na-upload na video ay hindi nakakatugon sa mga kinakailangan - mag-click dito upang subukang muli.","ba-videorecorder.resolution-constraint-error":"Ang file na napili mo ay hindi tumutugma sa kinakailangang resolution - mag-click dito upang subukang muli.","ba-videorecorder.orientation-portrait-required":"Mangyaring i-rotate ang iyong aparato upang i-record sa portrait mode.","ba-videorecorder.orientation-landscape-required":"Mangyaring i-rotate ang iyong aparato upang i-record sa landscape mode.","ba-imageviewer-controlbar.rerecord-image":"Gawing muli?","ba-imageviewer-controlbar.submit-image":"Kumpirmahin","ba-imageviewer-controlbar.fullscreen-image":"Ipasok ang fullscreen","ba-imageviewer-controlbar.exit-fullscreen-image":"Lumabas sa fullscreen","ba-imageviewer.image-error":"May naganap na error. Mangyaring subukan muli sa ibang pagkakataon. I-click upang muling subukan.","ba-imagecapture-chooser.image-capture":"Makunan ang Imahe","ba-imagecapture-chooser.upload-image":"Mag-upload ng Larawan","ba-imagecapture-controlbar.settings":"Mga Setting","ba-imagecapture-controlbar.camerahealthy":"Ang pag-iilaw ay mabuti","ba-imagecapture-controlbar.cameraunhealthy":"Ang pag-iilaw ay hindi sulit","ba-imagecapture-controlbar.record":"Kumuha","ba-imagecapture-controlbar.record-tooltip":"Mag-click dito upang makuha.","ba-imagecapture-controlbar.rerecord":"Gawing muli","ba-imagecapture-controlbar.rerecord-tooltip":"Mag-click dito upang gawing muli.","ba-imagecapture-controlbar.cancel":"Kanselahin","ba-imagecapture-controlbar.cancel-tooltip":"Mag-click dito upang kanselahin.","ba-audioplayer-controlbar.audio-progress":"Isinasagawa","ba-audioplayer-controlbar.rerecord-audio":"Gawing muli?","ba-audioplayer-controlbar.submit-audio":"Kumpirmahin","ba-audioplayer-controlbar.play-audio":"I-play","ba-audioplayer-controlbar.pause-audio":"I-pause","ba-audioplayer-controlbar.pause-audio-disabled":"Ang pause ay hindi suportado","ba-audioplayer-controlbar.elapsed-time":"Tiyak na oras","ba-audioplayer-controlbar.total-time":"Kabuuang haba ng","ba-audioplayer-controlbar.volume-button":"Itakda ang lakas ng tunog","ba-audioplayer-controlbar.volume-mute":"I-mute ang tunog","ba-audioplayer-controlbar.volume-unmute":"I-unmute ang tunog","ba-audioplayer-loader.tooltip":"Naglo-load ...","ba-audioplayer.audio-error":"May naganap na error. Mangyaring subukan muli sa ibang pagkakataon. I-click upang muling subukan.","ba-audiorecorder-chooser.record-audio":"Mag-record ng Audio","ba-audiorecorder-chooser.upload-audio":"Mag-upload ng Audio","ba-audiorecorder-controlbar.settings":"Mga Setting","ba-audiorecorder-controlbar.microphonehealthy":"Ang tunog ay mabuti","ba-audiorecorder-controlbar.microphoneunhealthy":"Walang makukuhag anumang tunog","ba-audiorecorder-controlbar.record":"Mag-record","ba-audiorecorder-controlbar.record-tooltip":"Mag-click dito upang mag-record.","ba-audiorecorder-controlbar.rerecord":"I-redo","ba-audiorecorder-controlbar.rerecord-tooltip":"Mag-click dito upang gawing muli.","ba-audiorecorder-controlbar.stop":"Itigil","ba-audiorecorder-controlbar.stop-tooltip":"Mag-click dito upang huminto.","ba-audiorecorder-controlbar.stop-available-after":"Ang pinakamababa na oras ng pag-record ay %d segundo","ba-audiorecorder-controlbar.cancel":"Kanselahin","ba-audiorecorder-controlbar.cancel-tooltip":"Mag-click dito upang kanselahin.","ba-videoplayer-controlbar.player-speed":"Bilis ng Video Player","ba-videoplayer-controlbar.settings":"Mga Settings","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"Icon ng Airplay.","ba-videoplayer.all-settings":"Lahat ng mga settings","ba-videoplayer.player-speed":"Bilis ng Player","ba-videoplayer.full-screen":"Buong screen","ba-videorecorder-controlbar.add-stream":"Magdagdag ng Stream","ba-videorecorder.switch-camera":"Lumipat ng camera","ba-videorecorder.prepare-covershot":"Paghahanda ng mga cover shots","ba-videorecorder.prepare-thumbnails":"Paghahanda ng mga thumbnail","ba-videorecorder.adding-new-stream":"Pagdaragdag ng Bagong Stream","ba-imagecapture.recorder-error":"May naganap na error. Mangyaring subukan muli sa ibang pagkakataon. I-click upang muling subukan.","ba-imagecapture.attach-error":"Hindi namin ma-access ang media interface. Depende sa device at browser, maaaring kailangan mong i-install ang Flash o i-access ang pahina sa pamamagitan ng SSL.","ba-imagecapture.software-required":"Mangyaring mag-click sa ibaba upang i-install / i-activate ang mga sumusunod na kinakailangan upang magpatuloy.","ba-imagecapture.software-waiting":"Naghihintay para sa mga kinakailangan na mai-install / activate. Maaaring kailanganin mong i-refresh ang pahina pagkatapos makumpleto.","ba-imagecapture.access-forbidden":"Ipinagbabawal ang pag-access sa media. I-click upang muling subukan.","ba-imagecapture.uploading":"Pag-upload","ba-imagecapture.uploading-failed":"Nabigo ang pag-upload - mag-click dito upang subukang muli.","ba-imagecapture.upload-error-duration":"Ang haba ng na-upload na imahe ay hindi nakakatugon sa mga kinakailangan - mag-click dito upang subukang muli.","ba-imagecapture.resolution-constraint-error":"Ang file na napili mo ay hindi tumutugma sa kinakailangang resolution - mag-click dito upang subukang muli.","ba-imagecapture.verifying":"Pag-verify","ba-imagecapture.verifying-failed":"Nabigo ang pag-verify - mag-click dito upang subukang muli.","ba-imagecapture.rerecord-confirm":"Gusto mo ba talagang muling kunin ang iyong larawan?","ba-imagecapture.image_file_too_large":"Masyadong malaki ang file ng iyong larawan (%s) - mag-click dito upang subukang muli gamit ang isang mas maliit na file ng imahe.","ba-imagecapture.unsupported_image_type":"Mangyaring mag-upload: %s - mag-click dito upang subukang muli.","ba-imagecapture.orientation-portrait-required":"Mangyaring i-rotate ang iyong aparato upang i-record sa portrait mode.","ba-imagecapture.orientation-landscape-required":"Mangyaring i-rotate ang iyong aparato upang i-record sa landscape mode.","ba-audiorecorder.recorder-error":"May naganap na error. Mangyaring subukan muli sa ibang pagkakataon. I-click upang muling subukan.","ba-audiorecorder.attach-error":"Hindi namin ma-access ang media interface. Depende sa device at browser, maaaring kailangan mong i-install ang Flash o i-access ang pahina sa pamamagitan ng SSL.","ba-audiorecorder.software-required":"Mangyaring mag-click sa ibaba upang i-install / i-activate ang mga sumusunod na kinakailangan upang magpatuloy.","ba-audiorecorder.software-waiting":"Naghihintay para sa mga kinakailangan na mai-install / activate. Maaaring kailanganin mong i-refresh ang pahina pagkatapos makumpleto.","ba-audiorecorder.access-forbidden":"Ipinagbabawal ang pag-access sa media. I-click upang muling subukan.","ba-audiorecorder.uploading":"Pag-upload","ba-audiorecorder.uploading-failed":"Nabigo ang pag-upload - mag-click dito upang subukang muli.","ba-audiorecorder.upload-error-duration":"Ang haba ng na-upload na audio ay hindi nakakatugon sa mga kinakailangan - mag-click dito upang subukang muli.","ba-audiorecorder.verifying":"Pag-verify","ba-audiorecorder.verifying-failed":"Nabigo ang pag-verify - mag-click dito upang subukang muli.","ba-audiorecorder.rerecord-confirm":"Gusto mo bang gawing muli ang iyong audio?","ba-audiorecorder.cancel-confirm":"Nais mo bang kanselahin ang pag-upload ng iyong audio?","ba-audiorecorder.audio_file_too_large":"Ang iyong audio file ay masyadong malaki (%s) - mag-click dito upang subukang muli gamit ang isang mas maliit na audio file.","ba-audiorecorder.unsupported_audio_type":"Mangyaring mag-upload: %s - mag-click dito upang subukang muli.","ba-common-settingsmenu.tooltip":"Pindutin upang i-play.","ba-common-settingsmenu.setting-menu":"Mga Settings","ba-common-settingsmenu.source-quality":"Kalidad ng mapagkukunan","ba-common-settingsmenu.player-speed":"Bilis ng player","ba-common-settingsmenu.set-menu-option":"Magtakda ng Pagpipilian","ba-common-settingsmenu.submit-video":"I-confirm video","ba-common-settingsmenu.picture-in-picture":"Larawan sa larawan","ba-common-settingsmenu.exit-fullscreen-video":"Umalis sa Fullscreen","ba-common-settingsmenu.fullscreen-video":"Pumasok sa fullscreen","ba-videorecorder-chooser.multi-stream":"Ang Multi Stream","ba-videorecorder-controlbar.pause-recorder":"I-pause and Recorder","ba-videorecorder-controlbar.resume-recorder":"I-resume Recorder","ba-videorecorder.missing-track":"Ang kinakailangan na audio or video tranck ay hindi makita","ba-videorecorder.device-already-in-use":"Hindi bababa sa isa sa iyong mga input device ang ginagamit na","ba-videorecorder.browser-permission-denied":"Ang pahintulot ay tinanggihan ng browser, mangyaring magbigay ng access at i-reload ang pahina","ba-audioplayer.all-settings":"Lahat ng mga setting","ba-videoplayer-controlbar.remaining-time":"Natitirang oras","ba-videoplayer-controlbar.select-frame":"Pumili","ba-videoplayer-controlbar.trim-video":"Putulin","ba-videoplayer-playbutton.trim":"Putulin","ba-videoplayer-playbutton.skip":"Laktawan","ba-videorecorder-imagegallery.upload-covershot":"I-upload ang Cover","ba-videorecorder.pick-covershot-frame":"Pumili ng isang frame na gagamitin bilang coverhot.","ba-videorecorder.screen-recorder-is-not-supported":"Ang screen recorder ay hindi suportado sa aparatong ito","ba-videorecorder.trim-prompt":"Nais mo bang i-trim ang iyong video?","ba-videorecorder.trim-video":"Ilipat ang mga panimulang at pagtatapos ng mga marker upang i-trim ang iyong video","ba-videorecorder.wait-for-trim":"Naghihintay para sa trim na utos ...","ba-videorecorder-controlbar.no-video-source":"Nawawalang karagdagang mapagkukunan ng pag-input ng video","ba-videorecorder-controlbar.stream-already-selected":"Napili na ang karagdagang stream","ba-videorecorder.uploading-src-error":"Hindi ma-play pabalik ang video ngayon, isinasagawa pa rin ang pag-upload","ba-audiorecorder-controlbar.pause-recorder":"I-pause ang Recorder","ba-audiorecorder-controlbar.resume-recorder":"Ipagpatuloy ang Recorder"},"language:tr":{"ba-videoplayer-playbutton.tooltip":"video oynatmak i&#xE7;in t&#x131;klay&#x131;n&#x131;z.","ba-videoplayer-playbutton.rerecord":"yeniden yapmak","ba-videoplayer-playbutton.submit-video":"videoyu onayla","ba-videoplayer-loader.tooltip":"Video y&#xFC;kleniyor ...","ba-videoplayer-controlbar.change-resolution":"De&#x11F;i&#x15F;im &#xE7;&#xF6;z&#xFC;n&#xFC;rl&#xFC;&#x11F;&#xFC;","ba-videoplayer-controlbar.video-progress":"Video ilerleme","ba-videoplayer-controlbar.rerecord-video":"Videoyu Redo?","ba-videoplayer-controlbar.submit-video":"videoyu onayla","ba-videoplayer-controlbar.play-video":"Video oynatmak","ba-videoplayer-controlbar.pause-video":"Pause Video","ba-videoplayer-controlbar.elapsed-time":"Ge&#xE7;en zaman","ba-videoplayer-controlbar.total-time":"videonun toplam uzunlu&#x11F;u","ba-videoplayer-controlbar.fullscreen-video":"Tam ekran yap","ba-videoplayer-controlbar.volume-button":"Set hacmi","ba-videoplayer-controlbar.volume-mute":"sesi","ba-videoplayer-controlbar.volume-unmute":"sesi a&#xE7;","ba-videoplayer.video-error":"Bir hata, l&#xFC;tfen tekrar deneyiniz olu&#x15F;tu. Tekrar denemek i&#xE7;in t&#x131;klay&#x131;n.","ba-videorecorder-chooser.record-video":"Ki&#x15F;isel Video kay&#x131;t","ba-videorecorder-chooser.upload-video":"video","ba-videorecorder-controlbar.settings":"Ayarlar","ba-videorecorder-controlbar.camerahealthy":"Ayd&#x131;nlatma iyidir","ba-videorecorder-controlbar.cameraunhealthy":"Ayd&#x131;nlatma optimum de&#x11F;il","ba-videorecorder-controlbar.microphonehealthy":"Ses iyidir","ba-videorecorder-controlbar.microphoneunhealthy":"herhangi bir ses pick up olamaz","ba-videorecorder-controlbar.record":"Kay&#x131;t","ba-videorecorder-controlbar.record-tooltip":"kaydetmek i&#xE7;in buraya t&#x131;klay&#x131;n.","ba-videorecorder-controlbar.rerecord":"yeniden yapmak","ba-videorecorder-controlbar.rerecord-tooltip":"yinelemek i&#xE7;in buraya t&#x131;klay&#x131;n.","ba-videorecorder-controlbar.upload-covershot":"y&#xFC;kleme","ba-videorecorder-controlbar.upload-covershot-tooltip":"&#xF6;zel kapak &#xE7;ekimi y&#xFC;klemek i&#xE7;in buraya t&#x131;klay&#x131;n","ba-videorecorder-controlbar.stop":"Dur","ba-videorecorder-controlbar.stop-tooltip":"durdurmak i&#xE7;in buray&#x131; t&#x131;klay&#x131;n.","ba-videorecorder-controlbar.skip":"atlamak","ba-videorecorder-controlbar.skip-tooltip":"atlamak i&#xE7;in buraya t&#x131;klay&#x131;n.","ba-videorecorder.recorder-error":"Bir hata, l&#xFC;tfen tekrar deneyiniz olu&#x15F;tu. Tekrar denemek i&#xE7;in t&#x131;klay&#x131;n.","ba-videorecorder.attach-error":"Biz kamera aray&#xFC;z&#xFC; eri&#x15F;emedi. cihaz ve taray&#x131;c&#x131;ya ba&#x11F;l&#x131; olarak, Flash y&#xFC;klemek veya SSL ile sayfaya eri&#x15F;mek i&#xE7;in gerekebilir.","ba-videorecorder.access-forbidden":"Kameraya eri&#x15F;im yasakland&#x131;. Tekrar denemek i&#xE7;in t&#x131;klay&#x131;n.","ba-videorecorder.pick-covershot":"Bir covershot se&#xE7;in.","ba-videorecorder.uploading":"Y&#xFC;kleme","ba-videorecorder.uploading-failed":"Y&#xFC;kleme ba&#x15F;ar&#x131;s&#x131;z - yeniden denemek i&#xE7;in buray&#x131; t&#x131;klay&#x131;n.","ba-videorecorder.verifying":"Do&#x11F;rulama","ba-videorecorder.verifying-failed":"Ba&#x15F;ar&#x131;s&#x131;z kullan&#x131;ld&#x131;&#x11F;&#x131;n&#x131; do&#x11F;rulamak - yeniden denemek i&#xE7;in buray&#x131; t&#x131;klay&#x131;n.","ba-videorecorder.rerecord-confirm":"E&#x11F;er ger&#xE7;ekten video yinelemek istiyor musunuz?","ba-videorecorder.video_file_too_large":"Videonuz dosyas&#x131; &#xE7;ok b&#xFC;y&#xFC;k (%s) - k&#xFC;&#xE7;&#xFC;k bir video dosyas&#x131; ile tekrar denemek i&#xE7;in buray&#x131; t&#x131;klay&#x131;n.","ba-videorecorder.unsupported_video_type":"y&#xFC;kleyin: %s - yeniden denemek i&#xE7;in buray&#x131; t&#x131;klay&#x131;n.","ba-videoplayer-controlbar.exit-fullscreen-video":"Tam ekrandan &#xE7;&#x131;k","ba-videoplayer-share.share":"Video payla&#x15F;","ba-videorecorder-chooser.record-screen":"Kay&#x131;t Ekran&#x131;","ba-videoplayer-controlbar.pause-video-disabled":"Duraklat desteklenmiyor","ba-videorecorder-chooser.record-audio":"Ses kayd&#x131;","ba-videorecorder-controlbar.stop-available-after":"Minimum kay&#x131;t s&#xFC;resi %d saniye","ba-videorecorder-controlbar.cancel":"&#x130;ptal etmek","ba-videorecorder-controlbar.cancel-tooltip":"&#x130;ptal etmek i&#xE7;in buraya t&#x131;klay&#x131;n.","ba-videorecorder.cancel-confirm":"Video y&#xFC;klemenizi ger&#xE7;ekten iptal etmek istiyor musunuz?","ba-videoplayer-adslot.elapsed-time":"Ge&#xE7;en zaman","ba-videoplayer-adslot.volume-button":"Sesi ayarla","ba-videoplayer-adslot.volume-mute":"Sesi kapat","ba-videoplayer-adslot.volume-unmute":"Sesi a&#xE7;ma","ba-videoplayer-adslot.ad-will-end-after":"Reklam, %s sonra sona erecek","ba-videoplayer-adslot.can-skip-after":"%d sonra atla","ba-videoplayer-adslot.skip-ad":"Reklam&#x131; ge&#xE7;","ba-videorecorder.software-required":"Devam etmek i&#xE7;in a&#x15F;a&#x11F;&#x131;daki gereksinimleri y&#xFC;klemek / etkinle&#x15F;tirmek i&#xE7;in l&#xFC;tfen a&#x15F;a&#x11F;&#x131;ya t&#x131;klay&#x131;n.","ba-videorecorder.software-waiting":"Gereksinimlerin kurulmas&#x131; / etkinle&#x15F;tirilmesi i&#xE7;in bekleniyor. Tamamland&#x131;ktan sonra sayfay&#x131; yenilemeniz gerekebilir.","ba-videoplayer-controlbar.close-tracks":"CC&#x27;yi kapat","ba-videoplayer-controlbar.show-tracks":"CC g&#xF6;ster","ba-videoplayer-tracks.upload-text-tracks":"Par&#xE7;a metni dosyalar&#x131;n&#x131; y&#xFC;kle","ba-videoplayer-tracks.select-text-track-language":"Altyaz&#x131; Dili","ba-videoplayer-tracks.info-select-locale-first":"&#x130;lk yerel se&#xE7;","ba-videoplayer-tracks.select-text-track-file":"Dosya se&#xE7;mek i&#xE7;in t&#x131;klay&#x131;n","ba-videoplayer-tracks.back":"geri","ba-videorecorder.framerate-warning":"Video kare h&#x131;z&#x131; &#xE7;ok d&#xFC;&#x15F;&#xFC;k. Di&#x11F;er t&#xFC;m programlar&#x131; ve taray&#x131;c&#x131; sekmelerini kapatman&#x131;z&#x131; veya daha h&#x131;zl&#x131; bir bilgisayar kullanman&#x131;z&#x131; &#xF6;neririz.","ba-videorecorder.upload-error-duration":"Y&#xFC;klenen videonun uzunlu&#x11F;u gereksinimleri kar&#x15F;&#x131;lam&#x131;yor. Yeniden denemek i&#xE7;in buray&#x131; t&#x131;klay&#x131;n.","ba-videorecorder.resolution-constraint-error":"Se&#xE7;ti&#x11F;iniz dosya gerekli &#xE7;&#xF6;z&#xFC;n&#xFC;rl&#xFC;kle e&#x15F;le&#x15F;miyor. Yeniden denemek i&#xE7;in buray&#x131; t&#x131;klay&#x131;n.","ba-videorecorder.orientation-portrait-required":"L&#xFC;tfen portre modunda kay&#x131;t yapmak i&#xE7;in cihaz&#x131;n&#x131;z&#x131; d&#xF6;nd&#xFC;r&#xFC;n.","ba-videorecorder.orientation-landscape-required":"L&#xFC;tfen yatay modda kay&#x131;t yapmak i&#xE7;in cihaz&#x131;n&#x131;z&#x131; d&#xF6;nd&#xFC;r&#xFC;n.","ba-imageviewer-controlbar.rerecord-image":"Yeniden yap?","ba-imageviewer-controlbar.submit-image":"Onaylamak","ba-imageviewer-controlbar.fullscreen-image":"Tam ekran yap","ba-imageviewer-controlbar.exit-fullscreen-image":"Tam ekrandan &#xE7;&#x131;k","ba-imageviewer.image-error":"Bir hata olu&#x15F;tu, daha sonra tekrar deneyin. Yeniden denemek i&#xE7;in t&#x131;klay&#x131;n.","ba-imagecapture-chooser.image-capture":"G&#xF6;r&#xFC;nt&#xFC;y&#xFC; yakala","ba-imagecapture-chooser.upload-image":"Foto&#x11F;raf y&#xFC;kleniyor","ba-imagecapture-controlbar.settings":"Ayarlar","ba-imagecapture-controlbar.camerahealthy":"Ayd&#x131;nlatma iyidir","ba-imagecapture-controlbar.cameraunhealthy":"Ayd&#x131;nlatma optimal de&#x11F;il","ba-imagecapture-controlbar.record":"Ele ge&#xE7;irmek","ba-imagecapture-controlbar.record-tooltip":"Yakalamak i&#xE7;in buraya t&#x131;klay&#x131;n.","ba-imagecapture-controlbar.rerecord":"yeniden yapmak","ba-imagecapture-controlbar.rerecord-tooltip":"Yeniden yapmak i&#xE7;in buraya t&#x131;klay&#x131;n.","ba-imagecapture-controlbar.cancel":"&#x130;ptal etmek","ba-imagecapture-controlbar.cancel-tooltip":"&#x130;ptal etmek i&#xE7;in buraya t&#x131;klay&#x131;n.","ba-audioplayer-controlbar.audio-progress":"&#x130;lerleme","ba-audioplayer-controlbar.rerecord-audio":"Yeniden yap?","ba-audioplayer-controlbar.submit-audio":"Onaylamak","ba-audioplayer-controlbar.play-audio":"Oyun","ba-audioplayer-controlbar.pause-audio":"Duraklat","ba-audioplayer-controlbar.pause-audio-disabled":"Duraklat desteklenmiyor","ba-audioplayer-controlbar.elapsed-time":"Ge&#xE7;en zaman","ba-audioplayer-controlbar.total-time":"Toplam uzunlu&#x11F;u","ba-audioplayer-controlbar.volume-button":"Sesi ayarla","ba-audioplayer-controlbar.volume-mute":"Sesi kapat","ba-audioplayer-controlbar.volume-unmute":"Sesi a&#xE7; ses","ba-audioplayer-loader.tooltip":"Y&#xFC;kleniyor...","ba-audioplayer.audio-error":"Bir hata olu&#x15F;tu, daha sonra tekrar deneyin. Yeniden denemek i&#xE7;in t&#x131;klay&#x131;n.","ba-audiorecorder-chooser.record-audio":"Ses kayd&#x131;","ba-audiorecorder-chooser.upload-audio":"Ses y&#xFC;kle","ba-audiorecorder-controlbar.settings":"Ayarlar","ba-audiorecorder-controlbar.microphonehealthy":"Ses iyi","ba-audiorecorder-controlbar.microphoneunhealthy":"Ses al&#x131;nam&#x131;yor","ba-audiorecorder-controlbar.record":"Kay&#x131;t","ba-audiorecorder-controlbar.record-tooltip":"Kay&#x131;t i&#xE7;in buraya t&#x131;klay&#x131;n.","ba-audiorecorder-controlbar.rerecord":"yeniden yapmak","ba-audiorecorder-controlbar.rerecord-tooltip":"Yeniden yapmak i&#xE7;in buraya t&#x131;klay&#x131;n.","ba-audiorecorder-controlbar.stop":"durdurmak","ba-audiorecorder-controlbar.stop-tooltip":"Durdurmak i&#xE7;in buraya t&#x131;klay&#x131;n.","ba-audiorecorder-controlbar.stop-available-after":"Minimum kay&#x131;t s&#xFC;resi %d saniyedir","ba-audiorecorder-controlbar.cancel":"&#x130;ptal etmek","ba-audiorecorder-controlbar.cancel-tooltip":"&#x130;ptal etmek i&#xE7;in buraya t&#x131;klay&#x131;n.","ba-videoplayer-controlbar.player-speed":"Oyuncu h&#x131;z&#x131;","ba-videoplayer-controlbar.settings":"Ayarlar","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"Airplay simgesi.","ba-videoplayer.all-settings":"T&#xFC;m ayarlar","ba-videoplayer.player-speed":"Oyuncu h&#x131;z&#x131;","ba-videoplayer.full-screen":"Tam ekran","ba-videorecorder-controlbar.add-stream":"Ak&#x131;&#x15F; ekle","ba-videorecorder.switch-camera":"Kamera de&#x11F;i&#x15F;tir","ba-videorecorder.prepare-covershot":"Kapak haz&#x131;rl&#x131;&#x11F;&#x131;","ba-videorecorder.prepare-thumbnails":"K&#xFC;&#xE7;&#xFC;k resim aramaya haz&#x131;rlan&#x131;yor","ba-videorecorder.adding-new-stream":"Yeni Ak&#x131;&#x15F; Ekleme","ba-imagecapture.recorder-error":"Bir hata olu&#x15F;tu, daha sonra tekrar deneyin. Yeniden denemek i&#xE7;in t&#x131;klay&#x131;n.","ba-imagecapture.attach-error":"Medya aray&#xFC;z&#xFC;ne eri&#x15F;emedik. Ayg&#x131;ta ve taray&#x131;c&#x131;ya ba&#x11F;l&#x131; olarak, Flash y&#xFC;klemeniz veya sayfaya SSL ile eri&#x15F;meniz gerekebilir.","ba-imagecapture.software-required":"Devam etmek i&#xE7;in a&#x15F;a&#x11F;&#x131;daki gereksinimleri kurmak / etkinle&#x15F;tirmek i&#xE7;in l&#xFC;tfen a&#x15F;a&#x11F;&#x131;ya t&#x131;klay&#x131;n.","ba-imagecapture.software-waiting":"Y&#xFC;klenmesi / etkinle&#x15F;tirilmesi i&#xE7;in gerekenler bekleniyor. Tamamland&#x131;ktan sonra sayfay&#x131; yenilemeniz gerekebilir.","ba-imagecapture.access-forbidden":"Medyaya eri&#x15F;im yasakland&#x131;. Yeniden denemek i&#xE7;in t&#x131;klay&#x131;n.","ba-imagecapture.uploading":"Y&#xFC;kleme","ba-imagecapture.uploading-failed":"Y&#xFC;kleme ba&#x15F;ar&#x131;s&#x131;z - tekrar denemek i&#xE7;in buray&#x131; t&#x131;klay&#x131;n.","ba-imagecapture.upload-error-duration":"Y&#xFC;klenen resmin uzunlu&#x11F;u gereksinimleri kar&#x15F;&#x131;lam&#x131;yor - yeniden denemek i&#xE7;in buray&#x131; t&#x131;klay&#x131;n.","ba-imagecapture.resolution-constraint-error":"Se&#xE7;ti&#x11F;iniz dosya gerekli &#xE7;&#xF6;z&#xFC;n&#xFC;rl&#xFC;k ile e&#x15F;le&#x15F;miyor - tekrar denemek i&#xE7;in buray&#x131; t&#x131;klay&#x131;n.","ba-imagecapture.verifying":"Do&#x11F;rulama","ba-imagecapture.verifying-failed":"Do&#x11F;rulama ba&#x15F;ar&#x131;s&#x131;z oldu - yeniden denemek i&#xE7;in buray&#x131; t&#x131;klay&#x131;n.","ba-imagecapture.rerecord-confirm":"Ger&#xE7;ekten imaj&#x131;n&#x131; tekrar almak istiyor musun?","ba-imagecapture.image_file_too_large":"Resim dosyan&#x131;z &#xE7;ok b&#xFC;y&#xFC;k (%s) - daha k&#xFC;&#xE7;&#xFC;k bir resim dosyas&#x131;yla tekrar denemek i&#xE7;in buray&#x131; t&#x131;klay&#x131;n.","ba-imagecapture.unsupported_image_type":"L&#xFC;tfen y&#xFC;kleyin: %s - yeniden denemek i&#xE7;in buray&#x131; t&#x131;klay&#x131;n.","ba-imagecapture.orientation-portrait-required":"Portre modunda kay&#x131;t yapmak i&#xE7;in l&#xFC;tfen cihaz&#x131;n&#x131;z&#x131; d&#xF6;nd&#xFC;r&#xFC;n.","ba-imagecapture.orientation-landscape-required":"Manzara modunda kay&#x131;t yapmak i&#xE7;in l&#xFC;tfen cihaz&#x131;n&#x131;z&#x131; d&#xF6;nd&#xFC;r&#xFC;n.","ba-audiorecorder.recorder-error":"Bir hata olu&#x15F;tu, daha sonra tekrar deneyin. Yeniden denemek i&#xE7;in t&#x131;klay&#x131;n.","ba-audiorecorder.attach-error":"Medya aray&#xFC;z&#xFC;ne eri&#x15F;emedik. Ayg&#x131;ta ve taray&#x131;c&#x131;ya ba&#x11F;l&#x131; olarak, Flash y&#xFC;klemeniz veya sayfaya SSL ile eri&#x15F;meniz gerekebilir.","ba-audiorecorder.software-required":"Devam etmek i&#xE7;in a&#x15F;a&#x11F;&#x131;daki gereksinimleri kurmak / etkinle&#x15F;tirmek i&#xE7;in l&#xFC;tfen a&#x15F;a&#x11F;&#x131;ya t&#x131;klay&#x131;n.","ba-audiorecorder.software-waiting":"Y&#xFC;klenmesi / etkinle&#x15F;tirilmesi i&#xE7;in gerekenler bekleniyor. Tamamland&#x131;ktan sonra sayfay&#x131; yenilemeniz gerekebilir.","ba-audiorecorder.access-forbidden":"Medyaya eri&#x15F;im yasakland&#x131;. Yeniden denemek i&#xE7;in t&#x131;klay&#x131;n.","ba-audiorecorder.uploading":"Y&#xFC;kleme","ba-audiorecorder.uploading-failed":"Y&#xFC;kleme ba&#x15F;ar&#x131;s&#x131;z - tekrar denemek i&#xE7;in buray&#x131; t&#x131;klay&#x131;n.","ba-audiorecorder.upload-error-duration":"Y&#xFC;klenen sesin uzunlu&#x11F;u gereksinimleri kar&#x15F;&#x131;lam&#x131;yor - yeniden denemek i&#xE7;in buray&#x131; t&#x131;klay&#x131;n.","ba-audiorecorder.verifying":"Do&#x11F;rulama","ba-audiorecorder.verifying-failed":"Do&#x11F;rulama ba&#x15F;ar&#x131;s&#x131;z oldu - yeniden denemek i&#xE7;in buray&#x131; t&#x131;klay&#x131;n.","ba-audiorecorder.rerecord-confirm":"Ger&#xE7;ekten sesini yeniden yapmak istiyor musun?","ba-audiorecorder.cancel-confirm":"Ses y&#xFC;klemenizi ger&#xE7;ekten iptal etmek istiyor musunuz?","ba-audiorecorder.audio_file_too_large":"Ses dosyan&#x131;z &#xE7;ok b&#xFC;y&#xFC;k (%s) - daha k&#xFC;&#xE7;&#xFC;k bir ses dosyas&#x131;yla tekrar denemek i&#xE7;in buray&#x131; t&#x131;klay&#x131;n.","ba-audiorecorder.unsupported_audio_type":"L&#xFC;tfen y&#xFC;kleyin: %s - yeniden denemek i&#xE7;in buray&#x131; t&#x131;klay&#x131;n.","ba-common-settingsmenu.tooltip":"Oynatmak i&#xE7;in t&#x131;klay&#x131;n.","ba-common-settingsmenu.setting-menu":"T&#xFC;m ayarlar","ba-common-settingsmenu.source-quality":"Kaynak kalitesi","ba-common-settingsmenu.player-speed":"Oyuncu h&#x131;z&#x131;","ba-common-settingsmenu.set-menu-option":"Se&#xE7;ene&#x11F;i ayarla","ba-common-settingsmenu.submit-video":"Videoyu onaylay&#x131;n","ba-common-settingsmenu.picture-in-picture":"Foto&#x11F;raf i&#xE7;inde foto&#x11F;raf","ba-common-settingsmenu.exit-fullscreen-video":"Tam ekrandan &#xE7;&#x131;k","ba-common-settingsmenu.fullscreen-video":"Tam ekran yap","ba-videorecorder-chooser.multi-stream":"&#xC7;oklu Ak&#x131;&#x15F;","ba-videorecorder-controlbar.pause-recorder":"Kaydediciyi Duraklat","ba-videorecorder-controlbar.resume-recorder":"Kaydediciyi Devam Ettir","ba-videorecorder.missing-track":"Gerekli ses veya video par&#xE7;as&#x131; eksik","ba-videorecorder.device-already-in-use":"Giri&#x15F; cihazlar&#x131;n&#x131;zdan en az biri zaten kullan&#x131;mda","ba-videorecorder.browser-permission-denied":"&#x130;zin taray&#x131;c&#x131; taraf&#x131;ndan reddedildi, l&#xFC;tfen eri&#x15F;im izni verin ve sayfay&#x131; yeniden y&#xFC;kleyin","ba-audioplayer.all-settings":"T&#xFC;m ayarlar","ba-videoplayer-controlbar.remaining-time":"Kalan s&#xFC;re","ba-videoplayer-controlbar.select-frame":"Se&#xE7;","ba-videoplayer-controlbar.trim-video":"k&#x131;rp","ba-videoplayer-playbutton.trim":"k&#x131;rp","ba-videoplayer-playbutton.skip":"atla","ba-videorecorder-imagegallery.upload-covershot":"Kapak Y&#xFC;kle","ba-videorecorder.pick-covershot-frame":"Kapak resmi olarak kullanmak i&#xE7;in bir &#xE7;er&#xE7;eve se&#xE7;in.","ba-videorecorder.screen-recorder-is-not-supported":"Bu cihazda ekran kaydedici desteklenmiyor","ba-videorecorder.trim-prompt":"Videonuzu k&#x131;rpmak istiyor musunuz?","ba-videorecorder.trim-video":"Videonuzu k&#x131;rpmak i&#xE7;in ba&#x15F;lang&#x131;&#xE7; ve biti&#x15F; i&#x15F;aret&#xE7;ilerini hareket ettirin","ba-videorecorder.wait-for-trim":"Trim komutu bekleniyor...","ba-videorecorder-controlbar.no-video-source":"Ek video giri&#x15F; kayna&#x11F;&#x131; eksik","ba-videorecorder-controlbar.stream-already-selected":"Ek ak&#x131;&#x15F; zaten se&#xE7;ildi","ba-videorecorder.uploading-src-error":"Video &#x15F;u anda oynat&#x131;lam&#x131;yor, y&#xFC;kleme i&#x15F;lemi devam ediyor","ba-audiorecorder-controlbar.pause-recorder":"Kaydediciyi Duraklat","ba-audiorecorder-controlbar.resume-recorder":"Kaydediciyi S&#xFC;rd&#xFC;r"},"language:uk":{"ba-videoplayer-playbutton.tooltip":"&#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x434;&#x43B;&#x44F; &#x432;&#x456;&#x434;&#x442;&#x432;&#x43E;&#x440;&#x435;&#x43D;&#x43D;&#x44F;.","ba-videoplayer-playbutton.rerecord":"&#x41F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438; &#x437;&#x430;&#x43F;&#x438;&#x441;","ba-videoplayer-playbutton.submit-video":"&#x41F;&#x456;&#x434;&#x442;&#x432;&#x435;&#x440;&#x434;&#x438;&#x442;&#x438; &#x432;&#x456;&#x434;&#x435;&#x43E;","ba-videoplayer-loader.tooltip":"&#x417;&#x430;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F;...","ba-videoplayer-controlbar.change-resolution":"&#x417;&#x43C;&#x456;&#x43D;&#x438;&#x442;&#x438; &#x440;&#x43E;&#x437;&#x434;&#x456;&#x43B;&#x44C;&#x43D;&#x443; &#x437;&#x434;&#x430;&#x442;&#x43D;&#x456;&#x441;&#x442;&#x44C;","ba-videoplayer-controlbar.video-progress":"&#x41F;&#x440;&#x43E;&#x433;&#x440;&#x435;&#x441;","ba-videoplayer-controlbar.rerecord-video":"&#x41F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;?","ba-videoplayer-controlbar.submit-video":"&#x41F;&#x456;&#x434;&#x442;&#x432;&#x435;&#x440;&#x434;&#x438;&#x442;&#x438;","ba-videoplayer-controlbar.play-video":"&#x412;&#x456;&#x434;&#x442;&#x432;&#x43E;&#x440;&#x438;&#x442;&#x438;","ba-videoplayer-controlbar.pause-video":"&#x41F;&#x440;&#x438;&#x437;&#x443;&#x43F;&#x438;&#x43D;&#x438;&#x442;&#x438;","ba-videoplayer-controlbar.elapsed-time":"&#x412;&#x438;&#x442;&#x440;&#x430;&#x447;&#x435;&#x43D;&#x438;&#x439; &#x447;&#x430;&#x441;","ba-videoplayer-controlbar.total-time":"&#x417;&#x430;&#x433;&#x430;&#x43B;&#x44C;&#x43D;&#x430; &#x442;&#x440;&#x438;&#x432;&#x430;&#x43B;&#x456;&#x441;&#x442;&#x44C;","ba-videoplayer-controlbar.fullscreen-video":"&#x423;&#x432;&#x456;&#x439;&#x442;&#x438; &#x434;&#x43E; &#x43F;&#x43E;&#x432;&#x43D;&#x43E;&#x435;&#x43A;&#x440;&#x430;&#x43D;&#x43D;&#x43E;&#x433;&#x43E; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x443;","ba-videoplayer-controlbar.volume-button":"&#x412;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x438; &#x433;&#x443;&#x447;&#x43D;&#x456;&#x441;&#x442;&#x44C;","ba-videoplayer-controlbar.volume-mute":"&#x412;&#x438;&#x43C;&#x43A;&#x43D;&#x443;&#x442;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-videoplayer-controlbar.volume-unmute":"&#x423;&#x432;&#x456;&#x43C;&#x43A;&#x43D;&#x443;&#x442;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-videoplayer.video-error":"&#x412;&#x438;&#x43D;&#x438;&#x43A;&#x43B;&#x430; &#x43F;&#x43E;&#x43C;&#x438;&#x43B;&#x43A;&#x430;, &#x431;&#x443;&#x434;&#x44C; &#x43B;&#x430;&#x441;&#x43A;&#x430;, &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x456;&#x442;&#x44C; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443; &#x43F;&#x456;&#x437;&#x43D;&#x456;&#x448;&#x435;. &#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x449;&#x43E;&#x431; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;.","ba-videorecorder-chooser.record-video":"&#x417;&#x430;&#x43F;&#x438;&#x441;&#x430;&#x442;&#x438; &#x432;&#x456;&#x434;&#x435;&#x43E;","ba-videorecorder-chooser.upload-video":"&#x412;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x438;&#x442;&#x438; &#x432;&#x456;&#x434;&#x435;&#x43E;","ba-videorecorder-controlbar.settings":"&#x41D;&#x430;&#x43B;&#x430;&#x448;&#x442;&#x443;&#x432;&#x430;&#x43D;&#x43D;&#x44F;","ba-videorecorder-controlbar.camerahealthy":"&#x41E;&#x441;&#x432;&#x456;&#x442;&#x43B;&#x435;&#x43D;&#x43D;&#x44F; &#x445;&#x43E;&#x440;&#x43E;&#x448;&#x435;","ba-videorecorder-controlbar.cameraunhealthy":"&#x41E;&#x441;&#x432;&#x456;&#x442;&#x43B;&#x435;&#x43D;&#x43D;&#x44F; &#x43D;&#x435; &#x454; &#x43E;&#x43F;&#x442;&#x438;&#x43C;&#x430;&#x43B;&#x44C;&#x43D;&#x438;&#x43C;","ba-videorecorder-controlbar.microphonehealthy":"&#x417;&#x432;&#x443;&#x43A; &#x445;&#x43E;&#x440;&#x43E;&#x448;&#x438;&#x439;","ba-videorecorder-controlbar.microphoneunhealthy":"&#x41D;&#x435; &#x432;&#x434;&#x430;&#x454;&#x442;&#x44C;&#x441;&#x44F; &#x440;&#x43E;&#x437;&#x43F;&#x456;&#x437;&#x43D;&#x430;&#x442;&#x438; &#x436;&#x43E;&#x434;&#x43D;&#x43E;&#x433;&#x43E; &#x437;&#x432;&#x443;&#x43A;&#x443;","ba-videorecorder-controlbar.record":"&#x417;&#x430;&#x43F;&#x438;&#x441;","ba-videorecorder-controlbar.record-tooltip":"&#x41A;&#x43B;&#x430;&#x446;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x430;&#x442;&#x438;.","ba-videorecorder-controlbar.rerecord":"&#x41F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;","ba-videorecorder-controlbar.rerecord-tooltip":"&#x41A;&#x43B;&#x430;&#x446;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;.","ba-videorecorder-controlbar.upload-covershot":"&#x412;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x438;&#x442;&#x438; &#x43E;&#x431;&#x43A;&#x43B;&#x430;&#x434;&#x438;&#x43D;&#x43A;&#x443;","ba-videorecorder-controlbar.upload-covershot-tooltip":"&#x41A;&#x43B;&#x430;&#x446;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x432;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x438;&#x442;&#x438; &#x432;&#x43B;&#x430;&#x441;&#x43D;&#x443; &#x43E;&#x431;&#x43A;&#x43B;&#x430;&#x434;&#x438;&#x43D;&#x43A;&#x443;","ba-videorecorder-controlbar.stop":"&#x417;&#x443;&#x43F;&#x438;&#x43D;&#x438;&#x442;&#x438;&#x441;&#x44F;","ba-videorecorder-controlbar.stop-tooltip":"&#x41A;&#x43B;&#x430;&#x446;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x437;&#x443;&#x43F;&#x438;&#x43D;&#x438;&#x442;&#x438;&#x441;&#x44F;.","ba-videorecorder-controlbar.skip":"&#x41F;&#x440;&#x43E;&#x43F;&#x443;&#x441;&#x442;&#x438;&#x442;&#x438;","ba-videorecorder-controlbar.skip-tooltip":"&#x41A;&#x43B;&#x430;&#x446;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x43F;&#x440;&#x43E;&#x43F;&#x443;&#x441;&#x442;&#x438;&#x442;&#x438;.","ba-videorecorder.recorder-error":"&#x412;&#x438;&#x43D;&#x438;&#x43A;&#x43B;&#x430; &#x43F;&#x43E;&#x43C;&#x438;&#x43B;&#x43A;&#x430;, &#x431;&#x443;&#x434;&#x44C; &#x43B;&#x430;&#x441;&#x43A;&#x430;, &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x456;&#x442;&#x44C; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443; &#x43F;&#x456;&#x437;&#x43D;&#x456;&#x448;&#x435;. &#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x449;&#x43E;&#x431; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;.","ba-videorecorder.attach-error":"&#x41D;&#x435; &#x432;&#x434;&#x430;&#x43B;&#x43E;&#x441;&#x44F; &#x43E;&#x442;&#x440;&#x438;&#x43C;&#x430;&#x442;&#x438; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F;&#x443; &#x434;&#x43E; &#x43C;&#x443;&#x43B;&#x44C;&#x442;&#x438;&#x43C;&#x435;&#x434;&#x456;&#x439;&#x43D;&#x43E;&#x433;&#x43E; &#x456;&#x43D;&#x442;&#x435;&#x440;&#x444;&#x435;&#x439;&#x441;&#x443;. &#x417;&#x430;&#x43B;&#x435;&#x436;&#x43D;&#x43E; &#x432;&#x456;&#x434; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x440;&#x43E;&#x44E; &#x442;&#x430; &#x431;&#x440;&#x430;&#x443;&#x437;&#x435;&#x440;&#x430;, &#x432;&#x430;&#x43C;, &#x43C;&#x43E;&#x436;&#x43B;&#x438;&#x432;&#x43E;, &#x43D;&#x435;&#x43E;&#x431;&#x445;&#x456;&#x434;&#x43D;&#x43E; &#x432;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x438; Flash &#x430;&#x431;&#x43E; &#x43E;&#x442;&#x440;&#x438;&#x43C;&#x430;&#x442;&#x438; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x434;&#x43E; &#x441;&#x442;&#x43E;&#x440;&#x456;&#x43D;&#x43A;&#x438; &#x447;&#x435;&#x440;&#x435;&#x437; SSL.","ba-videorecorder.access-forbidden":"&#x414;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x434;&#x43E; &#x43C;&#x443;&#x43B;&#x44C;&#x442;&#x438;&#x43C;&#x435;&#x434;&#x456;&#x430; &#x437;&#x430;&#x431;&#x43E;&#x440;&#x43E;&#x43D;&#x435;&#x43D;&#x438;&#x439;. &#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x449;&#x43E;&#x431; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;.","ba-videorecorder.pick-covershot":"&#x41E;&#x431;&#x435;&#x440;&#x456;&#x442;&#x44C; &#x43E;&#x431;&#x43A;&#x43B;&#x430;&#x434;&#x438;&#x43D;&#x43A;&#x443;.","ba-videorecorder.uploading":"&#x412;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F;","ba-videorecorder.uploading-failed":"&#x412;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F; &#x437;&#x430;&#x437;&#x43D;&#x430;&#x43B;&#x43E; &#x43D;&#x435;&#x432;&#x434;&#x430;&#x447;&#x456; - &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442; &#x449;&#x43E;&#x431; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;.","ba-videorecorder.verifying":"&#x41F;&#x435;&#x440;&#x435;&#x432;&#x456;&#x440;&#x43A;&#x430;","ba-videorecorder.verifying-failed":"&#x41F;&#x435;&#x440;&#x435;&#x432;&#x456;&#x440;&#x43A;&#x430; &#x437;&#x430;&#x437;&#x43D;&#x430;&#x43B;&#x430; &#x43D;&#x435;&#x432;&#x434;&#x430;&#x447;&#x456; - &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442; &#x449;&#x43E;&#x431; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;.","ba-videorecorder.rerecord-confirm":"&#x412;&#x438; &#x434;&#x456;&#x439;&#x441;&#x43D;&#x43E; &#x445;&#x43E;&#x447;&#x435;&#x442;&#x435; &#x43F;&#x435;&#x440;&#x435;&#x440;&#x43E;&#x431;&#x438;&#x442;&#x438; &#x441;&#x432;&#x43E;&#x454; &#x432;&#x456;&#x434;&#x435;&#x43E;?","ba-videorecorder.video_file_too_large":"&#x412;&#x430;&#x448; &#x432;&#x456;&#x434;&#x435;&#x43E;&#x444;&#x430;&#x439;&#x43B; &#x437;&#x430;&#x43D;&#x430;&#x434;&#x442;&#x43E; &#x432;&#x435;&#x43B;&#x438;&#x43A;&#x438;&#x439; (%s) - &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;&#x432;&#x430;&#x442;&#x438; &#x437;&#x43D;&#x43E;&#x432;&#x443; &#x437; &#x43C;&#x435;&#x43D;&#x448;&#x438;&#x43C; &#x432;&#x456;&#x434;&#x435;&#x43E;&#x444;&#x430;&#x439;&#x43B;&#x43E;&#x43C;.","ba-videorecorder.unsupported_video_type":"&#x411;&#x443;&#x434;&#x44C; &#x43B;&#x430;&#x441;&#x43A;&#x430;, &#x432;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x442;&#x435;: %s - &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442; &#x449;&#x43E;&#x431; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;.","ba-videoplayer-controlbar.exit-fullscreen-video":"&#x412;&#x438;&#x439;&#x442;&#x438; &#x437; &#x43F;&#x43E;&#x432;&#x43D;&#x43E;&#x435;&#x43A;&#x440;&#x430;&#x43D;&#x43D;&#x43E;&#x433;&#x43E; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x443;","ba-videoplayer-share.share":"&#x41F;&#x43E;&#x434;&#x456;&#x43B;&#x438;&#x442;&#x438;&#x441;&#x44C; &#x43C;&#x443;&#x43B;&#x44C;&#x442;&#x438;&#x43C;&#x435;&#x434;&#x456;&#x430;","ba-videorecorder-chooser.record-screen":"&#x417;&#x430;&#x43F;&#x438;&#x441; &#x435;&#x43A;&#x440;&#x430;&#x43D;&#x443;","ba-videoplayer-controlbar.pause-video-disabled":"&#x41F;&#x430;&#x443;&#x437;&#x430; &#x43D;&#x435; &#x43F;&#x456;&#x434;&#x442;&#x440;&#x438;&#x43C;&#x443;&#x454;&#x442;&#x44C;&#x441;&#x44F;","ba-videorecorder-chooser.record-audio":"&#x417;&#x430;&#x43F;&#x438;&#x441; &#x430;&#x443;&#x434;&#x456;&#x43E;","ba-videorecorder-controlbar.stop-available-after":"&#x41C;&#x456;&#x43D;&#x456;&#x43C;&#x430;&#x43B;&#x44C;&#x43D;&#x438;&#x439; &#x447;&#x430;&#x441; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x443;: %d &#x441;&#x435;&#x43A;&#x443;&#x43D;&#x434;","ba-videorecorder-controlbar.cancel":"&#x421;&#x43A;&#x430;&#x441;&#x443;&#x432;&#x430;&#x442;&#x438;","ba-videorecorder-controlbar.cancel-tooltip":"&#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442; &#x449;&#x43E;&#x431; &#x441;&#x43A;&#x430;&#x441;&#x443;&#x432;&#x430;&#x442;&#x438;.","ba-videorecorder.cancel-confirm":"&#x412;&#x438; &#x434;&#x456;&#x439;&#x441;&#x43D;&#x43E; &#x445;&#x43E;&#x447;&#x435;&#x442;&#x435; &#x441;&#x43A;&#x430;&#x441;&#x443;&#x432;&#x430;&#x442;&#x438; &#x432;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F; &#x432;&#x456;&#x434;&#x435;&#x43E;?","ba-videoplayer-adslot.elapsed-time":"&#x412;&#x438;&#x442;&#x440;&#x430;&#x447;&#x435;&#x43D;&#x438;&#x439; &#x447;&#x430;&#x441;","ba-videoplayer-adslot.volume-button":"&#x412;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x438; &#x433;&#x443;&#x447;&#x43D;&#x456;&#x441;&#x442;&#x44C;","ba-videoplayer-adslot.volume-mute":"&#x412;&#x438;&#x43C;&#x43A;&#x43D;&#x443;&#x442;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-videoplayer-adslot.volume-unmute":"&#x423;&#x432;&#x456;&#x43C;&#x43A;&#x43D;&#x443;&#x442;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-videoplayer-adslot.ad-will-end-after":"&#x420;&#x435;&#x43A;&#x43B;&#x430;&#x43C;&#x430; &#x437;&#x430;&#x43A;&#x456;&#x43D;&#x447;&#x438;&#x442;&#x44C;&#x441;&#x44F; &#x447;&#x435;&#x440;&#x435;&#x437; %s","ba-videoplayer-adslot.can-skip-after":"&#x41F;&#x440;&#x43E;&#x43F;&#x443;&#x441;&#x442;&#x438;&#x442;&#x438; &#x43F;&#x456;&#x441;&#x43B;&#x44F; %d","ba-videoplayer-adslot.skip-ad":"&#x41F;&#x440;&#x43E;&#x43F;&#x443;&#x441;&#x442;&#x438;&#x442;&#x438; &#x440;&#x435;&#x43A;&#x43B;&#x430;&#x43C;&#x43D;&#x435; &#x43E;&#x433;&#x43E;&#x43B;&#x43E;&#x448;&#x435;&#x43D;&#x43D;&#x44F;","ba-videorecorder.software-required":"&#x411;&#x443;&#x434;&#x44C; &#x43B;&#x430;&#x441;&#x43A;&#x430;, &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x43D;&#x438;&#x436;&#x447;&#x435;, &#x449;&#x43E;&#x431; &#x432;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x438; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x443;&#x432;&#x430;&#x442;&#x438; &#x43D;&#x430;&#x441;&#x442;&#x443;&#x43F;&#x43D;&#x456; &#x43D;&#x435;&#x43E;&#x431;&#x445;&#x456;&#x434;&#x43D;&#x456; &#x437;&#x430;&#x441;&#x43E;&#x431;&#x438;, &#x449;&#x43E;&#x431; &#x43F;&#x440;&#x43E;&#x434;&#x43E;&#x432;&#x436;&#x438;&#x442;&#x438;.","ba-videorecorder.software-waiting":"&#x41E;&#x447;&#x456;&#x43A;&#x443;&#x432;&#x430;&#x43D;&#x43D;&#x44F; &#x432;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x43B;&#x435;&#x43D;&#x43D;&#x44F; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x430;&#x446;&#x456;&#x457; &#x43D;&#x435;&#x43E;&#x431;&#x445;&#x456;&#x434;&#x43D;&#x438;&#x445; &#x437;&#x430;&#x441;&#x43E;&#x431;&#x456;&#x432;. &#x41C;&#x43E;&#x436;&#x43B;&#x438;&#x432;&#x43E;, &#x432;&#x430;&#x43C; &#x434;&#x43E;&#x432;&#x435;&#x434;&#x435;&#x442;&#x44C;&#x441;&#x44F; &#x43F;&#x435;&#x440;&#x435;&#x437;&#x430;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x438;&#x442;&#x438; &#x441;&#x442;&#x43E;&#x440;&#x456;&#x43D;&#x43A;&#x443; &#x43F;&#x456;&#x441;&#x43B;&#x44F; &#x437;&#x430;&#x432;&#x435;&#x440;&#x448;&#x435;&#x43D;&#x43D;&#x44F;.","ba-videoplayer-controlbar.close-tracks":"&#x417;&#x430;&#x43A;&#x440;&#x438;&#x442;&#x438; CC","ba-videoplayer-controlbar.show-tracks":"&#x41F;&#x43E;&#x43A;&#x430;&#x437;&#x430;&#x442;&#x438; CC","ba-videoplayer-tracks.upload-text-tracks":"&#x412;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x438;&#x442;&#x438; &#x442;&#x435;&#x43A;&#x441;&#x442;&#x43E;&#x432;&#x456; &#x444;&#x430;&#x439;&#x43B;&#x438; &#x434;&#x43E;&#x440;&#x456;&#x436;&#x43E;&#x43A;","ba-videoplayer-tracks.select-text-track-language":"&#x41C;&#x43E;&#x432;&#x430; &#x441;&#x443;&#x431;&#x442;&#x438;&#x442;&#x440;&#x456;&#x432;","ba-videoplayer-tracks.info-select-locale-first":"&#x421;&#x43F;&#x43E;&#x447;&#x430;&#x442;&#x43A;&#x443; &#x43E;&#x431;&#x435;&#x440;&#x456;&#x442;&#x44C; &#x43C;&#x43E;&#x432;&#x443;","ba-videoplayer-tracks.select-text-track-file":"&#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x434;&#x43B;&#x44F; &#x432;&#x438;&#x431;&#x43E;&#x440;&#x443; &#x444;&#x430;&#x439;&#x43B;&#x443;","ba-videoplayer-tracks.back":"&#x43D;&#x430;&#x437;&#x430;&#x434;","ba-videorecorder.framerate-warning":"&#x427;&#x430;&#x441;&#x442;&#x43E;&#x442;&#x430; &#x43A;&#x430;&#x434;&#x440;&#x456;&#x432; &#x432;&#x456;&#x434;&#x435;&#x43E; &#x454; &#x434;&#x443;&#x436;&#x435; &#x43D;&#x438;&#x437;&#x44C;&#x43A;&#x43E;&#x44E;. &#x41C;&#x438; &#x440;&#x435;&#x43A;&#x43E;&#x43C;&#x435;&#x43D;&#x434;&#x443;&#x454;&#x43C;&#x43E; &#x437;&#x430;&#x43A;&#x440;&#x438;&#x442;&#x438; &#x432;&#x441;&#x456; &#x456;&#x43D;&#x448;&#x456; &#x43F;&#x440;&#x43E;&#x433;&#x440;&#x430;&#x43C;&#x438; &#x442;&#x430; &#x432;&#x43A;&#x43B;&#x430;&#x434;&#x43A;&#x438; &#x431;&#x440;&#x430;&#x443;&#x437;&#x435;&#x440;&#x430; &#x430;&#x431;&#x43E; &#x432;&#x438;&#x43A;&#x43E;&#x440;&#x438;&#x441;&#x442;&#x43E;&#x432;&#x443;&#x432;&#x430;&#x442;&#x438; &#x43F;&#x43E;&#x442;&#x443;&#x436;&#x43D;&#x456;&#x448;&#x438;&#x439; &#x43A;&#x43E;&#x43C;&#x43F;&#x27;&#x44E;&#x442;&#x435;&#x440;.","ba-videorecorder.upload-error-duration":"&#x422;&#x440;&#x438;&#x432;&#x430;&#x43B;&#x456;&#x441;&#x442;&#x44C; &#x432;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x435;&#x43D;&#x43E;&#x433;&#x43E; &#x432;&#x456;&#x434;&#x435;&#x43E; &#x43D;&#x435; &#x432;&#x456;&#x434;&#x43F;&#x43E;&#x432;&#x456;&#x434;&#x430;&#x454; &#x432;&#x438;&#x43C;&#x43E;&#x433;&#x430;&#x43C; - &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;&#x432;&#x430;&#x442;&#x438; &#x449;&#x435; &#x440;&#x430;&#x437;.","ba-videorecorder.resolution-constraint-error":"&#x424;&#x430;&#x439;&#x43B;, &#x44F;&#x43A;&#x438;&#x439; &#x432;&#x438; &#x43E;&#x431;&#x440;&#x430;&#x43B;&#x438;, &#x43D;&#x435; &#x432;&#x456;&#x434;&#x43F;&#x43E;&#x432;&#x456;&#x434;&#x430;&#x454; &#x43D;&#x435;&#x43E;&#x431;&#x445;&#x456;&#x434;&#x43D;&#x456;&#x439; &#x440;&#x43E;&#x437;&#x434;&#x456;&#x43B;&#x44C;&#x43D;&#x456;&#x439; &#x437;&#x434;&#x430;&#x442;&#x43D;&#x43E;&#x441;&#x442;&#x456; - &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;&#x432;&#x430;&#x442;&#x438; &#x449;&#x435; &#x440;&#x430;&#x437;.","ba-videorecorder.orientation-portrait-required":"&#x411;&#x443;&#x434;&#x44C; &#x43B;&#x430;&#x441;&#x43A;&#x430;, &#x43E;&#x431;&#x435;&#x440;&#x43D;&#x456;&#x442;&#x44C; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x440;&#x456;&#x439;, &#x449;&#x43E;&#x431; &#x440;&#x43E;&#x431;&#x438;&#x442;&#x438; &#x437;&#x430;&#x43F;&#x438;&#x441; &#x443; &#x43F;&#x43E;&#x440;&#x442;&#x440;&#x435;&#x442;&#x43D;&#x43E;&#x43C;&#x443; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x456;.","ba-videorecorder.orientation-landscape-required":"&#x411;&#x443;&#x434;&#x44C; &#x43B;&#x430;&#x441;&#x43A;&#x430;, &#x43E;&#x431;&#x435;&#x440;&#x43D;&#x456;&#x442;&#x44C; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x440;&#x456;&#x439;, &#x449;&#x43E;&#x431; &#x440;&#x43E;&#x431;&#x438;&#x442;&#x438; &#x437;&#x430;&#x43F;&#x438;&#x441; &#x443; &#x430;&#x43B;&#x44C;&#x431;&#x43E;&#x43C;&#x43D;&#x43E;&#x43C;&#x443; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x456;.","ba-imageviewer-controlbar.rerecord-image":"&#x41F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;?","ba-imageviewer-controlbar.submit-image":"&#x41F;&#x456;&#x434;&#x442;&#x432;&#x435;&#x440;&#x434;&#x438;&#x442;&#x438;","ba-imageviewer-controlbar.fullscreen-image":"&#x423;&#x432;&#x456;&#x439;&#x442;&#x438; &#x434;&#x43E; &#x43F;&#x43E;&#x432;&#x43D;&#x43E;&#x435;&#x43A;&#x440;&#x430;&#x43D;&#x43D;&#x43E;&#x433;&#x43E; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x443;","ba-imageviewer-controlbar.exit-fullscreen-image":"&#x412;&#x438;&#x439;&#x442;&#x438; &#x437; &#x43F;&#x43E;&#x432;&#x43D;&#x43E;&#x435;&#x43A;&#x440;&#x430;&#x43D;&#x43D;&#x43E;&#x433;&#x43E; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x443;","ba-imageviewer.image-error":"&#x412;&#x438;&#x43D;&#x438;&#x43A;&#x43B;&#x430; &#x43F;&#x43E;&#x43C;&#x438;&#x43B;&#x43A;&#x430;, &#x431;&#x443;&#x434;&#x44C; &#x43B;&#x430;&#x441;&#x43A;&#x430;, &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x456;&#x442;&#x44C; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443; &#x43F;&#x456;&#x437;&#x43D;&#x456;&#x448;&#x435;. &#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x449;&#x43E;&#x431; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;.","ba-imagecapture-chooser.image-capture":"&#x417;&#x440;&#x43E;&#x431;&#x438;&#x442;&#x438; &#x437;&#x43D;&#x456;&#x43C;&#x43E;&#x43A;","ba-imagecapture-chooser.upload-image":"&#x412;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x438;&#x442;&#x438; &#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F;","ba-imagecapture-controlbar.settings":"&#x41D;&#x430;&#x43B;&#x430;&#x448;&#x442;&#x443;&#x432;&#x430;&#x43D;&#x43D;&#x44F;","ba-imagecapture-controlbar.camerahealthy":"&#x41E;&#x441;&#x432;&#x456;&#x442;&#x43B;&#x435;&#x43D;&#x43D;&#x44F; &#x445;&#x43E;&#x440;&#x43E;&#x448;&#x435;","ba-imagecapture-controlbar.cameraunhealthy":"&#x41E;&#x441;&#x432;&#x456;&#x442;&#x43B;&#x435;&#x43D;&#x43D;&#x44F; &#x43D;&#x435; &#x454; &#x43E;&#x43F;&#x442;&#x438;&#x43C;&#x430;&#x43B;&#x44C;&#x43D;&#x438;&#x43C;","ba-imagecapture-controlbar.record":"&#x417;&#x430;&#x445;&#x43E;&#x43F;&#x438;&#x442;&#x438;","ba-imagecapture-controlbar.record-tooltip":"&#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x437;&#x430;&#x445;&#x43E;&#x43F;&#x438;&#x442;&#x438;.","ba-imagecapture-controlbar.rerecord":"&#x41F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;","ba-imagecapture-controlbar.rerecord-tooltip":"&#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;.","ba-imagecapture-controlbar.cancel":"&#x421;&#x43A;&#x430;&#x441;&#x443;&#x432;&#x430;&#x442;&#x438;","ba-imagecapture-controlbar.cancel-tooltip":"&#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x441;&#x43A;&#x430;&#x441;&#x443;&#x432;&#x430;&#x442;&#x438;.","ba-audioplayer-controlbar.audio-progress":"&#x41F;&#x440;&#x43E;&#x433;&#x440;&#x435;&#x441;","ba-audioplayer-controlbar.rerecord-audio":"&#x41F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;?","ba-audioplayer-controlbar.submit-audio":"&#x41F;&#x456;&#x434;&#x442;&#x432;&#x435;&#x440;&#x434;&#x438;&#x442;&#x438;","ba-audioplayer-controlbar.play-audio":"&#x412;&#x456;&#x434;&#x442;&#x432;&#x43E;&#x440;&#x438;&#x442;&#x438;","ba-audioplayer-controlbar.pause-audio":"&#x41F;&#x440;&#x438;&#x437;&#x443;&#x43F;&#x438;&#x43D;&#x438;&#x442;&#x438;","ba-audioplayer-controlbar.pause-audio-disabled":"&#x41F;&#x430;&#x443;&#x437;&#x430; &#x43D;&#x435; &#x43F;&#x456;&#x434;&#x442;&#x440;&#x438;&#x43C;&#x443;&#x454;&#x442;&#x44C;&#x441;&#x44F;","ba-audioplayer-controlbar.elapsed-time":"&#x412;&#x438;&#x442;&#x440;&#x430;&#x447;&#x435;&#x43D;&#x438;&#x439; &#x447;&#x430;&#x441;","ba-audioplayer-controlbar.total-time":"&#x417;&#x430;&#x433;&#x430;&#x43B;&#x44C;&#x43D;&#x430; &#x442;&#x440;&#x438;&#x432;&#x430;&#x43B;&#x456;&#x441;&#x442;&#x44C;","ba-audioplayer-controlbar.volume-button":"&#x412;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x438; &#x433;&#x443;&#x447;&#x43D;&#x456;&#x441;&#x442;&#x44C;","ba-audioplayer-controlbar.volume-mute":"&#x412;&#x438;&#x43C;&#x43A;&#x43D;&#x443;&#x442;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-audioplayer-controlbar.volume-unmute":"&#x423;&#x432;&#x456;&#x43C;&#x43A;&#x43D;&#x443;&#x442;&#x438; &#x437;&#x432;&#x443;&#x43A;","ba-audioplayer-loader.tooltip":"&#x417;&#x430;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F;...","ba-audioplayer.audio-error":"&#x412;&#x438;&#x43D;&#x438;&#x43A;&#x43B;&#x430; &#x43F;&#x43E;&#x43C;&#x438;&#x43B;&#x43A;&#x430;, &#x431;&#x443;&#x434;&#x44C; &#x43B;&#x430;&#x441;&#x43A;&#x430;, &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x456;&#x442;&#x44C; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443; &#x43F;&#x456;&#x437;&#x43D;&#x456;&#x448;&#x435;. &#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x449;&#x43E;&#x431; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;.","ba-audiorecorder-chooser.record-audio":"&#x417;&#x430;&#x43F;&#x438;&#x441; &#x430;&#x443;&#x434;&#x456;&#x43E;","ba-audiorecorder-chooser.upload-audio":"&#x412;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F; &#x430;&#x443;&#x434;&#x456;&#x43E;","ba-audiorecorder-controlbar.settings":"&#x41D;&#x430;&#x43B;&#x430;&#x448;&#x442;&#x443;&#x432;&#x430;&#x43D;&#x43D;&#x44F;","ba-audiorecorder-controlbar.microphonehealthy":"&#x417;&#x432;&#x443;&#x43A; &#x445;&#x43E;&#x440;&#x43E;&#x448;&#x438;&#x439;","ba-audiorecorder-controlbar.microphoneunhealthy":"&#x41D;&#x435; &#x432;&#x434;&#x430;&#x454;&#x442;&#x44C;&#x441;&#x44F; &#x440;&#x43E;&#x437;&#x43F;&#x456;&#x437;&#x43D;&#x430;&#x442;&#x438; &#x436;&#x43E;&#x434;&#x435;&#x43D; &#x437;&#x432;&#x443;&#x43A;","ba-audiorecorder-controlbar.record":"&#x417;&#x430;&#x43F;&#x438;&#x441;","ba-audiorecorder-controlbar.record-tooltip":"&#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x443;&#x432;&#x430;&#x442;&#x438;.","ba-audiorecorder-controlbar.rerecord":"&#x41F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;","ba-audiorecorder-controlbar.rerecord-tooltip":"&#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;.","ba-audiorecorder-controlbar.stop":"&#x417;&#x443;&#x43F;&#x438;&#x43D;&#x438;&#x442;&#x438;","ba-audiorecorder-controlbar.stop-tooltip":"&#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x437;&#x443;&#x43F;&#x438;&#x43D;&#x438;&#x442;&#x438;.","ba-audiorecorder-controlbar.stop-available-after":"&#x41C;&#x456;&#x43D;&#x456;&#x43C;&#x430;&#x43B;&#x44C;&#x43D;&#x438;&#x439; &#x447;&#x430;&#x441; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x443; &#x441;&#x43A;&#x43B;&#x430;&#x434;&#x430;&#x454; %d &#x441;&#x435;&#x43A;&#x443;&#x43D;&#x434;","ba-audiorecorder-controlbar.cancel":"&#x421;&#x43A;&#x430;&#x441;&#x443;&#x432;&#x430;&#x442;&#x438;","ba-audiorecorder-controlbar.cancel-tooltip":"&#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x441;&#x43A;&#x430;&#x441;&#x443;&#x432;&#x430;&#x442;&#x438;.","ba-videoplayer-controlbar.player-speed":"&#x428;&#x432;&#x438;&#x434;&#x43A;&#x456;&#x441;&#x442;&#x44C; &#x43F;&#x440;&#x43E;&#x433;&#x440;&#x430;&#x432;&#x430;&#x447;&#x430;","ba-videoplayer-controlbar.settings":"&#x41D;&#x430;&#x43B;&#x430;&#x448;&#x442;&#x443;&#x432;&#x430;&#x43D;&#x43D;&#x44F;","ba-videoplayer-controlbar.airplay":"Airplay","ba-videoplayer-controlbar.airplay-icon":"&#x406;&#x43A;&#x43E;&#x43D;&#x43A;&#x430; Airplay.","ba-videoplayer.all-settings":"&#x423;&#x441;&#x456; &#x43D;&#x430;&#x43B;&#x430;&#x448;&#x442;&#x443;&#x432;&#x430;&#x43D;&#x43D;&#x44F;","ba-videoplayer.player-speed":"&#x428;&#x432;&#x438;&#x434;&#x43A;&#x456;&#x441;&#x442;&#x44C; &#x43F;&#x440;&#x43E;&#x433;&#x440;&#x430;&#x432;&#x430;&#x447;&#x430;","ba-videoplayer.full-screen":"&#x41F;&#x43E;&#x432;&#x43D;&#x43E;&#x435;&#x43A;&#x440;&#x430;&#x43D;&#x43D;&#x438;&#x439; &#x440;&#x435;&#x436;&#x438;&#x43C;","ba-videorecorder-controlbar.add-stream":"&#x414;&#x43E;&#x434;&#x430;&#x442;&#x438; &#x442;&#x440;&#x430;&#x43D;&#x441;&#x43B;&#x44F;&#x446;&#x456;&#x44E;","ba-videorecorder.switch-camera":"&#x41F;&#x435;&#x440;&#x435;&#x43C;&#x43A;&#x43D;&#x443;&#x442;&#x438; &#x43A;&#x430;&#x43C;&#x435;&#x440;&#x443;","ba-videorecorder.prepare-covershot":"&#x41F;&#x456;&#x434;&#x433;&#x43E;&#x442;&#x43E;&#x432;&#x43A;&#x430; &#x43E;&#x431;&#x43A;&#x43B;&#x430;&#x434;&#x438;&#x43D;&#x43E;&#x43A;","ba-videorecorder.prepare-thumbnails":"&#x41F;&#x456;&#x434;&#x433;&#x43E;&#x442;&#x43E;&#x432;&#x43A;&#x430; &#x43F;&#x43E;&#x448;&#x443;&#x43A;&#x443; &#x435;&#x441;&#x43A;&#x456;&#x437;&#x456;&#x432;","ba-videorecorder.adding-new-stream":"&#x414;&#x43E;&#x434;&#x430;&#x432;&#x430;&#x43D;&#x43D;&#x44F; &#x43D;&#x43E;&#x432;&#x43E;&#x457; &#x442;&#x440;&#x430;&#x43D;&#x441;&#x43B;&#x44F;&#x446;&#x456;&#x457;","ba-imagecapture.recorder-error":"&#x412;&#x438;&#x43D;&#x438;&#x43A;&#x43B;&#x430; &#x43F;&#x43E;&#x43C;&#x438;&#x43B;&#x43A;&#x430;, &#x431;&#x443;&#x434;&#x44C; &#x43B;&#x430;&#x441;&#x43A;&#x430;, &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x456;&#x442;&#x44C; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443; &#x43F;&#x456;&#x437;&#x43D;&#x456;&#x448;&#x435;. &#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x449;&#x43E;&#x431; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;.","ba-imagecapture.attach-error":"&#x41D;&#x435; &#x432;&#x434;&#x430;&#x43B;&#x43E;&#x441;&#x44F; &#x43E;&#x442;&#x440;&#x438;&#x43C;&#x430;&#x442;&#x438; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F;&#x443; &#x434;&#x43E; &#x43C;&#x443;&#x43B;&#x44C;&#x442;&#x438;&#x43C;&#x435;&#x434;&#x456;&#x439;&#x43D;&#x43E;&#x433;&#x43E; &#x456;&#x43D;&#x442;&#x435;&#x440;&#x444;&#x435;&#x439;&#x441;&#x443;. &#x417;&#x430;&#x43B;&#x435;&#x436;&#x43D;&#x43E; &#x432;&#x456;&#x434; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x440;&#x43E;&#x44E; &#x442;&#x430; &#x431;&#x440;&#x430;&#x443;&#x437;&#x435;&#x440;&#x430;, &#x432;&#x430;&#x43C;, &#x43C;&#x43E;&#x436;&#x43B;&#x438;&#x432;&#x43E;, &#x43D;&#x435;&#x43E;&#x431;&#x445;&#x456;&#x434;&#x43D;&#x43E; &#x432;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x438; Flash &#x430;&#x431;&#x43E; &#x43E;&#x442;&#x440;&#x438;&#x43C;&#x430;&#x442;&#x438; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x434;&#x43E; &#x441;&#x442;&#x43E;&#x440;&#x456;&#x43D;&#x43A;&#x438; &#x447;&#x435;&#x440;&#x435;&#x437; SSL.","ba-imagecapture.software-required":"&#x411;&#x443;&#x434;&#x44C; &#x43B;&#x430;&#x441;&#x43A;&#x430;, &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x43D;&#x438;&#x436;&#x447;&#x435;, &#x449;&#x43E;&#x431; &#x432;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x438; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x443;&#x432;&#x430;&#x442;&#x438; &#x43D;&#x430;&#x441;&#x442;&#x443;&#x43F;&#x43D;&#x456; &#x43D;&#x435;&#x43E;&#x431;&#x445;&#x456;&#x434;&#x43D;&#x456; &#x437;&#x430;&#x441;&#x43E;&#x431;&#x438;, &#x449;&#x43E;&#x431; &#x43F;&#x440;&#x43E;&#x434;&#x43E;&#x432;&#x436;&#x438;&#x442;&#x438;.","ba-imagecapture.software-waiting":"&#x41E;&#x447;&#x456;&#x43A;&#x443;&#x432;&#x430;&#x43D;&#x43D;&#x44F; &#x432;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x43B;&#x435;&#x43D;&#x43D;&#x44F; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x430;&#x446;&#x456;&#x457; &#x43D;&#x435;&#x43E;&#x431;&#x445;&#x456;&#x434;&#x43D;&#x438;&#x445; &#x437;&#x430;&#x441;&#x43E;&#x431;&#x456;&#x432;. &#x41C;&#x43E;&#x436;&#x43B;&#x438;&#x432;&#x43E;, &#x432;&#x430;&#x43C; &#x434;&#x43E;&#x432;&#x435;&#x434;&#x435;&#x442;&#x44C;&#x441;&#x44F; &#x43F;&#x435;&#x440;&#x435;&#x437;&#x430;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x438;&#x442;&#x438; &#x441;&#x442;&#x43E;&#x440;&#x456;&#x43D;&#x43A;&#x443; &#x43F;&#x456;&#x441;&#x43B;&#x44F; &#x437;&#x430;&#x432;&#x435;&#x440;&#x448;&#x435;&#x43D;&#x43D;&#x44F;.","ba-imagecapture.access-forbidden":"&#x423; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F;&#x456; &#x434;&#x43E; &#x43A;&#x430;&#x43C;&#x435;&#x440;&#x438; &#x431;&#x443;&#x43B;&#x43E; &#x432;&#x456;&#x434;&#x43C;&#x43E;&#x432;&#x43B;&#x435;&#x43D;&#x43E;. &#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x449;&#x43E;&#x431; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;.","ba-imagecapture.uploading":"&#x412;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F;","ba-imagecapture.uploading-failed":"&#x412;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F; &#x437;&#x430;&#x437;&#x43D;&#x430;&#x43B;&#x43E; &#x43D;&#x435;&#x432;&#x434;&#x430;&#x447;&#x456; - &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442; &#x449;&#x43E;&#x431; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;&#x432;&#x430;&#x442;&#x438; &#x437;&#x43D;&#x43E;&#x432;&#x443;.","ba-imagecapture.upload-error-duration":"&#x420;&#x43E;&#x437;&#x43C;&#x456;&#x440; &#x432;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x443;&#x432;&#x430;&#x43D;&#x43E;&#x433;&#x43E; &#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F; &#x43D;&#x435; &#x432;&#x456;&#x434;&#x43F;&#x43E;&#x432;&#x456;&#x434;&#x430;&#x454; &#x432;&#x438;&#x43C;&#x43E;&#x433;&#x430;&#x43C; - &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;&#x432;&#x430;&#x442;&#x438; &#x449;&#x435; &#x440;&#x430;&#x437;.","ba-imagecapture.resolution-constraint-error":"&#x424;&#x430;&#x439;&#x43B;, &#x44F;&#x43A;&#x438;&#x439; &#x432;&#x438; &#x43E;&#x431;&#x440;&#x430;&#x43B;&#x438;, &#x43D;&#x435; &#x432;&#x456;&#x434;&#x43F;&#x43E;&#x432;&#x456;&#x434;&#x430;&#x454; &#x43D;&#x435;&#x43E;&#x431;&#x445;&#x456;&#x434;&#x43D;&#x43E;&#x43C;&#x443; &#x440;&#x43E;&#x437;&#x448;&#x438;&#x440;&#x435;&#x43D;&#x43D;&#x44E; - &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;&#x432;&#x430;&#x442;&#x438; &#x449;&#x435; &#x440;&#x430;&#x437;.","ba-imagecapture.verifying":"&#x412;&#x435;&#x440;&#x438;&#x444;&#x456;&#x43A;&#x430;&#x446;&#x456;&#x44F;","ba-imagecapture.verifying-failed":"&#x412;&#x435;&#x440;&#x438;&#x444;&#x456;&#x43A;&#x430;&#x446;&#x456;&#x44F; &#x437;&#x430;&#x437;&#x43D;&#x430;&#x43B;&#x430; &#x43D;&#x435;&#x432;&#x434;&#x430;&#x447;&#x456; - &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;&#x432;&#x430;&#x442;&#x438; &#x449;&#x435; &#x440;&#x430;&#x437;.","ba-imagecapture.rerecord-confirm":"&#x412;&#x438; &#x434;&#x456;&#x439;&#x441;&#x43D;&#x43E; &#x445;&#x43E;&#x447;&#x435;&#x442;&#x435; &#x43F;&#x435;&#x440;&#x435;&#x437;&#x43D;&#x44F;&#x442;&#x438; &#x432;&#x430;&#x448;&#x435; &#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F;?","ba-imagecapture.image_file_too_large":"&#x412;&#x430;&#x448;&#x435; &#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F; &#x437;&#x430;&#x43D;&#x430;&#x434;&#x442;&#x43E; &#x432;&#x435;&#x43B;&#x438;&#x43A;&#x435; (%s) - &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;&#x432;&#x430;&#x442;&#x438; &#x449;&#x435; &#x440;&#x430;&#x437; &#x437; &#x43C;&#x435;&#x43D;&#x448;&#x438;&#x43C; &#x444;&#x430;&#x439;&#x43B;&#x43E;&#x43C; &#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F;.","ba-imagecapture.unsupported_image_type":"&#x411;&#x443;&#x434;&#x44C; &#x43B;&#x430;&#x441;&#x43A;&#x430;, &#x432;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x442;&#x435;: %s - &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;&#x432;&#x430;&#x442;&#x438; &#x449;&#x435; &#x440;&#x430;&#x437;.","ba-imagecapture.orientation-portrait-required":"&#x411;&#x443;&#x434;&#x44C; &#x43B;&#x430;&#x441;&#x43A;&#x430;, &#x43E;&#x431;&#x435;&#x440;&#x43D;&#x456;&#x442;&#x44C; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x440;&#x456;&#x439;, &#x449;&#x43E;&#x431; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x443;&#x432;&#x430;&#x442;&#x438; &#x443; &#x43F;&#x43E;&#x440;&#x442;&#x440;&#x435;&#x442;&#x43D;&#x43E;&#x43C;&#x443; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x456;.","ba-imagecapture.orientation-landscape-required":"&#x411;&#x443;&#x434;&#x44C; &#x43B;&#x430;&#x441;&#x43A;&#x430;, &#x43E;&#x431;&#x435;&#x440;&#x43D;&#x456;&#x442;&#x44C; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x440;&#x456;&#x439;, &#x449;&#x43E;&#x431; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x443;&#x432;&#x430;&#x442;&#x438; &#x443; &#x430;&#x43B;&#x44C;&#x431;&#x43E;&#x43C;&#x43D;&#x43E;&#x43C;&#x443; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x456;.","ba-audiorecorder.recorder-error":"&#x412;&#x438;&#x43D;&#x438;&#x43A;&#x43B;&#x430; &#x43F;&#x43E;&#x43C;&#x438;&#x43B;&#x43A;&#x430;, &#x431;&#x443;&#x434;&#x44C; &#x43B;&#x430;&#x441;&#x43A;&#x430;, &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x456;&#x442;&#x44C; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443; &#x43F;&#x456;&#x437;&#x43D;&#x456;&#x448;&#x435;. &#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x449;&#x43E;&#x431; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;.","ba-audiorecorder.attach-error":"&#x41D;&#x435; &#x432;&#x434;&#x430;&#x43B;&#x43E;&#x441;&#x44F; &#x43E;&#x442;&#x440;&#x438;&#x43C;&#x430;&#x442;&#x438; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F;&#x443; &#x434;&#x43E; &#x43C;&#x443;&#x43B;&#x44C;&#x442;&#x438;&#x43C;&#x435;&#x434;&#x456;&#x439;&#x43D;&#x43E;&#x433;&#x43E; &#x456;&#x43D;&#x442;&#x435;&#x440;&#x444;&#x435;&#x439;&#x441;&#x443;. &#x417;&#x430;&#x43B;&#x435;&#x436;&#x43D;&#x43E; &#x432;&#x456;&#x434; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x440;&#x43E;&#x44E; &#x442;&#x430; &#x431;&#x440;&#x430;&#x443;&#x437;&#x435;&#x440;&#x430;, &#x432;&#x430;&#x43C;, &#x43C;&#x43E;&#x436;&#x43B;&#x438;&#x432;&#x43E;, &#x43D;&#x435;&#x43E;&#x431;&#x445;&#x456;&#x434;&#x43D;&#x43E; &#x432;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x438; Flash &#x430;&#x431;&#x43E; &#x43E;&#x442;&#x440;&#x438;&#x43C;&#x430;&#x442;&#x438; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x434;&#x43E; &#x441;&#x442;&#x43E;&#x440;&#x456;&#x43D;&#x43A;&#x438; &#x447;&#x435;&#x440;&#x435;&#x437; SSL.","ba-audiorecorder.software-required":"&#x411;&#x443;&#x434;&#x44C; &#x43B;&#x430;&#x441;&#x43A;&#x430;, &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x43D;&#x438;&#x436;&#x447;&#x435;, &#x449;&#x43E;&#x431; &#x432;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x438; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x443;&#x432;&#x430;&#x442;&#x438; &#x43D;&#x430;&#x441;&#x442;&#x443;&#x43F;&#x43D;&#x456; &#x43D;&#x435;&#x43E;&#x431;&#x445;&#x456;&#x434;&#x43D;&#x456; &#x437;&#x430;&#x441;&#x43E;&#x431;&#x438;, &#x449;&#x43E;&#x431; &#x43F;&#x440;&#x43E;&#x434;&#x43E;&#x432;&#x436;&#x438;&#x442;&#x438;.","ba-audiorecorder.software-waiting":"&#x41E;&#x447;&#x456;&#x43A;&#x443;&#x432;&#x430;&#x43D;&#x43D;&#x44F; &#x432;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x43B;&#x435;&#x43D;&#x43D;&#x44F; / &#x430;&#x43A;&#x442;&#x438;&#x432;&#x430;&#x446;&#x456;&#x457; &#x43D;&#x435;&#x43E;&#x431;&#x445;&#x456;&#x434;&#x43D;&#x438;&#x445; &#x437;&#x430;&#x441;&#x43E;&#x431;&#x456;&#x432;. &#x41C;&#x43E;&#x436;&#x43B;&#x438;&#x432;&#x43E;, &#x432;&#x430;&#x43C; &#x434;&#x43E;&#x432;&#x435;&#x434;&#x435;&#x442;&#x44C;&#x441;&#x44F; &#x43F;&#x435;&#x440;&#x435;&#x437;&#x430;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x438;&#x442;&#x438; &#x441;&#x442;&#x43E;&#x440;&#x456;&#x43D;&#x43A;&#x443; &#x43F;&#x456;&#x441;&#x43B;&#x44F; &#x437;&#x430;&#x432;&#x435;&#x440;&#x448;&#x435;&#x43D;&#x43D;&#x44F;.","ba-audiorecorder.access-forbidden":"&#x423; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F;&#x456; &#x434;&#x43E; &#x434;&#x438;&#x43A;&#x442;&#x43E;&#x444;&#x43E;&#x43D;&#x443; &#x431;&#x443;&#x43B;&#x43E; &#x432;&#x456;&#x434;&#x43C;&#x43E;&#x432;&#x43B;&#x435;&#x43D;&#x43E;. &#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x449;&#x43E;&#x431; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438;.","ba-audiorecorder.uploading":"&#x412;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F;","ba-audiorecorder.uploading-failed":"&#x412;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F; &#x437;&#x430;&#x437;&#x43D;&#x430;&#x43B;&#x43E; &#x43D;&#x435;&#x432;&#x434;&#x430;&#x447;&#x456; - &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;&#x432;&#x430;&#x442;&#x438; &#x449;&#x435; &#x440;&#x430;&#x437;.","ba-audiorecorder.upload-error-duration":"&#x422;&#x440;&#x438;&#x432;&#x430;&#x43B;&#x456;&#x441;&#x442;&#x44C; &#x432;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x443;&#x432;&#x430;&#x43D;&#x43E;&#x433;&#x43E; &#x430;&#x443;&#x434;&#x456;&#x43E; &#x43D;&#x435; &#x432;&#x456;&#x434;&#x43F;&#x43E;&#x432;&#x456;&#x434;&#x430;&#x454; &#x432;&#x438;&#x43C;&#x43E;&#x433;&#x430;&#x43C; - &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;&#x432;&#x430;&#x442;&#x438; &#x449;&#x435; &#x440;&#x430;&#x437;.","ba-audiorecorder.verifying":"&#x412;&#x435;&#x440;&#x438;&#x444;&#x456;&#x43A;&#x430;&#x446;&#x456;&#x44F;","ba-audiorecorder.verifying-failed":"&#x412;&#x435;&#x440;&#x438;&#x444;&#x456;&#x43A;&#x430;&#x446;&#x456;&#x44F; &#x437;&#x430;&#x437;&#x43D;&#x430;&#x43B;&#x430; &#x43D;&#x435;&#x432;&#x434;&#x430;&#x447;&#x456; - &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;&#x432;&#x430;&#x442;&#x438; &#x449;&#x435; &#x440;&#x430;&#x437;.","ba-audiorecorder.rerecord-confirm":"&#x412;&#x438; &#x441;&#x43F;&#x440;&#x430;&#x432;&#x434;&#x456; &#x431;&#x430;&#x436;&#x430;&#x454;&#x442;&#x435; &#x43F;&#x435;&#x440;&#x435;&#x437;&#x430;&#x43F;&#x438;&#x441;&#x430;&#x442;&#x438; &#x430;&#x443;&#x434;&#x456;&#x43E;?","ba-audiorecorder.cancel-confirm":"&#x412;&#x438; &#x441;&#x43F;&#x440;&#x430;&#x432;&#x434;&#x456; &#x431;&#x430;&#x436;&#x430;&#x454;&#x442;&#x435; &#x441;&#x43A;&#x430;&#x441;&#x443;&#x432;&#x430;&#x442;&#x438; &#x432;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F; &#x430;&#x443;&#x434;&#x456;&#x43E;?","ba-audiorecorder.audio_file_too_large":"&#x412;&#x430;&#x448; &#x430;&#x443;&#x434;&#x456;&#x43E;&#x444;&#x430;&#x439;&#x43B; &#x437;&#x430;&#x43D;&#x430;&#x434;&#x442;&#x43E; &#x432;&#x435;&#x43B;&#x438;&#x43A;&#x438;&#x439; (%s) - &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;&#x432;&#x430;&#x442;&#x438; &#x449;&#x435; &#x440;&#x430;&#x437; &#x437; &#x43C;&#x435;&#x43D;&#x448;&#x438;&#x43C; &#x430;&#x443;&#x434;&#x456;&#x43E;&#x444;&#x430;&#x439;&#x43B;&#x43E;&#x43C;.","ba-audiorecorder.unsupported_audio_type":"&#x411;&#x443;&#x434;&#x44C; &#x43B;&#x430;&#x441;&#x43A;&#x430;, &#x432;&#x438;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x442;&#x435;: %s - &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x442;&#x443;&#x442;, &#x449;&#x43E;&#x431; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;&#x432;&#x430;&#x442;&#x438; &#x449;&#x435; &#x440;&#x430;&#x437;.","ba-common-settingsmenu.tooltip":"&#x41D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x456;&#x442;&#x44C; &#x434;&#x43B;&#x44F; &#x432;&#x456;&#x434;&#x442;&#x432;&#x43E;&#x440;&#x435;&#x43D;&#x43D;&#x44F;.","ba-common-settingsmenu.setting-menu":"&#x412;&#x441;&#x456; &#x43D;&#x430;&#x43B;&#x430;&#x448;&#x442;&#x443;&#x432;&#x430;&#x43D;&#x43D;&#x44F;","ba-common-settingsmenu.source-quality":"&#x42F;&#x43A;&#x456;&#x441;&#x442;&#x44C; &#x434;&#x436;&#x435;&#x440;&#x435;&#x43B;&#x430;","ba-common-settingsmenu.player-speed":"&#x428;&#x432;&#x438;&#x434;&#x43A;&#x456;&#x441;&#x442;&#x44C; &#x432;&#x456;&#x434;&#x442;&#x432;&#x43E;&#x440;&#x435;&#x43D;&#x43D;&#x44F;","ba-common-settingsmenu.set-menu-option":"&#x412;&#x441;&#x442;&#x430;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x438; &#x43F;&#x430;&#x440;&#x430;&#x43C;&#x435;&#x442;&#x440;","ba-common-settingsmenu.submit-video":"&#x41F;&#x456;&#x434;&#x442;&#x432;&#x435;&#x440;&#x434;&#x438;&#x442;&#x438; &#x432;&#x456;&#x434;&#x435;&#x43E;","ba-common-settingsmenu.picture-in-picture":"&#x417;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F; &#x432; &#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x456;","ba-common-settingsmenu.exit-fullscreen-video":"&#x412;&#x438;&#x439;&#x442;&#x438; &#x437; &#x43F;&#x43E;&#x432;&#x43D;&#x43E;&#x435;&#x43A;&#x440;&#x430;&#x43D;&#x43D;&#x43E;&#x433;&#x43E; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x443;","ba-common-settingsmenu.fullscreen-video":"&#x423;&#x432;&#x456;&#x439;&#x442;&#x438; &#x434;&#x43E; &#x43F;&#x43E;&#x432;&#x43D;&#x43E;&#x435;&#x43A;&#x440;&#x430;&#x43D;&#x43D;&#x43E;&#x433;&#x43E; &#x440;&#x435;&#x436;&#x438;&#x43C;&#x443;","ba-videorecorder-chooser.multi-stream":"&#x411;&#x430;&#x433;&#x430;&#x442;&#x43E;&#x43F;&#x43E;&#x442;&#x43E;&#x43A;&#x43E;&#x432;&#x438;&#x439;","ba-videorecorder-controlbar.pause-recorder":"&#x41F;&#x440;&#x438;&#x437;&#x443;&#x43F;&#x438;&#x43D;&#x438;&#x442;&#x438; &#x437;&#x430;&#x43F;&#x438;&#x441;","ba-videorecorder-controlbar.resume-recorder":"&#x41F;&#x440;&#x43E;&#x434;&#x43E;&#x432;&#x436;&#x438;&#x442;&#x438; &#x437;&#x430;&#x43F;&#x438;&#x441;","ba-videorecorder.missing-track":"&#x412;&#x456;&#x434;&#x441;&#x443;&#x442;&#x43D;&#x44F; &#x43D;&#x435;&#x43E;&#x431;&#x445;&#x456;&#x434;&#x43D;&#x430; &#x437;&#x432;&#x443;&#x43A;&#x43E;&#x432;&#x430; &#x447;&#x438; &#x432;&#x456;&#x434;&#x435;&#x43E; &#x434;&#x43E;&#x440;&#x456;&#x436;&#x43A;&#x430;","ba-videorecorder.device-already-in-use":"&#x429;&#x43E;&#x43D;&#x430;&#x439;&#x43C;&#x435;&#x43D;&#x448;&#x435; &#x43E;&#x434;&#x438;&#x43D; &#x437; &#x432;&#x430;&#x448;&#x438;&#x445; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x440;&#x43E;&#x457;&#x432; &#x432;&#x432;&#x435;&#x434;&#x435;&#x43D;&#x43D;&#x44F; &#x432;&#x436;&#x435; &#x432;&#x438;&#x43A;&#x43E;&#x440;&#x438;&#x441;&#x442;&#x43E;&#x432;&#x443;&#x454;&#x442;&#x44C;&#x441;&#x44F;","ba-videorecorder.browser-permission-denied":"&#x423; &#x434;&#x43E;&#x437;&#x432;&#x43E;&#x43B;&#x456; &#x432;&#x456;&#x434;&#x43C;&#x43E;&#x432;&#x43B;&#x435;&#x43D;&#x43E; &#x431;&#x440;&#x430;&#x443;&#x437;&#x435;&#x440;&#x43E;&#x43C;, &#x431;&#x443;&#x434;&#x44C; &#x43B;&#x430;&#x441;&#x43A;&#x430;, &#x43D;&#x430;&#x434;&#x430;&#x439;&#x442;&#x435; &#x434;&#x43E;&#x437;&#x432;&#x456;&#x43B; &#x442;&#x430; &#x43F;&#x435;&#x440;&#x435;&#x437;&#x430;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x442;&#x435; &#x441;&#x442;&#x43E;&#x440;&#x456;&#x43D;&#x43A;&#x443;","ba-audioplayer.all-settings":"&#x412;&#x441;&#x456; &#x43D;&#x430;&#x43B;&#x430;&#x448;&#x442;&#x443;&#x432;&#x430;&#x43D;&#x43D;&#x44F;","ba-videoplayer-controlbar.remaining-time":"&#x427;&#x430;&#x441;, &#x449;&#x43E; &#x437;&#x430;&#x43B;&#x438;&#x448;&#x438;&#x432;&#x441;&#x44F;","ba-videoplayer-controlbar.select-frame":"&#x412;&#x438;&#x431;&#x435;&#x440;&#x456;&#x442;&#x44C;","ba-videoplayer-controlbar.trim-video":"&#x41E;&#x431;&#x440;&#x456;&#x437;&#x430;&#x442;&#x438;","ba-videoplayer-playbutton.trim":"&#x41E;&#x431;&#x440;&#x456;&#x437;&#x430;&#x442;&#x438;","ba-videoplayer-playbutton.skip":"&#x41F;&#x440;&#x43E;&#x43F;&#x443;&#x441;&#x442;&#x438;&#x442;&#x438;","ba-videorecorder-imagegallery.upload-covershot":"&#x417;&#x430;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x438;&#x442;&#x438; &#x43E;&#x431;&#x43A;&#x43B;&#x430;&#x434;&#x438;&#x43D;&#x43A;&#x443;","ba-videorecorder.pick-covershot-frame":"&#x412;&#x438;&#x431;&#x435;&#x440;&#x456;&#x442;&#x44C; &#x43A;&#x430;&#x434;&#x440;, &#x44F;&#x43A;&#x438;&#x439; &#x43F;&#x43E;&#x442;&#x440;&#x456;&#x431;&#x43D;&#x43E; &#x432;&#x438;&#x43A;&#x43E;&#x440;&#x438;&#x441;&#x442;&#x43E;&#x432;&#x443;&#x432;&#x430;&#x442;&#x438; &#x44F;&#x43A; &#x43E;&#x431;&#x43A;&#x43B;&#x430;&#x434;&#x438;&#x43D;&#x43A;&#x443;.","ba-videorecorder.screen-recorder-is-not-supported":"&#x426;&#x435;&#x439; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x440;&#x456;&#x439; &#x43D;&#x435; &#x43F;&#x456;&#x434;&#x442;&#x440;&#x438;&#x43C;&#x443;&#x454; &#x440;&#x435;&#x454;&#x441;&#x442;&#x440;&#x430;&#x442;&#x43E;&#x440; &#x435;&#x43A;&#x440;&#x430;&#x43D;&#x443;","ba-videorecorder.trim-prompt":"&#x412;&#x438; &#x445;&#x43E;&#x447;&#x435;&#x442;&#x435; &#x43E;&#x431;&#x440;&#x456;&#x437;&#x430;&#x442;&#x438; &#x441;&#x432;&#x43E;&#x454; &#x432;&#x456;&#x434;&#x435;&#x43E;?","ba-videorecorder.trim-video":"&#x41F;&#x435;&#x440;&#x435;&#x43C;&#x456;&#x441;&#x442;&#x456;&#x442;&#x44C; &#x43C;&#x430;&#x440;&#x43A;&#x435;&#x440;&#x438; &#x43F;&#x43E;&#x447;&#x430;&#x442;&#x43A;&#x443; &#x442;&#x430; &#x43A;&#x456;&#x43D;&#x446;&#x44F;, &#x449;&#x43E;&#x431; &#x43E;&#x431;&#x440;&#x456;&#x437;&#x430;&#x442;&#x438; &#x432;&#x456;&#x434;&#x435;&#x43E;","ba-videorecorder.wait-for-trim":"&#x41E;&#x447;&#x456;&#x43A;&#x443;&#x432;&#x430;&#x43D;&#x43D;&#x44F; &#x43A;&#x43E;&#x43C;&#x430;&#x43D;&#x434;&#x438; &#x43E;&#x431;&#x440;&#x456;&#x437;&#x430;&#x43D;&#x43D;&#x44F; ...","ba-videorecorder-controlbar.no-video-source":"&#x412;&#x456;&#x434;&#x441;&#x443;&#x442;&#x43D;&#x454; &#x434;&#x43E;&#x434;&#x430;&#x442;&#x43A;&#x43E;&#x432;&#x435; &#x434;&#x436;&#x435;&#x440;&#x435;&#x43B;&#x43E; &#x432;&#x445;&#x456;&#x434;&#x43D;&#x43E;&#x433;&#x43E; &#x432;&#x456;&#x434;&#x435;&#x43E;&#x441;&#x438;&#x433;&#x43D;&#x430;&#x43B;&#x443;","ba-videorecorder-controlbar.stream-already-selected":"&#x414;&#x43E;&#x434;&#x430;&#x442;&#x43A;&#x43E;&#x432;&#x438;&#x439; &#x43F;&#x43E;&#x442;&#x456;&#x43A; &#x443;&#x436;&#x435; &#x432;&#x438;&#x431;&#x440;&#x430;&#x43D;&#x43E;","ba-videorecorder.uploading-src-error":"&#x41D;&#x435;&#x43C;&#x43E;&#x436;&#x43B;&#x438;&#x432;&#x43E; &#x432;&#x456;&#x434;&#x442;&#x432;&#x43E;&#x440;&#x438;&#x442;&#x438; &#x432;&#x456;&#x434;&#x435;&#x43E; &#x437;&#x430;&#x440;&#x430;&#x437;, &#x437;&#x430;&#x432;&#x430;&#x43D;&#x442;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F; &#x442;&#x440;&#x438;&#x432;&#x430;&#x454;","ba-audiorecorder-controlbar.pause-recorder":"&#x41F;&#x430;&#x443;&#x437;&#x430; &#x440;&#x435;&#x454;&#x441;&#x442;&#x440;&#x430;&#x442;&#x43E;&#x440;&#x430;","ba-audiorecorder-controlbar.resume-recorder":"&#x420;&#x435;&#x454;&#x441;&#x442;&#x440;&#x430;&#x442;&#x43E;&#x440; &#x440;&#x435;&#x437;&#x44E;&#x43C;&#x435;"},"language:zh-cn":{"ba-videoplayer-playbutton.tooltip":"&#x70B9;&#x51FB;&#x64AD;&#x653E;","ba-videoplayer-playbutton.rerecord":"&#x91CD;&#x8BD5;","ba-videoplayer-playbutton.submit-video":"&#x786E;&#x5B9A;","ba-videoplayer-loader.tooltip":"&#x8BFB;&#x53D6;&#x4E2D;...","ba-videoplayer-controlbar.change-resolution":"&#x53D8;&#x66F4;&#x5206;&#x8FA8;&#x7387;","ba-videoplayer-controlbar.video-progress":"&#x8FDB;&#x5EA6;","ba-videoplayer-controlbar.rerecord-video":"&#x91CD;&#x8BD5;?","ba-videoplayer-controlbar.submit-video":"&#x786E;&#x8BA4;","ba-videoplayer-controlbar.play-video":"&#x64AD;&#x653E;","ba-videoplayer-controlbar.pause-video":"&#x6682;&#x505C;","ba-videoplayer-controlbar.elapsed-time":"&#x7ECF;&#x8FC7;&#x65F6;&#x95F4;","ba-videoplayer-controlbar.total-time":"&#x603B;&#x957F;&#x5EA6;","ba-videoplayer-controlbar.fullscreen-video":"&#x8FDB;&#x5165;&#x5168;&#x5C4F;","ba-videoplayer-controlbar.volume-button":"&#x8C03;&#x6574;&#x97F3;&#x91CF;","ba-videoplayer-controlbar.volume-mute":"&#x9759;&#x97F3;","ba-videoplayer-controlbar.volume-unmute":"&#x89E3;&#x9664;&#x9759;&#x97F3;","ba-videoplayer.video-error":"&#x9519;&#x8BEF;&#x53D1;&#x751F;&#xFF0C;&#x8BF7;&#x7A0D;&#x540E;&#x518D;&#x8BD5;(&#x70B9;&#x6211;)","ba-videorecorder-chooser.record-video":"&#x5F55;&#x5236;&#x5F71;&#x7247;","ba-videorecorder-chooser.upload-video":"&#x4E0A;&#x4F20;&#x5F71;&#x7247;","ba-videorecorder-controlbar.settings":"&#x8BBE;&#x7F6E;","ba-videorecorder-controlbar.camerahealthy":"&#x5149;&#x7EBF;&#x826F;&#x597D;","ba-videorecorder-controlbar.cameraunhealthy":"&#x5149;&#x6E90;&#x4E0D;&#x4F73;","ba-videorecorder-controlbar.microphonehealthy":"&#x6536;&#x97F3;&#x826F;&#x597D;","ba-videorecorder-controlbar.microphoneunhealthy":"&#x6536;&#x97F3;&#x4E0D;&#x826F;","ba-videorecorder-controlbar.record":"&#x5F55;&#x5F71;","ba-videorecorder-controlbar.record-tooltip":"&#x70B9;&#x6211;&#x5F55;&#x5F71;","ba-videorecorder-controlbar.rerecord":"&#x91CD;&#x8BD5;","ba-videorecorder-controlbar.rerecord-tooltip":"&#x70B9;&#x6211;&#x91CD;&#x8BD5;","ba-videorecorder-controlbar.upload-covershot":"&#x4E0A;&#x4F20;","ba-videorecorder-controlbar.upload-covershot-tooltip":"&#x70B9;&#x6211;&#x4E0A;&#x4F20;&#x81EA;&#x8BA2;&#x7684;&#x5C01;&#x9762;","ba-videorecorder-controlbar.stop":"&#x505C;&#x6B62;","ba-videorecorder-controlbar.stop-tooltip":"&#x70B9;&#x6211;&#x505C;&#x6B62;","ba-videorecorder-controlbar.skip":"&#x7565;&#x8FC7;","ba-videorecorder-controlbar.skip-tooltip":"&#x70B9;&#x6211;&#x7565;&#x8FC7;","ba-videorecorder.recorder-error":"&#x9519;&#x8BEF;&#x53D1;&#x751F;&#xFF0C;&#x8BF7;&#x7A0D;&#x540E;&#x518D;&#x8BD5;(&#x70B9;&#x6211;)","ba-videorecorder.attach-error":"&#x65E0;&#x6CD5;&#x5B58;&#x53D6;&#x6444;&#x50CF;&#x5934;&#xFF0C;&#x53EF;&#x80FD;&#x662F;&#x6D4F;&#x89C8;&#x5668;&#x6216;&#x662F;&#x8BBE;&#x5907;&#x7684;&#x9650;&#x5236;&#xFF0C;&#x8BF7;&#x5C1D;&#x8BD5;&#x5B89;&#x88C5; Flash &#x5916;&#x6302;&#x7A0B;&#x5E8F;&#x6216;&#x900F;&#x8FC7;&#x5B89;&#x5168;&#x8FDE;&#x7EBF;&#x6765;&#x4F7F;&#x7528;&#x3002;","ba-videorecorder.access-forbidden":"&#x65E0;&#x6CD5;&#x5B58;&#x53D6;&#x6444;&#x50CF;&#x5934;&#xFF0C;&#x8BF7;&#x70B9;&#x6211;&#x91CD;&#x8BD5;&#x3002;","ba-videorecorder.pick-covershot":"&#x8BF7;&#x6311;&#x9009;&#x4E00;&#x5F20;&#x5C01;&#x9762;","ba-videorecorder.uploading":"&#x4E0A;&#x4F20;&#x4E2D;","ba-videorecorder.uploading-failed":"&#x4E0A;&#x4F20;&#x5931;&#x8D25;&#xFF0C;&#x8BF7;&#x70B9;&#x6211;&#x91CD;&#x8BD5;","ba-videorecorder.verifying":"&#x9A8C;&#x8BC1;&#x4E2D;","ba-videorecorder.verifying-failed":"&#x9A8C;&#x8BC1;&#x5931;&#x8D25;&#xFF0C;&#x8BF7;&#x70B9;&#x6211;&#x91CD;&#x8BD5;","ba-videorecorder.rerecord-confirm":"&#x786E;&#x5B9A;&#x8981;&#x91CD;&#x65B0;&#x5F55;&#x5236;&#x60A8;&#x7684;&#x5F71;&#x7247;?","ba-videorecorder.video_file_too_large":"&#x60A8;&#x7684;&#x5F71;&#x7247;&#x8FC7;&#x5927; (%s) &#x8BF7;&#x70B9;&#x6211;&#x91CD;&#x65B0;&#x9009;&#x62E9;&#x5C0F;&#x4E00;&#x70B9;&#x5F71;&#x7247;&#x518D;&#x8BD5;&#x4E00;&#x6B21;&#x3002;","ba-videorecorder.unsupported_video_type":"&#x8BF7;&#x4F7F;&#x7528;&#x5F71;&#x7247;&#x683C;&#x5F0F;: %s - &#x70B9;&#x6211;&#x91CD;&#x8BD5;","ba-videoplayer-controlbar.exit-fullscreen-video":"&#x7ED3;&#x675F;&#x5168;&#x5C4F;&#x64AD;&#x653E;","ba-videoplayer-share.share":"&#x5206;&#x4EAB;","ba-videoplayer-controlbar.pause-video-disabled":"&#x65E0;&#x6CD5;&#x6682;&#x505C;","ba-videorecorder-chooser.record-audio":"&#x5F55;&#x97F3;","ba-videorecorder-chooser.record-screen":"&#x8BB0;&#x5F55;&#x5C4F;&#x5E55;","ba-videorecorder-controlbar.stop-available-after":"&#x6700;&#x77ED;&#x8BB0;&#x5F55;&#x65F6;&#x95F4;&#x662F;%d&#x79D2;","ba-videorecorder-controlbar.cancel":"&#x53D6;&#x6D88;","ba-videorecorder-controlbar.cancel-tooltip":"&#x70B9;&#x51FB;&#x8FD9;&#x91CC;&#x53D6;&#x6D88;&#x3002;","ba-videorecorder.cancel-confirm":"&#x4F60;&#x771F;&#x7684;&#x60F3;&#x53D6;&#x6D88;&#x4F60;&#x7684;&#x89C6;&#x9891;&#x4E0A;&#x4F20;&#xFF1F;","ba-videoplayer-adslot.elapsed-time":"&#x5443;&#x65F6;&#x95F4;","ba-videoplayer-adslot.volume-button":"&#x8BBE;&#x7F6E;&#x97F3;&#x91CF;","ba-videoplayer-adslot.volume-mute":"&#x9759;&#x97F3;","ba-videoplayer-adslot.volume-unmute":"&#x53D6;&#x6D88;&#x9759;&#x97F3;","ba-videoplayer-adslot.ad-will-end-after":"&#x5E7F;&#x544A;&#x5C06;&#x5728;%s&#x4E4B;&#x540E;&#x7ED3;&#x675F;","ba-videoplayer-adslot.can-skip-after":"&#x5728;%d&#x4E4B;&#x540E;&#x8DF3;&#x8FC7;","ba-videoplayer-adslot.skip-ad":"&#x8DF3;&#x8FC7;&#x5E7F;&#x544A;","ba-videorecorder.software-required":"&#x8BF7;&#x70B9;&#x51FB;&#x4E0B;&#x9762;&#x7684;&#x5B89;&#x88C5;/&#x6FC0;&#x6D3B;&#x4EE5;&#x4E0B;&#x8981;&#x6C42;&#x624D;&#x80FD;&#x7EE7;&#x7EED;&#x3002;","ba-videorecorder.software-waiting":"&#x7B49;&#x5F85;&#x8981;&#x6C42;&#x5B89;&#x88C5;/&#x6FC0;&#x6D3B;&#x3002;&#x5B8C;&#x6210;&#x540E;&#x53EF;&#x80FD;&#x9700;&#x8981;&#x5237;&#x65B0;&#x9875;&#x9762;&#x3002;","ba-videoplayer-controlbar.close-tracks":"&#x5173;&#x95ED;CC","ba-videoplayer-controlbar.show-tracks":"&#x663E;&#x793A;CC","ba-videoplayer-tracks.upload-text-tracks":"&#x4E0A;&#x4F20;&#x66F2;&#x76EE;&#x6587;&#x672C;&#x6587;&#x4EF6;","ba-videoplayer-tracks.select-text-track-language":"&#x5B57;&#x5E55;&#x8BED;&#x8A00;","ba-videoplayer-tracks.info-select-locale-first":"&#x9996;&#x5148;&#x9009;&#x62E9;&#x533A;&#x57DF;&#x8BBE;&#x7F6E;","ba-videoplayer-tracks.select-text-track-file":"&#x5355;&#x51FB;&#x4EE5;&#x9009;&#x4E2D;&#x6587;&#x4EF6;","ba-videoplayer-tracks.back":"&#x80CC;&#x90E8;","ba-videorecorder.framerate-warning":"&#x89C6;&#x9891;&#x5E27;&#x7387;&#x975E;&#x5E38;&#x4F4E;&#x3002;&#x6211;&#x4EEC;&#x5EFA;&#x8BAE;&#x5173;&#x95ED;&#x6240;&#x6709;&#x5176;&#x4ED6;&#x7A0B;&#x5E8F;&#x548C;&#x6D4F;&#x89C8;&#x5668;&#x9009;&#x9879;&#x5361;&#x6216;&#x4F7F;&#x7528;&#x66F4;&#x5FEB;&#x7684;&#x8BA1;&#x7B97;&#x673A;&#x3002;","ba-videorecorder.upload-error-duration":"&#x4E0A;&#x4F20;&#x89C6;&#x9891;&#x7684;&#x957F;&#x5EA6;&#x4E0D;&#x7B26;&#x5408;&#x8981;&#x6C42; - &#x70B9;&#x51FB;&#x6B64;&#x5904;&#x91CD;&#x8BD5;&#x3002;","ba-videorecorder.resolution-constraint-error":"&#x60A8;&#x9009;&#x62E9;&#x7684;&#x6587;&#x4EF6;&#x4E0E;&#x6240;&#x9700;&#x7684;&#x5206;&#x8FA8;&#x7387;&#x4E0D;&#x5339;&#x914D; - &#x5355;&#x51FB;&#x6B64;&#x5904;&#x91CD;&#x8BD5;&#x3002;","ba-videorecorder.orientation-portrait-required":"&#x8BF7;&#x65CB;&#x8F6C;&#x8BBE;&#x5907;&#x4EE5;&#x7EB5;&#x5411;&#x6A21;&#x5F0F;&#x5F55;&#x5236;&#x3002;","ba-videorecorder.orientation-landscape-required":"&#x8BF7;&#x65CB;&#x8F6C;&#x8BBE;&#x5907;&#x4EE5;&#x6A2A;&#x5411;&#x6A21;&#x5F0F;&#x5F55;&#x5236;&#x3002;","ba-imageviewer-controlbar.rerecord-image":"&#x91CD;&#x505A;&#xFF1F;","ba-imageviewer-controlbar.submit-image":"&#x786E;&#x8BA4;","ba-imageviewer-controlbar.fullscreen-image":"&#x8F93;&#x5165;&#x5168;&#x5C4F;","ba-imageviewer-controlbar.exit-fullscreen-image":"&#x9000;&#x51FA;&#x5168;&#x5C4F;","ba-imageviewer.image-error":"&#x53D1;&#x751F;&#x4E86;&#x4E00;&#x4E2A;&#x9519;&#x8BEF;&#x3002;&#x8BF7;&#x7A0D;&#x540E;&#x91CD;&#x8BD5;&#x3002;&#x70B9;&#x51FB;&#x91CD;&#x8BD5;&#x3002;","ba-imagecapture-chooser.image-capture":"&#x6355;&#x83B7;&#x56FE;&#x50CF;","ba-imagecapture-chooser.upload-image":"&#x4E0A;&#x4F20;&#x56FE;&#x7247;","ba-imagecapture-controlbar.settings":"&#x8BBE;&#x7F6E;","ba-imagecapture-controlbar.camerahealthy":"&#x7167;&#x660E;&#x5F88;&#x597D;","ba-imagecapture-controlbar.cameraunhealthy":"&#x7167;&#x660E;&#x4E0D;&#x662F;&#x6700;&#x4F73;&#x7684;","ba-imagecapture-controlbar.record":"&#x6355;&#x83B7;","ba-imagecapture-controlbar.record-tooltip":"&#x70B9;&#x51FB;&#x6B64;&#x5904;&#x6355;&#x6349;&#x3002;","ba-imagecapture-controlbar.rerecord":"&#x91CD;&#x505A;","ba-imagecapture-controlbar.rerecord-tooltip":"&#x70B9;&#x51FB;&#x8FD9;&#x91CC;&#x91CD;&#x505A;&#x3002;","ba-imagecapture-controlbar.cancel":"&#x53D6;&#x6D88;","ba-imagecapture-controlbar.cancel-tooltip":"&#x70B9;&#x51FB;&#x8FD9;&#x91CC;&#x53D6;&#x6D88;&#x3002;","ba-audioplayer-controlbar.audio-progress":"&#x8FDB;&#x5C55;","ba-audioplayer-controlbar.rerecord-audio":"&#x91CD;&#x505A;&#xFF1F;","ba-audioplayer-controlbar.submit-audio":"&#x786E;&#x8BA4;","ba-audioplayer-controlbar.play-audio":"&#x73A9;","ba-audioplayer-controlbar.pause-audio":"&#x6682;&#x505C;","ba-audioplayer-controlbar.pause-audio-disabled":"&#x6682;&#x505C;&#x4E0D;&#x53D7;&#x652F;&#x6301;","ba-audioplayer-controlbar.elapsed-time":"&#x8282;&#x7701;&#x65F6;&#x95F4;","ba-audioplayer-controlbar.total-time":"&#x603B;&#x957F;&#x5EA6;","ba-audioplayer-controlbar.volume-button":"&#x8BBE;&#x5B9A;&#x97F3;&#x91CF;","ba-audioplayer-controlbar.volume-mute":"&#x9759;&#x97F3;","ba-audioplayer-controlbar.volume-unmute":"&#x53D6;&#x6D88;&#x9759;&#x97F3;","ba-audioplayer-loader.tooltip":"&#x8F7D;&#x5165;&#x4E2D;...","ba-audioplayer.audio-error":"&#x53D1;&#x751F;&#x4E86;&#x4E00;&#x4E2A;&#x9519;&#x8BEF;&#x3002;&#x8BF7;&#x7A0D;&#x540E;&#x91CD;&#x8BD5;&#x3002;&#x70B9;&#x51FB;&#x91CD;&#x8BD5;&#x3002;","ba-audiorecorder-chooser.record-audio":"&#x5F55;&#x5236;&#x97F3;&#x9891;","ba-audiorecorder-chooser.upload-audio":"&#x4E0A;&#x4F20;&#x97F3;&#x9891;","ba-audiorecorder-controlbar.settings":"&#x8BBE;&#x7F6E;","ba-audiorecorder-controlbar.microphonehealthy":"&#x58F0;&#x97F3;&#x5F88;&#x597D;","ba-audiorecorder-controlbar.microphoneunhealthy":"&#x65E0;&#x6CD5;&#x63A5;&#x542C;&#x4EFB;&#x4F55;&#x58F0;&#x97F3;","ba-audiorecorder-controlbar.record":"&#x8BB0;&#x5F55;","ba-audiorecorder-controlbar.record-tooltip":"&#x70B9;&#x51FB;&#x8FD9;&#x91CC;&#x8BB0;&#x5F55;&#x3002;","ba-audiorecorder-controlbar.rerecord":"&#x91CD;&#x505A;","ba-audiorecorder-controlbar.rerecord-tooltip":"&#x70B9;&#x51FB;&#x8FD9;&#x91CC;&#x91CD;&#x505A;&#x3002;","ba-audiorecorder-controlbar.stop":"&#x505C;&#x6B62;","ba-audiorecorder-controlbar.stop-tooltip":"&#x70B9;&#x51FB;&#x6B64;&#x5904;&#x505C;&#x6B62;&#x3002;","ba-audiorecorder-controlbar.stop-available-after":"&#x6700;&#x77ED;&#x5F55;&#x5236;&#x65F6;&#x95F4;&#x4E3A;%d&#x79D2;","ba-audiorecorder-controlbar.cancel":"&#x53D6;&#x6D88;","ba-audiorecorder-controlbar.cancel-tooltip":"&#x70B9;&#x51FB;&#x8FD9;&#x91CC;&#x53D6;&#x6D88;&#x3002;","ba-videoplayer-controlbar.player-speed":"&#x7403;&#x5458;&#x901F;&#x5EA6;","ba-videoplayer-controlbar.settings":"&#x8BBE;&#x7F6E;","ba-videoplayer-controlbar.airplay":"&#x7684;Airplay","ba-videoplayer-controlbar.airplay-icon":"Airplay&#x56FE;&#x6807;&#x3002;","ba-videoplayer.all-settings":"&#x6240;&#x6709;&#x8BBE;&#x7F6E;","ba-videoplayer.player-speed":"&#x7403;&#x5458;&#x901F;&#x5EA6;","ba-videoplayer.full-screen":"&#x5168;&#x5C4F;","ba-videorecorder-controlbar.add-stream":"&#x6DFB;&#x52A0;&#x6D41;","ba-videorecorder.switch-camera":"&#x5207;&#x6362;&#x76F8;&#x673A;","ba-videorecorder.prepare-covershot":"&#x51C6;&#x5907;&#x70AE;&#x5F39;","ba-videorecorder.prepare-thumbnails":"&#x51C6;&#x5907;&#x5BFB;&#x627E;&#x7F29;&#x7565;&#x56FE;","ba-videorecorder.adding-new-stream":"&#x6DFB;&#x52A0;&#x65B0;&#x6D41;","ba-imagecapture.recorder-error":"&#x53D1;&#x751F;&#x4E86;&#x4E00;&#x4E2A;&#x9519;&#x8BEF;&#x3002;&#x8BF7;&#x7A0D;&#x540E;&#x91CD;&#x8BD5;&#x3002;&#x70B9;&#x51FB;&#x91CD;&#x8BD5;&#x3002;","ba-imagecapture.attach-error":"&#x6211;&#x4EEC;&#x65E0;&#x6CD5;&#x8BBF;&#x95EE;&#x5A92;&#x4F53;&#x754C;&#x9762;&#x3002;&#x60A8;&#x53EF;&#x80FD;&#x9700;&#x8981;&#x5B89;&#x88C5;Flash&#x6216;&#x901A;&#x8FC7;SSL&#x8BBF;&#x95EE;&#x8BE5;&#x9875;&#x9762;&#xFF0C;&#x5177;&#x4F53;&#x53D6;&#x51B3;&#x4E8E;&#x8BBE;&#x5907;&#x548C;&#x6D4F;&#x89C8;&#x5668;&#x3002;","ba-imagecapture.software-required":"&#x8BF7;&#x5355;&#x51FB;&#x4E0B;&#x65B9;&#x4EE5;&#x5B89;&#x88C5;/&#x6FC0;&#x6D3B;&#x4EE5;&#x4E0B;&#x8981;&#x6C42;&#x4EE5;&#x7EE7;&#x7EED;&#x3002;","ba-imagecapture.software-waiting":"&#x7B49;&#x5F85;&#x5B89;&#x88C5;/&#x6FC0;&#x6D3B;&#x8981;&#x6C42;&#x3002;&#x60A8;&#x53EF;&#x80FD;&#x9700;&#x8981;&#x5728;&#x5B8C;&#x6210;&#x540E;&#x5237;&#x65B0;&#x9875;&#x9762;&#x3002;","ba-imagecapture.access-forbidden":"&#x7981;&#x6B62;&#x8BBF;&#x95EE;&#x5A92;&#x4F53;&#x3002;&#x70B9;&#x51FB;&#x91CD;&#x8BD5;&#x3002;","ba-imagecapture.uploading":"&#x4E0A;&#x4F20;","ba-imagecapture.uploading-failed":"&#x4E0A;&#x4F20;&#x5931;&#x8D25; - &#x70B9;&#x51FB;&#x6B64;&#x5904;&#x91CD;&#x8BD5;&#x3002;","ba-imagecapture.upload-error-duration":"&#x4E0A;&#x4F20;&#x56FE;&#x7247;&#x7684;&#x957F;&#x5EA6;&#x4E0D;&#x7B26;&#x5408;&#x8981;&#x6C42; - &#x70B9;&#x51FB;&#x6B64;&#x5904;&#x91CD;&#x8BD5;&#x3002;","ba-imagecapture.resolution-constraint-error":"&#x60A8;&#x9009;&#x62E9;&#x7684;&#x6587;&#x4EF6;&#x4E0E;&#x6240;&#x9700;&#x7684;&#x5206;&#x8FA8;&#x7387;&#x4E0D;&#x5339;&#x914D; - &#x70B9;&#x51FB;&#x6B64;&#x5904;&#x91CD;&#x8BD5;&#x3002;","ba-imagecapture.verifying":"&#x9A8C;&#x8BC1;","ba-imagecapture.verifying-failed":"&#x9A8C;&#x8BC1;&#x5931;&#x8D25; - &#x5355;&#x51FB;&#x6B64;&#x5904;&#x91CD;&#x8BD5;&#x3002;","ba-imagecapture.rerecord-confirm":"&#x4F60;&#x771F;&#x7684;&#x60F3;&#x91CD;&#x62CD;&#x4F60;&#x7684;&#x5F62;&#x8C61;&#x5417;&#xFF1F;","ba-imagecapture.image_file_too_large":"&#x60A8;&#x7684;&#x56FE;&#x7247;&#x6587;&#x4EF6;&#x592A;&#x5927;&#xFF08;%s&#xFF09; - &#x70B9;&#x51FB;&#x6B64;&#x5904;&#x518D;&#x6B21;&#x5C1D;&#x8BD5;&#x4F7F;&#x7528;&#x8F83;&#x5C0F;&#x7684;&#x56FE;&#x7247;&#x6587;&#x4EF6;&#x3002;","ba-imagecapture.unsupported_image_type":"&#x8BF7;&#x4E0A;&#x4F20;&#xFF1A;%s  - &#x70B9;&#x51FB;&#x6B64;&#x5904;&#x91CD;&#x8BD5;&#x3002;","ba-imagecapture.orientation-portrait-required":"&#x8BF7;&#x65CB;&#x8F6C;&#x8BBE;&#x5907;&#x4EE5;&#x7EB5;&#x5411;&#x6A21;&#x5F0F;&#x5F55;&#x5236;&#x3002;","ba-imagecapture.orientation-landscape-required":"&#x8BF7;&#x65CB;&#x8F6C;&#x60A8;&#x7684;&#x8BBE;&#x5907;&#x4EE5;&#x6A2A;&#x5411;&#x6A21;&#x5F0F;&#x5F55;&#x5236;&#x3002;","ba-audiorecorder.recorder-error":"&#x53D1;&#x751F;&#x4E86;&#x4E00;&#x4E2A;&#x9519;&#x8BEF;&#x3002;&#x8BF7;&#x7A0D;&#x540E;&#x91CD;&#x8BD5;&#x3002;&#x70B9;&#x51FB;&#x91CD;&#x8BD5;&#x3002;","ba-audiorecorder.attach-error":"&#x6211;&#x4EEC;&#x65E0;&#x6CD5;&#x8BBF;&#x95EE;&#x5A92;&#x4F53;&#x754C;&#x9762;&#x3002;&#x60A8;&#x53EF;&#x80FD;&#x9700;&#x8981;&#x5B89;&#x88C5;Flash&#x6216;&#x901A;&#x8FC7;SSL&#x8BBF;&#x95EE;&#x8BE5;&#x9875;&#x9762;&#xFF0C;&#x5177;&#x4F53;&#x53D6;&#x51B3;&#x4E8E;&#x8BBE;&#x5907;&#x548C;&#x6D4F;&#x89C8;&#x5668;&#x3002;","ba-audiorecorder.software-required":"&#x8BF7;&#x5355;&#x51FB;&#x4E0B;&#x65B9;&#x4EE5;&#x5B89;&#x88C5;/&#x6FC0;&#x6D3B;&#x4EE5;&#x4E0B;&#x8981;&#x6C42;&#x4EE5;&#x7EE7;&#x7EED;&#x3002;","ba-audiorecorder.software-waiting":"&#x7B49;&#x5F85;&#x5B89;&#x88C5;/&#x6FC0;&#x6D3B;&#x8981;&#x6C42;&#x3002;&#x60A8;&#x53EF;&#x80FD;&#x9700;&#x8981;&#x5728;&#x5B8C;&#x6210;&#x540E;&#x5237;&#x65B0;&#x9875;&#x9762;&#x3002;","ba-audiorecorder.access-forbidden":"&#x7981;&#x6B62;&#x8BBF;&#x95EE;&#x5A92;&#x4F53;&#x3002;&#x70B9;&#x51FB;&#x91CD;&#x8BD5;&#x3002;","ba-audiorecorder.uploading":"&#x4E0A;&#x4F20;","ba-audiorecorder.uploading-failed":"&#x4E0A;&#x4F20;&#x5931;&#x8D25; - &#x70B9;&#x51FB;&#x6B64;&#x5904;&#x91CD;&#x8BD5;&#x3002;","ba-audiorecorder.upload-error-duration":"&#x4E0A;&#x4F20;&#x7684;&#x97F3;&#x9891;&#x957F;&#x5EA6;&#x4E0D;&#x7B26;&#x5408;&#x8981;&#x6C42; - &#x70B9;&#x51FB;&#x6B64;&#x5904;&#x91CD;&#x8BD5;&#x3002;","ba-audiorecorder.verifying":"&#x9A8C;&#x8BC1;","ba-audiorecorder.verifying-failed":"&#x9A8C;&#x8BC1;&#x5931;&#x8D25; - &#x5355;&#x51FB;&#x6B64;&#x5904;&#x91CD;&#x8BD5;&#x3002;","ba-audiorecorder.rerecord-confirm":"&#x4F60;&#x771F;&#x7684;&#x60F3;&#x8981;&#x91CD;&#x505A;&#x4F60;&#x7684;&#x97F3;&#x9891;&#x5417;&#xFF1F;","ba-audiorecorder.cancel-confirm":"&#x4F60;&#x771F;&#x7684;&#x60F3;&#x53D6;&#x6D88;&#x97F3;&#x9891;&#x4E0A;&#x4F20;&#x5417;&#xFF1F;","ba-audiorecorder.audio_file_too_large":"&#x60A8;&#x7684;&#x97F3;&#x9891;&#x6587;&#x4EF6;&#x592A;&#x5927;&#xFF08;%s&#xFF09; - &#x70B9;&#x51FB;&#x6B64;&#x5904;&#x518D;&#x6B21;&#x5C1D;&#x8BD5;&#x4F7F;&#x7528;&#x8F83;&#x5C0F;&#x7684;&#x97F3;&#x9891;&#x6587;&#x4EF6;&#x3002;","ba-audiorecorder.unsupported_audio_type":"&#x8BF7;&#x4E0A;&#x4F20;&#xFF1A;%s  - &#x70B9;&#x51FB;&#x6B64;&#x5904;&#x91CD;&#x8BD5;&#x3002;","ba-common-settingsmenu.tooltip":"&#x70B9;&#x51FB;&#x64AD;&#x653E;&#x3002;","ba-common-settingsmenu.setting-menu":"&#x6240;&#x6709;&#x8BBE;&#x5B9A;","ba-common-settingsmenu.source-quality":"&#x6E90;&#x8D28;&#x91CF;","ba-common-settingsmenu.player-speed":"&#x64AD;&#x653E;&#x901F;&#x5EA6;","ba-common-settingsmenu.set-menu-option":"&#x8BBE;&#x5B9A;&#x9009;&#x9879;","ba-common-settingsmenu.submit-video":"&#x786E;&#x8BA4;&#x5F71;&#x7247;","ba-common-settingsmenu.picture-in-picture":"&#x753B;&#x4E2D;&#x753B;","ba-common-settingsmenu.exit-fullscreen-video":"&#x9000;&#x51FA;&#x5168;&#x5C4F;","ba-common-settingsmenu.fullscreen-video":"&#x8FDB;&#x5165;&#x5168;&#x5C4F;","ba-videorecorder-chooser.multi-stream":"&#x591A;&#x6D41;","ba-videorecorder-controlbar.pause-recorder":"&#x6682;&#x505C;&#x8BB0;&#x5F55;&#x5668;","ba-videorecorder-controlbar.resume-recorder":"&#x7B80;&#x5386;&#x8BB0;&#x5F55;&#x5668;","ba-videorecorder.missing-track":"&#x7F3A;&#x5C11;&#x5FC5;&#x9700;&#x7684;&#x97F3;&#x9891;&#x6216;&#x89C6;&#x9891;&#x8F68;&#x9053;","ba-videorecorder.device-already-in-use":"&#x60A8;&#x7684;&#x81F3;&#x5C11;&#x4E00;&#x4E2A;&#x8F93;&#x5165;&#x8BBE;&#x5907;&#x5DF2;&#x5728;&#x4F7F;&#x7528;&#x4E2D;","ba-videorecorder.browser-permission-denied":"&#x6D4F;&#x89C8;&#x5668;&#x62D2;&#x7EDD;&#x6B64;&#x6743;&#x9650;&#xFF0C;&#x8BF7;&#x6388;&#x4E88;&#x8BBF;&#x95EE;&#x6743;&#x9650;&#x5E76;&#x91CD;&#x65B0;&#x52A0;&#x8F7D;&#x9875;&#x9762;","ba-audioplayer.all-settings":"&#x6240;&#x6709;&#x8BBE;&#x5B9A;","ba-videoplayer-controlbar.remaining-time":"&#x5269;&#x4F59;&#x65F6;&#x95F4;","ba-videoplayer-controlbar.select-frame":"&#x9009;&#x62E9;","ba-videoplayer-controlbar.trim-video":"&#x4FEE;&#x526A;","ba-videoplayer-playbutton.trim":"&#x4FEE;&#x526A;","ba-videoplayer-playbutton.skip":"&#x8DF3;&#x8FC7;","ba-videorecorder-imagegallery.upload-covershot":"&#x4E0A;&#x4F20;&#x5C01;&#x9762;","ba-videorecorder.pick-covershot-frame":"&#x9009;&#x62E9;&#x8981;&#x7528;&#x4F5C;&#x63A9;&#x62A4;&#x7684;&#x5E27;&#x3002;","ba-videorecorder.screen-recorder-is-not-supported":"&#x6B64;&#x8BBE;&#x5907;&#x4E0D;&#x652F;&#x6301;&#x5C4F;&#x5E55;&#x5F55;&#x50CF;&#x673A;","ba-videorecorder.trim-prompt":"&#x4F60;&#x60F3;&#x4FEE;&#x526A;&#x4F60;&#x7684;&#x89C6;&#x9891;&#x5417;&#xFF1F;","ba-videorecorder.trim-video":"&#x79FB;&#x52A8;&#x5F00;&#x59CB;&#x548C;&#x7ED3;&#x675F;&#x6807;&#x8BB0;&#x4EE5;&#x4FEE;&#x526A;&#x89C6;&#x9891;","ba-videorecorder.wait-for-trim":"&#x7B49;&#x5F85;&#x4FEE;&#x526A;&#x547D;&#x4EE4;...","ba-videorecorder-controlbar.no-video-source":"&#x7F3A;&#x5C11;&#x989D;&#x5916;&#x7684;&#x89C6;&#x9891;&#x8F93;&#x5165;&#x6E90;","ba-videorecorder-controlbar.stream-already-selected":"&#x5DF2;&#x9009;&#x62E9;&#x9644;&#x52A0;&#x6D41;","ba-videorecorder.uploading-src-error":"&#x73B0;&#x5728;&#x65E0;&#x6CD5;&#x64AD;&#x653E;&#x89C6;&#x9891;&#xFF0C;&#x4E0A;&#x4F20;&#x4ECD;&#x5728;&#x8FDB;&#x884C;&#x4E2D;","ba-audiorecorder-controlbar.pause-recorder":"&#x6682;&#x505C;&#x5F55;&#x97F3;&#x673A;","ba-audiorecorder-controlbar.resume-recorder":"&#x7B80;&#x5386;&#x8BB0;&#x5F55;&#x5668;"},"language:zh-tw":{"ba-videoplayer-playbutton.tooltip":"&#x9EDE;&#x9078;&#x64AD;&#x653E;","ba-videoplayer-playbutton.rerecord":"&#x91CD;&#x8A66;","ba-videoplayer-playbutton.submit-video":"&#x78BA;&#x8A8D;","ba-videoplayer-loader.tooltip":"&#x8B80;&#x53D6;&#x4E2D;...","ba-videoplayer-controlbar.change-resolution":"&#x8B8A;&#x66F4;&#x89E3;&#x6790;&#x5EA6;","ba-videoplayer-controlbar.video-progress":"&#x9032;&#x5EA6;","ba-videoplayer-controlbar.rerecord-video":"&#x91CD;&#x8A66;?","ba-videoplayer-controlbar.submit-video":"&#x78BA;&#x8A8D;","ba-videoplayer-controlbar.play-video":"&#x64AD;&#x653E;","ba-videoplayer-controlbar.pause-video":"&#x66AB;&#x505C;","ba-videoplayer-controlbar.elapsed-time":"&#x7D93;&#x904E;&#x6642;&#x9593;","ba-videoplayer-controlbar.total-time":"&#x7E3D;&#x9577;&#x5EA6;","ba-videoplayer-controlbar.fullscreen-video":"&#x9032;&#x5165;&#x5168;&#x87A2;&#x5E55;","ba-videoplayer-controlbar.volume-button":"&#x8ABF;&#x6574;&#x97F3;&#x91CF;","ba-videoplayer-controlbar.volume-mute":"&#x975C;&#x97F3;","ba-videoplayer-controlbar.volume-unmute":"&#x89E3;&#x9664;&#x975C;&#x97F3;","ba-videoplayer.video-error":"&#x932F;&#x8AA4;&#x767C;&#x751F;&#xFF0C;&#x8ACB;&#x7A0D;&#x5F8C;&#x518D;&#x8A66;(&#x9EDE;&#x6211;)","ba-videorecorder-chooser.record-video":"&#x9304;&#x88FD;&#x5F71;&#x7247;","ba-videorecorder-chooser.upload-video":"&#x4E0A;&#x50B3;&#x5F71;&#x7247;","ba-videorecorder-controlbar.settings":"&#x8A2D;&#x5B9A;&#x503C;","ba-videorecorder-controlbar.camerahealthy":"&#x5149;&#x7DDA;&#x826F;&#x597D;","ba-videorecorder-controlbar.cameraunhealthy":"&#x5149;&#x6E90;&#x4E0D;&#x4F73;","ba-videorecorder-controlbar.microphonehealthy":"&#x6536;&#x97F3;&#x826F;&#x597D;","ba-videorecorder-controlbar.microphoneunhealthy":"&#x6536;&#x97F3;&#x4E0D;&#x826F;","ba-videorecorder-controlbar.record":"&#x9304;&#x5F71;","ba-videorecorder-controlbar.record-tooltip":"&#x9EDE;&#x6211;&#x9304;&#x5F71;","ba-videorecorder-controlbar.rerecord":"&#x91CD;&#x8A66;","ba-videorecorder-controlbar.rerecord-tooltip":"&#x9EDE;&#x6211;&#x91CD;&#x8A66;","ba-videorecorder-controlbar.upload-covershot":"&#x4E0A;&#x50B3;","ba-videorecorder-controlbar.upload-covershot-tooltip":"&#x9EDE;&#x6211;&#x4E0A;&#x50B3;&#x81EA;&#x8A02;&#x7684;&#x5C01;&#x9762;","ba-videorecorder-controlbar.stop":"&#x505C;&#x6B62;","ba-videorecorder-controlbar.stop-tooltip":"&#x9EDE;&#x6211;&#x505C;&#x6B62;","ba-videorecorder-controlbar.skip":"&#x7565;&#x904E;","ba-videorecorder-controlbar.skip-tooltip":"&#x9EDE;&#x6211;&#x7565;&#x904E;","ba-videorecorder.recorder-error":"&#x932F;&#x8AA4;&#x767C;&#x751F;&#xFF0C;&#x8ACB;&#x7A0D;&#x5F8C;&#x518D;&#x8A66;(&#x9EDE;&#x6211;)","ba-videorecorder.attach-error":"&#x7121;&#x6CD5;&#x5B58;&#x53D6;&#x651D;&#x5F71;&#x6A5F;&#xFF0C;&#x53EF;&#x80FD;&#x662F;&#x700F;&#x89BD;&#x5668;&#x6216;&#x662F;&#x88DD;&#x7F6E;&#x7684;&#x9650;&#x5236;&#xFF0C;&#x8ACB;&#x5617;&#x8A66;&#x5B89;&#x88DD; Flash &#x5916;&#x639B;&#x7A0B;&#x5F0F;&#x6216;&#x900F;&#x904E;&#x5B89;&#x5168;&#x9023;&#x7DDA;&#x4F86;&#x4F7F;&#x7528;&#x3002;","ba-videorecorder.access-forbidden":"&#x7121;&#x6CD5;&#x5B58;&#x53D6;&#x651D;&#x5F71;&#x6A5F;&#xFF0C;&#x8ACB;&#x9EDE;&#x6211;&#x91CD;&#x8A66;&#x3002;","ba-videorecorder.pick-covershot":"&#x8ACB;&#x6311;&#x9078;&#x4E00;&#x5F35;&#x5C01;&#x9762;","ba-videorecorder.uploading":"&#x4E0A;&#x50B3;&#x4E2D;","ba-videorecorder.uploading-failed":"&#x4E0A;&#x50B3;&#x5931;&#x6557;&#xFF0C;&#x8ACB;&#x9EDE;&#x6211;&#x91CD;&#x8A66;","ba-videorecorder.verifying":"&#x9A57;&#x8B49;&#x4E2D;","ba-videorecorder.verifying-failed":"&#x9A57;&#x8B49;&#x5931;&#x6557;&#xFF0C;&#x8ACB;&#x9EDE;&#x6211;&#x91CD;&#x8A66;","ba-videorecorder.rerecord-confirm":"&#x78BA;&#x5B9A;&#x8981;&#x91CD;&#x65B0;&#x9304;&#x88FD;&#x60A8;&#x7684;&#x5F71;&#x7247;?","ba-videorecorder.video_file_too_large":"&#x60A8;&#x7684;&#x5F71;&#x7247;&#x904E;&#x5927; (%s) &#x8ACB;&#x9EDE;&#x6211;&#x91CD;&#x65B0;&#x9078;&#x64C7;&#x5C0F;&#x4E00;&#x9EDE;&#x5F71;&#x7247;&#x518D;&#x8A66;&#x4E00;&#x6B21;&#x3002;","ba-videorecorder.unsupported_video_type":"&#x8ACB;&#x4F7F;&#x7528;&#x5F71;&#x7247;&#x683C;&#x5F0F;: %s - &#x9EDE;&#x6211;&#x91CD;&#x8A66;","ba-videoplayer-controlbar.exit-fullscreen-video":"&#x7D50;&#x675F;&#x5168;&#x87A2;&#x5E55;","ba-videoplayer-share.share":"&#x5206;&#x4EAB;","ba-videoplayer-controlbar.pause-video-disabled":"&#x7121;&#x6CD5;&#x66AB;&#x505C;","ba-videorecorder-chooser.record-audio":"&#x9304;&#x97F3;","ba-videorecorder-chooser.record-screen":"&#x8A18;&#x9304;&#x5C4F;&#x5E55;","ba-videorecorder-controlbar.stop-available-after":"&#x6700;&#x77ED;&#x8A18;&#x9304;&#x6642;&#x9593;&#x662F;%d&#x79D2;","ba-videorecorder-controlbar.cancel":"&#x53D6;&#x6D88;","ba-videorecorder-controlbar.cancel-tooltip":"&#x9EDE;&#x64CA;&#x9019;&#x88E1;&#x53D6;&#x6D88;&#x3002;","ba-videorecorder.cancel-confirm":"&#x4F60;&#x771F;&#x7684;&#x60F3;&#x53D6;&#x6D88;&#x4F60;&#x7684;&#x8996;&#x983B;&#x4E0A;&#x50B3;&#xFF1F;","ba-videoplayer-adslot.elapsed-time":"&#x5443;&#x6642;&#x9593;","ba-videoplayer-adslot.volume-button":"&#x8A2D;&#x7F6E;&#x97F3;&#x91CF;","ba-videoplayer-adslot.volume-mute":"&#x975C;&#x97F3;","ba-videoplayer-adslot.volume-unmute":"&#x53D6;&#x6D88;&#x975C;&#x97F3;","ba-videoplayer-adslot.ad-will-end-after":"&#x5EE3;&#x544A;&#x5C07;&#x5728;%s&#x4E4B;&#x5F8C;&#x7D50;&#x675F;","ba-videoplayer-adslot.can-skip-after":"&#x5728;%d&#x4E4B;&#x5F8C;&#x8DF3;&#x904E;","ba-videoplayer-adslot.skip-ad":"&#x8DF3;&#x904E;&#x5EE3;&#x544A;","ba-videorecorder.software-required":"&#x8ACB;&#x9EDE;&#x64CA;&#x4E0B;&#x9762;&#x7684;&#x5B89;&#x88DD;/&#x6FC0;&#x6D3B;&#x4EE5;&#x4E0B;&#x8981;&#x6C42;&#x624D;&#x80FD;&#x7E7C;&#x7E8C;&#x3002;","ba-videorecorder.software-waiting":"&#x7B49;&#x5F85;&#x8981;&#x6C42;&#x5B89;&#x88DD;/&#x6FC0;&#x6D3B;&#x3002;&#x5B8C;&#x6210;&#x5F8C;&#x53EF;&#x80FD;&#x9700;&#x8981;&#x5237;&#x65B0;&#x9801;&#x9762;&#x3002;","ba-videoplayer-controlbar.close-tracks":"&#x95DC;&#x9589;CC","ba-videoplayer-controlbar.show-tracks":"&#x986F;&#x793A;CC","ba-videoplayer-tracks.upload-text-tracks":"&#x4E0A;&#x50B3;&#x66F2;&#x76EE;&#x6587;&#x672C;&#x6587;&#x4EF6;","ba-videoplayer-tracks.select-text-track-language":"&#x5B57;&#x5E55;&#x8A9E;&#x8A00;","ba-videoplayer-tracks.info-select-locale-first":"&#x9996;&#x5148;&#x9078;&#x64C7;&#x5340;&#x57DF;&#x8A2D;&#x7F6E;","ba-videoplayer-tracks.select-text-track-file":"&#x55AE;&#x64CA;&#x4EE5;&#x9078;&#x4E2D;&#x6587;&#x4EF6;","ba-videoplayer-tracks.back":"&#x80CC;&#x90E8;","ba-videorecorder.framerate-warning":"&#x8996;&#x983B;&#x5E40;&#x7387;&#x975E;&#x5E38;&#x4F4E;&#x3002;&#x6211;&#x5011;&#x5EFA;&#x8B70;&#x95DC;&#x9589;&#x6240;&#x6709;&#x5176;&#x4ED6;&#x7A0B;&#x5E8F;&#x548C;&#x700F;&#x89BD;&#x5668;&#x9078;&#x9805;&#x5361;&#x6216;&#x4F7F;&#x7528;&#x66F4;&#x5FEB;&#x7684;&#x8A08;&#x7B97;&#x6A5F;&#x3002;","ba-videorecorder.upload-error-duration":"&#x4E0A;&#x50B3;&#x8996;&#x983B;&#x7684;&#x9577;&#x5EA6;&#x4E0D;&#x7B26;&#x5408;&#x8981;&#x6C42; - &#x9EDE;&#x64CA;&#x6B64;&#x8655;&#x91CD;&#x8A66;&#x3002;","ba-videorecorder.resolution-constraint-error":"&#x60A8;&#x9078;&#x64C7;&#x7684;&#x6587;&#x4EF6;&#x8207;&#x6240;&#x9700;&#x7684;&#x5206;&#x8FA8;&#x7387;&#x4E0D;&#x5339;&#x914D; - &#x55AE;&#x64CA;&#x6B64;&#x8655;&#x91CD;&#x8A66;&#x3002;","ba-videorecorder.orientation-portrait-required":"&#x8ACB;&#x65CB;&#x8F49;&#x8A2D;&#x5099;&#x4EE5;&#x7E31;&#x5411;&#x6A21;&#x5F0F;&#x9304;&#x88FD;&#x3002;","ba-videorecorder.orientation-landscape-required":"&#x8ACB;&#x65CB;&#x8F49;&#x8A2D;&#x5099;&#x4EE5;&#x6A6B;&#x5411;&#x6A21;&#x5F0F;&#x9304;&#x88FD;&#x3002;","ba-imageviewer-controlbar.rerecord-image":"&#x91CD;&#x505A;&#xFF1F;","ba-imageviewer-controlbar.submit-image":"&#x78BA;&#x8A8D;","ba-imageviewer-controlbar.fullscreen-image":"&#x8F38;&#x5165;&#x5168;&#x5C4F;","ba-imageviewer-controlbar.exit-fullscreen-image":"&#x9000;&#x51FA;&#x5168;&#x5C4F;","ba-imageviewer.image-error":"&#x767C;&#x751F;&#x4E86;&#x4E00;&#x500B;&#x932F;&#x8AA4;&#x3002;&#x8ACB;&#x7A0D;&#x5F8C;&#x91CD;&#x8A66;&#x3002;&#x9EDE;&#x64CA;&#x91CD;&#x8A66;&#x3002;","ba-imagecapture-chooser.image-capture":"&#x6355;&#x7372;&#x5716;&#x50CF;","ba-imagecapture-chooser.upload-image":"&#x4E0A;&#x50B3;&#x5716;&#x7247;","ba-imagecapture-controlbar.settings":"&#x8A2D;&#x7F6E;","ba-imagecapture-controlbar.camerahealthy":"&#x7167;&#x660E;&#x5F88;&#x597D;","ba-imagecapture-controlbar.cameraunhealthy":"&#x7167;&#x660E;&#x4E0D;&#x662F;&#x6700;&#x4F73;&#x7684;","ba-imagecapture-controlbar.record":"&#x6355;&#x7372;","ba-imagecapture-controlbar.record-tooltip":"&#x9EDE;&#x64CA;&#x6B64;&#x8655;&#x6355;&#x6349;&#x3002;","ba-imagecapture-controlbar.rerecord":"&#x91CD;&#x505A;","ba-imagecapture-controlbar.rerecord-tooltip":"&#x9EDE;&#x64CA;&#x9019;&#x88E1;&#x91CD;&#x505A;&#x3002;","ba-imagecapture-controlbar.cancel":"&#x53D6;&#x6D88;","ba-imagecapture-controlbar.cancel-tooltip":"&#x9EDE;&#x64CA;&#x9019;&#x88E1;&#x53D6;&#x6D88;&#x3002;","ba-audioplayer-controlbar.audio-progress":"&#x9032;&#x5C55;","ba-audioplayer-controlbar.rerecord-audio":"&#x91CD;&#x505A;&#xFF1F;","ba-audioplayer-controlbar.submit-audio":"&#x78BA;&#x8A8D;","ba-audioplayer-controlbar.play-audio":"&#x73A9;","ba-audioplayer-controlbar.pause-audio":"&#x66AB;&#x505C;","ba-audioplayer-controlbar.pause-audio-disabled":"&#x66AB;&#x505C;&#x4E0D;&#x53D7;&#x652F;&#x6301;","ba-audioplayer-controlbar.elapsed-time":"&#x7BC0;&#x7701;&#x6642;&#x9593;","ba-audioplayer-controlbar.total-time":"&#x7E3D;&#x9577;&#x5EA6;","ba-audioplayer-controlbar.volume-button":"&#x8A2D;&#x5B9A;&#x97F3;&#x91CF;","ba-audioplayer-controlbar.volume-mute":"&#x975C;&#x97F3;","ba-audioplayer-controlbar.volume-unmute":"&#x53D6;&#x6D88;&#x975C;&#x97F3;","ba-audioplayer-loader.tooltip":"&#x8F09;&#x5165;&#x4E2D;...","ba-audioplayer.audio-error":"&#x767C;&#x751F;&#x4E86;&#x4E00;&#x500B;&#x932F;&#x8AA4;&#x3002;&#x8ACB;&#x7A0D;&#x5F8C;&#x91CD;&#x8A66;&#x3002;&#x9EDE;&#x64CA;&#x91CD;&#x8A66;&#x3002;","ba-audiorecorder-chooser.record-audio":"&#x9304;&#x88FD;&#x97F3;&#x983B;","ba-audiorecorder-chooser.upload-audio":"&#x4E0A;&#x50B3;&#x97F3;&#x983B;","ba-audiorecorder-controlbar.settings":"&#x8A2D;&#x7F6E;","ba-audiorecorder-controlbar.microphonehealthy":"&#x8072;&#x97F3;&#x5F88;&#x597D;","ba-audiorecorder-controlbar.microphoneunhealthy":"&#x7121;&#x6CD5;&#x63A5;&#x807D;&#x4EFB;&#x4F55;&#x8072;&#x97F3;","ba-audiorecorder-controlbar.record":"&#x8A18;&#x9304;","ba-audiorecorder-controlbar.record-tooltip":"&#x9EDE;&#x64CA;&#x9019;&#x88E1;&#x8A18;&#x9304;&#x3002;","ba-audiorecorder-controlbar.rerecord":"&#x91CD;&#x505A;","ba-audiorecorder-controlbar.rerecord-tooltip":"&#x9EDE;&#x64CA;&#x9019;&#x88E1;&#x91CD;&#x505A;&#x3002;","ba-audiorecorder-controlbar.stop":"&#x505C;&#x6B62;","ba-audiorecorder-controlbar.stop-tooltip":"&#x9EDE;&#x64CA;&#x6B64;&#x8655;&#x505C;&#x6B62;&#x3002;","ba-audiorecorder-controlbar.stop-available-after":"&#x6700;&#x77ED;&#x9304;&#x88FD;&#x6642;&#x9593;&#x70BA;%d&#x79D2;","ba-audiorecorder-controlbar.cancel":"&#x53D6;&#x6D88;","ba-audiorecorder-controlbar.cancel-tooltip":"&#x9EDE;&#x64CA;&#x9019;&#x88E1;&#x53D6;&#x6D88;&#x3002;","ba-videoplayer-controlbar.player-speed":"&#x7403;&#x54E1;&#x901F;&#x5EA6;","ba-videoplayer-controlbar.settings":"&#x8A2D;&#x7F6E;","ba-videoplayer-controlbar.airplay":"&#x7684;Airplay","ba-videoplayer-controlbar.airplay-icon":"Airplay&#x5716;&#x6A19;&#x3002;","ba-videoplayer.all-settings":"&#x6240;&#x6709;&#x8A2D;&#x7F6E;","ba-videoplayer.player-speed":"&#x7403;&#x54E1;&#x901F;&#x5EA6;","ba-videoplayer.full-screen":"&#x5168;&#x5C4F;","ba-videorecorder-controlbar.add-stream":"&#x6DFB;&#x52A0;&#x6D41;","ba-videorecorder.switch-camera":"&#x5207;&#x63DB;&#x76F8;&#x6A5F;","ba-videorecorder.prepare-covershot":"&#x6E96;&#x5099;&#x7832;&#x5F48;","ba-videorecorder.prepare-thumbnails":"&#x6E96;&#x5099;&#x5C0B;&#x627E;&#x7E2E;&#x7565;&#x5716;","ba-videorecorder.adding-new-stream":"&#x6DFB;&#x52A0;&#x65B0;&#x6D41;","ba-imagecapture.recorder-error":"&#x767C;&#x751F;&#x4E86;&#x4E00;&#x500B;&#x932F;&#x8AA4;&#x3002;&#x8ACB;&#x7A0D;&#x5F8C;&#x91CD;&#x8A66;&#x3002;&#x9EDE;&#x64CA;&#x91CD;&#x8A66;&#x3002;","ba-imagecapture.attach-error":"&#x6211;&#x5011;&#x7121;&#x6CD5;&#x8A2A;&#x554F;&#x5A92;&#x9AD4;&#x754C;&#x9762;&#x3002;&#x60A8;&#x53EF;&#x80FD;&#x9700;&#x8981;&#x5B89;&#x88DD;Flash&#x6216;&#x901A;&#x904E;SSL&#x8A2A;&#x554F;&#x8A72;&#x9801;&#x9762;&#xFF0C;&#x5177;&#x9AD4;&#x53D6;&#x6C7A;&#x65BC;&#x8A2D;&#x5099;&#x548C;&#x700F;&#x89BD;&#x5668;&#x3002;","ba-imagecapture.software-required":"&#x8ACB;&#x55AE;&#x64CA;&#x4E0B;&#x65B9;&#x4EE5;&#x5B89;&#x88DD;/&#x6FC0;&#x6D3B;&#x4EE5;&#x4E0B;&#x8981;&#x6C42;&#x4EE5;&#x7E7C;&#x7E8C;&#x3002;","ba-imagecapture.software-waiting":"&#x7B49;&#x5F85;&#x5B89;&#x88DD;/&#x6FC0;&#x6D3B;&#x8981;&#x6C42;&#x3002;&#x60A8;&#x53EF;&#x80FD;&#x9700;&#x8981;&#x5728;&#x5B8C;&#x6210;&#x5F8C;&#x5237;&#x65B0;&#x9801;&#x9762;&#x3002;","ba-imagecapture.access-forbidden":"&#x7981;&#x6B62;&#x8A2A;&#x554F;&#x5A92;&#x9AD4;&#x3002;&#x9EDE;&#x64CA;&#x91CD;&#x8A66;&#x3002;","ba-imagecapture.uploading":"&#x4E0A;&#x50B3;","ba-imagecapture.uploading-failed":"&#x4E0A;&#x50B3;&#x5931;&#x6557; - &#x9EDE;&#x64CA;&#x6B64;&#x8655;&#x91CD;&#x8A66;&#x3002;","ba-imagecapture.upload-error-duration":"&#x4E0A;&#x50B3;&#x5716;&#x7247;&#x7684;&#x9577;&#x5EA6;&#x4E0D;&#x7B26;&#x5408;&#x8981;&#x6C42; - &#x9EDE;&#x64CA;&#x6B64;&#x8655;&#x91CD;&#x8A66;&#x3002;","ba-imagecapture.resolution-constraint-error":"&#x60A8;&#x9078;&#x64C7;&#x7684;&#x6587;&#x4EF6;&#x8207;&#x6240;&#x9700;&#x7684;&#x5206;&#x8FA8;&#x7387;&#x4E0D;&#x5339;&#x914D; - &#x9EDE;&#x64CA;&#x6B64;&#x8655;&#x91CD;&#x8A66;&#x3002;","ba-imagecapture.verifying":"&#x9A57;&#x8B49;","ba-imagecapture.verifying-failed":"&#x9A57;&#x8B49;&#x5931;&#x6557; - &#x55AE;&#x64CA;&#x6B64;&#x8655;&#x91CD;&#x8A66;&#x3002;","ba-imagecapture.rerecord-confirm":"&#x4F60;&#x771F;&#x7684;&#x60F3;&#x91CD;&#x62CD;&#x4F60;&#x7684;&#x5F62;&#x8C61;&#x55CE;&#xFF1F;","ba-imagecapture.image_file_too_large":"&#x60A8;&#x7684;&#x5716;&#x7247;&#x6587;&#x4EF6;&#x592A;&#x5927;&#xFF08;%s&#xFF09; - &#x9EDE;&#x64CA;&#x6B64;&#x8655;&#x518D;&#x6B21;&#x5617;&#x8A66;&#x4F7F;&#x7528;&#x8F03;&#x5C0F;&#x7684;&#x5716;&#x7247;&#x6587;&#x4EF6;&#x3002;","ba-imagecapture.unsupported_image_type":"&#x8ACB;&#x4E0A;&#x50B3;&#xFF1A;%s  - &#x9EDE;&#x64CA;&#x6B64;&#x8655;&#x91CD;&#x8A66;&#x3002;","ba-imagecapture.orientation-portrait-required":"&#x8ACB;&#x65CB;&#x8F49;&#x8A2D;&#x5099;&#x4EE5;&#x7E31;&#x5411;&#x6A21;&#x5F0F;&#x9304;&#x88FD;&#x3002;","ba-imagecapture.orientation-landscape-required":"&#x8ACB;&#x65CB;&#x8F49;&#x60A8;&#x7684;&#x8A2D;&#x5099;&#x4EE5;&#x6A6B;&#x5411;&#x6A21;&#x5F0F;&#x9304;&#x88FD;&#x3002;","ba-audiorecorder.recorder-error":"&#x767C;&#x751F;&#x4E86;&#x4E00;&#x500B;&#x932F;&#x8AA4;&#x3002;&#x8ACB;&#x7A0D;&#x5F8C;&#x91CD;&#x8A66;&#x3002;&#x9EDE;&#x64CA;&#x91CD;&#x8A66;&#x3002;","ba-audiorecorder.attach-error":"&#x6211;&#x5011;&#x7121;&#x6CD5;&#x8A2A;&#x554F;&#x5A92;&#x9AD4;&#x754C;&#x9762;&#x3002;&#x60A8;&#x53EF;&#x80FD;&#x9700;&#x8981;&#x5B89;&#x88DD;Flash&#x6216;&#x901A;&#x904E;SSL&#x8A2A;&#x554F;&#x8A72;&#x9801;&#x9762;&#xFF0C;&#x5177;&#x9AD4;&#x53D6;&#x6C7A;&#x65BC;&#x8A2D;&#x5099;&#x548C;&#x700F;&#x89BD;&#x5668;&#x3002;","ba-audiorecorder.software-required":"&#x8ACB;&#x55AE;&#x64CA;&#x4E0B;&#x65B9;&#x4EE5;&#x5B89;&#x88DD;/&#x6FC0;&#x6D3B;&#x4EE5;&#x4E0B;&#x8981;&#x6C42;&#x4EE5;&#x7E7C;&#x7E8C;&#x3002;","ba-audiorecorder.software-waiting":"&#x7B49;&#x5F85;&#x5B89;&#x88DD;/&#x6FC0;&#x6D3B;&#x8981;&#x6C42;&#x3002;&#x60A8;&#x53EF;&#x80FD;&#x9700;&#x8981;&#x5728;&#x5B8C;&#x6210;&#x5F8C;&#x5237;&#x65B0;&#x9801;&#x9762;&#x3002;","ba-audiorecorder.access-forbidden":"&#x7981;&#x6B62;&#x8A2A;&#x554F;&#x5A92;&#x9AD4;&#x3002;&#x9EDE;&#x64CA;&#x91CD;&#x8A66;&#x3002;","ba-audiorecorder.uploading":"&#x4E0A;&#x50B3;","ba-audiorecorder.uploading-failed":"&#x4E0A;&#x50B3;&#x5931;&#x6557; - &#x9EDE;&#x64CA;&#x6B64;&#x8655;&#x91CD;&#x8A66;&#x3002;","ba-audiorecorder.upload-error-duration":"&#x4E0A;&#x50B3;&#x7684;&#x97F3;&#x983B;&#x9577;&#x5EA6;&#x4E0D;&#x7B26;&#x5408;&#x8981;&#x6C42; - &#x9EDE;&#x64CA;&#x6B64;&#x8655;&#x91CD;&#x8A66;&#x3002;","ba-audiorecorder.verifying":"&#x9A57;&#x8B49;","ba-audiorecorder.verifying-failed":"&#x9A57;&#x8B49;&#x5931;&#x6557; - &#x55AE;&#x64CA;&#x6B64;&#x8655;&#x91CD;&#x8A66;&#x3002;","ba-audiorecorder.rerecord-confirm":"&#x4F60;&#x771F;&#x7684;&#x60F3;&#x8981;&#x91CD;&#x505A;&#x4F60;&#x7684;&#x97F3;&#x983B;&#x55CE;&#xFF1F;","ba-audiorecorder.cancel-confirm":"&#x4F60;&#x771F;&#x7684;&#x60F3;&#x53D6;&#x6D88;&#x97F3;&#x983B;&#x4E0A;&#x50B3;&#x55CE;&#xFF1F;","ba-audiorecorder.audio_file_too_large":"&#x60A8;&#x7684;&#x97F3;&#x983B;&#x6587;&#x4EF6;&#x592A;&#x5927;&#xFF08;%s&#xFF09; - &#x9EDE;&#x64CA;&#x6B64;&#x8655;&#x518D;&#x6B21;&#x5617;&#x8A66;&#x4F7F;&#x7528;&#x8F03;&#x5C0F;&#x7684;&#x97F3;&#x983B;&#x6587;&#x4EF6;&#x3002;","ba-audiorecorder.unsupported_audio_type":"&#x8ACB;&#x4E0A;&#x50B3;&#xFF1A;%s  - &#x9EDE;&#x64CA;&#x6B64;&#x8655;&#x91CD;&#x8A66;&#x3002;","ba-common-settingsmenu.tooltip":"&#x9EDE;&#x64CA;&#x64AD;&#x653E;&#x3002;","ba-common-settingsmenu.setting-menu":"&#x6240;&#x6709;&#x8A2D;&#x5B9A;","ba-common-settingsmenu.source-quality":"&#x6E90;&#x8CEA;&#x91CF;","ba-common-settingsmenu.player-speed":"&#x64AD;&#x653E;&#x901F;&#x5EA6;","ba-common-settingsmenu.set-menu-option":"&#x8A2D;&#x5B9A;&#x9078;&#x9805;","ba-common-settingsmenu.submit-video":"&#x78BA;&#x8A8D;&#x5F71;&#x7247;","ba-common-settingsmenu.picture-in-picture":"&#x756B;&#x4E2D;&#x756B;","ba-common-settingsmenu.exit-fullscreen-video":"&#x9000;&#x51FA;&#x5168;&#x5C4F;","ba-common-settingsmenu.fullscreen-video":"&#x9032;&#x5165;&#x5168;&#x5C4F;","ba-videorecorder-chooser.multi-stream":"&#x591A;&#x6D41;","ba-videorecorder-controlbar.pause-recorder":"&#x66AB;&#x505C;&#x8A18;&#x9304;&#x5668;","ba-videorecorder-controlbar.resume-recorder":"&#x7C21;&#x6B77;&#x8A18;&#x9304;&#x5668;","ba-videorecorder.missing-track":"&#x7F3A;&#x5C11;&#x5FC5;&#x9700;&#x7684;&#x97F3;&#x983B;&#x6216;&#x8996;&#x983B;&#x8ECC;&#x9053;","ba-videorecorder.device-already-in-use":"&#x60A8;&#x7684;&#x81F3;&#x5C11;&#x4E00;&#x500B;&#x8F38;&#x5165;&#x8A2D;&#x5099;&#x5DF2;&#x5728;&#x4F7F;&#x7528;&#x4E2D;","ba-videorecorder.browser-permission-denied":"&#x700F;&#x89BD;&#x5668;&#x62D2;&#x7D55;&#x6B64;&#x6B0A;&#x9650;&#xFF0C;&#x8ACB;&#x6388;&#x4E88;&#x8A2A;&#x554F;&#x6B0A;&#x9650;&#x4E26;&#x91CD;&#x65B0;&#x52A0;&#x8F09;&#x9801;&#x9762;","ba-audioplayer.all-settings":"&#x6240;&#x6709;&#x8A2D;&#x5B9A;","ba-videoplayer-controlbar.remaining-time":"&#x5269;&#x9918;&#x6642;&#x9593;","ba-videoplayer-controlbar.select-frame":"&#x9078;&#x64C7;","ba-videoplayer-controlbar.trim-video":"&#x4FEE;&#x526A;","ba-videoplayer-playbutton.trim":"&#x4FEE;&#x526A;","ba-videoplayer-playbutton.skip":"&#x8DF3;&#x904E;","ba-videorecorder-imagegallery.upload-covershot":"&#x4E0A;&#x50B3;&#x5C01;&#x9762;","ba-videorecorder.pick-covershot-frame":"&#x9078;&#x64C7;&#x8981;&#x7528;&#x4F5C;&#x63A9;&#x8B77;&#x7684;&#x5E40;&#x3002;","ba-videorecorder.screen-recorder-is-not-supported":"&#x6B64;&#x8A2D;&#x5099;&#x4E0D;&#x652F;&#x6301;&#x5C4F;&#x5E55;&#x9304;&#x50CF;&#x6A5F;","ba-videorecorder.trim-prompt":"&#x4F60;&#x60F3;&#x4FEE;&#x526A;&#x4F60;&#x7684;&#x8996;&#x983B;&#x55CE;&#xFF1F;","ba-videorecorder.trim-video":"&#x79FB;&#x52D5;&#x958B;&#x59CB;&#x548C;&#x7D50;&#x675F;&#x6A19;&#x8A18;&#x4EE5;&#x4FEE;&#x526A;&#x8996;&#x983B;","ba-videorecorder.wait-for-trim":"&#x7B49;&#x5F85;&#x4FEE;&#x526A;&#x547D;&#x4EE4;...","ba-videorecorder-controlbar.no-video-source":"&#x7F3A;&#x5C11;&#x984D;&#x5916;&#x7684;&#x8996;&#x983B;&#x8F38;&#x5165;&#x6E90;","ba-videorecorder-controlbar.stream-already-selected":"&#x5DF2;&#x9078;&#x64C7;&#x9644;&#x52A0;&#x6D41;","ba-videorecorder.uploading-src-error":"&#x73FE;&#x5728;&#x7121;&#x6CD5;&#x64AD;&#x653E;&#x8996;&#x983B;&#xFF0C;&#x4E0A;&#x50B3;&#x4ECD;&#x5728;&#x9032;&#x884C;&#x4E2D;","ba-audiorecorder-controlbar.pause-recorder":"&#x66AB;&#x505C;&#x9304;&#x97F3;&#x6A5F;","ba-audiorecorder-controlbar.resume-recorder":"&#x7C21;&#x6B77;&#x8A18;&#x9304;&#x5668;"}};
    for (var language in languages)
        Assets.strings.register(languages[language], [language]);
    return {};
});

Scoped.define("module:Ads.IMA.Controllbar", ["dynamics:Dynamic","browser:Dom","browser:Info","base:Types","base:Time","base:Timers","base:TimeFormat","module:Assets","browser:Events"], function(Dynamic, Dom, Info, Types, Time, Timers, TimeFormat, Assets, DomEvents, scoped) {
    return Dynamic.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "<div class=\"{{cssplayer}}-ad-controllbar\">\n    <div ba-show=\"{{skippable}}\" class=\"{{cssplayer}}-skipbutton-container\"\n         ba-click=\"{{skip_linear_ad()}}\"\n    >\n        <p class=\"{{cssplayer}}-skipbutton\">\n            {{lefttillskip > 0 ? string('can-skip-after').replace('%d', lefttillskip) : string('skip-ad') }}\n        </p>\n    </div>\n\n    <div ba-if=\"{{!customcontroller}}\" class=\"{{css}}-companion-ad-container\" ba-show=\"{{companionadvisible}}\">\n        <div class=\"{{css}}-close-companion-ad\" ba-click=\"{{skip_companion_ad()}}\">X</div>\n        <img class=\"{{css}}-companion-ad\" src=\"\" />\n    </div>\n\n    <div ba-if=\"{{customcontroller}}\" class=\"{{css}}-overlay {{cssplayer}}-ad-click-tracker\n        {{clickthroughurl && controllbarisvisible ? csscommon + '-clickable' : ''}}\"\n         ba-click=\"{{ad_clicked()}}\"\n    ></div>\n\n    <div class=\"{{cssplayer}}-ad-controlbar {{controllbarisvisible ? '' : (cssplayer + '-dashboard-hidden')}}\">\n        <div tabindex=\"1\" ba-hotkey:space^enter=\"{{toggle_player()}}\"\n             onmouseout=\"this.blur()\" class=\"{{css}}-leftbutton-container\"\n             autofocus\n        >\n            <div ba-if=\"{{!playing}}\" class=\"{{css}}-button-inner\"\n                 ba-click=\"{{resume()}}\" title=\"{{string('play-ad')}}\"\n            >\n                <i class=\"{{csscommon}}-icon-play\"></i>\n            </div>\n            <div ba-if=\"{{playing}}\" class=\"{{css}}-button-inner\" ba-click=\"{{pause()}}\"\n                 title=\"{{disablepause ? string('pause-video-disabled') : string('pause-video')}}\"\n            >\n                <i class=\"{{csscommon}}-icon-pause\"></i>\n            </div>\n        </div>\n\n        <div class=\"{{cssplayer}}-ad-time-container\">\n            <div class=\"{{cssplayer}}-ad-time-value\"\n                 title=\"{{string('elapsed-time')}}\"\n            >\n                {{formatTime(duration)}} / {{formatTime(remaining)}}\n                    <span>|</span>\n                {{title}}\n            </div>\n        </div>\n\n        <div tabindex=\"4\" ba-if=\"{{supportsfullscreen}}\"\n             title=\"{{ fullscreened ? string('exit-fullscreen-video') : string('fullscreen-video') }}\"\n             ba-hotkey:space^enter=\"{{toggle_fullscreen()}}\" onmouseout=\"this.blur()\"\n             class=\"{{css}}-rightbutton-container\" ba-click=\"{{toggle_fullscreen()}}\"\n        >\n            <div class=\"{{css}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-resize-{{fullscreened ? 'small' : 'full'}}\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"3\" class=\"{{cssplayer}}-ad-volumebar\"\n             ba-hotkey:right=\"{{set_volume(volume + 0.1)}}\" ba-hotkey:left=\"{{set_volume(volume - 0.1)}}\"\n             ba-hotkey:up=\"{{set_volume(1)}}\" ba-hotkey:down=\"{{set_volume(0)}}\"\n        >\n            <div data-selector=\"button-volume-bar\" class=\"{{cssplayer}}-ad-volumebar-inner\"\n                 onmousedown=\"{{startUpdateVolume(domEvent)}}\"\n                 onmouseup=\"{{stopUpdateVolume(domEvent)}}\"\n                 onmouseleave=\"{{stopUpdateVolume(domEvent)}}\"\n                 onmousemove=\"{{progressUpdateVolume(domEvent)}}\"\n            >\n                <div class=\"{{cssplayer}}-ad-volumebar-position\"\n                     ba-styles=\"{{{width: Math.min(100, Math.round(volume * 100)) + '%'}}}\"\n                >\n                    <div class=\"{{cssplayer}}-ad-volumebar-button\"\n                         title=\"{{string('volume-button')}}\"\n                    ></div>\n                </div>\n            </div>\n        </div>\n\n        <div tabindex=\"2\" class=\"{{cssplayer}}-ad-rightbutton-container\"\n             ba-click=\"{{toggle_volume()}}\" ba-hotkey:space^enter=\"{{toggle_volume()}}\"\n             title=\"{{string(volume > 0 ? 'volume-mute' : 'volume-unmute')}}\"\n        >\n            <div class=\"{{cssplayer}}-ad-button-inner\">\n                <i class=\"{{csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off')) }}\"></i>\n            </div>\n        </div>\n    </div>\n</div>\n\n",

                attrs: {
                    css: "ba-videoplayer",
                    cssplayer: "ba-player",
                    csscommon: "ba-commoncss",
                    adplayercss: 'ba-videoadplayer',
                    skipable: false,
                    'allow-skip': false,
                    dyn: null,
                    requester: null,
                    ad: null,
                    playing: false,
                    duration: 0,
                    remaining: 0,
                    volume: 1,
                    disablepause: false,
                    title: null,
                    pausedonclick: false,
                    clickthroughurl: null,
                    fullscreened: false,
                    supportsfullscreen: false,
                    hidebarafter: 5000,
                    // if controlbar is hidden, touch on screen should make it visible,
                    // and not handle click trough action, as user may want to use controlbar options
                    controllbarisvisible: true,
                    skippable: false, // Set when skip not exists in XML file and user set
                    skipoffset: -1
                },

                create: function() {
                    // , destroy, focus, getCuePoints
                    // getCuePoints, resize, skip, start, stop,
                    // discardAdBreak

                    this._adsRequester = this.get("requester");
                    this._contentPlayer = this._adsRequester._dyn;
                    this._adsManager = this._adsRequester._adsManager;
                    this._ads = this._adsManager.getCurrentAd();
                    this._element = this._adsRequester._options.adElement;
                    this.set("last_activity", Time.now());

                    if (this._contentPlayer.get("playing")) this._contentPlayer.pause();
                    this.set("supportsfullscreen", Dom.elementSupportsFullscreen(this._element));

                    var key = Object.keys(this._ads)[0] || null;
                    if (key && this._ads[key]) {
                        this.set("clickthroughurl", this._ads[key].clickThroughUrl);
                    }

                    this._domEvents = this.auto_destroy(new DomEvents());

                    this.set("ad", this._ads);
                    this.set("title", this._ads.getTitle());
                    this.set("duration", this._ads.getDuration());
                    // this.set("skippable", this._adsManager.getAdSkippableState());
                    this.set("skipoffset", this._ads.getSkipTimeOffset());
                    var podInfo = this._ads.getAdPodInfo();
                    this.set("pods", {
                        index: podInfo.getPodIndex(),
                        position: podInfo.getAdPosition(),
                        total: podInfo.getTotalAds(),
                        maxDuration: podInfo.getMaxDuration(),
                        timeOffset: podInfo.getTimeOffset()
                    });
                    this.set("volume", this._adsManager.getVolume());
                    this.set("remaining", this._adsManager.getRemainingTime());
                    // vastMediaBitrate: 360 // vastMediaHeight: 300 // vastMediaWidth: 400
                    this.set("width", this._contentPlayer.videoWidth());
                    this.set("height", this._contentPlayer.videoHeight());

                    // If skipoffset attribute not exisit in XML but user set own skipafter
                    if (!this._ads.isSkippable() && Types.isNumber(this._adsRequester._providerOptions.skipAfter)) {
                        this.set("skippable", true);
                        this.set("skipoffset", this._adsRequester._providerOptions.skipAfter);
                        this.set("lefttillskip", this.get("skipoffset"));
                    }

                    this._adsRequester.on("adstart", function() {
                        this.set("playing", true);
                    }, this);
                    this._adsRequester.on("adpause", function() {
                        this.set("playing", false);
                    }, this);
                    this._adsRequester.on("adresume", function() {
                        this.set("playing", true);
                    }, this);
                    this._adsRequester.on("skippableStateChanged", function() {
                        console.log("Skip state was changed!!!");
                    }, this);

                    this._domEvents.on(this._element, 'fullscreenchange', function(ev) {
                        var element = ev.target;
                        var _mode, _width = element.offsetWidth,
                            _height = element.offsetHeight;
                        // if (document.fullscreenElement || document.webkitFullscreenElement)
                        this.set("fullscreened", Dom.elementIsFullscreen(element));
                        _mode = this.get("fullscreened") ? google.ima.ViewMode.FULLSCREEN : google.ima.ViewMode.NORMAL;
                        this._adsManager.resize(_width, _height, _mode);
                    }, this);

                    // On user over
                    this._domEvents.on(this._element, 'mouseover', function(ev) {
                        this.set("last_activity", Time.now());
                    }, this);

                    this._domEvents.on(this._element, 'tap', function(ev) {
                        this.set("last_activity", Time.now());
                    }, this);

                    // Below listener also can do the job, only user activity will pause as progress fire onlu on playing ad
                    // this._adsRequester.on("adadProgress", function(ev) {}, this);
                    this._timer = this._auto_destroy(new Timers.Timer({
                        context: this,
                        fire: this._timerFire,
                        delay: 200,
                        start: true
                    }, this));
                },

                functions: {

                    formatTime: function(time) {
                        time = Math.max(time || 0, 1);
                        return TimeFormat.format(TimeFormat.ELAPSED_MINUTES_SECONDS, time * 1000);
                    },

                    startUpdateVolume: function(event) {
                        event[0].preventDefault();
                        this.set("_updateVolume", true);
                        this.call("progressUpdateVolume", event);
                    },

                    progressUpdateVolume: function(event) {
                        var ev = event[0];
                        ev.preventDefault();
                        if (!this.get("_updateVolume"))
                            return;
                        var clientX = ev.clientX;
                        var target = ev.currentTarget;
                        var offset = Dom.elementOffset(target);
                        var dimensions = Dom.elementDimensions(target);
                        this.set("volume", (clientX - offset.left) / (dimensions.width || 1));
                        this._adsManager.setVolume(this.get("volume") > 1 ? 1 : this.get("volume"));
                    },

                    stopUpdateVolume: function(event) {
                        event[0].preventDefault();
                        this.set("_updateVolume", false);
                    },

                    play: function() {
                        this._adsManager.start();
                    },

                    resume: function() {
                        this._adsManager.resume();
                    },

                    toggle_player: function() {
                        // NO NEED: we are listening for this: this.set("playing", !this.get("playing"));
                        if (this.get("playing")) {
                            this._adsManager.pause();
                        } else {
                            this._adsManager.resume();
                        }
                    },

                    pause: function() {
                        this._adsManager.pause();
                    },

                    set_volume: function(value) {
                        this.set("volume", value);
                        this._adsManager.setVolume(this.get("volume") > 1 ? 1 : this.get("volume"));
                    },

                    toggle_volume: function() {
                        this.set("volume", this._adsManager.getVolume() === 0 ? 1 : 0);
                        this._adsManager.setVolume(this.get("volume"));
                    },

                    skip_linear_ad: function() {
                        if (this.get("lefttillskip") > 0)
                            return;
                        // ad skip works only if adSkippableState is true and it will be shown by default, we have to use stop
                        // this._adsManager.skip();
                        this._adsManager.stop();
                    },

                    skip_companion_ad: function() {
                        this._adsManager.skip();
                    },

                    toggle_fullscreen: function() {
                        var fullscreenElement = this._element;
                        if (this.get("fullscreened")) {
                            Dom.documentExitFullscreen(fullscreenElement);
                        } else {
                            Dom.elementEnterFullscreen(fullscreenElement);
                        }
                    },

                    ad_clicked: function() {
                        console.log("Ad was clicked");
                        // this._ads.initialUserAction();
                        if (this.get("clickthroughurl") && !this.get('pausedonclick') && this.get('controllbarisvisible')) {
                            this._adsManager.pause();
                            // this._adsManager.dispatch(google.ima.AdEvent.Type.CLICK);
                            var linkElement = document.createElement('a');
                            linkElement.href = this.get("clickthroughurl");
                            linkElement.target = '_blank';
                            linkElement.click();
                            this.set('pausedonclick', true);
                        } else {
                            // When second time click on ad resume playe
                            this._adsManager.resume();
                            this.set('pausedonclick', false);
                            this.set('controllbarisvisible', true);
                        }
                    }
                },

                _timerFire: function() {
                    var _now = Time.now();
                    this.set("activity_delta", _now - this.get("last_activity"));

                    this.set("remaining", this._adsManager.getRemainingTime());

                    if (this.get("skipoffset") > 0 && this.get("skippable")) {
                        this.set("lefttillskip", Math.floor(this.get("skipoffset") - (this.get("duration") - this.get("remaining"))));
                    }

                    this.set("controllbarisvisible", this.get("activity_delta") < this.get("hidebarafter"));
                }
            };
        }).register("ba-ads-controllbar")
        .registerFunctions({
            /**/"cssplayer": function (obj) { return obj.cssplayer; }, "skippable": function (obj) { return obj.skippable; }, "skip_linear_ad()": function (obj) { return obj.skip_linear_ad(); }, "lefttillskip > 0 ? string('can-skip-after').replace('%d', lefttillskip) : string('skip-ad')": function (obj) { return obj.lefttillskip > 0 ? obj.string('can-skip-after').replace('%d', obj.lefttillskip) : obj.string('skip-ad'); }, "!customcontroller": function (obj) { return !obj.customcontroller; }, "css": function (obj) { return obj.css; }, "companionadvisible": function (obj) { return obj.companionadvisible; }, "skip_companion_ad()": function (obj) { return obj.skip_companion_ad(); }, "customcontroller": function (obj) { return obj.customcontroller; }, "clickthroughurl && controllbarisvisible ? csscommon + '-clickable' : ''": function (obj) { return obj.clickthroughurl && obj.controllbarisvisible ? obj.csscommon + '-clickable' : ''; }, "ad_clicked()": function (obj) { return obj.ad_clicked(); }, "controllbarisvisible ? '' : (cssplayer + '-dashboard-hidden')": function (obj) { return obj.controllbarisvisible ? '' : (obj.cssplayer + '-dashboard-hidden'); }, "toggle_player()": function (obj) { return obj.toggle_player(); }, "!playing": function (obj) { return !obj.playing; }, "resume()": function (obj) { return obj.resume(); }, "string('play-ad')": function (obj) { return obj.string('play-ad'); }, "csscommon": function (obj) { return obj.csscommon; }, "playing": function (obj) { return obj.playing; }, "pause()": function (obj) { return obj.pause(); }, "disablepause ? string('pause-video-disabled') : string('pause-video')": function (obj) { return obj.disablepause ? obj.string('pause-video-disabled') : obj.string('pause-video'); }, "string('elapsed-time')": function (obj) { return obj.string('elapsed-time'); }, "formatTime(duration)": function (obj) { return obj.formatTime(obj.duration); }, "formatTime(remaining)": function (obj) { return obj.formatTime(obj.remaining); }, "title": function (obj) { return obj.title; }, "supportsfullscreen": function (obj) { return obj.supportsfullscreen; }, "fullscreened ? string('exit-fullscreen-video') : string('fullscreen-video')": function (obj) { return obj.fullscreened ? obj.string('exit-fullscreen-video') : obj.string('fullscreen-video'); }, "toggle_fullscreen()": function (obj) { return obj.toggle_fullscreen(); }, "fullscreened ? 'small' : 'full'": function (obj) { return obj.fullscreened ? 'small' : 'full'; }, "set_volume(volume + 0.1)": function (obj) { return obj.set_volume(obj.volume + 0.1); }, "set_volume(volume - 0.1)": function (obj) { return obj.set_volume(obj.volume - 0.1); }, "set_volume(1)": function (obj) { return obj.set_volume(1); }, "set_volume(0)": function (obj) { return obj.set_volume(0); }, "startUpdateVolume(domEvent)": function (obj) { return obj.startUpdateVolume(obj.domEvent); }, "stopUpdateVolume(domEvent)": function (obj) { return obj.stopUpdateVolume(obj.domEvent); }, "progressUpdateVolume(domEvent)": function (obj) { return obj.progressUpdateVolume(obj.domEvent); }, "{width: Math.min(100, Math.round(volume * 100)) + '%'}": function (obj) { return {width: Math.min(100, Math.round(obj.volume * 100)) + '%'}; }, "string('volume-button')": function (obj) { return obj.string('volume-button'); }, "toggle_volume()": function (obj) { return obj.toggle_volume(); }, "string(volume > 0 ? 'volume-mute' : 'volume-unmute')": function (obj) { return obj.string(obj.volume > 0 ? 'volume-mute' : 'volume-unmute'); }, "csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off'))": function (obj) { return obj.csscommon + '-icon-volume-' + (obj.volume >= 0.5 ? 'up' : (obj.volume > 0 ? 'down' : 'off')); }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "elapsed-time": "Elapsed time",
            "volume-button": "Set volume",
            "volume-mute": "Mute sound",
            "volume-unmute": "Unmute sound",
            "ad-will-end-after": "Ad will end after %s",
            "can-skip-after": "Skip after %d",
            "skip-ad": "Skip ad"
        });
});

Scoped.define("module:AudioVisualization", ["base:Class","base:Maths","browser:Dom","browser:Info"], function(Class, Maths, Dom, Info, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {
        return {
            /**
             * @param stream  // Audio stream
             * @param {object} options // additional options like height and active element
             */
            constructor: function(stream, options) {
                inherited.constructor.call(this);
                this.stream = stream;
                this.recorder = null;
                this.theme = options.theme;
                if (options.recorder) {
                    this.recorder = options.recorder;
                } else {
                    // JSLint not allow for shortcuts new(window.AudioContext || window.webkitAudioContext)
                    var AudioContext = window.AudioContext || window.webkitAudioContext;
                    this.audioContext = new AudioContext();
                }
                this.createVisualizationCanvas(options.height, options.element);
                this.frameID = null;
            },

            createVisualizationCanvas: function(height, element) {
                var _height, _containerElement;
                _height = height || 120;
                _containerElement = (element.firstElementChild || element.firstChild);
                _containerElement.style.minHeight = _height + 'px';
                this.canvas = _containerElement.querySelector('canvas');
                this.canvas.style.display = 'block';
                this.canvas.width = parseFloat(window.getComputedStyle(_containerElement).width);
                this.canvas.height = _height;
                this.canvasContext = this.canvas.getContext("2d");
            },

            _clearCanvas: function() {
                this.canvasContext.clearRect(0, 0, this.canvas.width, this.canvas.height);
            },

            initializeVisualEffect: function() {
                try {
                    var _source;
                    if (this.recorder) {
                        this._analyser = this.recorder._analyser;
                        this.analyser = this._analyser._analyserNode;
                        this.audioContext = this._analyser._audioContext;
                        this.analyser.fftSize = 256;
                        //_source = this.audioContext.createMediaStreamSource(this.stream)
                    }

                    if (this.audioContext || this.stream) {
                        if (this.audioContext.state === 'suspended') {
                            Dom.userInteraction(function() {
                                this.audioContext.resume();
                            }, this);
                        }

                        if (this.stream instanceof HTMLElement) {
                            _source = this.audioContext.createMediaElementSource(this.stream);
                            this.analyser = this.audioContext.createAnalyser();
                            _source.connect(this.analyser);
                            this.analyser.fftSize = 256;
                            this.analyser.connect(this.audioContext.destination);
                        }

                        this.bufferLength = this.analyser.frequencyBinCount;
                        // this.dataArray = new Uint8Array(this.analyser.fftSize);
                        this.dataArray = new Uint8Array(this.analyser.frequencyBinCount);
                        // this.dataArray = new Float32Array(this.analyser.fftSize);
                        this.canvasWidth = this.canvas.width;
                        this.canvasHeight = this.canvas.height;
                        this.barWidth = (this.canvasWidth / this.bufferLength) * 2.5;
                        this.barHeight = 0;
                        this.x = 0;
                        //this.renderFrame = this._renderFrame;
                        // If requestAnimationFrame is missing
                        if (!window.requestAnimationFrame) {
                            window.requestAnimationFrame = (function() {
                                return window.webkitRequestAnimationFrame ||
                                    window.mozRequestAnimationFrame ||
                                    window.oRequestAnimationFrame ||
                                    window.msRequestAnimationFrame ||
                                    function( /* function FrameRequestCallback */ callback, /* DOMElement Element */ element) {
                                        window.setTimeout(callback, 1000 / 60);
                                    };
                            })();
                            window.cancelAnimationFrame = window.cancelAnimationFrame ||
                                window.mozCancelAnimationFrame ||
                                function(requestID) {
                                    clearTimeout(requestID);
                                }; //fall back
                        }
                    } else {
                        console.warn('Seems there is limitation by browser to create AudioContext instance');
                    }
                } catch (e) {
                    //this.set('visualeffectsupported', false);
                    console.warn('Web Audio API not supported', e);
                }
            },

            start: function() {
                this._renderFrame();
            },

            pause: function() {
                this._cancelFrame();
            },

            stop: function() {
                this._cancelFrame();
                this._clearCanvas();
            },

            destroy: function() {
                if (this.canvas) this.canvas.remove();
                inherited.destroy.call(this);
            },

            _renderFrame: function() {
                this.frameID = requestAnimationFrame(function() {
                    this._renderFrame();
                }.bind(this));
                this.analyser.getByteFrequencyData(this.dataArray);
                // this.dataArray = new Float32Array( this.analyser.fftSize);
                // this.analyser.getFloatTimeDomainData(this.dataArray);
                // this._drawRedBars();
                switch (this.theme) {
                    case "red-bars":
                        this._drawRedBars();
                        break;
                    default:
                        this._drawBigBalloon();
                        break;
                }
            },

            _cancelFrame: function() {
                cancelAnimationFrame(this.frameID);
            },

            updateSourceStream: function() {
                this._cancelFrame();
                this.initializeVisualEffect();
                // this._analyser = new AudioAnalyser(this._recorder.stream());
                // this._analyser.destroy();
            },

            _drawRedBars: function() {
                this.x = 0;
                this.canvasContext.fillStyle = "#000";
                this.canvasContext.fillRect(0, 0, this.canvasWidth, this.canvasHeight);
                for (var i = 0; i < this.bufferLength; i++) {
                    this.barHeight = this.dataArray[i] / 2;
                    var r = this.barHeight + (25 * (i / this.bufferLength));
                    var g = 250 * (i / this.bufferLength);
                    var b = 50;
                    this.canvasContext.fillStyle = "rgb(" + r + "," + g + "," + b + ")";
                    this.canvasContext.fillRect(this.x, this.canvasHeight - this.barHeight, this.barWidth, this.barHeight);
                    this.x += this.barWidth + 1;
                }
            },

            _drawBigBalloon: function() {
                this.__canvasBackground(235);
                this.canvasContext.fillStyle = "#000";
                var s = this.__getRMS();
                this.canvasContext.fillStyle = this.__rgb(s * 2);
                this.__HfillEllipse(this.canvasWidth / 2, this.canvasHeight / 2, s * 5, s * 5);
            },

            __getRMS: function() {
                var rms = 0;
                for (var i = 0; i < this.bufferLength; i++) {
                    rms += this.dataArray[i] * this.dataArray[i];
                }
                rms /= this.dataArray.length;
                rms = Math.sqrt(rms);
                return rms;
            },

            __canvasBackground: function(r, g, b, a) {
                if (typeof g === 'undefined') {
                    this.canvasContext.fillStyle = this.__rgb(r, r, r);
                } else if (typeof b === 'undefined' && typeof a === 'undefined') {
                    this.canvasContext.fillStyle = rgba(r, r, r, g);
                } else if (typeof a === 'undefined') {
                    this.canvasContext.fillStyle = this.__rgb(r, g, b);
                } else {
                    this.canvasContext.fillStyle = this.__rgba(r, g, b, a);
                }
                this.canvasContext.fillRect(0, 0, this.canvasWidth, this.canvasHeight);
            },

            __HfillEllipse: function(x, y, width, height) {
                if (typeof height === 'undefined') height = width;
                this.__Hellipse(x, y, width, height);
                this.canvasContext.fill();
                this.canvasContext.beginPath();
            },

            __Hellipse: function(x, y, width, height) {
                'use strict';
                if (typeof height === 'undefined') height = width;
                this.canvasContext.beginPath();
                for (var i = 0; i < Math.PI * 2; i += Math.PI / 64) {
                    this.canvasContext.lineTo(x + (Math.cos(i) * width / 2), y + (Math.sin(i) * height / 2));
                }
                this.canvasContext.closePath();
            },

            __rgb: function(r, g, b) {

                if (typeof g === 'undefined') g = r;
                if (typeof b === 'undefined') b = r;
                return 'rgb(' + Maths.clamp(Math.round(r), 0, 255) + ', ' + Maths.clamp(Math.round(g), 0, 255) + ', ' + Maths.clamp(Math.round(b), 0, 255) + ')';

            },

            __rgba: function(r, g, b, a) {
                if (typeof g === 'undefined') {
                    return 'rgb(' + Maths.clamp(Math.round(r), 0, 255) + ', ' + Maths.clamp(Math.round(r), 0, 255) + ', ' + Maths.clamp(Math.round(r), 0, 255) + ')';
                } else if (typeof b === 'undefined') {
                    return 'rgba(' + Maths.clamp(Math.round(r), 0, 255) + ', ' + Maths.clamp(Math.round(r), 0, 255) + ', ' + Maths.clamp(Math.round(r), 0, 255) + ', ' + Maths.clamp(g, 0, 1) + ')';
                } else if (typeof a === 'undefined') {
                    return 'rgba(' + Maths.clamp(Math.round(r), 0, 255) + ', ' + Maths.clamp(Math.round(g), 0, 255) + ', ' + Maths.clamp(Math.round(b), 0, 255) + ', 1)';
                } else {
                    return 'rgba(' + Maths.clamp(Math.round(r), 0, 255) + ', ' + Maths.clamp(Math.round(g), 0, 255) + ', ' + Maths.clamp(Math.round(b), 0, 255) + ', ' + Maths.clamp(a, 0, 1) + ')';
                }
            }
        };
    }, {
        supported: function() {
            return !!(window.AudioContext || window.webkitAudioContext);
        }
    });
});

Scoped.define("module:Common.Dynamics.Helperframe", ["dynamics:Dynamic","base:Async","base:Timers.Timer","base:Objs","browser:Events","browser:Geometry","browser:Info"], function(Class, Async, Timer, Objs, DomEvents, Geometry, Info, scoped) {
    return Class.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            attrs: {
                "css": "ba-videorecorder",
                "framereversable": true,
                "framedragable": true,
                "frameresizeable": false,
                "framepositionx": 5,
                "framepositiony": 5,
                "frameminwidth": 120,
                "frameminheight": 95,
                "initialpositionx": null,
                "initialpositiony": null,
                "initialwidth": null,
                "initialheight": null,
                "flipframe": false,
                "frameproportional": true,
                "framemainstyle": {
                    opacity: 0.5,
                    position: 'absolute',
                    cursor: 'pointer',
                    zIndex: 100
                }
            },

            types: {
                "framereversable": "boolean",
                "framedragable": "boolean",
                "frameresizeable": "boolean",
                "frameproportional": "boolean",
                "framepositionx": "int",
                "framepositiony": "int",
                "frameminwidth": "int",
                "frameminheight": "int"
            },

            computed: {},

            events: {
                "change:framepositionx change:framepositiony change:framewidth change:frameheight": function(value) {
                    if (typeof this.recorder !== 'undefined') {
                        if (typeof this.recorder._recorder === 'object' && this.__visibleDimensions.accessible) {
                            this.recorder._recorder.updateMultiStreamPosition(
                                this.get("framepositionx"),
                                this.get("framepositiony"),
                                this.get("framewidth"),
                                this.get("frameheight")
                            );
                        } else {
                            // If previous recorder instance will be destroyed (like after rerecord)
                            this.recorder = this.__parent.recorder;
                        }
                    }
                }
            },

            create: function() {
                var _interactionEvent;
                var _frameClicksCount = 0;
                this.__parent = this.parent();
                this.__initialSettings = {
                    reversable: this.get("framereversable"),
                    dragable: this.get("framedragable"),
                    resizeable: this.get("frameresizeable")
                };

                Objs.iter(this.get("framemainstyle"), function(value, index) {
                    this.activeElement().style[index] = value;
                }, this);

                if (!this.get("initialpositionx") || !this.get("initialpositiony")) {
                    this.set("initialpositionx", this.get("framepositionx"));
                    this.set("initialpositiony", this.get("framepositiony"));
                }

                // Create additional related elements after reverse element created
                _interactionEvent = (Info.isTouchable() && !Info.isDesktop()) ? 'touch' : 'click';

                this._frameInteractionEventHandler = this.auto_destroy(new DomEvents());

                this.recorder = this.__parent.recorder;
                this.player = this.__parent.player;
                this.__visibleDimensions = {};
                this.__setHelperFrameDimensions();

                // fit frame dimensions based on source resolution
                // Only after we have _recorder informer
                if (!this.__visibleDimensions.accessible) {
                    var timer = new Timer({
                        context: this,
                        fire: function() {
                            if (this.recorder._recorder._videoTrackSettings && typeof this.recorder._recorder._videoTrackSettings.videoElement === 'object' && timer) {
                                this.set("framewidth", this.__parent.get("addstreampositionwidth"));
                                this.set("frameheight", this.__parent.get("addstreampositionheight"));
                                if (!this.get("initialwidth") || !this.get("initialheight")) {
                                    this.set("initialwidth", this.get("framewidth"));
                                    this.set("initialheight", this.get("frameheight"));
                                }
                                this.fitFrameViewOnScreenVideo();
                                timer.stop();
                            }
                        },
                        delay: 10,
                        destroy_on_stop: true,
                        immediate: true
                    });
                }

                if (this.recorder) {
                    // DO RECORDER STUFF
                    this.recorder._recorder.on("multistream-camera-switched", function(dimensions, isReversed) {
                        if (this.__initialSettings.resizeable && this.__resizerElement) {
                            this.set("frameresizeable", isReversed);
                            this.__resizerElement.style.display = isReversed ? 'none' : 'block';
                        }
                        this.set("framewidth", dimensions.width);
                        this.set("frameheight", dimensions.height);
                    }, this);

                    // If Reverse Cameras Settings is true
                    if (this.get("framereversable")) {
                        this._frameInteractionEventHandler.on(this.activeElement(), _interactionEvent, function(ev) {
                            _frameClicksCount++;
                            // because not enough info regarding supported versions also not be able to support mobile, avoided to use dblclick event
                            if (_frameClicksCount === 1)
                                Async.eventually(function() {
                                    _frameClicksCount = 0;
                                }, this, 400);

                            if (_frameClicksCount >= 2) {
                                this.recorder.reverseCameraScreens();
                            }
                        }, this);
                    }

                    // If Drag Settings is true
                    if (this.get("framedragable"))
                        this.addDragOption(this.__parent.activeElement());

                    if (this.get("frameresizeable")) {
                        this.addResize((Info.isTouchable() && !Info.isDesktop()), null, {
                            width: '7px',
                            height: '7px',
                            borderRight: '1px solid white',
                            borderBottom: '1px solid white',
                            bottom: 0,
                            right: 0,
                            position: 'absolute',
                            cursor: 'nwse-resize',
                            zIndex: 200
                        });
                    }
                } else if (this.player) {
                    // DO PLAYER STUFF
                }
            },

            functions: {},

            /**
             * Will calculate real
             * @private
             */
            fitFrameViewOnScreenVideo: function() {

                // It will be accessible when at least one of the
                // EventListeners will be fired
                var vts = this.recorder._recorder._videoTrackSettings;
                if (!vts)
                    return;
                var _height = this.__parent.get('height') ? vts.videoElement.height : vts.videoInnerFrame.height;

                if (!this.__vts) this.__vts = vts;

                this.__translate = Geometry.padFitBoxInBox(vts.width, vts.height, vts.videoElement.width, _height);

                if (!this.__resizing) {
                    this.__visibleDimensions.x = this.__translate.offsetX + this.get("framepositionx") * this.__translate.scale;
                    this.__visibleDimensions.y = this.__translate.offsetY + this.get("framepositiony") * this.__translate.scale;
                }

                this.__visibleDimensions.width = this.get("framewidth") * this.__translate.scale;
                this.__visibleDimensions.height = this.get("frameheight") * this.__translate.scale;

                this.__visibleDimensions.accessible = true;

                if (!this.__dragging && !this.__resizing) {
                    this.__positions = {
                        initialX: this.__visibleDimensions.x,
                        initialY: this.__visibleDimensions.y,
                        currentX: this.__visibleDimensions.x,
                        currentY: this.__visibleDimensions.y,
                        bottomX: this.__visibleDimensions.x + this.__visibleDimensions.width,
                        bottomY: this.__visibleDimensions.y + this.__visibleDimensions.height,
                        xOffset: 0,
                        yOffset: 0
                    };
                }

                this.__setHelperFrameDimensions();
            },

            /**
             * Will add Drag
             *
             * @param {HTMLElement} container
             * @private
             */
            addDragOption: function(container) {
                this._draggingEvent = this.auto_destroy(new DomEvents());

                var isTouchable = Info.isTouchable() && !Info.isDesktop();
                // switch to touch events if using a touch screen
                var _endEvent = isTouchable ? 'touchend' : 'mouseup';
                var _moveEvent = isTouchable ? 'touchmove' : 'mousemove';
                var _startEvent = isTouchable ? 'touchstart' : 'mousedown';

                this._draggingEvent.on(container, _endEvent, this.__handleMouseEndEvent, this);
                this._draggingEvent.on(container, _moveEvent, this.__handleMouseMoveEvent, this);
                this._draggingEvent.on(container, _startEvent, this.__handleMouseStartEvent, this);
            },

            /**
             * @param {Boolean} isTouchDevice
             * @param {HTMLElement} container
             * @param {Object} options
             * @private
             */
            addResize: function(isTouchDevice, container, options) {
                container = container || this.activeElement();

                this.__resizerElement = document.createElement('div');

                Objs.iter(options, function(value, index) {
                    this.__resizerElement.style[index] = value;
                }, this);

                container.append(this.__resizerElement);
                this.__resizeEvent = this.auto_destroy(new DomEvents());
            },

            /**
             * Handle Draggable Element Mouse Event
             *
             * @param {MouseEvent|TouchEvent} ev
             * @private
             */
            __handleMouseStartEvent: function(ev) {
                ev.preventDefault();
                if (typeof this.__visibleDimensions.accessible === 'undefined') {
                    this.fitFrameViewOnScreenVideo();
                    return;
                }
                this.__dragging = ev.target === this.activeElement();
                this.__resizing = ev.target === this.__resizerElement;

                if (typeof this.__positions === 'object') {
                    if (ev.type === "touchstart") {
                        this.__positions.initialX = ev.touches[0].clientX - this.__positions.xOffset;
                        this.__positions.initialY = ev.touches[0].clientY - this.__positions.yOffset;
                    } else {
                        if (this.__dragging) {
                            this.__positions.initialX = ev.clientX - this.__positions.xOffset;
                            this.__positions.initialY = ev.clientY - this.__positions.yOffset;
                        }
                        this.__positions.bottomX = this.__positions.initialX + this.__visibleDimensions.width;
                        this.__positions.bottomY = this.__positions.initialY + this.__visibleDimensions.height;
                    }
                }
            },


            /**
             * Listener of mouse movement
             *
             * @param {MouseEvent|TouchEvent} ev
             * @private
             */
            __handleMouseMoveEvent: function(ev) {
                var setTranslate = function(el, posX, posY) {
                    el.style.transform = "translate3d(" + posX + "px, " + posY + "px, 0)";
                };

                var setDimension = function(el, width, height) {
                    el.style.width = width;
                    el.style.height = height;
                };

                ev.preventDefault();
                if (!this.__dragging && !this.__resizing) return;
                this.activeElement().style.cursor = 'move';
                this.activeElement().style.opacity = '0';

                var _diffX, _diffY;

                if (ev.type === "touchmove") {
                    this.__positions.currentX = ev.touches[0].clientX - this.__positions.initialX;
                    this.__positions.currentY = ev.touches[0].clientY - this.__positions.initialY;
                } else {
                    if (this.__dragging) {
                        this.__positions.currentX = ev.clientX - this.__positions.initialX;
                        this.__positions.currentY = ev.clientY - this.__positions.initialY;
                    }

                    if (this.__resizing) {
                        // var _d = this.activeElement().getBoundingClientRect();
                        // this.__visibleDimensions.width = this.get("framewidth") * this.__translate.scale;
                        // this.__visibleDimensions.height = this.get("frameheight") * this.__translate.scale;
                        _diffX = ev.clientX - this.__positions.bottomX; //(this.__positions.currentX + this.__visibleDimensions.width);
                        _diffY = ev.clientY - this.__positions.bottomY; //(this.__positions.currentY + this.__visibleDimensions.height);
                    }
                }


                if (this.__dragging) {
                    this.__positions.xOffset = this.__positions.currentX;
                    this.__positions.yOffset = this.__positions.currentY;

                    setTranslate(this.activeElement(), this.__positions.currentX, this.__positions.currentY);
                    this.set("framepositionx", this.__positions.currentX / this.__translate.scale + this.get("initialpositionx"));
                    this.set("framepositiony", this.__positions.currentY / this.__translate.scale + this.get("initialpositiony"));
                }

                if (this.__resizing) {
                    var _height;
                    var _width = this.__visibleDimensions.width + _diffX;
                    if (this.get("frameproportional"))
                        _height = _width / this.__vts.aspectRatio;
                    else
                        _height = this.__visibleDimensions.height + _diffY;

                    this.__positions.bottomX = this.__positions.currentX + _width;
                    this.__positions.bottomY = this.__positions.currentY + _height;

                    this.set("framewidth", _width / this.__translate.scale);
                    this.set("frameheight", _height / this.__translate.scale);

                    this.fitFrameViewOnScreenVideo();
                    setDimension(this.activeElement(), _width, _height);
                }

            },

            /**
             * Listener of movement end
             *
             * @param {MouseEvent|TouchEvent} ev
             * @private
             */
            __handleMouseEndEvent: function(ev) {
                ev.preventDefault();
                if (!this.__dragging && !this.__resizing) return;

                if (!this.__resizing) {
                    this.__positions.initialX = this.__positions.currentX;
                    this.__positions.initialY = this.__positions.currentY;
                } else {
                    this.__positions.bottomX = this.__positions.currentX + this.__visibleDimensions.width;
                    this.__positions.bottomY = this.__positions.currentY + this.__visibleDimensions.height;
                }

                this.activeElement().style.cursor = 'pointer';
                this.activeElement().style.opacity = this.get("framemainstyle").opacity;

                this.__dragging = false;
                this.__resizing = false;
            },

            /**
             * Helper method will set dimensions for multi-screen recorder related elements
             *
             * @param {HTMLElement=} element - HTML element or Null to set dimentions and position
             * @private
             */
            __setHelperFrameDimensions: function(element) {
                element = element || this.activeElement();
                if (element) {
                    element.style.top = this.__visibleDimensions.y + 'px';
                    element.style.left = this.__visibleDimensions.x + 'px';
                    element.style.width = this.__visibleDimensions.width + 'px';
                    element.style.height = this.__visibleDimensions.height + 'px';
                }
            }
        };
    }).register("ba-helperframe");
});

Scoped.define("module:StickyHandler", ["base:Class","base:Events.EventsMixin","base:Maths","browser:Events"], function(Class, EventsMixin, Maths, DomEvents, scoped) {
    return Class.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {
            /**
             * @param {HTMLElement} element
             * @param {HTMLElement} container
             * @param {Object} [options]
             * @param {boolean} [options.paused] - used to temporarily stop element from sticking to view
             */
            constructor: function(element, container, options) {
                inherited.constructor.call(this);
                this.element = element;
                this.container = container;
                this.paused = options.paused || false;
                this.events = this.auto_destroy(new DomEvents());
            },

            destroy: function() {
                if (this._elementObserver) this._elementObserver.disconnect();
                if (this._containerObserver) this._containerObserver.disconnect();
                inherited.destroy.call(this);
            },

            init: function() {
                this._initIntersectionObservers();
            },

            pause: function() {
                this.paused = true;
            },

            start: function() {
                this.paused = false;
            },

            isDragging: function() {
                return !!this.dragging;
            },

            stopDragging: function() {
                this.dragging = false;
            },

            elementWasDragged: function() {
                return !!this.__elementWasDragged;
            },

            _initIntersectionObservers: function() {
                var elementFirstObservation = true;
                var containerFirstObservation = true;
                this._elementObserver = new IntersectionObserver(elementCallback.bind(this));
                this._containerObserver = new IntersectionObserver(containerCallback.bind(this));

                function elementCallback(entries, observer) {
                    entries.forEach(function(entry) {
                        if (elementFirstObservation) {
                            elementFirstObservation = false;
                            return;
                        }
                        if (entry.isIntersecting || this.paused) return;
                        this.trigger("elementLeftView");
                        if (this._top) this.element.style.top = this._top;
                        if (this._left) this.element.style.left = this._left;
                        this._initEventListeners();
                    }.bind(this));
                }

                function containerCallback(entries, observer) {
                    entries.forEach(function(entry) {
                        if (containerFirstObservation) {
                            containerFirstObservation = false;
                            return;
                        }
                        if (!entry.isIntersecting) return;
                        this.trigger("containerEnteredView");
                        this.element.style.removeProperty("top");
                        this.element.style.removeProperty("left");
                        this.events.off(this.element, "mousedown touchstart");
                        this.dragging = false;
                    }.bind(this));
                }

                this._elementObserver.observe(this.element);
                this._containerObserver.observe(this.container);
            },

            _initEventListeners: function() {
                var lastX, lastY, diffX, diffY;
                this.events.on(this.element, "mousedown", mouseDownHandler, this);
                this.events.on(this.element, "touchstart", touchStartHandler, this);

                function mouseDownHandler(e) {
                    e = e || window.event;
                    e.preventDefault();
                    if (e.button !== 0) return;
                    lastX = e.clientX;
                    lastY = e.clientY;
                    this.events.on(document, "mousemove", mouseMoveHandler, this);
                    this.events.on(document, "mouseup", mouseUpHandler, this);
                }

                function touchStartHandler(e) {
                    e = e || window.event;
                    e.preventDefault();
                    lastX = e.touches[0].clientX;
                    lastY = e.touches[0].clientY;
                    this.events.on(document, "touchmove", touchMoveHandler, this);
                    this.events.on(document, "touchend", touchEndHandler, this);
                }

                function mouseMoveHandler(e) {
                    e = e || window.event;
                    e.preventDefault();
                    diffX = lastX - e.clientX;
                    diffY = lastY - e.clientY;
                    lastX = e.clientX;
                    lastY = e.clientY;
                    this.__elementWasDragged = true;
                    this.dragging = true;
                    this.element.style.top = Maths.clamp(this.element.offsetTop - diffY, 0, window.innerHeight - this.element.offsetHeight) + "px";
                    this.element.style.left = Maths.clamp(this.element.offsetLeft - diffX, 0, window.innerWidth - this.element.offsetWidth) + "px";
                    this._top = this.element.style.getPropertyValue("top");
                    this._left = this.element.style.getPropertyValue("left");
                }

                function touchMoveHandler(e) {
                    e = e || window.event;
                    e.preventDefault();
                    diffX = lastX - e.touches[0].clientX;
                    diffY = lastY - e.touches[0].clientY;
                    lastX = e.touches[0].clientX;
                    lastY = e.touches[0].clientY;
                    this.__elementWasDragged = true;
                    this.dragging = true;
                    this.element.style.top = Maths.clamp(this.element.offsetTop - diffY, 0, window.innerHeight - this.element.offsetHeight) + "px";
                    this.element.style.left = Maths.clamp(this.element.offsetLeft - diffX, 0, window.innerWidth - this.element.offsetWidth) + "px";
                    this._top = this.element.style.getPropertyValue("top");
                    this._left = this.element.style.getPropertyValue("left");
                }

                function mouseUpHandler() {
                    this.events.off(document, "mousemove mouseup");
                }

                function touchEndHandler() {
                    this.events.off(document, "touchmove touchend");
                }
            }
        };
    }]);
});

Scoped.define("module:TrackTags", ["base:Class","base:Objs","base:Events.EventsMixin","base:Async","base:TimeFormat","browser:Dom","browser:Info","browser:Events"], function(Class, Objs, EventsMixin, Async, TimeFormat, Dom, Info, DomEvents, scoped) {
    return Class.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {

            /**
             * @param {Object} options
             * @param {Object} dynamics
             */
            constructor: function(options, dynamics) {
                this._dyn = dynamics;
                this._trackTags = dynamics.get("tracktags");
                this._video = dynamics.__video;
                this._chapters = [];
                this._chapterLoadedTriggered = false;
                this.hasThumbs = false;
                dynamics.set("tracktagssupport", this._trackTags && this._trackTags.length > 0 &&
                    ('track' in document.createElement('track')));
                if (!this._video || !this._trackTags || this._trackTags.length === 0)
                    return;
                this._loadTrackTags();
                // To be able play default subtitle in with custom style
                if (dynamics.get("tracktagsstyled")) this._setDefaultTrackOnPlay();

                // Will trigger meta tag on-load event
                Async.eventually(function() {
                    this._loadMetaTrackTags();
                }, this);
            },

            /**
             * Will show thumb on duration
             * @param {int} index
             * @param {int} fromLeft
             * @param {int} currentDuration
             */
            showDurationThumb: function(index, fromLeft, currentDuration) {
                if (this._dyn.get("thumbcuelist")[index]) {
                    var _cue = this._dyn.get("thumbcuelist")[index];
                    var _time = currentDuration || (_cue.startTime + Math.round((_cue.startTime - _cue.endTime) / 2));
                    var _thumbContainer = this.thumbContainer;
                    var _thumbImage = _thumbContainer.querySelector('div');
                    var _timeContainer = _thumbContainer.querySelector('span');
                    var _left = fromLeft - Math.round(_cue.thumbWidth / 1.5) <= 0 ? 5 : fromLeft - Math.round(_cue.thumbWidth / 1.5);
                    _thumbContainer.style.opacity = '0.85';
                    _thumbContainer.style.left = _left + "px";
                    _thumbImage.style.backgroundPositionX = "-" + _cue.positionX + "px";
                    _thumbImage.style.backgroundPositionY = "-" + _cue.positionY + "px";
                    _timeContainer.innerText = _time > 0 ? TimeFormat.format(TimeFormat.ELAPSED_MINUTES_SECONDS, _time * 1000) : '0:00';
                }
            },

            /**
             * Will hide thumbnail container
             */
            hideDurationThumb: function() {
                this.thumbContainer.style.opacity = '0.00';
            },

            /**
             * Appear track elements inside video element
             * @private
             */
            _loadTrackTags: function() {
                if (!this._dyn.get("tracktagssupport")) return;
                var _flag = true;
                Objs.iter(this._trackTags, function(subtitle, index) {
                    var _trackTag = document.createElement("track");
                    var _domEvent = this.auto_destroy(new DomEvents());

                    /** kind could be on of the: subtitles, captions, descriptions, chapters, metadata */
                    try {
                        if (subtitle.content && !subtitle.src)
                            _trackTag.src = URL.createObjectURL(new Blob([subtitle.content], {
                                type: 'text/plain'
                            }));
                    } catch (e) {}
                    switch (subtitle.kind) {
                        case 'thumbnails':
                            _trackTag.id = this._dyn.get("css") + '-track-thumbnails';
                            _trackTag.kind = 'metadata';
                            if (!_trackTag.src) _trackTag.src = subtitle.src || null;
                            _trackTag.mode = 'hidden';
                            this.__appendThumbnailTrackTags(subtitle, index, _trackTag, _domEvent);
                            break;
                        case 'chapters':
                            _trackTag.id = this._dyn.get("css") + '-track-chapters';
                            _trackTag.kind = 'chapters';
                            _trackTag.src = subtitle.src;
                            _trackTag.mode = 'hidden';
                            this.__appendChaptersTrackTags(subtitle, index, _trackTag, _domEvent);
                            break;
                        default: // Will be subtitles, as mostly it's using for this purpose
                            _trackTag.id = this._dyn.get("css") + '-tack-' + index;
                            _trackTag.kind = subtitle.kind || 'subtitles';
                            _trackTag.label = subtitle.label || 'English';
                            _trackTag.srclang = subtitle.lang || 'en';
                            if (!_trackTag.src) _trackTag.src = subtitle.src || null;
                            this._dyn.set("hassubtitles", true);
                            this.__appendTextTrackTags(subtitle, index, _trackTag, _flag, _domEvent);
                            if (this._trackTags.length > 1) {
                                this._dyn.on("switch-track", function(selectedTrack) {
                                    this._dyn.set("tracktextvisible", true);
                                    this._dyn.set("trackcuetext", null);
                                    this._setSelectedTag(selectedTrack);
                                }, this);
                            }
                            break;
                    }
                    this._video.appendChild(_trackTag);
                }, this);
            },

            /**
             *
             * @param {Object} subtitle
             * @param {Integer} index
             * @param {HTMLElement} trackTag
             * @param {Boolean} flag
             * @param {EventListenerOrEventListenerObject} domEvent
             * @private
             */
            __appendTextTrackTags: function(subtitle, index, trackTag, flag, domEvent) {
                if (subtitle.enabled && flag) {
                    trackTag.setAttribute('default', '');
                    this._dyn.set("tracktaglang", subtitle.lang);
                    this._dyn.set("tracktextvisible", true);
                }
                trackTag.setAttribute('data-selector', 'track-tag');
                domEvent.on(trackTag, "load", function() {
                    if (subtitle.enabled && flag) {
                        this.mode = "showing";
                        if (this._video) this._video.textTracks[index].mode = "showing"; // Firefox
                        flag = false;
                    } else {
                        this.mode = "hidden";
                        if (this._video) this._video.textTracks[index].mode = "hidden"; // Firefox
                    }
                }, this);
            },

            /**
             *
             * @param {Object} subtitle
             * @param {Integer} index
             * @param {HTMLElement} trackTag
             * @param {EventListenerOrEventListenerObject} domEvent
             * @private
             */
            __appendChaptersTrackTags: function(subtitle, index, trackTag, domEvent) {
                var _self = this,
                    _track, _cues;
                trackTag.setAttribute('data-selector', 'chapters-track-tag');
                domEvent.on(trackTag, "load", function(ev) {
                    this.hasChapters = true;
                    _track = this.track;
                    _cues = _track.cues;
                    if (!_cues)
                        console.warn('Provided source for the chapters is not correct');
                    else
                        _self.__generateChapters(_cues);
                });
            },

            /**
             *
             * @param {Object} subtitle
             * @param {Integer} index
             * @param {HTMLElement} trackTag
             * @param {EventListenerOrEventListenerObject} domEvent
             * @private
             */
            __appendThumbnailTrackTags: function(subtitle, index, trackTag, domEvent) {
                var _self = this,
                    _track, _image, _splitText, _dimensions, thumbLink;
                trackTag.setAttribute('data-selector', 'thumb-track-tag');
                domEvent.on(trackTag, "load", function(ev) {
                    _track = this.track;
                    if (_track.cues[0].text) {
                        _splitText = _track.cues[0].text.split('#xywh=');
                        thumbLink = _splitText[0];
                        _dimensions = _track.cues[0].text.split('#xywh=')[1].split(',');

                        _image = new Image();
                        _image.src = thumbLink;

                        domEvent.on(_image, "load", function() {
                            this.hasThumbs = true;

                            var _thumbContainer = document.createElement('div');
                            var _thumbImageContainer = document.createElement('div');
                            var _timeContainer = document.createElement('span');

                            Dom.elementAddClass(_thumbContainer, this._dyn.get('css') + '-seeking-thumb-container');

                            _thumbContainer.style.opacity = '0.00';
                            _thumbImageContainer.style.height = +(_dimensions[3]) + 'px';
                            _thumbImageContainer.style.width = +(_dimensions[2]) + 'px';
                            _thumbImageContainer.style.backgroundImage = "url('" + thumbLink + "')";
                            _thumbImageContainer.style.backgroundRepeat = 'no-repeat';
                            _thumbImageContainer.style.backgroundAttachment = 'background-attachment';

                            _thumbContainer.appendChild(_thumbImageContainer);
                            _thumbContainer.appendChild(_timeContainer);

                            this._dyn.set("thumbimage", {
                                image: _image,
                                url: _image.src,
                                height: _image.naturalHeight || _image.height,
                                width: _image.naturalWidth || _image.width,
                                thumbWidth: Number(_dimensions[2]),
                                thumbHeight: Number(_dimensions[3])
                            });
                            this.thumbContainer = _thumbContainer;
                            this.__generateThumbnails(_track);
                        }, _self);
                    }
                });
            },

            /**
             * Generate
             * @param {Object} track
             * @private
             */
            __generateThumbnails: function(track) {
                Objs.iter(track.cues, function(cue, index) {
                    if (typeof cue === 'object') {
                        var _lineSplit = cue.text.trim().split('#xywh=')[1];
                        var _coordinates = _lineSplit.split(',');
                        // this here is main DYN instance
                        this.get("thumbcuelist").push({
                            startTime: cue.startTime,
                            endTime: cue.endTime,
                            positionX: _coordinates[0],
                            positionY: _coordinates[1],
                            thumbWidth: _coordinates[2],
                            thumbHeight: _coordinates[3]
                        });
                    }
                }, this._dyn);
            },

            /**
             * Generate
             * @param {Object} cues
             * @private
             */
            __generateChapters: function(cues) {
                Objs.iter(cues, function(cue, index) {
                    if (typeof cue === 'object') {
                        // this here is main Player Dynamics instance
                        this._chapters.push({
                            index: index,
                            startTime: cue.startTime,
                            endTime: cue.endTime,
                            title: cue.text
                        });
                    }
                    if (cues.length === this._chapters.length && !this._chapterLoadedTriggered) {
                        this._dyn.trigger("chaptercuesloaded", this._chapters, cues.length);
                        this._chapterLoadedTriggered = true;
                    }
                }, this);
            },

            /**
             * If custom styled text track selected
             * @param {Object} track
             * @param {String} lang
             * @private
             */
            _showTracksInCustomElement: function(track, lang) {
                var _lang = lang || this._dyn.get("tracktaglang");
                var _dyn = this._dyn;
                var _currentTime = _dyn.__video.currentTime;
                if (track.language === _lang) {
                    var _cues = track.cues;
                    Objs.iter(_cues, function(cue, index) {
                        if (typeof _cues[index] === 'object' && _cues[index]) {
                            if (cue.startTime < _currentTime && cue.endTime > _currentTime) {
                                _dyn.set("trackcuetext", cue.text);
                            }
                            cue.onenter = function(ev) {
                                track.mode = 'hidden';
                                if (_dyn.get("tracktextvisible"))
                                    _dyn.set("trackcuetext", this.text);
                            };
                            cue.onexit = function(ev) {
                                _dyn.set("trackcuetext", null);
                            };
                        }
                    }, this);
                }
            },

            /**
             * Load meta data kind Track Elements
             * @private
             */
            _loadMetaTrackTags: function() {
                if (this._video)
                    Objs.iter(this._video.textTracks, function(track, index) {
                        if (typeof this._video.textTracks[index] === 'object' && this._video.textTracks[index]) {
                            var _track = this._video.textTracks[index];
                            // If set custom style to true show cue text in our element
                            if (_track.kind === 'metadata') _track.mode = 'hidden';
                            if (_track.kind === 'chapters') _track.mode = 'showing';
                        }
                    }, this);
            },

            /**
             * Will set default language text track
             * @private
             */
            _setDefaultTrackOnPlay: function() {
                this._dyn.player.once("playing", function() {
                    Objs.iter(this._trackTags, function(track, index) {
                        var _track = this._video.textTracks[index];
                        if (typeof _track === 'object' && _track) {
                            if (_track.mode === 'showing')
                                this._showTracksInCustomElement(_track, _track.language);
                        }
                    }, this);
                }, this);
            },

            /**
             * When user select other language or different text track
             * @param {Object} selectedTrack
             * @private
             */
            _setSelectedTag: function(selectedTrack) {
                var _status = null;
                var _track = null;
                Objs.iter(this._video.textTracks, function(track, index) {
                    _track = this._video.textTracks[index];
                    if (typeof _track === 'object' && _track) {
                        _status = _track.language === selectedTrack.lang ? (this._dyn.get("tracktagsstyled") ? 'hidden' : 'showing') : 'disabled';
                        if (!this._dyn.get("tracktextvisible")) _status = 'disabled';
                        _track.mode = _status;
                        if (_track.language === selectedTrack.lang)
                            this._triggerTrackChange(this._video, _track, _status, selectedTrack.lang);
                    }
                }, this);
            },

            // Fixed issue when unable switch directly to showing from disabled
            _triggerTrackChange: function(video, track, status, lang) {
                var _trackElement = video.querySelector("#" + track.id);
                var _flag = true;
                var onTrackEvent = this.auto_destroy(new DomEvents());
                if (track.oncuechange !== undefined && !((Info.isInternetExplorer() || Info.isEdge()) && this._dyn.get("tracktagsstyled"))) {
                    onTrackEvent.on(track, "cuechange", function() {
                        if (_flag) {
                            if (status.length) track.mode = status;
                            if (this._dyn.get("tracktagsstyled"))
                                this._showTracksInCustomElement(track, lang);
                            else if (_trackElement) {
                                _trackElement.mode = status;
                                // _trackElement.setAttribute('default', '');
                            }
                            _flag = false;
                        }
                    }, this);
                } else {
                    onTrackEvent(video, "timeupdate", function() {
                        if (status.length) track.mode = status;
                        if (this._dyn.get("tracktagsstyled"))
                            this._showTracksInCustomElement(track, lang);
                    }, this);
                }
            }
        };
    }]);
});

Scoped.define("module:StylesMixin", ["base:Objs"], function(Objs) {
    return {
        _applyStyles: function(element, styles, oldStyles) {
            Objs.iter(oldStyles, function(v, k) {
                if (!(k in styles)) element.style.removeProperty(k);
            });
            Objs.extend(element.style, styles);
        }
    };
});

Scoped.define("module:Common.Dynamics.Settingsmenu", ["dynamics:Dynamic","base:Objs","base:Async","base:Timers.Timer","browser:Dom","browser:Events","module:Assets"], ["dynamics:Partials.ClickPartial","dynamics:Partials.RepeatElementPartial"], function(Class, Objs, Async, Timer, Dom, DomEvents, Assets, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {

            return {

                template: "<div if=\"{{visiblesettings.length > 0}}\" class=\"{{csscommon}}-settings-menu {{csstheme}}-settings-menu\" role=\"settingsblock\">\n    <div class=\"{{csscommon}}-settings-menu-overlay\">\n        <div ba-if=\"{{root}}\"\n             class=\"{{csscommon}}-settings-menu-item\"\n             ba-repeat-element=\"{{setting :: visiblesettings}}\"\n             title=\"{{string(setting.label)}}\"\n             ba-click=\"{{select_setting(setting.id)}}\"\n        >\n            <div class=\"{{csscommon}}-settings-menu-label\" role=\"settingslabel\">\n                {{string(setting.label) || setting.label}}\n            </div>\n\n            <div ba-if=\"{{setting.options}}\" class=\"{{csscommon}}-settings-menu-value {{csscommon}}-setting-option-value\"\n                 role=\"settingsvalue\"\n            >\n                {{setting.value}}\n            </div>\n\n            <div ba-if=\"{{!setting.options}}\" class=\"{{csscommon}}-settings-menu-value \"\n                 role=\"settingicon\"\n            >\n                <div ba-if=\"{{setting.showicon}}\"\n                     style=\"{{setting.value ? setting.icontruestyle : setting.iconfalsestyle}}\"\n                     class=\"{{csscommon}}-setting-menu-icon {{csscommon + (setting.value ? '-setting-on' : '-setting-off')}}\">\n                    {{setting.value ? setting.trueicon : setting.falseicon}}\n                </div>\n            </div>\n\n        </div>\n\n        <div ba-if=\"{{!root}}\">\n            <div class=\"{{csscommon}}-setting-menu-options-title {{csscommon}}-settings-menu-options-item\"\n                 ba-click=\"{{show_root()}}\"\n            > <div>{{ string(selected.label) || string('setting-menu')}}</div></div>\n            <div\n                class=\"{{csscommon}}-settings-menu-options-item\"\n                ba-repeat-element=\"{{option :: visiblesettings}}\"\n                title=\"{{string(selected.label) || string('')}}\"\n                ba-click=\"{{select_value(option)}}\"\n            >\n                <div>\n                    <i ba-if=\"{{option === selected.value}}\" class=\"{{csscommon}}-icon-check\"></i>\n                    {{option.label || option}}\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n",


                attrs: {
                    "css": "ba-common",
                    "csscommon": "ba-commoncss",
                    "cssplayer": "ba-player",
                    "settings": [],
                    "visiblesettings": [],
                    "selected": null,
                    "root": true,

                    "default": {
                        value: false,
                        label: 'setting-item',
                        visible: true, // small < 320 , medium < 400, normal >= 401, false
                        mobileSupport: true,
                        showicon: true,
                        // https://www.htmlsymbols.xyz/unicode
                        trueicon: '&#x2713;',
                        falseicon: '&#x2573;',
                        icontruestyle: 'color: #5dbb96;',
                        iconfalsestyle: 'color: #dd4b39'
                    },

                    "predefined": {
                        player: [{
                            id: 'playerspeeds',
                            label: 'player-speed',
                            value: 1.0,
                            options: [0.50, 0.75, 1.00, 1.25, 1.50, 1.75, 2.00],
                            func: function(setting, value) {
                                /** @var Dynamic this */
                                if (typeof this.functions.set_speed === 'function' && value > 0) {
                                    this.functions.set_speed.call(this, value);
                                    return true;
                                } else {
                                    console.error('Wrong argument or function provided');
                                    return false;
                                }
                            }
                        }],
                        recorder: [{}]
                    }
                },

                computed: {
                    "settings": function() {
                        var predefined = typeof this.__parent.recorder !== 'object' ? this.get("predefined").player : this.get("predefined").recorder;
                        Objs.iter(predefined, function(setting, index) {
                            if (setting.visible || typeof setting.visible === 'undefined')
                                this.addSetting(setting);
                        }, this);
                        return this.get("settings");
                    }
                },

                events: {
                    "change:visiblesettings": function(newValue) {
                        var probe = Objs.peek(newValue);
                        if (typeof probe === 'object' && probe) {

                            // Reset selected setting
                            this.set("selected", null);

                            // If object has ID key, then it's menu item
                            if (probe.hasOwnProperty('id'))
                                this.set("root", true);

                        } else {
                            this.set("root", false);

                            this._animateFade(false, this.activeElement());
                        }
                    }
                },

                functions: {
                    show_root: function() {
                        this.switchToRoot();
                    },

                    /**
                     * @param {String} settingId
                     */
                    select_setting: function(settingId) {
                        Objs.iter(this.get("settings"), function(setting, i) {
                            if (setting.id === settingId)
                                this.build_setting(setting, settingId);
                        }, this);
                    },

                    /**
                     * Call function of the setting
                     * @param value
                     */
                    select_value: function(value) {
                        this._setSettingWithMethod(value);
                    },

                    add_new_settings_item: function(settingObject) {
                        this.addSetting(settingObject);
                    },

                    update_new_settings_item: function(id, updatedSetting) {
                        this.updateSetting(id, updatedSetting);
                    },

                    remove_settings_item: function(id) {
                        this.removeSetting(id);
                    }
                },

                /**
                 * Initial Function After Render
                 */
                create: function() {
                    this.domEvents = this.auto_destroy(new DomEvents());

                    // If mouse clicked outside of the element
                    this.domEvents.on(document, "click touchstart", function(event) {
                        var isClickInside = this.activeElement().contains(event.target);
                        if (!isClickInside && this.activeElement()) {
                            this.parent().set("settingsmenu_active", false);
                        }
                    }, this);
                },

                /**
                 * @param {object =} settingMenu
                 * @param {string =} settingId
                 */
                build_setting: function(settingMenu, settingId) {

                    if (!settingMenu || !settingId) {
                        console.warn('At least on of the arguments are required');
                        return;
                    }

                    if (Objs.count(settingMenu.options) > 1) {
                        this.set("selected", settingMenu);
                        this._buildChildMenu(settingMenu);
                    } else {
                        Objs.iter(this.get("settings"), function(setting, i) {
                            if (setting.id === settingId) {
                                setting.value = !setting.value;
                                this.set("selected", setting);
                                this._setSettingWithMethod(false, i);
                            }
                        }, this);
                    }
                },

                switchToRoot: function() {
                    this.set("visiblesettings", this.get("settings"));
                },

                /*
                 * @param {Object} setting
                 * @private
                 */
                _buildChildMenu: function(setting) {
                    this.set("selected", setting);
                    this.set("visiblesettings", setting.options);
                },

                /**
                 *
                 * @param {string | boolean =} value
                 * @param {int =} index
                 * @private
                 */
                _setSettingWithMethod: function(value, index) {
                    if (typeof this.get("selected").func === 'function') {
                        if (typeof this.get("selected").func.call(this.__parent, this, value, index) === 'boolean') {
                            if (value)
                                this.get("selected").value = value;
                            else
                                this.get("selected").value = !this.get("selected").value;
                            Objs.iter(this.get("settings"), function(setting, index) {
                                if (this.get("selected") && setting)
                                    if (this.get("selected").id === setting.id) {
                                        if (!value) {
                                            this.get("settings")[index].value = !this.get("settings")[index].value;
                                        }
                                        this.get("settings")[index] = this.get("selected");
                                        this.set("visiblesettings", []);
                                        this.set("visiblesettings", this.get("settings"));
                                        // In case if want do not leave child menu can comment above and uncomment below
                                        // this.set("visiblesettings", value ? this.get("selected").options : this.get("settings"));
                                    }
                            }, this);
                        }
                    }

                },

                /**
                 * @param {Object} newMenuItem
                 */
                addSetting: function(newMenuItem) {
                    if (typeof newMenuItem !== 'object') {
                        console.warn('Sorry you should add new option as an Object');
                        return;
                    }

                    Objs.iter(this.get("settings"), function(setting) {
                        // if already exists remove old one
                        if (setting.id === newMenuItem.id)
                            this.removeSetting(setting.id);
                    }, this);

                    if (!newMenuItem.func || !newMenuItem.id) {
                        console.warn('Your added new setting missing mandatory `id`, `func` or `label` keys, please add them');
                        return;
                    } else {
                        if (typeof newMenuItem.func !== 'function') {
                            console.warn('Sorry func key has to be function type');
                            return;
                        }
                    }

                    this.mergeAndRebuildSettings(this.get("default"), newMenuItem);
                },

                /**
                 * @param {string} settingId
                 * @param {object} newOptions
                 */
                updateSetting: function(settingId, newOptions) {
                    if (typeof newOptions !== 'object') {
                        console.warn('Sorry you should provide any new option as an Object');
                        return;
                    }

                    Objs.iter(this.get("settings"), function(setting, index) {
                        if (setting.id === settingId) {
                            this.get("settings")[index] = Objs.tree_merge(this.get("settings")[index], newOptions);
                            this.set("visiblesettings", []);
                            this.set("visiblesettings", this.get("settings"));
                        }
                    }, this);
                },

                /**
                 * @param {String} settingId
                 */
                removeSetting: function(settingId) {
                    if (typeof settingId !== 'string') {
                        console.warn('Sorry you should provide setting ID');
                        return;
                    }

                    Objs.iter(this.get("settings"), function(setting, index) {
                        if (setting.id === settingId) {
                            this.get("settings").splice(index);
                            this.set("visiblesettings", []);
                            this.set("visiblesettings", this.get("settings"));
                        }
                    }, this);
                },

                /**
                 *
                 * @param result
                 * @param initial
                 * @private
                 */
                mergeAndRebuildSettings: function(result, initial) {
                    var _setting = Objs.tree_merge(result, initial);
                    var _currentSettings = this.get("settings");
                    _currentSettings.push(_setting);
                    this.set("visiblesettings", []);
                    this.set("visiblesettings", _currentSettings);
                    this.set("settings", _currentSettings);
                },

                /**
                 * Animate fade in or out
                 *
                 * @param {boolean} hide
                 * @param {HTMLElement} container
                 * @param {boolean =} immedately
                 * @private
                 */
                _animateFade: function(hide, container, immedately) {
                    if (immedately) {
                        container.style.opacity = hide ? "0" : "1";
                    } else {
                        var _opacity, _step, _target, _timer;
                        _opacity = hide ? 1.00 : 0.00;
                        _step = hide ? -0.1 : 0.1;
                        _target = hide ? 0.00 : 1.00;
                        container.style.opacity = _opacity;
                        _timer = this.auto_destroy(new Timer({
                            context: this,
                            fire: function() {
                                container.style.opacity = _opacity;
                                _opacity = _opacity + (_step * 1.0);
                                if ((hide && _opacity < _target) || (!hide && _opacity > _target)) {
                                    this.__animationInProcess = false;
                                    _timer.destroy();
                                }
                            },
                            delay: 30,
                            immediate: true
                        }));
                    }
                }
            };
        })
        .register("ba-common-settingsmenu")
        .registerFunctions({
            /**/"visiblesettings.length > 0": function (obj) { return obj.visiblesettings.length > 0; }, "csscommon": function (obj) { return obj.csscommon; }, "csstheme": function (obj) { return obj.csstheme; }, "root": function (obj) { return obj.root; }, "visiblesettings": function (obj) { return obj.visiblesettings; }, "string(setting.label)": function (obj) { return obj.string(obj.setting.label); }, "select_setting(setting.id)": function (obj) { return obj.select_setting(obj.setting.id); }, "string(setting.label) || setting.label": function (obj) { return obj.string(obj.setting.label) || obj.setting.label; }, "setting.options": function (obj) { return obj.setting.options; }, "setting.value": function (obj) { return obj.setting.value; }, "!setting.options": function (obj) { return !obj.setting.options; }, "setting.showicon": function (obj) { return obj.setting.showicon; }, "setting.value ? setting.icontruestyle : setting.iconfalsestyle": function (obj) { return obj.setting.value ? obj.setting.icontruestyle : obj.setting.iconfalsestyle; }, "csscommon + (setting.value ? '-setting-on' : '-setting-off')": function (obj) { return obj.csscommon + (obj.setting.value ? '-setting-on' : '-setting-off'); }, "setting.value ? setting.trueicon : setting.falseicon": function (obj) { return obj.setting.value ? obj.setting.trueicon : obj.setting.falseicon; }, "!root": function (obj) { return !obj.root; }, "show_root()": function (obj) { return obj.show_root(); }, "string(selected.label) || string('setting-menu')": function (obj) { return obj.string(obj.selected.label) || obj.string('setting-menu'); }, "string(selected.label) || string('')": function (obj) { return obj.string(obj.selected.label) || obj.string(''); }, "select_value(option)": function (obj) { return obj.select_value(obj.option); }, "option === selected.value": function (obj) { return obj.option === obj.selected.value; }, "option.label || option": function (obj) { return obj.option.label || obj.option; }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "tooltip": "Click to play.",
            "setting-menu": "All settings",
            "source-quality": "Source quality",
            "player-speed": "Player speed",
            "set-menu-option": "Set option",
            "submit-video": "Confirm video",
            "picture-in-picture": "Picture in picture",
            "exit-fullscreen-video": "Exit fullscreen",
            "fullscreen-video": "Enter fullscreen"
        });
});

Scoped.define("module:PopupHelper", ["base:Class","base:Events.EventsMixin","browser:Dom","browser:Events"], function(Class, EventsMixin, Dom, DomEvents, scoped) {

    var PopupHelper = Class.extend({
        scoped: scoped
    }, [EventsMixin, function(inherited) {
        return {

            constructor: function(options) {
                inherited.constructor.call(this);

                this.popupContainer = document.createElement("div");
                this.backgroundContainer = document.createElement("div");
                this.backgroundContainer.className = "ba-popup-helper-overlay-background";
                this.popupContainer.appendChild(this.backgroundContainer);
                this.overlayContainer = document.createElement("div");
                this.overlayContainer.className = "ba-popup-helper-overlay";
                this.popupContainer.appendChild(this.overlayContainer);
                this.containerInner = document.createElement("div");
                this.containerInner.className = "ba-popup-helper-overlay-inner";
                this.overlayContainer.appendChild(this.containerInner);

                this.domEvents = this.auto_destroy(new DomEvents());
                this.domEvents.on(this.backgroundContainer, "click touchstart", function() {
                    this.hide();
                }, this);
                this.domEvents.on(this.containerInner, "click touchstart", function(event) {
                    event.stopPropagation();
                });
            },

            show: function() {
                return this.recursionProtection("show", function() {
                    Dom.elementAddClass(document.body, "ba-popup-helper-overlay-body");
                    document.body.appendChild(this.popupContainer);
                    this.trigger("show");
                });
            },

            hide: function() {
                return this.recursionProtection("hide", function() {
                    var popupContainer = this.popupContainer;
                    this.trigger("hide");
                    document.body.removeChild(popupContainer);
                    Dom.elementRemoveClass(document.body, "ba-popup-helper-overlay-body");
                });
            }

        };
    }], {

        mixin: function(inherited) {
            return {

                constructor: function(options) {
                    options = options || {};
                    this.__popup = new PopupHelper(options.popup);
                    this.__popup.on("hide", this.destroy, this);
                    options.element = this.__popup.containerInner;
                    inherited.constructor.call(this, options);
                },

                activate: function() {
                    this.__popup.show();
                    inherited.activate.call(this);
                },

                destroy: function() {
                    this.__popup.hide();
                    this.__popup.destroy();
                    inherited.destroy.call(this);
                }

            };
        }

    });

    return PopupHelper;
});

Scoped.define("module:IframeHelper", ["dynamics:Dynamic","base:Objs","base:Types","base:Net.Uri"], function(Dynamic, Objs, Types, Uri, scoped) {
    return Dynamic.extend({
        scoped: scoped
    }, function(inherited) {
        return {

            template: "<iframe src=\"{{computeSrc()}}\" style=\"width:100%;height:100%\" allow=\"{{computeAllow()}}\" scrolling=\"no\" frameborder=\"0\"></iframe>",

            getAllowModifiers: function() {
                return [];
            },

            getSrc: function() {
                return "";
            },

            filteredAttrs: function() {
                return Objs.filter(this.properties().getAll(), function(value, key) {
                    return !Types.is_object(value) && !Types.is_array(value);
                }, this);
            },

            functions: {
                computeSrc: function() {
                    return Uri.appendUriParams(this.getSrc(), this.filteredAttrs());
                },

                computeAllow: function() {
                    return this.getAllowModifiers().map(function(modifier) {
                        return modifier + " *";
                    }).join("; ");
                }
            },

            iframe: function() {
                return this.activeElement().querySelector("iframe");
            },

            _afterActivate: function() {
                inherited._afterActivate.apply(this, arguments);
                var iframe = this.iframe();
                this.getAllowModifiers().forEach(function(modifier) {
                    iframe["allow" + modifier] = "allow" + modifier;
                });
            }

        };
    }).registerFunctions({
        /**/"computeSrc()": function (obj) { return obj.computeSrc(); }, "computeAllow()": function (obj) { return obj.computeAllow(); }/**/
    });
});

Scoped.define("module:VideoPlayer.Dynamics.Adplayer", ["dynamics:Dynamic","base:TimeFormat","base:Timers","browser:Dom","media:Player.VideoPlayerWrapper","module:Assets"], function(Class, TimeFormat, Timers, Dom, VideoPlayerWrapper, Assets, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "<video class=\"{{css}}-video\" data-video=\"video\"></video>\n<div class=\"{{cssplayer}}-ad-dashboard\">\n    <div class=\"{{cssplayer}}-ad-click-tracker\" ba-click=\"{{ad_clicked()}}\"></div>\n    <div class=\"{{cssplayer}}-skipbutton-container\" ba-click=\"{{skip_linear_ad()}}\"  ba-show=\"{{skipbuttonvisible}}\">\n        <p class=\"{{cssplayer}}-skipbutton\">{{lefttillskip > 0 ? string('can-skip-after').replace('%d', lefttillskip) : string('skip-ad')}}</p>\n    </div>\n\n    <div class=\"{{css}}-companion-ad-container\" ba-show=\"{{companionadvisible}}\">\n        <div class=\"{{css}}-close-companion-ad\" ba-click=\"{{skip_companion_ad()}}\">X</div>\n        <img class=\"{{css}}-companion-ad\" src=\"\"/>\n    </div>\n\n    <div class=\"{{cssplayer}}-ad-controlbar\">\n\n        <div class=\"{{cssplayer}}-ad-time-container\">\n            <div class=\"{{cssplayer}}-ad-time-value\" title=\"{{string('elapsed-time')}}\">{{string('ad-will-end-after').replace('%s', formatTime(adduration))}}</div>\n        </div>\n\n        <div class=\"{{cssplayer}}-ad-volumebar\">\n            <div data-selector=\"button-volume-bar\" class=\"{{cssplayer}}-ad-volumebar-inner\"\n                 onmousedown=\"{{startUpdateAdVolume(domEvent)}}\"\n                 onmouseup=\"{{stopUpdateAdVolume(domEvent)}}\"\n                 onmouseleave=\"{{stopUpdateAdVolume(domEvent)}}\"\n                 onmousemove=\"{{progressUpdateAdVolume(domEvent)}}\">\n                <div class=\"{{cssplayer}}-ad-volumebar-position\" ba-styles=\"{{{width: Math.min(100, Math.round(advolume * 100)) + '%'}}}\">\n                    <div class=\"{{cssplayer}}-ad-volumebar-button\" title=\"{{string('volume-button')}}\"></div>\n                </div>\n            </div>\n        </div>\n\n        <div data-selector=\"button-icon-volume\" class=\"{{cssplayer}}-ad-rightbutton-container\" ba-click=\"{{toggle_ad_volume()}}\" title=\"{{string(advolume > 0 ? 'volume-mute' : 'volume-unmute')}}\">\n            <div class=\"{{cssplayer}}-ad-button-inner\">\n                <i class=\"{{css + '-icon-volume-' + (advolume >= 0.5 ? 'up' : (advolume > 0 ? 'down' : 'off')) }}\"></i>\n            </div>\n        </div>\n\n    </div>\n</div>\n",

                attrs: {
                    "css": "ba-adplayer",
                    "csscommon": "ba-commoncss",
                    "cssplayer": "ba-player",
                    "lefttillskip": -1,
                    "adduration": 0,
                    "duration": 0,
                    "advolume": 1.0,
                    "adplaying": false,
                    "companionadvisible": false,
                    "skipbuttonvisible": false,
                    "canskip": false,
                    "adskiped": false,
                    "disablepause": false
                },

                functions: {

                    formatTime: function(time) {
                        time = Math.max(time || 0, 1);
                        return TimeFormat.format(TimeFormat.ELAPSED_MINUTES_SECONDS, time * 1000);
                    },

                    startUpdateAdVolume: function(event) {
                        event[0].preventDefault();
                        this.set("_updateAdVolume", true);
                        this.call("progressUpdateAdVolume", event);
                    },

                    progressUpdateAdVolume: function(event) {
                        var ev = event[0];
                        ev.preventDefault();
                        if (!this.get("_updateAdVolume"))
                            return;
                        var clientX = ev.clientX;
                        var target = ev.currentTarget;
                        var offset = Dom.elementOffset(target);
                        var dimensions = Dom.elementDimensions(target);
                        this.set("advolume", (clientX - offset.left) / (dimensions.width || 1));
                        this.trigger("advolume", this.get("advolume"));
                    },

                    stopUpdateAdVolume: function(event) {
                        event[0].preventDefault();
                        this.set("_updateVolume", false);
                    },

                    play_ad: function() {
                        this.trigger("playad");
                    },

                    pause_ad: function() {
                        this.trigger("pausead");
                        this._pauseLinearAd();
                    },

                    toggle_ad_volume: function() {
                        if (this.get("advolume") > 0) {
                            this.__oldVolume = this.get("advolume");
                            this.set("advolume", 0);
                        } else
                            this.set("advolume", this.__oldVolume || 1);
                        this.trigger("advolume", this.get("advolume"));
                    },

                    skip_linear_ad: function() {
                        if (!this.get("canskip") && this._vast)
                            return;
                        this.set("adskiped", true);
                        this._vast.trigger("resumeplayer");
                    },

                    skip_companion_ad: function() {},

                    ad_clicked: function() {
                        if (this._vast.vastTracker) {
                            this._vast.vastTracker.clickAd();
                        }
                    }
                },

                create: function() {
                    this._vast.once("vastready", function() {
                        this._adBehaviour();
                    }, this);
                    this._vast.once("adcanceled", function() {
                        this._preroll._adSkipped();
                    }, this);
                },

                _adBehaviour: function() {
                    var _adElementHolder, _source, _duration, _volume;

                    _adElementHolder = this.activeElement().querySelector("video");
                    _duration = this._vast.vastTracker.assetDuration;
                    _source = this._vast.sources[0];

                    if (this._vast.skipAdAfter && this._vast.skipAdAfter > 0) {
                        this.set("skipbuttonvisible", true);
                        this.set("lefttillskip", this._vast.skipAdAfter);
                    }

                    this._attachLinearAd(_adElementHolder, _source, _duration);

                    this._vast.on("resumeplayer", function() {

                        this._stopLinearAd();

                        this._timer.weakDestroy();

                        if (this.get("adskiped")) {
                            this._vast.vastTracker.skipAd();
                            this._preroll._adSkipped();
                        } else {
                            this._vast.vastTracker.completeAd();
                            this._preroll._adFinished();
                        }

                    }, this);

                    this.on("pausead", function() {
                        if (!this._timer || !this.__adPlayer)
                            return;
                        this._timer.stop();
                        this.__adPlayer.pause();
                        this.set("adplaying", false);
                    });

                    this.on("playad", function() {
                        if (!this._timer || !this.__adPlayer)
                            return;
                        this._timer.start();
                        this.__adPlayer.play();
                        this.set("adplaying", true);
                    });

                    this.on("advolume", function() {
                        if (!this.__adPlayer)
                            return;
                        _volume = Math.min(1.0, this.get("advolume"));
                        this.__adPlayer.setVolume(_volume);
                        this.__adPlayer.setMuted(_volume <= 0.0);
                    });
                },

                _attachLinearAd: function(element, source, duration) {
                    VideoPlayerWrapper.create({
                        element: element,
                        source: source.src,
                        type: source.type
                    }).error(function(err) {
                        // trigger error related to loading video content
                        this._vast.trigger("resumeplayer");
                    }, this).success(function(instance) {
                        this.__adPlayer = instance;
                        duration = isNaN(duration) ? this.get("maxadduration") : duration;
                        this.set("adduration", duration);


                        this._playLinearAd();
                        this._timer = new Timers.Timer({
                            context: this,
                            fire: this._timerFire,
                            delay: 1000,
                            start: true
                        });
                    }, this);
                },

                _timerFire: function() {
                    var _timeLeft, _leftTillSkip;
                    _timeLeft = this.get("adduration");
                    _leftTillSkip = this.get("lefttillskip") || -1;

                    this.set("adduration", --_timeLeft);

                    if (_leftTillSkip >= 0) {
                        this.set("skipbuttonvisible", true);
                        this.set("lefttillskip", --_leftTillSkip);

                        if (_leftTillSkip === 0)
                            this.set("canskip", true);
                    }

                    this._vast.vastTracker.setAdProgress(_timeLeft);

                    if (this.get("adduration") === 0) {
                        this._vast.trigger("resumeplayer");
                    }
                },

                _playLinearAd: function() {
                    this.__adPlayer.play();
                    this.set("adplaying", true);
                    this._vast.trigger("adplaying");
                },

                _pauseLinearAd: function() {
                    if (!this.get("adplaying")) {
                        this.__adPlayer.pause();
                        this.set("adplaying", false);
                        this._vast.vastTracker.setAdPaused(true);
                        this._vast.trigger("adpaused");
                        this._vast.once("playad", function() {
                            this._vast.vastTracker.setAdPaused(false);
                        }, this);
                    }
                },

                _stopLinearAd: function() {
                    if (this.__adPlayer && this.get("adplaying")) {
                        this.__adPlayer.pause();
                        this.set("adplaying", false);
                    }
                },

                skip_ad: function() {
                    if (this.__adPlayer)
                        this.trigger("resumeplayer");
                }
            };
        })
        .register("ba-videoplayer-adslot")
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "cssplayer": function (obj) { return obj.cssplayer; }, "ad_clicked()": function (obj) { return obj.ad_clicked(); }, "skip_linear_ad()": function (obj) { return obj.skip_linear_ad(); }, "skipbuttonvisible": function (obj) { return obj.skipbuttonvisible; }, "lefttillskip > 0 ? string('can-skip-after').replace('%d', lefttillskip) : string('skip-ad')": function (obj) { return obj.lefttillskip > 0 ? obj.string('can-skip-after').replace('%d', obj.lefttillskip) : obj.string('skip-ad'); }, "companionadvisible": function (obj) { return obj.companionadvisible; }, "skip_companion_ad()": function (obj) { return obj.skip_companion_ad(); }, "string('elapsed-time')": function (obj) { return obj.string('elapsed-time'); }, "string('ad-will-end-after').replace('%s', formatTime(adduration))": function (obj) { return obj.string('ad-will-end-after').replace('%s', obj.formatTime(obj.adduration)); }, "startUpdateAdVolume(domEvent)": function (obj) { return obj.startUpdateAdVolume(obj.domEvent); }, "stopUpdateAdVolume(domEvent)": function (obj) { return obj.stopUpdateAdVolume(obj.domEvent); }, "progressUpdateAdVolume(domEvent)": function (obj) { return obj.progressUpdateAdVolume(obj.domEvent); }, "{width: Math.min(100, Math.round(advolume * 100)) + '%'}": function (obj) { return {width: Math.min(100, Math.round(obj.advolume * 100)) + '%'}; }, "string('volume-button')": function (obj) { return obj.string('volume-button'); }, "toggle_ad_volume()": function (obj) { return obj.toggle_ad_volume(); }, "string(advolume > 0 ? 'volume-mute' : 'volume-unmute')": function (obj) { return obj.string(obj.advolume > 0 ? 'volume-mute' : 'volume-unmute'); }, "css + '-icon-volume-' + (advolume >= 0.5 ? 'up' : (advolume > 0 ? 'down' : 'off'))": function (obj) { return obj.css + '-icon-volume-' + (obj.advolume >= 0.5 ? 'up' : (obj.advolume > 0 ? 'down' : 'off')); }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "elapsed-time": "Elapsed time",
            "volume-button": "Set volume",
            "volume-mute": "Mute sound",
            "volume-unmute": "Unmute sound",
            "ad-will-end-after": "Ad will end after %s",
            "can-skip-after": "Skip after %d",
            "skip-ad": "Skip ad"
        });
});

Scoped.define("module:VideoPlayer.Dynamics.Controlbar", ["dynamics:Dynamic","base:TimeFormat","base:Comparators","base:Objs","browser:Dom","module:Assets","browser:Info","media:Player.Support","base:Async","base:Timers.Timer","browser:Events"], ["dynamics:Partials.StylesPartial","dynamics:Partials.ShowPartial","dynamics:Partials.IfPartial","dynamics:Partials.ClickPartial","dynamics:Partials.RepeatElementPartial"], function(Class, TimeFormat, Comparators, Objs, Dom, Assets, Info, PlayerSupport, Async, Timer, DomEvents, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div class=\"{{cssplayer}}-dashboard {{activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-dashboard-hidden') : ''}}\">\n    <div tabindex=\"{{skipinitial ? 2 : 1}}\" data-selector=\"progress-bar-inner\" class=\"{{css}}-progressbar {{activitydelta < 2500 || ismobile ? '' : (css + '-progressbar-small')}} {{disableseeking ? cssplayer + '-disabled' : ''}}\"\n         ba-hotkey:right=\"{{seek(position + skipseconds)}}\"\n         ba-hotkey:left=\"{{seek(position - skipseconds)}}\"\n         ba-hotkey:alt+right=\"{{seek(position + skipseconds * 3)}}\"\n         ba-hotkey:alt+left=\"{{seek(position - skipseconds * 3)}}\"\n         onmouseout=\"this.blur()\"\n         ontouchstart=\"{{startUpdatePosition(domEvent)}}\"\n         onmousedown=\"{{startUpdatePosition(domEvent)}}\"\n    >\n        <div class=\"{{css}}-progressbar-chapters\" ba-show=\"{{true}}\">\n            <div class=\"{{css}}-chapters-list-container\"\n                ba-repeat=\"{{chapter :: chapterslist}}\"\n            >\n                <div\n                    class=\"{{css}}-chapters-list-item\"\n                    data-selector=\"chapter-index-{{chapter.index}}\"\n                    ba-styles=\"{{{left: Math.round(duration ? chapter.startTime / duration * 100 : 0) + '%'}}}\"\n                    onmouseenter=\"{{showChapterText(chapter)}}\"\n                    onmouseleave=\"{{hideChapterText()}}\"\n                >\n                    <div class=\"{{css}}-chapters-item-text\" ba-show=\"{{visibleindex === chapter.index && showchaptertext}}\">\n                        {{chapter.title}}\n                    </div>\n                </div>\n            </div>\n        </div>\n        <div class=\"{{css}}-progressbar-cache\" ba-styles=\"{{{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}}}\"></div>\n        <div class=\"{{css}}-progressbar-position\" ba-styles=\"{{{width: Math.round(duration ? position / duration * 100 : 0) + '%'}}}\" title=\"{{string('video-progress')}}\">\n            <div class=\"{{css}}-progressbar-button\"></div>\n        </div>\n        <div class=\"{{css}}-progressbar-marker\"\n             data-selector=\"trim-start-marker\"\n             ba-if=\"{{trimmingmode}}\"\n             ba-styles=\"{{{left: Math.round(duration && trimstart ? trimstart / duration * 100 : 0) + '%'}}}\"\n        ></div>\n        <div class=\"{{css}}-progressbar-marker\"\n             data-selector=\"trim-end-marker\"\n             ba-if=\"{{trimmingmode}}\"\n             ba-styles=\"{{{left: 'auto', right: 100 - Math.round(duration && trimend ? trimend / duration * 100 : 100) + '%'}}}\"\n        ></div>\n    </div>\n\n    <div class=\"{{css}}-backbar\"></div>\n\n    <div class=\"{{css}}-controlbar\">\n\n        <div tabindex=\"0\" data-selector=\"submit-video-button\"\n             ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n             class=\"{{css}}-leftbutton-container\"\n             ba-if=\"{{submittable}}\" ba-click=\"{{submit()}}\">\n            <div class=\"{{css}}-button-inner\">\n                {{string('submit-video')}}\n            </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-ccw\"\n             ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n             class=\"{{css}}-leftbutton-container\" ba-if=\"{{rerecordable}}\"\n             ba-click=\"{{rerecord()}}\" title=\"{{string('rerecord-video')}}\"\n        >\n            <div class=\"{{css}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-ccw\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"{{skipinitial ? 0 : 2}}\" data-selector=\"button-icon-play\"\n             ba-hotkey:space^enter=\"{{toggle_player()}}\" onmouseout=\"this.blur()\"\n             class=\"{{css}}-leftbutton-container\" title=\"{{string('play-video')}}\"\n             onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-pause')}}\" ba-if=\"{{!playing}}\" ba-click=\"{{play()}}\"\n        >\n            <div class=\"{{css}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-play\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"{{skipinitial ? 0 : 2}}\" data-selector=\"button-icon-pause\"\n             ba-hotkey:space^enter=\"{{toggle_player()}}\" onmouseout=\"this.blur()\"\n             class=\"{{css}}-leftbutton-container {{disablepause ? cssplayer + '-disabled' : ''}}\"\n             onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-play')}}\" ba-if=\"{{playing}}\" ba-click=\"{{pause()}}\"\n             title=\"{{disablepause ? string('pause-video-disabled') : string('pause-video')}}\"\n        >\n            <div class=\"{{css}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-pause\"></i>\n            </div>\n        </div>\n\n        <div class=\"{{css}}-time-container {{csscommon}}-clickable\" ba-click=\"{{toggle_position_info()}}\">\n            <div class=\"{{css}}-time-value\"\n                 title=\"{{revertposition ? string('remaining-time') : string('elapsed-time')}}\"\n            >\n                {{(revertposition && duration > 0) ? \"-\" : \"\"}}\n                {{(revertposition && duration > 0) ? (formatTime(duration - position)) : formatTime(position)}}\n            </div>\n            <div class=\"{{css}}-time-sep\">/</div>\n            <div class=\"{{css}}-time-value {{css}}-time-total-duration\" title=\"{{string('total-time')}}\">{{formatTime(duration || position)}}</div>\n        </div>\n\n        <div data-selector=\"video-title-block\" class=\"{{css}}-title-container\" ba-if=\"{{title}}\">\n            <p class=\"{{css}}-title\">\n                {{title}}\n            </p>\n        </div>\n\n        <div tabindex=\"12\" class=\"{{css}}-rightbutton-container\" ba-if=\"{{frameselectionmode}}\">\n            <div data-selector=\"select-frame-button\"\n                 onmouseout=\"this.blur()\"\n                 ba-click=\"{{select_frame()}}\"\n                 class=\"{{css}}-primary-button\">\n                 {{string('select-frame')}}\n            </div>\n        </div>\n\n        <div tabindex=\"12\" class=\"{{css}}-rightbutton-container\" ba-if=\"{{trimmingmode}}\">\n            <div data-selector=\"trim-video-button\"\n                 onmouseout=\"this.blur()\"\n                 ba-click=\"{{trim()}}\"\n                 class=\"{{css}}-primary-button\">\n                 {{string('trim-video')}}\n            </div>\n        </div>\n\n        <div tabindex=\"11\" data-selector=\"button-icon-settings\"\n             ba-hotkey:space^enter=\"{{toggle_settings_menu()}}\" onmouseout=\"this.blur()\"\n             class=\"{{css}}-rightbutton-container {{cssplayer}}-button-{{settingsmenuactive ? 'active' : 'inactive'}}\"\n             onkeydown=\"{{tab_index_move(domEvent)}}\"\n             ba-if=\"{{settingsmenubutton}}\" ba-click=\"{{toggle_settings_menu()}}\"\n             title=\"{{string('settings')}}\"\n        >\n            <div class=\"{{css}}-button-inner {{css}}-settings-button\">\n                <i class=\"{{csscommon}}-icon-cog\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"10\" data-selector=\"cc-button-container\"\n             ba-hotkey:space^enter=\"{{toggle_tracks()}}\" onmouseout=\"this.blur()\"\n             ba-if=\"{{(tracktags.length > 0 && showsubtitlebutton) || allowtexttrackupload}}\"\n             class=\"{{css}}-rightbutton-container {{cssplayer}}-button-{{tracktextvisible ? 'active' : 'inactive'}}\"\n             title=\"{{ tracktextvisible ? string('close-tracks') : string('show-tracks')}}\"\n             ba-click=\"{{toggle_tracks()}}\"\n             onmouseover=\"{{hover_cc(true)}}\"\n             onmouseleave=\"{{hover_cc(false)}}\"\n        >\n            <div class=\"{{css}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-subtitle\"></i>\n            </div>\n        </div>\n\n        <div tabindex=9 data-selector=\"button-icon-resize-full\"\n             ba-hotkey:space^enter=\"{{toggle_fullscreen()}}\" onmouseout=\"this.blur()\"\n             class=\"{{css}}-rightbutton-container\"\n             onkeydown=\"{{tab_index_move(domEvent)}}\" ba-if=\"{{fullscreen}}\" ba-click=\"{{toggle_fullscreen()}}\" title=\"{{ fullscreened ? string('exit-fullscreen-video') : string('fullscreen-video') }}\">\n            <div class=\"{{css}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-resize-{{fullscreened ? 'small' : 'full'}}\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"7\" data-selector=\"button-airplay\"\n             ba-hotkey:space^enter=\"{{show_airplay_devices()}}\" onmouseout=\"this.blur()\"\n             class=\"{{css}}-rightbutton-container\"\n             ba-show=\"{{airplaybuttonvisible}}\" ba-click=\"{{show_airplay_devices()}}\">\n            <div class=\"{{css}}-airplay-container\">\n                <svg width=\"16px\" height=\"11px\" viewBox=\"0 0 16 11\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\">\n                    \n                    <title>{{string('airplay')}}</title>\n                    <desc>{{string('airplay-icon')}}</desc>\n                    <defs></defs>\n                    <g stroke=\"none\" stroke-width=\"1\" fill-rule=\"evenodd\" sketch:type=\"MSPage\">\n                        <path d=\"M4,11 L12,11 L8,7 L4,11 Z M14.5454545,0 L1.45454545,0 C0.654545455,0 0,0.5625 0,1.25 L0,8.75 C0,9.4375 0.654545455,10 1.45454545,10 L4.36363636,10 L4.36363636,8.75 L1.45454545,8.75 L1.45454545,1.25 L14.5454545,1.25 L14.5454545,8.75 L11.6363636,8.75 L11.6363636,10 L14.5454545,10 C15.3454545,10 16,9.4375 16,8.75 L16,1.25 C16,0.5625 15.3454545,0 14.5454545,0 L14.5454545,0 Z\" sketch:type=\"MSShapeGroup\"></path>\n                    </g>\n                </svg>\n            </div>\n        </div>\n\n        <div data-selector=\"button-chromecast\" class=\"{{css}}-rightbutton-container {{css}}-cast-button-container\" ba-show=\"{{castbuttonvisble}}\">\n            <button tabindex=\"0\" class=\"{{css}}-gcast-button\" is=\"google-cast-button\"></button>\n        </div>\n\n        <div tabindex=\"6\" data-selector=\"button-stream-label\"\n             ba-hotkey:space^enter=\"{{toggle_stream()}}\" onmouseout=\"this.blur()\"\n             class=\"{{css}}-rightbutton-container\"\n             ba-if=\"{{streams.length > 1 && currentstream}}\" ba-click=\"{{toggle_stream()}}\"\n             title=\"{{string('change-resolution')}}\"\n        >\n            <div class=\"{{css}}-button-inner\">\n                <span class=\"{{css}}-button-text\">{{currentstream_label}}</span>\n            </div>\n        </div>\n\n        <div class=\"{{css}}-volumebar\" ba-show=\"{{!hidevolumebar}}\">\n            <div tabindex=\"5\" data-selector=\"button-volume-bar\"\n                 ba-hotkey:right=\"{{set_volume(volume + 0.1)}}\" ba-hotkey:left=\"{{set_volume(volume - 0.1)}}\"\n                 ba-hotkey:up=\"{{set_volume(1)}}\" ba-hotkey:down=\"{{set_volume(0)}}\"\n                 onmouseout=\"this.blur()\"\n                 class=\"{{css}}-volumebar-inner\"\n                 ontouchstart=\"{{startUpdateVolume(domEvent)}}\"\n                 ontouchmove=\"{{progressUpdateVolume(domEvent)}}\"\n                 ontouchend=\"{{stopUpdateVolume(domEvent); this.blur()}};\"\n                 onmousedown=\"{{startUpdateVolume(domEvent)}}\"\n                 onmouseup=\"{{stopUpdateVolume(domEvent)}}\"\n                 onmouseleave=\"{{stopUpdateVolume(domEvent)}}\"\n                 onmousemove=\"{{progressUpdateVolume(domEvent)}}\"\n            >\n                <div class=\"{{css}}-volumebar-position\" ba-styles=\"{{{width: Math.min(100, Math.round(volume * 100)) + '%'}}}\">\n                    <div class=\"{{css}}-volumebar-button\" title=\"{{string('volume-button')}}\"></div>\n                </div>\n            </div>\n        </div>\n\n        <div tabindex=\"4\" data-selector=\"button-icon-volume\"\n             ba-hotkey:space^enter=\"{{toggle_volume()}}\" onmouseout=\"this.blur()\"\n             class=\"{{css}}-rightbutton-container\"\n             ba-click=\"{{toggle_volume()}}\" title=\"{{string(volume > 0 ? 'volume-mute' : 'volume-unmute')}}\"\n        >\n            <div class=\"{{css}}-button-inner\">\n                <i class=\"{{csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off')) }}\"></i>\n            </div>\n        </div>\n\n    </div>\n</div>\n",

                attrs: {
                    "css": "ba-videoplayer",
                    "csscommon": "ba-commoncss",
                    "cssplayer": "ba-player",
                    "duration": 0,
                    "position": 0,
                    "cached": 0,
                    "volume": 1.0,
                    "expandedprogress": true,
                    "playing": false,
                    "rerecordable": false,
                    "submittable": false,
                    "manuallypaused": false,
                    "streams": [],
                    "currentstream": null,
                    "fullscreen": true,
                    "fullscreened": false,
                    "activitydelta": 0,
                    "hidebarafter": 5000,
                    "preventinteraction": false,
                    "revertposition": false,
                    "title": "",
                    "settingsmenubutton": false,
                    "hoveredblock": false, // Set true when mouse hovered
                    "allowtexttrackupload": false,
                    "thumbisvisible": false,
                    "chapterslist": [],
                    "showchaptertext": true,
                    "visibleindex": -1
                },

                computed: {
                    "currentstream_label:currentstream": function() {
                        var cs = this.get("currentstream");
                        return cs ? (cs.label ? cs.label : PlayerSupport.resolutionToLabel(cs.width, cs.height)) : "";
                    }
                },

                functions: {

                    formatTime: function(time) {
                        time = Math.max(time || 0, 0.1);
                        return TimeFormat.format(TimeFormat.ELAPSED_MINUTES_SECONDS, time * 1000);
                    },

                    startUpdatePosition: function(event) {
                        if (this.get("disableseeking")) return;
                        event[0].preventDefault();
                        if (!this.__parent.get("playing") && this.__parent.player && !this.get("manuallypaused"))
                            this.__parent.player.play();

                        var target = event[0].currentTarget;
                        this.set("dimensions", target.getBoundingClientRect());

                        this.set("_updatePosition", true);
                        this.call("progressUpdatePosition", event[0]);

                        var events = this.get("events");
                        events.on(document, "mousemove touchmove", function(e) {
                            e.preventDefault();
                            this.call("progressUpdatePosition", e);
                        }, this);
                        events.on(document, "mouseup touchend", function(e) {
                            e.preventDefault();
                            this.call("stopUpdatePosition");
                            events.off(document, "mouseup touchend mousemove touchmove");
                        }, this);
                    },

                    progressUpdatePosition: function(event) {
                        var _dyn = this.__parent;

                        // Mouse or Touch Event
                        var clientX = event.clientX === 0 ? 0 : event.clientX || event.targetTouches[0].clientX;
                        var dimensions = this.get("dimensions");
                        var percentageFromStart = -1;
                        if (clientX < dimensions.left) percentageFromStart = 0;
                        else if (clientX > (dimensions.left + dimensions.width)) percentageFromStart = 1;
                        else {
                            percentageFromStart = (clientX - dimensions.left) / (dimensions.width || 1);
                        }
                        var onDuration = this.get("duration") * percentageFromStart;

                        if (!this.get("_updatePosition") && typeof _dyn.__trackTags === 'undefined')
                            return;

                        var player = _dyn.player;

                        if (typeof _dyn.__trackTags !== 'undefined') {
                            if (this.__parent.__trackTags.hasThumbs) {
                                if (this.get("visibleindex") > -1 && this.get("showchaptertext"))
                                    return;
                                var _index;
                                var _trackTags = _dyn.__trackTags;
                                var _cuesCount = _dyn.get("thumbcuelist").length;
                                if (onDuration > 0) {
                                    _index = Math.floor(_cuesCount * percentageFromStart);
                                    for (var i = _index - 2; i < _cuesCount; i++) {
                                        if (_dyn.get("thumbcuelist")[i]) {
                                            var _cue = _dyn.get("thumbcuelist")[i];
                                            if (_cue.startTime < onDuration && _cue.endTime > onDuration) {
                                                _trackTags.showDurationThumb(i, clientX, onDuration);
                                                break;
                                            }
                                        }
                                    }
                                } else {
                                    _index = Math.floor(_cuesCount * percentageFromStart);
                                    _trackTags.showDurationThumb(_index, clientX);
                                }

                                this.set("thumbisvisible", true);
                                this.activeElement().appendChild(_trackTags.thumbContainer);
                            }
                        }

                        if (this.get("_updatePosition")) {
                            this.set("position", onDuration);

                            if (typeof player._broadcastingState !== 'undefined') {
                                if (player._broadcastingState.googleCastConnected) {
                                    player.trigger('google-cast-seeking', this.get("position"));
                                    return;
                                }
                            }
                            this.trigger("position", this.get("position"));
                        }
                    },

                    stopUpdatePosition: function() {
                        this.set("_updatePosition", false);
                        this._hideThumb();
                    },

                    startUpdateVolume: function(event) {
                        event[0].preventDefault();
                        this.set("_updateVolume", true);
                        this.call("progressUpdateVolume", event);
                    },

                    progressUpdateVolume: function(event) {
                        var ev = event[0];
                        ev.preventDefault();
                        if (!this.get("_updateVolume"))
                            return;
                        var clientX = ev.clientX || ev.targetTouches[0].clientX;
                        var target = ev.currentTarget;
                        var offset = Dom.elementOffset(target);
                        var dimensions = Dom.elementDimensions(target);
                        var _position = (clientX - offset.left) / (dimensions.width || 1);
                        var _test = Dom.getRelativeCoordinates(target, event[0]);
                        // Will fix bug (is outside the range [0, 1]) which cause mobile bug also
                        _position = _position > 1.00 ? 1.00 : (_position < 0.00 ? 0.00 : _position);
                        this.set("volume", _position);
                        this.trigger("volume", this.get("volume"));
                    },

                    stopUpdateVolume: function(event) {
                        event[0].preventDefault();
                        this.set("_updateVolume", false);
                    },

                    startVerticallyUpdateVolume: function(event) {
                        event[0].preventDefault();
                        this.set("_updateVolume", true);
                        this.call("progressVerticallyUpdateVolume", event);
                    },

                    progressVerticallyUpdateVolume: function(event) {
                        var ev = event[0];
                        ev.preventDefault();
                        if (!this.get("_updateVolume"))
                            return;
                        var clientY = ev.clientY || ev.targetTouches[0].clientY;
                        var target = ev.currentTarget;
                        var offset = Dom.elementOffset(target);
                        var dimensions = Dom.elementDimensions(target);
                        var _position = 1 - (clientY - offset.top) / (dimensions.height || 1);
                        // Will fix bug (is outside the range [0, 1]) which cause mobile bug also
                        _position = _position > 1.00 ? 1.00 : (_position < 0.00 ? 0.00 : _position);
                        this.set("volume", _position);
                        this.trigger("volume", this.get("volume"));
                    },

                    showChapterText: function(chapter) {
                        this.set("visibleindex", chapter.index);
                        this._hideThumb();
                    },

                    hideChapterText: function() {
                        this.set("visibleindex", -1);
                    },

                    stopVerticallyUpdateVolume: function(event) {
                        event[0].preventDefault();
                        this.set("_updateVolume", false);
                    },

                    play: function() {
                        this.trigger("play");
                    },

                    pause: function() {
                        this.trigger("pause");
                    },

                    toggle_player: function() {
                        this.trigger("toggle_player");
                    },

                    toggle_volume: function() {
                        if (this.get("volume") > 0) {
                            this.__oldVolume = this.get("volume");
                            this.set("volume", 0);
                        } else {
                            this.set("volume", this.__oldVolume || 1);
                        }

                        this.trigger("volume", this.get("volume"));
                    },

                    toggle_position_info: function() {
                        this.set("revertposition", !this.get("revertposition"));
                    },

                    toggle_fullscreen: function() {
                        this.trigger("fullscreen");
                    },

                    toggle_settings_menu: function() {
                        this.trigger("settings_menu");
                    },

                    rerecord: function() {
                        this.trigger("rerecord");
                    },

                    seek: function(position) {
                        this.trigger("seek", position);
                    },

                    set_volume: function(volume) {
                        this.trigger("set_volume", volume);
                    },

                    submit: function() {
                        this.set("submittable", false);
                        this.set("rerecordable", false);
                        this.trigger("submit");
                    },

                    select_frame: function() {
                        var player = this.parent().player;
                        var position = player.position();
                        var imageSelected = false;

                        player.pause();

                        var timer = new Timer({
                            context: this,
                            start: false,
                            fire: function() {
                                player.setPosition(position);
                                player.play();
                                player.pause();
                                if (player.loaded()) {
                                    player.createSnapshotPromise().success(function(blob) {
                                        timer.stop();
                                        if (!imageSelected) {
                                            imageSelected = true;
                                            this.parent().trigger("image-selected", blob);
                                        }
                                    }, this);
                                }
                            },
                            delay: 300,
                            fire_max: 5,
                            destroy_on_stop: true
                        });

                        if (player.loaded()) {
                            player.createSnapshotPromise().success(function(blob) {
                                this.parent().trigger("image-selected", blob);
                            }, this).error(function() {
                                timer.start();
                            }, this);
                        } else {
                            timer.start();
                        }

                    },

                    toggle_stream: function() {
                        var streams = this.get("streams");
                        var current = streams.length - 1;
                        streams.forEach(function(stream, i) {
                            if (Comparators.deepEqual(stream, this.get("currentstream")))
                                current = i;
                        }, this);
                        this.set("currentstream", streams[(current + 1) % streams.length]);
                    },

                    show_airplay_devices: function() {
                        var dynamic = this.__parent;
                        if (dynamic.player._broadcastingState.airplayConnected) {
                            dynamic._broadcasting.lookForAirplayDevices(dynamic.player._element);
                        }
                    },

                    // Start ro stop showing CC content
                    toggle_tracks: function() {
                        return this.parent().toggleTrackTags();
                    },

                    // Hover on CC button in controller
                    hover_cc: function(hover) {
                        // Not show CC on hover during settings block is open
                        // Reason why use parent not local settingsmenu_active,
                        // is that settings model also has to be aware it's state. So we need as a global variable
                        if (this.parent().get("settingsmenu_active")) return;
                        Async.eventually(function() {
                            this.parent().set("tracksshowselection", hover);
                        }, this, 300);
                    },

                    // Move between elements which has tabIndex attribute
                    tab_index_move: function(ev, nextSelector, focusingSelector) {
                        this.trigger("tab_index_move", ev[0], nextSelector, focusingSelector);
                    },

                    // Hover on block
                    hover_block: function(hover) {
                        Async.eventually(function() {
                            this.parent().set("hoveredblock", hover);
                        }, this, 300);
                    },

                    toggle_settings: function() {
                        this.trigger("toggle_settings");
                    },

                    trim: function() {
                        this.parent().trigger("video-trimmed", this.get("trimstart") || 0, this.get("trimend") || this.get("duration"));
                    },

                    addTrimmingEventListeners: function() {
                        var events = this.get("events");
                        var trimStartMarker = this.activeElement().querySelector('[data-selector="trim-start-marker"]');
                        var trimEndMarker = this.activeElement().querySelector('[data-selector="trim-end-marker"]');

                        events.on(trimStartMarker, "mousedown touchstart", function(e) {
                            e.preventDefault();
                            e.stopPropagation();

                            var boundingRect = this.get("progressbarElement").getBoundingClientRect();
                            this.call("updateTrimStart", e, boundingRect);

                            events.on(document, "mousemove touchmove", function(e) {
                                e.preventDefault();
                                this.call("updateTrimStart", e, boundingRect);
                            }, this);

                            events.on(document, "mouseup touchend", function(e) {
                                e.preventDefault();
                                events.off(document, "mouseup touchend mousemove touchmove");
                            }, this);
                        }, this);

                        events.on(trimEndMarker, "mousedown touchstart", function(e) {
                            e.preventDefault();
                            e.stopPropagation();

                            var boundingRect = this.get("progressbarElement").getBoundingClientRect();
                            this.call("updateTrimEnd", e, boundingRect);

                            events.on(document, "mousemove touchmove", function(e) {
                                e.preventDefault();
                                this.call("updateTrimEnd", e, boundingRect);
                            }, this);

                            events.on(document, "mouseup touchend", function(e) {
                                e.preventDefault();
                                events.off(document, "mouseup touchend mousemove touchmove");
                            }, this);
                        }, this);
                    },

                    updateTrimStart: function(event, boundingRect) {
                        var position = this.call("calculatePosition", event, boundingRect);
                        var trimEnd = this.get("trimend") || this.get("duration");
                        var timeMinLimit = this.get("timeminlimit") || 1;
                        if (position > trimEnd - timeMinLimit) {
                            this.set("trimstart", trimEnd - timeMinLimit);
                        } else {
                            this.set("trimstart", position);
                        }
                    },

                    updateTrimEnd: function(event, boundingRect) {
                        var position = this.call("calculatePosition", event, boundingRect);
                        var trimStart = this.get("trimstart") || 0;
                        var timeMinLimit = this.get("timeminlimit") || 1;
                        if (position < trimStart + timeMinLimit) {
                            this.set("trimend", trimStart + timeMinLimit);
                        } else {
                            this.set("trimend", position);
                        }
                    },

                    getClientX: function(event) {
                        return event.clientX === 0 ? 0 : event.clientX || event.targetTouches[0].clientX;
                    },

                    calculatePosition: function(event, dimensions) {
                        var clientX = this.call("getClientX", event);
                        var percentageFromStart = -1;
                        if (clientX < dimensions.left) percentageFromStart = 0;
                        else if (clientX > (dimensions.left + dimensions.width)) percentageFromStart = 1;
                        else {
                            percentageFromStart = (clientX - dimensions.left) / (dimensions.width || 1);
                        }
                        return this.get("duration") * percentageFromStart;
                    }
                },

                _hideThumb: function() {
                    if (typeof this.__parent.__trackTags !== "undefined") {
                        if (this.__parent.__trackTags.hasThumbs && this.get("thumbisvisible")) {
                            this.set("thumbisvisible", false);
                            this.__parent.__trackTags.hideDurationThumb();
                        }
                    }
                },

                create: function() {
                    this.set("ismobile", Info.isMobile());
                    this.set("events", new DomEvents());
                    this.set("progressbarElement", this.activeElement().querySelector('[data-selector="progress-bar-inner"]'));
                    if (this.get("trimmingmode"))
                        this.call("addTrimmingEventListeners");
                }
            };
        })
        .register("ba-videoplayer-controlbar")
        .registerFunctions({
            /**/"cssplayer": function (obj) { return obj.cssplayer; }, "activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-dashboard-hidden') : ''": function (obj) { return obj.activitydelta > obj.hidebarafter && obj.hideoninactivity ? (obj.cssplayer + '-dashboard-hidden') : ''; }, "skipinitial ? 2 : 1": function (obj) { return obj.skipinitial ? 2 : 1; }, "css": function (obj) { return obj.css; }, "activitydelta < 2500 || ismobile ? '' : (css + '-progressbar-small')": function (obj) { return obj.activitydelta < 2500 || obj.ismobile ? '' : (obj.css + '-progressbar-small'); }, "disableseeking ? cssplayer + '-disabled' : ''": function (obj) { return obj.disableseeking ? obj.cssplayer + '-disabled' : ''; }, "seek(position + skipseconds)": function (obj) { return obj.seek(obj.position + obj.skipseconds); }, "seek(position - skipseconds)": function (obj) { return obj.seek(obj.position - obj.skipseconds); }, "seek(position + skipseconds * 3)": function (obj) { return obj.seek(obj.position + obj.skipseconds * 3); }, "seek(position - skipseconds * 3)": function (obj) { return obj.seek(obj.position - obj.skipseconds * 3); }, "startUpdatePosition(domEvent)": function (obj) { return obj.startUpdatePosition(obj.domEvent); }, "true": function (obj) { return true; }, "chapterslist": function (obj) { return obj.chapterslist; }, "chapter.index": function (obj) { return obj.chapter.index; }, "{left: Math.round(duration ? chapter.startTime / duration * 100 : 0) + '%'}": function (obj) { return {left: Math.round(obj.duration ? obj.chapter.startTime / obj.duration * 100 : 0) + '%'}; }, "showChapterText(chapter)": function (obj) { return obj.showChapterText(obj.chapter); }, "hideChapterText()": function (obj) { return obj.hideChapterText(); }, "visibleindex === chapter.index && showchaptertext": function (obj) { return obj.visibleindex === obj.chapter.index && obj.showchaptertext; }, "chapter.title": function (obj) { return obj.chapter.title; }, "{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.cached / obj.duration * 100 : 0) + '%'}; }, "{width: Math.round(duration ? position / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.position / obj.duration * 100 : 0) + '%'}; }, "string('video-progress')": function (obj) { return obj.string('video-progress'); }, "trimmingmode": function (obj) { return obj.trimmingmode; }, "{left: Math.round(duration && trimstart ? trimstart / duration * 100 : 0) + '%'}": function (obj) { return {left: Math.round(obj.duration && obj.trimstart ? obj.trimstart / obj.duration * 100 : 0) + '%'}; }, "{left: 'auto', right: 100 - Math.round(duration && trimend ? trimend / duration * 100 : 100) + '%'}": function (obj) { return {left: 'auto', right: 100 - Math.round(obj.duration && obj.trimend ? obj.trimend / obj.duration * 100 : 100) + '%'}; }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-video')": function (obj) { return obj.string('submit-video'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-video')": function (obj) { return obj.string('rerecord-video'); }, "csscommon": function (obj) { return obj.csscommon; }, "skipinitial ? 0 : 2": function (obj) { return obj.skipinitial ? 0 : 2; }, "toggle_player()": function (obj) { return obj.toggle_player(); }, "string('play-video')": function (obj) { return obj.string('play-video'); }, "tab_index_move(domEvent, null, 'button-icon-pause')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-pause'); }, "!playing": function (obj) { return !obj.playing; }, "play()": function (obj) { return obj.play(); }, "disablepause ? cssplayer + '-disabled' : ''": function (obj) { return obj.disablepause ? obj.cssplayer + '-disabled' : ''; }, "tab_index_move(domEvent, null, 'button-icon-play')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-play'); }, "playing": function (obj) { return obj.playing; }, "pause()": function (obj) { return obj.pause(); }, "disablepause ? string('pause-video-disabled') : string('pause-video')": function (obj) { return obj.disablepause ? obj.string('pause-video-disabled') : obj.string('pause-video'); }, "toggle_position_info()": function (obj) { return obj.toggle_position_info(); }, "revertposition ? string('remaining-time') : string('elapsed-time')": function (obj) { return obj.revertposition ? obj.string('remaining-time') : obj.string('elapsed-time'); }, "(revertposition && duration > 0) ? \"-\" : \"\"": function (obj) { return (obj.revertposition && obj.duration > 0) ? "-" : ""; }, "(revertposition && duration > 0) ? (formatTime(duration - position)) : formatTime(position)": function (obj) { return (obj.revertposition && obj.duration > 0) ? (obj.formatTime(obj.duration - obj.position)) : obj.formatTime(obj.position); }, "string('total-time')": function (obj) { return obj.string('total-time'); }, "formatTime(duration || position)": function (obj) { return obj.formatTime(obj.duration || obj.position); }, "title": function (obj) { return obj.title; }, "frameselectionmode": function (obj) { return obj.frameselectionmode; }, "select_frame()": function (obj) { return obj.select_frame(); }, "string('select-frame')": function (obj) { return obj.string('select-frame'); }, "trim()": function (obj) { return obj.trim(); }, "string('trim-video')": function (obj) { return obj.string('trim-video'); }, "toggle_settings_menu()": function (obj) { return obj.toggle_settings_menu(); }, "settingsmenuactive ? 'active' : 'inactive'": function (obj) { return obj.settingsmenuactive ? 'active' : 'inactive'; }, "tab_index_move(domEvent)": function (obj) { return obj.tab_index_move(obj.domEvent); }, "settingsmenubutton": function (obj) { return obj.settingsmenubutton; }, "string('settings')": function (obj) { return obj.string('settings'); }, "toggle_tracks()": function (obj) { return obj.toggle_tracks(); }, "(tracktags.length > 0 && showsubtitlebutton) || allowtexttrackupload": function (obj) { return (obj.tracktags.length > 0 && obj.showsubtitlebutton) || obj.allowtexttrackupload; }, "tracktextvisible ? 'active' : 'inactive'": function (obj) { return obj.tracktextvisible ? 'active' : 'inactive'; }, "tracktextvisible ? string('close-tracks') : string('show-tracks')": function (obj) { return obj.tracktextvisible ? obj.string('close-tracks') : obj.string('show-tracks'); }, "hover_cc(true)": function (obj) { return obj.hover_cc(true); }, "hover_cc(false)": function (obj) { return obj.hover_cc(false); }, "toggle_fullscreen()": function (obj) { return obj.toggle_fullscreen(); }, "fullscreen": function (obj) { return obj.fullscreen; }, "fullscreened ? string('exit-fullscreen-video') : string('fullscreen-video')": function (obj) { return obj.fullscreened ? obj.string('exit-fullscreen-video') : obj.string('fullscreen-video'); }, "fullscreened ? 'small' : 'full'": function (obj) { return obj.fullscreened ? 'small' : 'full'; }, "show_airplay_devices()": function (obj) { return obj.show_airplay_devices(); }, "airplaybuttonvisible": function (obj) { return obj.airplaybuttonvisible; }, "string('airplay')": function (obj) { return obj.string('airplay'); }, "string('airplay-icon')": function (obj) { return obj.string('airplay-icon'); }, "castbuttonvisble": function (obj) { return obj.castbuttonvisble; }, "toggle_stream()": function (obj) { return obj.toggle_stream(); }, "streams.length > 1 && currentstream": function (obj) { return obj.streams.length > 1 && obj.currentstream; }, "string('change-resolution')": function (obj) { return obj.string('change-resolution'); }, "currentstream_label": function (obj) { return obj.currentstream_label; }, "!hidevolumebar": function (obj) { return !obj.hidevolumebar; }, "set_volume(volume + 0.1)": function (obj) { return obj.set_volume(obj.volume + 0.1); }, "set_volume(volume - 0.1)": function (obj) { return obj.set_volume(obj.volume - 0.1); }, "set_volume(1)": function (obj) { return obj.set_volume(1); }, "set_volume(0)": function (obj) { return obj.set_volume(0); }, "startUpdateVolume(domEvent)": function (obj) { return obj.startUpdateVolume(obj.domEvent); }, "progressUpdateVolume(domEvent)": function (obj) { return obj.progressUpdateVolume(obj.domEvent); }, "stopUpdateVolume(domEvent); this.blur()": function (obj) { return obj.stopUpdateVolume(obj.domEvent); this.blur(); }, "stopUpdateVolume(domEvent)": function (obj) { return obj.stopUpdateVolume(obj.domEvent); }, "{width: Math.min(100, Math.round(volume * 100)) + '%'}": function (obj) { return {width: Math.min(100, Math.round(obj.volume * 100)) + '%'}; }, "string('volume-button')": function (obj) { return obj.string('volume-button'); }, "toggle_volume()": function (obj) { return obj.toggle_volume(); }, "string(volume > 0 ? 'volume-mute' : 'volume-unmute')": function (obj) { return obj.string(obj.volume > 0 ? 'volume-mute' : 'volume-unmute'); }, "csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off'))": function (obj) { return obj.csscommon + '-icon-volume-' + (obj.volume >= 0.5 ? 'up' : (obj.volume > 0 ? 'down' : 'off')); }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "video-progress": "Progress",
            "rerecord-video": "Redo?",
            "submit-video": "Confirm",
            "play-video": "Play",
            "pause-video": "Pause",
            "pause-video-disabled": "Pause not supported",
            "elapsed-time": "Elapsed time",
            "total-time": "Total length of",
            "fullscreen-video": "Enter fullscreen",
            "volume-button": "Set volume",
            "volume-mute": "Mute sound",
            "volume-unmute": "Unmute sound",
            "change-resolution": "Change resolution",
            "exit-fullscreen-video": "Exit fullscreen",
            "close-tracks": "Close CC",
            "show-tracks": "Show CC",
            "player-speed": "Player speed",
            "settings": "Settings",
            "airplay": "Airplay",
            "airplay-icon": "Airplay icon.",
            "remaining-time": "Remaining time",
            "select-frame": "Select",
            "trim-video": "Trim"
        });
});

Scoped.define("module:VideoPlayer.Dynamics.Loader", ["dynamics:Dynamic","module:Assets"], function(Class, Assets, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "<div class=\"{{cssplayer}}-loader-container\">\n    <div data-selector=\"loader-block\" class=\"{{cssplayer}}-loader-loader\" title=\"{{string('tooltip')}}\">\n    </div>\n</div>\n",

                attrs: {
                    "css": "ba-videoplayer",
                    "csscommon": "ba-commoncss",
                    "cssplayer": "ba-player"
                }

            };
        })
        .register("ba-videoplayer-loader")
        .registerFunctions({
            /**/"cssplayer": function (obj) { return obj.cssplayer; }, "string('tooltip')": function (obj) { return obj.string('tooltip'); }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "tooltip": "Loading..."
        });
});

Scoped.define("module:VideoPlayer.Dynamics.Message", ["dynamics:Dynamic"], ["dynamics:Partials.ClickPartial"], function(Class, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div class=\"{{css}}-message-container\" ba-click=\"{{click()}}\">\n    <div data-selector=\"message-block\" class='{{css}}-message-message'>\n        <p> {{message}} </p>\n    </div>\n</div>\n",

                attrs: {
                    "css": "ba-videoplayer",
                    "csscommon": "ba-commoncss",
                    "cssplayer": "ba-player",
                    "message": ''
                },

                functions: {

                    click: function() {
                        this.trigger("click");
                    }

                }

            };
        })
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "click()": function (obj) { return obj.click(); }, "message": function (obj) { return obj.message; }/**/
        })
        .register("ba-videoplayer-message");
});

Scoped.define("module:VideoPlayer.Dynamics.Playbutton", ["dynamics:Dynamic","base:TimeFormat","module:Assets"], ["dynamics:Partials.ClickPartial"], function(Class, TimeFormat, Assets, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div tabindex=\"0\" data-selector=\"play-button\"\n     ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n     onkeydown=\"{{tab_index_move(domEvent, null, 'player-toggle-overlay')}}\"\n     class=\"{{css}}-playbutton-container\" ba-click=\"{{play()}}\" title=\"{{string('tooltip')}}\"\n>\n\t<div class=\"{{css}}-playbutton-button\"></div>\n</div>\n<div ba-show=\"{{showduration && (duration != 0 && duration != undefined)}}\" class=\"{{css}}-playbutton-duration\">\n\t{{formatTime(duration)}}\n</div>\n<div class=\"{{css}}-rerecord-bar\" ba-if=\"{{rerecordable || submittable}}\">\n\t<div class=\"{{css}}-rerecord-backbar\"></div>\n\t<div class=\"{{css}}-rerecord-frontbar\">\n        <div class=\"{{css}}-rerecord-button-container\" ba-if=\"{{submittable && !trimmingmode}}\">\n            <div tabindex=\"0\" data-selector=\"player-submit-button\"\n                 ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{css}}-rerecord-button\" onclick=\"{{submit()}}\">\n                {{string('submit-video')}}\n            </div>\n        </div>\n        <div class=\"{{css}}-rerecord-button-container\" ba-if=\"{{rerecordable && !trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-rerecord-button\"\n                 ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{css}}-rerecord-button\" onclick=\"{{rerecord()}}\">\n        \t\t{{string('rerecord')}}\n        \t</div>\n        </div>\n        <div class=\"{{css}}-rerecord-button-container\" ba-if=\"{{trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-trim-button\"\n                 ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{css}}-rerecord-button\" onclick=\"{{play()}}\">\n        \t\t{{string('trim')}}\n        \t</div>\n        </div>\n        <div class=\"{{css}}-rerecord-button-container\" ba-if=\"{{trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-skip-button\"\n                 ba-hotkey:space^enter=\"{{skip()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{css}}-rerecord-button\" onclick=\"{{skip()}}\">\n        \t\t{{string('skip')}}\n        \t</div>\n        </div>\n\t</div>\n</div>\n",

                attrs: {
                    "css": "ba-videoplayer",
                    "csstheme": "ba-videoplayer",
                    "csscommon": "ba-commoncss",
                    "cssplayer": "ba-player",
                    "rerecordable": false,
                    "submittable": false,
                    "showduration": false
                },

                functions: {

                    play: function() {
                        this.trigger("play");
                    },

                    skip: function() {
                        this.parent().trigger("skip");
                    },

                    submit: function() {
                        this.set("submittable", false);
                        this.set("rerecordable", false);
                        this.trigger("submit");
                    },

                    rerecord: function() {
                        this.trigger("rerecord");
                    },

                    tab_index_move: function(ev, nextSelector, focusingSelector) {
                        this.trigger("tab_index_move", ev[0], nextSelector, focusingSelector);
                    },

                    formatTime: function(time) {
                        time = Math.max(time || 0, 1);
                        if (time > 3600) {
                            return TimeFormat.format(TimeFormat.ELAPSED_HOURS_MINUTES_SECONDS, time * 1000);
                        } else {
                            return TimeFormat.format(TimeFormat.ELAPSED_MINUTES_SECONDS, time * 1000);
                        }
                    }
                }
            };
        })
        .register("ba-videoplayer-playbutton")
        .registerFunctions({
            /**/"play()": function (obj) { return obj.play(); }, "tab_index_move(domEvent, null, 'player-toggle-overlay')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'player-toggle-overlay'); }, "css": function (obj) { return obj.css; }, "string('tooltip')": function (obj) { return obj.string('tooltip'); }, "showduration && (duration != 0 && duration != undefined)": function (obj) { return obj.showduration && (obj.duration != 0 && obj.duration != undefined); }, "formatTime(duration)": function (obj) { return obj.formatTime(obj.duration); }, "rerecordable || submittable": function (obj) { return obj.rerecordable || obj.submittable; }, "submittable && !trimmingmode": function (obj) { return obj.submittable && !obj.trimmingmode; }, "submit()": function (obj) { return obj.submit(); }, "string('submit-video')": function (obj) { return obj.string('submit-video'); }, "rerecordable && !trimmingmode": function (obj) { return obj.rerecordable && !obj.trimmingmode; }, "rerecord()": function (obj) { return obj.rerecord(); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "trimmingmode": function (obj) { return obj.trimmingmode; }, "string('trim')": function (obj) { return obj.string('trim'); }, "skip()": function (obj) { return obj.skip(); }, "string('skip')": function (obj) { return obj.string('skip'); }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "tooltip": "Click to play.",
            "rerecord": "Redo",
            "submit-video": "Confirm video",
            "trim": "Trim",
            "skip": "Skip"
        });
});

Scoped.define("module:VideoPlayer.Dynamics.PlayerStates.State", ["base:States.State","base:Events.ListenMixin","base:Objs"], function(State, ListenMixin, Objs, scoped) {
    return State.extend({
        scoped: scoped
    }, [ListenMixin, {

        dynamics: ["loader"],

        _start: function() {
            this.dyn = this.host.dynamic;
            Objs.iter(Objs.extend({
                "loader": false,
                "message": false,
                "playbutton": false,
                "controlbar": false
            }, Objs.objectify(this.dynamics)), function(value, key) {
                this.dyn.set(key + "_active", value);
            }, this);
            if (this.dyn.parent()) {
                if (this.dyn.parent().record !== undefined && this.dyn.parent().host !== undefined) {
                    this.dyn._isRecorder = true;
                    this.dyn._recorderDyn = this.dyn.parent();
                    this.dyn._recorderHost = this.dyn._recorderDyn.host;
                }
            }
            this._started();
        },

        _started: function() {},

        play: function() {
            this.dyn.set("autoplay", true);
        },

        uploadTextTrack: function(file, locale) {
            try {
                this.next('TextTrackUploading', {
                    file: file,
                    locale: locale
                });
            } catch (e) {
                console.warn("Error switch to text track uploading state. Message: ", e);
                this.nextPlayer();
            }
        },

        nextPlayer: function() {
            var _recorder = this.dyn.parent();
            if (typeof _recorder.record === 'function')
                _recorder.host.state().next("Player");
            else
                this.next("LoadPlayer");
        },

        nextToChooser: function(message) {
            var _dyn = this.dyn;

            if (!_dyn._isRecorder)
                return false;

            if (typeof _dyn._recorderHost.next === 'function') {
                _dyn._recorderHost.next("FatalError", {
                    message: message,
                    retry: "Chooser"
                });
                // !Don't uncomment will brock host
                // _dyn._recorderDyn.set("player_active", false);
                return true;
            } else
                return false;
        }

    }]);
});

Scoped.define("module:VideoPlayer.Dynamics.PlayerStates.TextTrackUploading", ["module:VideoPlayer.Dynamics.PlayerStates.State","browser:Upload.FileUploader","browser:Upload.MultiUploader","browser:Blobs","base:Async","base:Objs"], function(State, FileUploader, MultiUploader, Blobs, Async, Objs, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        _locals: ["file", "locale"],
        dynamics: ['text-tracks', 'loading'],

        _started: function() {
            this.uploadTextTrackFile(this._file, this._locale);
        },

        uploadTextTrackFile: function(file, locale) {
            var _dynamics, _uploader, _initialTracks, _counter;
            _dynamics = this.dyn.parent();

            // Check either recorder or player dynamics
            if (typeof _dynamics.record !== 'function') {
                _dynamics = this.dyn;
            }
            _initialTracks = _dynamics.get('tracktags');

            // Get file url
            if (_dynamics.get("uploadoptions")) {
                filename = {
                    url: _dynamics.get("uploadoptions").textTracks
                };
            } else {
                filename = {
                    url: "/text-track/" + file.value.split(/(\\|\/)/g).pop() + "/lang/" + locale.lang + "/label/" + locale.label
                };
            }

            try {
                _uploader = FileUploader.create(Objs.extend({
                    source: file,
                    data: {
                        lang: locale.lang,
                        label: locale.label
                    }
                }, filename));
                _uploader.upload();

                _uploader.on("success", function(response) {
                    _counter = 1;
                    _dynamics.set("tracktags", null);
                    Blobs.loadFileIntoString(file).success(function(content) {
                        response = response.length > 0 ? JSON.parse(response) : {
                            lang: locale.lang,
                            label: locale.label
                        };

                        _initialTracks.push({
                            lang: response.lang,
                            label: response.label,
                            kind: "subtitles",
                            enabled: true,
                            content: content
                        });

                        Objs.iter(_initialTracks, function(value) {
                            if (_counter === _initialTracks.length) {
                                _dynamics.set("tracktags", _initialTracks);
                                this.nextPlayer();
                            }
                            _counter++;
                        }, this);

                    }, this);
                }, this);

                _uploader.on("error", function(e) {
                    var bestError = _dynamics.string("uploading-failed");
                    try {
                        e.forEach(function(ee) {
                            for (var key in ee)
                                if (_dynamics.string("upload-error-" + key))
                                    bestError = this.dyn.string("upload-error-" + key);
                        }, this);
                    } catch (err) {}
                    _dynamics.set("player_active", false);
                    this.next("FatalError", {
                        message: bestError,
                        retry: "Player"
                    });
                }, this);

                _uploader.on("progress", function(uploaded, total) {

                }, this);

            } catch (e) {
                console.warn('Error occurred during uploading text track files. Message: ', e);
            }
        }
    });
});

Scoped.define("module:VideoPlayer.Dynamics.PlayerStates.FatalError", ["module:VideoPlayer.Dynamics.PlayerStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["message"],
        _locals: ["message"],

        _started: function() {
            this.dyn.set("message", this._message || this.dyn.string("video-error"));
        }

    });
});

Scoped.define("module:VideoPlayer.Dynamics.PlayerStates.Initial", ["module:VideoPlayer.Dynamics.PlayerStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader"],

        _started: function() {
            this.dyn.set("imageelement_active", false);
            this.dyn.set("videoelement_active", false);
            if (this.dyn.get("ready"))
                this.next("LoadPlayer");
            else {
                this.listenOn(this.dyn, "change:ready", function() {
                    this.next("LoadPlayer");
                });
            }
        }
    });
});

Scoped.define("module:VideoPlayer.Dynamics.PlayerStates.LoadPlayer", ["module:VideoPlayer.Dynamics.PlayerStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader"],

        _started: function() {
            this.listenOn(this.dyn, "error:poster", function() {
                this.next("LoadPlayerDirectly");
            }, this);
            this.listenOn(this.dyn, "image-attached", function() {
                this.next("PosterReady");
            }, this);
            this.dyn.reattachImage();
        }

    });
});

Scoped.define("module:VideoPlayer.Dynamics.PlayerStates.LoadPlayerDirectly", ["module:VideoPlayer.Dynamics.PlayerStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader"],

        _started: function() {
            this.listenOn(this.dyn, "error:attach", function() {
                this.next("LoadError");
            }, this);
            this.listenOn(this.dyn, "error:poster", function() {
                if (!this.dyn.get("states").poster_error.ignore)
                    this.next("PosterError");
            }, this);
            this.listenOn(this.dyn, "attached", function() {
                this.next("PosterReady");
            }, this);
            this.dyn.reattachVideo();
        }

    });
});

Scoped.define("module:VideoPlayer.Dynamics.PlayerStates.LoadError", ["module:VideoPlayer.Dynamics.PlayerStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["message"],

        _started: function() {
            this.dyn.set("message", this.dyn.string("video-error"));
            this.listenOn(this.dyn, "message:click", function() {
                this.next("Initial");
            }, this);
        }

    });
});

Scoped.define("module:VideoPlayer.Dynamics.PlayerStates.PosterReady", ["module:VideoPlayer.Dynamics.PlayerStates.State","module:PopupHelper","base:Objs"], function(State, PopupHelper, Objs, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["playbutton"],

        _started: function() {
            this.dyn.set("placeholderstyle", "");
            // Will attach video in the backside
            if (!this.dyn.get("skipinitial") && this.dyn.get("preload"))
                this.dyn._attachVideo(true);
            this.dyn.trigger("ready_to_play");
            this.dyn.trigger("loaded");
            this.listenOn(this.dyn, "error:poster", function() {
                if (!this.dyn.get("states").poster_error.ignore && !this.dyn.get("popup"))
                    this.next("PosterError");
            }, this);
            if (this.dyn.get("autoplay") || this.dyn.get("skipinitial"))
                this.play();
        },

        play: function() {
            this.dyn.set("silent_attach", false);
            if (this.dyn.get("sticky")) this.dyn.stickyHandler.start();
            if (!this.dyn.get("popup")) {
                this.next("Preroll");
                return;
            }
            var popup = this.auto_destroy(new PopupHelper());
            var dynamic = this.auto_destroy(new this.dyn.cls({
                element: popup.containerInner,
                attrs: Objs.extend(this.dyn.cloneAttrs(), this.dyn.popupAttrs())
            }));
            this._delegatedPlayer = dynamic;
            this.dyn.delegateEvents(null, dynamic);
            popup.on("hide", function() {
                this._delegatedPlayer = null;
                dynamic.destroy();
                popup.destroy();
            }, this);
            popup.show();
            dynamic.activate();
        }
    });
});

Scoped.define("module:VideoPlayer.Dynamics.PlayerStates.Preroll", ["module:VideoPlayer.Dynamics.PlayerStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: [],

        _started: function() {
            if (this.dyn._prerollAd) {
                this.dyn._prerollAd.once("adloaded", function(ad) {
                    if (typeof ad !== "undefined") {
                        // If ad type is non-lienar like image banner need to load video
                        if (!ad.isLinear()) {
                            this.next("LoadVideo");
                        }
                    }
                }, this);

                this.dyn._prerollAd.on("adfinished", function() {
                    this.next("LoadVideo");
                }, this);

                this.dyn._prerollAd.once("adskipped", function() {
                    this.next("LoadVideo");
                }, this);

                // TODO: video height and width return NaN before ad start even when ba-width/ba-height are provided
                this.dyn._prerollAd.executeAd({
                    width: this.dyn.videoWidth(),
                    height: this.dyn.videoHeight()
                });

                this.dyn._prerollAd.once("ad-error", function(message) {
                    console.error('Error during loading an ad. Details:"' + message + '".');
                    this.next("LoadVideo");
                }, this);

            } else {
                this.next("LoadVideo");
            }
        }

    });
});

Scoped.define("module:VideoPlayer.Dynamics.PlayerStates.PosterError", ["module:VideoPlayer.Dynamics.PlayerStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["message"],

        _started: function() {
            this.dyn.set("message", this.dyn.string("video-error"));
            this.listenOn(this.dyn, "message:click", function() {
                this.next(this.dyn.get("states").poster_error.click_play ? "LoadVideo" : "LoadPlayer");
            }, this);
        }

    });
});

Scoped.define("module:VideoPlayer.Dynamics.PlayerStates.LoadVideo", ["module:VideoPlayer.Dynamics.PlayerStates.State","browser:Info","browser:Dom","base:Timers.Timer"], function(State, Info, Dom, Timer, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader"],

        _started: function() {
            // Just in case set to null preload
            this.dyn._prerollAd = null;
            if (!this.dyn.get("videoelement_active")) {
                this.listenOn(this.dyn, "error:attach", function() {
                    this.next("LoadError");
                }, this);
                this.listenOn(this.dyn, "error:poster", function() {
                    if (!this.dyn.get("states").poster_error.ignore)
                        this.next("PosterError");
                }, this);
                this.listenOn(this.dyn, "attached", function() {
                    this.__loadVideo();
                }, this);
                this.dyn.reattachVideo();
            } else
                this.__loadVideo();
        },

        __loadVideo: function() {
            this.listenOn(this.dyn, "error:video", function() {
                this.next("ErrorVideo");
            }, this);
            this.listenOn(this.dyn, "playing", function() {
                if (this.destroyed() || this.dyn.destroyed())
                    return;
                if (this.dyn.get("autoseek"))
                    this.dyn.execute("seek", this.dyn.get("autoseek"));
                this.next("PlayVideo");
            }, this);
            if (this.dyn.get("skipinitial") && !this.dyn.get("autoplay")) {
                this.next("PlayVideo");
            } else {
                var counter = 10;
                this.auto_destroy(new Timer({
                    context: this,
                    fire: function() {
                        if (!this.destroyed() && !this.dyn.destroyed() && this.dyn.player)
                            this.dyn.player.play();
                        counter--;
                        if (counter === 0)
                            this.next("PlayVideo");
                    },
                    delay: 200,
                    immediate: true
                }));
            }
        }
    });
});

Scoped.define("module:VideoPlayer.Dynamics.PlayerStates.ErrorVideo", ["module:VideoPlayer.Dynamics.PlayerStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["message"],

        _started: function() {
            this.dyn.set("message", this.dyn.string("video-error"));
            this.listenOn(this.dyn, "message:click", function() {
                if (!this.nextToChooser(this.dyn.get("message")))
                    this.next("LoadVideo");
            }, this);
        }

    });
});

Scoped.define("module:VideoPlayer.Dynamics.PlayerStates.PlayVideo", ["module:VideoPlayer.Dynamics.PlayerStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["controlbar"],

        _started: function() {
            this.dyn.set("autoplay", false);
            // As during loop we will play player after ended event fire, need initial cover will be hidden
            if (this.dyn.get("loop"))
                this.dyn.set("skipinitial", true);
            this.listenOn(this.dyn, "change:currentstream", function() {
                this.dyn.set("autoplay", true);
                this.dyn.set("autoseek", this.dyn.player.position());
                this.dyn.reattachVideo();
                this.next("LoadPlayer");
            }, this);
            this.listenOn(this.dyn, "ended", function() {
                this.dyn.set("autoseek", null);
                if (this.dyn._postrollAd)
                    this._playPostrollAd();
                else
                    this.next("NextVideo");
            }, this);
            this.listenOn(this.dyn, "change:buffering", function() {
                this.dyn.set("loader_active", this.dyn.get("buffering"));
            }, this);
            this.listenOn(this.dyn, "error:video", function() {
                this.next("ErrorVideo");
            }, this);
        },

        play: function() {
            if (!this.dyn.get("playing"))
                this.dyn.player.play();
        },

        _playPostrollAd: function() {
            // Actually it should be prepare ad, because older name convention leave as it's
            this.dyn._postrollAd.executeAd({
                width: this.dyn.parentWidth(),
                height: this.dyn.parentHeight()
            });
            this.dyn._postrollAd.once("adfinished", function() {
                this.dyn._postrollAd.weakDestroy();
                this.dyn._postrollAd = null;
                this.next("NextVideo");
            }, this);
            this.dyn._postrollAd.on("ad-error", function(message) {
                console.error('Error during loading an ad. Details:"' + message + '".');
                this.dyn._postrollAd.weakDestroy();
                this.dyn._postrollAd = null;
                this.next("NextVideo");
            }, this);
        }
    });
});

Scoped.define("module:VideoPlayer.Dynamics.PlayerStates.NextVideo", ["module:VideoPlayer.Dynamics.PlayerStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        _started: function() {
            if (this.dyn.get("playlist")) {
                var pl0, initialPlaylist;
                var list = this.dyn.get("playlist");
                var head = list.shift();
                this.dyn.get("initialoptions").playlist.push(head);
                if (list.length > 0) {
                    pl0 = list[0];
                    this.dyn.set("poster", pl0.poster);
                    this.dyn.set("source", pl0.source);
                    this.dyn.set("sources", pl0.sources);
                    return this._playNext(pl0);
                } else {
                    initialPlaylist = this.dyn.get("initialoptions").playlist;
                    this.dyn.set("lastplaylistitem", true);
                    this.dyn.trigger("last-playlist-item");
                    this.dyn.set("playlist", initialPlaylist);
                    this.dyn.get("initialoptions").playlist = [];

                    pl0 = initialPlaylist[0];
                    this.dyn.set("poster", pl0.poster);
                    this.dyn.set("source", pl0.source);
                    this.dyn.set("sources", pl0.sources);
                    if (this.dyn.get("loopall"))
                        return this._playNext(pl0);
                    else
                        this.dyn.reattachVideo();
                }
            } else {
                // If user will set loopall as true, single video also will be played
                if (this.dyn.get("loopall")) {
                    this.dyn.set("loop", true);
                    this.dyn.set("autoplay", true);
                    this.dyn.reattachVideo();
                }
            }
            this.next("PosterReady");
        },

        /**
         * Will start auto play the next play list element
         * @param {object} pl
         * @private
         */
        _playNext: function(pl) {
            this.dyn.trigger("playlist-next", pl);
            this.dyn.reattachVideo();
            this.dyn.set("autoplay", true);
            this.next("LoadPlayer");
        }
    });
});

Scoped.define("module:VideoPlayer.Dynamics.Share", ["dynamics:Dynamic","module:Assets"], function(Class, Assets, scoped) {

    var SHARES = {
        facebook: 'https://facebook.com/sharer/sharer.php?u=',
        twitter: 'https://twitter.com/intent/tweet?text=',
        gplus: 'https://plus.google.com/share?url='
    };

    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "<div class=\"{{cssplayer}}-share-action-container\">\n    <div class=\"{{cssplayer}}-toggle-share-container\">\n        <div class=\"{{cssplayer}}-button-inner\" onclick=\"{{toggleShare()}}\">\n            <i class=\"{{csscommon}}-icon-share\"></i>\n        </div>\n    </div>\n    <div class=\"{{cssplayer}}-social-buttons-container\">\n        <ul class=\"{{cssplayer}}-socials-list\" ba-repeat=\"{{share :: shares}}\">\n            <li class=\"{{cssplayer}}-single-social\">\n                <div class=\"{{cssplayer}}-button-inner\">\n                    <i class=\"{{csscommon}}-icon-{{share}}\" onclick=\"{{shareMedia(share)}}\"></i>\n                </div>\n            </li>\n        </ul>\n    </div>\n</div>\n",

                attrs: {
                    css: "ba-videoplayer",
                    csscommon: "ba-commoncss",
                    cssplayer: "ba-player",
                    url: "",
                    shares: []
                },

                functions: {

                    shareMedia: function(share) {
                        window.open(SHARES[share] + this.get("url"), 'pop', 'width=600 height=400');
                    },

                    toggleShare: function() {
                        /*
                        var container = this.activeElement().querySelector().firstElementChild;
                        container.style.right = container.style.right ? "" : "-45px";
                        */
                    }

                }
            };
        }).register("ba-videoplayer-share")
        .registerFunctions({
            /**/"cssplayer": function (obj) { return obj.cssplayer; }, "toggleShare()": function (obj) { return obj.toggleShare(); }, "csscommon": function (obj) { return obj.csscommon; }, "shares": function (obj) { return obj.shares; }, "share": function (obj) { return obj.share; }, "shareMedia(share)": function (obj) { return obj.shareMedia(obj.share); }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "share": "Share media"
        });
});

Scoped.define("module:VideoPlayer.Dynamics.Topmessage", ["dynamics:Dynamic"], function(Class, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div class=\"{{css}}-topmessage-container\">\n    <div class='{{css}}-topmessage-background'>\n    </div>\n    <div data-selector=\"topmessage-message-block\" class='{{css}}-topmessage-message'>\n        {{topmessage}}\n    </div>\n</div>\n",

                attrs: {
                    "css": "ba-videoplayer",
                    "csscommon": "ba-commoncss",
                    "cssplayer": "ba-player",
                    "topmessage": ''
                }

            };
        })
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "topmessage": function (obj) { return obj.topmessage; }/**/
        })
        .register("ba-videoplayer-topmessage");
});

Scoped.define("module:VideoPlayer.Dynamics.Tracks", ["dynamics:Dynamic","base:Objs","base:Async","module:Assets"], ["dynamics:Partials.ClickPartial","dynamics:Partials.RepeatElementPartial"], function(Class, Objs, Async, Assets, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "<div data-selector=\"text-tracks-overlay\"\n     class=\"{{cssplayer}}-text-tracks-overlay\n     {{activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-track-dashboard-hidden') : ''}}\n\">\n\n    <div data-selector=\"cue-content\" ba-show=\"{{tracktagsstyled && trackcuetext}}\" class=\"{{cssplayer}}-cue-content\">\n        {{trackcuetext}}\n    </div>\n    <div class=\"{{csscommon}}-options-popup {{csscommon}}-options-list-{{tracksshowselection || trackselectorhovered ? 'visible' : 'hidden'}}\">\n        <div ba-show=\"{{tracksshowselection || trackselectorhovered}}\" tabindex=\"-1\"\n             onmouseenter=\"{{hover_cc(domEvent, true)}}\" onmouseover=\"{{hover_cc(domEvent, true)}}\" onmouseleave=\"{{hover_cc(domEvent, false)}}\"\n        >\n            <div data-selector=\"tracks-selector-list\"\n                 class=\"{{csscommon}}-initial-options-list {{csscommon}}-tracks-selector-list {{csscommon}}-options-list-visible {{csscommon}}-options-list\"\n                 ba-if=\"{{tracktags}}\"\n            >\n                <div ba-repeat-element=\"{{track :: tracktags}}\"\n                     class=\"{{csscommon}}-tracks-selector {{csscommon}}-options-list-item\"\n                     ba-click=\"{{select_track(track)}}\"\n                     ba-show=\"{{track.label && texttrackslength > 1}}\"\n                >\n                    <div class=\"{{csscommon}}-inner-text\">\n                        {{track.label}}\n                    </div>\n                </div>\n                <div data-selector=\"text-tracks-open-form-button\"\n                     class=\"{{csscommon}}-options-list-item {{csscommon}}-open-next\"\n                     ba-if=\"{{allowtexttrackupload}}\" title=\"{{string('upload-text-tracks')}}\"\n                     onclick=\"{{move_to_option(domEvent, 'text-tracks-uploader-form')}}\"\n                >\n                    <div class=\"{{csscommon}}-inner-text\">{{string('upload-text-tracks')}}</div>\n                    <div class=\"{{csscommon}}-inner-icon\"></div>\n                </div>\n            </div>\n\n            <div data-selector=\"text-tracks-uploader-form\"\n                 class=\"{{csscommon}}-options-list-hidden {{csscommon}}-options-list {{csscommon}}-text-tracks-uploader-form\"\n                 ba-if=\"{{allowtexttrackupload}}\"\n            >\n                <div class=\"{{csscommon}}-full-width {{csscommon}}-options-list-item\">\n                    <div data-selector=\"close-text-tracks-upload-form\"\n                         title=\"{{string('back')}}\"\n                         class=\"{{csscommon}}-open-previous {{csscommon}}-text-left\"\n                         onclick=\"{{move_to_option(domEvent)}}\"\n                    >\n                        <div class=\"{{csscommon}}-inner-icon\"></div>\n                        <div class=\"{{csscommon}}-inner-text\">{{string('back')}}</div>\n                    </div>\n                </div>\n\n                <div class=\"{{csscommon}}-full-width {{csscommon}}-options-list-item\">\n                    <form class=\"{{csscommon}}-form {{csscommon}}-text-tracks-upload-form\">\n                        <div class=\"{{csscommon}}-form-input {{csscommon}}-select-field {{csscommon}}-direction-pointer\">\n                            <select data-selector=\"select-text-tracks-label\" tabindex=\"-1\"\n                                    class=\"{{csscommon}}-form-input {{csscommon}}-text-tracks-label-input\"\n                                    name=\"{{csscommon}}-text-tracks-label-select\"\n                                    onmousedown=\"{{prevent_un_hover(domEvent)}}\"\n                                    onmousemove=\"{{prevent_un_hover(domEvent)}}\"\n                                    onchange=\"{{selected_label_value(domEvent)}}\"\n                            >\n                                <option disabled value selected>\n                                    {{string('select-text-track-language')}}\n                                </option>\n                                <option ba-repeat-element=\"{{locale :: uploadlocales}}\" value=\"{{locale.lang}}\">\n                                    {{locale.label}}\n                                </option>\n                            </select>\n                        </div>\n                        <div class=\"{{csscommon}}-form-input {{csscommon}}-button\" ba-show=\"{{chosenoption}}\">\n                            <input type=\"file\" data-selector=\"select-text-tracks-file\"\n                                   title=\"{{chosenoption ? string('select-text-track-file') : string('info-select-locale-first')}}\"\n                                   onchange=\"{{upload_text_track(domEvent)}}\"\n                                   class=\"{{csscommon}}-text-tracks-file\"\n                                   accept=\"{{acceptedtracktexts}}\"\n                            />\n                            {{chosenoption ? string('select-text-track-file') : string('info-select-locale-first')}}\n                        </div>\n                    </form>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n",

                attrs: {
                    "css": "ba-videoplayer",
                    "csscommon": "ba-commoncss",
                    "cssplayer": "ba-player",
                    "trackcuetext": null,
                    "acceptedtracktexts": "text/vtt,application/ttml+xml,type/subtype",
                    "trackselectorhovered": false,
                    "texttrackslength": 0,
                    "uploadtexttracksvisible": false,
                    "uploadlocales": [],
                    "chosenoption": null
                },

                create: function() {
                    Objs.iter(this.get("tracktags"), function(subtitle) {
                        if (subtitle.kind === "subtitles") {
                            this.set("texttrackslength", this.get("texttrackslength") + 1);
                        }
                    }, this);
                },

                functions: {
                    select_track: function(track) {
                        this.parent().set("trackselectorhovered", false);
                        this.parent().trigger("switch-track", track);
                    },

                    hover_cc: function(ev, hover) {
                        // Not show CC on hover during settings block is open
                        if (this.parent().get("settingsmenu_active")) return;

                        // Don't lose focus on clicking move between sliders
                        // After if element has an focus not close it till next mouseover/mouseleave
                        if (!hover && ev[0].target === document.activeElement) {
                            Async.eventually(function() {
                                ev[0].target.blur();
                            }, this, 500);
                            return;
                        }

                        // Show or hide overlay element on mouse out
                        return this.parent().set("trackselectorhovered", hover);
                    },

                    prevent_un_hover: function(ev) {
                        ev[0].target.blur();
                        var _parentSelector, _parentElement;
                        _parentSelector = "." + this.parent().get('csscommon') + '-options-popup';
                        _parentElement = document.querySelector(_parentSelector);
                        if (_parentElement)
                            _parentElement.focus();
                        return this.parent().set("trackselectorhovered", true);
                    },

                    selected_label_value: function(select) {
                        var _options, _chosen;
                        _options = select[0].target.options;
                        _chosen = _options[_options.selectedIndex];

                        if (_chosen.value) {
                            this.set("chosenoption", {
                                lang: _chosen.value,
                                label: _chosen.text
                            });
                        } else {
                            this.set("chosenoption", null);
                        }
                    },

                    upload_text_track: function(domEvent) {
                        if (this.get('chosenoption'))
                            this.trigger("upload-text-tracks", domEvent[0].target, this.get('chosenoption'));
                        else {
                            console.warn('can not send empty label');
                        }
                    },

                    move_to_option: function(domEvent, classSelector) {
                        this.trigger("move_to_option", domEvent[0].target, classSelector);
                    }
                }
            };
        })
        .register("ba-videoplayer-tracks")
        .registerFunctions({
            /**/"cssplayer": function (obj) { return obj.cssplayer; }, "activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-track-dashboard-hidden') : ''": function (obj) { return obj.activitydelta > obj.hidebarafter && obj.hideoninactivity ? (obj.cssplayer + '-track-dashboard-hidden') : ''; }, "tracktagsstyled && trackcuetext": function (obj) { return obj.tracktagsstyled && obj.trackcuetext; }, "trackcuetext": function (obj) { return obj.trackcuetext; }, "csscommon": function (obj) { return obj.csscommon; }, "tracksshowselection || trackselectorhovered ? 'visible' : 'hidden'": function (obj) { return obj.tracksshowselection || obj.trackselectorhovered ? 'visible' : 'hidden'; }, "tracksshowselection || trackselectorhovered": function (obj) { return obj.tracksshowselection || obj.trackselectorhovered; }, "hover_cc(domEvent, true)": function (obj) { return obj.hover_cc(obj.domEvent, true); }, "hover_cc(domEvent, false)": function (obj) { return obj.hover_cc(obj.domEvent, false); }, "tracktags": function (obj) { return obj.tracktags; }, "select_track(track)": function (obj) { return obj.select_track(obj.track); }, "track.label && texttrackslength > 1": function (obj) { return obj.track.label && obj.texttrackslength > 1; }, "track.label": function (obj) { return obj.track.label; }, "allowtexttrackupload": function (obj) { return obj.allowtexttrackupload; }, "string('upload-text-tracks')": function (obj) { return obj.string('upload-text-tracks'); }, "move_to_option(domEvent, 'text-tracks-uploader-form')": function (obj) { return obj.move_to_option(obj.domEvent, 'text-tracks-uploader-form'); }, "string('back')": function (obj) { return obj.string('back'); }, "move_to_option(domEvent)": function (obj) { return obj.move_to_option(obj.domEvent); }, "prevent_un_hover(domEvent)": function (obj) { return obj.prevent_un_hover(obj.domEvent); }, "selected_label_value(domEvent)": function (obj) { return obj.selected_label_value(obj.domEvent); }, "string('select-text-track-language')": function (obj) { return obj.string('select-text-track-language'); }, "uploadlocales": function (obj) { return obj.uploadlocales; }, "locale.lang": function (obj) { return obj.locale.lang; }, "locale.label": function (obj) { return obj.locale.label; }, "chosenoption": function (obj) { return obj.chosenoption; }, "chosenoption ? string('select-text-track-file') : string('info-select-locale-first')": function (obj) { return obj.chosenoption ? obj.string('select-text-track-file') : obj.string('info-select-locale-first'); }, "upload_text_track(domEvent)": function (obj) { return obj.upload_text_track(obj.domEvent); }, "acceptedtracktexts": function (obj) { return obj.acceptedtracktexts; }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "upload-text-tracks": "Upload track text files",
            "select-text-track-language": "Subtitle Language",
            "info-select-locale-first": "First select locale",
            "select-text-track-file": "Click to select file",
            "back": "back"
        });
});

Scoped.define("module:VideoPlayer.Dynamics.Player", ["dynamics:Dynamic","module:Assets","module:StickyHandler","module:StylesMixin","module:TrackTags","browser:Info","browser:Dom","media:Player.VideoPlayerWrapper","media:Player.Broadcasting","base:Types","base:Objs","base:Strings","base:Collections.Collection","base:Time","base:Timers","base:TimeFormat","base:States.Host","base:Classes.ClassRegistry","base:Async","module:VideoPlayer.Dynamics.PlayerStates.Initial","module:VideoPlayer.Dynamics.PlayerStates","module:Ads.AbstractVideoAdProvider","module:Ads.IMARequester","browser:Events"], ["module:Common.Dynamics.Settingsmenu","module:VideoPlayer.Dynamics.Playbutton","module:VideoPlayer.Dynamics.Message","module:VideoPlayer.Dynamics.Loader","module:VideoPlayer.Dynamics.Share","module:VideoPlayer.Dynamics.Controlbar","module:VideoPlayer.Dynamics.Tracks","dynamics:Partials.EventPartial","dynamics:Partials.OnPartial","dynamics:Partials.TogglePartial","dynamics:Partials.StylesPartial","dynamics:Partials.TemplatePartial","dynamics:Partials.HotkeyPartial"], function(Class, Assets, StickyHandler, StylesMixin, TrackTags, Info, Dom, VideoPlayerWrapper, Broadcasting, Types, Objs, Strings, Collection, Time, Timers, TimeFormat, Host, ClassRegistry, Async, InitialState, PlayerStates, AdProvider, IMARequester, DomEvents, scoped) {
    return Class.extend({
            scoped: scoped
        }, [StylesMixin, function(inherited) {
            return {

                template: "<div itemscope itemtype=\"http://schema.org/VideoObject\"\n     class=\"{{css}}-container {{cssplayer}}-size-{{csssize}} {{iecss}}-{{ie8 ? 'ie8' : 'noie8'}} {{csstheme}}\n     {{cssplayer}}-{{fullscreened ? 'fullscreen' : 'normal'}}-view {{cssplayer}}-{{firefox ? 'firefox' : 'common'}}-browser\n     {{cssplayer}}-{{themecolor}}-color {{cssplayer}}-device-type-{{mobileview ? 'mobile' : 'desktop'}}\n     {{sticktoview ? csscommon + '-sticky' : ''}} {{sticktoview && fadeup ? csscommon + '-fade-up' : ''}}\n     {{csscommon}}-full-width\n     {{csscommon}}-max-height-100vh\"\n     ba-on:mousemove=\"{{user_activity()}}\"\n     ba-on:mousedown=\"{{user_activity(true)}}\"\n     ba-on:touchstart=\"{{user_activity(true)}}\"\n     ba-styles=\"{{containerSizingStyles}}\"\n>\n    <meta itemprop=\"name\" content=\"{{title || 'Video Player'}}\" />\n    <meta itemprop=\"description\" content=\"{{description || 'Video Player'}}\" />\n    <meta itemprop=\"uploadDate\" content=\"{{uploaddate}}\" />\n    <div ba-show=\"{{(videoelement_active || !imageelement_active) && !silent_attach}}\" class=\"{{css}}-video-container\">\n        <video tabindex=\"-1\" class=\"{{css}}-video {{csscommon}}-{{videofitstrategy}}-fit\" data-video=\"video\"\n               preload=\"{{preload ? 'auto' : 'metadata'}}\"\n               ba-toggle:playsinline=\"{{!playfullscreenonmobile}}\"\n        ></video>\n    </div>\n    <div ba-show=\"{{(imageelement_active && !videoelement_active) || silent_attach}}\" class=\"{{css}}-poster-container\">\n        <img tabindex=\"-1\" data-image=\"image\" alt=\"{{posteralt}}\" class=\"{{csscommon}}-{{posterfitstrategy}}-fit\"/>\n    </div>\n    <div class=\"{{css}}-overlay {{hasplaceholderstyle ? (css + '-overlay-with-placeholder') : ''}}\"\n         ba-show=\"{{!showbuiltincontroller}}\" style=\"{{placeholderstyle}}\"\n    >\n        <div tabindex=\"-1\" class=\"{{css}}-player-toggle-overlay\" data-selector=\"player-toggle-overlay\"\n             ba-hotkey:right=\"{{seek(position + skipseconds)}}\" ba-hotkey:left=\"{{seek(position - skipseconds)}}\"\n             ba-hotkey:alt+right=\"{{seek(position + skipseconds * 3)}}\" ba-hotkey:alt+left=\"{{seek(position - skipseconds * 3)}}\"\n             ba-hotkey:up=\"{{set_volume(volume + 0.1)}}\" ba-hotkey:down=\"{{set_volume(volume - 0.1)}}\"\n             ba-hotkey:space^enter=\"{{toggle_player()}}\"\n             ba-on:mouseup=\"{{toggle_player()}}\"\n             ba-on:touchend=\"{{toggle_player()}}\"\n        ></div>\n        <ba-{{dyntrimmer}}\n            ba-show=\"{{trimmingmode && videoelement_active}}\"\n            ba-playing=\"{{playing}}\"\n            ba-startposition=\"{{=starttime}}\"\n            ba-position=\"{{position}}\"\n            ba-endposition=\"{{=endtime}}\"\n            ba-minduration=\"{{timeminlimit}}\"\n            ba-duration=\"{{duration}}\"\n            ba-source=\"{{source}}\"\n            ba-event:play=\"play\"\n            ba-event:pause=\"pause\"\n            ba-event:seek=\"seek\"\n        ></ba-{{dyntrimmer}}>\n        <ba-{{dyncontrolbar}}\n            ba-css=\"{{csscontrolbar || css}}\"\n            ba-cssplayer=\"{{cssplayer || css}}\"\n            ba-csstheme=\"{{csstheme || css}}\"\n            ba-themecolor=\"{{themecolor}}\"\n            ba-template=\"{{tmplcontrolbar}}\"\n            ba-show=\"{{controlbar_active && !hidecontrolbar}}\"\n            ba-playing=\"{{playing}}\"\n            ba-playwhenvisible=\"{{playwhenvisible}}\"\n            ba-playerspeeds=\"{{playerspeeds}}\"\n            ba-playercurrentspeed=\"{{playercurrentspeed}}\"\n            ba-airplay=\"{{airplay}}\"\n            ba-airplaybuttonvisible=\"{{airplaybuttonvisible}}\"\n            ba-chromecast=\"{{chromecast}}\"\n            ba-castbuttonvisble=\"{{castbuttonvisble}}\"\n            ba-event:rerecord=\"rerecord\"\n            ba-event:submit=\"submit\"\n            ba-event:play=\"play\"\n            ba-event:pause=\"pause\"\n            ba-event:position=\"seek\"\n            ba-event:volume=\"set_volume\"\n            ba-event:set_speed=\"set_speed\"\n            ba-event:settings_menu=\"toggle_settings_menu\"\n            ba-event:fullscreen=\"toggle_fullscreen\"\n            ba-event:toggle_player=\"toggle_player\"\n            ba-event:tab_index_move=\"tab_index_move\"\n            ba-event:seek=\"seek\"\n            ba-event:set_volume=\"set_volume\"\n            ba-event:toggle_tracks=\"toggle_tracks\"\n            ba-tabindex=\"{{tabindex}}\"\n            ba-showchaptertext=\"{{showchaptertext}}\"\n            ba-chapterslist=\"{{chapterslist}}\"\n            ba-tracktextvisible=\"{{tracktextvisible}}\"\n            ba-tracktags=\"{{tracktags}}\"\n            ba-showsubtitlebutton=\"{{hassubtitles && tracktagssupport}}\"\n            ba-allowtexttrackupload=\"{{allowtexttrackupload}}\"\n            ba-tracksshowselection=\"{{tracksshowselection}}\"\n            ba-volume=\"{{volume}}\"\n            ba-duration=\"{{duration}}\"\n            ba-cached=\"{{buffered}}\"\n            ba-title=\"{{title}}\"\n            ba-position=\"{{position}}\"\n            ba-activitydelta=\"{{activity_delta}}\"\n            ba-hideoninactivity=\"{{hideoninactivity}}\"\n            ba-hidebarafter=\"{{hidebarafter}}\"\n            ba-rerecordable=\"{{rerecordable}}\"\n            ba-submittable=\"{{submittable}}\"\n            ba-frameselectionmode=\"{{frameselectionmode}}\"\n            ba-timeminlimit=\"{{timeminlimit}}\"\n            ba-streams=\"{{streams}}\"\n            ba-currentstream=\"{{=currentstream}}\"\n            ba-fullscreen=\"{{fullscreensupport && !nofullscreen}}\"\n            ba-fullscreened=\"{{fullscreened}}\"\n            ba-source=\"{{source}}\"\n            ba-disablepause=\"{{disablepause}}\"\n            ba-disableseeking=\"{{disableseeking}}\"\n            ba-skipseconds=\"{{skipseconds}}\"\n            ba-skipinitial=\"{{skipinitial}}\"\n            ba-settingsmenubutton=\"{{showsettingsmenu}}\"\n            ba-settingsmenuactive=\"{{settingsmenu_active}}\"\n            ba-hidevolumebar=\"{{hidevolumebar}}\"\n            ba-manuallypaused=\"{{manuallypaused}}\"\n        ></ba-{{dyncontrolbar}}>\n\n        <ba-{{dyntracks}}\n            ba-css=\"{{csstracks || css}}\"\n            ba-csstheme=\"{{csstheme || css}}\"\n            ba-cssplayer=\"{{cssplayer || css}}\"\n            ba-show=\"{{tracktagssupport || allowtexttrackupload}}\"\n            ba-tracksshowselection=\"{{tracksshowselection}}\"\n            ba-trackselectorhovered=\"{{trackselectorhovered}}\"\n            ba-tracktags=\"{{tracktags}}\"\n            ba-hidebarafter=\"{{hidebarafter}}\"\n            ba-tracktagsstyled=\"{{tracktagsstyled}}\"\n            ba-trackcuetext=\"{{trackcuetext}}\"\n            ba-allowtexttrackupload=\"{{allowtexttrackupload}}\"\n            ba-uploadtexttracksvisible=\"{{uploadtexttracksvisible}}\"\n            ba-acceptedtracktexts=\"{{acceptedtracktexts}}\"\n            ba-uploadlocales=\"{{uploadlocales}}\"\n            ba-activitydelta=\"{{activity_delta}}\"\n            ba-hideoninactivity=\"{{hideoninactivity}}\"\n            ba-event:selected_label_value=\"selected_label_value\"\n            ba-event:upload-text-tracks=\"upload_text_tracks\"\n            ba-event:move_to_option=\"move_to_option\"\n        ></ba-{{dyntracks}}>\n\n        <ba-{{dynsettingsmenu}}\n            ba-css=\"{{css}}\"\n            ba-csstheme=\"{{csstheme || css}}\"\n            ba-show=\"{{settingsmenu_active}}\"\n            ba-template=\"{{tmplsettingsmenu}}\"\n        ></ba-{{dynsettingsmenu}}>\n\n        <ba-{{dynplaybutton}}\n            ba-css=\"{{cssplaybutton || css}}\"\n            ba-csstheme=\"{{csstheme || css}}\"\n            ba-cssplayer=\"{{cssplayer || css}}\"\n            ba-theme-color=\"{{themecolor}}\"\n            ba-template=\"{{tmplplaybutton}}\"\n            ba-show=\"{{playbutton_active}}\"\n            ba-rerecordable=\"{{rerecordable}}\"\n            ba-submittable=\"{{submittable}}\"\n            ba-trimmingmode=\"{{trimmingmode}}\"\n            ba-showduration=\"{{showduration}}\"\n            ba-duration=\"{{duration}}\"\n            ba-event:play=\"playbutton_click\"\n            ba-event:rerecord=\"rerecord\"\n            ba-event:submit=\"submit\"\n            ba-event:tab_index_move=\"tab_index_move\"\n        ></ba-{{dynplaybutton}}>\n\n        <ba-{{dynloader}}\n            ba-css=\"{{cssloader || css}}\"\n            ba-csstheme=\"{{csstheme || css}}\"\n            ba-cssplayer=\"{{cssplayer || css}}\"\n            ba-theme-color=\"{{themecolor}}\"\n            ba-template=\"{{tmplloader}}\"\n            ba-playwhenvisible=\"{{playwhenvisible}}\"\n            ba-show=\"{{loader_active}}\"\n        ></ba-{{dynloader}}>\n\n        <ba-{{dynshare}}\n            ba-css=\"{{cssshare || css}}\"\n            ba-csstheme=\"{{csstheme || css}}\"\n            ba-cssplayer=\"{{cssplayer || css}}\"\n            ba-theme-color=\"{{themecolor}}\"\n            ba-template=\"{{tmplshare}}\"\n            ba-show=\"{{sharevideourl && sharevideo.length > 0}}\"\n            ba-url=\"{{sharevideourl}}\"\n            ba-shares=\"{{sharevideo}}\"\n        ></ba-{{dynshare}}>\n\n        <ba-{{dynmessage}}\n            ba-css=\"{{cssmessage || css}}\"\n            ba-csstheme=\"{{csstheme || css}}\"\n            ba-cssplayer=\"{{cssplayer || css}}\"\n            ba-theme-color=\"{{themecolor}}\"\n            ba-template=\"{{tmplmessage}}\"\n            ba-show=\"{{message_active}}\"\n            ba-message=\"{{message}}\"\n            ba-event:click=\"message_click\"\n        ></ba-{{dynmessage}}>\n\n        <ba-{{dyntopmessage}}\n            ba-css=\"{{csstopmessage || css}}\"\n            ba-csstheme=\"{{csstheme || css}}\"\n            ba-cssplayer=\"{{cssplayer || css}}\"\n            ba-theme-color=\"{{themecolor}}\"\n            ba-template=\"{{tmpltopmessage}}\"\n            ba-show=\"{{topmessage}}\"\n            ba-topmessage=\"{{topmessage}}\"\n        ></ba-{{dyntopmessage}}>\n\n        <meta itemprop=\"caption\" content=\"{{title}}\" />\n        <meta itemprop=\"thumbnailUrl\" content=\"{{thumbnailurl}}\" />\n        <meta itemprop=\"contentUrl\" content=\"{{contenturl}}\" />\n    </div>\n    <div class=\"{{css}}-overlay\" data-video=\"ad\" style=\"display:none\">\n        <div data-ads=\"controllbar\"></div>\n        <div data-video=\"ima-ad-container\"></div>\n    </div>\n    <div ba-show=\"{{useAspectRatioFallback}}\" ba-styles=\"{{aspectRatioFallback}}\"></div>\n</div>\n",

                attrs: {
                    /* CSS */
                    "css": "ba-videoplayer",
                    "csscommon": "ba-commoncss",
                    "cssplayer": "ba-player",
                    "iecss": "ba-videoplayer",
                    "cssplaybutton": "",
                    "cssloader": "",
                    "cssmessage": "",
                    "csstopmessage": "",
                    "csscontrolbar": "",
                    "csstracks": "",
                    "width": "",
                    "height": "",
                    "popup-width": "",
                    "popup-height": "",
                    "aspectratio": null,
                    "fallback-width": 320,
                    "fallback-height": 240,
                    /* Themes */
                    "theme": "",
                    "csstheme": "",
                    "themecolor": "",
                    /* Dynamics */
                    "dynplaybutton": "videoplayer-playbutton",
                    "dynloader": "videoplayer-loader",
                    "dynmessage": "videoplayer-message",
                    "dyntopmessage": "videoplayer-topmessage",
                    "dyncontrolbar": "videoplayer-controlbar",
                    "dynshare": "videoplayer-share",
                    "dyntracks": "videoplayer-tracks",
                    "dynsettingsmenu": "common-settingsmenu",
                    "dyntrimmer": "videorecorder-trimmer",

                    /* Templates */
                    "tmplplaybutton": "",
                    "tmplloader": "",
                    "tmplmessage": "",
                    "tmplshare": "",
                    "tmpltopmessage": "",
                    "tmplcontrolbar": "",
                    "tmpltracks": "",
                    "tmplsettingsmenu": "",

                    /* Attributes */
                    "poster": "",
                    "source": "",
                    "sources": [],
                    "sourcefilter": {},
                    "streams": [],
                    "currentstream": null,
                    "playlist": null,
                    "volume": 1.0,
                    "title": "",
                    "description": "",
                    "uploaddate": "",
                    "contenturl": "",
                    "thumbnailurl": "",
                    "initialseek": null,
                    "sharevideo": [],
                    "sharevideourl": "",
                    "visibilityfraction": 0.8,
                    /* Configuration */
                    "reloadonplay": false,
                    "playonclick": true,
                    "pauseonclick": true,

                    /* Ads */
                    "adprovider": null,
                    "preroll": false,
                    "linear": null,
                    "non-linear": null,
                    "show-ad-controller": false,
                    "mid-linear-ad": [],
                    "non-linear-ad": [],

                    /* Options */
                    "allowpip": true, // Picture-In-Picture Mode
                    "rerecordable": false,
                    "submittable": false,
                    "autoplay": false,
                    "preload": false,
                    "loop": false,
                    "loopall": false,
                    "popup": false,
                    "nofullscreen": false,
                    "fullscreenmandatory": false,
                    "playfullscreenonmobile": false,
                    "fitonwidth": false,
                    "fitonheight": false,
                    "hideoninactivity": true,
                    "hidebarafter": 5000,
                    "preventinteraction": false,
                    "skipinitial": false,
                    "topmessage": "",
                    "totalduration": null,
                    "playwhenvisible": false,
                    "disablepause": false,
                    "disableseeking": false,
                    "tracktextvisible": false,
                    "airplay": false,
                    "chromecast": false,
                    "broadcasting": false,
                    "chromecastreceiverappid": null, // Could be published custom App ID https://cast.google.com/publish/#/overview
                    "skipseconds": 5,
                    "sticky": false,
                    "tracktags": [],
                    "tracktagsstyled": true,
                    "tracktaglang": 'en',
                    "tracksshowselection": false,
                    "showchaptertext": true,
                    "thumbimage": {},
                    "thumbcuelist": [],
                    "showduration": false,
                    "showsettingsmenu": true, // As a property show/hide from users
                    "posteralt": "",
                    "hidevolumebar": false,
                    "hidecontrolbar": false,
                    "allowtexttrackupload": false,
                    "useAspectRatioFallback": (Info.isSafari() && Info.safariVersion() < 15) || Info.isInternetExplorer(),
                    "uploadtexttracksvisible": false,
                    "acceptedtracktexts": null,
                    "uploadlocales": [{
                        lang: 'en',
                        label: 'English'
                    }],
                    "ttuploadervisible": false,
                    "videofitstrategy": "pad",
                    "posterfitstrategy": "crop",

                    /* States (helper variables which are controlled by application itself not set by user) */
                    "showbuiltincontroller": false,
                    "airplaybuttonvisible": false,
                    "castbuttonvisble": false,
                    "fullscreened": false,
                    "initialoptions": {
                        "hideoninactivity": null,
                        "volumelevel": null,
                        "playlist": []
                    },
                    "silent_attach": false,
                    "inpipmode": false,
                    "lastplaylistitem": false,
                    "manuallypaused": false,
                    "playedonce": false,
                    "preventinteractionstatus": false, // need to prevent `Unexpected token: punc (()` Uglification issue
                    "ready": true,
                    "tracktagssupport": false,
                    "playbackcount": 0,
                    "playbackended": 0,
                    "currentchapterindex": 0,
                    "chapterslist": [],
                    // If settings are open and visible
                    "states": {
                        "poster_error": {
                            "ignore": false,
                            "click_play": true
                        }
                    },
                    "placeholderstyle": "",
                    "hasplaceholderstyle": false,
                    "playerorientation": undefined,
                    // Reference to Chrome renewed policy, we have to setup mute for auto-playing players.
                    // If we do it forcibly then will set as true
                    "forciblymuted": false,
                    // When volume was un muted, by user himself, not automatically
                    "volumeafterinteraction": false
                },

                types: {
                    "allowpip": "boolean",
                    "rerecordable": "boolean",
                    "loop": "boolean",
                    "loopall": "boolean",
                    "autoplay": "boolean",
                    "preload": "boolean",
                    "ready": "boolean",
                    "nofullscreen": "boolean",
                    "fullscreenmandatory": "boolean",
                    "preroll": "boolean",
                    "hideoninactivity": "boolean",
                    "hidebarafter": "integer",
                    "preventinteraction": "boolean",
                    "skipinitial": "boolean",
                    "volume": "float",
                    "popup": "boolean",
                    "popup-width": "int",
                    "popup-height": "int",
                    "aspectratio": "float",
                    "fallback-width": "int",
                    "fallback-height": "int",
                    "initialseek": "float",
                    "fullscreened": "boolean",
                    "sharevideo": "array",
                    "sharevideourl": "string",
                    "playfullscreenonmobile": "boolean",
                    "themecolor": "string",
                    "totalduration": "float",
                    "playwhenvisible": "boolean",
                    "playedonce": "boolean",
                    "manuallypaused": "boolean",
                    "disablepause": "boolean",
                    "disableseeking": "boolean",
                    "playonclick": "boolean",
                    "pauseonclick": "boolean",
                    "airplay": "boolean",
                    "airplaybuttonvisible": "boolean",
                    "chromecast": "boolean",
                    "chromecastreceiverappid": "string",
                    "skipseconds": "integer",
                    "sticky": "boolean",
                    "streams": "jsonarray",
                    "sources": "jsonarray",
                    "tracktags": "jsonarray",
                    "tracktagsstyled": "boolean",
                    "allowtexttrackupload": "boolean",
                    "uploadtexttracksvisible": "boolean",
                    "acceptedtracktexts": "string",
                    "uploadlocales": "array",
                    "playerspeeds": "array",
                    "playercurrentspeed": "float",
                    "showsettings": "boolean",
                    "showduration": "boolean",
                    "visibilityfraction": "float",
                    "showchaptertext": "boolean",
                    "title": "string",
                    "description": "string",
                    "uploaddate": "string",
                    "contenturl": "string",
                    "thumbnailurl": "string",
                    "videofitstrategy": "string",
                    "posterfitstrategy": "string",

                    "linear": "string",
                    "non-linear": "string"
                },

                extendables: ["states"],

                scopes: {
                    settingsmenu: ">[tagname='ba-common-settingsmenu']"
                },

                events: {
                    "change:uploaddate": function(value) {
                        if (typeof value === "number")
                            this.set("uploaddate", TimeFormat.format("yyyy-mm-dd", value * 1000));
                    },
                    "change:starttime": function(startTime) {
                        if (startTime > this.getCurrentPosition()) {
                            this.player.setPosition(startTime);
                        }
                    },
                    "change:endtime": function(endTime) {
                        if (!endTime || endTime === this.get("duration")) {
                            if (this.get("_timeUpdateEventHandler")) {
                                this.get("_timeUpdateEventHandler").clear();
                            }
                        } else {
                            if (endTime < this.getCurrentPosition()) {
                                this.player.setPosition(endTime);
                            }
                            if (!this.get("_timeUpdateEventHandler")) {
                                this.set("_timeUpdateEventHandler", this.auto_destroy(new DomEvents()));
                            }
                            if (!this.get("_timeUpdateEventHandler").__callbacks.timeupdate) {
                                this.get("_timeUpdateEventHandler").on(this.player._element, "timeupdate", function() {
                                    var position = this.getCurrentPosition();
                                    if (position >= this.get("endtime")) {
                                        this.player.trigger("ended");
                                        if (!this.get("loop")) {
                                            this.player.pause();
                                        }
                                    }
                                }, this);
                            }
                        }
                    },
                    "change:placeholderstyle": function(value) {
                        this.set("hasplaceholderstyle", value.length > 10);
                    }
                },

                computed: {
                    "aspectRatioFallback:aspectratio,fallback-width,fallback-height": function(aspectRatio, fallbackWidth, fallbackHeight) {
                        return {
                            paddingTop: 100 / (aspectRatio || (fallbackWidth / fallbackHeight)) + "%"
                        };
                    },
                    "containerSizingStyles:aspectratio,fallback-width,fallback-height,height,width": function(aspectRatio, fallbackWidth, fallbackHeight, height, width) {
                        var styles = {
                            aspectRatio: aspectRatio || fallbackWidth + "/" + fallbackHeight
                        };
                        if (height) styles.height = typeof height === "string" && height[height.length - 1] === "%" ? height : height + "px";
                        if (width) styles.width = typeof width === "string" && width[width.length - 1] === "%" ? width : width + "px";
                        if (this.activeElement()) {
                            this._applyStyles(this.activeElement(), styles, this.__lastContainerSizingStyles);
                        }
                        this.__lastContainerSizingStyles = styles;
                        return styles;
                    },
                    "buffering:buffered,position,last_position_change_delta,playing": function() {
                        return this.get("playing") && this.get("buffered") < this.get("position") && this.get("last_position_change_delta") > 1000;
                    }
                },

                remove_on_destroy: true,

                create: function() {
                    this._validateParameters();
                    // Will set volume initial state
                    this.set("initialoptions", Objs.tree_merge(this.get("initialoptions"), {
                        volumelevel: this.get("volume")
                    }));
                    if (this.get("fullscreenmandatory")) {
                        if (!(document.fullscreenEnabled || document.mozFullscreenEnabled ||
                                document.webkitFullscreenEnabled || document.msFullscreenEnabled)) {
                            this.set("skipinitial", true);
                            this.set("showbuiltincontroller", true);
                        }
                    }

                    if ((Info.isMobile() || Info.isChromiumBased()) && (this.get("autoplay") || this.get("playwhenvisible"))) {
                        this.set("volume", 0.0);
                        this.set("forciblymuted", true);

                        //if (!(Info.isiOS() && Info.iOSversion().major >= 10)) {
                        //this.set("autoplay", false);
                        //this.set("loop", false);
                        //}
                    }

                    if (this.get("theme")) this.set("theme", this.get("theme").toLowerCase());
                    if (this.get("theme") in Assets.playerthemes) {
                        Objs.iter(Assets.playerthemes[this.get("theme")], function(value, key) {
                            if (!this.isArgumentAttr(key))
                                this.set(key, value);
                        }, this);
                    }

                    if (!this.get("themecolor"))
                        this.set("themecolor", "default");

                    if (this.get("adprovider")) {
                        this._adProvider = this.get("adprovider");
                        if (Types.is_string(this._adProvider))
                            this._adProvider = AdProvider.registry[this._adProvider];

                        if (this._adProvider) {
                            var adInitOptions = {
                                videoElement: this.activeElement().querySelector("[data-video='video']"),
                                adElement: this.activeElement().querySelector("[data-video='ad']"),
                                dynamic: this
                            };

                            if (this.get("preroll")) {
                                // console.warn('Adsense ad provider is deprecated, please try to implement IMA ad provider with linear & non-linear options instead');
                                this._prerollAd = this._adProvider.newPrerollAd(adInitOptions);
                            }

                            if (this.get("adprovider") === 'ima' && (this.get("linear") || this.get("non-linear"))) {
                                var schedules = [];
                                // Split all via comma exclude inside brackets
                                if (this.get("linear")) {
                                    schedules = Objs.map(this.get("linear").split(/(?![^)(]*\([^)(]*?\)\)),(?![^\[]*\])/), function(item) {
                                        return item.trim();
                                    }, this);
                                }

                                if (this.get("non-linear")) {
                                    // TODO: add non-linear schedule as well
                                }

                                // On iOS and Android devices, video playback must begin in a user action.
                                // In mobile could be require wait user interaction before init container and loader
                                // Dom.userInteraction(function() {}, this);

                                if (schedules.length > 0) {
                                    this._adProvider.initAdsLoader(adInitOptions)
                                        .success(function(loader) {
                                            this._adsLoader = loader;
                                            this._adOptions = adInitOptions;
                                            Objs.iter(schedules, function(schedule) {
                                                switch (schedule.toLowerCase()) {
                                                    case this._adProvider.__IMA_PRE_ROLL:
                                                        // if already user not set preroll as an attribute
                                                        if (typeof this._prerollAd === "undefined") {
                                                            this._prerollAd = this._adProvider._newAdsRequester(this, this._adProvider.__IMA_PRE_ROLL, true);
                                                        }
                                                        break;
                                                    case this._adProvider.__IMA_POST_ROLL:
                                                        // Post roll will trigger as soon as video will be stopped
                                                        this.set("has-post-roll-ad", true);
                                                        break;
                                                        // Midroll could be just "mid", which will trigger on 50% of player time,
                                                        // or specify more details with second and percentage
                                                    default:
                                                        // if user set schedule with time settings
                                                        if (/^mid\[[\d\s]+(,[\d\s]+|[\d\s]+\%)*\]*$/i.test(schedule)) {
                                                            this.set("mid-linear-ad", []);
                                                            var _s = schedule.replace('mid[', '').replace(']', '');
                                                            Objs.map(_s.split(','), function(item) {
                                                                item = item.trim();
                                                                if (/^[\d\s]+\%$/.test(item)) {
                                                                    item = parseInt(item.replace('%', '').trim(), 10);
                                                                    if (item < 100 && item > 0) {
                                                                        this.get("mid-linear-ad").push({
                                                                            position: parseFloat((item / 100).toFixed(2))
                                                                        });
                                                                    }
                                                                } else {
                                                                    // user also can set 0 to 1 value, as percentage, more 1 means seconds
                                                                    this.get("mid-linear-ad").push({
                                                                        position: parseFloat(item)
                                                                    });
                                                                }
                                                            }, this);
                                                        } else {
                                                            if (/^mid$/.test(schedule)) {
                                                                this.get("mid-linear-ad").push({
                                                                    position: 0.5
                                                                });
                                                            }
                                                        }
                                                        break;
                                                }
                                            }, this);
                                        }, this)
                                        .error(function(err) {
                                            console.log("Error could not be able init adsense container. Err: ", err);
                                        }, this);
                                }
                            }
                        }
                    }
                    if (this.get("playlist")) {
                        var pl0 = (this.get("playlist"))[0];
                        this.set("poster", pl0.poster);
                        this.set("source", pl0.source);
                        this.set("sources", pl0.sources);
                    }
                    if (this.get("streams") && !this.get("currentstream"))
                        this.set("currentstream", (this.get("streams"))[0]);

                    // Set `hideoninactivity` initial options for further help actions
                    if (this.get("preventinteraction") && !this.get("hideoninactivity")) {
                        this.set("hideoninactivity", true);
                        this.set("initialoptions", Objs.tree_merge(this.get("initialoptions"), {
                            hideoninactivity: true
                        }));
                    } else {
                        // Set initial options for further help actions
                        this.set("initialoptions", Objs.tree_merge(this.get("initialoptions"), {
                            hideoninactivity: this.get("hideoninactivity")
                        }));
                    }

                    this.set("ie8", Info.isInternetExplorer() && Info.internetExplorerVersion() < 9);
                    this.set("firefox", Info.isFirefox());
                    this.set("mobileview", Info.isMobile());
                    // For Apple it's very important that their users always remain in control of the volume of the sounds their devices emit
                    this.set("hidevolumebar", (Info.isMobile() && Info.isiOS()));
                    this.set("duration", this.get("totalduration") || 0.0);
                    this.set("position", 0.0);
                    this.set("buffered", 0.0);
                    this.set("message", "");
                    this.set("fullscreensupport", false);
                    this.set("csssize", "normal");

                    this.set("loader_active", false);
                    this.set("playbutton_active", false);
                    this.set("controlbar_active", false);
                    this.set("message_active", false);
                    this.set("settingsmenu_active", false);

                    this.set("last_activity", Time.now());
                    this.set("activity_delta", 0);
                    this.set("passed_after_play", 0);

                    this.set("playing", false);

                    this.__attachRequested = false;
                    this.__activated = false;
                    this.__error = null;

                    if (document.onkeydown)
                        this.activeElement().onkeydown = this._keyDownActivity.bind(this, this.activeElement());

                    this.on("change:tracktags", function() {
                        if (typeof this.__video !== 'undefined')
                            this.__trackTags = new TrackTags({}, this);
                    }, this);

                    this.host = new Host({
                        stateRegistry: new ClassRegistry(this.cls.playerStates())
                    });
                    this.host.dynamic = this;
                    this.host.initialize(InitialState);

                    this._timer = new Timers.Timer({
                        context: this,
                        fire: this._timerFire,
                        delay: 100,
                        start: true
                    });

                    this.activeElement().style.setProperty("display", "inline-block");
                    this._applyStyles(this.activeElement(), this.get("containerSizingStyles"));

                    if (this.get("sticky")) {
                        var stickyOptions = {
                            paused: true
                        };
                        this.stickyHandler = this.auto_destroy(new StickyHandler(
                            this.activeElement().firstChild,
                            this.activeElement(),
                            stickyOptions
                        ));
                        this.stickyHandler.init();
                        this.set("fadeup", true);
                        this.stickyHandler.on("elementLeftView", function() {
                            this.set("sticktoview", true);
                        }, this);
                        this.stickyHandler.on("containerEnteredView", function() {
                            this.set("sticktoview", false);
                            if (this.get("fadeup") && this.stickyHandler.elementWasDragged()) this.set("fadeup", false);
                        }, this);
                    }
                },

                state: function() {
                    return this.host.state();
                },

                videoAttached: function() {
                    return !!this.player;
                },

                videoLoaded: function() {
                    return this.videoAttached() && this.player.loaded();
                },

                videoError: function() {
                    return this.__error;
                },

                /**
                 *
                 * @param {object} settingObject
                 */
                addSettingsMenuItem: function(settingObject) {
                    this.__settingsMenu.execute('add_new_settings_item', settingObject);
                },

                /**
                 *
                 * @param {string} id
                 * @param {object} updatedSettingObject
                 */
                updateSettingsMenuItem: function(id, updatedSettingObject) {
                    this.__settingsMenu.execute('update_new_settings_item', id, updatedSettingObject);
                },

                /**
                 *
                 * @param {string} id
                 */
                removeSettingsMenuItem: function(id) {
                    this.__settingsMenu.execute('remove_settings_item', id);
                },

                toggle_pip: function() {
                    if (this.player.isInPIPMode())
                        this.player.exitPIPMode();
                    else
                        this.player.enterPIPMode();
                },

                _error: function(error_type, error_code) {
                    this.__error = {
                        error_type: error_type,
                        error_code: error_code
                    };
                    this.trigger("error:" + error_type, error_code);
                    this.trigger("error", error_type, error_code);
                },

                _clearError: function() {
                    this.__error = null;
                },

                _detachImage: function() {
                    this.set("imageelement_active", false);
                },

                _attachImage: function() {
                    var isLocal = typeof this.get("poster") === 'object';
                    if (!this.get("poster")) {
                        this.trigger("error:poster");
                        return;
                    }
                    var img = this.activeElement().querySelector("[data-image='image']");
                    this._clearError();
                    var self = this;
                    img.onerror = function() {
                        self.trigger("error:poster");
                    };
                    img.onload = function() {
                        self.set("imageelement_active", true);
                        self.trigger("image-attached");
                    };
                    // If type of source of image is Blob object, convert it to URL
                    img.src = isLocal ? (window.URL || window.webkitURL).createObjectURL(this.get("poster")) : this.get("poster");
                },

                _detachVideo: function() {
                    this.set("playing", false);
                    if (this.player)
                        this.player.weakDestroy();
                    if (this._prerollAd)
                        this._prerollAd.weakDestroy();
                    if (this._adsRoll) {
                        this._adsRoll.weakDestroy();
                        this._adsRoll = null;
                    }
                    if (this._postrollAd) {
                        this._postrollAd.weakDestroy();
                        this._postrollAd = null;
                    }
                    this.player = null;
                    this.__video = null;
                    this.set("videoelement_active", false);
                },

                _validateParameters: function() {
                    var fitStrategies = ["crop", "pad", "original"];
                    if (!fitStrategies.includes(this.get("videofitstrategy"))) {
                        console.warn("Invalid value for videofitstrategy: " + this.get("videofitstrategy") + "\nPossible values are: " + fitStrategies.slice(0, -1).join(", ") + " or " + fitStrategies.slice(-1));
                    }
                    if (!fitStrategies.includes(this.get("posterfitstrategy"))) {
                        console.warn("Invalid value for posterfitstrategy: " + this.get("posterfitstrategy") + "\nPossible values are: " + fitStrategies.slice(0, -1).join(", ") + " or " + fitStrategies.slice(-1));
                    }

                    if (this.get("stretch") || this.get("stretchwidth") || this.get("stretchheight")) {
                        console.warn("Stretch parameters were deprecated, your player will stretch to the full container width by default.");
                    }

                    var deprecatedCSS = ["minheight", "minwidth", "minheight", "minwidth"];
                    deprecatedCSS.forEach(function(parameter) {
                        if (this.get(parameter)) console.warn(parameter + " parameter was deprecated, please use CSS instead.");
                    }.bind(this));
                },

                getCurrentPosition: function() {
                    if (this.videoAttached()) {
                        return this.player._element.currentTime;
                    } else {
                        return NaN;
                    }
                },

                _attachVideo: function(silent) {
                    if (this.videoAttached())
                        return;
                    if (!this.__activated) {
                        this.__attachRequested = true;
                        return;
                    }
                    this.__attachRequested = false;
                    this.set("videoelement_active", true);
                    var video = this.activeElement().querySelector("[data-video='video']");
                    this._clearError();
                    // Just in case be sure that player's controllers will be hidden
                    video.controls = this.get("showbuiltincontroller");
                    if (!this.get("allowpip"))
                        video.disablePictureInPicture = true;
                    VideoPlayerWrapper.create(Objs.extend(this._getSources(), {
                        element: video,
                        onlyaudio: this.get("onlyaudio"), // Will fix only audio local playback bug
                        preload: !!this.get("preload"),
                        loop: !!this.get("loop") || (this.get("lastplaylistitem") && this.get("loopall")),
                        reloadonplay: this.get('playlist') ? true : !!this.get("reloadonplay"),
                        fullscreenedElement: this.activeElement().childNodes[0],
                        loadmetadata: Info.isChrome() && this.get("skipinitial")
                    })).error(function(e) {
                        if (this.destroyed())
                            return;
                        this._error("attach", e);
                    }, this).success(function(instance) {
                        if (this.destroyed())
                            return;
                        this.player = instance;
                        this.__video = video;
                        this.set("silent_attach", silent || false);

                        if (this.get("chromecast")) {
                            if (!this.get("skipinitial")) this.set("skipinitial", true);
                            this._broadcasting = new Broadcasting({
                                player: instance,
                                commonOptions: {
                                    title: this.get("title"),
                                    poster: this.player._element.poster,
                                    currentPosition: this.get("position"),
                                    chromecastReceiverAppId: this.get("chromecastreceiverappid")
                                },
                                castOptions: {
                                    canControlVolume: true,
                                    canPause: !this.get("disablepause"),
                                    canSeek: !this.get("disableseeking"),
                                    displayName: this.get("title"),
                                    //displayStatus: "Please wait connecting",
                                    duration: this.get("duration"),
                                    imageUrl: this.player._element.poster,
                                    isConnected: this.player._broadcastingState.googleCastConnected,
                                    isMuted: false,
                                    isPaused: !this.get("playing")
                                },
                                airplayOptions: {}
                            });
                            if (Info.isChrome() && this.get("chromecast")) {
                                this._broadcasting.attachGoggleCast();
                                this.player.on("cast-state-changed", function(status, states) {
                                    // Other states: CONNECTED, CONNECTING, NOT_CONNECTED
                                    this.set("castbuttonvisble", status !== states.NO_DEVICES_AVAILABLE);
                                    this.set("chromecasting", status === states.CONNECTED);
                                }, this);
                                this.player.on("cast-loaded", function(castRemotePlayer, castRemotePlayerController) {
                                    this.set("broadcasting", true);
                                    // If player already start to play
                                    if (this.get("position") > 0) {
                                        this._broadcasting._seekToGoogleCast(this.get("position"));
                                        this._broadcasting._googleCastRemotePlay();
                                    }

                                    //If local player playing stop it before
                                    if (this.get('playing')) this.pause();

                                    // Initial play button state
                                    this.player.on("cast-paused", function(castPaused) {
                                        this.set("playing", !castPaused);
                                    }, this);
                                }, this);

                                this.player.on("cast-playpause", function(castPaused) {
                                    this.set("playing", !castPaused);
                                }, this);

                                this.player.on("cast-time-changed", function(currentTime, totalMediaDuration) {
                                    if (!Types.is_defined(currentTime) || currentTime === 0)
                                        return;
                                    if (totalMediaDuration) {
                                        this.set("cahched", totalMediaDuration);
                                        this.set("duration", totalMediaDuration || 0.0);
                                    }
                                    this.set("position", currentTime);
                                    this.set("videoelement_active", false);
                                    this.set("imageelement_active", true);
                                }, this);

                                this.player.on("proceed-when-ending-googlecast", function(position, isPaused) {
                                    this.set("broadcasting", false);
                                    this.set("videoelement_active", true);
                                    this.set("imageelement_active", false);
                                    this.player._broadcastingState.googleCastConnected = false;
                                    this.set("playing", false);
                                    this.trigger("seek", position);
                                    this.player.setPosition(position);
                                }, this);
                            }
                            if (Info.isSafari() && Info.safariVersion() >= 9 && window.WebKitPlaybackTargetAvailabilityEvent && this.get("airplay")) {
                                this.set("airplaybuttonvisible", true);
                                this._broadcasting.attachAirplayEvent.call(this, video);
                            }
                        }

                        if (this.get("playwhenvisible")) {
                            this.set("skipinitial", true);
                            this._playWhenVisible(video);
                        }
                        this.player.on("fullscreen-change", function(inFullscreen) {
                            this.set("fullscreened", inFullscreen);
                            if (!inFullscreen && (this.get('hideoninactivity') !== this.get("initialoptions").hideoninactivity)) {
                                this.set("hideoninactivity", this.get("initialoptions").hideoninactivity);
                            }
                        }, this);
                        // If browser is Chrome, and we have manually forcibly muted player
                        if (Info.isChromiumBased() && this.get("forciblymuted")) {
                            video.isMuted = true;
                            Dom.userInteraction(function() {
                                this.set_volume(this.get("initialoptions").volumelevel);
                                if (this.get("volume") > 0.00)
                                    video.isMuted = false;
                                this.set("forciblymuted", false);
                            }, this);
                        }
                        this.player.on("postererror", function() {
                            this._error("poster");
                        }, this);
                        this.player.on("playing", function() {
                            this.set("playing", true);
                            this.trigger("playing");
                            if (this.get("playedonce") === false) {
                                this.set("playbackcount", 1);
                            } else {
                                this.set("playbackcount", this.get("playbackended") + 1);
                            }
                        }, this);
                        this.player.on("error", function(e) {
                            this._error("video", e);
                        }, this);
                        if (this.player.error())
                            this.player.trigger("error", this.player.error());
                        this.player.on("paused", function() {
                            this.set("playing", false);
                            this.trigger("paused");
                        }, this);
                        this.player.on("ended", function() {
                            this.set("playing", false);
                            this.set('playedonce', true);
                            this.set("playbackended", this.get('playbackended') + 1);
                            this.set("settingsmenu_active", false);
                            if (this.get("starttime")) {
                                this.player.setPosition(this.get("starttime") || 0);
                            }
                            this.trigger("ended");
                        }, this);
                        if (this.player._qualityOptions) {
                            this.addSettingsMenuItem({
                                id: "sourcequality",
                                label: "source-quality",
                                showicon: true,
                                visible: true, // TODO add parameter for setting source quality settings visibility
                                value: this.player._currentQuality.label,
                                options: this.player._qualityOptions.map(function(option) {
                                    return option.label;
                                }),
                                func: function(_, label) {
                                    this.player.trigger("setsourcequality", this.player._qualityOptions.find(function(option) {
                                        return option.label === label;
                                    }).id);
                                }
                            });
                            this.player.on("qualityswitched", function(currentQuality) {
                                this.updateSettingsMenuItem("sourcequality", {
                                    value: currentQuality.label
                                });
                            }.bind(this));
                        }
                        this.trigger("attached", instance);
                        this.player.once("loaded", function() {
                            var volume = Math.min(1.0, this.get("volume"));
                            this.player.setVolume(volume);
                            this.player.setMuted(volume <= 0.0);
                            if (!this.__trackTags && this.get("tracktags").length)
                                this.__trackTags = new TrackTags({}, this);
                            if (this.get("totalduration") || this.player.duration() < Infinity)
                                this.set("duration", this.get("totalduration") || this.player.duration());
                            this.set("fullscreensupport", this.player.supportsFullscreen(this.activeElement().childNodes[0]));
                            // As duration is credential we're waiting to get duration info
                            this.on("chaptercuesloaded", function(chapters, length) {
                                this.set("chapterslist", chapters);
                            }, this);
                            if (this.get("initialseek"))
                                this.player.setPosition(this.get("initialseek"));
                            if (this.get("allowpip")) {
                                this.addSettingsMenuItem({
                                    id: 'pip',
                                    label: 'Picture-in-Picture',
                                    showicon: true,
                                    visible: this.player.supportsPIP(),
                                    func: function(settings) {
                                        this.player.on("pip-mode-change", function(ev, inPIPMode) {
                                            this.set("inpipmode", inPIPMode);
                                            this.updateSettingsMenuItem('pip', {
                                                value: inPIPMode
                                            });
                                        }, this);
                                        return !!this.toggle_pip();
                                    }
                                });
                            }
                        }, this);
                        if (this.player.loaded())
                            this.player.trigger("loaded");
                    }, this);
                },

                _getSources: function() {
                    var filter = this.get("currentstream") ? this.get("currentstream").filter : this.get("sourcefilter");
                    var poster = this.get("poster");
                    var source = this.get("source");
                    var sources = filter ? Objs.filter(this.get("sources"), function(source) {
                        return Objs.subset_of(filter, source);
                    }, this) : this.get("sources");
                    Objs.iter(sources, function(s) {
                        if (s.poster)
                            poster = s.poster;
                    });
                    return {
                        poster: poster,
                        source: source,
                        sources: sources
                    };
                },

                _afterActivate: function(element) {
                    inherited._afterActivate.call(this, element);
                    this.__activated = true;

                    this.__settingsMenu = this.scopes.settingsmenu;
                    if (this.__settingsMenu.get('settings'))
                        this.set("hassettings", true);

                    if (this.__attachRequested)
                        this._attachVideo();

                    this.activeElement().classList.add(this.get("csscommon") + "-full-width");
                    this.activeElement().classList.add(this.get("csscommon") + "-max-height-100vh");
                    var img = this.activeElement().querySelector('img[data-image="image"]');
                    var imgEventHandler = this.auto_destroy(new DomEvents());
                    imgEventHandler.on(img, "load", function() {
                        this.set("fallback-width", img.naturalWidth);
                        this.set("fallback-height", img.naturalHeight);
                        imgEventHandler.destroy();
                    }, this);
                },

                _playWhenVisible: function(video) {
                    var _self = this;

                    if (Dom.isElementVisible(video, this.get("visibilityfraction"))) {
                        this.player.play();
                    }

                    this._visiblityScrollEvent = this.auto_destroy(new DomEvents());
                    this._visiblityScrollEvent.on(document, "scroll", function() {
                        if (!_self.get('playedonce') && !_self.get("manuallypaused")) {
                            if (Dom.isElementVisible(video, _self.get("visibilityfraction"))) {
                                _self.player.play();
                            } else if (_self.get("playing")) {
                                _self.player.pause();
                            }
                        } else if (_self.get("playing") && !Dom.isElementVisible(video, _self.get("visibilityfraction"))) {
                            _self.player.pause();
                        }
                    });
                },

                toggleFullscreen: function() {
                    this.call("toggle_fullscreen");
                },

                getPlaybackCount: function() {
                    return this.get("playbackcount");
                },

                /* In the future if require to use promise player, Supports >Chrome50, >FireFox53
                _playWithPromise: function(dyn) {
                    var _player, _promise, _autoplayAllowed;
                    _player = dyn.player;
                    _autoplayAllowed = true;
                    if (_player._element)
                        _promise = _player._element.play();
                    else
                        _player.play();

                    if (_promise !== 'undefined' && !Info.isInternetExplorer()) {
                        _promise["catch"](function(err) {
                            // here can add some interaction like inform user to change settings in chrome://flags disable-gesture-requirement-for-media-playback
                            if (err.name === 'NotAllowedError')
                                _autoplayAllowed = false;
                            // Will try to run play anyway
                            _player.play();
                        });
                        _promise.then(function() {
                            if(_autoplayAllowed) {
                                // Inform user with UI that device is not allowed to play without interaction
                            }
                        });
                    } else if (!dyn.get("playing")) {
                        _player.play();
                    }
                }, */

                reattachVideo: function() {
                    this.set("reloadonplay", true);
                    this._detachVideo();
                    this._attachVideo();
                },

                reattachImage: function() {
                    this._detachImage();
                    this._attachImage();
                },

                /**
                 * Click CC buttons will trigger
                 */
                toggleTrackTags: function() {
                    if (!this.__trackTags) return;
                    this.set("tracktextvisible", !this.get("tracktextvisible"));
                    var status = this.get("tracktextvisible");
                    var _lang = this.get("tracktaglang"),
                        _customStyled = this.get("tracktagsstyled"),
                        _status = status ? 'showing' : 'disabled';
                    _status = (status && _customStyled) ? 'hidden' : _status;
                    if (!status && this.get("tracktagsstyled")) this.set("trackcuetext", null);

                    Objs.iter(this.__video.textTracks, function(track, index) {
                        if (typeof this.__video.textTracks[index] === 'object' && this.__video.textTracks[index]) {
                            var _track = this.__video.textTracks[index];
                            // If set custom style to true show cue text in our element
                            if (_track.kind !== 'metadata') {
                                if (_track.language === _lang) {
                                    _track.mode = _status;
                                    this.set("tracktextvisible", status);
                                    this.__trackTags._triggerTrackChange(this.__video, _track, _status, _lang);
                                }
                            }
                        }
                    }, this);
                },

                _keyDownActivity: function(element, ev) {
                    if (this.get("preventinteractionstatus")) return;
                    var _keyCode = ev.which || ev.keyCode;
                    // Prevent whitespace browser center scroll and arrow buttons behaviours
                    if (_keyCode === 32 || _keyCode === 37 || _keyCode === 38 || _keyCode === 39 || _keyCode === 40) ev.preventDefault();

                    if (_keyCode === 32 || _keyCode === 13 || _keyCode === 9) {
                        this._resetActivity();
                        if (this.get("fullscreened") && this.get("hideoninactivity")) this.set("hideoninactivity", false);
                    }

                    if (_keyCode === 9 && ev.shiftKey) {
                        this._resetActivity();
                        this._findNextTabStop(element, ev, function(target, index) {
                            target.focus();
                        }, -1);
                    } else if (_keyCode === 9) {
                        this._resetActivity();
                        this._findNextTabStop(element, ev, function(target, index) {
                            target.focus();
                        });
                    }
                },

                _findNextTabStop: function(parentElement, ev, callback, direction) {
                    var _currentIndex, _direction, _tabIndexes, _tabIndexesArray, _maxIndex, _minIndex, _looked, _tabIndex, _delta, _element, _videoPlayersCount;
                    _maxIndex = _minIndex = 0;
                    _direction = direction || 1;
                    _element = ev.target;
                    _currentIndex = _element.tabIndex;
                    _tabIndexes = parentElement.querySelectorAll('[tabindex]');
                    _tabIndexesArray = Array.prototype.slice.call(_tabIndexes, 0);
                    _tabIndexes = _tabIndexesArray
                        .filter(function(element) {
                            if ((element.clientWidth > 0 || element.clientHeight > 0) && (element.tabIndex !== -1)) {
                                if (_maxIndex <= element.tabIndex) _maxIndex = element.tabIndex;
                                if (_minIndex >= element.tabIndex) _minIndex = element.tabIndex;
                                return true;
                            } else return false;
                        });

                    if ((_direction === 1 && _currentIndex === _maxIndex) || (direction === -1 && _currentIndex === _minIndex) || _maxIndex === 0) {
                        _videoPlayersCount = document.querySelectorAll('ba-videoplayer').length;
                        if (_videoPlayersCount > 1) {
                            if (this.get("playing")) this.player.pause();
                            parentElement.tabIndex = -1;
                            parentElement.blur();
                        }
                        return;
                    }

                    for (var i = 0; i < _tabIndexes.length; i++) {
                        if (!_tabIndexes[i])
                            continue;
                        _tabIndex = _tabIndexes[i].tabIndex;
                        _delta = _tabIndex - _currentIndex;
                        if (_tabIndex < _minIndex || _tabIndex > _maxIndex || Math.sign(_delta) !== _direction)
                            continue;

                        if (!_looked || Math.abs(_delta) < Math.abs(_looked.tabIndex - _currentIndex))
                            _looked = _tabIndexes[i];
                    }

                    if (_looked) {
                        ev.preventDefault();
                        callback(_looked, _looked.tabIndex);
                    }
                },

                // Couldn't use for uglification issue `Unexpected token: punc (()`
                // _preventInteraction() {
                //      if(this.get('preventinteraction') && (this.get('hidebarafter') < (Time.now() - this.get("last_activity"))) && this.get('playing'));
                // },

                _resetActivity: function() {
                    if (!this.get('preventinteractionstatus')) {
                        this.set("last_activity", Time.now());
                    }
                    this.set("activity_delta", 0);
                },

                object_functions: ["play", "rerecord", "pause", "stop", "seek", "set_volume", "set_speed", "toggle_tracks"],

                functions: {

                    user_activity: function(strong) {
                        if (strong && !this.get("volumeafterinteraction")) {
                            // User interacted with player, and set player's volume level/un-mute
                            // So we will play voice as soon as player visible for user
                            this.set_volume(this.get("initialoptions").volumelevel);
                            this.set("volumeafterinteraction", true);
                            if (this.get("forciblymuted")) this.set("forciblymuted", false);
                        }
                        if (this.get('preventinteractionstatus')) return;
                        this._resetActivity();
                    },

                    message_click: function() {
                        this.trigger("message:click");
                    },

                    playbutton_click: function() {
                        this.host.state().play();
                    },

                    play: function() {
                        if (this._delegatedPlayer) {
                            this._delegatedPlayer.execute("play");
                            return;
                        }
                        if (this.player && this.get("broadcasting")) {
                            this._broadcasting.player.trigger("play-google-cast");
                            return;
                        }
                        this.host.state().play();
                        this.set("manuallypaused", false);
                    },

                    rerecord: function() {
                        if (this._delegatedPlayer) {
                            this._delegatedPlayer.execute("rerecord");
                            return;
                        }
                        if (!this.get("rerecordable"))
                            return;
                        this.trigger("rerecord");
                    },

                    submit: function() {
                        if (this._delegatedPlayer) {
                            this._delegatedPlayer.execute("submit");
                            return;
                        }
                        if (!this.get("submittable"))
                            return;
                        this.trigger("submit");
                        this.set("submittable", false);
                        this.set("rerecordable", false);
                    },

                    pause: function() {
                        if (this.get("preventinteractionstatus")) return;
                        if (this._delegatedPlayer) {
                            this._delegatedPlayer.execute("pause");
                            return;
                        }

                        if (this.get('disablepause')) return;

                        if (this.get("playing")) {
                            if (this.player && this.get("broadcasting")) {
                                this._broadcasting.player.trigger("pause-google-cast");
                                return;
                            }
                            this.player.pause();
                        }

                        this.set("manuallypaused", true);
                    },

                    stop: function() {
                        if (this.get("preventinteractionstatus")) return;
                        if (this._delegatedPlayer) {
                            this._delegatedPlayer.execute("stop");
                            return;
                        }
                        if (!this.videoLoaded())
                            return;
                        if (this.get("playing"))
                            this.player.pause();
                        this.player.setPosition(0);
                        this.trigger("stopped");
                    },

                    seek: function(position) {
                        if (this.get("preventinteractionstatus")) return;
                        if (this._delegatedPlayer) {
                            this._delegatedPlayer.execute("seek", position);
                            return;
                        }
                        if (this.get('disableseeking')) return;
                        if (this.videoLoaded()) {
                            if (position > this.player.duration())
                                this.player.setPosition(this.player.duration() - this.get("skipseconds"));
                            else if (this.get("starttime") && position < this.get("starttime")) {
                                this.player.setPosition(this.get("starttime"));
                            } else {
                                this.player.setPosition(position);
                                this.trigger("seek", position);
                            }
                        }
                        // In midroll ads we need recheck next ad position
                        if (this._adsCollection) {
                            if (this._adsCollection.count() > 0) {
                                this._adsCollection.iterate(function(curr) {
                                    if (curr.get("position") < position)
                                        this._nextRollPosition = null;
                                }, this);
                            }
                        }
                    },

                    set_speed: function(speed) {
                        this.player.setSpeed(speed);
                    },

                    set_volume: function(volume) {
                        if (this.get("preventinteractionstatus")) return;
                        if (this._delegatedPlayer) {
                            this._delegatedPlayer.execute("set_volume", volume);
                            return;
                        }
                        volume = Math.min(1.0, volume);

                        if (this.player && this.player._broadcastingState && this.player._broadcastingState.googleCastConnected) {
                            this._broadcasting.player.trigger("change-google-cast-volume", volume);
                        }

                        this.set("volume", volume);
                        if (this.videoLoaded()) {
                            this.player.setVolume(volume);
                            this.player.setMuted(volume <= 0);
                        }
                    },

                    toggle_settings_menu: function() {
                        this.set("settingsmenu_active", !this.get("settingsmenu_active"));
                    },

                    toggle_fullscreen: function() {
                        if (this.get("preventinteractionstatus")) return;
                        if (this._delegatedPlayer) {
                            this._delegatedPlayer.execute("toggle_fullscreen");
                            return;
                        }
                        if (!this.player) return;
                        if (this.get("fullscreened")) {
                            this.player.exitFullscreen();
                        } else {
                            if (Info.isSafari())
                                this.player.enterFullscreen(this.activeElement().querySelector('video'));
                            else
                                this.player.enterFullscreen(this.activeElement().childNodes[0]);
                        }
                        this.set("fullscreened", !this.get("fullscreened"));
                    },

                    toggle_player: function() {
                        if (this.get("sticky") && this.stickyHandler.isDragging()) {
                            this.stickyHandler.stopDragging();
                            return;
                        }
                        if (this.get("playing") && this.get("preventinteractionstatus")) return;
                        if (this._delegatedPlayer) {
                            this._delegatedPlayer.execute("toggle_player");
                            return;
                        }
                        if (this.get("playing") && this.get("pauseonclick")) {
                            this.pause();
                        } else if (!this.get("playing") && this.get("playonclick")) {
                            this.play();
                        }
                    },

                    tab_index_move: function(ev, nextSelector, focusingSelector) {
                        if (this.get("preventinteractionstatus")) return;
                        var _targetElement, _activeElement, _selector, _keyCode;
                        _keyCode = ev.which || ev.keyCode;
                        _activeElement = this.activeElement();
                        if (_keyCode === 13 || _keyCode === 32) {
                            if (focusingSelector) {
                                _selector = "[data-selector='" + focusingSelector + "']";
                                _targetElement = _activeElement.querySelector(_selector);
                                if (_targetElement)
                                    Async.eventually(function() {
                                        this.trigger("keyboardusecase", _activeElement);
                                        _targetElement.focus({
                                            preventScroll: false
                                        });
                                    }, this, 100);
                            } else {
                                _selector = '[data-video="video"]';
                                _targetElement = _activeElement.querySelector(_selector);
                                Async.eventually(function() {
                                    this.trigger("keyboardusecase", _activeElement);
                                    _targetElement.focus({
                                        preventScroll: true
                                    });
                                }, this, 100);
                            }
                        } else if (_keyCode === 9 && nextSelector) {
                            _selector = "[data-selector='" + nextSelector + "']";
                            _targetElement = _activeElement.querySelector(_selector);
                            if (_targetElement)
                                Async.eventually(function() {
                                    this.trigger("keyboardusecase", _activeElement);
                                    _targetElement.focus({
                                        preventScroll: false
                                    });
                                }, this, 100);
                        }
                    },

                    upload_text_tracks: function(file, locale) {
                        return this.host.state().uploadTextTrack(file, locale);
                    },

                    move_to_option: function(currentElement, nextSelector) {
                        var _classPrefix, _hiddenOptionsSelector, _visibleOptionsSelector, _moveToSelector,
                            _targetElement, _currentElementParent, _topParent;
                        nextSelector = nextSelector || 'initial-options-list'; // If next element is empty return to main options
                        _classPrefix = this.get('csscommon') + "-";
                        _moveToSelector = "." + _classPrefix + nextSelector;
                        _hiddenOptionsSelector = _classPrefix + 'options-list-hidden';
                        _visibleOptionsSelector = _classPrefix + 'options-list-visible';
                        _targetElement = this.activeElement().querySelector(_moveToSelector);
                        _topParent = this.activeElement().querySelector(_classPrefix + 'text-tracks-overlay');

                        // Look if target element is hidden
                        if (Dom.elementHasClass(_targetElement, _hiddenOptionsSelector)) {
                            // Search for visible closest parent element
                            _currentElementParent = Dom.elementFindClosestParent(currentElement, _visibleOptionsSelector, _classPrefix + 'text-tracks-overlay');
                            // We should have parent element with visible class
                            if (Dom.elementHasClass(_currentElementParent, _visibleOptionsSelector)) {
                                Dom.elementReplaceClasses(_targetElement, _hiddenOptionsSelector, _visibleOptionsSelector);
                                Dom.elementReplaceClasses(_currentElementParent, _visibleOptionsSelector, _hiddenOptionsSelector);
                            }
                            if (_topParent)
                                _topParent.focus({
                                    preventScroll: true
                                });
                            else
                                _currentElementParent.focus({
                                    preventScroll: true
                                });
                        }
                    },

                    toggle_interaction_option: function(turn_switch) {
                        if (typeof turn_switch === 'boolean') {
                            this.set("preventinteractionstatus", turn_switch);
                        } else {
                            this.set("preventinteractionstatus", !this.get("preventinteractionstatus"));
                        }
                    },

                    toggle_tracks: function() {
                        this.toggleTrackTags(!this.get('tracktextvisible'));
                    }
                },

                destroy: function() {
                    this._timer.destroy();
                    this.host.destroy();
                    this._detachVideo();
                    inherited.destroy.call(this);
                },

                _timerFire: function() {
                    if (this.destroyed())
                        return;
                    try {
                        if (this.videoLoaded()) {
                            var _now = Time.now();
                            this.set("activity_delta", _now - this.get("last_activity"));
                            var new_position = this.player.position();
                            if (new_position !== this.get("position") || this.get("last_position_change"))
                                this.set("last_position_change", _now);
                            // In case if prevent interaction with controller set to true
                            if (this.get('preventinteraction')) {
                                // set timer since player started to play
                                if (this.get("passed_after_play") < 0.001) {
                                    this.set("passed_after_play", _now);
                                } else {
                                    var _passed = _now - this.get("passed_after_play");
                                    if (_passed > _now - 1000) {
                                        this.set("passed_after_play", _passed);
                                    }
                                    if ((this.get('hidebarafter') < _passed) && this.get('playing') && !this.get("preventinteractionstatus")) {
                                        this.set('preventinteractionstatus', true);
                                    }
                                }
                            }
                            if (!this.get("broadcasting")) {
                                this.set("last_position_change_delta", _now - this.get("last_position_change"));
                                this.set("position", new_position);
                                this.set("buffered", this.player.buffered());
                                var pld = this.player.duration();
                                if (0.0 < pld && pld < Infinity)
                                    this.set("duration", this.player.duration());
                                else
                                    this.set("duration", this.get("totalduration") || new_position);
                            }
                            this.set("fullscreened", this.player.isFullscreen(this.activeElement().childNodes[0]));
                            // If settings pop-up is open hide it together with control-bar if hideOnInactivity is true
                            if (this.get('hideoninactivity') && (this.get('activity_delta') > this.get('hidebarafter'))) {
                                this.set("settingsmenu_active", false);
                            }
                            if (this._adsLoader && this._adProvider) {
                                this.__controlAdRolls();
                            }
                        }
                    } catch (e) {}
                    try {
                        this._updateCSSSize();
                    } catch (e) {}
                },

                _updateCSSSize: function() {
                    var width = Dom.elementDimensions(this.activeElement()).width;
                    this.set("csssize", width > 400 ? "normal" : (width > 320 ? "medium" : "small"));
                    this.set("mobileview", width < 560);
                },

                videoHeight: function() {
                    if (this.videoAttached())
                        return this.player.videoHeight();
                    var img = this.activeElement().querySelector("img");
                    if (img && img.height) {
                        var clientHeight = (window.innerHeight || document.body.clientHeight);
                        if (img.height > clientHeight)
                            return clientHeight;
                        return img.height;
                    }
                    return NaN;
                },

                videoWidth: function() {
                    if (this.videoAttached())
                        return this.player.videoWidth();
                    var img = this.activeElement().querySelector("img");
                    if (img && img.width) {
                        var clientWidth = (window.innerWidth || document.body.clientWidth);
                        if (img.width > clientWidth)
                            return clientWidth;
                        return img.width;
                    }
                    return NaN;
                },

                aspectRatio: function() {
                    // Don't use shortcut way of getting aspect ratio, will act as not expected.
                    var height = this.videoHeight();
                    var width = this.videoWidth();

                    return width / height;
                },

                isPortrait: function() {
                    return this.aspectRatio() < 1.00;
                },

                isLandscape: function() {
                    return !this.isPortrait();
                },

                parentWidth: function() {
                    return Dom.elementDimensions(this.activeElement().parentElement).width;
                },

                parentHeight: function() {
                    return Dom.elementDimensions(this.activeElement().parentElement).height;
                },

                parentAspectRatio: function() {
                    return this.parentWidth() / this.parentHeight();
                },

                cloneAttrs: function() {
                    return Objs.map(this.attrs, function(value, key) {
                        return this.get(key);
                    }, this);
                },

                isHD: function() {
                    if (this.videoAttached()) {
                        return (this.videoWidth() * this.videoHeight()) >= 1280 * 720;
                    } else {
                        var video_data;
                        if (this.get("stream") == null || this.get("stream") === "") {
                            video_data = this.get("video_data").default_stream;
                        } else {
                            for (var i = 0; i < this.get("video_data").streams.length; i++) {
                                if (this.get("video_data").streams[i].token === this.get("stream")) {
                                    return (this.get("video_data").streams[i].video_width * this.get("video_data").streams[i].video_height) >= 1280 * 720;
                                }
                            }
                        }
                        if (video_data) {
                            return (video_data.video_width * video_data.video_height) >= 1280 * 720;
                        } else {
                            return undefined;
                        }
                    }
                },

                isSD: function() {
                    return !this.isHD();
                },

                isMobile: function() {
                    return Info.isMobile();
                },

                popupAttrs: function() {
                    return {
                        autoplay: true,
                        popup: false,
                        width: this.get("popup-width"),
                        height: this.get("popup-height")
                    };
                },

                /**
                 * Prepare for postoll and mid roll ad managers
                 * @private
                 */
                __controlAdRolls: function() {

                    // If we have midrolls, then prepare mid Rolls
                    if (this.get("mid-linear-ad").length > 0 && this.get("duration") > 0.0 && !this._adsCollection) {
                        this._adsCollection = this.auto_destroy(new Collection()); // our adsCollections
                        this._nextRollPosition = this.get("duration"); // Maximum available position
                        var _current = null;
                        var _nextPositionIndex = null;
                        Objs.iter(this.get("mid-linear-ad"), function(roll, index) {
                            if (roll.position && roll.position > 0) {
                                // First ad position, if less than 1 it means it's persentage not second
                                var _position = roll.position < 1 ?
                                    Math.floor(this.get("duration") * roll.position) : roll.position;
                                // We should choose minimum position when ad will be launched
                                if (_position < this._nextRollPosition) {
                                    var _existingPosition = this._adsCollection.getByIndex(_nextPositionIndex);
                                    this._nextRollPosition = _position;
                                    // In case user set wrong sorted data
                                    if (_existingPosition) {
                                        _position = _existingPosition.get("position");
                                    }
                                }
                                // If user will not set and we will not get the same ad position, avoids dublication,
                                // prevent very close ads and also wrong set position which exceeds the duration
                                if (Math.abs(_position - _current) > 5 && _position < this.get("duration")) {
                                    _current = _position;
                                    _nextPositionIndex = index;
                                    this._adsCollection.add({
                                        position: _position
                                    });
                                }
                            }
                        }, this);
                    }

                    if (this._adsCollection && !this._nextRollPosition) {
                        this._nextRollPosition = null; // Set as null if it's undefined, to be able compare
                        if (this._adsCollection.count() > 0) {
                            this._adsCollection.iterate(function(curr) {
                                if (this.get("position") >= curr.get("position")) {
                                    // We need max close position to play, if user seeked the video
                                    if (this._nextRollPosition < curr.get("position")) {
                                        this._nextRollPosition = curr.get("position");
                                    }
                                    // Remove all passed positions
                                    this._adsCollection.remove(curr);
                                }
                            }, this);
                        }
                    }

                    if (this._nextRollPosition && !this._adsRoll) {
                        if (this._nextRollPosition <= this.get("position")) {
                            this._adsRoll = this._adProvider._newAdsRequester(this, this._adProvider.__IMA_MID_ROLL, true);
                            this._adsRoll.executeAd({
                                width: this.parentWidth(),
                                height: this.parentHeight()
                            });
                            this._adsRoll.once("adfinished", function() {
                                this._nextRollPosition = null;
                                this._adsRoll.weakDestroy();
                                this._adsRoll = null;
                                if (!this.get("playing")) this.player.play();
                            }, this);
                            this._adsRoll.on("ad-error", function(message) {
                                console.error('Error during loading an ad. Details:"' + message + '".');
                                this._nextRollPosition = null;
                                this._adsRoll = null;
                                if (!this.get("playing")) this.player.play();
                            }, this);

                            // To remove first roll position
                            if (this._adsCollection.count() > 0) {
                                this._adsCollection.iterate(function(curr) {
                                    if (curr.get("position") < this._nextRollPosition) {
                                        this._adsCollection.remove(curr);
                                    }
                                }, this);
                            }
                        }
                    }

                    // Set postroll ads
                    if (this.get("has-post-roll-ad") && !this._postrollAd) {
                        // when time is less than 10 seconds
                        if ((this.get("duration") - this.get("position")) <= 10) {
                            this._postrollAd = this._adProvider._newAdsRequester(this, this._adProvider.__IMA_POST_ROLL, false);
                            this._postrollAd.on("ad-error", function(message) {
                                console.error('Error during loading an ad. Details:"' + message + '".');
                                this._postrollAd = null;
                                this.set("has-post-roll-ad", false);
                            }, this);
                        }
                    }
                }
            };
        }], {

            playerStates: function() {
                return [PlayerStates];
            }

        }).register("ba-videoplayer")
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "cssplayer": function (obj) { return obj.cssplayer; }, "csssize": function (obj) { return obj.csssize; }, "iecss": function (obj) { return obj.iecss; }, "ie8 ? 'ie8' : 'noie8'": function (obj) { return obj.ie8 ? 'ie8' : 'noie8'; }, "csstheme": function (obj) { return obj.csstheme; }, "fullscreened ? 'fullscreen' : 'normal'": function (obj) { return obj.fullscreened ? 'fullscreen' : 'normal'; }, "firefox ? 'firefox' : 'common'": function (obj) { return obj.firefox ? 'firefox' : 'common'; }, "themecolor": function (obj) { return obj.themecolor; }, "mobileview ? 'mobile' : 'desktop'": function (obj) { return obj.mobileview ? 'mobile' : 'desktop'; }, "sticktoview ? csscommon + '-sticky' : ''": function (obj) { return obj.sticktoview ? obj.csscommon + '-sticky' : ''; }, "sticktoview && fadeup ? csscommon + '-fade-up' : ''": function (obj) { return obj.sticktoview && obj.fadeup ? obj.csscommon + '-fade-up' : ''; }, "csscommon": function (obj) { return obj.csscommon; }, "user_activity()": function (obj) { return obj.user_activity(); }, "user_activity(true)": function (obj) { return obj.user_activity(true); }, "containerSizingStyles": function (obj) { return obj.containerSizingStyles; }, "title || 'Video Player'": function (obj) { return obj.title || 'Video Player'; }, "description || 'Video Player'": function (obj) { return obj.description || 'Video Player'; }, "uploaddate": function (obj) { return obj.uploaddate; }, "(videoelement_active || !imageelement_active) && !silent_attach": function (obj) { return (obj.videoelement_active || !obj.imageelement_active) && !obj.silent_attach; }, "videofitstrategy": function (obj) { return obj.videofitstrategy; }, "preload ? 'auto' : 'metadata'": function (obj) { return obj.preload ? 'auto' : 'metadata'; }, "!playfullscreenonmobile": function (obj) { return !obj.playfullscreenonmobile; }, "(imageelement_active && !videoelement_active) || silent_attach": function (obj) { return (obj.imageelement_active && !obj.videoelement_active) || obj.silent_attach; }, "posteralt": function (obj) { return obj.posteralt; }, "posterfitstrategy": function (obj) { return obj.posterfitstrategy; }, "hasplaceholderstyle ? (css + '-overlay-with-placeholder') : ''": function (obj) { return obj.hasplaceholderstyle ? (obj.css + '-overlay-with-placeholder') : ''; }, "!showbuiltincontroller": function (obj) { return !obj.showbuiltincontroller; }, "placeholderstyle": function (obj) { return obj.placeholderstyle; }, "seek(position + skipseconds)": function (obj) { return obj.seek(obj.position + obj.skipseconds); }, "seek(position - skipseconds)": function (obj) { return obj.seek(obj.position - obj.skipseconds); }, "seek(position + skipseconds * 3)": function (obj) { return obj.seek(obj.position + obj.skipseconds * 3); }, "seek(position - skipseconds * 3)": function (obj) { return obj.seek(obj.position - obj.skipseconds * 3); }, "set_volume(volume + 0.1)": function (obj) { return obj.set_volume(obj.volume + 0.1); }, "set_volume(volume - 0.1)": function (obj) { return obj.set_volume(obj.volume - 0.1); }, "toggle_player()": function (obj) { return obj.toggle_player(); }, "dyntrimmer": function (obj) { return obj.dyntrimmer; }, "trimmingmode && videoelement_active": function (obj) { return obj.trimmingmode && obj.videoelement_active; }, "playing": function (obj) { return obj.playing; }, "starttime": function (obj) { return obj.starttime; }, "position": function (obj) { return obj.position; }, "endtime": function (obj) { return obj.endtime; }, "timeminlimit": function (obj) { return obj.timeminlimit; }, "duration": function (obj) { return obj.duration; }, "source": function (obj) { return obj.source; }, "dyncontrolbar": function (obj) { return obj.dyncontrolbar; }, "csscontrolbar || css": function (obj) { return obj.csscontrolbar || obj.css; }, "cssplayer || css": function (obj) { return obj.cssplayer || obj.css; }, "csstheme || css": function (obj) { return obj.csstheme || obj.css; }, "tmplcontrolbar": function (obj) { return obj.tmplcontrolbar; }, "controlbar_active && !hidecontrolbar": function (obj) { return obj.controlbar_active && !obj.hidecontrolbar; }, "playwhenvisible": function (obj) { return obj.playwhenvisible; }, "playerspeeds": function (obj) { return obj.playerspeeds; }, "playercurrentspeed": function (obj) { return obj.playercurrentspeed; }, "airplay": function (obj) { return obj.airplay; }, "airplaybuttonvisible": function (obj) { return obj.airplaybuttonvisible; }, "chromecast": function (obj) { return obj.chromecast; }, "castbuttonvisble": function (obj) { return obj.castbuttonvisble; }, "tabindex": function (obj) { return obj.tabindex; }, "showchaptertext": function (obj) { return obj.showchaptertext; }, "chapterslist": function (obj) { return obj.chapterslist; }, "tracktextvisible": function (obj) { return obj.tracktextvisible; }, "tracktags": function (obj) { return obj.tracktags; }, "hassubtitles && tracktagssupport": function (obj) { return obj.hassubtitles && obj.tracktagssupport; }, "allowtexttrackupload": function (obj) { return obj.allowtexttrackupload; }, "tracksshowselection": function (obj) { return obj.tracksshowselection; }, "volume": function (obj) { return obj.volume; }, "buffered": function (obj) { return obj.buffered; }, "title": function (obj) { return obj.title; }, "activity_delta": function (obj) { return obj.activity_delta; }, "hideoninactivity": function (obj) { return obj.hideoninactivity; }, "hidebarafter": function (obj) { return obj.hidebarafter; }, "rerecordable": function (obj) { return obj.rerecordable; }, "submittable": function (obj) { return obj.submittable; }, "frameselectionmode": function (obj) { return obj.frameselectionmode; }, "streams": function (obj) { return obj.streams; }, "currentstream": function (obj) { return obj.currentstream; }, "fullscreensupport && !nofullscreen": function (obj) { return obj.fullscreensupport && !obj.nofullscreen; }, "fullscreened": function (obj) { return obj.fullscreened; }, "disablepause": function (obj) { return obj.disablepause; }, "disableseeking": function (obj) { return obj.disableseeking; }, "skipseconds": function (obj) { return obj.skipseconds; }, "skipinitial": function (obj) { return obj.skipinitial; }, "showsettingsmenu": function (obj) { return obj.showsettingsmenu; }, "settingsmenu_active": function (obj) { return obj.settingsmenu_active; }, "hidevolumebar": function (obj) { return obj.hidevolumebar; }, "manuallypaused": function (obj) { return obj.manuallypaused; }, "dyntracks": function (obj) { return obj.dyntracks; }, "csstracks || css": function (obj) { return obj.csstracks || obj.css; }, "tracktagssupport || allowtexttrackupload": function (obj) { return obj.tracktagssupport || obj.allowtexttrackupload; }, "trackselectorhovered": function (obj) { return obj.trackselectorhovered; }, "tracktagsstyled": function (obj) { return obj.tracktagsstyled; }, "trackcuetext": function (obj) { return obj.trackcuetext; }, "uploadtexttracksvisible": function (obj) { return obj.uploadtexttracksvisible; }, "acceptedtracktexts": function (obj) { return obj.acceptedtracktexts; }, "uploadlocales": function (obj) { return obj.uploadlocales; }, "dynsettingsmenu": function (obj) { return obj.dynsettingsmenu; }, "tmplsettingsmenu": function (obj) { return obj.tmplsettingsmenu; }, "dynplaybutton": function (obj) { return obj.dynplaybutton; }, "cssplaybutton || css": function (obj) { return obj.cssplaybutton || obj.css; }, "tmplplaybutton": function (obj) { return obj.tmplplaybutton; }, "playbutton_active": function (obj) { return obj.playbutton_active; }, "trimmingmode": function (obj) { return obj.trimmingmode; }, "showduration": function (obj) { return obj.showduration; }, "dynloader": function (obj) { return obj.dynloader; }, "cssloader || css": function (obj) { return obj.cssloader || obj.css; }, "tmplloader": function (obj) { return obj.tmplloader; }, "loader_active": function (obj) { return obj.loader_active; }, "dynshare": function (obj) { return obj.dynshare; }, "cssshare || css": function (obj) { return obj.cssshare || obj.css; }, "tmplshare": function (obj) { return obj.tmplshare; }, "sharevideourl && sharevideo.length > 0": function (obj) { return obj.sharevideourl && obj.sharevideo.length > 0; }, "sharevideourl": function (obj) { return obj.sharevideourl; }, "sharevideo": function (obj) { return obj.sharevideo; }, "dynmessage": function (obj) { return obj.dynmessage; }, "cssmessage || css": function (obj) { return obj.cssmessage || obj.css; }, "tmplmessage": function (obj) { return obj.tmplmessage; }, "message_active": function (obj) { return obj.message_active; }, "message": function (obj) { return obj.message; }, "dyntopmessage": function (obj) { return obj.dyntopmessage; }, "csstopmessage || css": function (obj) { return obj.csstopmessage || obj.css; }, "tmpltopmessage": function (obj) { return obj.tmpltopmessage; }, "topmessage": function (obj) { return obj.topmessage; }, "thumbnailurl": function (obj) { return obj.thumbnailurl; }, "contenturl": function (obj) { return obj.contenturl; }, "useAspectRatioFallback": function (obj) { return obj.useAspectRatioFallback; }, "aspectRatioFallback": function (obj) { return obj.aspectRatioFallback; }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "video-error": "An error occurred, please try again later. Click to retry.",
            "all-settings": "All settings",
            "player-speed": "Player speed",
            "full-screen": "Full screen"
        });
});

Scoped.define("module:VideoRecorder.Dynamics.Chooser", ["dynamics:Dynamic","module:Assets","browser:Info"], ["dynamics:Partials.RepeatPartial","dynamics:Partials.ClickPartial","dynamics:Partials.IfPartial"], function(Class, Assets, Info, scoped) {

    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "<div class=\"{{css}}-chooser-container\">\n\t<div ba-if=\"{{initialmessages.length > 0}}\" class=\"{{csscommon}}-message-container\">\n\t\t<ul ba-repeat=\"{{initialmessage :: initialmessages}}\">\n\t\t\t<li ba-if=\"{{initialmessage.message}}\"\n\t\t\t\tclass=\"{{csscommon}}-message-text {{csscommon}}-message-{{initialmessage.type ? initialmessage.type : 'default'}}\"\n\t\t\t>\n\t\t\t\t{{ initialmessage.message }}\n\t\t\t\t<span ba-if=\"{{initialmessage.id}}\"\n\t\t\t\t\t  class=\"{{csscommon}}-action-button\"\n\t\t\t\t\t  ba-click=\"close_message(initialmessage.id)\"\n\t\t\t\t>\n\t\t\t\t\t<i class=\"{{csscommon}}-icon-cancel\"></i>\n\t\t\t\t</span>\n\t\t\t</li>\n\t\t</ul>\n\t</div>\n\t<div class=\"{{css}}-chooser-button-container\">\n\t\t<div ba-repeat=\"{{action :: actions}}\">\n\t\t\t<div ba-hotkey:space^enter=\"{{click_action(action)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t tabindex=\"0\" class=\"{{css}}-chooser-button-{{action.index}}\"\n\t\t\t     ba-click=\"{{click_action(action)}}\"\n\t\t\t>\n\t\t\t\t<input ba-if=\"{{action.select && action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   onclick=\"this.value=''\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t\t   capture=\"{{action.switchcamera}}\" />\n\t\t\t\t<input ba-if=\"{{action.select && !action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t\t   />\n\t\t\t\t<i class=\"{{csscommon}}-icon-{{action.icon}}\"\n\t\t\t\t   ba-if=\"{{action.icon}}\"></i>\n\t\t\t\t<span>\n\t\t\t\t\t{{action.label}}\n\t\t\t\t</span>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</div>\n",

                attrs: {
                    "css": "ba-videorecorder",
                    "csscommon": "ba-commoncss",
                    "cssrecorder": "ba-recorder",
                    "allowrecord": true,
                    "allowupload": true,
                    "allowscreen": false,
                    "allowmultistreams": false,
                    "facecamera": true,

                    "primaryrecord": true,
                    "recordviafilecapture": false,

                    "allowcustomupload": true,
                    "allowedextensions": null,
                    "onlyaudio": false,
                    "parentpopup": false,

                    /* Messages */
                    "initialmessages": []
                },

                types: {
                    "allowedextensions": "array",
                    "recordviafilecapture": "boolean",
                    "facecamera": "boolean",
                    "parentpopup": "boolean",
                    "initialmessages": "array"
                },

                collections: ["actions"],

                create: function() {
                    var custom_accept_string = "";
                    if (this.get("allowedextensions") && this.get("allowedextensions").length > 0) {
                        var browser_support = Info.isEdge() || Info.isChrome() || Info.isOpera() || (Info.isFirefox() && Info.firefoxVersion() >= 42) || (Info.isInternetExplorer() && Info.internetExplorerVersion() >= 10);
                        if (browser_support)
                            custom_accept_string = "." + this.get("allowedextensions").join(",.");
                    } else if (!this.get("allowcustomupload")) {
                        custom_accept_string = "video/*,video/mp4";
                    }

                    var order = [];
                    if (this.get("primaryrecord")) {
                        if (this.get("allowrecord"))
                            order.push("record");
                        if (this.get("allowscreen"))
                            order.push("screen");
                        if (this.get("allowmultistreams"))
                            order.push("multistream");
                        if (this.get("allowupload"))
                            order.push("upload");
                    } else {
                        if (this.get("allowscreen"))
                            order.push("screen");
                        if (this.get("allowupload"))
                            order.push("upload");
                        if (this.get("allowrecord"))
                            order.push("record");
                        if (this.get("allowmultistreams"))
                            order.push("multistream");
                    }
                    var actions = this.get("actions");
                    order.forEach(function(act, index) {
                        switch (act) {
                            case "record":
                                actions.add({
                                    type: "record",
                                    index: index,
                                    icon: !this.get("onlyaudio") ? 'videocam' : 'volume-up',
                                    label: this.string(this.get("onlyaudio") ? "record-audio" : "record-video"),
                                    select: Info.isMobile() && !(Info.isAndroid() && Info.isCordova()) && this.get("recordviafilecapture"),
                                    capture: true,
                                    accept: "video/*,video/mp4;capture=camcorder",
                                    // capture attribute value
                                    // If this attribute is missing, the user agent is free to decide on its own what to do.
                                    // If the requested facing mode isn't available, the user agent may fall back to its preferred default mode
                                    switchcamera: this.get("facecamera") ? "user" : "environment"
                                });
                                break;
                            case "upload":
                                actions.add({
                                    type: "upload",
                                    index: index,
                                    icon: "upload",
                                    label: this.string("upload-video"),
                                    select: !(Info.isiOS() && Info.isCordova()) && !this.get("parentpopup"),
                                    accept: Info.isMobile() && !(Info.isAndroid() && Info.isCordova()) ? "video/*,video/mp4" : custom_accept_string
                                });
                                break;
                            case "screen":
                                actions.add({
                                    type: "screen",
                                    index: index,
                                    icon: "television",
                                    label: this.string("record-screen")
                                });
                                break;
                            case "multistream":
                                actions.add({
                                    type: "multistream",
                                    index: index,
                                    icon: "plus",
                                    label: this.string("multi-stream")
                                });
                                break;
                        }
                    }, this);
                },

                functions: {
                    click_action: function(action) {
                        if (action.get("select"))
                            return;
                        if (action.get("type") === "screen" || action.get("type") === "multistream") {
                            this.trigger("record-screen", action.get("type") === "multistream");
                            return;
                        }
                        if (Info.isMobile() && Info.isCordova()) {
                            var self = this;
                            if (Info.isAndroid()) {
                                navigator.device.capture.captureVideo(function(mediaFiles) {
                                    self.trigger("upload", mediaFiles[0]);
                                }, function(error) {}, {
                                    limit: 1,
                                    duration: this.get("timelimit")
                                });
                            } else if (Info.isiOS()) {
                                navigator.camera.getPicture(function(url) {
                                    self.trigger("upload", {
                                        localURL: url,
                                        fullPath: url
                                    });
                                }, function(error) {}, {
                                    destinationType: Camera.DestinationType.FILE_URI,
                                    sourceType: Camera.PictureSourceType.PHOTOLIBRARY,
                                    mediaType: Camera.MediaType.VIDEO
                                });
                            }
                        } else
                            this.trigger("record");
                    },

                    select_file_action: function(action, domEvent) {
                        if (!action.get("select"))
                            return;
                        this.trigger("upload", domEvent[0].target);
                    },

                    close_message: function(id) {
                        if (typeof Array.prototype.filter !== 'undefined')
                            this.set("initialmessages", this.get("initialmessages").filter(function(item) {
                                return item.id !== id;
                            }));
                    }

                }

            };
        })
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "initialmessages.length > 0": function (obj) { return obj.initialmessages.length > 0; }, "csscommon": function (obj) { return obj.csscommon; }, "initialmessages": function (obj) { return obj.initialmessages; }, "initialmessage.message": function (obj) { return obj.initialmessage.message; }, "initialmessage.type ? initialmessage.type : 'default'": function (obj) { return obj.initialmessage.type ? obj.initialmessage.type : 'default'; }, "initialmessage.id": function (obj) { return obj.initialmessage.id; }, "actions": function (obj) { return obj.actions; }, "click_action(action)": function (obj) { return obj.click_action(obj.action); }, "action.index": function (obj) { return obj.action.index; }, "action.select && action.capture": function (obj) { return obj.action.select && obj.action.capture; }, "select_file_action(action, domEvent)": function (obj) { return obj.select_file_action(obj.action, obj.domEvent); }, "action.accept": function (obj) { return obj.action.accept; }, "action.switchcamera": function (obj) { return obj.action.switchcamera; }, "action.select && !action.capture": function (obj) { return obj.action.select && !obj.action.capture; }, "action.icon": function (obj) { return obj.action.icon; }, "action.label": function (obj) { return obj.action.label; }/**/
        })
        .register("ba-videorecorder-chooser")
        .attachStringTable(Assets.strings)
        .addStrings({
            "record-video": "Record Video",
            "record-audio": "Record Audio",
            "record-screen": "Record Screen",
            "multi-stream": "Multi Stream",
            "upload-video": "Upload Video"
        });
});

Scoped.define("module:VideoRecorder.Dynamics.Controlbar", ["dynamics:Dynamic","module:Assets","base:Timers.Timer","browser:Info"], ["dynamics:Partials.ShowPartial","dynamics:Partials.RepeatPartial"], function(Class, Assets, Timer, Info, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "<div class=\"{{css}}-dashboard\">\n\t<div class=\"{{css}}-backbar\"></div>\n\t<div data-selector=\"recorder-settings\" class=\"{{css}}-settings\" ba-show=\"{{settingsvisible && settingsopen}}\">\n\t\t<div class=\"{{css}}-settings-backbar\"></div>\n\t\t<div data-selector=\"settings-list-front\" class=\"{{css}}-settings-front\">\n\t\t\t<ul data-selector=\"add-new-stream\" ba-if=\"{{videoselectnotification}}\">\n\t\t\t\t<li>\n\t\t\t\t\t<div data-selector=\"single-camera-stream\">\n\t\t\t\t\t\t<i class=\"ba-commoncss-icon-plus\"></i> {{string('add-stream')}}\n\t\t\t\t\t</div>\n\t\t\t\t</li>\n\t\t\t\t<li>\n\t\t\t\t\t<div data-selector=\"single-camera-stream\" class=\"{{csscommon}}-text-error\">\n\t\t\t\t\t\t{{videoselectnotification}}\n\t\t\t\t\t</div>\n\t\t\t\t</li>\n\t\t\t</ul>\n\t\t\t<ul data-selector=\"add-new-stream\" ba-show=\"{{showaddstreambutton && firefox && allowscreen}}\">\n                <li>\n                    <div data-selector=\"single-camera-stream\"\n                         class=\"{{css}}-add-stream\"\n                         onclick=\"{{addNewStream()}}\"\n                         onmouseenter=\"{{hover(string('add-stream'))}}\"\n                    >\n                        <i class=\"{{csscommon}}-icon-plus\"></i> {{string('add-stream')}}\n                    </div>\n                </li>\n\t\t\t</ul>\n\n\t\t\t<ul data-selector=\"add-new-stream\" ba-show=\"{{showaddstreambutton && !firefox && !videoselectnotification}}\" ba-repeat=\"{{camera :: cameras}}\">\n\t\t\t\t<li ba-show=\"{{(camera.id !== selectedcamera) || allowscreen}}\">\n\t\t\t\t\t<div data-selector=\"single-camera-stream\"\n\t\t\t\t\t\t class=\"{{css}}-add-stream\"\n\t\t\t\t\t\t onclick=\"{{addNewStream(camera.id)}}\"\n\t\t\t\t\t\t onmouseenter=\"{{hover(string('add-stream'))}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-plus\"></i> {{camera.label}}\n\t\t\t\t\t</div>\n\t\t\t\t</li>\n\n\t\t\t</ul>\n\t\t\t<hr ba-show=\"{{(showaddstreambutton && !firefox) || (firefox && allowscreen)}}\"/>\n\t\t\t<ul data-selector=\"camera-settings\" ba-repeat=\"{{camera :: cameras}}\" ba-show=\"{{!novideo && !allowscreen && !ismobile}}\">\n\t\t\t\t<li onmouseenter=\"{{hover(string('select-camera'))}}\">\n\t\t\t\t\t<input tabindex=\"0\"\n\t\t\t\t\t\t   ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t   type='radio' name='camera' value=\"{{selectedcamera == camera.id}}\"\n\t\t\t\t\t\t   onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t/>\n\t\t\t\t\t<span></span>\n\t\t\t\t\t<label tabindex=\"0\"\n\t\t\t\t\t\t   ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t   onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t{{camera.label}}\n\t\t\t\t\t</label>\n\t\t\t\t </li>\n\t\t\t</ul>\n\t\t\t<hr ba-show=\"{{(!noaudio && !novideo) || !allowscreen}}\"/>\n\t\t\t<ul data-selector=\"microphone-settings\" ba-repeat=\"{{microphone :: microphones}}\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\t\t\t\t<li tabindex=\"0\"\n\t\t\t\t\tba-hotkey:space^enter=\"{{selectMicrophone(microphone.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\tonmouseenter=\"{{hover(string('select-audio-input'))}}\"\n\t\t\t\t\tonclick=\"{{selectMicrophone(microphone.id)}}\"\n\t\t\t\t>\n\t\t\t\t\t<input type='radio' name='microphone' value=\"{{selectedmicrophone == microphone.id}}\" />\n\t\t\t\t\t<span></span>\n\t\t\t\t\t<label>\n\t\t\t\t\t\t{{microphone.label}}\n\t\t\t\t\t</label>\n\t\t\t\t </li>\n\t\t\t</ul>\n\t\t</div>\n\t</div>\n\t<div data-selector=\"controlbar\" class=\"{{css}}-controlbar\">\n\n\t\t<div class=\"{{css}}-leftbutton-container\" ba-show=\"{{settingsvisible && ismobile}}\">\n\t\t\t<div data-selector=\"face-mode-toggle-icon\" class=\"{{css}}-mobile-camera-switcher {{css}}-button-inner\"\n\t\t\t\t onclick=\"{{toggleFaceMode()}}\"\n\t\t\t\t onmouseenter=\"{{hover(string('switch-camera'))}}\"\n\t\t\t>\n\t\t\t\t<i class=\"{{csscommon}}-icon-arrows-cw\"></i>\n\t\t\t</div>\n\t\t</div>\n\n        <div class=\"{{css}}-leftbutton-container\" ba-show=\"{{settingsvisible}}\">\n            <div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{settingsopen=!settingsopen}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"record-button-icon-cog\" class=\"{{css}}-button-inner {{css}}-button-{{settingsopen ? 'selected' : 'unselected'}}\"\n                 onclick=\"{{settingsopen=!settingsopen}}\"\n                 onmouseenter=\"{{hover(string('settings'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n                <i class=\"{{csscommon}}-icon-cog\"></i>\n            </div>\n        </div>\n\n        <div class=\"{{css}}-lefticon-container\" ba-show=\"{{settingsvisible && !novideo && !allowscreen}}\">\n            <div data-selector=\"record-button-icon-videocam\" class=\"{{csscommon}}-icon-inner\"\n                 onmouseenter=\"{{hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n                <i class=\"{{csscommon}}-icon-videocam {{csscommon}}-icon-state-{{camerahealthy ? 'good' : 'bad' }}\"></i>\n            </div>\n        </div>\n\n        <div class=\"{{css}}-lefticon-container\" ba-show=\"{{settingsvisible && !noaudio && !allowscreen}}\">\n            <div data-selector=\"record-button-icon-mic\" class=\"{{csscommon}}-icon-inner\"\n                 onmouseenter=\"{{hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n                <i class=\"{{csscommon}}-icon-mic {{csscommon}}-icon-state-{{microphonehealthy ? 'good' : 'bad' }}\"></i>\n            </div>\n        </div>\n\n        <div class=\"{{css}}-lefticon-container\" ba-show=\"{{stopvisible && recordingindication}}\">\n            <div data-selector=\"recording-indicator\" class=\"{{css}}-recording-indication\">\n            </div>\n        </div>\n\n        <div class=\"{{css}}-label-container\" ba-show=\"{{controlbarlabel}}\">\n        \t<div data-selector=\"record-label-block\" class=\"{{css}}-label-label\">\n        \t\t{{controlbarlabel}}\n        \t</div>\n        </div>\n\n        <div class=\"{{css}}-rightbutton-container\" ba-show=\"{{recordvisible}}\">\n        \t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{record()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"record-primary-button\" class=\"{{css}}-button-primary\"\n                 onclick=\"{{record()}}\"\n                 onmouseenter=\"{{hover(string('record-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n        \t\t{{string('record')}}\n        \t</div>\n        </div>\n\n        <div class=\"{{css}}-rightbutton-container\" ba-if=\"{{uploadcovershotvisible}}\">\n        \t<div data-selector=\"covershot-primary-button\" class=\"{{css}}-button-primary\"\n                 onmouseenter=\"{{hover(string('upload-covershot-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\">\n                 <input type=\"file\"\n\t\t\t\t       class=\"{{css}}-chooser-file\"\n\t\t\t\t       style=\"height:100\"\n\t\t\t\t       onchange=\"{{uploadCovershot(domEvent)}}\"\n\t\t\t\t       accept=\"{{covershot_accept_string}}\"\n\t\t\t\t />\n                 <span>\n        \t\t\t{{string('upload-covershot')}}\n        \t\t</span>\n        \t</div>\n        </div>\n\n        <div class=\"{{css}}-rightbutton-container\" ba-show=\"{{rerecordvisible}}\">\n        \t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"rerecord-primary-button\" class=\"{{css}}-button-primary\"\n                 onclick=\"{{rerecord()}}\"\n                 onmouseenter=\"{{hover(string('rerecord-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n        \t\t{{string('rerecord')}}\n        \t</div>\n        </div>\n\n\t\t<div class=\"{{css}}-rightbutton-container\" ba-show=\"{{cancelvisible}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{cancel()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"cancel-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t onclick=\"{{cancel()}}\"\n\t\t\t\t onmouseenter=\"{{hover(string('cancel-tooltip'))}}\"\n\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n\t\t\t\t{{string('cancel')}}\n\t\t\t</div>\n\t\t</div>\n\n        <div class=\"{{css}}-rightbutton-container\" ba-show=\"{{stopvisible}}\">\n        \t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{stop()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"stop-primary-button\" class=\"{{css}}-button-primary {{mintimeindicator ? css + '-disabled': ''}}\"\n\t\t\t\t title=\"{{mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')}}\"\n                 onclick=\"{{stop()}}\"\n                 onmouseenter=\"{{hover( mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n        \t\t{{string('stop')}}\n        \t</div>\n        </div>\n\n\t\t<div class=\"{{css}}-rightbutton-container\" ba-show=\"{{pausable && !resumevisible && stopvisible}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{pause()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"pause-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t title=\"{{string('pause-recorder')}}\"\n\t\t\t\t onclick=\"{{pause()}}\"\n\t\t\t\t onmouseenter=\"{{hover(string('pause-recorder'))}}\"\n\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n\t\t\t\t<i class=\"{{csscommon}}-icon-pause\"></i>\n\t\t\t</div>\n\t\t</div>\n\n\t\t<div class=\"{{css}}-rightbutton-container\" ba-show=\"{{pausable && resumevisible}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{resume()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"resume-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t title=\"{{string('resume-recorder')}}\"\n\t\t\t\t onclick=\"{{resume()}}\"\n\t\t\t\t onmouseenter=\"{{hover(string('resume-recorder'))}}\"\n\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n\t\t\t\t<i class=\"{{csscommon}}-icon-ccw\"></i>\n\t\t\t</div>\n\t\t</div>\n\n        <div class=\"{{css}}-centerbutton-container\" ba-show=\"{{skipvisible}}\">\n        \t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{skip()}}\"  onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"skip-primary-button\" class=\"{{css}}-button-primary\"\n                 onclick=\"{{skip()}}\"\n                 onmouseenter=\"{{hover(string('skip-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n        \t\t{{string('skip')}}\n        \t</div>\n        </div>\n\t</div>\n</div>\n",

                attrs: {
                    "css": "ba-videorecorder",
                    "csscommon": "ba-commoncss",
                    "cssrecorder": "ba-recorder",
                    "hovermessage": "",
                    "videoselectnotification": null,
                    "ismobile": false,
                    "recordingindication": true,
                    "covershot_accept_string": "image/*,image/png,image/jpg,image/jpeg"
                },

                events: {
                    "change:settingsopen": function(visible) {
                        if (visible) {
                            var availableCamerasCount = this.get("cameras").count();
                            if (this.get("cameras").count() < 1) {
                                this.set("videoselectnotification", this.string('no-video-source'));
                            } else {
                                if (availableCamerasCount > 1 && this.get("addstreamdeviceid")) {
                                    this.set("videoselectnotification", this.string('stream-already-selected'));
                                    return;
                                }
                                this.get("cameras").iterate(function(item) {
                                    if (availableCamerasCount === 1 && this.get("addstreamdeviceid") === item.data().id) {
                                        this.set("videoselectnotification", this.string('stream-already-selected'));
                                    }
                                }, this);
                            }
                        } else {
                            this.set("videoselectnotification", null);
                        }
                    }
                },

                create: function() {
                    this.set("ismobile", Info.isMobile());
                    this.auto_destroy(new Timer({
                        context: this,
                        fire: function() {
                            this.set("recordingindication", !this.get("recordingindication") && !this.__parent.__paused);
                        },
                        delay: 500
                    }));
                },

                functions: {
                    selectCamera: function(cameraId) {
                        this.trigger("select-camera", cameraId);
                    },
                    selectMicrophone: function(microphoneId) {
                        this.trigger("select-microphone", microphoneId);
                    },
                    toggleFaceMode: function() {
                        this.trigger("toggle-face-mode");
                    },
                    addNewStream: function(deviceId) {
                        this.set("settingsopen", false);
                        this.set("hovermessage", "");
                        this.trigger("add-new-stream", deviceId);
                    },
                    hover: function(text) {
                        this.set("hovermessage", text);
                    },
                    unhover: function() {
                        this.set("hovermessage", "");
                    },
                    record: function() {
                        this.trigger("invoke-record");
                    },
                    rerecord: function() {
                        this.trigger("invoke-rerecord");
                    },
                    stop: function() {
                        this.trigger("invoke-stop");
                    },
                    pause: function() {
                        this.trigger("invoke-pause");
                    },
                    resume: function() {
                        this.trigger("invoke-resume");
                    },
                    skip: function() {
                        this.trigger("invoke-skip");
                    },
                    cancel: function() {
                        this.trigger("invoke-cancel");
                    },
                    uploadCovershot: function(domEvent) {
                        this.trigger("upload-covershot", domEvent[0].target);
                    }
                }

            };
        })
        .register("ba-videorecorder-controlbar")
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "settingsvisible && settingsopen": function (obj) { return obj.settingsvisible && obj.settingsopen; }, "videoselectnotification": function (obj) { return obj.videoselectnotification; }, "string('add-stream')": function (obj) { return obj.string('add-stream'); }, "csscommon": function (obj) { return obj.csscommon; }, "showaddstreambutton && firefox && allowscreen": function (obj) { return obj.showaddstreambutton && obj.firefox && obj.allowscreen; }, "addNewStream()": function (obj) { return obj.addNewStream(); }, "hover(string('add-stream'))": function (obj) { return obj.hover(obj.string('add-stream')); }, "showaddstreambutton && !firefox && !videoselectnotification": function (obj) { return obj.showaddstreambutton && !obj.firefox && !obj.videoselectnotification; }, "cameras": function (obj) { return obj.cameras; }, "(camera.id !== selectedcamera) || allowscreen": function (obj) { return (obj.camera.id !== obj.selectedcamera) || obj.allowscreen; }, "addNewStream(camera.id)": function (obj) { return obj.addNewStream(obj.camera.id); }, "camera.label": function (obj) { return obj.camera.label; }, "(showaddstreambutton && !firefox) || (firefox && allowscreen)": function (obj) { return (obj.showaddstreambutton && !obj.firefox) || (obj.firefox && obj.allowscreen); }, "!novideo && !allowscreen && !ismobile": function (obj) { return !obj.novideo && !obj.allowscreen && !obj.ismobile; }, "hover(string('select-camera'))": function (obj) { return obj.hover(obj.string('select-camera')); }, "selectCamera(camera.id)": function (obj) { return obj.selectCamera(obj.camera.id); }, "selectedcamera == camera.id": function (obj) { return obj.selectedcamera == obj.camera.id; }, "(!noaudio && !novideo) || !allowscreen": function (obj) { return (!obj.noaudio && !obj.novideo) || !obj.allowscreen; }, "microphones": function (obj) { return obj.microphones; }, "!noaudio && !allowscreen": function (obj) { return !obj.noaudio && !obj.allowscreen; }, "selectMicrophone(microphone.id)": function (obj) { return obj.selectMicrophone(obj.microphone.id); }, "hover(string('select-audio-input'))": function (obj) { return obj.hover(obj.string('select-audio-input')); }, "selectedmicrophone == microphone.id": function (obj) { return obj.selectedmicrophone == obj.microphone.id; }, "microphone.label": function (obj) { return obj.microphone.label; }, "settingsvisible && ismobile": function (obj) { return obj.settingsvisible && obj.ismobile; }, "toggleFaceMode()": function (obj) { return obj.toggleFaceMode(); }, "hover(string('switch-camera'))": function (obj) { return obj.hover(obj.string('switch-camera')); }, "settingsvisible": function (obj) { return obj.settingsvisible; }, "settingsopen=!settingsopen": function (obj) { return obj.settingsopen=!obj.settingsopen; }, "settingsopen ? 'selected' : 'unselected'": function (obj) { return obj.settingsopen ? 'selected' : 'unselected'; }, "hover(string('settings'))": function (obj) { return obj.hover(obj.string('settings')); }, "unhover()": function (obj) { return obj.unhover(); }, "settingsvisible && !novideo && !allowscreen": function (obj) { return obj.settingsvisible && !obj.novideo && !obj.allowscreen; }, "hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))": function (obj) { return obj.hover(obj.string(obj.camerahealthy ? 'camerahealthy' : 'cameraunhealthy')); }, "camerahealthy ? 'good' : 'bad'": function (obj) { return obj.camerahealthy ? 'good' : 'bad'; }, "settingsvisible && !noaudio && !allowscreen": function (obj) { return obj.settingsvisible && !obj.noaudio && !obj.allowscreen; }, "hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))": function (obj) { return obj.hover(obj.string(obj.microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy')); }, "microphonehealthy ? 'good' : 'bad'": function (obj) { return obj.microphonehealthy ? 'good' : 'bad'; }, "stopvisible && recordingindication": function (obj) { return obj.stopvisible && obj.recordingindication; }, "controlbarlabel": function (obj) { return obj.controlbarlabel; }, "recordvisible": function (obj) { return obj.recordvisible; }, "record()": function (obj) { return obj.record(); }, "hover(string('record-tooltip'))": function (obj) { return obj.hover(obj.string('record-tooltip')); }, "string('record')": function (obj) { return obj.string('record'); }, "uploadcovershotvisible": function (obj) { return obj.uploadcovershotvisible; }, "hover(string('upload-covershot-tooltip'))": function (obj) { return obj.hover(obj.string('upload-covershot-tooltip')); }, "uploadCovershot(domEvent)": function (obj) { return obj.uploadCovershot(obj.domEvent); }, "covershot_accept_string": function (obj) { return obj.covershot_accept_string; }, "string('upload-covershot')": function (obj) { return obj.string('upload-covershot'); }, "rerecordvisible": function (obj) { return obj.rerecordvisible; }, "rerecord()": function (obj) { return obj.rerecord(); }, "hover(string('rerecord-tooltip'))": function (obj) { return obj.hover(obj.string('rerecord-tooltip')); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "cancelvisible": function (obj) { return obj.cancelvisible; }, "cancel()": function (obj) { return obj.cancel(); }, "hover(string('cancel-tooltip'))": function (obj) { return obj.hover(obj.string('cancel-tooltip')); }, "string('cancel')": function (obj) { return obj.string('cancel'); }, "stopvisible": function (obj) { return obj.stopvisible; }, "stop()": function (obj) { return obj.stop(); }, "mintimeindicator ? css + '-disabled': ''": function (obj) { return obj.mintimeindicator ? obj.css + '-disabled': ''; }, "mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')": function (obj) { return obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip'); }, "hover( mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))": function (obj) { return obj.hover( obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip')); }, "string('stop')": function (obj) { return obj.string('stop'); }, "pausable && !resumevisible && stopvisible": function (obj) { return obj.pausable && !obj.resumevisible && obj.stopvisible; }, "pause()": function (obj) { return obj.pause(); }, "string('pause-recorder')": function (obj) { return obj.string('pause-recorder'); }, "hover(string('pause-recorder'))": function (obj) { return obj.hover(obj.string('pause-recorder')); }, "pausable && resumevisible": function (obj) { return obj.pausable && obj.resumevisible; }, "resume()": function (obj) { return obj.resume(); }, "string('resume-recorder')": function (obj) { return obj.string('resume-recorder'); }, "hover(string('resume-recorder'))": function (obj) { return obj.hover(obj.string('resume-recorder')); }, "skipvisible": function (obj) { return obj.skipvisible; }, "skip()": function (obj) { return obj.skip(); }, "hover(string('skip-tooltip'))": function (obj) { return obj.hover(obj.string('skip-tooltip')); }, "string('skip')": function (obj) { return obj.string('skip'); }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "settings": "Settings",
            "camerahealthy": "Lighting is good",
            "cameraunhealthy": "Lighting is not optimal",
            "microphonehealthy": "Sound is good",
            "microphoneunhealthy": "Cannot pick up any sound",
            "record": "Record",
            "record-tooltip": "Click here to record.",
            "rerecord": "Redo",
            "rerecord-tooltip": "Click here to redo.",
            "upload-covershot": "Upload Cover",
            "upload-covershot-tooltip": "Click here to upload custom cover shot",
            "stop": "Stop",
            "stop-tooltip": "Click here to stop.",
            "skip": "Skip",
            "skip-tooltip": "Click here to skip.",
            "stop-available-after": "Minimum recording time is %d seconds",
            "cancel": "Cancel",
            "cancel-tooltip": "Click here to cancel.",
            "add-stream": "Add Stream",
            "pause-recorder": "Pause Recorder",
            "resume-recorder": "Resume Recorder",
            "no-video-source": "Missing additional video input source",
            "stream-already-selected": "Additional stream has been already selected"
        });
});

Scoped.define("module:VideoRecorder.Dynamics.Faceoutline", ["dynamics:Dynamic"], function(Class, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "<svg viewBox=\"0 0 301 171\" style=\"width:100%; height:100%; position: absolute; top: 0; left: 0\">\n    <g>\n        <path fill=\"none\" stroke=\"white\" stroke-width=\"2\" stroke-miterlimit=\"10\" stroke-dasharray=\"3.0228,3.0228\" d=\"M198.5,79.831c0,40.542-22.752,78.579-47.5,78.579c-24.749,0-47.5-38.036-47.5-78.579c0-40.543,17.028-68.24,47.5-68.24C185.057,11.591,198.5,39.288,198.5,79.831z\"></path>\n    </g>\n</svg>"

            };
        })
        .registerFunctions({
            /**//**/
        })
        .register("ba-videorecorder-faceoutline");
});

Scoped.define("module:VideoRecorder.Dynamics.Imagegallery", ["dynamics:Dynamic","media:Recorder.Support","base:Collections.Collection","base:Properties.Properties","base:Timers.Timer","browser:Dom","browser:Info","module:Assets"], ["dynamics:Partials.StylesPartial"], function(Class, RecorderSupport, Collection, Properties, Timer, Dom, Info, Assets, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "<div ba-if=\"{{showslidercontainer}}\">\n\t<div data-selector=\"slider-left-button\" class=\"{{css}}-imagegallery-leftbutton\">\n\t\t<div tabindex=\"0\" data-selector=\"slider-left-inner-button\"\n\t\t\t ba-hotkey:space^enter^left=\"{{left()}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-imagegallery-button-inner\" onclick=\"{{left()}}\"\n\t\t>\n\t\t\t<i class=\"{{csscommon}}-icon-left-open\"></i>\n\t\t</div>\n\t</div>\n\n\t<div data-selector=\"images-imagegallery-container\" ba-repeat=\"{{image::images}}\"\n\t\t class=\"{{css}}-imagegallery-container\" data-gallery-container>\n\t\t<div tabindex=\"0\" class=\"{{css}}-imagegallery-image\"\n\t\t\t ba-hotkey:space^enter=\"{{select(image)}}\" onmouseout=\"this.blur()\"\n\t\t\t ba-styles=\"{{{left: image.left + 'px', top: image.top + 'px', width: image.width + 'px', height: image.height + 'px'}}}\"\n\t\t\t onclick=\"{{select(image)}}\"\n\t\t>\n\t\t\t<div class=\"{{css}}-imagegallery-image-compat\" ba-show=\"{{ie10below}}\"></div>\n\t\t</div>\n\t</div>\n\n\t<div data-selector=\"slider-right-button\" class=\"{{css}}-imagegallery-rightbutton\">\n\t\t<div tabindex=\"0\" data-selector=\"slider-right-inner-button\"\n\t\t\t ba-hotkey:space^enter^right=\"{{right()}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-imagegallery-button-inner\" onclick=\"{{right()}}\"\n\t\t>\n\t\t\t<i class=\"{{csscommon}}-icon-right-open\"></i>\n\t\t</div>\n\t</div>\n</div>\n\n<div ba-if=\"{{!showslidercontainer}}\" class=\"{{css}}-chooser-container\">\n\t<div data-selector=\"covershot-primary-button\" class=\"{{css}}-chooser-button-container\">\n\t\t<div class=\"{{css}}-chooser-button-0\">\n\t\t\t<input type=\"file\"\n\t\t\t\t   tabindex=\"0\"\n\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t   accept=\"{{covershot_accept_string}}\"\n\t\t\t\t   onchange=\"{{uploadCovershot(domEvent)}}\"\n\t\t\t/>\n\t\t\t<i class=\"{{csscommon}}-icon-picture\"></i>\n\t\t\t<span>\n\t\t\t{{string('upload-covershot')}}\n\t\t</span>\n\t\t</div>\n\t</div>\n</div>\n",

                attrs: {
                    "css": "ba-videorecorder",
                    "csscommon": "ba-commoncss",
                    "cssrecorder": "ba-recorder",
                    "imagecount": 3,
                    "imagenativewidth": 0,
                    "imagenativeheight": 0,
                    "containerwidth": 0,
                    "containerheight": 0,
                    "containeroffset": 0,
                    "images": {},
                    "deltafrac": 1 / 8,
                    "showslidercontainer": true,
                    "snapshots": [],
                    "covershot_accept_string": "image/*,image/png,image/jpg,image/jpeg"
                },

                computed: {
                    "showslidercontainer:snapshots": function() {
                        return this.get("snapshots").length > 0;
                    },
                    "imagewidth:imagecount,containerwidth,deltafrac": function() {
                        if (this.get("imagecount") <= 0)
                            return 0.0;
                        return this.get("containerwidth") * (1 - this.get("deltafrac")) / this.get("imagecount");
                    },
                    "imagedelta:imagecount,containerwidth,deltafrac": function() {
                        if (this.get("imagecount") <= 1)
                            return 0.0;
                        return this.get("containerwidth") * (this.get("deltafrac")) / (this.get("imagecount") - 1);
                    },
                    "imageheight:imagewidth,imagenativewidth,imagenativeheight": function() {
                        return this.get("imagenativeheight") * this.get("imagewidth") / this.get("imagenativewidth");
                    }
                },

                create: function() {
                    this.set("ie10below", Info.isInternetExplorer() && Info.internetExplorerVersion() <= 10);
                    var images = this.auto_destroy(new Collection());
                    this.set("images", images);
                    this.snapshotindex = 0;
                    this._updateImageCount();
                    this.on("change:imagecount", this._updateImageCount, this);
                    this.on("change:imagewidth change:imageheight change:imagedelta", this._recomputeImageBoxes, this);
                    this.auto_destroy(new Timer({
                        context: this,
                        delay: 1000,
                        fire: function() {
                            this.updateContainerSize();
                        }
                    }));
                },

                destroy: function() {
                    if (this.get("images").length > 0) {
                        this.get("images").iterate(function(image) {
                            if (image.snapshotDisplay && this.parent().recorder)
                                this.parent().recorder.removeSnapshotDisplay(image.snapshotDisplay);
                        }, this);
                    }
                    inherited.destroy.call(this);
                },

                _updateImageCount: function() {
                    var images = this.get("images");
                    var n = this.get("imagecount");
                    while (images.count() < n) {
                        var image = new Properties({
                            index: images.count()
                        });
                        this._recomputeImageBox(image);
                        images.add(image);
                    }
                    while (images.count() > n)
                        images.remove(images.getByIndex(images.count() - 1));
                },

                _recomputeImageBoxes: function() {
                    this.get("images").iterate(function(image) {
                        this._recomputeImageBox(image);
                    }, this);
                },

                /**
                 * @param {Object} image
                 * @private
                 */
                _recomputeImageBox: function(image) {
                    if (!this.parent().recorder && this.get("snapshots").length < 1)
                        return;
                    // Will fix portrait covershot bug, will not show stretched box
                    var _maxHeight,
                        _reduceWidth = false,
                        _reduceInPercentage = 0.75,
                        _ratio = this.parent().get('videometadata').ratio;

                    if (!_ratio && typeof this.parent().recorder._recorder !== "undefined") {
                        if (typeof this.parent().recorder._recorder._videoTrackSettings !== "undefined") {
                            var _videoSettings = this.parent().recorder._recorder._videoTrackSettings;
                            if (typeof _videoSettings.aspectRatio !== "undefined") {
                                _ratio = _videoSettings.aspectRatio;
                            } else {
                                if (typeof _videoSettings.width !== "undefined" && typeof _videoSettings.height !== "undefined")
                                    _ratio = Math.round(_videoSettings.width / _videoSettings.height * 100) / 100;
                            }
                        }
                    }

                    if (_ratio) {
                        _maxHeight = Math.floor(this.get("imagewidth") / _ratio);
                        if (this.get("containerheight") < _maxHeight && _maxHeight > 0.00) {
                            _reduceWidth = true;
                            _maxHeight = Math.floor(this.get("containerheight") * _reduceInPercentage);
                        }
                    }
                    var i = image.get("index");
                    var ih = _maxHeight || this.get("imageheight");
                    var iw = _reduceWidth ? this.get("imagewidth") * _reduceInPercentage : this.get("imagewidth");
                    var id = this.get("imagedelta");
                    var h = this.get("containerheight");
                    var w = this.get("containerwidth");
                    if (ih > 1.00) {
                        // If images count is 1
                        if (this.get("images").count() === 1) {
                            if (_ratio > 1.00) {
                                iw *= 0.45;
                                ih *= 0.45;
                            } else
                                iw *= 0.45;
                        }
                        if (this.get("images").count() === 2 && _ratio < 1.00)
                            iw *= 0.70;
                        image.set("left", this.get("images").count() === 1 ? 1 + Math.round((w - iw) / 2) : 1 + Math.round(i * (iw + id)));
                        image.set("top", 1 + Math.round((h - ih) / 2));
                        image.set("width", 1 + Math.round(iw));
                        image.set("height", 1 + Math.round(ih));
                        if (image.snapshot && image.snapshotDisplay) {
                            if (this.parent().recorder) {
                                this.parent().recorder.updateSnapshotDisplay(
                                    image.snapshot,
                                    image.snapshotDisplay,
                                    image.get("left") + this.get("containeroffset"),
                                    image.get("top"),
                                    image.get("width"),
                                    image.get("height")
                                );
                            } else {
                                RecorderSupport.updateSnapshotDisplay(
                                    image.snapshot,
                                    image.snapshotDisplay,
                                    image.get("left") + this.get("containeroffset"),
                                    image.get("top"),
                                    image.get("width"),
                                    image.get("height")
                                );
                            }
                        }
                    }
                },

                /**
                 * NOTE: Runs's each second, offset is {top:0 , left is padding from left},
                 * dimension is correctly calculate box
                 */
                updateContainerSize: function() {
                    var container = this.activeElement().querySelector("[data-gallery-container]");
                    var offset = Dom.elementOffset(container);
                    var videoOffset = offset;
                    if (this.parent().recorder) {
                        videoOffset = Dom.elementOffset(this.parent().recorder._element);
                    } else {
                        var _video = this.parent().activeElement().querySelector("video");
                        if (_video)
                            videoOffset = Dom.elementOffset(_video);
                    }
                    var left = offset.left - videoOffset.left;
                    var dimensions = Dom.elementDimensions(container);
                    this.set("containeroffset", left);
                    this.set("containerheight", dimensions.height);
                    this.set("containerwidth", dimensions.width);
                },

                _afterActivate: function(element) {
                    inherited._afterActivate.apply(this, arguments);
                    this.updateContainerSize();
                },

                loadImageSnapshot: function(image, snapshotindex) {
                    if (image.snapshotDisplay) {
                        if (this.parent().recorder)
                            this.parent().recorder.removeSnapshotDisplay(image.snapshotDisplay);
                        else
                            RecorderSupport.removeSnapshotDisplay(image.snapshotDisplay);
                        image.snapshotDisplay = null;
                    }
                    var snapshots = this.get("snapshots");
                    image.snapshot = snapshots[((snapshotindex % snapshots.length) + snapshots.length) % snapshots.length];
                    image.snapshotDisplay = this.parent().recorder ?
                        this.parent().recorder.createSnapshotDisplay(
                            this.activeElement(),
                            image.snapshot,
                            image.get("left") + this.get("containeroffset"),
                            image.get("top"),
                            image.get("width"),
                            image.get("height")
                        ) :
                        RecorderSupport.createSnapshotDisplay(
                            this.activeElement(),
                            image.snapshot,
                            image.get("left") + this.get("containeroffset"),
                            image.get("top"),
                            image.get("width"),
                            image.get("height")
                        );
                },

                loadSnapshots: function() {
                    this.get("images").iterate(function(image) {
                        this.loadImageSnapshot(image, this.snapshotindex + image.get("index"));
                    }, this);
                },

                nextSnapshots: function() {
                    this.snapshotindex += this.get("imagecount");
                    this.loadSnapshots();
                },

                prevSnapshots: function() {
                    this.snapshotindex -= this.get("imagecount");
                    this.loadSnapshots();
                },

                functions: {
                    left: function() {
                        this.prevSnapshots();
                    },
                    right: function() {
                        this.nextSnapshots();
                    },
                    select: function(image) {
                        this.trigger("image-selected", image.snapshot);
                    },
                    uploadCovershot: function(domEvent) {
                        this.trigger("upload-covershot", domEvent[0].target);
                    }
                }

            };
        })
        .registerFunctions({
            /**/"showslidercontainer": function (obj) { return obj.showslidercontainer; }, "css": function (obj) { return obj.css; }, "left()": function (obj) { return obj.left(); }, "csscommon": function (obj) { return obj.csscommon; }, "images": function (obj) { return obj.images; }, "select(image)": function (obj) { return obj.select(obj.image); }, "{left: image.left + 'px', top: image.top + 'px', width: image.width + 'px', height: image.height + 'px'}": function (obj) { return {left: obj.image.left + 'px', top: obj.image.top + 'px', width: obj.image.width + 'px', height: obj.image.height + 'px'}; }, "ie10below": function (obj) { return obj.ie10below; }, "right()": function (obj) { return obj.right(); }, "!showslidercontainer": function (obj) { return !obj.showslidercontainer; }, "covershot_accept_string": function (obj) { return obj.covershot_accept_string; }, "uploadCovershot(domEvent)": function (obj) { return obj.uploadCovershot(obj.domEvent); }, "string('upload-covershot')": function (obj) { return obj.string('upload-covershot'); }/**/
        })
        .register("ba-videorecorder-imagegallery")
        .attachStringTable(Assets.strings)
        .addStrings({
            "upload-covershot": "Upload Cover"
        });
});

Scoped.define("module:VideoRecorder.Dynamics.Loader", ["dynamics:Dynamic","module:Assets"], ["dynamics:Partials.ShowPartial"], function(Class, Assets, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div class=\"{{cssrecorder}}-loader-container\">\n    <div data-selector=\"recorder-loader-block\" class=\"{{cssrecorder}}-loader-loader\" title=\"{{tooltip || ''}}\">\n    </div>\n</div>\n<div data-selector=\"recorder-loader-label-container\" class=\"{{cssrecorder}}-loader-label\" ba-show=\"{{label}}\">\n\t{{label}}\n</div>\n",

                attrs: {
                    "css": "ba-videorecorder",
                    "csscommon": "ba-commoncss",
                    "cssrecorder": "ba-recorder",
                    "tooltip": "",
                    "label": "",
                    "message": "",
                    "hovermessage": ""
                }

            };
        })
        .registerFunctions({
            /**/"cssrecorder": function (obj) { return obj.cssrecorder; }, "tooltip || ''": function (obj) { return obj.tooltip || ''; }, "label": function (obj) { return obj.label; }/**/
        })
        .register("ba-videorecorder-loader")
        .attachStringTable(Assets.strings)
        .addStrings({});
});

Scoped.define("module:VideoRecorder.Dynamics.Message", ["dynamics:Dynamic"], ["dynamics:Partials.ClickPartial"], function(Class, Templates, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div data-selector=\"recorder-message-container\" class=\"{{css}}-message-container\" ba-click=\"{{click()}}\">\n    <div data-selector=\"recorder-message-block\" class='{{css}}-message-message'>\n        <p>\n            {{message || \"\"}}\n        </p>\n        <ul ba-if=\"{{links && links.length > 0}}\" ba-repeat=\"{{link :: links}}\">\n            <li>\n                <a href=\"javascript:;\" ba-click=\"{{linkClick(link)}}\">\n                    {{link.title}}\n                </a>\n            </li>\n        </ul>\n    </div>\n</div>\n",

                attrs: {
                    "css": "ba-videorecorder",
                    "csscommon": "ba-commoncss",
                    "cssrecorder": "ba-recorder",
                    "message": '',
                    "links": null
                },

                functions: {

                    click: function() {
                        this.trigger("click");
                    },

                    linkClick: function(link) {
                        this.trigger("link", link);
                    }

                }

            };
        })
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "click()": function (obj) { return obj.click(); }, "message || \"\"": function (obj) { return obj.message || ""; }, "links && links.length > 0": function (obj) { return obj.links && obj.links.length > 0; }, "links": function (obj) { return obj.links; }, "linkClick(link)": function (obj) { return obj.linkClick(obj.link); }, "link.title": function (obj) { return obj.link.title; }/**/
        })
        .register("ba-videorecorder-message");
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.State", ["base:States.State","base:Events.ListenMixin","base:Objs"], function(State, ListenMixin, Objs, scoped) {
    return State.extend({
        scoped: scoped
    }, [ListenMixin, {

        dynamics: [],

        _start: function() {
            this.dyn = this.host.dynamic;
            Objs.iter(Objs.extend({
                "message": false,
                "chooser": false,
                "topmessage": false,
                "controlbar": false,
                "loader": false,
                "imagegallery": false,
                "helperframe": false
            }, Objs.objectify(this.dynamics)), function(value, key) {
                this.dyn.set(key + "_active", value);
            }, this);
            this.dyn.set("placeholderStyle", "");
            this.dyn.set("playertopmessage", "");
            this.dyn.set("message_links", null);
            this.dyn._accessing_camera = false;
            this._started();
        },

        _started: function() {},

        record: function() {
            this.dyn.set("autorecord", true);
        },

        stop: function() {
            this.dyn.scopes.player.execute('stop');
        },

        play: function() {
            this.dyn.scopes.player.execute('play');
        },

        pause: function() {
            this.dyn.scopes.player.execute('pause');
        },

        rerecord: function() {},

        selectRecord: function() {},

        selectRecordScreen: function(isMultiStream) {},

        selectUpload: function(file) {},

        uploadCovershot: function(file) {},

        checkOrientation: function(isPortrait, next) {
            next = next || "FatalError";
            if (this.dyn.get("media-orientation")) {
                if (
                    (this.dyn.get("media-orientation") === "portrait" && !isPortrait) ||
                    (this.dyn.get("media-orientation") === "landscape" && isPortrait)
                ) {
                    this.dyn.set("recordvisible", false);
                    var message = this.dyn.string("supported-mode")
                        .replace("%s", isPortrait ? "landscape" : "portrait");
                    message += " " + this.dyn.string("re-choose-action");
                    this.next(next, {
                        message: message,
                        retry: "Chooser"
                    });
                    return false;
                }
            }
            return true;
        }


    }]);
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.FatalError", ["module:VideoRecorder.Dynamics.RecorderStates.State","browser:Info","base:Timers.Timer"], function(State, Info, Timer, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["message"],
        _locals: ["message", "retry"],

        _started: function() {
            this.dyn.set("message", this._message || this.dyn.string("recorder-error"));
            this.dyn.set("shortMessage", this.dyn.get("message").length < 30);
            this.listenOn(this.dyn, "message-click", function() {
                this.dyn.set("placeholderstyle", "");
                if (this._retry)
                    this.next(this._retry);
            });
        }
    });
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.ChooseAlternativeDevice", ["module:VideoRecorder.Dynamics.RecorderStates.State","browser:Info"], function(State, Info, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["message"],
        _locals: ["message", "retry"],


        _started: function() {
            this.dyn.set("controlbar_active", true);
            this.dyn.set("message", this._message || this.dyn.string("recorder-error"));
            this.dyn.set("shortMessage", this.dyn.get("message").length < 30);

            this.listenOn(this.dyn, "message-click", function() {
                this.next("Chooser");
            }, this);

            // source
            // this.listenOn(this.dyn, "change:selectedcamera", function() {
            if (typeof this.dyn.recorder._recorder !== "undefined") {
                this.listenOn(this.dyn.recorder._recorder, "rebound", function() {
                    if (Info.isChromiumBased())
                        this.next("CameraHasAccess");
                }, this);
            }
        }
    });
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.Initial", ["module:VideoRecorder.Dynamics.RecorderStates.State","browser:Dom"], function(State, Dom, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        _started: function() {
            this.dyn.set("is_initial_state", true);
            this.dyn.set("verified", false);
            this.dyn.set("playbacksource", null);
            this.dyn.set("playbackposter", null);
            this.dyn.set("player_active", false);
            // On rerecord need to setup as empty
            this.dyn.set("placeholderstyle", "");
            this.dyn._videoFileName = null;
            this.dyn._videoFile = null;
            this.dyn._videoFilePlaybackable = false;
            this.dyn.__firstFrameSnapshot = null;
            this.dyn._initializeUploader();
            if (!this.dyn.get("recordermode")) {
                if (!this.dyn.get("video")) {
                    console.warn("recordermode:false requires an existing video to be present and provided.");
                    this.dyn.set("recordermode", true);
                } else
                    this.next("Player");
            } else if (this.dyn.get("autorecord") || this.dyn.get("skipinitial"))
                if (this.dyn.get("onlyaudio")) {
                    Dom.userInteraction(function() {
                        this.eventualNext("RequiredSoftwareCheck");
                    }, this);
                } else {
                    this.eventualNext("RequiredSoftwareCheck");
                }
            else
                this.next("Chooser");
        },

        _end: function() {
            this.dyn.set("is_initial_state", false);
        }

    });
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.Player", ["module:VideoRecorder.Dynamics.RecorderStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        rerecord: function() {
            this.dyn.trigger("rerecord");
            this.dyn.set("recordermode", true);
            this.next("Initial");
        },

        _started: function() {
            this.dyn.set("player_active", true);
            if (this.dyn.get("allowtexttrackupload"))
                this.dyn.set("uploadtexttracksvisible", true);
        },

        _end: function() {
            this.dyn.set("player_active", false);
            this.dyn.set("uploadtexttracksvisible", false);
        }

    });
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.Chooser", ["module:VideoRecorder.Dynamics.RecorderStates.State","base:Strings","base:Objs","browser:Info","module:PopupHelper","media:Player.Support"], function(State, Strings, Objs, Info, PopupHelper, PlayerSupport, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["chooser"],

        _started: function() {
            this.listenOn(this.dyn, "change:orientation change:currentorientation", function() {
                var orientation = this.dyn.get("orientation");
                var currentorientation = this.dyn.get("currentorientation");
                var result = orientation && orientation !== currentorientation;
                if (result)
                    this.dyn.set("message", this.dyn.string("orientation-" + orientation + "-required"));
                this.dyn.set("message_active", result);
                this.dyn.set("chooser_active", !result);
            }, this, {
                initcall: true
            });
        },

        _popup: function() {
            var popup = this.auto_destroy(new PopupHelper());
            var dynamic = this.auto_destroy(new this.dyn.cls({
                element: popup.containerInner,
                attrs: Objs.extend(this.dyn.cloneAttrs(), this.dyn.popupAttrs())
            }));
            this._delegatedRecorder = dynamic;
            this.dyn.delegateEvents(null, dynamic);
            popup.on("hide", function() {
                this._delegatedRecorder = null;
                dynamic.destroy();
                popup.destroy();
            }, this);
            popup.show();
            dynamic.activate();
        },

        record: function() {
            if (this.dyn.get("popup")) {
                this._popup();
                return;
            }
            this.dyn.set("autorecord", true);
            this.selectRecord();
        },

        /**
         * Will launch multistream
         * @param isMultiStream // Does stream has additional stream
         */
        selectRecordScreen: function(isMultiStream) {
            if (this.dyn.get("popup")) {
                this._popup();
                return;
            }
            this.dyn.set("record_media", isMultiStream ? "multistream" : "screen");
            this.next("RequiredSoftwareCheck");
        },

        selectRecord: function() {
            if (this.dyn.get("popup")) {
                this._popup();
                return;
            }
            this.dyn.set("record_media", "camera");
            this.next("RequiredSoftwareCheck");
        },

        selectUpload: function(file) {
            if (this.dyn.get("popup")) {
                this._popup();
                return;
            }
            if (!(Info.isMobile() && Info.isAndroid() && Info.isCordova())) {
                if (this.dyn.get("allowedextensions")) {
                    var filename = (file.files[0].name || "").toLowerCase();
                    var found = false;
                    this.dyn.get("allowedextensions").forEach(function(extension) {
                        if (Strings.ends_with(filename, "." + extension.toLowerCase()))
                            found = true;
                    }, this);
                    if (!found) {
                        this.next("FatalError", {
                            message: this.dyn.string("unsupported_video_type").replace("%s", this.dyn.get("allowedextensions").join(" / ")),
                            retry: "Chooser"
                        });
                        return;
                    }
                }
                if (this.dyn.get("filesizelimit") && file.files && file.files.length > 0 && file.files[0].size && file.files[0].size > this.dyn.get("filesizelimit")) {
                    var fact = "KB";
                    var size = Math.round(file.files[0].size / 1000);
                    var limit = Math.round(this.dyn.get("filesizelimit") / 1000);
                    if (size > 999) {
                        fact = "MB";
                        size = Math.round(size / 1000);
                        limit = Math.round(limit / 1000);
                    }
                    this.next("FatalError", {
                        message: this.dyn.string("video_file_too_large").replace("%s", size + fact + " / " + limit + fact),
                        retry: "Chooser"
                    });
                    return;
                }
            }
            try {
                PlayerSupport.videoFileInfo(file.files[0]).success(function(data) {

                    if (typeof data.width !== "undefined" && typeof data.height !== "undefined")
                        if (!this.checkOrientation((data.width / data.height) > 1))
                            return;

                    if (data.duration && this.dyn.get("enforce-duration")) {
                        if ((this.dyn.get("timeminlimit") && data.duration < this.dyn.get("timeminlimit")) || (this.dyn.get("timelimit") && data.duration > this.dyn.get("timelimit"))) {
                            this.next("FatalError", {
                                message: this.dyn.string("upload-error-duration"),
                                retry: "Chooser"
                            });
                            return;
                        }
                    }
                    if ((data.width && this.dyn.get("minuploadingwidth") && this.dyn.get("minuploadingwidth") > data.width) ||
                        (data.width && this.dyn.get("maxuploadingwidth") && this.dyn.get("maxuploadingwidth") < data.width) ||
                        (data.height && this.dyn.get("minuploadingheight") && this.dyn.get("minuploadingheight") > data.height) ||
                        (data.height && this.dyn.get("maxuploadingheight") && this.dyn.get("maxuploadingheight") < data.height)) {
                        this.next("FatalError", {
                            message: this.dyn.string("resolution-constraint-error"),
                            retry: "Chooser"
                        });
                        return;
                    }
                    this.dyn._videoFilePlaybackable = true;
                    this.dyn.set("duration", data.duration);
                    this._uploadFile(file);
                }, this).error(function(e) {
                    if (e.code === MediaError.MEDIA_ERR_SRC_NOT_SUPPORTED) {
                        // skip allowtrim/localplayback/snapshotfromuploader, show different error message on uploading.
                        if (this.dyn.get("allowtrim") === true) {
                            this.dyn.set("allowtrim", false);
                            this.dyn.set("was_allowtrim", true);
                        }
                        if (this.dyn.get("localplayback") === true) {
                            this.dyn.set("localplayback", false);
                            this.dyn.set("was_localplayback", true);
                        }
                        if (this.dyn.get("snapshotfromuploader") === true) {
                            this.dyn.set("snapshotfromuploader", false);
                            this.dyn.set("was_snapshotfromuploader", true);
                        }
                        this.dyn.set("media_src_not_supported", true);
                    }
                    this._uploadFile(file);
                }, this);
            } catch (e) {
                this._uploadFile(file);
            }
        },

        /**
         * @param {File} file
         * @private
         */
        _uploadFile: function(file) {
            if (this.__blocked)
                return;
            this.__blocked = true;
            this.dyn.set("creation-type", Info.isMobile() ? "mobile" : "upload");
            try {
                this.dyn._videoFileName = file.files[0].name;
                this.dyn._videoFile = file.files[0];
            } catch (e) {}
            this.dyn._prepareRecording().success(function() {
                this.dyn.trigger("upload_selected", file);
                this.dyn._uploadVideoFile(file);
                this._setValueToEmpty(file);
                this.__blocked = false;
                this.next("CovershotSelection");
            }, this).error(function(s) {
                this._setValueToEmpty(file);
                this.__blocked = false;
                this.next("FatalError", {
                    message: s,
                    retry: "Chooser"
                });
            }, this);
        },

        /**
         * Try to fix twice file upload behaviour, (on change event won't be executed twice with the same file)
         * Don't set null to value, will not solve an issue
         * @param {HTMLInputElement} file
         */
        _setValueToEmpty: function(file) {
            try {
                file.value = '';
            } catch (e) {}
        }

    });
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.CreateUploadCovershot", ["module:VideoRecorder.Dynamics.RecorderStates.State","media:Recorder.Support","base:Objs","base:Timers.Timer","browser:Dom","browser:Events","browser:Info","base:Async"], function(State, RecorderSupport, Objs, Timer, Dom, DomEvents, Info, Async, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader", "message"],

        _started: function() {
            this.dyn.set("cancancel", true);
            this.dyn.set("loader_active", true);
            this.dyn.set("topmessage", this.dyn.string('please-wait'));
            this.dyn.set("message", this.dyn.string("prepare-covershot"));
            if (this.dyn.get("cancancel") && this.dyn.get("allowcancel"))
                this.dyn.set("controlbar_active", true);

            try {
                this.dyn.set("player_active", false);


                // this.dyn._videoFile only for playback able browsers
                if (this.dyn._videoFile)
                    this.dyn.set("playbacksource", (window.URL || window.webkitURL).createObjectURL(this.dyn._videoFile));
                else {
                    console.warn('Could not find source file to be able start player');
                    return this.next("Trimming");
                }

                var _video = document.createElement('video');
                var _currentTime = 0;
                var _totalDuration = 0;
                var _seekPeriod = 1;
                _video.src = this.dyn.get("playbacksource");
                _video.setAttribute('preload', 'metadata');
                _video.volume = 0;
                _video.muted = true;

                // Wait for 5 seconds before checking if any video data was be able loaded, if not proceed
                Async.eventually(function() {
                    // Have no metadata
                    if (_video.readyState < 1) {
                        console.warn('Could not be able load video metadata');
                        return this.next("Trimming");
                    }
                }, this, 5000);

                var _playerLoadedData = this.auto_destroy(new DomEvents());

                // Note that loadeddata event will not fire in mobile/tablet devices if data-saver is on in browser settings
                // So using loadedmetadata ( or canplaythrough) to be available both desktop and mobile
                // readyState is newly equal to HAVE_ENOUGH_DATA
                // HAVE_NOTHING == 0; HAVE_METADATA == 1; HAVE_CURRENT_DATA == 2; HAVE_FUTURE_DATA == 3; HAVE_ENOUGH_DATA == 4
                _playerLoadedData.on(_video, "loadedmetadata", function(ev) {
                    _totalDuration = _video.duration;
                    if (_totalDuration === Infinity || !_totalDuration) {
                        console.warn('Could not generate video covershots from uploaded file');
                        return this.next("Trimming");
                    }
                    _seekPeriod = this._calculateSeekPeriod(_totalDuration);
                    if (_video.videoWidth > 0 && _video.videoHeight > 0) {
                        var _thumbWidth = _video.videoWidth > _video.videoHeight ? 80 : 35;
                        this.dyn.set("videometadata", Objs.tree_merge(this.dyn.get("videometadata"), {
                            height: _video.videoHeight,
                            width: _video.videoWidth,
                            ratio: +(_video.videoWidth / _video.videoHeight).toFixed(2),
                            "thumbnails": {
                                width: _thumbWidth,
                                height: Math.floor(_thumbWidth / _video.videoWidth * _video.videoHeight)
                            }
                        }));
                        this.__videoSeekTimer = new Timer({
                            context: this,
                            fire: function() {
                                if (_video.volume < 0.1 || _video.muted) {
                                    _video.currentTime = _currentTime;
                                } else _video.volume = 0;
                                _currentTime = _currentTime + _seekPeriod;
                            },
                            destroy_on_stop: true,
                            delay: 500,
                            start: true
                        });
                    } else {
                        console.warn('Could not find video dimensions information to be able create covershot');
                        return this.next("Trimming");
                    }
                }, this);

                // Will take only one snapshot for selectfirstcovershotonskip & process placeholder
                if (!this.dyn.get("picksnapshots")) {
                    _playerLoadedData.on(_video, "canplay", function(ev) {
                        _video.currentTime = 0;
                        var __snap = RecorderSupport.createSnapshot(this.dyn.get("snapshottype"), _video, true);
                        if (__snap) {
                            if (this.dyn.get("selectfirstcovershotonskip"))
                                this.dyn.get("snapshots")[0] = __snap;
                            this.dyn.get("videometadata").processingPlaceholder = __snap;
                            Dom.triggerDomEvent(_video, "ended");
                        }
                    }, this);
                } else {
                    _playerLoadedData.on(_video, "seeked", function(ev) {
                        var __snap = RecorderSupport.createSnapshot(this.dyn.get("snapshottype"), _video, true);
                        if (__snap) {
                            // Will add snap images as thumbnails
                            if (this.dyn.get("createthumbnails")) {
                                this.dyn.get("videometadata").thumbnails.images.push({
                                    time: _video.currentTime,
                                    snap: __snap
                                });
                            }
                            if (this.dyn.get("snapshots").length < this.dyn.get("snapshotmax")) {
                                this.dyn.get("snapshots").push(__snap);
                            } else {
                                var i = Math.floor(Math.random() * this.dyn.get("snapshotmax"));
                                RecorderSupport.removeSnapshot(this.dyn.get("snapshots")[i]);
                                this.dyn.get("snapshots")[i] = __snap;
                            }
                        }

                        // Should trigger ended event
                        if ((_video.currentTime + _seekPeriod) >= _totalDuration) {
                            _video.currentTime = _video.currentTime + _seekPeriod;
                            // Will fire ended event if not fired already, fixes IE/Edge related bug
                            if (!_video.ended) {
                                Dom.triggerDomEvent(_video, "ended");
                            }
                        }
                    }, this);
                }

                _playerLoadedData.on(_video, "ended", function(ev) {
                    this.__videoSeekTimer.stop();
                    if (typeof _video.remove === 'function')
                        _video.remove();
                    else
                        _video.style.display = 'none';
                    this.next("CovershotSelection");
                }, this);

            } catch (exe) {
                console.warn(exe);
                this.next("Trimming");
            }
        },

        stop: function() {
            this.dyn.set("loader_active", false);
            this.dyn.set("loaderlabel", "");
            this.dyn.set("topmessage", "");
        },

        /**
         * @param {number} duration
         * @return {number}
         * @private
         */
        _calculateSeekPeriod: function(duration) {
            if (duration < 15) return 1;
            if (duration < 40) return 3;
            if (duration < 100) return 4;
            else
                return Math.floor(duration / 100) + 4;
        }
    });
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.RequiredSoftwareCheck", ["module:VideoRecorder.Dynamics.RecorderStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader"],

        _started: function() {
            this.dyn.set("settingsvisible", false);
            this.dyn.set("recordvisible", false);
            this.dyn.set("rerecordvisible", false);
            this.dyn.set("stopvisible", false);
            this.dyn.set("skipvisible", false);
            this.dyn.set("uploadcovershotvisible", false);
            this.dyn.set("controlbarlabel", "");
            this.dyn.set("loaderlabel", "");
            this.listenOn(this.dyn, "error", function(s) {
                this.next("FatalError", {
                    message: this.dyn.string("attach-error"),
                    retry: "Initial"
                });
            }, this);
            this.dyn._attachRecorder();
            if (this.dyn) {
                this.dyn.on("message-link-click", function(link) {
                    link.execute();
                    this.next("RequiredSoftwareWait");
                }, this);
                this.dyn._softwareDependencies().error(function(dependencies) {
                    this.dyn.set("message_links", dependencies);
                    this.dyn.set("loader_active", false);
                    this.dyn.set("message_active", true);
                    this.dyn.set("message", this.dyn.string("software-required"));
                }, this).success(function() {
                    this.next("CameraAccess");
                }, this);
            }
        }
    });
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.RequiredSoftwareWait", ["module:VideoRecorder.Dynamics.RecorderStates.State","base:Promise","browser:Dom"], function(State, Promise, Dom, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["message"],

        _started: function() {
            this.dyn.set("settingsvisible", false);
            this.dyn.set("recordvisible", false);
            this.dyn.set("rerecordvisible", false);
            this.dyn.set("stopvisible", false);
            this.dyn.set("skipvisible", false);
            this.dyn.set("uploadcovershotvisible", false);
            this.dyn.set("controlbarlabel", "");
            this.dyn.set("loaderlabel", "");
            this.dyn.set("message", this.dyn.string("software-waiting"));
            Promise.resilience(function() {
                if (Dom.isTabHidden())
                    return Promise.error("Not ready");
                return this.dyn._softwareDependencies();
            }, this, 120, [], 1000).success(function() {
                this.next("CameraAccess");
            }, this).error(function() {
                this.next("RequiredSoftwareCheck");
            }, this);
            this.dyn.on("message-click", function() {
                this.next("RequiredSoftwareCheck");
            }, this);
        }

    });
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.CameraAccess", ["module:VideoRecorder.Dynamics.RecorderStates.State","base:Objs","base:Types","base:Timers.Timer","base:Collections.Collection"], function(State, Objs, Types, Timer, Collection, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader"],

        _started: function() {
            this.dyn.set("settingsvisible", true);
            this.dyn.set("recordvisible", true);
            this.dyn.set("rerecordvisible", false);
            this.dyn.set("stopvisible", false);
            this.dyn.set("skipvisible", false);
            this.dyn.set("uploadcovershotvisible", false);
            this.dyn.set("controlbarlabel", "");
            this.dyn.set("loaderlabel", "");
            this.listenOn(this.dyn, "bound", function() {
                this.dyn.set("creation-type", "webrtc");
                if (this.dyn.get("onlyaudio") || this.dyn.get("record_media") === "screen" || this.dyn.get("record_media") === "multistream") {
                    if (this.dyn.get("allowmultistreams") && this.dyn.get("record_media") === "multistream") {
                        this.dyn.recorder.enumerateDevices().success(function(devices) {
                            this.set("cameras", new Collection(Objs.values(devices.video)));
                            this.trigger(Types.is_empty(devices.video) ? "no_camera" : "has_camera");
                            this._add_new_stream();
                        }, this.dyn);
                    }
                    this.next("CameraHasAccess");
                    return;
                }
                var timer = this.auto_destroy(new Timer({
                    start: true,
                    delay: 100,
                    context: this,
                    fire: function() {
                        if (this.dyn.blankLevel() >= 0.01 && this.dyn.deltaCoefficient() >= 0.01) {
                            timer.stop();
                            this.next("CameraHasAccess");
                        }
                    }
                }));
            }, this);
            this.listenOn(this.dyn, "error", function(s) {
                this.next("FatalError", {
                    message: this.dyn.string("attach-error"),
                    retry: "Initial"
                });
            }, this);
            this.listenOn(this.dyn, "access_forbidden", function(e) {
                var message = this.dyn.string("access-forbidden");

                if (typeof e.name === 'string' && typeof this.dyn.recorder.errorHandler === 'function') {
                    var errorHandler = this.dyn.recorder.errorHandler(e.name);
                    if (typeof errorHandler === 'object') {
                        if (errorHandler.userLevel)
                            message = this.dyn.string(errorHandler.key);
                        else
                            console.warn(errorHandler.message + '. Please inform us!');
                    }
                }
                this.next("FatalError", {
                    message: message,
                    retry: "Initial"
                });
            }, this);
            this.dyn._bindMedia();
        }
    });
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.CameraHasAccess", ["module:VideoRecorder.Dynamics.RecorderStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["topmessage", "controlbar"],

        _started: function() {
            if (!this.checkOrientation(this.dyn.isPortrait(), "ChooseAlternativeDevice"))
                return;
            this.dyn.trigger("ready_to_record");
            this._preparePromise = null;
            if (this.dyn.get("countdown") > 0 && this.dyn.recorder && this.dyn.recorder.recordDelay(this.dyn.get("uploadoptions")) > this.dyn.get("countdown") * 1000)
                this._preparePromise = this.dyn._prepareRecording();
            //  For now available for WebRTC only
            if (this.dyn.get("pausable"))
                this.dyn.set("pausable", this.dyn.recorder.canPause());
            this.dyn.set("hovermessage", "");
            this.dyn.set("topmessage", "");
            this.dyn.set("settingsvisible", true);
            this.dyn.set("recordvisible", true);
            this.dyn.set("rerecordvisible", false);
            this.dyn.set("stopvisible", false);
            this.dyn.set("skipvisible", false);
            this.dyn.set("uploadcovershotvisible", false);
            this.dyn.set("controlbarlabel", "");
            this.dyn.set("isrecorderready", true);
            if (this.dyn.get("autorecord"))
                this.next("RecordPrepare", {
                    preparePromise: this._preparePromise
                });
        },

        record: function() {
            if (this.dyn.get("autorecord"))
                return;
            if (this.dyn.get("audio-test-mandatory") && !this.dyn.get("microphonehealthy") && !this._preparePromise)
                return;
            this.next("RecordPrepare", {
                preparePromise: this._preparePromise
            });
        }
    });
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.RecordPrepare", ["module:VideoRecorder.Dynamics.RecorderStates.State","base:Timers.Timer","base:Time"], function(State, Timer, Time, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader"],
        _locals: ["preparePromise"],

        _started: function() {
            this.dyn.set("message", "");
            this.dyn.set("loaderlabel", "");
            var startedRecording = false;
            this.dyn._accessing_camera = true;
            this._preparePromise = this._preparePromise || this.dyn._prepareRecording();
            var countdown = this.dyn.get("countdown") ? this.dyn.get("countdown") * 1000 : 0;
            var delay = this.dyn.recorder.recordDelay(this.dyn.get("uploadoptions")) || 0;
            if (countdown) {
                var displayDenominator = 1000;
                var silentTime = 0;
                var startTime = Time.now();
                var endTime = startTime + Math.max(delay, countdown);
                if (delay > countdown) {
                    silentTime = Math.min(500, delay - countdown);
                    displayDenominator = (delay - silentTime) / countdown * 1000;
                } else
                    this.dyn.set("loaderlabel", this.dyn.get("countdown"));
                var timer = new Timer({
                    context: this,
                    delay: 50,
                    fire: function() {
                        var now = Time.now();
                        var time_left = Math.max(0, endTime - now);
                        if (now > silentTime + startTime) {
                            this.dyn.set("loaderlabel", "" + Math.ceil((time_left - silentTime) / displayDenominator));
                            this.dyn.trigger("countdown", Math.round((time_left - silentTime) / displayDenominator * 1000));
                        }
                        if (endTime <= now) {
                            this.dyn.set("loaderlabel", "");
                            timer.stop();
                        }
                        if ((time_left <= delay) && !startedRecording) {
                            startedRecording = true;
                            this._startRecording();
                        }
                    }
                });
                this.auto_destroy(timer);
            } else
                this._startRecording();
        },

        record: function() {
            this._startRecording();
        },

        _startRecording: function() {
            this._preparePromise.success(function() {
                this.dyn._startRecording().success(function() {
                    this.next("Recording");
                }, this).error(function(s) {
                    this.next("FatalError", {
                        message: s,
                        retry: "RequiredSoftwareCheck"
                    });
                }, this);
            }, this).error(function(s) {
                this.next("FatalError", {
                    message: s,
                    retry: "RequiredSoftwareCheck"
                });
            }, this);
        }

    });
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.Recording", ["module:VideoRecorder.Dynamics.RecorderStates.State","base:Timers.Timer","base:Time","base:TimeFormat","base:Async","browser:Info"], function(State, Timer, Time, TimeFormat, Async, Info, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["topmessage", "controlbar"],

        _started: function() {
            this.dyn.set("hovermessage", "");
            this.dyn.set("topmessage", "");
            this.dyn._accessing_camera = true;
            this.dyn.trigger("recording");
            this.dyn.set("settingsvisible", false);
            this.dyn.set("rerecordvisible", false);
            this.dyn.set("recordvisible", false);
            this.dyn.set("stopvisible", true);
            this.dyn.set("skipvisible", false);
            this.dyn.set("uploadcovershotvisible", false);
            this._startTime = Time.now();
            this._stopping = false;
            this.__timerDelay = 10;
            this._timer = this.auto_destroy(new Timer({
                immediate: true,
                delay: this.__timerDelay,
                context: this,
                fire: this._timerFire
            }));
            this._framerateWarning = false;
        },

        _timerFire: function() {
            var limit = this.dyn.get("timelimit");
            if (this.dyn.__paused) return;
            var current = Time.now() - this.dyn.__pauseDelta;
            var display = Math.max(0, limit ? (this._startTime + limit * 1000 - current) : (current - this._startTime));
            this.dyn.trigger("recording_progress", current - this._startTime, !!this.dyn.__paused);
            this.dyn.set("controlbarlabel", this.dyn.get("display-timer") ? TimeFormat.format(TimeFormat.ELAPSED_MINUTES_SECONDS, display) : "");

            if (this.dyn.get("timeminlimit"))
                this.dyn.set("mintimeindicator", (Time.now() - this._startTime) / 1000 <= this.dyn.get("timeminlimit"));

            if (limit && this._startTime + limit * 1000 <= current) {
                this._timer.stop();
                this.stop();
            }


            if (this.dyn.get("framerate-warning") && this.dyn.averageFrameRate()) {
                var framerateWarning = this.dyn.averageFrameRate() < this.dyn.get("framerate-warning");
                if (framerateWarning !== this._framerateWarning) {
                    this._framerateWarning = framerateWarning;
                    if (framerateWarning)
                        this.dyn.set("hovermessage", this.dyn.string("framerate-warning"));
                    else
                        this.dyn.set("hovermessage", "");
                }
            }
        },

        stop: function() {
            var minlimit = this.dyn.get("timeminlimit");
            if (minlimit) {
                var delta = (Time.now() - (this._startTime + this.dyn.__pauseDelta)) / 1000;
                if (delta < minlimit) {
                    var limit = this.dyn.get("timelimit");
                    if (!limit || limit > delta)
                        return;
                }
            }
            if (this._stopping)
                return;
            this.dyn.set("loader_active", true);
            this.dyn.set("controlbar_active", false);
            this.dyn.set("topmessage_active", false);
            this.dyn.set("message_active", true);
            this.dyn.set("message", "");
            this._stopping = true;
            Async.eventually(function() {
                this.dyn._stopRecording().success(function() {
                    this._hasStopped();
                    this.next("CovershotSelection");
                }, this).error(function(s) {
                    this.next("FatalError", {
                        message: s,
                        retry: "RequiredSoftwareCheck"
                    });
                }, this);
            }, this);
        },

        _hasStopped: function() {
            this.dyn.set("duration", (Time.now() - (this._startTime + this.dyn.__pauseDelta)) / 1000);
            if (this.dyn.get("snapshots").length > 0)
                this.dyn._showBackgroundSnapshot();
            this.dyn._unbindMedia();
            this.dyn.trigger("recording_stopped");
        }

    });
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.Trimming", ["module:VideoRecorder.Dynamics.RecorderStates.State","base:Types"], function(State, Types, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        _started: function() {
            if (!this.dyn.get("allowtrim") || this.dyn.get("duration") < this.dyn.get("timeminlimit")) {
                this.next("Uploading");
            } else {
                if (this.dyn.get("trimoverlay")) {
                    this.dyn._getFirstFrameSnapshot()
                        .success(function(snapshot) {
                            this.showTrimmingOverlay(snapshot);
                        }, this)
                        .error(function() {
                            this.showTrimmingOverlay(this.dyn.__backgroundSnapshot);
                        }, this);
                } else {
                    this.dyn.set("message_active", true);
                    this.dyn.set("message", this.dyn.string("wait-for-trim"));
                    this.listenOnce(this.dyn, "manual-trim", function(start, end) {
                        if (Types.isNumber(start) && start > 0) this.dyn.set("starttime", start);
                        if (Types.isNumber(end) && end <= this.get("duration")) this.dyn.set("endtime", end);
                        this.dyn.trigger("video-trimmed", this.dyn.get("starttime"), this.dyn.get("endtime"), this.dyn.get("duration"));
                        this.next("Uploading");
                    });
                }
                this.dyn.trigger("ready-to-trim");
            }
        },

        showTrimmingOverlay: function(poster) {
            this._playerAttrs = this.dyn.get("playerattrs");

            this.dyn.set("playerattrs", {
                poster: poster,
                source: this.dyn._videoFile || this.dyn.recorder.localPlaybackSource(),
                trimmingmode: true,
                hidecontrolbar: true
            });
            this.dyn.set("playertopmessage", this.dyn.string("trim-prompt"));
            this.dyn.set("player_active", true);

            this.listenOnce(this.dyn.scopes.player, "playing", function() {
                this.dyn.scopes.player.set("skipinitial", true);
                this.dyn.set("playertopmessage", this.dyn.string("trim-video"));
            });

            this.listenOnce(this.dyn.scopes.player, "video-trimmed skip", function(data) {
                if (data && data.start) this.dyn.set("starttime", data.start);
                if (data && data.end) this.dyn.set("endtime", data.end);
                this.dyn.trigger("video-trimmed", this.dyn.get("starttime"), this.dyn.get("endtime"), this.dyn.get("duration"));
                this.hideTrimmingOverlay();
                this.next("Uploading");
            }, this);
        },

        hideTrimmingOverlay: function() {
            this.dyn.set("trimmingmode", false);
            this.dyn.set("playerattrs", this._playerAttrs);
            this.dyn.set("player_active", false);
        }
    });
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.CovershotSelection", ["module:VideoRecorder.Dynamics.RecorderStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        _started: function() {
            if ((this.dyn.get("picksnapshots") || this.dyn.get("custom-covershots")) && !this.dyn.get("onlyaudio")) {
                if (this.dyn.get("pickcovershotframe")) {
                    if (this.dyn.recorder && this.dyn.recorder.supportsLocalPlayback()) {
                        this.next("CovershotSelectionFromPlayer");
                    } else if (this.dyn.get("snapshotfromuploader") && this.dyn._videoFile && this.dyn._videoFilePlaybackable) {
                        this.next("CovershotSelectionFromPlayer");
                    } else {
                        this._next(true);
                    }
                } else if (this.dyn.get("snapshots") && this.dyn.get("snapshots").length > 0) {
                    this.next("CovershotSelectionFromGallery");
                } else if (this.dyn.get("snapshotfromuploader") || (this.dyn.get("snapshotfrommobilecapture") && this.dyn.get("recordviafilecapture"))) {
                    this.next("CreateUploadCovershot");
                } else {
                    this._next(true);
                }
            } else if (!this.dyn.get("snapshots") && this.dyn.get("snapshotfromuploader") || (this.dyn.get("snapshotfrommobilecapture") && this.dyn.get("recordviafilecapture"))) {
                this.dyn.set("snapshotmax", 1);
                this.dyn.set("snapshots", []);
                this.next("CreateUploadCovershot");
            } else {
                this._next(true);
            }
        },

        rerecord: function() {
            this.dyn._hideBackgroundSnapshot();
            this.dyn._detachRecorder();
            this.dyn.trigger("rerecord");
            this.dyn.set("recordermode", true);
            this.next("Initial");
        },

        _next: function(skippedCovershot) {
            if (skippedCovershot && this.dyn.get("selectfirstcovershotonskip") && this.dyn.get("snapshots")) {
                if (this.dyn.get("snapshots")[0]) {
                    this.dyn._uploadCovershot(this.dyn.get("snapshots")[0]);
                }
            }
            if (!this.dyn.get("videometadata").processingPlaceholder && this.dyn.get("snapshots")[0])
                this.dyn.get("videometadata").processingPlaceholder = this.dyn.get("snapshots")[0];
            if (this.dyn.get("videometadata").thumbnails.images.length > 3 && this.dyn.get("createthumbnails")) {
                this.next("UploadThumbnails");
            } else {
                this.next("Trimming");
            }
        }

    });
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.CovershotSelectionFromGallery", ["module:VideoRecorder.Dynamics.RecorderStates.CovershotSelection"], function(CovershotSelectionState, scoped) {
    return CovershotSelectionState.extend({
        scoped: scoped
    }, {

        dynamics: ["imagegallery", "topmessage", "controlbar"],

        _started: function() {
            this.dyn.set("settingsvisible", false);
            this.dyn.set("recordvisible", false);
            this.dyn.set("stopvisible", false);
            this.dyn.set("skipvisible", !this.dyn.get("picksnapshotmandatory"));
            this.dyn.set("controlbarlabel", "");
            this.dyn.set("rerecordvisible", this.dyn.get("early-rerecord"));
            this.dyn.set("uploadcovershotvisible", this.dyn.get("custom-covershots"));
            this.dyn.set("hovermessage", "");
            this.dyn.set("topmessage", this.dyn.string('pick-covershot'));
            this.dyn.set("isrecorderready", false);
            if (this.dyn.get("snapshots").length > 0) {
                var imagegallery = this.dyn.scope(">[tagname='ba-videorecorder-imagegallery']").materialize(true);
                imagegallery.loadSnapshots();
                imagegallery.updateContainerSize();
            }
            this.listenOn(this.dyn, "invoke-skip", function() {
                this._next(true);
            }, this);
            this.listenOn(this.dyn, "select-image", function(image) {
                this.dyn._uploadCovershot(image);
                this.dyn.get("videometadata").processingPlaceholder = image;
                this._next(false);
            }, this);
        },

        uploadCovershot: function(file) {
            // If passed file in HTMLInputElement get file
            if (typeof file.files !== 'undefined')
                if (file.files[0])
                    file = file.files[0];
            this.dyn._uploadCovershotFile(file);
            this._next(false);
        }
    });
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.CovershotSelectionFromPlayer", ["module:VideoRecorder.Dynamics.RecorderStates.CovershotSelection"], function(CovershotSelectionState, scoped) {
    return CovershotSelectionState.extend({
        scoped: scoped
    }, {

        _started: function() {
            this.dyn._getFirstFrameSnapshot()
                .success(function(snapshot) {
                    this.startFrameSelection(snapshot);
                }, this)
                .error(function() {
                    this.startFrameSelection(this.dyn.__backgroundSnapshot);
                }, this);
        },

        startFrameSelection: function(poster) {
            this._playerattrs = this.dyn.get("playerattrs");

            this.dyn.set("playerattrs", {
                poster: poster,
                source: this.dyn._videoFile || this.dyn.recorder.localPlaybackSource(),
                skipinitial: true
            });

            this.dyn.set("frameselectionmode", true);
            this.dyn.set("playertopmessage", this.dyn.string("pick-covershot-frame"));
            this.dyn.set("player_active", true);

            this.listenOn(this.dyn.scopes.player, "image-selected", function(image) {
                this.dyn._uploadCovershot(image);
                this._next(false);
            }, this);
        },

        endFrameSelection: function() {
            this.dyn.set("frameselectionmode", false);
            this.dyn.set("playerattrs", this._playerattrs);
        },

        _end: function() {
            this.endFrameSelection();
        }
    });
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.UploadThumbnails", ["module:VideoRecorder.Dynamics.RecorderStates.State","base:Objs","base:Promise","base:Time","base:TimeFormat","media:WebRTC.Support","browser:Events"], function(State, Objs, Promise, Time, TimeFormat, Support, Events, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader"],

        _started: function() {
            this.dyn.set("loader_active", true);
            this.dyn.set("loadlabel", "Thumbnails");
            this.dyn.set("message", this.dyn.string("prepare-thumbnails"));
            this.dyn.set("hovermessage", "");
            this.dyn.set("topmessage", "");

            this._drawIntoCanvas(this.dyn.get("videometadata").thumbnails)
                .success(function(canvas) {
                    this.dyn._uploadThumbnails(Support.dataURItoBlob(canvas.toDataURL('image/jpg')));
                    this.dyn._uploadThumbnailTracks(new Blob(this._vttDescripitions, {
                        type: "text/vtt"
                    }));
                    this.next("Trimming");
                }, this)
                .error(function(err) {
                    console.warn(err);
                    this.next("Trimming");
                }, this);
        },

        _drawIntoCanvas: function(thumbnails) {
            var promise = Promise.create();
            var w = thumbnails.width;
            var h = thumbnails.height;
            var imagesCount = thumbnails.images.length;
            var rowsCount = thumbnails.images.length > 10 ? Math.ceil(imagesCount / 10) : 1;
            var canvas = document.createElement('canvas');
            canvas.width = rowsCount > 1 ? w * 10 : w * imagesCount;
            canvas.height = rowsCount * h;
            this._vttDescripitions = [];
            this._vttDescripitions.push('WEBVTT \n\n');
            var ctx = canvas.getContext('2d');
            var index = 0;
            try {
                if (typeof thumbnails.images[index] !== 'undefined') {
                    this._imageEvent = this.auto_destroy(new Events());
                    var image = image || new Image();
                    image.width = w;
                    image.height = h;
                    image.src = (window.URL || window.webkitURL).createObjectURL(thumbnails.images[index].snap);

                    this._imageEvent.on(image, "load", function() {
                        this._recursivelyDrawImage(canvas, thumbnails, ctx, w, h, image, index, promise);
                    }, this);

                    this._imageEvent.on(image, "error", function(err) {
                        throw "Error with loading thumbnail image. ".err;
                    }, this);
                }
            } catch (err) {
                promise.asyncError(err);
            }
            return promise;
        },

        _recursivelyDrawImage: function(canvas, thumbnails, ctx, w, h, image, index, promise, column, row) {
            column = column || 0;
            row = row || 0;
            index = index || 0;
            ctx.drawImage(image, column * w, row * h, w, h);
            if ((index > 0 && (index % 10 === 0))) {
                row++;
                column = 0;
            } else if (index !== 0) column++;
            index++;
            if (typeof thumbnails.images[index] !== 'undefined' && thumbnails.images.length >= index) {
                var _image, _prevIndex, _nextIndex, _startTime, _endTime, _averageSecond, _formattedStartTime, _formattedEndTime;
                _prevIndex = index - 1;
                _nextIndex = index + 1;

                _averageSecond = Math.round((thumbnails.images[index].time - thumbnails.images[_prevIndex].time) / 2);
                _startTime = thumbnails.images[_prevIndex].time + _averageSecond;
                // For the latest thumb no need add average time
                if (!thumbnails.images[_nextIndex + 1]) _averageSecond = 0;
                _endTime = thumbnails.images[index].time + _averageSecond;

                _formattedStartTime = _startTime === 0 ? '00:00:00' : TimeFormat.format('HH:MM:ss', _startTime * 1000);
                _formattedEndTime = _endTime === 0 ? '00:00:00' : TimeFormat.format('HH:MM:ss', _endTime * 1000);

                // If we have have next index
                if (typeof thumbnails.images[_nextIndex] !== 'undefined') {
                    this._vttDescripitions.push(
                        _formattedStartTime + ".000" + " --> " + _formattedEndTime + ".000" + "\n" + this.dyn.get("uploadoptions").thumbnail.url + "#xywh=" + (column * w) + "," + (row * h) + "," + w + "," + h + "\n\n"
                    );
                }

                _image = new Image();
                _image.width = w;
                _image.height = h;
                _image.src = (window.URL || window.webkitURL).createObjectURL(thumbnails.images[index].snap);

                this._imageEvent.on(_image, "load", function() {
                    this._recursivelyDrawImage(canvas, thumbnails, ctx, w, h, _image, index, promise, column, row);
                }, this);

                this._imageEvent.on(_image, "error", function(err) {
                    throw "Error with loading thumbnail image. Error: ".err;
                }, this);

            } else {
                if (thumbnails.images.length <= index) {
                    promise.asyncSuccess(canvas);
                } else {
                    throw "Could not draw all images";
                }
            }
        }
    });
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.Uploading", ["module:VideoRecorder.Dynamics.RecorderStates.State","base:Time","base:Async","base:Objs"], function(State, Time, Async, Objs, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader", "message"],

        _started: function() {
            this.dyn.set("cancancel", true);
            this.dyn.set("skipinitial", this.dyn.get("skipinitial") || this.dyn.get("skipinitialonrerecord"));
            this.dyn.set("settingsvisible", false);
            this.dyn.set("recordvisible", false);
            this.dyn.set("stopvisible", false);
            this.dyn.set("loadlabel", "");
            this.dyn.set("controlbarlabel", "");
            this.dyn.set("isrecorderready", false);
            this.dyn.trigger("uploading");
            this.dyn.set("rerecordvisible", this.dyn.get("early-rerecord"));
            if (this.dyn.get("early-rerecord") || (this.dyn.get("cancancel") && this.dyn.get("allowcancel")))
                this.dyn.set("controlbar_active", true);
            this.dyn.set("hovermessage", "");
            this.dyn.set("topmessage", "");

            if (this.dyn.get("media_src_not_supported") === true &&
                ((this.dyn.get("was_allowtrim") === true) ||
                    (this.dyn.get("was_localplayback") === true) ||
                    (this.dyn.get("was_snapshotfromuploader") === true)
                )
            ) {
                this.dyn.set("uploading-message", this.dyn.string("uploading-src-error"));
            } else {
                this.dyn.set("uploading-message", this.dyn.string("uploading"));
            }

            this.dyn.set("message", this.dyn.get("uploading-message"));
            this.dyn.set("playertopmessage", this.dyn.get("message"));
            var uploader = this.dyn._dataUploader;
            this.listenOn(uploader, "success", function() {
                Async.eventually(function() {
                    if (this.destroyed())
                        return;
                    this._finished();
                    this.next("Verifying");
                }, this);
            });
            this.listenOn(uploader, "error", function(e) {
                var bestError = this.dyn.string("uploading-failed");
                try {
                    e.forEach(function(ee) {
                        for (var key in ee)
                            if (this.dyn.string("upload-error-" + key))
                                bestError = this.dyn.string("upload-error-" + key);
                    }, this);
                } catch (err) {}
                this.dyn.set("player_active", false);
                this.next("FatalError", {
                    message: bestError,
                    retry: this.dyn.recorderAttached() ? "Uploading" : "Initial"
                });
            });
            this.listenOn(uploader, "progress", function(uploaded, total) {
                this.dyn.trigger("upload_progress", uploaded, total);
                if (total !== 0 && total > 0 && uploaded >= 0) {
                    var up = Math.min(100, Math.round(uploaded / total * 100));
                    if (!isNaN(up)) {
                        this.dyn.set("message", this.dyn.get("uploading-message") + ": " + up + "%");
                        this.dyn.set("playertopmessage", this.dyn.get("message"));
                    }
                }
            });
            if (this.dyn.get("localplayback") && ((this.dyn.recorder && this.dyn.recorder.supportsLocalPlayback()) || this.dyn._videoFilePlaybackable)) {
                if (this.dyn.recorder && this.dyn.recorder.supportsLocalPlayback())
                    this.dyn.set("playbacksource", this.dyn.recorder.localPlaybackSource());
                else
                    this.dyn.set("playbacksource", (window.URL || window.webkitURL).createObjectURL(this.dyn._videoFile));
                if (this.dyn.__lastCovershotUpload && this.dyn.recorder)
                    this.dyn.set("playbackposter", this.dyn.recorder.snapshotToLocalPoster(this.dyn.__lastCovershotUpload));
                this.dyn.set("loader_active", false);
                this.dyn.set("message_active", false);
                this.dyn._hideBackgroundSnapshot();
                this.dyn.set("player_active", true);
            } else {
                // show background image while verify and processing
                if (this.dyn.get("videometadata").processingPlaceholder && typeof window.URL !== "undefined") {
                    var dyn = this.dyn;
                    var placeholder = URL.createObjectURL(this.dyn.get("videometadata").processingPlaceholder);

                    var XHR = new XMLHttpRequest();
                    XHR.open('GET', placeholder);
                    XHR.onload = function() {
                        var reader = new FileReader();
                        reader.onloadend = function() {
                            // bs-styles not works as expected
                            dyn.set("placeholderstyle", "background: url('" + reader.result + "') center/contain no-repeat");
                        };
                        reader.readAsDataURL(XHR.response);
                    };
                    XHR.responseType = 'blob';
                    XHR.send();
                }
            }
            this.dyn.set("start-upload-time", Time.now());
            uploader.reset();
            uploader.upload();
        },

        rerecord: function() {
            this.dyn._hideBackgroundSnapshot();
            this.dyn._detachRecorder();
            this.dyn.trigger("rerecord");
            this.dyn.set("recordermode", true);
            this.dyn.set("placeholderstyle", "");
            this.next("Initial");
        },

        _finished: function() {
            this.dyn.set("cancancel", false);
            this.dyn.trigger("uploaded");
            this.dyn.set("end-upload-time", Time.now());
        }

    });
});

Scoped.define("module:VideoRecorder.Dynamics.RecorderStates.Verifying", ["module:VideoRecorder.Dynamics.RecorderStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader", "message"],

        _started: function() {
            this.dyn.set("loadlabel", "");
            this.dyn.trigger("verifying");
            this.dyn.set("message", this.dyn.string("verifying") + "...");
            this.dyn.set("playertopmessage", this.dyn.get("message"));
            if (this.dyn.get("localplayback") && ((this.dyn.recorder && this.dyn.recorder.supportsLocalPlayback()) || this.dyn._videoFilePlaybackable)) {
                this.dyn.set("loader_active", false);
                this.dyn.set("message_active", false);
            } else {
                this.dyn.set("rerecordvisible", this.dyn.get("early-rerecord"));
                if (this.dyn.get("early-rerecord"))
                    this.dyn.set("controlbar_active", true);
            }
            this.dyn._verifyRecording().success(function() {
                this.dyn.trigger("verified");
                this.dyn._hideBackgroundSnapshot();
                this.dyn._detachRecorder();
                if (this.dyn.get("recordings"))
                    this.dyn.set("recordings", this.dyn.get("recordings") - 1);
                this.dyn.set("message", "");
                this.dyn.set("playertopmessage", "");
                this.dyn.set("verified", true);
                this.next("Player");
            }, this).error(function() {
                this.dyn.set("player_active", false);
                this.dyn.set("placeholderstyle", "");
                this.next("FatalError", {
                    message: this.dyn.string("verifying-failed"),
                    retry: this.dyn.recorderAttached() ? "Verifying" : "Initial"
                });
            }, this);
        },

        rerecord: function() {
            this.dyn._hideBackgroundSnapshot();
            this.dyn._detachRecorder();
            this.dyn.trigger("rerecord");
            this.dyn.set("recordermode", true);
            this.next("Initial");
        }

    });
});

Scoped.define("module:VideoRecorder.Dynamics.Topmessage", ["dynamics:Dynamic"], function(Class, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div class=\"{{css}}-topmessage-container\">\n    <div class='{{css}}-topmessage-background'>\n    </div>\n    <div data-selector=\"recorder-topmessage-block\" class='{{css}}-topmessage-message'>\n        {{topmessage}}\n    </div>\n</div>\n",

                attrs: {
                    "css": "ba-videorecorder",
                    "csscommon": "ba-commoncss",
                    "cssrecorder": "ba-recorder",
                    "topmessage": ''
                }

            };
        })
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "topmessage": function (obj) { return obj.topmessage; }/**/
        })
        .register("ba-videorecorder-topmessage");
});

Scoped.define("module:VideoRecorder.Dynamics.Recorder", ["dynamics:Dynamic","module:Assets","module:StylesMixin","browser:Info","browser:Dom","browser:Events","browser:Upload.MultiUploader","browser:Upload.FileUploader","media:Recorder.VideoRecorderWrapper","media:Recorder.Support","media:WebRTC.Support","base:Types","base:Objs","base:Strings","base:Time","base:Timers","base:States.Host","base:Classes.ClassRegistry","base:Collections.Collection","base:Promise","module:VideoRecorder.Dynamics.RecorderStates.Initial","module:VideoRecorder.Dynamics.RecorderStates"], ["module:VideoRecorder.Dynamics.Imagegallery","module:VideoRecorder.Dynamics.Loader","module:VideoRecorder.Dynamics.Controlbar","module:VideoRecorder.Dynamics.Message","module:VideoRecorder.Dynamics.Topmessage","module:VideoRecorder.Dynamics.Chooser","module:VideoRecorder.Dynamics.Faceoutline","module:Common.Dynamics.Helperframe","dynamics:Partials.ShowPartial","dynamics:Partials.IfPartial","dynamics:Partials.EventPartial","dynamics:Partials.OnPartial","dynamics:Partials.DataPartial","dynamics:Partials.AttrsPartial","dynamics:Partials.StylesPartial","dynamics:Partials.TemplatePartial","dynamics:Partials.HotkeyPartial"], function(Class, Assets, StylesMixin, Info, Dom, DomEvents, MultiUploader, FileUploader, VideoRecorderWrapper, RecorderSupport, WebRTCSupport, Types, Objs, Strings, Time, Timers, Host, ClassRegistry, Collection, Promise, InitialState, RecorderStates, scoped) {
    return Class.extend({
            scoped: scoped
        }, [StylesMixin, function(inherited) {
            return {

                template: "\n<div data-selector=\"video-recorder-container\" ba-show=\"{{!player_active}}\"\n     class=\"{{css}}-container {{csstheme}} {{css}}-size-{{csssize}}\n     {{iecss}}-{{ie8 ? 'ie8' : 'noie8'}} {{css}}-{{ fullscreened ? 'fullscreen' : 'normal' }}-view\n     {{cssrecorder}}-{{ firefox ? 'firefox' : 'common'}}-browser\n     {{cssrecorder}}-{{themecolor}}-color\n\t {{csscommon}}-full-width\n\t {{csscommon}}-max-height-100vh\" ba-styles=\"{{containerSizingStyles}}\"\n>\n\n    <video tabindex=\"-1\"\n\t\t   data-selector=\"recorder-status\" class=\"{{css}}-video {{css}}-{{hasrecorder ? 'hasrecorder' : 'norecorder'}}\"\n\t\t   data-video=\"video\" playsinline disablePictureInPicture\n\t></video>\n\t<ba-videorecorder-faceoutline class=\"{{css}}-overlay\" ba-if=\"{{faceoutline && hasrecorder && isrecorderready}}\"></ba-videorecorder-faceoutline>\n    <div data-selector=\"recorder-overlay\" style=\"{{placeholderstyle}}\"\n\t\t class=\"{{cssrecorder}}-overlay {{hasplaceholderstyle ? (css + '-overlay-with-placeholder') : ''}}\"\n\t\t ba-show=\"{{!hideoverlay}}\"\n\t\t data-overlay=\"overlay\"\n\t>\n\t\t<ba-{{dynloader}}\n\t\t\tba-css=\"{{cssloader || css}}\"\n\t\t\tba-cssrecorder=\"{{cssrecorder || css}}\"\n\t\t\tba-themecolor=\"{{themecolor}}\"\n\t\t\tba-template=\"{{tmplloader}}\"\n\t\t\tba-show=\"{{loader_active}}\"\n\t\t\tba-tooltip=\"{{loadertooltip}}\"\n\t\t\tba-hovermessage=\"{{=hovermessage}}\"\n\t\t\tba-label=\"{{loaderlabel}}\"\n\t\t></ba-{{dynloader}}>\n\n\t\t<ba-{{dynmessage}}\n\t\t\tba-css=\"{{cssmessage || css}}\"\n\t\t\tba-themecolor=\"{{themecolor}}\"\n\t\t\tba-cssrecorder=\"{{cssrecorder || css}}\"\n\t\t\tba-template=\"{{tmplmessage}}\"\n\t\t\tba-show=\"{{message_active}}\"\n\t\t\tba-message=\"{{message}}\"\n\t\t\tba-links=\"{{message_links}}\"\n\t\t\tba-event:click=\"message_click\"\n\t\t\tba-event:link=\"message_link_click\"\n\t\t></ba-{{dynmessage}}>\n\n\t\t<ba-{{dyntopmessage}}\n\t\t\tba-css=\"{{csstopmessage || css}}\"\n\t\t\tba-themecolor=\"{{themecolor}}\"\n\t\t\tba-cssrecorder=\"{{cssrecorder || css}}\"\n\t\t\tba-template=\"{{tmpltopmessage}}\"\n\t\t\tba-show=\"{{topmessage_active && (topmessage || hovermessage)}}\"\n\t\t\tba-topmessage=\"{{hovermessage || topmessage}}\"\n\t\t></ba-{{dyntopmessage}}>\n\n\t\t<ba-{{dynchooser}}\n\t\t\tba-if=\"{{chooser_active && !is_initial_state}}\"\n\t\t\tba-onlyaudio=\"{{onlyaudio}}\"\n\t\t\tba-facecamera=\"{{facecamera}}\"\n\t\t\tba-recordviafilecapture=\"{{recordviafilecapture}}\"\n\t\t\tba-css=\"{{csschooser || css}}\"\n\t\t\tba-themecolor=\"{{themecolor}}\"\n\t\t\tba-cssrecorder=\"{{cssrecorder || css}}\"\n\t\t\tba-template=\"{{tmplchooser}}\"\n\t\t\tba-allowscreen=\"{{allowscreen}}\"\n\t\t\tba-allowmultistreams=\"{{allowmultistreams}}\"\n\t\t\tba-parentpopup=\"{{popup}}\"\n\t\t\tba-allowrecord=\"{{allowrecord}}\"\n\t\t\tba-allowupload=\"{{allowupload}}\"\n\t\t\tba-allowcustomupload=\"{{allowcustomupload}}\"\n\t\t\tba-allowedextensions=\"{{allowedextensions}}\"\n\t\t\tba-primaryrecord=\"{{primaryrecord}}\"\n\t\t\tba-initialmessages=\"{{initialmessages}}\"\n\t\t\tba-timelimit=\"{{timelimit}}\"\n\t\t\tba-event:record=\"record_video\"\n\t\t\tba-event:record-screen=\"record_screen\"\n\t\t\tba-event:upload=\"video_file_selected\"\n\t\t></ba-{{dynchooser}}>\n\n\t\t<ba-{{dynimagegallery}}\n\t\t\tba-if=\"{{imagegallery_active}}\"\n\t\t\tba-css=\"{{cssimagegallery || css}}\"\n\t\t\tba-themecolor=\"{{themecolor}}\"\n\t\t\tba-cssrecorder=\"{{cssrecorder || css}}\"\n\t\t\tba-template=\"{{tmplimagegallery}}\"\n\t\t\tba-imagecount=\"{{gallerysnapshots}}\"\n\t\t\tba-snapshots=\"{{=snapshots}}\"\n\t\t\tba-imagenativewidth=\"{{nativeRecordingWidth}}\"\n\t\t\tba-imagenativeheight=\"{{nativeRecordingHeight}}\"\n\t\t\tba-event:image-selected=\"select_image\"\n\t\t\tba-event:upload-covershot=\"upload_covershot\"\n\t\t></ba-{{dynimagegallery}}>\n\n\t\t<ba-{{dyncontrolbar}}\n\t\t\tba-css=\"{{csscontrolbar || css}}\"\n\t\t\tba-cssrecorder=\"{{cssrecorder || css}}\"\n\t\t\tba-csstheme=\"{{csstheme || css}}\"\n\t\t\tba-themecolor=\"{{themecolor}}\"\n\t\t\tba-template=\"{{tmplcontrolbar}}\"\n\t\t\tba-show=\"{{controlbar_active}}\"\n\t\t\tba-cameras=\"{{cameras}}\"\n\t\t\tba-microphones=\"{{microphones}}\"\n\t\t\tba-noaudio=\"{{noaudio}}\"\n\t\t\tba-novideo=\"{{onlyaudio}}\"\n\t\t\tba-allowscreen=\"{{record_media==='screen' || record_media==='multistream'}}\"\n\t\t\tba-selectedcamera=\"{{selectedcamera || 0}}\"\n\t\t\tba-selectedmicrophone=\"{{selectedmicrophone || 0}}\"\n\t\t\tba-addstreamdeviceid=\"{{addstreamdeviceid || null}}\"\n\t\t\tba-showaddstreambutton=\"{{showaddstreambutton}}\"\n\t\t\tba-camerahealthy=\"{{camerahealthy}}\"\n\t\t\tba-microphonehealthy=\"{{microphonehealthy}}\"\n\t\t\tba-hovermessage=\"{{=hovermessage}}\"\n\t\t\tba-settingsvisible=\"{{settingsvisible}}\"\n\t\t\tba-recordvisible=\"{{recordvisible}}\"\n\t\t\tba-cancelvisible=\"{{allowcancel && cancancel}}\"\n\t\t\tba-uploadcovershotvisible=\"{{uploadcovershotvisible}}\"\n\t\t\tba-rerecordvisible=\"{{rerecordvisible}}\"\n\t\t\tba-stopvisible=\"{{stopvisible}}\"\n\t\t\tba-skipvisible=\"{{skipvisible}}\"\n\t\t\tba-controlbarlabel=\"{{controlbarlabel}}\"\n\t\t\tba-mintimeindicator=\"{{mintimeindicator}}\"\n\t\t\tba-timeminlimit=\"{{timeminlimit}}\"\n\t\t\tba-resumevisible=\"{{resumevisible}}\"\n\t\t\tba-pausable=\"{{pausable}}\"\n\t\t\tba-firefox=\"{{firefox}}\"\n\t\t\tba-event:select-camera=\"select_camera\"\n\t\t\tba-event:select-microphone=\"select_microphone\"\n\t\t\tba-event:invoke-record=\"record\"\n\t\t\tba-event:invoke-rerecord=\"rerecord\"\n\t\t\tba-event:invoke-stop=\"stop\"\n\t\t\tba-event:invoke-skip=\"invoke_skip\"\n\t\t\tba-event:invoke-pause=\"pause_recorder\"\n\t\t\tba-event:invoke-resume=\"resume\"\n\t\t\tba-event:invoke-cancel=\"cancel\"\n\t\t\tba-event:upload-covershot=\"upload_covershot\"\n\t\t\tba-event:toggle-face-mode=\"toggle_face_mode\"\n\t\t\tba-event:add-new-stream=\"add_new_stream\"\n\t\t></ba-{{dyncontrolbar}}>\n\n\t\t<ba-{{dynhelperframe}}\n\t\t\tba-if=\"{{helperframe_active || framevisible}}\"\n\t\t\tba-template=\"{{tmphelperframe}}\"\n\t\t\tba-framereversable= \"{{multistreamreversable}}\"\n\t\t\tba-framedragable=\"{{multistreamdraggable}}\"\n\t\t\tba-frameresizeable=\"{{multistreamresizeable}}\"\n\t\t\tba-framepositionx=\"{{addstreampositionx}}\"\n\t\t\tba-framepositiony=\"{{addstreampositiony}}\"\n\t\t\tba-frameproportional=\"{{addstreamproportional}}\"\n\t\t\tba-flipframe=\"{{flip-camera}}\"\n\t\t></ba-{{dynhelperframe}}>\n\t</div>\n</div>\n\n\n<div data-selector=\"recorder-player\" ba-if=\"{{player_active}}\" ba-styles=\"{{containerSizingStyles}}\">\n\t<span ba-show=\"{{ie8}}\">&nbsp;</span>\n\t<ba-{{dynvideoplayer}}\n\t\tba-theme=\"{{theme || 'default'}}\"\n\t\tba-themecolor=\"{{themecolor}}\"\n\t\tba-cssrecorder=\"{{cssrecorder || css}}\"\n\t\tba-source=\"{{localplayback ? playbacksource : ''}}\"\n\t\tba-poster=\"{{localplayback ? playbackposter : ''}}\"\n\t\tba-localplayback=\"{{localplayback}}\"\n\t\tba-hideoninactivity=\"{{false}}\"\n\t\tba-showsettingsmenu=\"{{showplayersettingsmenu}}\"\n\t\tba-onlyaudio=\"{{onlyaudio}}\"\n\t\tba-attrs=\"{{playerattrs}}\"\n\t\tba-data:id=\"player\"\n\t\tba-width=\"100%\"\n\t\tba-height=\"100%\"\n\t\tba-totalduration=\"{{duration}}\"\n\t\tba-rerecordable=\"{{rerecordable && (recordings === null || recordings > 0)}}\"\n\t\tba-submittable=\"{{manualsubmit && verified}}\"\n\t\tba-reloadonplay=\"{{true}}\"\n\t\tba-autoplay=\"{{autoplay}}\"\n\t\tba-nofullscreen=\"{{nofullscreen}}\"\n\t\tba-topmessage=\"{{playertopmessage}}\"\n\t\tba-allowtexttrackupload=\"{{allowtexttrackupload}}\"\n\t\tba-uploadtexttracksvisible=\"{{uploadtexttracksvisible}}\"\n\t\tba-snapshottype=\"{{snapshottype}}\"\n\t\tba-tracktags=\"{{tracktags}}\"\n\t\tba-tracktagsstyled=\"{{tracktagsstyled}}\"\n\t\tba-trackcuetext=\"{{trackcuetext}}\"\n\t\tba-acceptedtracktexts=\"{{acceptedtracktexts}}\"\n\t\tba-sharevideo=\"{{sharevideo}}\"\n\t\tba-videofitstrategy=\"{{videofitstrategy}}\"\n\t\tba-posterfitstrategy=\"{{posterfitstrategy}}\"\n\t\tba-placeholderstyle=\"{{placeholderstyle}}\"\n\t\tba-event:loaded=\"ready_to_play\"\n\t\tba-event:rerecord=\"rerecord\"\n\t\tba-event:playing=\"playing\"\n\t\tba-event:paused=\"paused\"\n\t\tba-event:ended=\"ended\"\n\t\tba-event:submit=\"manual_submit\"\n\t\tba-event:upload-text-tracks=\"upload_text_tracks\"\n\t\tba-tracksshowselection=\"{{tracksshowselection}}\"\n\t\tba-trackselectorhovered=\"{{trackselectorhovered}}\"\n\t\tba-uploadlocales=\"{{uploadlocales}}\"\n\t\tba-frameselectionmode=\"{{frameselectionmode}}\"\n\t\tba-timeminlimit=\"{{timeminlimit}}\"\n\t\tba-event:selected_label_value=\"selected_label_value\"\n\t\tba-event:move_to_option=\"move_to_option\"\n\t>\n\t</ba-{{dynvideoplayer}}>\n</div>\n",

                attrs: {
                    /* CSS */
                    "css": "ba-videorecorder",
                    "csscommon": "ba-commoncss",
                    "cssrecorder": "ba-recorder",
                    "iecss": "ba-videorecorder",
                    "cssimagegallery": "",
                    "cssloader": "",
                    "csscontrolbar": "",
                    "cssmessage": "",
                    "csstopmessage": "",
                    "csschooser": "",
                    "csshelperframe": "",
                    "gallerysnapshots": 3,
                    "popup-width": "",
                    "popup-height": "",

                    /* Themes */
                    "theme": "",
                    "csstheme": "",
                    "themecolor": "",

                    /* Dynamics */
                    "dynimagegallery": "videorecorder-imagegallery",
                    "dynloader": "videorecorder-loader",
                    "dyncontrolbar": "videorecorder-controlbar",
                    "dynmessage": "videorecorder-message",
                    "dyntopmessage": "videorecorder-topmessage",
                    "dynchooser": "videorecorder-chooser",
                    "dynvideoplayer": "videoplayer",
                    "dynhelperframe": "helperframe",

                    /* Templates */
                    "tmplimagegallery": "",
                    "tmplloader": "",
                    "tmplcontrolbar": "",
                    "tmplmessage": "",
                    "tmpltopmessage": "",
                    "tmplchooser": "",
                    "tmplhelperframe": "",

                    /* Attributes */
                    "autorecord": false,
                    "autoplay": false,
                    "allowrecord": true,
                    "allowupload": true,
                    "allowcustomupload": true,
                    "manual-upload": false,
                    "camerafacefront": false,
                    "fittodimensions": false,
                    "resizemode": null, // enum option to scale screen recorder, has 2 options: 'crop-and-scale',  'none'
                    "createthumbnails": false,
                    "primaryrecord": true,
                    "allowscreen": false,
                    "initialmessages": [], // should include object at least with message key, and optional type with enum: "error", "warninig" (default) or "success"
                    "screenrecordmandatory": false,
                    "nofullscreen": false,
                    "recordingwidth": undefined,
                    "recordingheight": undefined,
                    "minuploadingwidth": undefined,
                    "maxuploadingwidth": undefined,
                    "minuploadingheight": undefined,
                    "maxuploadingheight": undefined,
                    "countdown": 3,
                    "snapshotmax": 15,
                    "framerate-warning": null,
                    "framerate": null,
                    "audiobitrate": null,
                    "videobitrate": null,
                    "snapshottype": "jpg",
                    "picksnapshots": true,
                    "playbacksource": "",
                    "screen": {},
                    "playbackposter": "",
                    "recordermode": true,
                    "skipinitial": false,
                    "skipinitialonrerecord": false,
                    "timelimit": null,
                    "timeminlimit": null,
                    "webrtcstreaming": false,
                    "webrtconmobile": false,
                    "webrtcstreamingifnecessary": true,
                    "microphone-volume": 1.0,
                    "flip-camera": false,
                    "flipscreen": false, // Will affect as true, if flip-camera also set as true
                    "early-rerecord": false,
                    "custom-covershots": false,
                    "selectfirstcovershotonskip": false,
                    "picksnapshotmandatory": false,
                    "media-orientation": null, // possible options "landscape", "portrait"
                    "manualsubmit": false,
                    "allowedextensions": null,
                    "filesizelimit": null,
                    "faceoutline": false,
                    "display-timer": true,
                    "pausable": false,
                    "sharevideo": [],
                    "videofitstrategy": "pad",
                    "posterfitstrategy": "crop",
                    "placeholderstyle": "",
                    "hasplaceholderstyle": false,
                    /** outsource-selectors should start with cam-* or/and mic-* will add in the feature other selectors.
                     * If set skipinitial devices info will be accessible w/o pressing record button
                     * all settings should be seperated by ';' and has to be ID selector (only characters: "-", "_", numbers and letters allowed)
                     * OPTIONS:
                     * 'type': Could be manage type of element, by default will be 'select' element
                     * possible types: 'radio', 'select'(default) all should be as a string
                     * 'disabled': Could be set disable by default, and of there're no option more than 1
                     * device selection. Default is true
                     * 'className': will be added as a class attribute to single option and in label for radio
                     * 'showCapabilities' for camera only and if available camera resolutions info provided
                     * by browser. Default is true
                     * examples:
                     * "cam-my-own-id-selector;mic-my-own-id-selector"
                     * "cam-my-own-id-selector[type='select',disabled=false,showCapabilities=true];mic-my-own-id-selector[type='radio',className='class1 class2 etc']"
                     */
                    "outsource-selectors": null,

                    /* Configuration */
                    "simulate": false,
                    "onlyaudio": false,
                    "noaudio": false,
                    "enforce-duration": null,
                    "localplayback": false,
                    "uploadoptions": {},
                    "playerattrs": {},
                    "shortMessage": true,
                    "cpu-friendly": false,

                    /* Options */
                    "rerecordable": true,
                    "allowcancel": false,
                    "recordings": null,
                    "ready": true,
                    "orientation": false,
                    "popup": false,
                    "audio-test-mandatory": false,
                    "snapshotfromuploader": false,
                    "snapshotfrommobilecapture": false,
                    "allowmultistreams": false,
                    "showaddstreambutton": false,
                    "multistreamreversable": true,
                    "multistreamdraggable": true,
                    "multistreamresizeable": false,
                    "addstreamproportional": true,
                    "addstreampositionx": 5,
                    "addstreampositiony": 5,
                    "addstreampositionwidth": 120,
                    "addstreampositionheight": null,
                    "addstreamminwidth": 120,
                    "addstreamminheight": null,
                    "addstreamdeviceid": null,
                    "showsettingsmenu": true, // As a property show/hide settings from users
                    "showplayersettingsmenu": true, // As a property show/hide after recorder player settings from users

                    "allowtexttrackupload": false,
                    "framevisible": false,
                    "uploadlocales": [{
                        lang: 'en',
                        label: 'English'
                    }],
                    "tracktags": [],
                    "outsourceSelectors": [],
                    "hassubtitles": false,
                    "videometadata": {},
                    "optionsinitialstate": {},
                    "playerfallbackwidth": 320,
                    "playerfallbackheight": 240,
                    "pickcovershotframe": false,
                    "allowtrim": false,
                    "trimoverlay": true
                },

                computed: {
                    "nativeRecordingWidth:recordingwidth,record_media": function() {
                        return this.get("recordingwidth") || ((this.get("record_media") !== "screen" && (this.get("record_media") !== "multistream")) ? 640 : (window.innerWidth || document.body.clientWidth));
                    },
                    "nativeRecordingHeight:recordingheight,record_media": function() {
                        return this.get("recordingheight") || ((this.get("record_media") !== "screen" && (this.get("record_media") !== "multistream")) ? 480 : (window.innerHeight || document.body.clientHeight));
                    },
                    "containerSizingStyles:aspectratio,nativeRecordingWidth,nativeRecordingHeight,activated, height, width": function(aspectRatio, fallbackWidth, fallbackHeight, active, height, width) {
                        var result = {
                            aspectRatio: aspectRatio || fallbackWidth + "/" + fallbackHeight
                        };
                        if (height) result.height = typeof height === "string" && height[height.length - 1] === "%" ? height : height + "px";
                        if (width) result.width = typeof width === "string" && width[width.length - 1] === "%" ? width : width + "px";
                        if (active && (Info.isInternetExplorer() || (Info.isSafari() && Info.safariVersion() < 15))) {
                            new ResizeObserver(function(entries) {
                                this.set("height", Math.floor(entries[0].target.offsetWidth / (aspectRatio || (fallbackWidth / fallbackHeight))));
                            }.bind(this)).observe(this.activeElement().parentElement);
                            result.height = Math.floor(this.activeElement().parentElement.offsetWidth / (aspectRatio || (fallbackWidth / fallbackHeight))) + "px";
                        }
                        if (this.activeElement()) this._applyStyles(this.activeElement(), result, this.__lastContainerSizingStyles);
                        this.__lastContainerSizingStyles = result;
                        return result;
                    },
                    "canswitchcamera:recordviafilecapture": function() {
                        return !this.get("recordviafilecapture") && Info.isMobile();
                    }
                },

                scopes: {
                    player: ">[id='player']"
                },

                types: {
                    "allowscreen": "boolean",
                    "rerecordable": "boolean",
                    "ready": "boolean",
                    "fittodimensions": "boolean",
                    "autorecord": "boolean",
                    "autoplay": "boolean",
                    "allowrecord": "boolean",
                    "allowupload": "boolean",
                    "allowcustomupload": "boolean",
                    "primaryrecord": "boolean",
                    "recordermode": "boolean",
                    "nofullscreen": "boolean",
                    "skipinitialonrerecord": "boolean",
                    "picksnapshots": "boolean",
                    "localplayback": "boolean",
                    "camerafacefront": "boolean",
                    "noaudio": "boolean",
                    "skipinitial": "boolean",
                    "popup": "boolean",
                    "popup-width": "int",
                    "popup-height": "int",
                    "enforce-duration": "bool",
                    "webrtcstreaming": "boolean",
                    "themecolor": "string",
                    "webrtconmobile": "boolean",
                    "manual-upload": "boolean",
                    "webrtcstreamingifnecessary": "boolean",
                    "microphone-volume": "float",
                    "audiobitrate": "int",
                    "videobitrate": "int",
                    "minuploadingwidth": "int",
                    "maxuploadingwidth": "int",
                    "minuploadingheight": "int",
                    "maxuploadingheight": "int",
                    "framerate-warning": "int",
                    "snapshotfromuploader": "boolean",
                    "snapshotfrommobilecapture": "boolean",
                    "flip-camera": "boolean",
                    "flipscreen": "boolean",
                    "faceoutline": "boolean",
                    "early-rerecord": "boolean",
                    "custom-covershots": "boolean",
                    "picksnapshotmandatory": "boolean",
                    "selectfirstcovershotonskip": "boolean",
                    "manualsubmit": "boolean",
                    "simulate": "boolean",
                    "allowedextensions": "array",
                    "onlyaudio": "boolean",
                    "cpu-friendly": "boolean",
                    "allowcancel": "boolean",
                    "display-timer": "boolean",
                    "audio-test-mandatory": "boolean",
                    "allowtexttrackupload": "boolean",
                    "uploadlocales": "array",
                    "allowmultistreams": "boolean",
                    "pausable": "boolean",
                    "sharevideo": "array",
                    "multistreamreversable": "boolean",
                    "multistreamdraggable": "boolean",
                    "multistreamresizeable": "boolean",
                    "addstreamproportional": "boolean",
                    "addstreampositionx": "int",
                    "addstreampositiony": "int",
                    "addstreampositionwidth": "int",
                    "addstreampositionheight": "int",
                    "addstreamminwidth": "int",
                    "addstreamminheight": "int",
                    "showsettingsmenu": "boolean",
                    "showplayersettingsmenu": "boolean",
                    "initialmessages": "array",
                    "screenrecordmandatory": "boolean",
                    "media-orientation": "string",
                    "mandatoryresolutions": "array",
                    "pickcovershotframe": "boolean",
                    "allowtrim": "boolean",
                    "trimoverlay": "boolean",
                    "outsourceSelectors": []
                },

                extendables: ["states"],

                remove_on_destroy: true,

                events: {
                    "change:camerahealthy": function(value) {
                        this.trigger("camerahealth", value);
                    },
                    "change:microphonehealthy": function(value) {
                        this.trigger("microphonehealth", value);
                    },
                    "change:webrtconmobile": function() {
                        this.set("recordviafilecapture", Info.isMobile() && (!this.get("webrtconmobile") || !VideoRecorderWrapper.anySupport(this._videoRecorderWrapperOptions())));
                    },
                    "change:recordviafilecapture": function() {
                        if (this.get("recordviafilecapture")) {
                            this.set("skipinitial", false);
                            this.set("skipinitialonrerecord", false);
                            this.set("autorecord", false);
                            this._screenRecorderVerifier(false);
                        }
                    },
                    "change:placeholderstyle": function(value) {
                        this.set("hasplaceholderstyle", value.length > 10);
                    }
                },

                create: function() {
                    this._validateParameters();
                    // Init Audio Context
                    WebRTCSupport.globals();
                    this.set("optionsinitialstate", {
                        autorecord: this.get("autorecord"),
                        skipinitial: this.get("skipinitial")
                    });

                    if (this.get("theme")) this.set("theme", this.get("theme").toLowerCase());
                    if (this.get("theme") in Assets.recorderthemes) {
                        Objs.iter(Assets.recorderthemes[this.get("theme")], function(value, key) {
                            if (!this.isArgumentAttr(key))
                                this.set(key, value);
                        }, this);
                    }
                    if (!this.get("themecolor"))
                        this.set("themecolor", "default");

                    if (this.get("pausable"))
                        this.set("resumevisible", false);

                    this.set("ie8", Info.isInternetExplorer() && Info.internetExplorerVersion() < 9);
                    this.set("hideoverlay", false);
                    this.set("firefox", Info.isFirefox());

                    this.set("canswitchcamera", false);
                    this.set("recordviafilecapture", Info.isMobile() && (!this.get("webrtconmobile") || !VideoRecorderWrapper.anySupport(this._videoRecorderWrapperOptions())));

                    if (this.get("outsource-selectors")) {
                        var selectors = Objs.map(this.get("outsource-selectors").split(/;/), function(item) {
                            var obj = {
                                options: {
                                    type: 'select',
                                    disabled: true,
                                    showCapabilities: true
                                }
                            };
                            var options = '';
                            var splitted = item.split("[");
                            var selector = splitted[0];
                            var camSelectorPatters = /^cam\-[A-Za-z\d\-\_]*/i;
                            var micSelectorPatters = /^mic\-[A-Za-z\d\-\_]*/i;
                            if (camSelectorPatters.test(selector)) {
                                obj.isCamera = true;
                                obj.selector = selector;
                            }
                            if (micSelectorPatters.test(selector)) {
                                obj.isCamera = false;
                                obj.selector = selector;
                            }

                            if (splitted[1]) {
                                options = splitted[1].replace(/\]$/, "")
                                    .replace(/\=/g, ':').replace(/\'/g, '"')
                                    .replace(/(\w+:)|(\w+ :)/g, function(matchedStr) {
                                        return '"' + matchedStr.substring(0, matchedStr.length - 1) + '":';
                                    });
                            }
                            if (options.length > 5) {
                                try {
                                    var parsedOptions = JSON.parse("{" + options + "}");
                                    obj.options = Objs.tree_extend(obj.options, parsedOptions);
                                } catch (e) {
                                    console.warn("Wrong settins for 'outsource-selectors' was provided");
                                }
                            }

                            if (!Types.is_undefined(obj.isCamera)) {
                                return obj;
                            }

                        }, this);
                        this.set("outsourceSelectors", selectors);
                    }

                    if (this.get("recordviafilecapture")) {
                        this.set("skipinitial", false);
                        this.set("skipinitialonrerecord", false);
                        this.set("autorecord", false);
                        this._screenRecorderVerifier(false);
                    }

                    this.__attachRequested = false;
                    this.__activated = false;
                    this._bound = false;
                    this.__recording = false;
                    this.__error = null;

                    this.host = new Host({
                        stateRegistry: new ClassRegistry(this.cls.recorderStates())
                    });
                    this.host.dynamic = this;
                    this.host.initialize(InitialState);

                    this._timer = new Timers.Timer({
                        context: this,
                        fire: this._timerFire,
                        delay: 250,
                        start: true
                    });

                    this.activeElement().style.setProperty("display", "inline-block");
                    this._applyStyles(this.activeElement(), this.get("containerSizingStyles"));

                    this.__cameraResponsive = true;
                    this.__cameraSignal = true;

                    this._initSettings();

                    if (this.get("onlyaudio")) {
                        this.set("allowupload", false);
                        this.set("orientation", false);
                        // By default custom-covershots is false, if user want poster they can upload it
                        this.set("picksnapshots", this.get("custom-covershots"));
                    }
                    if (!Info.isMobile())
                        this.set("orientation", false);
                    this.set("currentorientation", window.innerHeight > window.innerWidth ? "portrait" : "landscape");
                    this._screenRecorderVerifier();
                },

                state: function() {
                    return this.host.state();
                },

                recorderAttached: function() {
                    return !!this.recorder;
                },

                videoError: function() {
                    return this.__error;
                },

                _error: function(error_type, error_code) {
                    this.__error = {
                        error_type: error_type,
                        error_code: error_code
                    };
                    this.trigger("error:" + error_type, error_code);
                    this.trigger("error", error_type, error_code);
                },

                _clearError: function() {
                    this.__error = null;
                },

                _detachRecorder: function() {
                    if (this.recorder)
                        this.recorder.weakDestroy();
                    this.recorder = null;
                    this.set("hasrecorder", false);
                    // to prevent autorecord if user not set, but use reset()
                    this.set("autorecord", this.get("optionsinitialstate").autorecord);
                },

                _validateParameters: function() {
                    var fitStrategies = ["crop", "pad", "original"];
                    if (!fitStrategies.includes(this.get("videofitstrategy"))) {
                        console.warn("Invalid value for videofitstrategy: " + this.get("videofitstrategy") + "\nPossible values are: " + fitStrategies.slice(0, -1).join(", ") + " or " + fitStrategies.slice(-1));
                    }
                    if (!fitStrategies.includes(this.get("posterfitstrategy"))) {
                        console.warn("Invalid value for posterfitstrategy: " + this.get("posterfitstrategy") + "\nPossible values are: " + fitStrategies.slice(0, -1).join(", ") + " or " + fitStrategies.slice(-1));
                    }
                    if (this.get("stretch") || this.get("stretchwidth") || this.get("stretchheight")) {
                        console.warn("Stretch parameters were deprecated, your player will stretch to the full container width by default.");
                    }

                    var deprecatedCSS = ["minheight", "minwidth", "minheight", "minwidth"];
                    deprecatedCSS.forEach(function(parameter) {
                        if (this.get(parameter)) console.warn(parameter + " parameter was deprecated, please use CSS instead.");
                    }.bind(this));
                },

                _videoRecorderWrapperOptions: function() {
                    var _screen = null;
                    var _resizeMode = this.get("resizemode");
                    if ((this.get("allowscreen") && this.get("record_media") === "screen") || (this.get("allowmultistreams") && this.get("record_media") === "multistream")) {
                        _screen = this.get("screen");
                        if (!_resizeMode) {
                            _resizeMode = 'none';

                        }
                    }
                    if (!this.get("allowrecord") && (this.get("autorecord") || this.get("skipinitial"))) {
                        if (this.get("allowscreen") || this.get("allowmultistreams")) {
                            this.set("record_media", this.get("allowscreen") ? "screen" : "multistream");
                            _screen = {};
                        }
                    }

                    return {
                        simulate: this.get("simulate"),
                        recordVideo: !this.get("onlyaudio"),
                        screenResizeMode: this.get("screenresizemode"),
                        recordAudio: !this.get("noaudio"),
                        recordingWidth: this.get("nativeRecordingWidth"),
                        recordingHeight: this.get("nativeRecordingHeight"),
                        audioBitrate: typeof this.get("audiobitrate") === "number" ? this.get("audiobitrate") : undefined,
                        videoBitrate: typeof this.get("videobitrate") === "number" ? this.get("videobitrate") : undefined,
                        webrtcStreaming: !!this.get("webrtcstreaming"),
                        webrtcStreamingIfNecessary: !!this.get("webrtcstreamingifnecessary"),
                        // webrtcOnMobile: !!this.get("webrtconmobile"),
                        localPlaybackRequested: this.get("localplayback"),
                        screen: _screen,
                        resizeMode: _resizeMode,
                        framerate: this.get("framerate"),
                        flip: this.get("flip-camera"),
                        flipscreen: this.get("flipscreen"),
                        fittodimensions: this.get("fittodimensions"),
                        cpuFriendly: this.get("cpu-friendly")
                    };
                },

                _attachRecorder: function() {
                    if (this.recorderAttached())
                        return;
                    if (!this.__activated) {
                        this.__attachRequested = true;
                        return;
                    }
                    if (this.get("record_media") === "screen" && typeof navigator.mediaDevices !== 'undefined')
                        if (typeof navigator.mediaDevices.getDisplayMedia === "undefined")
                            this.set("webrtcstreaming", true);
                    this.set("hasrecorder", true);
                    this.__attachRequested = false;
                    var video = this.activeElement().querySelector("[data-video='video']");
                    this._clearError();
                    this.recorder = VideoRecorderWrapper.create(Objs.extend({
                        element: video
                    }, this._videoRecorderWrapperOptions()));
                    if (this.recorder) {
                        this.trigger("attached");
                        this.set("pausable", this.get("pausable") && this.recorder.canPause());
                    } else
                        this._error("attach");
                },

                _softwareDependencies: function() {
                    if (!this.recorderAttached() || !this.recorder)
                        return Promise.error("No recorder attached.");
                    return this.recorder.softwareDependencies();
                },

                _bindMedia: function() {
                    if (this._bound || !this.recorderAttached() || !this.recorder)
                        return;
                    this.recorder.ready.success(function() {
                        if (!this.recorder) return;
                        this.recorder.on("require_display", function() {
                            this.set("hideoverlay", true);
                        }, this);
                        this.recorder.bindMedia().error(function(e) {
                            this.trigger("access_forbidden", e);
                            this.set("hideoverlay", false);
                            this.off("require_display", null, this);
                            this._error("bind", e);
                        }, this).success(function() {
                            if (!this.recorder) return;
                            this.trigger("access_granted");
                            this.recorder.setVolumeGain(this.get("microphone-volume"));
                            this.set("hideoverlay", false);
                            this.off("require_display", null, this);
                            this.recorder.once("mainvideostreamended", function() {
                                this.trigger("mainvideostreamended");
                            }, this);
                            this.recorder.enumerateDevices().success(function(devices) {
                                if (!this.recorder) return;
                                this.recorder.once("currentdevicesdetected", function(currentDevices) {
                                    this.set("selectedcamera", currentDevices.video);
                                    this.set("selectedmicrophone", currentDevices.audio);
                                    if (this.get("outsourceSelectors").length > 0) {
                                        this.setOutsourceSelectors(currentDevices);
                                    }
                                }, this);
                                this.set("cameras", new Collection(Objs.values(devices.video)));
                                this.set("microphones", new Collection(Objs.values(devices.audio)));
                                this.trigger(Types.is_empty(devices.video) ? "no_camera" : "has_camera");
                                this.trigger(Types.is_empty(devices.audio) ? "no_microphone" : "has_microphone");
                                this.set("showaddstreambutton", this._showAddStreamButton());
                            }, this);
                            if (!this.get("noaudio"))
                                this.recorder.testSoundLevel(true);
                            this.set("devicetesting", true);
                            while (this.get("snapshots").length > 0) {
                                var snapshot = this.get("snapshots").unshift();
                                this.recorder.removeSnapshot(snapshot);
                            }
                            this._bound = true;
                            this.trigger("bound");
                        }, this);
                    }, this);
                },

                isWebrtcStreaming: function() {
                    return this.recorder && this.recorder.isWebrtcStreaming();
                },

                _showAddStreamButton: function() {
                    return this.get("allowmultistreams") && (this.get("cameras").count() > 1 || this.get("cameras").count() >= 1 && ((this.get("record_media") !== "screen" || (this.get("record_media") !== "multistream"))));
                },

                _initSettings: function() {
                    // Without below line re-recorder will not launch
                    this.set("snapshots", []);
                    this.thumbnails = [];
                    this.__lastCovershotUpload = undefined;
                    this.__pauseDelta = 0;
                    this.set("starttime", undefined);
                    this.set("endtime", undefined);
                    this.set("duration", 0);
                    this.set("videometadata", {
                        "height": null,
                        "width": null,
                        "ratio": null,
                        "thumbnails": {
                            "mainimage": null,
                            "images": []
                        },
                        "placeholderSnapshot": null
                    });
                },

                _initializeUploader: function() {
                    if (this._dataUploader)
                        this._dataUploader.weakDestroy();
                    this._dataUploader = new MultiUploader();
                },

                _unbindMedia: function() {
                    if (!this._bound)
                        return;
                    this.recorder.unbindMedia();
                    this._bound = false;
                },

                _uploadCovershot: function(image) {
                    if (this.get("simulate"))
                        return;
                    this.__lastCovershotUpload = image;
                    var uploader = this.recorder ?
                        this.recorder.createSnapshotUploader(image, this.get("snapshottype"), this.get("uploadoptions").image) :
                        RecorderSupport.createSnapshotUploader(image, this.get("snapshottype"), this.get("uploadoptions").image);
                    uploader.upload();
                    this._dataUploader.addUploader(uploader);
                },

                _uploadCovershotFile: function(file) {
                    if (this.get("simulate"))
                        return;
                    this.__lastCovershotUpload = file;
                    var uploader = FileUploader.create(Objs.extend({
                        source: file
                    }, this.get("uploadoptions").image));
                    uploader.upload();
                    this._dataUploader.addUploader(uploader);
                },

                /**
                 * Upload single image Blob file with thumbnails to the server
                 * @param {Blob} file
                 * @private
                 */
                _uploadThumbnails: function(file) {
                    if (this.get("simulate"))
                        return;
                    this.set("videometadata", Objs.tree_merge(this.get("videometadata"), {
                        thumbnails: {
                            mainimage: file
                        }
                    }));
                    var uploader = FileUploader.create(Objs.extend({
                        source: file
                    }, this.get("uploadoptions").thumbnail));
                    uploader.upload();
                    this._dataUploader.addUploader(uploader);
                },

                /**
                 * Upload VTT Blob file to the server with all details about thumbnails
                 * @param {Blob} file
                 * @private
                 */
                _uploadThumbnailTracks: function(file) {
                    if (this.get("simulate"))
                        return;
                    var uploader = FileUploader.create(Objs.extend({
                        source: file
                    }, this.get("uploadoptions").tracks));
                    // Add Thumbnails as Track element to the player
                    if (this.get("uploadoptions").tracks.url) {
                        this.get("tracktags").push({
                            kind: 'thumbnails',
                            src: this.get("uploadoptions").tracks.url
                        });
                    }
                    uploader.upload();
                    this._dataUploader.addUploader(uploader);
                },

                _uploadVideoFile: function(file) {
                    if (this.get("simulate"))
                        return;
                    var uploader = FileUploader.create(Objs.extend({
                        source: file
                    }, this.get("uploadoptions").video));
                    uploader.upload();
                    this._dataUploader.addUploader(uploader);
                },

                _prepareRecording: function() {
                    return Promise.create(true);
                },

                _startRecording: function() {
                    if (this.__recording)
                        return Promise.error(true);
                    if (!this.get("noaudio"))
                        this.recorder.testSoundLevel(false);
                    this.set("devicetesting", false);
                    return this.recorder.startRecord({
                        video: this.get("uploadoptions").video,
                        audio: this.get("uploadoptions").audio,
                        webrtcStreaming: this.get("uploadoptions").webrtcStreaming
                    }).success(function() {
                        this.__recording = true;
                        this.__recording_start_time = Time.now();
                    }, this);
                },

                _stopRecording: function() {
                    if (!this.__recording)
                        return Promise.error(true);
                    return this.recorder.stopRecord({
                        video: this.get("uploadoptions").video,
                        audio: this.get("uploadoptions").audio,
                        webrtcStreaming: this.get("uploadoptions").webrtcStreaming,
                        noUploading: this.get("uploadoptions").noUploading
                    }).success(function(uploader) {
                        this.__recording = false;
                        uploader.upload();
                        this._dataUploader.addUploader(uploader);
                    }, this);
                },

                isRecording: function() {
                    return this.__recording;
                },

                _verifyRecording: function() {
                    return Promise.create(true);
                },

                _afterActivate: function(element) {
                    inherited._afterActivate.call(this, element);
                    this.set("activated", true);
                    this.__activated = true;
                    if (this.__attachRequested)
                        this._attachRecorder();
                    this.persistentTrigger("loaded");
                    this.activeElement().classList.add(this.get("csscommon") + "-full-width");
                    this.activeElement().classList.add(this.get("csscommon") + "-max-height-100vh");
                },

                _showBackgroundSnapshot: function() {
                    if (this.get("onlyaudio"))
                        return;
                    this._hideBackgroundSnapshot();
                    if (this.get("snapshots") && this.get("selectfirstcovershotonskip")) {
                        if (this.get("snapshots")[0])
                            this.__backgroundSnapshot = this.get("snapshots")[0];
                    }
                    if (!this.__backgroundSnapshot && this.recorder) {
                        this.__backgroundSnapshot = this.recorder.createSnapshot(this.get("snapshottype"));
                    }
                    var el = this.activeElement().querySelector("[data-video]");
                    var dimensions = Dom.elementDimensions(el);
                    if (this.__backgroundSnapshot) {
                        var _top, _left, _width, _height, _dimensions;
                        _top = 0;
                        _left = 0;
                        _width = dimensions.width;
                        _height = dimensions.height;
                        if (this.recorder._recorder._videoTrackSettings && typeof this.recorder._recorder._videoTrackSettings.videoInnerFrame !== "undefined") {
                            _dimensions = this.recorder._recorder._videoTrackSettings.videoInnerFrame;
                            _width = _dimensions.width || _width;
                            _height = _dimensions.height || _height;
                            _left = (dimensions.width - _width) / 2;
                            _top = (dimensions.height - _height) / 2;
                        }
                        this.__backgroundSnapshotDisplay = this.recorder.createSnapshotDisplay(el, this.__backgroundSnapshot, _left, _top, _width, _height);
                    }

                },

                _hideBackgroundSnapshot: function() {
                    if (this.get("onlyaudio"))
                        return;
                    if (this.__backgroundSnapshotDisplay)
                        this.recorder.removeSnapshotDisplay(this.__backgroundSnapshotDisplay);
                    delete this.__backgroundSnapshotDisplay;
                    if (this.__backgroundSnapshot)
                        this.recorder.removeSnapshot(this.__backgroundSnapshot);
                    delete this.__backgroundSnapshot;
                },

                _getFirstFrameSnapshot: function() {
                    if (this.__firstFrameSnapshot)
                        return Promise.value(this.__firstFrameSnapshot);

                    if (!(this._videoFile || (this.recorder && this.recorder.localPlaybackSource().src)))
                        return Promise.error("No source to get the snapshot from");

                    var promise = Promise.create();
                    var blob = this._videoFile || this.recorder.localPlaybackSource().src;
                    RecorderSupport.createSnapshotFromSource(URL.createObjectURL(blob), this.get("snapshottype"), 0)
                        .success(function(snapshot) {
                            this.__firstFrameSnapshot = snapshot;
                            promise.asyncSuccess(snapshot);
                            URL.revokeObjectURL(blob);
                        }, this)
                        .error(function(error) {
                            promise.asyncError(error);
                            URL.revokeObjectURL(blob);
                        }, this);

                    return promise;
                },

                toggleFaceOutline: function(new_status) {
                    if (typeof new_status === 'undefined') {
                        this.set("faceoutline", !this.get("faceoutline"));
                    } else {
                        this.set("faceoutline", new_status);
                    }
                },

                isMobile: function() {
                    return Info.isMobile();
                },

                object_functions: [
                    "record", "rerecord", "record_screen", "stop", "play", "pause", "reset", "cancel",
                    "pause_recorder", "resume", "upload_video", "upload_covershot", "select_camera",
                    "select_microphone", "add_new_stream", "trim"
                ],

                functions: {

                    cancel: function() {
                        if (confirm(this.stringUnicode("cancel-confirm")))
                            this.execute("reset");
                    },

                    record: function() {
                        if (this._delegatedRecorder) {
                            this._delegatedRecorder.execute("record");
                            return;
                        }
                        this.host.state().record();
                    },

                    record_video: function() {
                        this.host.state().selectRecord();
                    },

                    record_screen: function(isMultiStream) {
                        if (this._delegatedRecorder) {
                            this._delegatedRecorder.execute("record_screen");
                            return;
                        }
                        this.host.state().selectRecordScreen(isMultiStream);
                    },

                    pause_recorder: function() {
                        if (this._delegatedRecorder) {
                            this._delegatedRecorder.execute("pause_recorder");
                            return;
                        }
                        if (typeof this.recorder !== 'undefined') {
                            this.__paused = true;
                            this.__pauseStart = Time.now();
                            this.__recording = false;
                            this.recorder.pauseRecord();
                            this.recorder._recorder.once("paused", function(ev) {
                                this.set("resumevisible", true);
                            }, this);
                        }
                    },

                    resume: function() {
                        if (this._delegatedRecorder) {
                            this._delegatedRecorder.execute("resume");
                            return;
                        }
                        if (typeof this.recorder !== 'undefined')
                            this._resume();
                    },

                    video_file_selected: function(file) {
                        this.__selected_video_file = file;
                        if (!this.get("manual-upload"))
                            this.execute("upload_video");
                    },

                    upload_video: function(file) {
                        this.host.state().selectUpload(file || this.__selected_video_file);
                    },

                    upload_covershot: function(file) {
                        this.host.state().uploadCovershot(file);
                    },

                    select_camera: function(camera_id) {
                        if (this.recorder) {
                            this.recorder.setCurrentDevices({
                                video: camera_id
                            });
                            this.set("showaddstreambutton", this._showAddStreamButton());
                            this.set("selectedcamera", camera_id);
                        }
                    },

                    select_microphone: function(microphone_id) {
                        if (this.recorder) {
                            this.recorder.setCurrentDevices({
                                audio: microphone_id
                            });
                            this.recorder.testSoundLevel(true);
                            this.set("selectedmicrophone", microphone_id);
                        }
                        this.set("microphonehealthy", false);
                    },

                    toggle_face_mode: function() {
                        if (this.recorder) {
                            this.recorder.setCameraFace(this.get("camerafacefront"));
                            this.set("camerafacefront", !this.get("camerafacefront"));
                        }
                    },

                    add_new_stream: function(deviceId) {
                        this._add_new_stream(deviceId);
                    },

                    invoke_skip: function() {
                        this.trigger("invoke-skip");
                    },

                    select_image: function(image) {
                        this.trigger("select-image", image);
                    },

                    rerecord: function() {
                        if (this._delegatedRecorder) {
                            this._delegatedRecorder.execute("rerecord");
                            return;
                        }
                        if (confirm(this.stringUnicode("rerecord-confirm"))) {
                            this.host.state().rerecord();
                            this._initSettings();
                        }
                    },

                    stop: function() {
                        if (this._delegatedRecorder) {
                            this._delegatedRecorder.execute("stop");
                            return;
                        }

                        // If recorder is paused need resume first,
                        // setting this._recording to true also could be enough
                        if (this.__paused)
                            this._resume();

                        this.host.state().stop();
                    },

                    play: function() {
                        if (this._delegatedRecorder) {
                            this._delegatedRecorder.execute("play");
                            return;
                        }
                        this.host.state().play();
                    },

                    pause: function() {
                        if (this._delegatedRecorder) {
                            this._delegatedRecorder.execute("pause");
                            return;
                        }
                        this.host.state().pause();
                    },

                    message_click: function() {
                        this.trigger("message-click");
                    },

                    message_link_click: function(link) {
                        this.trigger("message-link-click", link);
                    },

                    playing: function() {
                        this.trigger("playing");
                    },

                    paused: function() {
                        this.trigger("paused");
                    },

                    ended: function() {
                        this.trigger("ended");
                    },

                    reset: function() {
                        if (this._delegatedRecorder) {
                            this._delegatedRecorder.execute("reset");
                            return;
                        }
                        this._stopRecording().callback(function() {
                            this._unbindMedia();
                            this._hideBackgroundSnapshot();
                            this._detachRecorder();
                            this._initSettings();
                            this.host.state().next("Initial");
                        }, this);
                    },

                    toggle_facemode: function() {
                        this._toggleFaceMode();
                    },

                    trim: function(start, end) {
                        if (this.host.state().state_name() !== "Trimming") return;
                        this.trigger("manual-trim", start, end);
                    },

                    manual_submit: function() {
                        this.set("rerecordable", false);
                        this.set("manualsubmit", false);
                        this.trigger("manually_submitted");
                    },

                    ready_to_play: function() {
                        this.trigger("ready_to_play");
                    }
                },

                _resume: function() {
                    this.__paused = false;
                    this.__pauseDelta += Time.now() - this.__pauseStart;
                    this.__recording = true;
                    this.recorder.resumeRecord();
                    this.recorder._recorder.once("resumed", function() {
                        this.set("resumevisible", false);
                    }, this);
                },

                destroy: function() {
                    this._timer.destroy();
                    this.host.destroy();
                    this._detachRecorder();
                    inherited.destroy.call(this);
                },

                deltaCoefficient: function() {
                    return this.recorderAttached() ? this.recorder.deltaCoefficient() : null;
                },

                blankLevel: function() {
                    return this.recorderAttached() ? this.recorder.blankLevel() : null;
                },

                lightLevel: function() {
                    return this.recorderAttached() ? this.recorder.lightLevel() : null;
                },

                soundLevel: function() {
                    return this.recorderAttached() ? this.recorder.soundLevel() : null;
                },

                _toggleFaceMode: function() {
                    this.set("camerafacefront", !!this.get("camerafacefront"));
                },

                _timerFire: function() {
                    if (this.destroyed())
                        return;
                    this.set("currentorientation", window.innerHeight > window.innerWidth ? "portrait" : "landscape");
                    try {
                        if (this.recorderAttached() && this.get("devicetesting")) {
                            if (!this.get("onlyaudio")) {
                                var lightLevel = this.lightLevel();
                                this.set("camerahealthy", lightLevel >= 100 && lightLevel <= 200);
                            }
                            if (!this.get("noaudio") && !this.get("microphonehealthy") && this.soundLevel() >= 1.01) {
                                this.set("microphonehealthy", true);
                                this.recorder.testSoundLevel(false);
                            }
                        }
                    } catch (e) {}

                    if (!this.get("onlyaudio") && this.__recording) {
                        if (this.get("picksnapshots")) {
                            if (this.__recording_start_time + 500 < Time.now()) {
                                var p = this.get("snapshots").length < this.get("snapshotmax") ? 0.25 : 0.05;
                                if (Math.random() <= p) {
                                    var snap = this.recorder.createSnapshot(this.get("snapshottype"));
                                    if (snap) {
                                        if (!this.get('videometadata').height && typeof Image !== 'undefined' && this.get("createthumbnails")) {
                                            RecorderSupport.snapshotMetaData(snap).success(function(data) {
                                                var _thumbWidth = data.orientation === 'landscape' ? 80 : 35;
                                                this.set("videometadata", Objs.tree_merge(this.get("videometadata"), data));
                                                this.set("videometadata", Objs.tree_merge(this.get("videometadata"), {
                                                    "thumbnails": {
                                                        width: _thumbWidth,
                                                        height: Math.floor(_thumbWidth / data.width * data.height)
                                                    }
                                                }));
                                            }, this);
                                        }
                                        if (this.get("snapshots").length < this.get("snapshotmax")) {
                                            this.get("snapshots").push(snap);
                                        } else {
                                            var i = Math.floor(Math.random() * this.get("snapshotmax"));
                                            this.recorder.removeSnapshot(this.get("snapshots")[i]);
                                            this.get("snapshots")[i] = snap;
                                        }

                                        if (this.get("createthumbnails")) {
                                            var _currentRecordingSecond = Math.floor((Time.now() - this.__recording_start_time) / 1000);
                                            var _thumbLatestIndex = this.get("videometadata").thumbnails.images.length > 1 ? this.get("videometadata").thumbnails.images.length - 1 : 0;
                                            var _latestThumb = this.get("videometadata").thumbnails.images[_thumbLatestIndex];

                                            // Add thumb each 2 seconds
                                            if (typeof _latestThumb !== 'undefined') {
                                                if (_currentRecordingSecond > _latestThumb.time + 1) {
                                                    this.get("videometadata").thumbnails.images.push({
                                                        time: _currentRecordingSecond,
                                                        snap: snap
                                                    });
                                                }
                                            } else {
                                                this.get("videometadata").thumbnails.images.push({
                                                    time: _currentRecordingSecond,
                                                    snap: snap
                                                });
                                            }
                                        }
                                    }
                                }
                            }
                        } else {
                            // took snap only one for background view
                            if (!this.get("videometadata").processingPlaceholder) {
                                this.get("videometadata").processingPlaceholder = this.recorder.createSnapshot(this.get("snapshottype"));
                            }
                        }
                    }

                    try {
                        if (this.recorderAttached() && this._timer.fire_count() % 20 === 0 && this._accessing_camera) {
                            var signal = this.blankLevel() >= 0.01;
                            if (signal !== this.__cameraSignal) {
                                this.__cameraSignal = signal;
                                this.trigger(signal ? "camera_signal" : "camera_nosignal");
                            }
                        }
                        if (this.recorderAttached() && this._timer.fire_count() % 20 === 10 && this._accessing_camera) {
                            var delta = this.recorder.deltaCoefficient();
                            var responsive = delta === null || delta >= 0.5;
                            if (responsive !== this.__cameraResponsive) {
                                this.__cameraResponsive = responsive;
                                this.trigger(responsive ? "camera_responsive" : "camera_unresponsive");
                            }
                        }
                    } catch (e) {}

                    this._updateCSSSize();
                },

                domDimensions: function() {
                    return Dom.elementDimensions(this.activeElement().childNodes[0]);
                },

                _updateCSSSize: function() {
                    var width = this.domDimensions().width;
                    this.set("csssize", width > 400 ? "normal" : (width > 300 ? "medium" : "small"));
                },

                videoHeight: function() {
                    var _clientHeight = (window.innerHeight || document.body.clientHeight);
                    if (!this.recorderAttached())
                        return _clientHeight;
                    else {
                        var _height = this.recorder.cameraHeight();
                        return _height > _clientHeight ? _clientHeight : _height;
                    }
                },

                videoWidth: function() {
                    var _clientWidth = (window.innerWidth || document.body.clientWidth);
                    if (!this.recorderAttached())
                        return _clientWidth;
                    else {
                        var _width = this.recorder.cameraWidth();
                        return _width > _clientWidth ? _clientWidth : _width;
                    }
                },

                aspectRatio: function() {
                    var width = this.videoWidth();
                    var height = this.videoHeight();
                    return width / height;
                },

                isPortrait: function() {
                    if (typeof this.recorder !== "undefined") {
                        if (typeof this.recorder._recorder._videoTrackSettings !== "undefined") {
                            return this.recorder._recorder._videoTrackSettings.aspectRatio < 1.0;
                        }
                    }

                    return this.aspectRatio() < 1.00;
                },

                isLandscape: function() {
                    return !this.isPortrait();
                },

                parentWidth: function() {
                    return this.get("width") || Dom.elementDimensions(this.activeElement()).width;
                },

                parentHeight: function() {
                    return this.get("height") || Dom.elementDimensions(this.activeElement()).height;
                },

                parentAspectRatio: function() {
                    return this.parentWidth() / this.parentHeight();
                },

                averageFrameRate: function() {
                    return this.recorderAttached() ? this.recorder.averageFrameRate() : null;
                },

                cloneAttrs: function() {
                    return Objs.map(this.attrs, function(value, key) {
                        return this.get(key);
                    }, this);
                },

                popupAttrs: function() {
                    return {
                        popup: false,
                        width: this.get("popup-width"),
                        height: this.get("popup-height")
                    };
                },

                imageUploaded: function() {
                    return !!this.__lastCovershotUpload;
                },

                audioUploaded: function() {
                    return this.recorder && this.recorder.localPlaybackSource() && !!this.recorder.localPlaybackSource().audiosrc;
                },

                /**
                 *
                 * @param {boolean =} setFalse
                 * @private
                 */
                _screenRecorderVerifier: function(setFalse) {
                    if (setFalse) {
                        this.set("allowscreen", false);
                        this.set("allowmultistreams", false);
                    }
                    if ((this.get("allowscreen") || this.get("allowmultistreams")) && this.get("screenrecordmandatory") && !Info.isScreenRecorderSupported()) {
                        this.get("initialmessages").push({
                            id: typeof Date.now !== 'undefined' ? +Date.now() : 1498744,
                            message: this.string("screen-recorder-is-not-supported"),
                            type: 'warning'
                        });
                    }
                },

                /**
                 * Will add new stream based on provided ID
                 * @param deviceId
                 */
                _add_new_stream: function(deviceId) {
                    var _selected;
                    var _currentTracks = this.recorder._recorder.stream().getTracks();
                    this.get("cameras").iterate(function(videoDevice) {
                        var _videoDevice = videoDevice.data();
                        deviceId = deviceId || _videoDevice.id; // In case if argument is empty take any video source
                        if (!_selected && deviceId === _videoDevice.id) {
                            this.set("loadlabel", this.string("adding-new-stream"));
                            this.set("loader_active", true);
                            this.recorder.addMultiStream(_videoDevice, {
                                positionX: this.get("addstreampositionx"),
                                positionY: this.get("addstreampositiony"),
                                width: this.get("addstreampositionwidth"),
                                height: this.get("addstreampositionheight")
                            }, _currentTracks).success(function(stream) {
                                _selected = true;
                                this.set("addstreamdeviceid", deviceId);
                                if (!this.get("addstreampositionheight")) {
                                    var _height, _aspectRatio;
                                    _aspectRatio = 1.333;
                                    if (typeof stream.getTracks()[0] !== 'undefined') {
                                        var _settings = stream.getTracks()[0].getSettings();
                                        if (_settings.aspectRatio) {
                                            _aspectRatio = _settings.aspectRatio;
                                        } else if (_settings.height > 0 && _settings.width > 0) {
                                            _aspectRatio = Math.round((_settings.width / _settings.height) * 100) / 100;
                                        }
                                    }

                                    if (_aspectRatio)
                                        _height = this.get("addstreampositionwidth") / _aspectRatio;
                                    else
                                        _height = Math.round(this.get("addstreampositionwidth") / 1.33);

                                    this.set("addstreampositionheight", _height);
                                }
                                this.set("loadlabel", "");
                                this.set("loader_active", false);
                                this.set("showaddstreambutton", false);
                                if (this.get("allowmultistreams") && (this.get("multistreamreversable") || this.get("multistreamdraggable") || this.get("multistreamresizeable"))) {
                                    this.set("helperframe_active", true);
                                    this.set("framevisible", true);
                                }
                            }, this).error(function(message) {
                                console.warn(message);
                                this.set("loadlabel", message);
                                this.set("loader_active", false);
                            }, this);
                        }
                    }, this);
                },

                /**
                 * Will set settings on outsource elements
                 */
                setOutsourceSelectors: function(choosenDevices) {
                    Objs.map(this.get("outsourceSelectors"), function(item) {
                        var options = item.options;
                        var element = document.getElementById(item.selector);
                        if (element) {
                            var isCamera = item.isCamera;
                            var choosenDevice = choosenDevices[isCamera ? 'video' : 'audio'];
                            if ((options.type === "select" && element.tagName !== "SELECT") || (options.type !== "select" && element.tagName === "SELECT")) {
                                var message = "You sould provide correct element selector, option element could be only select element child";
                                var childNode = document.createTextNode(message);
                                if (element.tagName === "SELECT") {
                                    var textNode = childNode;
                                    childNode = document.createElement('option');
                                    childNode.appendChild(textNode);
                                }
                                element.appendChild(childNode);
                                console.warn(message);
                            } else {
                                this.__buildOutsourceElement(element, item.options, isCamera, choosenDevice);
                            }
                        } else {
                            console.warn("There are no element with id: " + item.selector + " to implement 'outsource-selectors'");
                        }
                    }, this);
                },

                /**
                 * Just Helper funtion build outsources elements
                 * @param element
                 * @param options
                 * @param isCamera
                 * @param choosenDevice
                 * @private
                 */
                __buildOutsourceElement: function(element, options, isCamera, choosenDevice) {
                    var self = this;
                    var deviceCollections = isCamera ? this.get("cameras") : this.get("microphones");
                    var listeners = [];
                    var initialSelectorText = '';
                    element.disabled = deviceCollections.count() <= 1 && options.disabled;
                    if (deviceCollections.count() > 0) {
                        // Clear initial select content
                        if (options.type === "select" && element.options) {
                            if (Types.is_defined(element.options[0]))
                                initialSelectorText = element.options[0].innerText;
                            while (element.options.length > 0) {
                                element.remove(0);
                            }
                        }

                        deviceCollections.iterate(function(device) {
                            var _details = '';
                            if (options.showCapabilities && isCamera) {
                                var capabilities = device.get("capabilities");
                                if (capabilities) {
                                    if (typeof capabilities.width !== "undefined" && typeof capabilities.height !== "undefined") {
                                        _details = '(' + capabilities.width.max + 'x' + capabilities.height.max + ')';
                                    }
                                }
                            }

                            var id = device.get("id");
                            var label = device.get("label");

                            if (options.type === "select" && element.tagName === "SELECT") {
                                var option = document.createElement('option');
                                option.value = id;
                                option.innerText = label + _details;
                                option.selected = id === choosenDevice;
                                if (options.className) option.className += options.className;
                                element.appendChild(option);
                            }

                            if (options.type === "radio") {
                                var radioInput = document.createElement('input');
                                var radioInputLabel = document.createElement('label');
                                radioInput.name = self.get("css") + (isCamera ? '-cam' : '-mic') + '-radio-input';
                                radioInput.type = 'radio';
                                if (options.className) {
                                    radioInputLabel.className += options.className;
                                }

                                radioInputLabel.setAttribute('for', this.get("css") + id);
                                radioInput.value = id;
                                radioInput.checked = id === choosenDevice;
                                // radioInputLabel.innerText = label + _details;
                                var radioInputTextNode = document.createTextNode(label + _details);

                                radioInputLabel.appendChild(radioInput);
                                radioInputLabel.appendChild(radioInputTextNode);
                                element.appendChild(radioInputLabel);

                                // Add event listener on change
                                radioInput.addEventListener("change", function(ev) {
                                    var _radio = ev.target;
                                    var value = _radio.value;
                                    if (_radio.checked && value) {
                                        if (isCamera) {
                                            self.select_camera(value);
                                        } else {
                                            self.select_microphone(value);
                                        }
                                    }
                                });
                                listeners.push({
                                    type: "change",
                                    element: radioInput,
                                    container: radioInputLabel
                                });
                            }
                        }, this);

                        // Add event listener on change
                        if (options.type === "select") {
                            listeners.push({
                                type: "change",
                                element: element
                            });
                            element.addEventListener("change", function(ev) {
                                Array.from(ev.target.options).forEach(function(option) {
                                    var value = option.value;
                                    if (option.selected && value) {
                                        if (isCamera) {
                                            self.select_camera(value);
                                        } else {
                                            self.select_microphone(value);
                                        }
                                    }
                                });
                            });
                        }

                        self.on("recording", function() {
                            if (listeners.length > 0) {
                                Objs.map(listeners, function(listener) {
                                    var type = listener.type;
                                    var el = listener.element;
                                    var container = listener.container || el;
                                    removeEventListener(type, el);
                                    if (!Types.is_undefined(container.options)) {
                                        while (container.options.length > 0) {
                                            container.remove(0);
                                        }
                                        var option = document.createElement('option');
                                        var textNode = document.createTextNode(initialSelectorText);
                                        option.appendChild(textNode);
                                        container.appendChild(option);
                                    } else {
                                        container.parentNode.removeChild(container);
                                    }
                                });
                            }
                        });
                    }
                }
            };
        }], {

            recorderStates: function() {
                return [RecorderStates];
            }

        })
        .register("ba-videorecorder")
        .registerFunctions({
            /**/"!player_active": function (obj) { return !obj.player_active; }, "css": function (obj) { return obj.css; }, "csstheme": function (obj) { return obj.csstheme; }, "csssize": function (obj) { return obj.csssize; }, "iecss": function (obj) { return obj.iecss; }, "ie8 ? 'ie8' : 'noie8'": function (obj) { return obj.ie8 ? 'ie8' : 'noie8'; }, "fullscreened ? 'fullscreen' : 'normal'": function (obj) { return obj.fullscreened ? 'fullscreen' : 'normal'; }, "cssrecorder": function (obj) { return obj.cssrecorder; }, "firefox ? 'firefox' : 'common'": function (obj) { return obj.firefox ? 'firefox' : 'common'; }, "themecolor": function (obj) { return obj.themecolor; }, "csscommon": function (obj) { return obj.csscommon; }, "containerSizingStyles": function (obj) { return obj.containerSizingStyles; }, "hasrecorder ? 'hasrecorder' : 'norecorder'": function (obj) { return obj.hasrecorder ? 'hasrecorder' : 'norecorder'; }, "faceoutline && hasrecorder && isrecorderready": function (obj) { return obj.faceoutline && obj.hasrecorder && obj.isrecorderready; }, "placeholderstyle": function (obj) { return obj.placeholderstyle; }, "hasplaceholderstyle ? (css + '-overlay-with-placeholder') : ''": function (obj) { return obj.hasplaceholderstyle ? (obj.css + '-overlay-with-placeholder') : ''; }, "!hideoverlay": function (obj) { return !obj.hideoverlay; }, "dynloader": function (obj) { return obj.dynloader; }, "cssloader || css": function (obj) { return obj.cssloader || obj.css; }, "cssrecorder || css": function (obj) { return obj.cssrecorder || obj.css; }, "tmplloader": function (obj) { return obj.tmplloader; }, "loader_active": function (obj) { return obj.loader_active; }, "loadertooltip": function (obj) { return obj.loadertooltip; }, "hovermessage": function (obj) { return obj.hovermessage; }, "loaderlabel": function (obj) { return obj.loaderlabel; }, "dynmessage": function (obj) { return obj.dynmessage; }, "cssmessage || css": function (obj) { return obj.cssmessage || obj.css; }, "tmplmessage": function (obj) { return obj.tmplmessage; }, "message_active": function (obj) { return obj.message_active; }, "message": function (obj) { return obj.message; }, "message_links": function (obj) { return obj.message_links; }, "dyntopmessage": function (obj) { return obj.dyntopmessage; }, "csstopmessage || css": function (obj) { return obj.csstopmessage || obj.css; }, "tmpltopmessage": function (obj) { return obj.tmpltopmessage; }, "topmessage_active && (topmessage || hovermessage)": function (obj) { return obj.topmessage_active && (obj.topmessage || obj.hovermessage); }, "hovermessage || topmessage": function (obj) { return obj.hovermessage || obj.topmessage; }, "dynchooser": function (obj) { return obj.dynchooser; }, "chooser_active && !is_initial_state": function (obj) { return obj.chooser_active && !obj.is_initial_state; }, "onlyaudio": function (obj) { return obj.onlyaudio; }, "facecamera": function (obj) { return obj.facecamera; }, "recordviafilecapture": function (obj) { return obj.recordviafilecapture; }, "csschooser || css": function (obj) { return obj.csschooser || obj.css; }, "tmplchooser": function (obj) { return obj.tmplchooser; }, "allowscreen": function (obj) { return obj.allowscreen; }, "allowmultistreams": function (obj) { return obj.allowmultistreams; }, "popup": function (obj) { return obj.popup; }, "allowrecord": function (obj) { return obj.allowrecord; }, "allowupload": function (obj) { return obj.allowupload; }, "allowcustomupload": function (obj) { return obj.allowcustomupload; }, "allowedextensions": function (obj) { return obj.allowedextensions; }, "primaryrecord": function (obj) { return obj.primaryrecord; }, "initialmessages": function (obj) { return obj.initialmessages; }, "timelimit": function (obj) { return obj.timelimit; }, "dynimagegallery": function (obj) { return obj.dynimagegallery; }, "imagegallery_active": function (obj) { return obj.imagegallery_active; }, "cssimagegallery || css": function (obj) { return obj.cssimagegallery || obj.css; }, "tmplimagegallery": function (obj) { return obj.tmplimagegallery; }, "gallerysnapshots": function (obj) { return obj.gallerysnapshots; }, "snapshots": function (obj) { return obj.snapshots; }, "nativeRecordingWidth": function (obj) { return obj.nativeRecordingWidth; }, "nativeRecordingHeight": function (obj) { return obj.nativeRecordingHeight; }, "dyncontrolbar": function (obj) { return obj.dyncontrolbar; }, "csscontrolbar || css": function (obj) { return obj.csscontrolbar || obj.css; }, "csstheme || css": function (obj) { return obj.csstheme || obj.css; }, "tmplcontrolbar": function (obj) { return obj.tmplcontrolbar; }, "controlbar_active": function (obj) { return obj.controlbar_active; }, "cameras": function (obj) { return obj.cameras; }, "microphones": function (obj) { return obj.microphones; }, "noaudio": function (obj) { return obj.noaudio; }, "record_media==='screen' || record_media==='multistream'": function (obj) { return obj.record_media==='screen' || obj.record_media==='multistream'; }, "selectedcamera || 0": function (obj) { return obj.selectedcamera || 0; }, "selectedmicrophone || 0": function (obj) { return obj.selectedmicrophone || 0; }, "addstreamdeviceid || null": function (obj) { return obj.addstreamdeviceid || null; }, "showaddstreambutton": function (obj) { return obj.showaddstreambutton; }, "camerahealthy": function (obj) { return obj.camerahealthy; }, "microphonehealthy": function (obj) { return obj.microphonehealthy; }, "settingsvisible": function (obj) { return obj.settingsvisible; }, "recordvisible": function (obj) { return obj.recordvisible; }, "allowcancel && cancancel": function (obj) { return obj.allowcancel && obj.cancancel; }, "uploadcovershotvisible": function (obj) { return obj.uploadcovershotvisible; }, "rerecordvisible": function (obj) { return obj.rerecordvisible; }, "stopvisible": function (obj) { return obj.stopvisible; }, "skipvisible": function (obj) { return obj.skipvisible; }, "controlbarlabel": function (obj) { return obj.controlbarlabel; }, "mintimeindicator": function (obj) { return obj.mintimeindicator; }, "timeminlimit": function (obj) { return obj.timeminlimit; }, "resumevisible": function (obj) { return obj.resumevisible; }, "pausable": function (obj) { return obj.pausable; }, "firefox": function (obj) { return obj.firefox; }, "dynhelperframe": function (obj) { return obj.dynhelperframe; }, "helperframe_active || framevisible": function (obj) { return obj.helperframe_active || obj.framevisible; }, "tmphelperframe": function (obj) { return obj.tmphelperframe; }, "multistreamreversable": function (obj) { return obj.multistreamreversable; }, "multistreamdraggable": function (obj) { return obj.multistreamdraggable; }, "multistreamresizeable": function (obj) { return obj.multistreamresizeable; }, "addstreampositionx": function (obj) { return obj.addstreampositionx; }, "addstreampositiony": function (obj) { return obj.addstreampositiony; }, "addstreamproportional": function (obj) { return obj.addstreamproportional; }, "flip-camera": function (obj) { return obj.flip-obj.camera; }, "player_active": function (obj) { return obj.player_active; }, "ie8": function (obj) { return obj.ie8; }, "dynvideoplayer": function (obj) { return obj.dynvideoplayer; }, "theme || 'default'": function (obj) { return obj.theme || 'default'; }, "localplayback ? playbacksource : ''": function (obj) { return obj.localplayback ? obj.playbacksource : ''; }, "localplayback ? playbackposter : ''": function (obj) { return obj.localplayback ? obj.playbackposter : ''; }, "localplayback": function (obj) { return obj.localplayback; }, "false": function (obj) { return false; }, "showplayersettingsmenu": function (obj) { return obj.showplayersettingsmenu; }, "playerattrs": function (obj) { return obj.playerattrs; }, "duration": function (obj) { return obj.duration; }, "rerecordable && (recordings === null || recordings > 0)": function (obj) { return obj.rerecordable && (obj.recordings === null || obj.recordings > 0); }, "manualsubmit && verified": function (obj) { return obj.manualsubmit && obj.verified; }, "true": function (obj) { return true; }, "autoplay": function (obj) { return obj.autoplay; }, "nofullscreen": function (obj) { return obj.nofullscreen; }, "playertopmessage": function (obj) { return obj.playertopmessage; }, "allowtexttrackupload": function (obj) { return obj.allowtexttrackupload; }, "uploadtexttracksvisible": function (obj) { return obj.uploadtexttracksvisible; }, "snapshottype": function (obj) { return obj.snapshottype; }, "tracktags": function (obj) { return obj.tracktags; }, "tracktagsstyled": function (obj) { return obj.tracktagsstyled; }, "trackcuetext": function (obj) { return obj.trackcuetext; }, "acceptedtracktexts": function (obj) { return obj.acceptedtracktexts; }, "sharevideo": function (obj) { return obj.sharevideo; }, "videofitstrategy": function (obj) { return obj.videofitstrategy; }, "posterfitstrategy": function (obj) { return obj.posterfitstrategy; }, "tracksshowselection": function (obj) { return obj.tracksshowselection; }, "trackselectorhovered": function (obj) { return obj.trackselectorhovered; }, "uploadlocales": function (obj) { return obj.uploadlocales; }, "frameselectionmode": function (obj) { return obj.frameselectionmode; }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "recorder-error": "An error occurred, please try again later. Click to retry.",
            "attach-error": "We could not access the media interface. Depending on the device and browser, you might need to access the page via SSL.",
            "software-required": "Please click below to install / activate the following requirements in order to proceed.",
            "software-waiting": "Waiting for the requirements to be installed / activated. You might need to refresh the page after completion.",
            "access-forbidden": "Access to the media was forbidden. Click to retry.",
            "pick-covershot": "Pick a covershot.",
            "pick-covershot-frame": "Select a frame to use as covershot.",
            "framerate-warning": "The video frame rate is very low. We recommend closing all other programs and browser tabs or to use a faster computer.",
            "uploading": "Uploading",
            "uploading-src-error": "Unable to play back video now, uploading is still in progress",
            "uploading-failed": "Uploading failed - click here to retry.",
            "upload-error-duration": "Length of the uploaded video does not meet the requirements - click here to retry.",
            "resolution-constraint-error": "The file you've selected does not match the required resolution - click here to retry.",
            "verifying": "Verifying",
            "verifying-failed": "Verifying failed - click here to retry.",
            "rerecord-confirm": "Do you really want to redo your video?",
            "cancel-confirm": "Do you really want to cancel your video upload?",
            "video_file_too_large": "Your video file is too large (%s) - click here to try again with a smaller video file.",
            "unsupported_video_type": "Please upload: %s - click here to retry.",
            "orientation-portrait-required": "Please rotate your device to record in portrait mode.",
            "orientation-landscape-required": "Please rotate your device to record in landscape mode.",
            "switch-camera": "Switch camera",
            "prepare-covershot": "Preparing covershots",
            "prepare-thumbnails": "Preparing seeking thumbnails",
            "adding-new-stream": "Adding New Stream",
            "missing-track": "Required audio or video track is missing",
            "device-already-in-use": "At least one of your input devices are already in use",
            "browser-permission-denied": "Permission denied by browser, please grant access and reload page",
            "screen-recorder-is-not-supported": "Screen recorder is not supported on this device",
            "trim-prompt": "Do you want to trim your video?",
            "trim-video": "Move the start and end markers to trim your video",
            "wait-for-trim": "Waiting for trim command...",
            "supported-mode": "Media resolution should be in '%s' mode.",
            "re-choose-action": "Please click to choose another input device or retry action."
        });
});

Scoped.define("module:VideoRecorder.Dynamics.Trimmer", ["dynamics:Dynamic","browser:Events","base:Promise"], function(Class, DomEvents, Promise, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {
                template: "<div class=\"{{csstrimmer}}-container {{csscommon}}-accent-color-bg\">\n    \n    <button ba-click=\"{{togglePlay()}}\" class=\"{{csstrimmer}}-button-play\" aria-label=\"{{playing || wasPlaying ? 'Pause' : 'Play'}}\">\n        <i class=\"{{csscommon + '-icon-' + (playing || wasPlaying ? 'pause' : 'play')}} {{csscommon}}-accent-color\"></i>\n    </button>\n    \n    <div\n        class=\"{{csstrimmer}}-progress-bar\"\n        ontouchstart=\"{{handleProgressBarClick(domEvent)}}\"\n        onmousedown=\"{{handleProgressBarClick(domEvent)}}\"\n        data-selector=\"progressbar\"\n    >\n        \n        <div\n            class=\"{{csstrimmer}}-snapshots\"\n            data-selector=\"snapshots\"\n        ></div>\n        \n        <div\n            class=\"{{csstrimmer}}-playhead\"\n            style=\"left: calc({{duration ? position / duration * 100 : 0}}% - 1px)\"\n        ></div>\n        \n        <div\n            class=\"{{csstrimmer}}-selection {{csscommon}}-accent-color-border\"\n            ontouchstart=\"{{handleSelectionClick(domEvent)}}\"\n            onmousedown=\"{{handleSelectionClick(domEvent)}}\"\n            data-selector=\"selection\"\n            style=\"\n                left: calc({{duration && startposition ? startposition / duration * 100 : 0}}% - 4px);\n                right: calc({{100 - (duration && endposition ? endposition / duration * 100 : 100)}}% - 4px);\n            \"\n        ></div>\n    </div>\n    \n    <div class=\"{{csstrimmer}}-right-button-container\">\n        \n        <button\n            class=\"{{csscommon}}-{{trimButtonEnabled ? 'accent-color-bg' : 'disabled'}} {{csstrimmer}}-button-trim\"\n            ba-click=\"{{trim()}}\"\n        >Trim</button>\n        \n        <button\n            class=\"{{csstrimmer}}-button-skip\"\n            ba-click=\"{{skip()}}\"\n        >Skip</button>\n    </div>\n</div>",

                attrs: {
                    "csscommon": "ba-commoncss",
                    "csstrimmer": "ba-videorecorder-trimmer"
                },

                computed: {
                    "trimButtonEnabled:startposition,endposition,duration": function(startPosition, endPosition, duration) {
                        return (startPosition !== 0 && startPosition !== null) || (endPosition !== duration && endPosition !== null);
                    }
                },

                events: {
                    "change:progress-bar-width": function() {
                        this.call("updateThumbnails");
                    }
                },

                destroy: function() {
                    if (this._progressBarResizeObserver) this._progressBarResizeObserver.disconnect();
                    inherited.destroy.call(this);
                },

                functions: {
                    skip: function() {
                        this.chainedTrigger("skip");
                    },
                    trim: function() {
                        this.chainedTrigger("video-trimmed", {
                            start: this.get("startposition"),
                            end: this.get("endposition")
                        });
                    },
                    togglePlay: function() {
                        this.trigger(this.get("playing") ? "pause" : "play");
                    },
                    handleSelectionClick: function(events) {
                        var event = events[0];
                        event.preventDefault();
                        if (event.type === "mousedown" && event.button !== 0) return;
                        var clientX = this.call("getClientX", event);
                        var elementRect = event.target.getBoundingClientRect();
                        var borderWidth = event.target.clientLeft;

                        var isClickingOnLeftBorder = clientX >= elementRect.left && clientX <= (elementRect.left + borderWidth);
                        var isClickingOnRightBorder = clientX >= (elementRect.right - borderWidth) && clientX <= (elementRect.right);
                        if (!isClickingOnLeftBorder && !isClickingOnRightBorder) return;

                        event.stopPropagation();
                        if (isClickingOnLeftBorder) this.call("attachUpdatePositionEventListeners", clientX, "startposition");
                        else this.call("attachUpdatePositionEventListeners", clientX, "endposition");
                    },

                    handleProgressBarClick: function(events) {
                        var event = events[0];
                        event.preventDefault();
                        if (event.type === "mousedown" && event.button !== 0) return;
                        var clientX = this.call("getClientX", event);
                        var selectionRect = this._selectionElement.getBoundingClientRect();

                        var isClickingOnLeftOfSelection = clientX <= selectionRect.left;
                        var isClickingOnRightOfSelection = clientX >= selectionRect.right;

                        if (isClickingOnLeftOfSelection) {
                            this.call("attachUpdatePositionEventListeners", clientX, "startposition");
                            return;
                        }

                        if (isClickingOnRightOfSelection) {
                            this.call("attachUpdatePositionEventListeners", clientX, "endposition");
                            return;
                        }

                        if (this.get("playing")) {
                            this.set("wasPlaying", true);
                            this.trigger("pause");
                        }

                        this.call("attachUpdatePositionEventListeners", clientX, "position");
                    },

                    attachUpdatePositionEventListeners: function(clientX, position) {
                        this.call("updatePosition", clientX, position);

                        var events = this._events;
                        events.on(document, "mousemove touchmove", function(e) {
                            e.preventDefault();
                            this.call("updatePosition", this.call("getClientX", e), position);
                        }, this);
                        events.on(document, "mouseup touchend", function(e) {
                            e.preventDefault();
                            if (this.get("wasPlaying")) {
                                this.trigger("play");
                                setTimeout(function() { // we need this delay to avoid switching to play button icon while video doesn't start playing
                                    this.set("wasPlaying", false);
                                }.bind(this), 100);
                            }
                            events.off(document, "mouseup touchend mousemove touchmove");
                        }, this);
                    },

                    updatePosition: function(clientX, position) {
                        var newPosition = this.call("getCurrentPosition", clientX);
                        var minDuration = this.get("minduration") || 1;
                        switch (position) {
                            case "position":
                                this.trigger("seek", newPosition);
                                break;
                            case "startposition":
                                var endPosition = this.get("endposition") || this.get("duration");
                                if (newPosition > endPosition - minDuration)
                                    this.set(position, endPosition - minDuration);
                                else this.set(position, newPosition);
                                break;
                            case "endposition":
                                var startPosition = this.get("startposition") || 0;
                                if (newPosition < startPosition + minDuration)
                                    this.set(position, startPosition + minDuration);
                                else this.set(position, newPosition);
                                break;
                        }
                    },

                    getClientX: function(event) {
                        return event.clientX === 0 ? 0 : event.clientX || event.targetTouches[0].clientX;
                    },

                    getCurrentPosition: function(clientX) {
                        var percentageFromStart;
                        var dimensions = this._progressBarElement.getBoundingClientRect();

                        if (clientX < dimensions.left) percentageFromStart = 0;
                        else if (clientX > (dimensions.left + dimensions.width)) percentageFromStart = 1;
                        else percentageFromStart = (clientX - dimensions.left) / (dimensions.width || 1);

                        return this.get("duration") * percentageFromStart;
                    },

                    updateThumbnails: function() {
                        Promise.conditional(!this._internalVideoElement, function() {
                            var promise = Promise.create();
                            var video = document.createElement("video");
                            var source = this.get("source").src || this.get("source");
                            video.src = typeof source === "string" ? source : URL.createObjectURL(source);
                            video.addEventListener("loadedmetadata", function() {
                                if (!this.get("duration")) this.set("duration", video.duration);
                                this._internalVideoElement = video;
                                this._canvasHeight = 34; // TODO calculate instead of hard coding value
                                this._canvasWidth = this._canvasHeight * video.videoWidth / video.videoHeight;
                                this._canvases = [];
                                this._canvases.push(this.call("createNewCanvas"));
                                this.call("drawSnapshot", this._canvases[0], 0).success(function() {
                                    promise.asyncSuccess(video);
                                });
                            }.bind(this));
                            return promise;
                        }.bind(this), this._internalVideoElement).success(function(video) {
                            if (this._progressBarElement.clientWidth === 0) return;
                            this.call("drawSnapshotRecursive", 1);
                        }, this);
                    },

                    createNewCanvas: function() {
                        var canvas = document.createElement("canvas");
                        canvas.height = this._canvasHeight;
                        canvas.width = this._canvasWidth;
                        this._snapshotsElement.appendChild(canvas);
                        return canvas;
                    },

                    drawSnapshot: function(canvas, position) {
                        var promise = Promise.create();
                        this._internalVideoElement.currentTime = position;
                        this._events.on(this._internalVideoElement, "seeked", function() {
                            canvas.getContext("2d").drawImage(this._internalVideoElement, 0, 0, canvas.width, canvas.height);
                            this._events.off(this._internalVideoElement, "seeked");
                            promise.asyncSuccess();
                        }, this);
                        return promise;
                    },

                    drawSnapshotRecursive: function(i) {
                        if (i * this._canvasWidth > this._progressBarElement.clientWidth) return;
                        if (i + 1 >= this._canvases.length) this._canvases.push(this.call("createNewCanvas"));
                        this.call("drawSnapshot", this._canvases[i], this.get("duration") * ((i * this._canvasWidth) / this._progressBarElement.clientWidth)).success(function() {
                            this.call("drawSnapshotRecursive", ++i);
                        }, this);
                    }
                },

                create: function() {
                    this._events = this.auto_destroy(new DomEvents());
                    this._progressBarElement = this.activeElement().querySelector("[data-selector='progressbar'");
                    this._selectionElement = this.activeElement().querySelector("[data-selector='selection']");
                    this._snapshotsElement = this.activeElement().querySelector("[data-selector='snapshots']");

                    this._progressBarResizeObserver = new ResizeObserver(function(entries) {
                        entries.forEach(function(entry) {
                            if (entry.contentRect.width === this.get("progress-bar-width")) return;
                            this.set("progress-bar-width", entry.contentRect.width);
                        }.bind(this));
                    }.bind(this));

                    this._progressBarResizeObserver.observe(this._progressBarElement);
                    this.call("updateThumbnails");
                }
            };
        })
        .register("ba-videorecorder-trimmer")
        .registerFunctions({
            /**/"csstrimmer": function (obj) { return obj.csstrimmer; }, "csscommon": function (obj) { return obj.csscommon; }, "togglePlay()": function (obj) { return obj.togglePlay(); }, "playing || wasPlaying ? 'Pause' : 'Play'": function (obj) { return obj.playing || obj.wasPlaying ? 'Pause' : 'Play'; }, "csscommon + '-icon-' + (playing || wasPlaying ? 'pause' : 'play')": function (obj) { return obj.csscommon + '-icon-' + (obj.playing || obj.wasPlaying ? 'pause' : 'play'); }, "handleProgressBarClick(domEvent)": function (obj) { return obj.handleProgressBarClick(obj.domEvent); }, "duration ? position / duration * 100 : 0": function (obj) { return obj.duration ? obj.position / obj.duration * 100 : 0; }, "handleSelectionClick(domEvent)": function (obj) { return obj.handleSelectionClick(obj.domEvent); }, "duration && startposition ? startposition / duration * 100 : 0": function (obj) { return obj.duration && obj.startposition ? obj.startposition / obj.duration * 100 : 0; }, "100 - (duration && endposition ? endposition / duration * 100 : 100)": function (obj) { return 100 - (obj.duration && obj.endposition ? obj.endposition / obj.duration * 100 : 100); }, "trimButtonEnabled ? 'accent-color-bg' : 'disabled'": function (obj) { return obj.trimButtonEnabled ? 'accent-color-bg' : 'disabled'; }, "trim()": function (obj) { return obj.trim(); }, "skip()": function (obj) { return obj.skip(); }/**/
        });
});

Scoped.define("module:ImageViewer.Dynamics.Controlbar", ["dynamics:Dynamic","module:Assets","browser:Info"], ["dynamics:Partials.ShowPartial","dynamics:Partials.IfPartial","dynamics:Partials.ClickPartial"], function(Class, Assets, Info, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div class=\"{{css}}-dashboard {{activitydelta > 5000 && hideoninactivity ? (css + '-dashboard-hidden') : ''}}\">\n\t<div class=\"{{css}}-backbar\"></div>\n\n\t<div class=\"{{css}}-controlbar\">\n\n        <div tabindex=\"0\" data-selector=\"submit-image-button\"\n\t\t\t ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-leftbutton-container\"\n\t\t\t ba-if=\"{{submittable}}\" ba-click=\"{{submit()}}\">\n            <div class=\"{{css}}-button-inner\">\n                {{string('submit-image')}}\n            </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-ccw\"\n\t\t\t ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-leftbutton-container\" ba-if=\"{{rerecordable}}\"\n\t\t\t ba-click=\"{{rerecord()}}\" title=\"{{string('rerecord-image')}}\"\n\t\t>\n            <div class=\"{{css}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-ccw\"></i>\n            </div>\n        </div>\n\n\t\t<div data-selector=\"image-title-block\" class=\"{{css}}-image-title-container\" ba-if=\"{{title}}\">\n\t\t\t<p class=\"{{css}}-image-title\">\n\t\t\t\t{{title}}\n\t\t\t</p>\n\t\t</div>\n\n\t\t<div tabindex=\"8\" data-selector=\"button-icon-resize-full\"\n\t\t\t ba-hotkey:space^enter=\"{{toggle_fullscreen()}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-rightbutton-container\"\n\t\t\t onkeydown=\"{{tab_index_move(domEvent)}}\" ba-if=\"{{fullscreen}}\"\n\t\t\t ba-click=\"{{toggle_fullscreen()}}\" title=\"{{ fullscreened ? string('exit-fullscreen-image') : string('fullscreen-image') }}\">\n\t\t\t<div class=\"{{css}}-button-inner\">\n\t\t\t\t<i class=\"{{csscommon}}-icon-resize-{{fullscreened ? 'small' : 'full'}}\"></i>\n\t\t\t</div>\n\t\t</div>\n\n\t</div>\n</div>\n",

                attrs: {
                    "css": "ba-imageviewer",
                    "rerecordable": false,
                    "submittable": false,
                    "fullscreen": true,
                    "fullscreened": false,
                    "activitydelta": 0,
                    "title": ""
                },

                functions: {

                    toggle_fullscreen: function() {
                        this.trigger("fullscreen");
                    },

                    rerecord: function() {
                        this.trigger("rerecord");
                    },

                    submit: function() {
                        this.set("submittable", false);
                        this.set("rerecordable", false);
                        this.trigger("submit");
                    },

                    tab_index_move: function(ev, nextSelector, focusingSelector) {
                        this.trigger("tab_index_move", ev[0], nextSelector, focusingSelector);
                    }
                },

                create: function() {
                    this.set("ismobile", Info.isMobile());
                }
            };
        })
        .register("ba-imageviewer-controlbar")
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "activitydelta > 5000 && hideoninactivity ? (css + '-dashboard-hidden') : ''": function (obj) { return obj.activitydelta > 5000 && obj.hideoninactivity ? (obj.css + '-dashboard-hidden') : ''; }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-image')": function (obj) { return obj.string('submit-image'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-image')": function (obj) { return obj.string('rerecord-image'); }, "csscommon": function (obj) { return obj.csscommon; }, "title": function (obj) { return obj.title; }, "toggle_fullscreen()": function (obj) { return obj.toggle_fullscreen(); }, "tab_index_move(domEvent)": function (obj) { return obj.tab_index_move(obj.domEvent); }, "fullscreen": function (obj) { return obj.fullscreen; }, "fullscreened ? string('exit-fullscreen-image') : string('fullscreen-image')": function (obj) { return obj.fullscreened ? obj.string('exit-fullscreen-image') : obj.string('fullscreen-image'); }, "fullscreened ? 'small' : 'full'": function (obj) { return obj.fullscreened ? 'small' : 'full'; }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "rerecord-image": "Redo?",
            "submit-image": "Confirm",
            "fullscreen-image": "Enter fullscreen",
            "exit-fullscreen-image": "Exit fullscreen"
        });
});

Scoped.define("module:ImageViewer.Dynamics.Message", ["dynamics:Dynamic"], ["dynamics:Partials.ClickPartial"], function(Class, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div class=\"{{css}}-message-container\" ba-click=\"{{click()}}\">\n    <div data-selector=\"message-block\" class='{{css}}-message-message'>\n        {{message}}\n    </div>\n</div>\n",

                attrs: {
                    "css": "ba-imageviewer",
                    "message": ''
                },

                functions: {

                    click: function() {
                        this.trigger("click");
                    }

                }

            };
        })
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "click()": function (obj) { return obj.click(); }, "message": function (obj) { return obj.message; }/**/
        })
        .register("ba-imageviewer-message");
});

Scoped.define("module:ImageViewer.Dynamics.Topmessage", ["dynamics:Dynamic"], function(Class, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div class=\"{{css}}-topmessage-container\">\n    <div class='{{css}}-topmessage-background'>\n    </div>\n    <div data-selector=\"topmessage-message-block\" class='{{css}}-topmessage-message'>\n        {{topmessage}}\n    </div>\n</div>\n",

                attrs: {
                    "css": "ba-imageviewer",
                    "topmessage": ''
                }

            };
        })
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "topmessage": function (obj) { return obj.topmessage; }/**/
        })
        .register("ba-imageviewer-topmessage");
});

Scoped.define("module:ImageViewer.Dynamics.ImageViewer", ["dynamics:Dynamic","module:Assets","browser:Info","browser:Dom","base:Types","base:Objs","base:Strings","base:Time","base:Timers","base:Classes.ClassRegistry","base:Async","browser:Events"], ["module:ImageViewer.Dynamics.Message","module:ImageViewer.Dynamics.Controlbar","dynamics:Partials.EventPartial","dynamics:Partials.OnPartial","dynamics:Partials.TemplatePartial","dynamics:Partials.HotkeyPartial"], function(Class, Assets, Info, Dom, Types, Objs, Strings, Time, Timers, ClassRegistry, Async, DomEvents, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "<div itemscope itemtype=\"http://schema.org/ImageObject\"\n    class=\"{{css}}-container {{css}}-size-{{csssize}} {{iecss}}-{{ie8 ? 'ie8' : 'noie8'}}\n    {{csstheme}} {{css}}-{{ fullscreened ? 'fullscreen' : 'normal' }}-view {{css}}-{{ firefox ? 'firefox' : 'common'}}-browser\n    {{css}}-{{themecolor}}-color\"\n    ba-on:mousemove=\"{{user_activity()}}\"\n    ba-on:mousedown=\"{{user_activity(true)}}\"\n    ba-on:touchstart=\"{{user_activity(true)}}\"\n\tba-styles=\"{{widthHeightStyles}}\"\n>\n    <img tabindex=\"-1\" class=\"{{css}}-image\" data-image=\"image\" />\n    <div class=\"{{css}}-overlay\">\n\t    <ba-{{dyncontrolbar}}\n\t\t    ba-css=\"{{csscontrolbar || css}}\"\n\t\t\tba-csscommon=\"{{csscommon || css}}\"\n\t\t\tba-themecolor=\"{{themecolor}}\"\n\t\t    ba-template=\"{{tmplcontrolbar}}\"\n\t\t    ba-show=\"{{controlbar_active}}\"\n\t\t    ba-event:rerecord=\"rerecord\"\n\t\t    ba-event:submit=\"submit\"\n\t\t    ba-event:fullscreen=\"toggle_fullscreen\"\n\t\t\tba-event:tab_index_move=\"tab_index_move\"\n\t\t\tba-tabindex=\"{{tabindex}}\"\n\t\t    ba-title=\"{{title}}\"\n\t\t    ba-activitydelta=\"{{activity_delta}}\"\n\t\t    ba-hideoninactivity=\"{{hideoninactivity}}\"\n\t\t    ba-rerecordable=\"{{rerecordable}}\"\n\t\t    ba-submittable=\"{{submittable}}\"\n\t\t    ba-fullscreen=\"{{fullscreensupport && !nofullscreen}}\"\n            ba-fullscreened=\"{{fullscreened}}\"\n            ba-source=\"{{source}}\"\n\t\t></ba-{{dyncontrolbar}}>\n\n\t\t<ba-{{dynmessage}}\n\t\t    ba-css=\"{{cssmessage || css}}\"\n\t\t\tba-csscommon=\"{{csscommon || css}}\"\n\t\t\tba-theme-color=\"{{themecolor}}\"\n\t\t    ba-template=\"{{tmplmessage}}\"\n\t\t    ba-show=\"{{message_active}}\"\n\t\t    ba-message=\"{{message}}\"\n\t\t    ba-event:click=\"message_click\"\n\t\t></ba-{{dynmessage}}>\n\n\t\t<ba-{{dyntopmessage}}\n\t\t    ba-css=\"{{csstopmessage || css}}\"\n\t\t\tba-csscommon=\"{{csscommon || css}}\"\n\t\t\tba-theme-color=\"{{themecolor}}\"\n\t\t    ba-template=\"{{tmpltopmessage}}\"\n\t\t    ba-show=\"{{topmessage}}\"\n\t\t    ba-topmessage=\"{{topmessage}}\"\n\t\t></ba-{{dyntopmessage}}>\n\t\t\n\t\t<meta itemprop=\"caption\" content=\"{{title}}\" />\n\t\t<meta itemprop=\"thumbnailUrl\" content=\"{{poster}}\"/>\n\t\t<meta itemprop=\"contentUrl\" content=\"{{source}}\"/>\n    </div>\n</div>\n",

                attrs: {
                    /* CSS */
                    "css": "ba-imageviewer",
                    "csscommon": "ba-commoncss",
                    "iecss": "ba-imageviewer",
                    "cssmessage": "",
                    "csstopmessage": "",
                    "csscontrolbar": "",
                    "width": "",
                    "height": "",
                    "popup-width": "",
                    "popup-height": "",
                    /* Themes */
                    "theme": "",
                    "csstheme": "",
                    "themecolor": "",
                    /* Dynamics */
                    "dynmessage": "imageviewer-message",
                    "dyntopmessage": "imageviewer-topmessage",
                    "dyncontrolbar": "imageviewer-controlbar",
                    /* Templates */
                    "tmplmessage": "",
                    "tmpltopmessage": "",
                    "tmplcontrolbar": "",
                    /* Attributes */
                    "source": "",
                    "title": "",
                    "fullscreened": false,
                    "visibilityfraction": 0.8,

                    /* Options */
                    "rerecordable": false,
                    "submittable": false,
                    "popup": false,
                    "nofullscreen": false,
                    "ready": true,
                    "stretch": false,
                    "popup-stretch": false,
                    "hideoninactivity": true,
                    "topmessage": "",
                    "closebuttonvisible": false,
                    "customcaptionvisible": false,
                    "initialoptions": {
                        "hideoninactivity": null
                    }
                },

                types: {
                    "rerecordable": "boolean",
                    "ready": "boolean",
                    "nofullscreen": "boolean",
                    "stretch": "boolean",
                    "hideoninactivity": "boolean",
                    "popup": "boolean",
                    "popup-stretch": "boolean",
                    "popup-width": "int",
                    "popup-height": "int",
                    "fullscreened": "boolean",
                    "themecolor": "string",
                    "closebuttonvisible": "boolean",
                    "customcaptionvisible": "boolean"
                },

                computed: {
                    "widthHeightStyles:width,height": function() {
                        var result = {};
                        var width = this.get("width");
                        var height = this.get("height");
                        if (width)
                            result.width = width + ((width + '').match(/^\d+$/g) ? 'px' : '');
                        if (height)
                            result.height = height + ((height + '').match(/^\d+$/g) ? 'px' : '');
                        return result;
                    }
                },

                events: {
                    "change:source": function() {
                        var img = this.image();
                        if (img)
                            img.src = this.get("source");
                    }
                },

                remove_on_destroy: true,

                create: function() {
                    if (this.get("theme")) this.set("theme", this.get("theme").toLowerCase());
                    if (this.get("theme") in Assets.imageviewerthemes) {
                        Objs.iter(Assets.imageviewerthemes[this.get("theme")], function(value, key) {
                            if (!this.isArgumentAttr(key))
                                this.set(key, value);
                        }, this);
                    }

                    if (!this.get("themecolor"))
                        this.set("themecolor", "default");

                    this.set("ie8", Info.isInternetExplorer() && Info.internetExplorerVersion() < 9);
                    this.set("firefox", Info.isFirefox());
                    this.set("message", "");
                    this.set("fullscreensupport", Dom.elementSupportsFullscreen(this.activeElement()));
                    this.set("csssize", "normal");

                    this.set("controlbar_active", this.get("fullscreensupport") || this.get("submittable") || this.get("rerecordable"));
                    this.set("message_active", false);

                    this.set("last_activity", Time.now());
                    this.set("activity_delta", 0);

                    this.__currentStretch = null;
                    this.__imageViewer = {};

                    // Set initial options for further help actions
                    this.set("initialoptions", {
                        hideoninactivity: this.get("hideoninactivity")
                    });
                    this.activeElement().onkeydown = this._keyDownActivity.bind(this, this.activeElement());

                    this.on("change:stretch", function() {
                        this._updateStretch();
                    }, this);

                    this._timer = new Timers.Timer({
                        context: this,
                        fire: this._timerFire,
                        delay: 100,
                        start: true
                    });
                },

                _keyDownActivity: function(element, ev) {
                    var _keyCode = ev.which || ev.keyCode;
                    // Prevent whitespace browser center scroll and arrow buttons behaviours
                    if (_keyCode === 32 || _keyCode === 37 || _keyCode === 38 || _keyCode === 39 || _keyCode === 40) ev.preventDefault();

                    if (_keyCode === 32 || _keyCode === 13 || _keyCode === 9) {
                        this._resetActivity();
                        if (this.get("fullscreened") && this.get("hideoninactivity")) this.set("hideoninactivity", false);
                    }

                    if (_keyCode === 9 && ev.shiftKey) {
                        this._resetActivity();
                        this._findNextTabStop(element, ev, function(target, index) {
                            target.focus();
                        }, -1);
                    } else if (_keyCode === 9) {
                        this._resetActivity();
                        this._findNextTabStop(element, ev, function(target, index) {
                            target.focus();
                        });
                    }
                },

                _findNextTabStop: function(parentElement, ev, callback, direction) {
                    var _currentIndex, _direction, _tabIndexes, _tabIndexesArray, _maxIndex, _minIndex, _looked, _tabIndex, _delta, _element, _imagePlayersCount;
                    _maxIndex = _minIndex = 0;
                    _direction = direction || 1;
                    _element = ev.target;
                    _currentIndex = _element.tabIndex;
                    _tabIndexes = parentElement.querySelectorAll('[tabindex]');
                    _tabIndexesArray = Array.prototype.slice.call(_tabIndexes, 0);
                    _tabIndexes = _tabIndexesArray
                        .filter(function(element) {
                            if ((element.clientWidth > 0 || element.clientHeight > 0) && (element.tabIndex !== -1)) {
                                if (_maxIndex <= element.tabIndex) _maxIndex = element.tabIndex;
                                if (_minIndex >= element.tabIndex) _minIndex = element.tabIndex;
                                return true;
                            } else return false;
                        });

                    if ((_direction === 1 && _currentIndex === _maxIndex) || (direction === -1 && _currentIndex === _minIndex) || _maxIndex === 0) {
                        _imagePlayersCount = document.querySelectorAll('ba-imageviewer').length;
                        if (_imagePlayersCount > 1) {
                            parentElement.tabIndex = -1;
                            parentElement.blur();
                        }
                        return;
                    }

                    for (var i = 0; i < _tabIndexes.length; i++) {
                        if (!_tabIndexes[i])
                            continue;
                        _tabIndex = _tabIndexes[i].tabIndex;
                        _delta = _tabIndex - _currentIndex;
                        if (_tabIndex < _minIndex || _tabIndex > _maxIndex || Math.sign(_delta) !== _direction)
                            continue;

                        if (!_looked || Math.abs(_delta) < Math.abs(_looked.tabIndex - _currentIndex))
                            _looked = _tabIndexes[i];
                    }

                    if (_looked) {
                        ev.preventDefault();
                        callback(_looked, _looked.tabIndex);
                    }
                },

                _afterActivate: function(element) {
                    inherited._afterActivate.call(this, element);
                    this.image().src = this.get("source");
                },

                _resetActivity: function() {
                    this.set("last_activity", Time.now());
                    this.set("activity_delta", 0);
                },

                object_functions: ["rerecord"],

                functions: {

                    user_activity: function(strong) {
                        this.set("last_activity", Time.now());
                        this.set("activity_delta", 0);
                    },

                    message_click: function() {
                        this.trigger("message:click");
                    },

                    rerecord: function() {
                        if (!this.get("rerecordable"))
                            return;
                        this.trigger("rerecord");
                    },

                    toggle_fullscreen: function() {
                        if (this.get("fullscreened") && this.__imageViewer.imageWrapper) {
                            this._close_image();
                        } else {
                            this._open_image();
                        }
                    },

                    submit: function() {
                        if (!this.get("submittable"))
                            return;
                        this.trigger("submit");
                        this.set("submittable", false);
                        this.set("rerecordable", false);
                    },

                    tab_index_move: function(ev, nextSelector, focusingSelector) {
                        var _targetElement, _activeElement, _selector, _keyCode;
                        _keyCode = ev.which || ev.keyCode;
                        _activeElement = this.activeElement();
                        if (_keyCode === 13 || _keyCode === 32) {
                            if (focusingSelector) {
                                _selector = "[data-selector='" + focusingSelector + "']";
                                _targetElement = _activeElement.querySelector(_selector);
                                if (_targetElement)
                                    Async.eventually(function() {
                                        this.trigger("keyboardusecase", _activeElement);
                                        _targetElement.focus({
                                            preventScroll: false
                                        });
                                    }, this, 100);
                            } else {
                                _selector = '[data-image="image"]';
                                _targetElement = _activeElement.querySelector(_selector);
                                Async.eventually(function() {
                                    this.trigger("keyboardusecase", _activeElement);
                                    _targetElement.focus({
                                        preventScroll: true
                                    });
                                }, this, 100);
                            }
                        } else if (_keyCode === 9 && nextSelector) {
                            _selector = "[data-selector='" + nextSelector + "']";
                            _targetElement = _activeElement.querySelector(_selector);
                            if (_targetElement)
                                Async.eventually(function() {
                                    this.trigger("keyboardusecase", _activeElement);
                                    _targetElement.focus({
                                        preventScroll: false
                                    });
                                }, this, 100);

                        }
                    }
                },

                destroy: function() {
                    this._timer.destroy();
                    this.host.destroy();
                    inherited.destroy.call(this);
                },

                _open_image: function(sourceFile) {
                    this.__imageViewer.counter = 0;
                    // Main container
                    this.__imageViewer.imageViewer = document.createElement('div');

                    // Wrapper
                    this.__imageViewer.imageWrapper = document.createElement('div');
                    this.__imageViewer.imageWrapper.className = this.get('css') + '-image-viewer-wrapper';

                    // image viewer overlay
                    this.__imageViewer.overlayElement = document.createElement('div');
                    this.__imageViewer.overlayElement.className = this.get('css') + '-image-viewer-overlay';

                    this.__imageViewer.image = document.createElement('img');
                    this.__imageViewer.image.className = this.get('css') + '-image-viewer-expanded';
                    this.__imageViewer.image.src = sourceFile || this.get('source');

                    // Will show caption in the middle bottom side
                    if (this.get("customcaptionvisible")) {
                        var _titleText;
                        this.__imageViewer.title = document.createElement('div');
                        this.__imageViewer.title.className = this.get('css') + '-image-viewer-title';
                        _titleText = document.createTextNode(this.get('title'));
                        this.__imageViewer.title.appendChild(_titleText);
                    }

                    // Show close button on the top right corner
                    if (this.get("closebuttonvisible")) {
                        this.__imageViewer.closeButton = document.createElement('div');
                        this.__imageViewer.closeButton.className = this.get('css') + '-close-button';
                        this.__imageViewer.closeButton.tabIndex = 0;

                        // Listen event on close button
                        this.__imageViewer.clickEvent = this.auto_destroy(new DomEvents());
                        this.__imageViewer.clickEvent.on(this.__imageViewer.closeButton, "click", function() {
                            this._close_image();
                        }, this);
                        this.__imageViewer.clickEvent.on(this.__imageViewer.closeButton, "keydown", function() {
                            this._close_image();
                        }, this);
                    }


                    // Show title on the image, if require could be added as a future


                    this.__imageViewer.bodyOverlay = document.querySelector('ba-imageviewer');

                    this.__imageViewer.imageViewer.appendChild(this.__imageViewer.overlayElement);
                    this.__imageViewer.imageViewer.appendChild(this.__imageViewer.image);

                    if (this.get("customcaptionvisible"))
                        this.__imageViewer.imageViewer.appendChild(this.__imageViewer.title);
                    if (this.get("closebuttonvisible"))
                        this.__imageViewer.imageViewer.appendChild(this.__imageViewer.closeButton);

                    // Append child
                    this.__imageViewer.bodyOverlay.parentNode.insertBefore(this.__imageViewer.imageWrapper, this.__imageViewer.bodyOverlay);

                    this.__imageViewer.imageViewer.style.opacity = 0;
                    this.__imageViewer.imageWrapper.appendChild(this.__imageViewer.imageViewer);

                    // Start fadIn process
                    this.__imageViewer.fadeInCounter = new Timers.Timer({
                        context: this,
                        fire: this.__fadeIn,
                        delay: 40,
                        start: true
                    });

                    this.set("hideoninactivity", false);
                    this.set("fullscreened", true);
                },

                _close_image: function() {
                    this.set("fullscreened", false);
                    this.set("hideoninactivity", this.get("initialoptions").hideoninactivity);
                    this.__imageViewer.fadeInCounter = new Timers.Timer({
                        context: this,
                        fire: this.__fadeOut,
                        delay: 20,
                        start: true
                    });
                },

                __fadeIn: function() {
                    if (!this.__imageViewer.fadeInCounter) return;
                    if (this.__imageViewer.fadeInCounter.destroyed()) return;
                    if (this.__imageViewer.counter < 1.05) {
                        this.__imageViewer.imageViewer.style.opacity = this.__imageViewer.counter;
                        this.__imageViewer.counter += 0.05;
                    } else {
                        this.__imageViewer.imageViewer.opacity = 1.00;
                        this.__imageViewer.fadeInCounter.stop();
                    }
                },

                __fadeOut: function() {
                    if (!this.__imageViewer.fadeInCounter) return;
                    if (this.__imageViewer.fadeInCounter.destroyed()) return;
                    if (this.__imageViewer.counter > 0) {
                        this.__imageViewer.imageViewer.style.opacity = this.__imageViewer.counter;
                        this.__imageViewer.counter -= 0.05;
                    } else {
                        this.__imageViewer.fadeInCounter.stop();
                        this.__imageViewer.bodyOverlay.parentNode.removeChild(this.__imageViewer.imageWrapper);
                    }
                },

                _timerFire: function() {
                    if (this.destroyed())
                        return;
                    try {
                        this.set("activity_delta", Time.now() - this.get("last_activity"));
                    } catch (e) {}
                    try {
                        this._updateStretch();
                    } catch (e) {}
                    try {
                        this._updateCSSSize();
                    } catch (e) {}
                },

                _updateCSSSize: function() {
                    var width = Dom.elementDimensions(this.activeElement()).width;
                    this.set("csssize", width > 400 ? "normal" : (width > 300 ? "medium" : "small"));
                },

                image: function() {
                    return this.activeElement().querySelector("img");
                },

                imageHeight: function() {
                    var _height = this.image().height;
                    var _clientHeight = (window.innerHeight || document.body.clientHeight);
                    if (!this._image())
                        return _clientHeight;
                    else
                        return _height > _clientHeight ? _clientHeight : _height;
                },

                imageWidth: function() {
                    var _clientWidth = (window.innerWidth || document.body.clientWidth);
                    var _width = this.image().width;
                    if (!this._image())
                        return _clientWidth;
                    else
                        return _width > _clientWidth ? _clientWidth : _width;
                },

                aspectRatio: function() {
                    // Don't use shortcut way of getting aspect ratio, will act as not expected.
                    var height = this.imageHeight();
                    var width = this.imageWidth();

                    return width / height;
                },

                parentWidth: function() {
                    return Dom.elementDimensions(this.activeElement().parentElement).width;
                },

                parentHeight: function() {
                    return Dom.elementDimensions(this.activeElement().parentElement).height;
                },

                parentAspectRatio: function() {
                    return this.parentWidth() / this.parentHeight();
                },

                _updateStretch: function() {
                    var newStretch = null;
                    if (this.get("stretch")) {
                        var ar = this.aspectRatio();
                        if (isFinite(ar)) {
                            var par = this.parentAspectRatio();
                            if (isFinite(par)) {
                                if (par > ar)
                                    newStretch = "height";
                                if (par < ar)
                                    newStretch = "width";
                            } else if (par === Infinity)
                                newStretch = "height";
                        }
                    }
                    if (this.__currentStretch !== newStretch) {
                        if (this.__currentStretch)
                            Dom.elementRemoveClass(this.activeElement(), this.get("css") + "-stretch-" + this.__currentStretch);
                        if (newStretch)
                            Dom.elementAddClass(this.activeElement(), this.get("css") + "-stretch-" + newStretch);
                    }
                    this.__currentStretch = newStretch;
                },

                cloneAttrs: function() {
                    return Objs.map(this.attrs, function(value, key) {
                        return this.get(key);
                    }, this);
                },

                popupAttrs: function() {
                    return {
                        popup: false,
                        width: this.get("popup-width"),
                        height: this.get("popup-height"),
                        stretch: this.get("popup-stretch")
                    };
                }

            };
        }, {

        }).register("ba-imageviewer")
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "csssize": function (obj) { return obj.csssize; }, "iecss": function (obj) { return obj.iecss; }, "ie8 ? 'ie8' : 'noie8'": function (obj) { return obj.ie8 ? 'ie8' : 'noie8'; }, "csstheme": function (obj) { return obj.csstheme; }, "fullscreened ? 'fullscreen' : 'normal'": function (obj) { return obj.fullscreened ? 'fullscreen' : 'normal'; }, "firefox ? 'firefox' : 'common'": function (obj) { return obj.firefox ? 'firefox' : 'common'; }, "themecolor": function (obj) { return obj.themecolor; }, "user_activity()": function (obj) { return obj.user_activity(); }, "user_activity(true)": function (obj) { return obj.user_activity(true); }, "widthHeightStyles": function (obj) { return obj.widthHeightStyles; }, "dyncontrolbar": function (obj) { return obj.dyncontrolbar; }, "csscontrolbar || css": function (obj) { return obj.csscontrolbar || obj.css; }, "csscommon || css": function (obj) { return obj.csscommon || obj.css; }, "tmplcontrolbar": function (obj) { return obj.tmplcontrolbar; }, "controlbar_active": function (obj) { return obj.controlbar_active; }, "tabindex": function (obj) { return obj.tabindex; }, "title": function (obj) { return obj.title; }, "activity_delta": function (obj) { return obj.activity_delta; }, "hideoninactivity": function (obj) { return obj.hideoninactivity; }, "rerecordable": function (obj) { return obj.rerecordable; }, "submittable": function (obj) { return obj.submittable; }, "fullscreensupport && !nofullscreen": function (obj) { return obj.fullscreensupport && !obj.nofullscreen; }, "fullscreened": function (obj) { return obj.fullscreened; }, "source": function (obj) { return obj.source; }, "dynmessage": function (obj) { return obj.dynmessage; }, "cssmessage || css": function (obj) { return obj.cssmessage || obj.css; }, "tmplmessage": function (obj) { return obj.tmplmessage; }, "message_active": function (obj) { return obj.message_active; }, "message": function (obj) { return obj.message; }, "dyntopmessage": function (obj) { return obj.dyntopmessage; }, "csstopmessage || css": function (obj) { return obj.csstopmessage || obj.css; }, "tmpltopmessage": function (obj) { return obj.tmpltopmessage; }, "topmessage": function (obj) { return obj.topmessage; }, "poster": function (obj) { return obj.poster; }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "image-error": "An error occurred, please try again later. Click to retry."
        });
});

Scoped.define("module:ImageCapture.Dynamics.RecorderStates.State", ["base:States.State","base:Events.ListenMixin","base:Objs"], function(State, ListenMixin, Objs, scoped) {
    return State.extend({
        scoped: scoped
    }, [ListenMixin, {

        dynamics: [],

        _start: function() {
            this.dyn = this.host.dynamic;
            Objs.iter(Objs.extend({
                "message": false,
                "chooser": false,
                "topmessage": false,
                "controlbar": false,
                "loader": false
            }, Objs.objectify(this.dynamics)), function(value, key) {
                this.dyn.set(key + "_active", value);
            }, this);
            this.dyn.set("playertopmessage", "");
            this.dyn.set("message_links", null);
            this.dyn._accessing_camera = false;
            this._started();
        },

        _started: function() {},

        record: function() {
            this.dyn.set("autorecord", true);
        },

        rerecord: function() {},

        selectRecord: function() {},

        selectUpload: function(file) {}

    }]);
});

Scoped.define("module:ImageCapture.Dynamics.RecorderStates.FatalError", ["module:ImageCapture.Dynamics.RecorderStates.State","browser:Info","base:Timers.Timer"], function(State, Info, Timer, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["message"],
        _locals: ["message", "retry"],

        _started: function() {
            this.dyn.set("message", this._message || this.dyn.string("recorder-error"));
            this.dyn.set("shortMessage", this.dyn.get("message").length < 30);
            this.listenOn(this.dyn, "message-click", function() {
                if (this._retry)
                    this.next(this._retry);
            });
        }

    });
});

Scoped.define("module:ImageCapture.Dynamics.RecorderStates.Initial", ["module:ImageCapture.Dynamics.RecorderStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        _started: function() {
            this.dyn.set("is_initial_state", true);
            this.dyn.set("verified", false);
            this.dyn.set("playbacksource", null);
            this.dyn.set("player_active", false);
            this.dyn._imageFileName = null;
            this.dyn._imageFile = null;
            this.dyn._imageFilePlaybackable = false;
            this.dyn._initializeUploader();
            if (!this.dyn.get("recordermode")) {
                if (!this.dyn.get("image")) {
                    console.warn("recordermode:false requires an existing video to be present and provided.");
                    this.dyn.set("recordermode", true);
                } else
                    this.next("Player");
            } else if (this.dyn.get("autorecord") || this.dyn.get("skipinitial"))
                this.eventualNext("RequiredSoftwareCheck");
            else
                this.next("Chooser");
        },

        _end: function() {
            this.dyn.set("is_initial_state", false);
        }

    });
});

Scoped.define("module:ImageCapture.Dynamics.RecorderStates.Player", ["module:ImageCapture.Dynamics.RecorderStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        rerecord: function() {
            this.dyn.trigger("rerecord");
            this.dyn.set("recordermode", true);
            this.next("Initial");
        },

        _started: function() {
            this.dyn.set("player_active", true);
        },

        _end: function() {
            this.dyn.set("player_active", false);
        }

    });
});

Scoped.define("module:ImageCapture.Dynamics.RecorderStates.Chooser", ["module:ImageCapture.Dynamics.RecorderStates.State","base:Strings","browser:Info","media:Player.Support"], function(State, Strings, Info, PlayerSupport, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["chooser"],

        _started: function() {
            this.listenOn(this.dyn, "change:orientation change:currentorientation", function() {
                var orientation = this.dyn.get("orientation");
                var currentorientation = this.dyn.get("currentorientation");
                var result = orientation && orientation !== currentorientation;
                if (result)
                    this.dyn.set("message", this.dyn.string("orientation-" + orientation + "-required"));
                this.dyn.set("message_active", result);
                this.dyn.set("chooser_active", !result);
            }, this, {
                initcall: true
            });
        },

        record: function() {
            this.dyn.set("autorecord", true);
            this.selectRecord();
        },

        selectRecord: function() {
            this.dyn.set("record_media", "camera");
            this.next("RequiredSoftwareCheck");
        },

        selectUpload: function(file) {
            if (!(Info.isMobile() && Info.isAndroid() && Info.isCordova())) {
                if (this.dyn.get("allowedextensions")) {
                    var filename = (file.files[0].name || "").toLowerCase();
                    var found = false;
                    this.dyn.get("allowedextensions").forEach(function(extension) {
                        if (Strings.ends_with(filename, "." + extension.toLowerCase()))
                            found = true;
                    }, this);
                    if (!found) {
                        this.next("FatalError", {
                            message: this.dyn.string("unsupported_image_type").replace("%s", this.dyn.get("allowedextensions").join(" / ")),
                            retry: "Chooser"
                        });
                        return;
                    }
                }
                if (this.dyn.get("filesizelimit") && file.files && file.files.length > 0 && file.files[0].size && file.files[0].size > this.dyn.get("filesizelimit")) {
                    var fact = "KB";
                    var size = Math.round(file.files[0].size / 1000);
                    var limit = Math.round(this.dyn.get("filesizelimit") / 1000);
                    if (size > 999) {
                        fact = "MB";
                        size = Math.round(size / 1000);
                        limit = Math.round(limit / 1000);
                    }
                    this.next("FatalError", {
                        message: this.dyn.string("image_file_too_large").replace("%s", size + fact + " / " + limit + fact),
                        retry: "Chooser"
                    });
                    return;
                }
            }
            try {
                PlayerSupport.imageFileInfo(file.files[0]).success(function(data) {
                    if ((data.width && this.dyn.get("minuploadingwidth") && this.dyn.get("minuploadingwidth") > data.width) ||
                        (data.width && this.dyn.get("maxuploadingwidth") && this.dyn.get("maxuploadingwidth") < data.width) ||
                        (data.height && this.dyn.get("minuploadingheight") && this.dyn.get("minuploadingheight") > data.height) ||
                        (data.height && this.dyn.get("maxuploadingheight") && this.dyn.get("maxuploadingheight") < data.height)) {
                        this.next("FatalError", {
                            message: this.dyn.string("resolution-constraint-error"),
                            retry: "Chooser"
                        });
                        return;
                    }
                    this.dyn._imageFilePlaybackable = true;
                    this._uploadFile(file);
                }, this).error(function() {
                    this._uploadFile(file);
                }, this);
            } catch (e) {
                this._uploadFile(file);
            }
        },

        _uploadFile: function(file) {
            this.dyn.set("creation-type", Info.isMobile() ? "mobile" : "upload");
            try {
                this.dyn._imageFileName = file.files[0].name;
                this.dyn._imageFile = file.files[0];
            } catch (e) {}
            this.dyn._prepareRecording().success(function() {
                this.dyn.trigger("upload_selected", file);
                this.dyn._uploadImageFile(file);
                this.next("Uploading");
            }, this).error(function(s) {
                this.next("FatalError", {
                    message: s,
                    retry: "Chooser"
                });
            }, this);
        }

    });
});

Scoped.define("module:ImageCapture.Dynamics.RecorderStates.RequiredSoftwareCheck", ["module:ImageCapture.Dynamics.RecorderStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader"],

        _started: function() {
            this.dyn.set("settingsvisible", false);
            this.dyn.set("recordvisible", false);
            this.dyn.set("rerecordvisible", false);
            this.dyn.set("stopvisible", false);
            this.dyn.set("controlbarlabel", "");
            this.dyn.set("loaderlabel", "");
            this.listenOn(this.dyn, "error", function(s) {
                this.next("FatalError", {
                    message: this.dyn.string("attach-error"),
                    retry: "Initial"
                });
            }, this);
            this.dyn._attachRecorder();
            if (this.dyn) {
                this.dyn.on("message-link-click", function(link) {
                    link.execute();
                    this.next("RequiredSoftwareWait");
                }, this);
                this.dyn._softwareDependencies().error(function(dependencies) {
                    this.dyn.set("message_links", dependencies);
                    this.dyn.set("loader_active", false);
                    this.dyn.set("message_active", true);
                    this.dyn.set("message", this.dyn.string("software-required"));
                }, this).success(function() {
                    this.next("CameraAccess");
                }, this);
            }
        }

    });
});

Scoped.define("module:ImageCapture.Dynamics.RecorderStates.RequiredSoftwareWait", ["module:ImageCapture.Dynamics.RecorderStates.State","base:Promise","browser:Dom"], function(State, Promise, Dom, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["message"],

        _started: function() {
            this.dyn.set("settingsvisible", false);
            this.dyn.set("recordvisible", false);
            this.dyn.set("rerecordvisible", false);
            this.dyn.set("stopvisible", false);
            this.dyn.set("controlbarlabel", "");
            this.dyn.set("loaderlabel", "");
            this.dyn.set("message", this.dyn.string("software-waiting"));
            Promise.resilience(function() {
                if (Dom.isTabHidden())
                    return Promise.error("Not ready");
                return this.dyn._softwareDependencies();
            }, this, 120, [], 1000).success(function() {
                this.next("CameraAccess");
            }, this).error(function() {
                this.next("RequiredSoftwareCheck");
            }, this);
            this.dyn.on("message-click", function() {
                this.next("RequiredSoftwareCheck");
            }, this);
        }

    });
});

Scoped.define("module:ImageCapture.Dynamics.RecorderStates.CameraAccess", ["module:ImageCapture.Dynamics.RecorderStates.State","base:Timers.Timer"], function(State, Timer, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader"],

        _started: function() {
            this.dyn.set("settingsvisible", true);
            this.dyn.set("recordvisible", true);
            this.dyn.set("rerecordvisible", false);
            this.dyn.set("controlbarlabel", "");
            this.dyn.set("loaderlabel", "");
            this.listenOn(this.dyn, "bound", function() {
                this.dyn.set("creation-type", "webrtc");
                var timer = this.auto_destroy(new Timer({
                    start: true,
                    delay: 100,
                    context: this,
                    fire: function() {
                        if (this.dyn.blankLevel() >= 0.01 && this.dyn.deltaCoefficient() >= 0.01) {
                            timer.stop();
                            this.next("CameraHasAccess");
                        }
                    }
                }));
            }, this);
            this.listenOn(this.dyn, "error", function(s) {
                this.next("FatalError", {
                    message: this.dyn.string("attach-error"),
                    retry: "Initial"
                });
            }, this);
            this.listenOn(this.dyn, "access_forbidden", function() {
                this.next("FatalError", {
                    message: this.dyn.string("access-forbidden"),
                    retry: "Initial"
                });
            }, this);
            this.dyn._bindMedia();
        }

    });
});

Scoped.define("module:ImageCapture.Dynamics.RecorderStates.CameraHasAccess", ["module:ImageCapture.Dynamics.RecorderStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["topmessage", "controlbar"],

        _started: function() {
            this.dyn.trigger("ready_to_record");
            this._preparePromise = null;
            if (this.dyn.get("countdown") > 0 && this.dyn.recorder && this.dyn.recorder.recordDelay(this.dyn.get("uploadoptions")) > this.dyn.get("countdown") * 1000)
                this._preparePromise = this.dyn._prepareRecording();
            this.dyn.set("hovermessage", "");
            this.dyn.set("topmessage", "");
            this.dyn.set("settingsvisible", true);
            this.dyn.set("recordvisible", true);
            this.dyn.set("rerecordvisible", false);
            this.dyn.set("stopvisible", false);
            this.dyn.set("controlbarlabel", "");
            if (this.dyn.get("autorecord"))
                this.next("RecordPrepare", {
                    preparePromise: this._preparePromise
                });
        },

        record: function() {
            if (this.dyn.get("autorecord"))
                return;
            this.next("RecordPrepare", {
                preparePromise: this._preparePromise
            });
        }

    });
});

Scoped.define("module:ImageCapture.Dynamics.RecorderStates.RecordPrepare", ["module:ImageCapture.Dynamics.RecorderStates.State","base:Timers.Timer","base:Time"], function(State, Timer, Time, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader"],
        _locals: ["preparePromise"],

        _started: function() {
            this.dyn.set("message", "");
            this.dyn.set("loaderlabel", "");
            var startedRecording = false;
            this.dyn._accessing_camera = true;
            this._preparePromise = this._preparePromise || this.dyn._prepareRecording();
            var countdown = this.dyn.get("countdown") ? this.dyn.get("countdown") * 1000 : 0;
            var delay = this.dyn.recorder.recordDelay(this.dyn.get("uploadoptions")) || 0;
            if (countdown) {
                var displayDenominator = 1000;
                var silentTime = 0;
                var startTime = Time.now();
                var endTime = startTime + Math.max(delay, countdown);
                if (delay > countdown) {
                    silentTime = Math.min(500, delay - countdown);
                    displayDenominator = (delay - silentTime) / countdown * 1000;
                } else
                    this.dyn.set("loaderlabel", this.dyn.get("countdown"));
                var timer = new Timer({
                    context: this,
                    delay: 50,
                    fire: function() {
                        var now = Time.now();
                        var time_left = Math.max(0, endTime - now);
                        if (now > silentTime + startTime) {
                            this.dyn.set("loaderlabel", "" + Math.ceil((time_left - silentTime) / displayDenominator));
                            this.dyn.trigger("countdown", Math.round((time_left - silentTime) / displayDenominator * 1000));
                        }
                        if (endTime <= now) {
                            this.dyn.set("loaderlabel", "");
                            timer.stop();
                        }
                        if ((time_left <= delay) && !startedRecording) {
                            startedRecording = true;
                            this._startRecording();
                        }
                    }
                });
                this.auto_destroy(timer);
            } else
                this._startRecording();
        },

        record: function() {
            this._startRecording();
        },

        _startRecording: function() {
            this.next("Recording");
        }

    });
});

Scoped.define("module:ImageCapture.Dynamics.RecorderStates.Recording", ["module:ImageCapture.Dynamics.RecorderStates.State","base:Timers.Timer","base:Time","base:TimeFormat","base:Async"], function(State, Timer, Time, TimeFormat, Async, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["topmessage", "controlbar"],

        _started: function() {
            this.dyn.set("hovermessage", "");
            this.dyn.set("topmessage", "");
            this.dyn._accessing_camera = true;
            this.dyn.trigger("recording");
            this.dyn.set("settingsvisible", false);
            this.dyn.set("rerecordvisible", false);
            this.dyn.set("recordvisible", false);
            this.dyn._captureImage();
            this.dyn._uploadCapture();
            this.dyn._unbindMedia();
            this.next("Uploading");
        }

    });
});

Scoped.define("module:ImageCapture.Dynamics.RecorderStates.Uploading", ["module:ImageCapture.Dynamics.RecorderStates.State","base:Time","base:Async","base:Objs"], function(State, Time, Async, Objs, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader", "message"],

        _started: function() {
            this.dyn.set("cancancel", true);
            this.dyn.set("skipinitial", this.dyn.get("skipinitial") || this.dyn.get("skipinitialonrerecord"));
            this.dyn.set("settingsvisible", false);
            this.dyn.set("recordvisible", false);
            this.dyn.set("loadlabel", "");
            this.dyn.set("controlbarlabel", "");
            this.dyn.trigger("uploading");
            this.dyn.set("rerecordvisible", this.dyn.get("early-rerecord"));
            if (this.dyn.get("early-rerecord"))
                this.dyn.set("controlbar_active", true);
            this.dyn.set("hovermessage", "");
            this.dyn.set("topmessage", "");
            this.dyn.set("message", this.dyn.string("uploading"));
            this.dyn.set("playertopmessage", this.dyn.get("message"));
            var uploader = this.dyn._dataUploader;
            this.listenOn(uploader, "success", function() {
                Async.eventually(function() {
                    if (this.destroyed())
                        return;
                    this._finished();
                    this.next("Verifying");
                }, this);
            });
            this.listenOn(uploader, "error", function(e) {
                var bestError = this.dyn.string("uploading-failed");
                try {
                    e.forEach(function(ee) {
                        for (var key in ee)
                            if (this.dyn.string("upload-error-" + key))
                                bestError = this.dyn.string("upload-error-" + key);
                    }, this);
                } catch (err) {}
                this.dyn.set("player_active", false);
                this.next("FatalError", {
                    message: bestError,
                    retry: this.dyn.recorderAttached() ? "Uploading" : "Initial"
                });
            });
            this.listenOn(uploader, "progress", function(uploaded, total) {
                this.dyn.trigger("upload_progress", uploaded, total);
                if (total !== 0 && total > 0 && uploaded >= 0) {
                    var up = Math.min(100, Math.round(uploaded / total * 100));
                    if (!isNaN(up)) {
                        this.dyn.set("message", this.dyn.string("uploading") + ": " + up + "%");
                        this.dyn.set("playertopmessage", this.dyn.get("message"));
                    }
                }
            });
            if (this.dyn.get("localplayback") && ((this.dyn.recorder && this.dyn.recorder.supportsLocalPlayback()) || this.dyn._imageFilePlaybackable)) {
                if (this.dyn.recorder && this.dyn.recorder.supportsLocalPlayback())
                    this.dyn.set("playbacksource", this.dyn.recorder.localPlaybackSource());
                else
                    this.dyn.set("playbacksource", (window.URL || window.webkitURL).createObjectURL(this.dyn._imageFile));
                this.dyn.set("loader_active", false);
                this.dyn.set("message_active", false);
                this.dyn.set("player_active", true);
            }
            this.dyn.set("start-upload-time", Time.now());
            uploader.reset();
            uploader.upload();
        },

        rerecord: function() {
            this.dyn._detachRecorder();
            this.dyn.trigger("rerecord");
            this.dyn.set("recordermode", true);
            this.next("Initial");
        },

        _finished: function() {
            this.dyn.set("cancancel", false);
            this.dyn.trigger("uploaded");
            this.dyn.set("end-upload-time", Time.now());
        }

    });
});

Scoped.define("module:ImageCapture.Dynamics.RecorderStates.Verifying", ["module:ImageCapture.Dynamics.RecorderStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader", "message"],

        _started: function() {
            this.dyn.set("loadlabel", "");
            this.dyn.trigger("verifying");
            this.dyn.set("message", this.dyn.string("verifying") + "...");
            this.dyn.set("playertopmessage", this.dyn.get("message"));
            if (this.dyn.get("localplayback") && ((this.dyn.recorder && this.dyn.recorder.supportsLocalPlayback()) || this.dyn._imageFilePlaybackable)) {
                this.dyn.set("loader_active", false);
                this.dyn.set("message_active", false);
            } else {
                this.dyn.set("rerecordvisible", this.dyn.get("early-rerecord"));
                if (this.dyn.get("early-rerecord"))
                    this.dyn.set("controlbar_active", true);
            }
            this.dyn._verifyRecording().success(function() {
                this.dyn.trigger("verified");
                this.dyn._detachRecorder();
                if (this.dyn.get("recordings"))
                    this.dyn.set("recordings", this.dyn.get("recordings") - 1);
                this.dyn.set("message", "");
                this.dyn.set("playertopmessage", "");
                this.dyn.set("verified", true);
                this.next("Player");
            }, this).error(function() {
                this.dyn.set("player_active", false);
                this.next("FatalError", {
                    message: this.dyn.string("verifying-failed"),
                    retry: this.dyn.recorderAttached() ? "Verifying" : "Initial"
                });
            }, this);
        },

        rerecord: function() {
            this.dyn._detachRecorder();
            this.dyn.trigger("rerecord");
            this.dyn.set("recordermode", true);
            this.next("Initial");
        }

    });
});

Scoped.define("module:ImageCapture.Dynamics.Chooser", ["dynamics:Dynamic","module:Assets","browser:Info"], ["dynamics:Partials.ClickPartial","dynamics:Partials.IfPartial"], function(Class, Assets, Info, scoped) {

    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "<div class=\"{{css}}-chooser-container\">\n\t<div class=\"{{css}}-chooser-button-container\">\n\t\t<div ba-repeat=\"{{action :: actions}}\">\n\t\t\t<div ba-hotkey:space^enter=\"{{click_action(action)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t tabindex=\"0\" class=\"{{css}}-chooser-button-{{action.index}}\"\n\t\t\t     ba-click=\"{{click_action(action)}}\"\n\t\t\t>\n\t\t\t\t<input ba-if=\"{{action.select && action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t\t   capture />\n\t\t\t\t<input ba-if=\"{{action.select && !action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t\t   />\n\t\t\t\t<i class=\"{{csscommon}}-icon-{{action.icon}}\"\n\t\t\t\t   ba-if=\"{{action.icon}}\"></i>\n\t\t\t\t<span>\n\t\t\t\t\t{{action.label}}\n\t\t\t\t</span>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</div>\n",

                attrs: {
                    "css": "ba-imagecapture",
                    "allowrecord": true,
                    "allowupload": true,

                    "primaryrecord": true,
                    "recordviafilecapture": false,

                    "allowcustomupload": true,
                    "allowedextensions": null

                },

                types: {
                    "allowedextensions": "array",
                    "recordviafilecapture": "boolean"
                },

                collections: ["actions"],

                create: function() {
                    var custom_accept_string = "";
                    if (this.get("allowedextensions") && this.get("allowedextensions").length > 0) {
                        var browser_support = Info.isEdge() || Info.isChrome() || Info.isOpera() || (Info.isFirefox() && Info.firefoxVersion() >= 42) || (Info.isInternetExplorer() && Info.internetExplorerVersion() >= 10);
                        if (browser_support)
                            custom_accept_string = "." + this.get("allowedextensions").join(",.");
                    } else if (!this.get("allowcustomupload")) {
                        custom_accept_string = "image/*,image/png";
                    }

                    var order = [];
                    if (this.get("primaryrecord")) {
                        if (this.get("allowrecord"))
                            order.push("record");
                        if (this.get("allowupload"))
                            order.push("upload");
                    } else {
                        if (this.get("allowupload"))
                            order.push("upload");
                        if (this.get("allowrecord"))
                            order.push("record");
                    }
                    var actions = this.get("actions");
                    order.forEach(function(act, index) {
                        switch (act) {
                            case "record":
                                actions.add({
                                    type: "record",
                                    index: index,
                                    icon: 'videocam',
                                    label: this.string("capture-image"),
                                    select: Info.isMobile() && !(Info.isAndroid() && Info.isCordova()) && this.get("recordviafilecapture"),
                                    capture: true,
                                    accept: "image/*,image/png;capture=camcorder"
                                });
                                break;
                            case "upload":
                                actions.add({
                                    type: "upload",
                                    index: index,
                                    icon: "upload",
                                    label: this.string("upload-image"),
                                    select: !(Info.isiOS() && Info.isCordova()),
                                    accept: Info.isMobile() && !(Info.isAndroid() && Info.isCordova()) ? "image/*,image/png" : custom_accept_string
                                });
                                break;
                        }
                    }, this);
                },

                functions: {

                    click_action: function(action) {
                        if (action.get("select"))
                            return;
                        if (Info.isMobile() && Info.isCordova()) {
                            var self = this;
                            if (Info.isAndroid()) {
                                navigator.device.capture.captureImage(function(mediaFiles) {
                                    self.trigger("upload", mediaFiles[0]);
                                }, function(error) {}, {
                                    limit: 1
                                });
                            } else if (Info.isiOS()) {
                                navigator.camera.getPicture(function(url) {
                                    self.trigger("upload", {
                                        localURL: url,
                                        fullPath: url
                                    });
                                }, function(error) {}, {
                                    destinationType: Camera.DestinationType.FILE_URI,
                                    sourceType: Camera.PictureSourceType.PHOTOLIBRARY,
                                    mediaType: Camera.MediaType.IMAGE
                                });
                            }
                        } else
                            this.trigger("record");
                    },

                    select_file_action: function(action, domEvent) {
                        if (!action.get("select"))
                            return;
                        this.trigger("upload", domEvent[0].target);
                    }

                }

            };
        })
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "actions": function (obj) { return obj.actions; }, "click_action(action)": function (obj) { return obj.click_action(obj.action); }, "action.index": function (obj) { return obj.action.index; }, "action.select && action.capture": function (obj) { return obj.action.select && obj.action.capture; }, "select_file_action(action, domEvent)": function (obj) { return obj.select_file_action(obj.action, obj.domEvent); }, "action.accept": function (obj) { return obj.action.accept; }, "action.select && !action.capture": function (obj) { return obj.action.select && !obj.action.capture; }, "csscommon": function (obj) { return obj.csscommon; }, "action.icon": function (obj) { return obj.action.icon; }, "action.label": function (obj) { return obj.action.label; }/**/
        })
        .register("ba-imagecapture-chooser")
        .attachStringTable(Assets.strings)
        .addStrings({
            "image-capture": "Capture Image",
            "upload-image": "Upload Image"
        });
});

Scoped.define("module:ImageCapture.Dynamics.Controlbar", ["dynamics:Dynamic","module:Assets","base:Timers.Timer"], ["dynamics:Partials.ShowPartial","dynamics:Partials.RepeatPartial"], function(Class, Assets, Timer, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "<div class=\"{{css}}-dashboard\">\n\t<div class=\"{{css}}-backbar\"></div>\n\t<div data-selector=\"recorder-settings\" class=\"{{css}}-settings\" ba-show=\"{{settingsvisible && settingsopen}}\">\n\t\t<div class=\"{{css}}-settings-backbar\"></div>\n\t\t<div data-selector=\"settings-list-front\" class=\"{{css}}-settings-front\">\n\t\t\t<ul data-selector=\"camera-settings\" ba-repeat=\"{{camera :: cameras}}\">\n\t\t\t\t<li>\n\t\t\t\t\t<input tabindex=\"0\"\n\t\t\t\t\t\t   ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t   type='radio' name='camera' value=\"{{selectedcamera == camera.id}}\" onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t/>\n\t\t\t\t\t<span></span>\n\t\t\t\t\t<label tabindex=\"0\"\n\t\t\t\t\t\t   ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t   onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t{{camera.label}}\n\t\t\t\t\t</label>\n\t\t\t\t </li>\n\t\t\t</ul>\n\t\t</div>\n\t</div>\n\t<div data-selector=\"controlbar\" class=\"{{css}}-controlbar\">\n\n        <div class=\"{{css}}-leftbutton-container\" ba-show=\"{{settingsvisible}}\">\n            <div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{settingsopen=!settingsopen}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"record-button-icon-cog\" class=\"{{css}}-button-inner {{css}}-button-{{settingsopen ? 'selected' : 'unselected'}}\"\n                 onclick=\"{{settingsopen=!settingsopen}}\"\n                 onmouseenter=\"{{hover(string('settings'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n                <i class=\"{{csscommon}}-icon-cog\"></i>\n            </div>\n        </div>\n\n        <div class=\"{{css}}-lefticon-container\" ba-show=\"{{settingsvisible}}\">\n            <div data-selector=\"record-button-icon-videocam\" class=\"{{csscommon}}-icon-inner\"\n                 onmouseenter=\"{{hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n                <i class=\"{{csscommon}}-icon-videocam {{csscommon}}-icon-state-{{camerahealthy ? 'good' : 'bad' }}\"></i>\n            </div>\n        </div>\n\n        <div class=\"{{css}}-label-container\" ba-show=\"{{controlbarlabel}}\">\n        \t<div data-selector=\"record-label-block\" class=\"{{css}}-label-label\">\n        \t\t{{controlbarlabel}}\n        \t</div>\n        </div>\n\n        <div class=\"{{css}}-rightbutton-container\" ba-show=\"{{recordvisible}}\">\n        \t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{record()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"record-primary-button\" class=\"{{css}}-button-primary\"\n                 onclick=\"{{record()}}\"\n                 onmouseenter=\"{{hover(string('record-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n        \t\t{{string('record')}}\n        \t</div>\n        </div>\n\n        <div class=\"{{css}}-rightbutton-container\" ba-show=\"{{rerecordvisible}}\">\n        \t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"rerecord-primary-button\" class=\"{{css}}-button-primary\"\n                 onclick=\"{{rerecord()}}\"\n                 onmouseenter=\"{{hover(string('rerecord-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n        \t\t{{string('rerecord')}}\n        \t</div>\n        </div>\n\n\t\t<div class=\"{{css}}-rightbutton-container\" ba-show=\"{{cancelvisible}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{cancel()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"cancel-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t onclick=\"{{cancel()}}\"\n\t\t\t\t onmouseenter=\"{{hover(string('cancel-tooltip'))}}\"\n\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n\t\t\t\t{{string('cancel')}}\n\t\t\t</div>\n\t\t</div>\n\n\t</div>\n</div>\n",

                attrs: {
                    "css": "ba-imagecapture",
                    "hovermessage": ""
                },

                functions: {
                    selectCamera: function(cameraId) {
                        this.trigger("select-camera", cameraId);
                    },
                    hover: function(text) {
                        this.set("hovermessage", text);
                    },
                    unhover: function() {
                        this.set("hovermessage", "");
                    },
                    record: function() {
                        this.trigger("invoke-record");
                    },
                    rerecord: function() {
                        this.trigger("invoke-rerecord");
                    },
                    cancel: function() {
                        this.trigger("invoke-cancel");
                    }
                }

            };
        })
        .register("ba-imagecapture-controlbar")
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "settingsvisible && settingsopen": function (obj) { return obj.settingsvisible && obj.settingsopen; }, "cameras": function (obj) { return obj.cameras; }, "selectCamera(camera.id)": function (obj) { return obj.selectCamera(obj.camera.id); }, "selectedcamera == camera.id": function (obj) { return obj.selectedcamera == obj.camera.id; }, "camera.label": function (obj) { return obj.camera.label; }, "settingsvisible": function (obj) { return obj.settingsvisible; }, "settingsopen=!settingsopen": function (obj) { return obj.settingsopen=!obj.settingsopen; }, "settingsopen ? 'selected' : 'unselected'": function (obj) { return obj.settingsopen ? 'selected' : 'unselected'; }, "hover(string('settings'))": function (obj) { return obj.hover(obj.string('settings')); }, "unhover()": function (obj) { return obj.unhover(); }, "csscommon": function (obj) { return obj.csscommon; }, "hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))": function (obj) { return obj.hover(obj.string(obj.camerahealthy ? 'camerahealthy' : 'cameraunhealthy')); }, "camerahealthy ? 'good' : 'bad'": function (obj) { return obj.camerahealthy ? 'good' : 'bad'; }, "controlbarlabel": function (obj) { return obj.controlbarlabel; }, "recordvisible": function (obj) { return obj.recordvisible; }, "record()": function (obj) { return obj.record(); }, "hover(string('record-tooltip'))": function (obj) { return obj.hover(obj.string('record-tooltip')); }, "string('record')": function (obj) { return obj.string('record'); }, "rerecordvisible": function (obj) { return obj.rerecordvisible; }, "rerecord()": function (obj) { return obj.rerecord(); }, "hover(string('rerecord-tooltip'))": function (obj) { return obj.hover(obj.string('rerecord-tooltip')); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "cancelvisible": function (obj) { return obj.cancelvisible; }, "cancel()": function (obj) { return obj.cancel(); }, "hover(string('cancel-tooltip'))": function (obj) { return obj.hover(obj.string('cancel-tooltip')); }, "string('cancel')": function (obj) { return obj.string('cancel'); }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "settings": "Settings",
            "camerahealthy": "Lighting is good",
            "cameraunhealthy": "Lighting is not optimal",
            "record": "Capture",
            "record-tooltip": "Click here to capture.",
            "rerecord": "Redo",
            "rerecord-tooltip": "Click here to redo.",
            "cancel": "Cancel",
            "cancel-tooltip": "Click here to cancel."
        });
});

Scoped.define("module:ImageCapture.Dynamics.Faceoutline", ["dynamics:Dynamic"], function(Class, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "<svg viewBox=\"0 0 301 171\" style=\"width:100%; height:100%; position: absolute; top: 0; left: 0\">\n    <g>\n        <path fill=\"none\" stroke=\"white\" stroke-width=\"2\" stroke-miterlimit=\"10\" stroke-dasharray=\"3.0228,3.0228\" d=\"M198.5,79.831c0,40.542-22.752,78.579-47.5,78.579c-24.749,0-47.5-38.036-47.5-78.579c0-40.543,17.028-68.24,47.5-68.24C185.057,11.591,198.5,39.288,198.5,79.831z\"></path>\n    </g>\n</svg>"

            };
        })
        .registerFunctions({
            /**//**/
        })
        .register("ba-imagecapture-faceoutline");
});

Scoped.define("module:ImageCapture.Dynamics.Loader", ["dynamics:Dynamic","module:Assets"], ["dynamics:Partials.ShowPartial"], function(Class, Assets, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div class=\"{{css}}-loader-container\">\n    <div data-selector=\"recorder-loader-block\" class=\"{{css}}-loader-loader\" title=\"{{tooltip || ''}}\">\n    </div>\n</div>\n<div data-selector=\"recorder-loader-label-container\" class=\"{{css}}-loader-label\" ba-show=\"{{label}}\">\n\t{{label}}\n</div>\n",

                attrs: {
                    "css": "ba-imagecapture",
                    "tooltip": "",
                    "label": "",
                    "message": "",
                    "hovermessage": ""
                }

            };
        })
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "tooltip || ''": function (obj) { return obj.tooltip || ''; }, "label": function (obj) { return obj.label; }/**/
        })
        .register("ba-imagecapture-loader")
        .attachStringTable(Assets.strings)
        .addStrings({});
});

Scoped.define("module:ImageCapture.Dynamics.Message", ["dynamics:Dynamic"], ["dynamics:Partials.ClickPartial"], function(Class, Templates, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div data-selector=\"recorder-message-container\" class=\"{{css}}-message-container\" ba-click=\"{{click()}}\">\n    <div data-selector=\"recorder-message-block\" class='{{css}}-message-message'>\n        <p>\n            {{message || \"\"}}\n        </p>\n        <ul ba-if=\"{{links && links.length > 0}}\" ba-repeat=\"{{link :: links}}\">\n            <li>\n                <a href=\"javascript:;\" ba-click=\"{{linkClick(link)}}\">\n                    {{link.title}}\n                </a>\n            </li>\n        </ul>\n    </div>\n</div>\n",

                attrs: {
                    "css": "ba-imagecapture",
                    "message": '',
                    "links": null
                },

                functions: {

                    click: function() {
                        this.trigger("click");
                    },

                    linkClick: function(link) {
                        this.trigger("link", link);
                    }

                }

            };
        })
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "click()": function (obj) { return obj.click(); }, "message || \"\"": function (obj) { return obj.message || ""; }, "links && links.length > 0": function (obj) { return obj.links && obj.links.length > 0; }, "links": function (obj) { return obj.links; }, "linkClick(link)": function (obj) { return obj.linkClick(obj.link); }, "link.title": function (obj) { return obj.link.title; }/**/
        })
        .register("ba-imagecapture-message");
});

Scoped.define("module:ImageCapture.Dynamics.Topmessage", ["dynamics:Dynamic"], function(Class, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div class=\"{{css}}-topmessage-container\">\n    <div class='{{css}}-topmessage-background'>\n    </div>\n    <div data-selector=\"recorder-topmessage-block\" class='{{css}}-topmessage-message'>\n        {{topmessage}}\n    </div>\n</div>\n",

                attrs: {
                    "css": "ba-imagecapture",
                    "topmessage": ''
                }

            };
        })
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "topmessage": function (obj) { return obj.topmessage; }/**/
        })
        .register("ba-imagecapture-topmessage");
});

Scoped.define("module:ImageCapture.Dynamics.Recorder", ["dynamics:Dynamic","module:Assets","browser:Info","browser:Dom","browser:Upload.MultiUploader","browser:Upload.FileUploader","media:ImageRecorder.ImageRecorderWrapper","base:Types","base:Objs","base:Strings","base:Time","base:Timers","base:States.Host","base:Classes.ClassRegistry","base:Collections.Collection","base:Promise","module:ImageCapture.Dynamics.RecorderStates.Initial","module:ImageCapture.Dynamics.RecorderStates"], ["module:ImageCapture.Dynamics.Loader","module:ImageCapture.Dynamics.Controlbar","module:ImageCapture.Dynamics.Message","module:ImageCapture.Dynamics.Topmessage","module:ImageCapture.Dynamics.Chooser","module:ImageCapture.Dynamics.Faceoutline","dynamics:Partials.ShowPartial","dynamics:Partials.IfPartial","dynamics:Partials.EventPartial","dynamics:Partials.OnPartial","dynamics:Partials.DataPartial","dynamics:Partials.AttrsPartial","dynamics:Partials.StylesPartial","dynamics:Partials.TemplatePartial","dynamics:Partials.HotkeyPartial"], function(Class, Assets, Info, Dom, MultiUploader, FileUploader, ImageRecorderWrapper, Types, Objs, Strings, Time, Timers, Host, ClassRegistry, Collection, Promise, InitialState, RecorderStates, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div data-selector=\"capture-container\" ba-show=\"{{!player_active}}\"\n     class=\"{{css}}-container {{css}}-size-{{csssize}} {{iecss}}-{{ie8 ? 'ie8' : 'noie8'}} {{csstheme}}\n     \t{{css}}-{{ fullscreened ? 'fullscreen' : 'normal' }}-view {{css}}-{{ firefox ? 'firefox' : 'common'}}-browser\n    \t{{css}}-{{themecolor}}-color\"\n     ba-styles=\"{{widthHeightStyles}}\"\n>\n\n    <img tabindex=\"-1\" data-selector=\"recorder-status\" class=\"{{css}}-video {{css}}-{{hasrecorder ? 'hasrecorder' : 'norecorder'}}\" data-image=\"image\" />\n\t<ba-imagecapture-faceoutline class=\"{{css}}-overlay\" ba-if=\"{{faceoutline && hasrecorder}}\">\n\t</ba-imagecapture-faceoutline>\n    <div data-selector=\"recorder-overlay\" class='{{css}}-overlay' ba-show=\"{{!hideoverlay}}\" data-overlay=\"overlay\">\n\t\t<ba-{{dynloader}}\n\t\t    ba-css=\"{{cssloader || css}}\"\n\t\t\tba-themecolor=\"{{themecolor}}\"\n\t\t    ba-template=\"{{tmplloader}}\"\n\t\t    ba-show=\"{{loader_active}}\"\n\t\t    ba-tooltip=\"{{loadertooltip}}\"\n\t\t\tba-hovermessage=\"{{=hovermessage}}\"\n\t\t    ba-label=\"{{loaderlabel}}\"\n\t\t></ba-{{dynloader}}>\n\n\t\t<ba-{{dynmessage}}\n\t\t    ba-css=\"{{cssmessage || css}}\"\n\t\t\tba-themecolor=\"{{themecolor}}\"\n\t\t    ba-template=\"{{tmplmessage}}\"\n\t\t    ba-show=\"{{message_active}}\"\n\t\t    ba-message=\"{{message}}\"\n\t\t\tba-links=\"{{message_links}}\"\n\t\t    ba-event:click=\"message_click\"\n\t\t\tba-event:link=\"message_link_click\"\n\t\t></ba-{{dynmessage}}>\n\n\t\t<ba-{{dyntopmessage}}\n\t\t    ba-css=\"{{csstopmessage || css}}\"\n\t\t\tba-themecolor=\"{{themecolor}}\"\n\t\t    ba-template=\"{{tmpltopmessage}}\"\n\t\t    ba-show=\"{{topmessage_active && (topmessage || hovermessage)}}\"\n\t\t    ba-topmessage=\"{{hovermessage || topmessage}}\"\n\t\t></ba-{{dyntopmessage}}>\n\n\t\t<ba-{{dynchooser}}\n\t\t\tba-recordviafilecapture=\"{{recordviafilecapture}}\"\n\t\t    ba-css=\"{{csschooser || css}}\"\n\t\t\tba-themecolor=\"{{themecolor}}\"\n\t\t    ba-template=\"{{tmplchooser}}\"\n\t\t    ba-if=\"{{chooser_active && !is_initial_state}}\"\n\t\t    ba-allowrecord=\"{{allowrecord}}\"\n\t\t    ba-allowupload=\"{{allowupload}}\"\n\t\t    ba-allowcustomupload=\"{{allowcustomupload}}\"\n\t\t    ba-allowedextensions=\"{{allowedextensions}}\"\n\t\t    ba-primaryrecord=\"{{primaryrecord}}\"\n\t\t    ba-event:record=\"capture_image\"\n\t\t    ba-event:upload=\"upload_image\"\n\t\t></ba-{{dynchooser}}>\n\n\t\t<ba-{{dyncontrolbar}}\n\t\t    ba-css=\"{{csscontrolbar || css}}\"\n\t\t\tba-themecolor=\"{{themecolor}}\"\n\t\t    ba-template=\"{{tmplcontrolbar}}\"\n\t\t    ba-show=\"{{controlbar_active}}\"\n\t\t    ba-cameras=\"{{cameras}}\"\n\t\t    ba-selectedcamera=\"{{selectedcamera || 0}}\"\n\t\t    ba-camerahealthy=\"{{camerahealthy}}\"\n\t\t    ba-hovermessage=\"{{=hovermessage}}\"\n\t\t    ba-settingsvisible=\"{{settingsvisible}}\"\n\t\t    ba-recordvisible=\"{{recordvisible}}\"\n\t\t\tba-cancelvisible=\"{{allowcancel && cancancel}}\"\n\t\t    ba-rerecordvisible=\"{{rerecordvisible}}\"\n\t\t    ba-controlbarlabel=\"{{controlbarlabel}}\"\n\t\t    ba-event:select-camera=\"select_camera\"\n\t\t    ba-event:invoke-record=\"record\"\n\t\t    ba-event:invoke-rerecord=\"rerecord\"\n\t\t></ba-{{dyncontrolbar}}>\n    </div>\n</div>\n\n<div data-selector=\"recorder-player\" ba-if=\"{{player_active}}\" ba-styles=\"{{widthHeightStyles}}\">\n\t<span ba-show=\"{{ie8}}\">&nbsp;</span>\n\t<ba-{{dynimageviewer}}\n\t    ba-theme=\"{{theme || 'default'}}\"\n        ba-themecolor=\"{{themecolor}}\"\n        ba-source=\"{{playbacksource}}\"\n        ba-hideoninactivity=\"{{false}}\"\n        ba-stretch=\"{{stretch}}\"\n        ba-attrs=\"{{playerattrs}}\"\n        ba-data:id=\"player\"\n        ba-width=\"{{width}}\"\n        ba-height=\"{{height}}\"\n        ba-rerecordable=\"{{rerecordable && (recordings === null || recordings > 0)}}\"\n        ba-submittable=\"{{manualsubmit && verified}}\"\n        ba-nofullscreen=\"{{nofullscreen}}\"\n        ba-event:rerecord=\"rerecord\"\n        ba-event:submit=\"manual_submit\"\n\t>\n\t</ba-{{dynimageviewer}}>\n</div>\n",

                attrs: {
                    /* CSS */
                    "css": "ba-imagecapture",
                    "csscommon": "ba-commoncss",
                    "iecss": "ba-imagecapture",
                    "cssimagegallery": "",
                    "cssloader": "",
                    "csscontrolbar": "",
                    "cssmessage": "",
                    "csstopmessage": "",
                    "csschooser": "",
                    "width": "",
                    "height": "",
                    "gallerysnapshots": 3,

                    /* Themes */
                    "theme": "",
                    "csstheme": "",

                    /* Dynamics */
                    "dynloader": "imagecapture-loader",
                    "dyncontrolbar": "imagecapture-controlbar",
                    "dynmessage": "imagecapture-message",
                    "dyntopmessage": "imagecapture-topmessage",
                    "dynchooser": "imagecapture-chooser",
                    "dynimageviewer": "imageviewer",

                    /* Templates */
                    "tmplloader": "",
                    "tmplcontrolbar": "",
                    "tmplmessage": "",
                    "tmpltopmessage": "",
                    "tmplchooser": "",

                    /* Attributes */
                    "autorecord": false,
                    "allowrecord": true,
                    "allowupload": true,
                    "allowcustomupload": true,
                    "camerafacefront": false,
                    "primaryrecord": true,
                    "nofullscreen": false,
                    "recordingwidth": undefined,
                    "recordingheight": undefined,
                    "minuploadingwidth": undefined,
                    "maxuploadingwidth": undefined,
                    "minuploadingheight": undefined,
                    "maxuploadingheight": undefined,
                    "countdown": 3,
                    "webrtconmobile": "boolean",
                    "snapshottype": "jpg",
                    "playbacksource": "",
                    "recordermode": true,
                    "skipinitial": false,
                    "skipinitialonrerecord": false,
                    "flip-camera": false,
                    "early-rerecord": false,
                    "manualsubmit": false,
                    "allowedextensions": null,
                    "filesizelimit": null,
                    "faceoutline": false,

                    /* Configuration */
                    "simulate": false,
                    "localplayback": false,
                    "uploadoptions": {},
                    "playerattrs": {},
                    "shortMessage": true,

                    /* Options */
                    "rerecordable": true,
                    "recordings": null,
                    "ready": true,
                    "orientation": false,
                    "stretch": false

                },

                computed: {
                    "nativeRecordingWidth:recordingwidth,record_media": function() {
                        return this.get("recordingwidth") || (this.get("record_media") !== "screen" ? 640 : (window.innerWidth || document.body.clientWidth));
                    },
                    "nativeRecordingHeight:recordingheight,record_media": function() {
                        return this.get("recordingheight") || (this.get("record_media") !== "screen" ? 480 : (window.innerHeight || document.body.clientHeight));
                    },
                    "widthHeightStyles:width,height": function() {
                        var result = {};
                        var width = this.get("width");
                        var height = this.get("height");
                        if (width)
                            result.width = width + ((width + '').match(/^\d+$/g) ? 'px' : '');
                        if (height)
                            result.height = height + ((height + '').match(/^\d+$/g) ? 'px' : '');
                        return result;
                    },
                    "canswitchcamera:recordviafilecapture": function() {
                        return !this.get("recordviafilecapture") && Info.isMobile();
                    }
                },

                scopes: {
                    player: ">[id='player']"
                },

                types: {
                    "rerecordable": "boolean",
                    "ready": "boolean",
                    "stretch": "boolean",
                    "autorecord": "boolean",
                    "allowrecord": "boolean",
                    "allowupload": "boolean",
                    "allowcustomupload": "boolean",
                    "primaryrecord": "boolean",
                    "recordermode": "boolean",
                    "nofullscreen": "boolean",
                    "skipinitialonrerecord": "boolean",
                    "localplayback": "boolean",
                    "camerafacefront": "boolean",
                    "skipinitial": "boolean",
                    "minuploadingwidth": "int",
                    "maxuploadingwidth": "int",
                    "minuploadingheight": "int",
                    "maxuploadingheight": "int",
                    "webrtconmobile": "boolean",
                    "flip-camera": "boolean",
                    "faceoutline": "boolean",
                    "early-rerecord": "boolean",
                    "manualsubmit": "boolean",
                    "simulate": "boolean",
                    "allowedextensions": "array"
                },

                extendables: ["states"],

                remove_on_destroy: true,

                events: {
                    "change:camerahealthy": function(value) {
                        this.trigger("camerahealth", value);
                    },
                    "change:webrtconmobile": function() {
                        this.set("recordviafilecapture", Info.isMobile() && (!this.get("webrtconmobile") || !ImageRecorderWrapper.anySupport(this._imageCaptureWrapperOptions())));
                    },
                    "change:recordviafilecapture": function() {
                        if (this.get("recordviafilecapture")) {
                            this.set("skipinitial", false);
                            this.set("skipinitialonrerecord", false);
                            this.set("allowscreen", false);
                            this.set("autorecord", false);
                        }
                    }
                },

                create: function() {
                    if (this.get("theme")) this.set("theme", this.get("theme").toLowerCase());
                    if (this.get("theme") in Assets.recorderthemes) {
                        Objs.iter(Assets.recorderthemes[this.get("theme")], function(value, key) {
                            if (!this.isArgumentAttr(key))
                                this.set(key, value);
                        }, this);
                    }
                    this.set("ie8", Info.isInternetExplorer() && Info.internetExplorerVersion() < 9);
                    this.set("hideoverlay", false);

                    this.set("canswitchcamera", false);
                    this.set("recordviafilecapture", Info.isMobile() && (!this.get("webrtconmobile") || !ImageRecorderWrapper.anySupport(this._imageCaptureWrapperOptions())));

                    if (this.get("recordviafilecapture")) {
                        this.set("skipinitial", false);
                        this.set("skipinitialonrerecord", false);
                        this.set("autorecord", false);
                    }

                    this.__attachRequested = false;
                    this.__activated = false;
                    this._bound = false;
                    this.__recording = false;
                    this.__error = null;
                    this.__currentStretch = null;

                    this.on("change:stretch", function() {
                        this._updateStretch();
                    }, this);
                    this.host = new Host({
                        stateRegistry: new ClassRegistry(this.cls.recorderStates())
                    });
                    this.host.dynamic = this;
                    this.host.initialize(InitialState);

                    this._timer = new Timers.Timer({
                        context: this,
                        fire: this._timerFire,
                        delay: 250,
                        start: true
                    });

                    this.__cameraResponsive = true;
                    this.__cameraSignal = true;

                    if (!Info.isMobile())
                        this.set("orientation", false);
                    this.set("currentorientation", window.innerHeight > window.innerWidth ? "portrait" : "landscape");
                },

                state: function() {
                    return this.host.state();
                },

                recorderAttached: function() {
                    return !!this.recorder;
                },

                imageError: function() {
                    return this.__error;
                },

                _error: function(error_type, error_code) {
                    this.__error = {
                        error_type: error_type,
                        error_code: error_code
                    };
                    this.trigger("error:" + error_type, error_code);
                    this.trigger("error", error_type, error_code);
                },

                _clearError: function() {
                    this.__error = null;
                },

                _detachRecorder: function() {
                    if (this.recorder)
                        this.recorder.weakDestroy();
                    this.recorder = null;
                    this.set("hasrecorder", false);
                },

                _imageCaptureWrapperOptions: function() {
                    return {
                        simulate: this.get("simulate"),
                        // webrtcOnMobile: !!this.get("webrtconmobile"),
                        localPlaybackRequested: this.get("localplayback"),
                        flip: this.get("flip-camera")
                    };
                },

                _attachRecorder: function() {
                    if (this.recorderAttached())
                        return;
                    if (!this.__activated) {
                        this.__attachRequested = true;
                        return;
                    }
                    this.set("hasrecorder", true);
                    this.__attachRequested = false;
                    var image = this.activeElement().querySelector("[data-image='image']");
                    this._clearError();
                    this.recorder = ImageRecorderWrapper.create(Objs.extend({
                        element: image
                    }, this._imageCaptureWrapperOptions()));
                    if (this.recorder)
                        this.trigger("attached");
                    else
                        this._error("attach");
                },

                _softwareDependencies: function() {
                    if (!this.recorderAttached() || !this.recorder)
                        return Promise.error("No recorder attached.");
                    return this.recorder.softwareDependencies();
                },

                _bindMedia: function() {
                    if (this._bound || !this.recorderAttached() || !this.recorder)
                        return;
                    this.recorder.ready.success(function() {
                        this.recorder.on("require_display", function() {
                            this.set("hideoverlay", true);
                        }, this);
                        this.recorder.bindMedia().error(function(e) {
                            this.trigger("access_forbidden", e);
                            this.set("hideoverlay", false);
                            this.off("require_display", null, this);
                            this._error("bind", e);
                        }, this).success(function() {
                            this.trigger("access_granted");
                            this.set("hideoverlay", false);
                            this.off("require_display", null, this);
                            this.recorder.enumerateDevices().success(function(devices) {
                                var selected = this.recorder.currentDevices();
                                this.set("selectedcamera", selected.video);
                                this.set("cameras", new Collection(Objs.values(devices.video)));
                            }, this);
                            this.set("devicetesting", true);
                            this._updateStretch();
                            this._bound = true;
                            this.trigger("bound");
                        }, this);
                    }, this);
                },

                _initializeUploader: function() {
                    if (this._dataUploader)
                        this._dataUploader.weakDestroy();
                    this._dataUploader = new MultiUploader();
                },

                _unbindMedia: function() {
                    if (!this._bound)
                        return;
                    this.recorder.unbindMedia();
                    this._bound = false;
                },

                _uploadImageFile: function(file) {
                    if (this.get("simulate"))
                        return;
                    var uploader = FileUploader.create(Objs.extend({
                        source: file
                    }, this.get("uploadoptions").image));
                    uploader.upload();
                    this._dataUploader.addUploader(uploader);
                },

                _prepareRecording: function() {
                    return Promise.create(true);
                },

                _captureImage: function() {
                    this._snapshot = this.recorder.createSnapshot(this.get("snapshottype"));
                },

                _uploadCapture: function() {
                    if (this.get("simulate"))
                        return;
                    var uploader = this.recorder.createSnapshotUploader(this._snapshot, this.get("snapshottype"), this.get("uploadoptions").image);
                    uploader.upload();
                    this._dataUploader.addUploader(uploader);
                },


                _verifyRecording: function() {
                    return Promise.create(true);
                },

                _afterActivate: function(element) {
                    inherited._afterActivate.call(this, element);
                    this.__activated = true;
                    if (this.__attachRequested)
                        this._attachRecorder();
                    this.persistentTrigger("loaded");
                },

                object_functions: ["record", "rerecord", "reset"],

                functions: {

                    record: function() {
                        this.host.state().record();
                    },

                    record_image: function() {
                        this.host.state().selectRecord();
                    },

                    upload_image: function(file) {
                        this.host.state().selectUpload(file);
                    },

                    select_camera: function(camera_id) {
                        if (this.recorder) {
                            this.recorder.setCurrentDevices({
                                video: camera_id
                            });
                            this.set("selectedcamera", camera_id);
                        }
                    },

                    select_camera_face: function(faceFront) {
                        if (this.recorder) {
                            this.recorder.setCameraFace(faceFront);
                            this.set("camerafacefront", faceFront);
                        }
                    },

                    rerecord: function() {
                        if (confirm(this.stringUnicode("rerecord-confirm")))
                            this.host.state().rerecord();
                    },

                    message_click: function() {
                        this.trigger("message-click");
                    },

                    message_link_click: function(link) {
                        this.trigger("message-link-click", link);
                    },

                    reset: function() {
                        this._stopRecording().callback(function() {
                            this._unbindMedia();
                            this._detachRecorder();
                            this.host.state().next("Initial");
                        }, this);
                    },

                    manual_submit: function() {
                        this.set("rerecordable", false);
                        this.set("manualsubmit", false);
                        this.trigger("manually_submitted");
                    },

                    ready_to_play: function() {
                        this.trigger("ready_to_play");
                    }

                },

                destroy: function() {
                    this._timer.destroy();
                    this.host.destroy();
                    this._detachRecorder();
                    inherited.destroy.call(this);
                },

                deltaCoefficient: function() {
                    return this.recorderAttached() ? this.recorder.deltaCoefficient() : null;
                },

                blankLevel: function() {
                    return this.recorderAttached() ? this.recorder.blankLevel() : null;
                },

                lightLevel: function() {
                    return this.recorderAttached() ? this.recorder.lightLevel() : null;
                },

                _timerFire: function() {
                    if (this.destroyed())
                        return;
                    this.set("currentorientation", window.innerHeight > window.innerWidth ? "portrait" : "landscape");
                    try {
                        if (this.recorderAttached() && this.get("devicetesting")) {
                            var lightLevel = this.lightLevel();
                            this.set("camerahealthy", lightLevel >= 100 && lightLevel <= 200);
                        }
                    } catch (e) {}

                    try {
                        if (this.recorderAttached() && this._timer.fire_count() % 20 === 0 && this._accessing_camera) {
                            var signal = this.blankLevel() >= 0.01;
                            if (signal !== this.__cameraSignal) {
                                this.__cameraSignal = signal;
                                this.trigger(signal ? "camera_signal" : "camera_nosignal");
                            }
                        }
                        if (this.recorderAttached() && this._timer.fire_count() % 20 === 10 && this._accessing_camera) {
                            var delta = this.recorder.deltaCoefficient();
                            var responsive = delta === null || delta >= 0.5;
                            if (responsive !== this.__cameraResponsive) {
                                this.__cameraResponsive = responsive;
                                this.trigger(responsive ? "camera_responsive" : "camera_unresponsive");
                            }
                        }
                    } catch (e) {}

                    this._updateStretch();
                    this._updateCSSSize();
                },

                _updateCSSSize: function() {
                    var width = Dom.elementDimensions(this.activeElement()).width;
                    this.set("csssize", width > 400 ? "normal" : (width > 300 ? "medium" : "small"));
                },

                imageHeight: function() {
                    return this.recorderAttached() ? this.recorder.cameraHeight() : NaN;
                },

                imageWidth: function() {
                    return this.recorderAttached() ? this.recorder.cameraWidth() : NaN;
                },

                aspectRatio: function() {
                    return this.imageWidth() / this.imageHeight();
                },

                parentWidth: function() {
                    return this.get("width") || Dom.elementDimensions(this.activeElement()).width;
                },

                parentHeight: function() {
                    return this.get("height") || Dom.elementDimensions(this.activeElement()).height;
                },

                parentAspectRatio: function() {
                    return this.parentWidth() / this.parentHeight();
                },

                _updateStretch: function() {
                    var newStretch = null;
                    if (this.get("stretch")) {
                        var ar = this.aspectRatio();
                        if (isFinite(ar)) {
                            var par = this.parentAspectRatio();
                            if (isFinite(par)) {
                                if (par > ar)
                                    newStretch = "height";
                                if (par < ar)
                                    newStretch = "width";
                            } else if (par === Infinity)
                                newStretch = "height";
                        }
                    }
                    if (this.__currentStretch !== newStretch) {
                        if (this.__currentStretch)
                            Dom.elementRemoveClass(this.activeElement(), this.get("css") + "-stretch-" + this.__currentStretch);
                        if (newStretch)
                            Dom.elementAddClass(this.activeElement(), this.get("css") + "-stretch-" + newStretch);
                    }
                    this.__currentStretch = newStretch;
                }

            };
        }, {

            recorderStates: function() {
                return [RecorderStates];
            }

        })
        .register("ba-imagecapture")
        .registerFunctions({
            /**/"!player_active": function (obj) { return !obj.player_active; }, "css": function (obj) { return obj.css; }, "csssize": function (obj) { return obj.csssize; }, "iecss": function (obj) { return obj.iecss; }, "ie8 ? 'ie8' : 'noie8'": function (obj) { return obj.ie8 ? 'ie8' : 'noie8'; }, "csstheme": function (obj) { return obj.csstheme; }, "fullscreened ? 'fullscreen' : 'normal'": function (obj) { return obj.fullscreened ? 'fullscreen' : 'normal'; }, "firefox ? 'firefox' : 'common'": function (obj) { return obj.firefox ? 'firefox' : 'common'; }, "themecolor": function (obj) { return obj.themecolor; }, "widthHeightStyles": function (obj) { return obj.widthHeightStyles; }, "hasrecorder ? 'hasrecorder' : 'norecorder'": function (obj) { return obj.hasrecorder ? 'hasrecorder' : 'norecorder'; }, "faceoutline && hasrecorder": function (obj) { return obj.faceoutline && obj.hasrecorder; }, "!hideoverlay": function (obj) { return !obj.hideoverlay; }, "dynloader": function (obj) { return obj.dynloader; }, "cssloader || css": function (obj) { return obj.cssloader || obj.css; }, "tmplloader": function (obj) { return obj.tmplloader; }, "loader_active": function (obj) { return obj.loader_active; }, "loadertooltip": function (obj) { return obj.loadertooltip; }, "hovermessage": function (obj) { return obj.hovermessage; }, "loaderlabel": function (obj) { return obj.loaderlabel; }, "dynmessage": function (obj) { return obj.dynmessage; }, "cssmessage || css": function (obj) { return obj.cssmessage || obj.css; }, "tmplmessage": function (obj) { return obj.tmplmessage; }, "message_active": function (obj) { return obj.message_active; }, "message": function (obj) { return obj.message; }, "message_links": function (obj) { return obj.message_links; }, "dyntopmessage": function (obj) { return obj.dyntopmessage; }, "csstopmessage || css": function (obj) { return obj.csstopmessage || obj.css; }, "tmpltopmessage": function (obj) { return obj.tmpltopmessage; }, "topmessage_active && (topmessage || hovermessage)": function (obj) { return obj.topmessage_active && (obj.topmessage || obj.hovermessage); }, "hovermessage || topmessage": function (obj) { return obj.hovermessage || obj.topmessage; }, "dynchooser": function (obj) { return obj.dynchooser; }, "recordviafilecapture": function (obj) { return obj.recordviafilecapture; }, "csschooser || css": function (obj) { return obj.csschooser || obj.css; }, "tmplchooser": function (obj) { return obj.tmplchooser; }, "chooser_active && !is_initial_state": function (obj) { return obj.chooser_active && !obj.is_initial_state; }, "allowrecord": function (obj) { return obj.allowrecord; }, "allowupload": function (obj) { return obj.allowupload; }, "allowcustomupload": function (obj) { return obj.allowcustomupload; }, "allowedextensions": function (obj) { return obj.allowedextensions; }, "primaryrecord": function (obj) { return obj.primaryrecord; }, "dyncontrolbar": function (obj) { return obj.dyncontrolbar; }, "csscontrolbar || css": function (obj) { return obj.csscontrolbar || obj.css; }, "tmplcontrolbar": function (obj) { return obj.tmplcontrolbar; }, "controlbar_active": function (obj) { return obj.controlbar_active; }, "cameras": function (obj) { return obj.cameras; }, "selectedcamera || 0": function (obj) { return obj.selectedcamera || 0; }, "camerahealthy": function (obj) { return obj.camerahealthy; }, "settingsvisible": function (obj) { return obj.settingsvisible; }, "recordvisible": function (obj) { return obj.recordvisible; }, "allowcancel && cancancel": function (obj) { return obj.allowcancel && obj.cancancel; }, "rerecordvisible": function (obj) { return obj.rerecordvisible; }, "controlbarlabel": function (obj) { return obj.controlbarlabel; }, "player_active": function (obj) { return obj.player_active; }, "ie8": function (obj) { return obj.ie8; }, "dynimageviewer": function (obj) { return obj.dynimageviewer; }, "theme || 'default'": function (obj) { return obj.theme || 'default'; }, "playbacksource": function (obj) { return obj.playbacksource; }, "false": function (obj) { return false; }, "stretch": function (obj) { return obj.stretch; }, "playerattrs": function (obj) { return obj.playerattrs; }, "width": function (obj) { return obj.width; }, "height": function (obj) { return obj.height; }, "rerecordable && (recordings === null || recordings > 0)": function (obj) { return obj.rerecordable && (obj.recordings === null || obj.recordings > 0); }, "manualsubmit && verified": function (obj) { return obj.manualsubmit && obj.verified; }, "nofullscreen": function (obj) { return obj.nofullscreen; }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "recorder-error": "An error occurred, please try again later. Click to retry.",
            "attach-error": "We could not access the media interface. Depending on the device and browser, you might need to access the page via SSL.",
            "software-required": "Please click below to install / activate the following requirements in order to proceed.",
            "software-waiting": "Waiting for the requirements to be installed / activated. You might need to refresh the page after completion.",
            "access-forbidden": "Access to the media was forbidden. Click to retry.",
            "uploading": "Uploading",
            "uploading-failed": "Uploading failed - click here to retry.",
            "upload-error-duration": "Length of the uploaded image does not meet the requirements - click here to retry.",
            "resolution-constraint-error": "The file you've selected does not match the required resolution - click here to retry.",
            "verifying": "Verifying",
            "verifying-failed": "Verifying failed - click here to retry.",
            "rerecord-confirm": "Do you really want to retake your image?",
            "image_file_too_large": "Your image file is too large (%s) - click here to try again with a smaller image file.",
            "unsupported_image_type": "Please upload: %s - click here to retry.",
            "orientation-portrait-required": "Please rotate your device to record in portrait mode.",
            "orientation-landscape-required": "Please rotate your device to record in landscape mode."
        });
});

Scoped.define("module:AudioPlayer.Dynamics.Controlbar", ["dynamics:Dynamic","base:TimeFormat","browser:Dom","module:Assets","browser:Info","browser:Events"], ["dynamics:Partials.StylesPartial","dynamics:Partials.ShowPartial","dynamics:Partials.IfPartial","dynamics:Partials.ClickPartial"], function(Class, TimeFormat, Dom, Assets, Info, DomEvents, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div class=\"{{css}}-dashboard\">\n\t<div tabindex=\"2\" data-selector=\"progress-bar-inner\" class=\"{{css}}-progressbar {{disableseeking ? cssplayer + '-disabled' : ''}}\"\n\t\t ba-hotkey:right=\"{{seek(position + skipseconds)}}\"\n\t\t ba-hotkey:left=\"{{seek(position - skipseconds)}}\"\n         ba-hotkey:alt+right=\"{{seek(position + skipseconds * 3)}}\"\n         ba-hotkey:alt+left=\"{{seek(position - skipseconds * 3)}}\"\n\t\t onmouseout=\"this.blur()\"\n\t\t ontouchstart=\"{{startUpdatePosition(domEvent)}}\"\n\t\t onmousedown=\"{{startUpdatePosition(domEvent)}}\"\n\t>\n\t\t<div class=\"{{css}}-progressbar-cache\" ba-styles=\"{{{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}}}\"></div>\n\t\t<div class=\"{{css}}-progressbar-position\"\n\t\t\t ba-styles=\"{{{width: Math.round(duration ? position / duration * 100 : 0) + '%'}}}\"\n\t\t\t title=\"{{string('audio-progress')}}\"\n\t\t>\n\t\t\t<div class=\"{{css}}-progressbar-button\"></div>\n\t\t</div>\n\t</div>\n\n\t<div class=\"{{css}}-backbar\"></div>\n\n\t<div class=\"{{css}}-controlbar\">\n\n        <div tabindex=\"0\" data-selector=\"submit-audio-button\"\n\t\t\t ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-leftbutton-container\"\n\t\t\t ba-if=\"{{submittable}}\" ba-click=\"{{submit()}}\">\n            <div class=\"{{css}}-button-inner\">\n                {{string('submit-audio')}}\n            </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-ccw\"\n\t\t\t ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-leftbutton-container\" ba-if=\"{{rerecordable}}\"\n\t\t\t ba-click=\"{{rerecord()}}\" title=\"{{string('rerecord-audio')}}\"\n\t\t>\n            <div class=\"{{css}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-ccw\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-play\"\n\t\t\t onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-leftbutton-container\" title=\"{{string('play-audio')}}\"\n\t\t\t onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-pause')}}\" ba-if=\"{{!playing}}\" ba-click=\"{{play()}}\"\n\t\t>\n            <div class=\"{{css}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-play\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-pause\"\n\t\t\t onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-leftbutton-container {{disablepause ? cssplayer + '-disabled' : ''}}\"\n\t\t\t onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-play')}}\" ba-if=\"{{playing}}\" ba-click=\"{{pause()}}\"\n\t\t\t title=\"{{disablepause ? string('pause-audio-disabled') : string('pause-audio')}}\"\n\t\t>\n            <div class=\"{{css}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-pause\"></i>\n            </div>\n        </div>\n\n\t\t<div class=\"{{css}}-time-container\">\n\t\t\t<div class=\"{{css}}-time-value\" title=\"{{string('elapsed-time')}}\">{{formatTime(position)}}</div>\n\t\t\t<div class=\"{{css}}-time-sep\">/</div>\n\t\t\t<div class=\"{{css}}-time-value\" title=\"{{string('total-time')}}\">{{formatTime(duration || position)}}</div>\n\t\t</div>\n\n\t\t<div data-selector=\"audio-title-block\" class=\"{{css}}-title-container\" ba-if=\"{{title}}\">\n\t\t\t<p class=\"{{css}}-title\">\n\t\t\t\t{{title}}\n\t\t\t</p>\n\t\t</div>\n\n\t\t<div class=\"{{css}}-volumebar\">\n\t\t\t<div tabindex=\"5\" data-selector=\"button-volume-bar\"\n\t\t\t\t ba-hotkey:right=\"{{set_volume(volume + 0.1)}}\" ba-hotkey:left=\"{{set_volume(volume - 0.1)}}\"\n\t\t\t\t ba-hotkey:up=\"{{set_volume(1)}}\" ba-hotkey:down=\"{{set_volume(0)}}\"\n\t\t\t\t onmouseout=\"this.blur()\"\n\t\t\t\t class=\"{{css}}-volumebar-inner\"\n\t\t\t\t ontouchstart=\"{{startUpdateVolume(domEvent)}}\"\n\t\t\t\t ontouchmove=\"{{progressUpdateVolume(domEvent)}}\"\n\t\t\t\t ontouchend=\"{{stopUpdateVolume(domEvent); this.blur()}};\"\n\t\t\t\t onmousedown=\"{{startUpdateVolume(domEvent)}}\"\n                 onmouseup=\"{{stopUpdateVolume(domEvent)}}\"\n                 onmouseleave=\"{{stopUpdateVolume(domEvent)}}\"\n                 onmousemove=\"{{progressUpdateVolume(domEvent)}}\"\n\t\t\t>\n\t\t\t\t<div class=\"{{css}}-volumebar-position\" ba-styles=\"{{{width: Math.min(100, Math.round(volume * 100)) + '%'}}}\">\n\t\t\t\t    <div class=\"{{css}}-volumebar-button\" title=\"{{string('volume-button')}}\"></div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\n\t\t<div tabindex=\"4\" data-selector=\"button-icon-volume\"\n\t\t\t ba-hotkey:space^enter=\"{{toggle_volume()}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-rightbutton-container\"\n\t\t\t ba-click=\"{{toggle_volume()}}\" title=\"{{string(volume > 0 ? 'volume-mute' : 'volume-unmute')}}\">\n\t\t\t<div class=\"{{css}}-button-inner\">\n\t\t\t\t<i class=\"{{csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off')) }}\"></i>\n\t\t\t</div>\n\t\t</div>\n\n\t</div>\n</div>\n",

                attrs: {
                    "css": "ba-audioplayer",
                    "csscommon": "ba-commoncss",
                    "cssplayer": "ba-player",
                    "csstheme": "ba-audiooplayer-default-theme",
                    "duration": 0,
                    "position": 0,
                    "cached": 0,
                    "volume": 1.0,
                    "manuallypaused": false,
                    "expandedprogress": true,
                    "playing": false,
                    "rerecordable": false,
                    "submittable": false,
                    "title": ""
                },

                functions: {

                    formatTime: function(time) {
                        time = Math.max(time || 0, 0.1);
                        return TimeFormat.format(TimeFormat.ELAPSED_MINUTES_SECONDS, time * 1000);
                    },

                    startUpdatePosition: function(event) {
                        if (this.get("disableseeking")) return;
                        event[0].preventDefault();
                        if (!this.__parent.get("playing") && this.__parent.player && !this.get("manuallypaused"))
                            this.__parent.player.play();

                        var target = event[0].currentTarget;
                        this.set("dimensions", target.getBoundingClientRect());

                        this.set("_updatePosition", true);
                        this.call("progressUpdatePosition", event[0]);

                        var events = this.get("events");
                        events.on(document, "mousemove touchmove", function(e) {
                            e.preventDefault();
                            this.call("progressUpdatePosition", e);
                        }, this);
                        events.on(document, "mouseup touchend", function(e) {
                            e.preventDefault();
                            this.call("stopUpdatePosition");
                            events.off(document, "mouseup touchend mousemove touchmove");
                        }, this);
                    },

                    progressUpdatePosition: function(event) {
                        if (!this.get("dimensions")) return;
                        var ev = event[0] || event;
                        ev.preventDefault();
                        // Mouse or Touch Event
                        var clientX = ev.clientX === 0 ? 0 : ev.clientX || ev.targetTouches[0].clientX;
                        var dimensions = this.get("dimensions");
                        var percentageFromStart;
                        if (clientX < dimensions.left) {
                            percentageFromStart = 0;
                        } else if (clientX > (dimensions.left + dimensions.width)) {
                            percentageFromStart = 1;
                        } else {
                            percentageFromStart = (clientX - dimensions.left) / (dimensions.width || 1);
                        }
                        var onDuration = this.get("duration") * percentageFromStart;

                        if (!this.get("_updatePosition")) return;

                        this.set("position", onDuration);
                        this.trigger("position", this.get("position"));
                    },

                    stopUpdatePosition: function() {
                        this.set("_updatePosition", false);
                    },

                    startUpdateVolume: function(event) {
                        event[0].preventDefault();
                        this.set("_updateVolume", true);
                        this.call("progressUpdateVolume", event);
                    },

                    progressUpdateVolume: function(event) {
                        var ev = event[0];
                        ev.preventDefault();
                        if (!this.get("_updateVolume"))
                            return;
                        var clientX = ev.clientX;
                        var target = ev.currentTarget;
                        var offset = Dom.elementOffset(target);
                        var dimensions = Dom.elementDimensions(target);
                        this.set("volume", (clientX - offset.left) / (dimensions.width || 1));
                        this.trigger("volume", this.get("volume"));
                    },

                    stopUpdateVolume: function(event) {
                        event[0].preventDefault();
                        this.set("_updateVolume", false);
                    },

                    startVerticallyUpdateVolume: function(event) {
                        event[0].preventDefault();
                        this.set("_updateVolume", true);
                        this.call("progressVerticallyUpdateVolume", event);
                    },

                    progressVerticallyUpdateVolume: function(event) {
                        var ev = event[0];
                        ev.preventDefault();
                        if (!this.get("_updateVolume"))
                            return;
                        var pageY = ev.pageY;
                        var target = ev.currentTarget;
                        var offset = Dom.elementOffset(target);
                        var dimensions = Dom.elementDimensions(target);
                        this.set("volume", 1 - (pageY - offset.top) / dimensions.height);
                        this.trigger("volume", this.get("volume"));
                    },

                    stopVerticallyUpdateVolume: function(event) {
                        event[0].preventDefault();
                        this.set("_updateVolume", false);
                    },


                    play: function() {
                        this.trigger("play");
                    },

                    pause: function() {
                        this.trigger("pause");
                    },

                    toggle_volume: function() {
                        if (this.get("volume") > 0) {
                            this.__oldVolume = this.get("volume");
                            this.set("volume", 0);
                        } else
                            this.set("volume", this.__oldVolume || 1);
                        this.trigger("volume", this.get("volume"));
                    },

                    rerecord: function() {
                        this.trigger("rerecord");
                    },

                    seek: function(position) {
                        this.trigger("seek", position);
                    },

                    set_volume: function(volume) {
                        this.trigger("set_volume", volume);
                    },

                    submit: function() {
                        this.set("submittable", false);
                        this.set("rerecordable", false);
                        this.trigger("submit");
                    },

                    tab_index_move: function(ev, nextSelector, focusingSelector) {
                        this.trigger("tab_index_move", ev[0], nextSelector, focusingSelector);
                    }
                },

                create: function() {
                    this.set("ismobile", Info.isMobile());
                    this.set("events", new DomEvents());
                }
            };
        })
        .register("ba-audioplayer-controlbar")
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "disableseeking ? cssplayer + '-disabled' : ''": function (obj) { return obj.disableseeking ? obj.cssplayer + '-disabled' : ''; }, "seek(position + skipseconds)": function (obj) { return obj.seek(obj.position + obj.skipseconds); }, "seek(position - skipseconds)": function (obj) { return obj.seek(obj.position - obj.skipseconds); }, "seek(position + skipseconds * 3)": function (obj) { return obj.seek(obj.position + obj.skipseconds * 3); }, "seek(position - skipseconds * 3)": function (obj) { return obj.seek(obj.position - obj.skipseconds * 3); }, "startUpdatePosition(domEvent)": function (obj) { return obj.startUpdatePosition(obj.domEvent); }, "{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.cached / obj.duration * 100 : 0) + '%'}; }, "{width: Math.round(duration ? position / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.position / obj.duration * 100 : 0) + '%'}; }, "string('audio-progress')": function (obj) { return obj.string('audio-progress'); }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-audio')": function (obj) { return obj.string('submit-audio'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-audio')": function (obj) { return obj.string('rerecord-audio'); }, "csscommon": function (obj) { return obj.csscommon; }, "string('play-audio')": function (obj) { return obj.string('play-audio'); }, "tab_index_move(domEvent, null, 'button-icon-pause')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-pause'); }, "!playing": function (obj) { return !obj.playing; }, "play()": function (obj) { return obj.play(); }, "disablepause ? cssplayer + '-disabled' : ''": function (obj) { return obj.disablepause ? obj.cssplayer + '-disabled' : ''; }, "tab_index_move(domEvent, null, 'button-icon-play')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-play'); }, "playing": function (obj) { return obj.playing; }, "pause()": function (obj) { return obj.pause(); }, "disablepause ? string('pause-audio-disabled') : string('pause-audio')": function (obj) { return obj.disablepause ? obj.string('pause-audio-disabled') : obj.string('pause-audio'); }, "string('elapsed-time')": function (obj) { return obj.string('elapsed-time'); }, "formatTime(position)": function (obj) { return obj.formatTime(obj.position); }, "string('total-time')": function (obj) { return obj.string('total-time'); }, "formatTime(duration || position)": function (obj) { return obj.formatTime(obj.duration || obj.position); }, "title": function (obj) { return obj.title; }, "set_volume(volume + 0.1)": function (obj) { return obj.set_volume(obj.volume + 0.1); }, "set_volume(volume - 0.1)": function (obj) { return obj.set_volume(obj.volume - 0.1); }, "set_volume(1)": function (obj) { return obj.set_volume(1); }, "set_volume(0)": function (obj) { return obj.set_volume(0); }, "startUpdateVolume(domEvent)": function (obj) { return obj.startUpdateVolume(obj.domEvent); }, "progressUpdateVolume(domEvent)": function (obj) { return obj.progressUpdateVolume(obj.domEvent); }, "stopUpdateVolume(domEvent); this.blur()": function (obj) { return obj.stopUpdateVolume(obj.domEvent); this.blur(); }, "stopUpdateVolume(domEvent)": function (obj) { return obj.stopUpdateVolume(obj.domEvent); }, "{width: Math.min(100, Math.round(volume * 100)) + '%'}": function (obj) { return {width: Math.min(100, Math.round(obj.volume * 100)) + '%'}; }, "string('volume-button')": function (obj) { return obj.string('volume-button'); }, "toggle_volume()": function (obj) { return obj.toggle_volume(); }, "string(volume > 0 ? 'volume-mute' : 'volume-unmute')": function (obj) { return obj.string(obj.volume > 0 ? 'volume-mute' : 'volume-unmute'); }, "csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off'))": function (obj) { return obj.csscommon + '-icon-volume-' + (obj.volume >= 0.5 ? 'up' : (obj.volume > 0 ? 'down' : 'off')); }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "audio-progress": "Progress",
            "rerecord-audio": "Redo?",
            "submit-audio": "Confirm",
            "play-audio": "Play",
            "pause-audio": "Pause",
            "pause-audio-disabled": "Pause not supported",
            "elapsed-time": "Elapsed time",
            "total-time": "Total length of",
            "volume-button": "Set volume",
            "volume-mute": "Mute sound",
            "volume-unmute": "Unmute sound"
        });
});

Scoped.define("module:AudioPlayer.Dynamics.Loader", ["dynamics:Dynamic","module:Assets"], function(Class, Assets, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div class=\"{{cssplayer}}-loader-container\">\n    <div data-selector=\"loader-block\" class=\"{{cssplayer}}-loader-loader\" title=\"{{string('tooltip')}}\">\n    </div>\n</div>\n",

                attrs: {
                    "css": "ba-audioplayer"
                }

            };
        })
        .register("ba-audioplayer-loader")
        .registerFunctions({
            /**/"cssplayer": function (obj) { return obj.cssplayer; }, "string('tooltip')": function (obj) { return obj.string('tooltip'); }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "tooltip": "Loading..."
        });
});

Scoped.define("module:AudioPlayer.Dynamics.Message", ["dynamics:Dynamic"], ["dynamics:Partials.ClickPartial"], function(Class, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div class=\"{{css}}-message-container\" ba-click=\"{{click()}}\">\n    <div data-selector=\"message-block\" class='{{css}}-message-message'>\n        <p> {{message}} </p>\n    </div>\n</div>\n",

                attrs: {
                    "css": "ba-audioplayer",
                    "message": ''
                },

                functions: {

                    click: function() {
                        this.trigger("click");
                    }

                }

            };
        })
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "click()": function (obj) { return obj.click(); }, "message": function (obj) { return obj.message; }/**/
        })
        .register("ba-audioplayer-message");
});

Scoped.define("module:AudioPlayer.Dynamics.PlayerStates.State", ["base:States.State","base:Events.ListenMixin","base:Objs"], function(State, ListenMixin, Objs, scoped) {
    return State.extend({
        scoped: scoped
    }, [ListenMixin, {

        dynamics: [],

        _start: function() {
            this.dyn = this.host.dynamic;
            Objs.iter(Objs.extend({
                "loader": false,
                "message": false,
                "controlbar": false
            }, Objs.objectify(this.dynamics)), function(value, key) {
                this.dyn.set(key + "_active", value);
            }, this);
            if (this.dyn.parent()) {
                if (this.dyn.parent().record !== 'undefined' && this.dyn.parent().host !== 'undefined') {
                    this.dyn._isRecorder = true;
                    this.dyn._recorderDyn = this.dyn.parent();
                    this.dyn._recorderHost = this.dyn._recorderDyn.host;
                }
            }
            this._started();
        },

        _started: function() {},

        play: function() {
            this.dyn.set("autoplay", true);
        },

        nextToChooser: function(message) {
            var _dyn = this.dyn;

            if (!_dyn._isRecorder)
                return false;

            if (typeof _dyn._recorderHost.next === 'function') {
                _dyn._recorderHost.next("FatalError", {
                    message: message,
                    retry: "Chooser"
                });
                return true;
            } else
                return false;
        }
    }]);
});

Scoped.define("module:AudioPlayer.Dynamics.PlayerStates.FatalError", ["module:AudioPlayer.Dynamics.PlayerStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["message"],
        _locals: ["message"],

        _started: function() {
            this.dyn.set("message", this._message || this.dyn.string("audio-error"));
        }
    });
});

Scoped.define("module:AudioPlayer.Dynamics.PlayerStates.Initial", ["module:AudioPlayer.Dynamics.PlayerStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader"],

        _started: function() {
            this.dyn.set("audioelement_active", false);
            if (this.dyn.get("ready"))
                this.next("LoadPlayer");
            else {
                this.listenOn(this.dyn, "change:ready", function() {
                    this.next("LoadPlayer");
                });
            }
        }
    });
});

Scoped.define("module:AudioPlayer.Dynamics.Player", ["dynamics:Dynamic","module:Assets","module:AudioVisualization","browser:Info","browser:Dom","media:AudioPlayer.AudioPlayerWrapper","base:Types","base:Objs","base:Strings","base:Time","base:Timers","base:States.Host","base:Classes.ClassRegistry","base:Async","module:AudioPlayer.Dynamics.PlayerStates.Initial","module:AudioPlayer.Dynamics.PlayerStates","browser:Events"], ["module:Common.Dynamics.Settingsmenu","module:AudioPlayer.Dynamics.Message","module:AudioPlayer.Dynamics.Loader","module:AudioPlayer.Dynamics.Controlbar","dynamics:Partials.EventPartial","dynamics:Partials.OnPartial","dynamics:Partials.TogglePartial","dynamics:Partials.StylesPartial","dynamics:Partials.TemplatePartial","dynamics:Partials.HotkeyPartial"], function(Class, Assets, AudioVisualization, Info, Dom, AudioPlayerWrapper, Types, Objs, Strings, Time, Timers, Host, ClassRegistry, Async, InitialState, PlayerStates, DomEvents, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "<div itemscope itemtype=\"http://schema.org/AudioObject\"\n    class=\"{{css}}-container {{cssplayer}}-size-{{csssize}} {{iecss}}-{{ie8 ? 'ie8' : 'noie8'}} {{csstheme}}\n    {{cssplayer}}-normal-view {{cssplayer}}-common-browser {{cssplayer}}-{{themecolor}}-color\n    {{cssplayer}}-{{title ? 'has-title' : 'no-title'}} {{visualeffectvisible ? cssplayer + '-visual-effect-applied' : ''}}\"\n\tba-styles=\"{{widthHeightStyles}}\"\n>\n\t<canvas data-selector=\"audio-canvas\" class=\"{{csstheme}}-audio-canvas\" ba-on:click=\"{{toggle_player()}}\"></canvas>\n    <audio crossorigin=\"anonymous\" tabindex=\"-1\" class=\"{{css}}-audio\" data-audio=\"audio\"></audio>\n    <div class=\"{{css}}-overlay\">\n\t\t<div tabindex=\"-1\" class=\"{{css}}-player-toggle-overlay\" data-selector=\"player-toggle-overlay\"\n\t\t\t ba-hotkey:right=\"{{seek(position + skipseconds)}}\" ba-hotkey:left=\"{{seek(position - skipseconds)}}\"\n\t\t\t ba-hotkey:alt+right=\"{{seek(position + skipseconds * 3)}}\" ba-hotkey:alt+left=\"{{seek(position - skipseconds * 3)}}\"\n\t\t\t ba-hotkey:up=\"{{set_volume(volume + 0.1)}}\" ba-hotkey:down=\"{{set_volume(volume - 0.1)}}\"\n\t\t\t ba-hotkey:space^enter=\"{{toggle_player()}}\"\n\t\t\t ba-on:click=\"{{toggle_player()}}\"\n\t\t></div>\n\t    <ba-{{dyncontrolbar}}\n\t\t    ba-css=\"{{csscontrolbar || css}}\"\n\t\t\tba-cssplayer=\"{{cssplayer || css}}\"\n\t\t\tba-csscommon=\"{{csscommon || css}}\"\n\t\t\tba-csstheme=\"{{csstheme || css}}\"\n\t\t\tba-themecolor=\"{{themecolor}}\"\n\t\t    ba-template=\"{{tmplcontrolbar}}\"\n\t\t    ba-show=\"{{controlbar_active}}\"\n\t\t    ba-playing=\"{{playing}}\"\n\t\t\tba-playwhenvisible=\"{{playwhenvisible}}\"\n\t\t    ba-event:rerecord=\"rerecord\"\n\t\t    ba-event:submit=\"submit\"\n\t\t    ba-event:play=\"play\"\n\t\t    ba-event:pause=\"pause\"\n\t\t    ba-event:position=\"seek\"\n\t\t    ba-event:volume=\"set_volume\"\n\t\t\tba-event:tab_index_move=\"tab_index_move\"\n\t\t\tba-event:seek=\"seek\"\n\t\t\tba-event:set_volume=\"set_volume\"\n\t\t\tba-event:settings_menu=\"toggle_settings_menu\"\n\t\t\tba-tabindex=\"{{tabindex}}\"\n\t\t    ba-volume=\"{{volume}}\"\n\t\t    ba-duration=\"{{duration}}\"\n\t\t    ba-cached=\"{{buffered}}\"\n\t\t    ba-title=\"{{title}}\"\n\t\t    ba-position=\"{{position}}\"\n\t\t    ba-rerecordable=\"{{rerecordable}}\"\n\t\t    ba-submittable=\"{{submittable}}\"\n            ba-source=\"{{source}}\"\n\t\t\tba-disablepause=\"{{disablepause}}\"\n\t\t\tba-disableseeking=\"{{disableseeking}}\"\n\t\t\tba-skipseconds=\"{{skipseconds}}\"\n\t\t\tba-settingsmenubutton=\"{{showsettingsmenu}}\"\n\t\t\tba-settingsmenuactive=\"{{settingsmenu_active}}\"\n\t\t></ba-{{dyncontrolbar}}>\n\n\t\t<ba-{{dynloader}}\n\t\t    ba-css=\"{{cssloader || css}}\"\n\t\t\tba-cssplayer=\"{{cssplayer || css}}\"\n\t\t\tba-csscommon=\"{{csscommon || css}}\"\n\t\t\tba-theme-color=\"{{themecolor}}\"\n\t\t    ba-template=\"{{tmplloader}}\"\n\t\t\tba-playwhenvisible=\"{{playwhenvisible}}\"\n\t\t    ba-show=\"{{loader_active}}\"\n\t\t></ba-{{dynloader}}>\n\n\t\t<ba-{{dynmessage}}\n\t\t    ba-css=\"{{cssmessage || css}}\"\n\t\t\tba-cssplayer=\"{{cssplayer || css}}\"\n\t\t\tba-csscommon=\"{{csscommon || css}}\"\n\t\t\tba-theme-color=\"{{themecolor}}\"\n\t\t    ba-template=\"{{tmplmessage}}\"\n\t\t    ba-show=\"{{message_active}}\"\n\t\t    ba-message=\"{{message}}\"\n\t\t    ba-event:click=\"message_click\"\n\t\t></ba-{{dynmessage}}>\n\n\t\t<ba-{{dynsettingsmenu}}\n\t\t\tba-css=\"{{css}}\"\n\t\t\tba-csstheme=\"{{csstheme || css}}\"\n\t\t\tba-show=\"{{settingsmenu_active}}\"\n\t\t\tba-template=\"{{tmplsettingsmenu}}\"\n\t\t></ba-{{dynsettingsmenu}}>\n\n\t\t<meta itemprop=\"caption\" content=\"{{title}}\" />\n\t\t<meta itemprop=\"contentUrl\" content=\"{{source}}\"/>\n\t</div>\n</div>\n",

                attrs: {
                    /* CSS */
                    "css": "ba-audioplayer",
                    "csscommon": "ba-commoncss",
                    "cssplayer": "ba-player",
                    "iecss": "ba-audioplayer",
                    "cssloader": "",
                    "cssmessage": "",
                    "csscontrolbar": "",
                    "width": "",
                    "height": "",
                    /* Themes */
                    "theme": "",
                    "csstheme": "",
                    "themecolor": "",
                    /* Dynamics */
                    "dynloader": "audioplayer-loader",
                    "dynmessage": "audioplayer-message",
                    "dyncontrolbar": "audioplayer-controlbar",
                    "dynsettingsmenu": "common-settingsmenu",

                    /* Templates */
                    "tmplloader": "",
                    "tmplmessage": "",
                    "tmplcontrolbar": "",
                    "tmplsettingsmenu": "",

                    /* Attributes */
                    "source": "",
                    "sources": [],
                    "sourcefilter": {},
                    "playlist": null,
                    "volume": 1.0,
                    "title": "",
                    "initialseek": null,
                    "visibilityfraction": 0.8,
                    "unmuted": false, // Reference to Chrome renewed policy, we have to setup mute for auto plyed players.

                    /* Configuration */
                    "reloadonplay": false,
                    "playonclick": true,
                    "pauseonclick": true,
                    /* Options */
                    "rerecordable": false,
                    "submittable": false,
                    "autoplay": false,
                    "preload": false,
                    "loop": false,
                    "loopall": false,
                    "ready": true,
                    "totalduration": null,
                    "playwhenvisible": false,
                    "playedonce": false,
                    "manuallypaused": false,
                    "disablepause": false,
                    "disableseeking": false,
                    "postervisible": false,
                    "showsettingsmenu": true, // As a property show/hide from users
                    "visualeffectvisible": false,
                    "visualeffectsupported": false,
                    "visualeffectheight": null,
                    "visualeffectminheight": 120,
                    "visualeffecttheme": "red-bars", // types: `balloon`, 'red-bars'
                    "skipseconds": 5,

                    /* States (helper variables which are controlled by application itself not set by user) */
                    "initialoptions": {
                        "volumelevel": null,
                        "playlist": []
                    },
                    "lastplaylistitem": false,
                    // Reference to Chrome renewed policy, we have to setup mute for auto-playing players.
                    // If we do it forcibly then will set as true
                    "forciblymuted": false,
                    // When volume was un muted, by user himself, not automatically
                    "volumeafterinteraction": false
                },

                types: {
                    "rerecordable": "boolean",
                    "loop": "boolean",
                    "loopall": "boolean",
                    "autoplay": "boolean",
                    "preload": "boolean",
                    "ready": "boolean",
                    "volume": "float",
                    "initialseek": "float",
                    "themecolor": "string",
                    "totalduration": "float",
                    "playwhenvisible": "boolean",
                    "playedonce": "boolean",
                    "manuallypaused": "boolean",
                    "disablepause": "boolean",
                    "disableseeking": "boolean",
                    "playonclick": "boolean",
                    "pauseonclick": "boolean",
                    "showsettings": "boolean",
                    "skipseconds": "integer",
                    "visualeffectvisible": "boolean",
                    "visualeffectmode": "string",
                    "visualeffectheight": "integer"
                },

                extendables: ["states"],

                scopes: {
                    settingsmenu: ">[tagname='ba-common-settingsmenu']"
                },

                computed: {
                    "widthHeightStyles:width,height": function() {
                        var result = {};
                        var width = this.get("width");
                        var height = this.get("height");
                        if (width)
                            result.width = width + ((width + '').match(/^\d+$/g) ? 'px' : '');
                        if (height)
                            result.height = height + ((height + '').match(/^\d+$/g) ? 'px' : '');
                        return result;
                    },
                    "buffering:buffered,position,last_position_change_delta,playing": function() {
                        return this.get("playing") && this.get("buffered") < this.get("position") && this.get("last_position_change_delta") > 1000;
                    }
                },

                events: {
                    "change:visualeffectsupported": function(supported) {
                        if (!supported && this.audioVisualization) this.audioVisualization.destroy();
                    }
                },

                remove_on_destroy: true,

                create: function() {
                    if (this.get("visualeffectvisible") && (!this.get("height") || this.get("height") < this.get("visualeffectminheight")))
                        this.set("height", this.get("visualeffectminheight"));
                    // Will set volume initial state
                    this.set("initialoptions", Objs.tree_merge(this.get("initialoptions"), {
                        volumelevel: this.get("volume")
                    }));

                    if (this.get("theme")) this.set("theme", this.get("theme").toLowerCase());
                    if (this.get("theme") in Assets.audioplayerthemes) {
                        Objs.iter(Assets.audioplayerthemes[this.get("theme")], function(value, key) {
                            if (!this.isArgumentAttr(key))
                                this.set(key, value);
                        }, this);
                    }

                    if (!this.get("themecolor"))
                        this.set("themecolor", "default");

                    if (this.get("playlist")) {
                        var pl0 = (this.get("playlist"))[0];
                        this.set("source", pl0.source);
                        this.set("sources", pl0.sources);
                    }

                    this.set("ie8", Info.isInternetExplorer() && Info.internetExplorerVersion() < 9);
                    this.set("duration", this.get("totalduration") || 0.0);
                    this.set("position", 0.0);
                    this.set("buffered", 0.0);
                    this.set("message", "");
                    this.set("csssize", "normal");

                    this.set("loader_active", false);
                    this.set("controlbar_active", false);
                    this.set("message_active", false);

                    this.set("playing", false);

                    this.__attachRequested = false;
                    this.__activated = false;
                    this.__error = null;

                    this.activeElement().onkeydown = this._keyDownActivity.bind(this, this.activeElement());

                    this.host = new Host({
                        stateRegistry: new ClassRegistry(this.cls.playerStates())
                    });
                    this.host.dynamic = this;
                    this.host.initialize(InitialState);

                    this._timer = new Timers.Timer({
                        context: this,
                        fire: this._timerFire,
                        delay: 100,
                        start: true
                    });
                },

                state: function() {
                    return this.host.state();
                },

                audioAttached: function() {
                    return !!this.player;
                },

                audioLoaded: function() {
                    return this.audioAttached() && this.player.loaded();
                },

                audioError: function() {
                    return this.__error;
                },

                _error: function(error_type, error_code) {
                    this.__error = {
                        error_type: error_type,
                        error_code: error_code
                    };
                    this.trigger("error:" + error_type, error_code);
                    this.trigger("error", error_type, error_code);
                },

                _clearError: function() {
                    this.__error = null;
                },

                _detachAudio: function() {
                    this.set("playing", false);
                    if (this.player)
                        this.player.weakDestroy();
                    this.player = null;
                    this.__audio = null;
                    this.set("audioelement_active", false);
                },

                _attachAudio: function() {
                    if (this.audioAttached())
                        return;
                    if (!this.__activated) {
                        this.__attachRequested = true;
                        return;
                    }
                    this.__attachRequested = false;
                    this.set("audioelement_active", true);
                    var audio = this.activeElement().querySelector("[data-audio='audio']");
                    this._clearError();
                    AudioPlayerWrapper.create(Objs.extend(this._getSources(), {
                        element: audio,
                        preload: !!this.get("preload"),
                        loop: !!this.get("loop") || (this.get("lastplaylistitem") && this.get("loopall")),
                        reloadonplay: !!this.get("reloadonplay") // reload of AudioMediaElement not act like in VideoMediaElement, no need for reload
                    })).error(function(e) {
                        if (this.destroyed())
                            return;
                        this._error("attach", e);
                    }, this).success(function(instance) {
                        if (this.destroyed())
                            return;

                        this.player = instance;
                        this.__audio = audio;
                        // Draw audio visualization effect
                        if (this.get("visualeffectvisible") && AudioVisualization.supported() && !this.audioVisualization) {
                            if (this.get("height") && this.get("height") > this.get("visualeffectminheight")) {
                                this.set('visualeffectheight', this.get("height"));
                            } else if (this.get("visualeffectheight") < this.get("visualeffectminheight")) {
                                this.set('visualeffectheight', this.get("visualeffectminheight"));
                            }

                            this.audioVisualization = new AudioVisualization(audio, {
                                height: this.get('visualeffectheight'),
                                element: this.activeElement(),
                                theme: this.get("visualeffecttheme")
                            });
                            try {
                                this.audioVisualization.initializeVisualEffect();
                                this.set("visualeffectsupported", true);
                            } catch (e) {
                                this.set("visualeffectsupported", false);
                                console.warn(e);
                            }
                        }

                        if (this.get("visualeffectvisible") && this.audioVisualization) {
                            this.player.on("playing", function() {
                                this.audioVisualization.start();
                            }, this);
                            this.player.on("paused", function() {
                                this.audioVisualization.pause();
                            }, this);
                            this.player.on("ended", function() {
                                this.audioVisualization.stop();
                            }, this);
                        }

                        if (this.get("playwhenvisible")) {
                            this._playWhenVisible(audio);
                        }
                        // If browser is Chrome, and we have manually forcibly muted player
                        if (Info.isChromiumBased() && this.get("forciblymuted")) {
                            audio.isMuted = true;
                            Dom.userInteraction(function() {
                                this.set_volume(this.get("initialoptions").volumelevel);
                                if (this.get("volume") > 0.00)
                                    audio.isMuted = false;
                                this.set("forciblymuted", false);
                            }, this);
                        }
                        this.player.on("playing", function() {
                            this.set("playing", true);
                            this.trigger("playing");
                        }, this);
                        this.player.on("error", function(e) {
                            this._error("audio", e);
                        }, this);
                        if (this.player.error())
                            this.player.trigger("error", this.player.error());
                        this.player.on("paused", function() {
                            this.set("playing", false);
                            this.trigger("paused");
                        }, this);
                        this.player.on("ended", function() {
                            this.set("playing", false);
                            this.set('playedonce', true);
                            this.set("settingsmenu_active", false);
                            this.trigger("ended");
                        }, this);
                        this.trigger("attached", instance);
                        this.player.once("loaded", function() {
                            var volume = Math.min(1.0, this.get("volume"));
                            this.player.setVolume(volume);
                            this.player.setMuted(volume <= 0.0);
                            this.trigger("loaded");
                            this.trigger("ready_to_play");
                            if (this.get("totalduration") || this.player.duration() < Infinity)
                                this.set("duration", this.get("totalduration") || this.player.duration());
                            if (this.get("initialseek"))
                                this.player.setPosition(this.get("initialseek"));
                        }, this);
                        if (this.player.loaded())
                            this.player.trigger("loaded");
                    }, this);
                },

                _getSources: function() {
                    var filter = this.get("sourcefilter");
                    var source = this.get("source");
                    var sources = filter ? Objs.filter(this.get("sources"), function(source) {
                        return Objs.subset_of(filter, source);
                    }, this) : this.get("sources");
                    return {
                        source: source,
                        sources: sources
                    };
                },

                _afterActivate: function(element) {
                    inherited._afterActivate.call(this, element);
                    this.__activated = true;
                    if (this.__attachRequested)
                        this._attachAudio();
                    this.__settingsMenu = this.scopes.settingsmenu;
                    if (this.__settingsMenu.get('settings'))
                        this.set("hassettings", true);

                },

                _playWhenVisible: function(audio) {
                    var _self = this;

                    if (Dom.isElementVisible(audio, this.get("visibilityfraction"))) {
                        this.player.play();
                    }

                    this._visiblityScrollEvent = this.auto_destroy(new DomEvents());
                    this._visiblityScrollEvent.on(document, "scroll", function() {
                        if (!_self.get('playedonce') && !_self.get("manuallypaused")) {
                            if (Dom.isElementVisible(audio, _self.get("visibilityfraction"))) {
                                _self.player.play();
                            } else if (_self.get("playing")) {
                                _self.player.pause();
                            }
                        } else if (_self.get("playing") && !Dom.isElementVisible(audio, _self.get("visibilityfraction"))) {
                            _self.player.pause();
                        }
                    });

                },

                reattachAudio: function() {
                    this.set("reloadonplay", true);
                    this._detachAudio();
                    this._attachAudio();
                },

                _keyDownActivity: function(element, ev) {
                    var _keyCode = ev.which || ev.keyCode;
                    // Prevent whitespace browser center scroll and arrow buttons behaviours
                    if (_keyCode === 32 || _keyCode === 37 || _keyCode === 38 || _keyCode === 39 || _keyCode === 40) ev.preventDefault();


                    if (_keyCode === 9 && ev.shiftKey) {
                        this._findNextTabStop(element, ev, function(target, index) {
                            target.focus();
                        }, -1);
                    } else if (_keyCode === 9) {
                        this._findNextTabStop(element, ev, function(target, index) {
                            target.focus();
                        });
                    }
                },

                _findNextTabStop: function(parentElement, ev, callback, direction) {
                    var _currentIndex, _direction, _tabIndexes, _tabIndexesArray, _maxIndex, _minIndex, _looked, _tabIndex, _delta, _element, _audioPlayersCount;
                    _maxIndex = _minIndex = 0;
                    _direction = direction || 1;
                    _element = ev.target;
                    _currentIndex = _element.tabIndex;
                    _tabIndexes = parentElement.querySelectorAll('[tabindex]');
                    _tabIndexesArray = Array.prototype.slice.call(_tabIndexes, 0);
                    _tabIndexes = _tabIndexesArray
                        .filter(function(element) {
                            if ((element.clientWidth > 0 || element.clientHeight > 0) && (element.tabIndex !== -1)) {
                                if (_maxIndex <= element.tabIndex) _maxIndex = element.tabIndex;
                                if (_minIndex >= element.tabIndex) _minIndex = element.tabIndex;
                                return true;
                            } else return false;
                        });

                    if ((_direction === 1 && _currentIndex === _maxIndex) || (direction === -1 && _currentIndex === _minIndex) || _maxIndex === 0) {
                        _audioPlayersCount = document.querySelectorAll('ba-audioplayer').length;
                        if (_audioPlayersCount > 1) {
                            if (this.get("playing")) this.player.pause();
                            parentElement.tabIndex = -1;
                            parentElement.blur();
                        }
                        return;
                    }

                    for (var i = 0; i < _tabIndexes.length; i++) {
                        if (!_tabIndexes[i])
                            continue;
                        _tabIndex = _tabIndexes[i].tabIndex;
                        _delta = _tabIndex - _currentIndex;
                        if (_tabIndex < _minIndex || _tabIndex > _maxIndex || Math.sign(_delta) !== _direction)
                            continue;

                        if (!_looked || Math.abs(_delta) < Math.abs(_looked.tabIndex - _currentIndex))
                            _looked = _tabIndexes[i];
                    }

                    if (_looked) {
                        ev.preventDefault();
                        callback(_looked, _looked.tabIndex);
                    }
                },

                object_functions: ["play", "rerecord", "pause", "stop", "seek", "set_volume"],

                functions: {

                    message_click: function() {
                        this.trigger("message:click");
                    },

                    play: function() {
                        this.host.state().play();
                        this.set("manuallypaused", false);
                    },

                    rerecord: function() {
                        if (!this.get("rerecordable"))
                            return;
                        this.trigger("rerecord");
                    },

                    submit: function() {
                        if (!this.get("submittable"))
                            return;
                        this.trigger("submit");
                        this.set("submittable", false);
                        this.set("rerecordable", false);
                    },

                    pause: function() {
                        if (this.get('disablepause')) return;

                        if (this.get("playing")) {
                            this.player.pause();
                        }

                        if (this.get("playwhenvisible"))
                            this.set("manuallypaused", true);
                    },

                    stop: function() {
                        if (!this.audioLoaded())
                            return;
                        if (this.get("playing"))
                            this.player.pause();
                        this.player.setPosition(0);
                        this.trigger("stopped");
                    },

                    seek: function(position) {
                        if (this.get('disableseeking')) return;
                        if (this.audioLoaded()) {
                            if (position > this.player.duration()) {
                                this.player.setPosition(this.player.duration() - this.get("skipseconds"));
                            } else {
                                this.player.setPosition(position);
                                this.trigger("seek", position);
                            }
                        }
                    },

                    set_volume: function(volume) {
                        volume = Math.min(1.0, volume);
                        volume = volume <= 0 ? 0 : volume; // Don't allow negative value

                        this.set("volume", volume);
                        if (this.audioLoaded()) {
                            this.player.setVolume(volume);
                            this.player.setMuted(volume <= 0);
                        }
                    },

                    tab_index_move: function(ev, nextSelector, focusingSelector) {
                        var _targetElement, _activeElement, _selector, _keyCode;
                        _keyCode = ev.which || ev.keyCode;
                        _activeElement = this.activeElement();
                        if (_keyCode === 13 || _keyCode === 32) {
                            if (focusingSelector) {
                                _selector = "[data-selector='" + focusingSelector + "']";
                                _targetElement = _activeElement.querySelector(_selector);
                                if (_targetElement)
                                    Async.eventually(function() {
                                        this.trigger("keyboardusecase", _activeElement);
                                        _targetElement.focus({
                                            preventScroll: false
                                        });
                                    }, this, 100);
                            } else {
                                _selector = '[data-audio="audio"]';
                                _targetElement = _activeElement.querySelector(_selector);
                                Async.eventually(function() {
                                    this.trigger("keyboardusecase", _activeElement);
                                    _targetElement.focus({
                                        preventScroll: true
                                    });
                                }, this, 100);
                            }
                        } else if (_keyCode === 9 && nextSelector) {
                            _selector = "[data-selector='" + nextSelector + "']";
                            _targetElement = _activeElement.querySelector(_selector);
                            if (_targetElement)
                                Async.eventually(function() {
                                    this.trigger("keyboardusecase", _activeElement);
                                    _targetElement.focus({
                                        preventScroll: false
                                    });
                                }, this, 100);

                        }
                    },

                    toggle_settings_menu: function() {
                        this.set("settingsmenu_active", !this.get("settingsmenu_active"));
                    },

                    toggle_player: function() {
                        if (this.get("playing") && this.get("pauseonclick")) {
                            this.pause();
                        } else if (!this.get("playing") && this.get("playonclick")) {
                            this.play();
                        }
                    }

                },

                destroy: function() {
                    this._timer.destroy();
                    this.host.destroy();
                    this._detachAudio();
                    inherited.destroy.call(this);
                },

                _timerFire: function() {
                    if (this.destroyed())
                        return;
                    try {
                        if (this.audioLoaded()) {
                            var _now = Time.now();
                            var new_position = this.player.position();
                            if (new_position !== this.get("position") || this.get("last_position_change"))
                                this.set("last_position_change", _now);
                            // In case if prevent interaction with controller set to true
                            this.set("last_position_change_delta", _now - this.get("last_position_change"));
                            this.set("position", new_position);
                            this.set("buffered", this.player.buffered());
                            var pld = this.player.duration();
                            if (this.get("totalduration")) {
                                this.set("duration", this.get("totalduration"));
                            } else if (0.0 < pld && pld < Infinity) {
                                this.set("duration", this.player.duration());
                            } else {
                                this.set("duration", new_position);
                            }
                        }
                    } catch (e) {}
                    try {
                        this._updateCSSSize();
                    } catch (e) {}
                },

                _updateCSSSize: function() {
                    var width = Dom.elementDimensions(this.activeElement()).width;
                    this.set("csssize", width > 400 ? "normal" : (width > 300 ? "medium" : "small"));
                },

                cloneAttrs: function() {
                    return Objs.map(this.attrs, function(value, key) {
                        return this.get(key);
                    }, this);
                }

            };
        }, {

            playerStates: function() {
                return [PlayerStates];
            }

        }).register("ba-audioplayer")
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "cssplayer": function (obj) { return obj.cssplayer; }, "csssize": function (obj) { return obj.csssize; }, "iecss": function (obj) { return obj.iecss; }, "ie8 ? 'ie8' : 'noie8'": function (obj) { return obj.ie8 ? 'ie8' : 'noie8'; }, "csstheme": function (obj) { return obj.csstheme; }, "themecolor": function (obj) { return obj.themecolor; }, "title ? 'has-title' : 'no-title'": function (obj) { return obj.title ? 'has-title' : 'no-title'; }, "visualeffectvisible ? cssplayer + '-visual-effect-applied' : ''": function (obj) { return obj.visualeffectvisible ? obj.cssplayer + '-visual-effect-applied' : ''; }, "widthHeightStyles": function (obj) { return obj.widthHeightStyles; }, "toggle_player()": function (obj) { return obj.toggle_player(); }, "seek(position + skipseconds)": function (obj) { return obj.seek(obj.position + obj.skipseconds); }, "seek(position - skipseconds)": function (obj) { return obj.seek(obj.position - obj.skipseconds); }, "seek(position + skipseconds * 3)": function (obj) { return obj.seek(obj.position + obj.skipseconds * 3); }, "seek(position - skipseconds * 3)": function (obj) { return obj.seek(obj.position - obj.skipseconds * 3); }, "set_volume(volume + 0.1)": function (obj) { return obj.set_volume(obj.volume + 0.1); }, "set_volume(volume - 0.1)": function (obj) { return obj.set_volume(obj.volume - 0.1); }, "dyncontrolbar": function (obj) { return obj.dyncontrolbar; }, "csscontrolbar || css": function (obj) { return obj.csscontrolbar || obj.css; }, "cssplayer || css": function (obj) { return obj.cssplayer || obj.css; }, "csscommon || css": function (obj) { return obj.csscommon || obj.css; }, "csstheme || css": function (obj) { return obj.csstheme || obj.css; }, "tmplcontrolbar": function (obj) { return obj.tmplcontrolbar; }, "controlbar_active": function (obj) { return obj.controlbar_active; }, "playing": function (obj) { return obj.playing; }, "playwhenvisible": function (obj) { return obj.playwhenvisible; }, "tabindex": function (obj) { return obj.tabindex; }, "volume": function (obj) { return obj.volume; }, "duration": function (obj) { return obj.duration; }, "buffered": function (obj) { return obj.buffered; }, "title": function (obj) { return obj.title; }, "position": function (obj) { return obj.position; }, "rerecordable": function (obj) { return obj.rerecordable; }, "submittable": function (obj) { return obj.submittable; }, "source": function (obj) { return obj.source; }, "disablepause": function (obj) { return obj.disablepause; }, "disableseeking": function (obj) { return obj.disableseeking; }, "skipseconds": function (obj) { return obj.skipseconds; }, "showsettingsmenu": function (obj) { return obj.showsettingsmenu; }, "settingsmenu_active": function (obj) { return obj.settingsmenu_active; }, "dynloader": function (obj) { return obj.dynloader; }, "cssloader || css": function (obj) { return obj.cssloader || obj.css; }, "tmplloader": function (obj) { return obj.tmplloader; }, "loader_active": function (obj) { return obj.loader_active; }, "dynmessage": function (obj) { return obj.dynmessage; }, "cssmessage || css": function (obj) { return obj.cssmessage || obj.css; }, "tmplmessage": function (obj) { return obj.tmplmessage; }, "message_active": function (obj) { return obj.message_active; }, "message": function (obj) { return obj.message; }, "dynsettingsmenu": function (obj) { return obj.dynsettingsmenu; }, "tmplsettingsmenu": function (obj) { return obj.tmplsettingsmenu; }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "audio-error": "An error occurred, please try again later. Click to retry.",
            "all-settings": "All settings"
        });
});

Scoped.define("module:AudioPlayer.Dynamics.PlayerStates.LoadPlayer", ["module:AudioPlayer.Dynamics.PlayerStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader"],

        _started: function() {
            this.listenOn(this.dyn, "error:attach", function() {
                this.next("LoadError");
            }, this);
            this.listenOn(this.dyn, "attached", function() {
                this.next("LoadAudio");
            }, this);
            this.dyn.reattachAudio();
        }

    });
});

Scoped.define("module:AudioPlayer.Dynamics.PlayerStates.LoadError", ["module:AudioPlayer.Dynamics.PlayerStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["message"],

        _started: function() {
            this.dyn.set("message", this.dyn.string("audio-error"));
            this.listenOn(this.dyn, "message:click", function() {
                this.next("LoadPlayer");
            }, this);
        }

    });
});

Scoped.define("module:AudioPlayer.Dynamics.PlayerStates.LoadAudio", ["module:AudioPlayer.Dynamics.PlayerStates.State","browser:Info","browser:Dom","base:Timers.Timer"], function(State, Info, Dom, Timer, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader"],

        _started: function() {
            if (!this.dyn.get("audioelement_active")) {
                this.listenOn(this.dyn, "error:attach", function() {
                    this.next("LoadError");
                }, this);
                this.listenOn(this.dyn, "attached", function() {
                    this.__loadAudio();
                }, this);
                this.dyn.reattachAudio();
            } else {
                this.__loadAudio();
            }
        },

        __loadAudio: function() {
            this.listenOn(this.dyn, "error:audio", function() {
                this.next("ErrorAudio");
            }, this);
            this.listenOn(this.dyn, "playing", function() {
                if (this.destroyed() || this.dyn.destroyed())
                    return;
                if (this.dyn.get("autoseek"))
                    this.dyn.execute("seek", this.dyn.get("autoseek"));
                this.next("PlayAudio");
            }, this);
            if (!this.dyn.get("autoplay")) {
                this.next("PlayAudio");
            } else {
                var counter = 10;
                this.auto_destroy(new Timer({
                    context: this,
                    fire: function() {
                        if (!this.destroyed() && !this.dyn.destroyed() && this.dyn.player) {
                            try {
                                var promise = this.dyn.player.play();
                                if (promise) {
                                    promise.success(function() {
                                        this.next("PlayAudio");
                                    });
                                }
                            } catch (e) {
                                // browsers released before 2019 may not return promise on play()
                            }
                        }
                        counter--;
                        if (counter === 0)
                            this.next("PlayAudio");
                    },
                    delay: 200,
                    immediate: true
                }));
            }
        }
    });
});

Scoped.define("module:AudioPlayer.Dynamics.PlayerStates.ErrorAudio", ["module:AudioPlayer.Dynamics.PlayerStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["message"],

        _started: function() {
            this.dyn.set("message", this.dyn.string("audio-error"));
            this.listenOn(this.dyn, "message:click", function() {
                if (!this.nextToChooser(this.dyn.get("message")))
                    this.next("LoadAudio");
                else
                    this.next("Initial");
            }, this);
        }

    });
});

Scoped.define("module:AudioPlayer.Dynamics.PlayerStates.PlayAudio", ["module:AudioPlayer.Dynamics.PlayerStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["controlbar"],

        _started: function() {
            this.dyn.trigger("loaded");
            this.dyn.set("autoplay", false);
            // As during loop we will play player after ended event fire, need initial cover will be hidden
            this.listenOn(this.dyn, "ended", function() {
                this.dyn.set("autoseek", null);
                this.next("NextAudio");
            }, this);
            this.listenOn(this.dyn, "change:buffering", function() {
                this.dyn.set("loader_active", this.dyn.get("buffering"));
            }, this);
            this.listenOn(this.dyn, "error:audio", function() {
                this.next("ErrorAudio");
            }, this);
        },

        play: function() {
            if (!this.dyn.get("playing"))
                this.dyn.player.play();
        }

    });
});

Scoped.define("module:AudioPlayer.Dynamics.PlayerStates.NextAudio", ["module:AudioPlayer.Dynamics.PlayerStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        _started: function() {
            if (this.dyn.get("playlist")) {
                var pl0, initialPlaylist;
                var list = this.dyn.get("playlist");
                var head = list.shift();
                this.dyn.get("initialoptions").playlist.push(head);
                if (list.length > 0) {
                    pl0 = list[0];
                    this.dyn.set("source", pl0.source);
                    this.dyn.set("sources", pl0.sources);
                    return this._playNext(pl0);
                } else {
                    initialPlaylist = this.dyn.get("initialoptions").playlist;
                    this.dyn.set("lastplaylistitem", true);
                    this.dyn.trigger("last-playlist-item");
                    this.dyn.set("playlist", initialPlaylist);
                    this.dyn.get("initialoptions").playlist = [];

                    pl0 = initialPlaylist[0];
                    this.dyn.set("source", pl0.source);
                    this.dyn.set("sources", pl0.sources);
                    if (this.dyn.get("loopall"))
                        return this._playNext(pl0);
                    else
                        this.dyn.reattachAudio();
                }
            } else {
                // If user will set loopall as true, single audio also will be played
                if (this.dyn.get("loopall")) {
                    this.dyn.set("loop", true);
                    this.dyn.set("autoplay", true);
                    this.dyn.reattachAudio();
                }
            }

            this.next("LoadAudio");
        },

        /**
         * Will start auto play the next play list element
         * @param {object} pl
         * @private
         */
        _playNext: function(pl) {
            this.dyn.trigger("playlist-next", pl);
            this.dyn.set("autoplay", true);
            // this.next("LoadPlayer") will reattach audio which cause twice player bidings
            // as a result old duration is set as a new one;
            this.next("LoadAudio");
        }
    });
});

Scoped.define("module:AudioRecorder.Dynamics.Chooser", ["dynamics:Dynamic","module:Assets","browser:Info"], ["dynamics:Partials.ClickPartial","dynamics:Partials.IfPartial"], function(Class, Assets, Info, scoped) {

    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "<div class=\"{{css}}-chooser-container\">\n\t<div class=\"{{css}}-chooser-button-container\">\n\t\t<div ba-repeat=\"{{action :: actions}}\">\n\t\t\t<div ba-hotkey:space^enter=\"{{click_action(action)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t tabindex=\"0\" class=\"{{css}}-chooser-button-{{action.index}}\"\n\t\t\t     ba-click=\"{{click_action(action)}}\"\n\t\t\t>\n\t\t\t\t<input ba-if=\"{{action.select && action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t\t   capture />\n\t\t\t\t<input ba-if=\"{{action.select && !action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t\t   />\n\t\t\t\t<i class=\"{{csscommon}}-icon-{{action.icon}}\"\n\t\t\t\t   ba-if=\"{{action.icon}}\"></i>\n\t\t\t\t<span>\n\t\t\t\t\t{{action.label}}\n\t\t\t\t</span>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</div>\n",

                attrs: {
                    "css": "ba-audiorecorder",
                    "cssrecorder": "ba-recorder",
                    "allowrecord": true,
                    "allowupload": true,

                    "primaryrecord": true,
                    "recordviafilecapture": false,

                    "allowcustomupload": true,
                    "allowedextensions": null

                },

                types: {
                    "allowedextensions": "array",
                    "recordviafilecapture": "boolean"
                },

                collections: ["actions"],

                create: function() {
                    var custom_accept_string = "";
                    if (this.get("allowedextensions") && this.get("allowedextensions").length > 0) {
                        var browser_support = Info.isEdge() || Info.isChrome() || Info.isOpera() || (Info.isFirefox() && Info.firefoxVersion() >= 42) || (Info.isInternetExplorer() && Info.internetExplorerVersion() >= 10);
                        if (browser_support)
                            custom_accept_string = "." + this.get("allowedextensions").join(",.");
                    } else if (!this.get("allowcustomupload")) {
                        custom_accept_string = "audio/*,audio/mp3";
                    }

                    var order = [];
                    if (this.get("primaryrecord")) {
                        if (this.get("allowrecord"))
                            order.push("record");
                        if (this.get("allowupload"))
                            order.push("upload");
                    } else {
                        if (this.get("allowupload"))
                            order.push("upload");
                        if (this.get("allowrecord"))
                            order.push("record");
                    }
                    var actions = this.get("actions");
                    order.forEach(function(act, index) {
                        switch (act) {
                            case "record":
                                actions.add({
                                    type: "record",
                                    index: index,
                                    icon: 'volume-up',
                                    label: this.string("record-audio"),
                                    select: Info.isMobile() && !(Info.isAndroid() && Info.isCordova()) && this.get("recordviafilecapture"),
                                    capture: true,
                                    accept: "audio/*,audio/mp3;capture=camcorder"
                                });
                                break;
                            case "upload":
                                actions.add({
                                    type: "upload",
                                    index: index,
                                    icon: "upload",
                                    label: this.string("upload-audio"),
                                    select: !(Info.isiOS() && Info.isCordova()),
                                    accept: Info.isMobile() && !(Info.isAndroid() && Info.isCordova()) ? "audio/*,audio/mp3" : custom_accept_string
                                });
                                break;
                        }
                    }, this);
                },

                functions: {

                    click_action: function(action) {
                        if (action.get("select"))
                            return;
                        if (Info.isMobile() && Info.isCordova()) {
                            var self = this;
                            if (Info.isAndroid()) {
                                navigator.device.capture.captureAudio(function(mediaFiles) {
                                    self.trigger("upload", mediaFiles[0]);
                                }, function(error) {}, {
                                    limit: 1,
                                    duration: this.get("timelimit")
                                });
                            } else if (Info.isiOS()) {
                                navigator.camera.getPicture(function(url) {
                                    self.trigger("upload", {
                                        localURL: url,
                                        fullPath: url
                                    });
                                }, function(error) {}, {
                                    destinationType: Camera.DestinationType.FILE_URI,
                                    sourceType: Camera.PictureSourceType.PHOTOLIBRARY,
                                    mediaType: Camera.MediaType.AUDIO
                                });
                            }
                        } else
                            this.trigger("record");
                    },

                    select_file_action: function(action, domEvent) {
                        if (!action.get("select"))
                            return;
                        this.trigger("upload", domEvent[0].target);
                    }

                }

            };
        })
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "actions": function (obj) { return obj.actions; }, "click_action(action)": function (obj) { return obj.click_action(obj.action); }, "action.index": function (obj) { return obj.action.index; }, "action.select && action.capture": function (obj) { return obj.action.select && obj.action.capture; }, "select_file_action(action, domEvent)": function (obj) { return obj.select_file_action(obj.action, obj.domEvent); }, "action.accept": function (obj) { return obj.action.accept; }, "action.select && !action.capture": function (obj) { return obj.action.select && !obj.action.capture; }, "csscommon": function (obj) { return obj.csscommon; }, "action.icon": function (obj) { return obj.action.icon; }, "action.label": function (obj) { return obj.action.label; }/**/
        })
        .register("ba-audiorecorder-chooser")
        .attachStringTable(Assets.strings)
        .addStrings({
            "record-audio": "Record Audio",
            "upload-audio": "Upload Audio"
        });
});

Scoped.define("module:AudioRecorder.Dynamics.Controlbar", ["dynamics:Dynamic","module:Assets","base:Timers.Timer"], ["dynamics:Partials.ShowPartial","dynamics:Partials.RepeatPartial"], function(Class, Assets, Timer, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "<div class=\"{{css}}-dashboard\">\n\t<div class=\"{{css}}-backbar\"></div>\n\t<div data-selector=\"recorder-settings\" class=\"{{css}}-settings\" ba-show=\"{{settingsvisible && settingsopen}}\">\n\t\t<div class=\"{{css}}-settings-backbar\"></div>\n\t\t<div data-selector=\"settings-list-front\" class=\"{{css}}-settings-front\">\n\t\t\t<ul data-selector=\"microphone-settings\" ba-repeat=\"{{microphone :: microphones}}\">\n\t\t\t\t<li tabindex=\"0\"\n\t\t\t\t\tba-hotkey:space^enter=\"{{selectMicrophone(microphone.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\tonclick=\"{{selectMicrophone(microphone.id)}}\"\n\t\t\t\t>\n\t\t\t\t\t<input type='radio' name='microphone' value=\"{{selectedmicrophone == microphone.id}}\" />\n\t\t\t\t\t<span></span>\n\t\t\t\t\t<label>\n\t\t\t\t\t\t{{microphone.label}}\n\t\t\t\t\t</label>\n\t\t\t\t </li>\n\t\t\t</ul>\n\t\t</div>\n\t</div>\n\t<div data-selector=\"controlbar\" class=\"{{css}}-controlbar\">\n\n        <div class=\"{{css}}-leftbutton-container\" ba-show=\"{{settingsvisible}}\">\n            <div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{settingsopen=!settingsopen}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"record-button-icon-cog\" class=\"{{css}}-button-inner {{css}}-button-{{settingsopen ? 'selected' : 'unselected'}}\"\n                 onclick=\"{{settingsopen=!settingsopen}}\"\n                 onmouseenter=\"{{hover(string('settings'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n                <i class=\"{{csscommon}}-icon-cog\"></i>\n            </div>\n        </div>\n\n        <div class=\"{{css}}-lefticon-container\" ba-show=\"{{settingsvisible}}\">\n            <div data-selector=\"record-button-icon-mic\" class=\"{{csscommon}}-icon-inner\"\n                 onmouseenter=\"{{hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n                <i class=\"{{csscommon}}-icon-mic {{csscommon}}-icon-state-{{microphonehealthy ? 'good' : 'bad' }}\"></i>\n            </div>\n        </div>\n\n        <div class=\"{{css}}-lefticon-container\" ba-show=\"{{stopvisible && recordingindication}}\">\n            <div data-selector=\"recording-indicator\" class=\"{{css}}-recording-indication\">\n            </div>\n        </div>\n\n        <div class=\"{{css}}-label-container\" ba-show=\"{{controlbarlabel}}\">\n        \t<div data-selector=\"record-label-block\" class=\"{{css}}-label-label\">\n        \t\t{{controlbarlabel}}\n        \t</div>\n        </div>\n\n        <div class=\"{{css}}-rightbutton-container\" ba-show=\"{{recordvisible}}\">\n        \t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{record()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"record-primary-button\" class=\"{{css}}-button-primary\"\n                 onclick=\"{{record()}}\"\n                 onmouseenter=\"{{hover(string('record-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n        \t\t{{string('record')}}\n        \t</div>\n        </div>\n\n        <div class=\"{{css}}-rightbutton-container\" ba-show=\"{{rerecordvisible}}\">\n        \t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"rerecord-primary-button\" class=\"{{css}}-button-primary\"\n                 onclick=\"{{rerecord()}}\"\n                 onmouseenter=\"{{hover(string('rerecord-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n        \t\t{{string('rerecord')}}\n        \t</div>\n        </div>\n\n\t\t<div class=\"{{css}}-rightbutton-container\" ba-show=\"{{cancelvisible}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{cancel()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"cancel-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t onclick=\"{{cancel()}}\"\n\t\t\t\t onmouseenter=\"{{hover(string('cancel-tooltip'))}}\"\n\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n\t\t\t\t{{string('cancel')}}\n\t\t\t</div>\n\t\t</div>\n\n        <div class=\"{{css}}-rightbutton-container\" ba-show=\"{{stopvisible}}\">\n        \t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{stop()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"stop-primary-button\" class=\"{{css}}-button-primary {{mintimeindicator ? css + '-disabled': ''}}\"\n\t\t\t\t title=\"{{mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')}}\"\n                 onclick=\"{{stop()}}\"\n                 onmouseenter=\"{{hover( mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n        \t\t{{string('stop')}}\n        \t</div>\n        </div>\n\n\t\t<div class=\"{{css}}-rightbutton-container\" ba-show=\"{{pausable && !resumevisible && stopvisible}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{pause()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"pause-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t title=\"{{string('pause-recorder')}}\"\n\t\t\t\t onclick=\"{{pause()}}\"\n\t\t\t\t onmouseenter=\"{{hover(string('pause-recorder'))}}\"\n\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n\t\t\t\t<i class=\"{{csscommon}}-icon-pause\"></i>\n\t\t\t</div>\n\t\t</div>\n\n\t\t<div class=\"{{css}}-rightbutton-container\" ba-show=\"{{pausable && resumevisible}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{resume()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"resume-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t title=\"{{string('resume-recorder')}}\"\n\t\t\t\t onclick=\"{{resume()}}\"\n\t\t\t\t onmouseenter=\"{{hover(string('resume-recorder'))}}\"\n\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n\t\t\t\t<i class=\"{{csscommon}}-icon-ccw\"></i>\n\t\t\t</div>\n\t\t</div>\n\n\n\t</div>\n</div>\n",

                attrs: {
                    "css": "ba-audiorecorder",
                    "csscommon": "ba-commoncss",
                    "cssrecorder": "ba-recorder",
                    "hovermessage": "",
                    "recordingindication": true
                },

                create: function() {
                    this.auto_destroy(new Timer({
                        context: this,
                        fire: function() {
                            this.set("recordingindication", !this.get("recordingindication") && !this.__parent.__paused);
                        },
                        delay: 500
                    }));
                },

                functions: {
                    selectMicrophone: function(microphoneId) {
                        this.set("settingsopen", false); // Close microphoe selection after it was selected
                        this.trigger("select-microphone", microphoneId);
                    },
                    hover: function(text) {
                        this.set("hovermessage", text);
                    },
                    unhover: function() {
                        this.set("hovermessage", "");
                    },
                    record: function() {
                        this.trigger("invoke-record");
                    },
                    rerecord: function() {
                        this.trigger("invoke-rerecord");
                    },
                    pause: function() {
                        this.trigger("invoke-pause");
                    },
                    resume: function() {
                        this.trigger("invoke-resume");
                    },
                    stop: function() {
                        this.trigger("invoke-stop");
                    },
                    cancel: function() {
                        this.trigger("invoke-cancel");
                    }
                }

            };
        })
        .register("ba-audiorecorder-controlbar")
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "settingsvisible && settingsopen": function (obj) { return obj.settingsvisible && obj.settingsopen; }, "microphones": function (obj) { return obj.microphones; }, "selectMicrophone(microphone.id)": function (obj) { return obj.selectMicrophone(obj.microphone.id); }, "selectedmicrophone == microphone.id": function (obj) { return obj.selectedmicrophone == obj.microphone.id; }, "microphone.label": function (obj) { return obj.microphone.label; }, "settingsvisible": function (obj) { return obj.settingsvisible; }, "settingsopen=!settingsopen": function (obj) { return obj.settingsopen=!obj.settingsopen; }, "settingsopen ? 'selected' : 'unselected'": function (obj) { return obj.settingsopen ? 'selected' : 'unselected'; }, "hover(string('settings'))": function (obj) { return obj.hover(obj.string('settings')); }, "unhover()": function (obj) { return obj.unhover(); }, "csscommon": function (obj) { return obj.csscommon; }, "hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))": function (obj) { return obj.hover(obj.string(obj.microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy')); }, "microphonehealthy ? 'good' : 'bad'": function (obj) { return obj.microphonehealthy ? 'good' : 'bad'; }, "stopvisible && recordingindication": function (obj) { return obj.stopvisible && obj.recordingindication; }, "controlbarlabel": function (obj) { return obj.controlbarlabel; }, "recordvisible": function (obj) { return obj.recordvisible; }, "record()": function (obj) { return obj.record(); }, "hover(string('record-tooltip'))": function (obj) { return obj.hover(obj.string('record-tooltip')); }, "string('record')": function (obj) { return obj.string('record'); }, "rerecordvisible": function (obj) { return obj.rerecordvisible; }, "rerecord()": function (obj) { return obj.rerecord(); }, "hover(string('rerecord-tooltip'))": function (obj) { return obj.hover(obj.string('rerecord-tooltip')); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "cancelvisible": function (obj) { return obj.cancelvisible; }, "cancel()": function (obj) { return obj.cancel(); }, "hover(string('cancel-tooltip'))": function (obj) { return obj.hover(obj.string('cancel-tooltip')); }, "string('cancel')": function (obj) { return obj.string('cancel'); }, "stopvisible": function (obj) { return obj.stopvisible; }, "stop()": function (obj) { return obj.stop(); }, "mintimeindicator ? css + '-disabled': ''": function (obj) { return obj.mintimeindicator ? obj.css + '-disabled': ''; }, "mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')": function (obj) { return obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip'); }, "hover( mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))": function (obj) { return obj.hover( obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip')); }, "string('stop')": function (obj) { return obj.string('stop'); }, "pausable && !resumevisible && stopvisible": function (obj) { return obj.pausable && !obj.resumevisible && obj.stopvisible; }, "pause()": function (obj) { return obj.pause(); }, "string('pause-recorder')": function (obj) { return obj.string('pause-recorder'); }, "hover(string('pause-recorder'))": function (obj) { return obj.hover(obj.string('pause-recorder')); }, "pausable && resumevisible": function (obj) { return obj.pausable && obj.resumevisible; }, "resume()": function (obj) { return obj.resume(); }, "string('resume-recorder')": function (obj) { return obj.string('resume-recorder'); }, "hover(string('resume-recorder'))": function (obj) { return obj.hover(obj.string('resume-recorder')); }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "settings": "Settings",
            "microphonehealthy": "Sound is good",
            "microphoneunhealthy": "Cannot pick up any sound",
            "record": "Record",
            "record-tooltip": "Click here to record.",
            "rerecord": "Redo",
            "rerecord-tooltip": "Click here to redo.",
            "stop": "Stop",
            "stop-tooltip": "Click here to stop.",
            "stop-available-after": "Minimum recording time is %d seconds",
            "cancel": "Cancel",
            "cancel-tooltip": "Click here to cancel.",
            "pause-recorder": "Pause Recorder",
            "resume-recorder": "Resume Recorder"
        });
});

Scoped.define("module:AudioRecorder.Dynamics.Loader", ["dynamics:Dynamic","module:Assets"], ["dynamics:Partials.ShowPartial"], function(Class, Assets, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div class=\"{{cssrecorder}}-loader-container\">\n    <div data-selector=\"recorder-loader-block\" class=\"{{cssrecorder}}-loader-loader\" title=\"{{tooltip || ''}}\">\n    </div>\n</div>\n<div data-selector=\"recorder-loader-label-container\" class=\"{{cssrecorder}}-loader-label\" ba-show=\"{{label}}\">\n\t{{label}}\n</div>\n",

                attrs: {
                    "css": "ba-audiorecorder",
                    "tooltip": "",
                    "label": "",
                    "message": "",
                    "hovermessage": ""
                }

            };
        })
        .registerFunctions({
            /**/"cssrecorder": function (obj) { return obj.cssrecorder; }, "tooltip || ''": function (obj) { return obj.tooltip || ''; }, "label": function (obj) { return obj.label; }/**/
        })
        .register("ba-audiorecorder-loader")
        .attachStringTable(Assets.strings)
        .addStrings({});
});

Scoped.define("module:AudioRecorder.Dynamics.Message", ["dynamics:Dynamic"], ["dynamics:Partials.ClickPartial"], function(Class, Templates, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div data-selector=\"recorder-message-container\" class=\"{{css}}-message-container\" ba-click=\"{{click()}}\">\n    <div data-selector=\"recorder-message-block\" class='{{css}}-message-message'>\n        <p>\n            {{message || \"\"}}\n        </p>\n        <ul ba-if=\"{{links && links.length > 0}}\" ba-repeat=\"{{link :: links}}\">\n            <li>\n                <a href=\"javascript:;\" ba-click=\"{{linkClick(link)}}\">\n                    {{link.title}}\n                </a>\n            </li>\n        </ul>\n    </div>\n</div>\n",

                attrs: {
                    "css": "ba-audiorecorder",
                    "message": '',
                    "links": null
                },

                functions: {

                    click: function() {
                        this.trigger("click");
                    },

                    linkClick: function(link) {
                        this.trigger("link", link);
                    }

                }

            };
        })
        .registerFunctions({
            /**/"css": function (obj) { return obj.css; }, "click()": function (obj) { return obj.click(); }, "message || \"\"": function (obj) { return obj.message || ""; }, "links && links.length > 0": function (obj) { return obj.links && obj.links.length > 0; }, "links": function (obj) { return obj.links; }, "linkClick(link)": function (obj) { return obj.linkClick(obj.link); }, "link.title": function (obj) { return obj.link.title; }/**/
        })
        .register("ba-audiorecorder-message");
});

Scoped.define("module:AudioRecorder.Dynamics.RecorderStates.State", ["base:States.State","base:Events.ListenMixin","base:Objs"], function(State, ListenMixin, Objs, scoped) {
    return State.extend({
        scoped: scoped
    }, [ListenMixin, {

        dynamics: [],

        _start: function() {
            this.dyn = this.host.dynamic;
            Objs.iter(Objs.extend({
                "message": false,
                "chooser": false,
                "controlbar": false,
                "loader": false
            }, Objs.objectify(this.dynamics)), function(value, key) {
                this.dyn.set(key + "_active", value);
            }, this);
            this.dyn.set("message_links", null);
            this.dyn._accessing_microphone = false;
            this._started();
        },

        _started: function() {},

        record: function() {
            this.dyn.set("autorecord", true);
        },

        stop: function() {
            this.dyn.scopes.player.execute('stop');
        },

        play: function() {
            this.dyn.scopes.player.execute('play');
        },

        pause: function() {
            this.dyn.scopes.player.execute('pause');
        },

        rerecord: function() {},

        selectRecord: function() {},

        selectUpload: function(file) {}

    }]);
});

Scoped.define("module:AudioRecorder.Dynamics.RecorderStates.FatalError", ["module:AudioRecorder.Dynamics.RecorderStates.State","browser:Info","base:Timers.Timer"], function(State, Info, Timer, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["message"],
        _locals: ["message", "retry"],

        _started: function() {
            this.dyn.set("message", this._message || this.dyn.string("recorder-error"));
            this.dyn.set("shortMessage", this.dyn.get("message").length < 30);
            this.listenOn(this.dyn, "message-click", function() {
                if (this._retry)
                    this.next(this._retry);
            });
        }

    });
});

Scoped.define("module:AudioRecorder.Dynamics.RecorderStates.Initial", ["module:AudioRecorder.Dynamics.RecorderStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        _started: function() {
            this.dyn.set("is_initial_state", true);
            this.dyn.set("verified", false);
            this.dyn.set("playbacksource", null);
            this.dyn.set("player_active", false);
            this.dyn._audioFileName = null;
            this.dyn._audioFile = null;
            this.dyn._audioFilePlaybackable = false;
            this.dyn._initializeUploader();
            if (!this.dyn.get("recordermode")) {
                if (!this.dyn.get("audio")) {
                    console.warn("recordermode:false requires an existing audio to be present and provided.");
                    this.dyn.set("recordermode", true);
                } else
                    this.next("Player");
            } else if (this.dyn.get("autorecord") || this.dyn.get("skipinitial"))
                this.eventualNext("RequiredSoftwareCheck");
            else
                this.next("Chooser");
        },

        _end: function() {
            this.dyn.set("is_initial_state", false);
        }

    });
});

Scoped.define("module:AudioRecorder.Dynamics.Recorder", ["dynamics:Dynamic","module:Assets","module:AudioVisualization","browser:Info","browser:Dom","browser:Upload.MultiUploader","browser:Upload.FileUploader","media:AudioRecorder.AudioRecorderWrapper","media:WebRTC.Support","base:Types","base:Objs","base:Strings","base:Time","base:Timers","base:States.Host","base:Classes.ClassRegistry","base:Collections.Collection","base:Promise","module:AudioRecorder.Dynamics.RecorderStates.Initial","module:AudioRecorder.Dynamics.RecorderStates"], ["module:AudioRecorder.Dynamics.Loader","module:AudioRecorder.Dynamics.Controlbar","module:AudioRecorder.Dynamics.Message","module:AudioRecorder.Dynamics.Chooser","dynamics:Partials.ShowPartial","dynamics:Partials.IfPartial","dynamics:Partials.EventPartial","dynamics:Partials.OnPartial","dynamics:Partials.DataPartial","dynamics:Partials.AttrsPartial","dynamics:Partials.StylesPartial","dynamics:Partials.TemplatePartial","dynamics:Partials.HotkeyPartial"], function(Class, Assets, AudioVisualization, Info, Dom, MultiUploader, FileUploader, AudioRecorderWrapper, WebRTCSupport, Types, Objs, Strings, Time, Timers, Host, ClassRegistry, Collection, Promise, InitialState, RecorderStates, scoped) {
    return Class.extend({
            scoped: scoped
        }, function(inherited) {
            return {

                template: "\n<div data-selector=\"audio-recorder-container\" ba-show=\"{{!player_active}}\"\n     class=\"{{css}}-container {{csstheme}} {{css}}-size-{{csssize}} {{iecss}}-{{ie8 ? 'ie8' : 'noie8'}}\n     \t{{cssrecorder}}-{{ firefox ? 'firefox' : 'common'}}-browser {{cssaudio}}\n    \t{{cssrecorder}}-{{themecolor}}-color\"\n     ba-styles=\"{{widthHeightStyles}}\"\n>\n\n\t<canvas data-selector=\"visualization-canvas\" class=\"{{css}}-visualization-canvas\"></canvas>\n    <audio tabindex=\"-1\" data-selector=\"recorder-status\" class=\"{{css}}-audio {{css}}-{{hasrecorder ? 'hasrecorder' : 'norecorder'}}\" data-audio=\"audio\" playsinline></audio>\n    <div data-selector=\"audio-recorder-overlay\" class='{{cssrecorder}}-overlay' ba-show=\"{{!hideoverlay}}\" data-overlay=\"overlay\">\n\t\t<ba-{{dynloader}}\n\t\t    ba-css=\"{{cssloader || css}}\"\n\t\t\tba-themecolor=\"{{themecolor}}\"\n\t\t\tba-cssrecorder=\"{{cssrecorder || css}}\"\n\t\t\tba-cssrecorder=\"{{cssrecorder || css}}\"\n\t\t    ba-template=\"{{tmplloader}}\"\n\t\t    ba-show=\"{{loader_active}}\"\n\t\t    ba-tooltip=\"{{loadertooltip}}\"\n\t\t\tba-hovermessage=\"{{=hovermessage}}\"\n\t\t    ba-label=\"{{loaderlabel}}\"\n\t\t></ba-{{dynloader}}>\n\n\t\t<ba-{{dynmessage}}\n\t\t    ba-css=\"{{cssmessage || css}}\"\n\t\t\tba-themecolor=\"{{themecolor}}\"\n\t\t\tba-cssrecorder=\"{{cssrecorder || css}}\"\n\t\t    ba-template=\"{{tmplmessage}}\"\n\t\t    ba-show=\"{{message_active}}\"\n\t\t    ba-message=\"{{message}}\"\n\t\t\tba-links=\"{{message_links}}\"\n\t\t    ba-event:click=\"message_click\"\n\t\t\tba-event:link=\"message_link_click\"\n\t\t></ba-{{dynmessage}}>\n\n\t\t<ba-{{dynchooser}}\n\t\t\tba-recordviafilecapture=\"{{recordviafilecapture}}\"\n\t\t    ba-css=\"{{csschooser || css}}\"\n\t\t\tba-themecolor=\"{{themecolor}}\"\n\t\t\tba-cssrecorder=\"{{cssrecorder || css}}\"\n\t\t    ba-template=\"{{tmplchooser}}\"\n\t\t    ba-if=\"{{chooser_active && !is_initial_state}}\"\n\t\t    ba-allowrecord=\"{{allowrecord}}\"\n\t\t    ba-allowupload=\"{{allowupload}}\"\n\t\t    ba-allowcustomupload=\"{{allowcustomupload}}\"\n\t\t    ba-allowedextensions=\"{{allowedextensions}}\"\n\t\t    ba-primaryrecord=\"{{primaryrecord}}\"\n\t\t    ba-timelimit=\"{{timelimit}}\"\n\t\t    ba-event:record=\"record_audio\"\n\t\t    ba-event:upload=\"upload_audio\"\n\t\t></ba-{{dynchooser}}>\n\n\t\t<ba-{{dyncontrolbar}}\n\t\t    ba-css=\"{{csscontrolbar || css}}\"\n\t\t\tba-csstheme=\"{{csstheme || css}}\"\n\t\t\tba-themecolor=\"{{themecolor}}\"\n\t\t\tba-cssrecorder=\"{{cssrecorder || css}}\"\n\t\t    ba-template=\"{{tmplcontrolbar}}\"\n\t\t    ba-show=\"{{controlbar_active}}\"\n\t\t    ba-microphones=\"{{microphones}}\"\n\t\t\tba-pausable=\"{{pausable}}\"\n\t\t\tba-resumevisible=\"{{resumevisible}}\"\n\t\t\tba-selectedmicrophone=\"{{selectedmicrophone || 0}}\"\n\t\t    ba-microphonehealthy=\"{{microphonehealthy}}\"\n\t\t    ba-hovermessage=\"{{=hovermessage}}\"\n\t\t    ba-settingsvisible=\"{{settingsvisible}}\"\n\t\t    ba-recordvisible=\"{{recordvisible}}\"\n\t\t\tba-cancelvisible=\"{{allowcancel && cancancel}}\"\n\t\t    ba-rerecordvisible=\"{{rerecordvisible}}\"\n\t\t    ba-stopvisible=\"{{stopvisible}}\"\n\t\t    ba-controlbarlabel=\"{{controlbarlabel}}\"\n\t\t\tba-mintimeindicator=\"{{mintimeindicator}}\"\n\t\t\tba-timeminlimit=\"{{timeminlimit}}\"\n\t\t    ba-event:select-microphone=\"select_microphone\"\n\t\t    ba-event:invoke-record=\"record\"\n\t\t    ba-event:invoke-rerecord=\"rerecord\"\n\t\t    ba-event:invoke-stop=\"stop\"\n\t\t\tba-event:invoke-pause=\"pause_recorder\"\n\t\t\tba-event:invoke-resume=\"resume\"\n\t\t></ba-{{dyncontrolbar}}>\n    </div>\n</div>\n\n<div data-selector=\"recorder-player\" ba-if=\"{{player_active}}\" ba-styles=\"{{widthHeightStyles}}\">\n\t<span ba-show=\"{{ie8}}\">&nbsp;</span>\n\t<ba-{{dynaudioplayer}}\n\t    ba-theme=\"{{theme || 'default'}}\"\n        ba-themecolor=\"{{themecolor}}\"\n        ba-source=\"{{playbacksource}}\"\n        ba-hideoninactivity=\"{{false}}\"\n\t\tba-visualeffectheight=\"{{visualeffectheight}}\"\n\t\tba-visualeffecttheme=\"{{visualeffecttheme}}\"\n        ba-attrs=\"{{playerattrs}}\"\n        ba-data:id=\"player\"\n        ba-width=\"{{width}}\"\n        ba-height=\"{{height}}\"\n        ba-totalduration=\"{{duration}}\"\n        ba-rerecordable=\"{{rerecordable && (recordings === null || recordings > 0)}}\"\n        ba-submittable=\"{{manualsubmit && verified}}\"\n        ba-reloadonplay=\"{{true}}\"\n        ba-autoplay=\"{{autoplay}}\"\n\t\tba-visualeffectvisible=\"{{visualeffectvisible}}\"\n\t\tba-event:loaded=\"ready_to_play\"\n        ba-event:rerecord=\"rerecord\"\n        ba-event:playing=\"playing\"\n        ba-event:paused=\"paused\"\n        ba-event:ended=\"ended\"\n        ba-event:submit=\"manual_submit\"\n\t>\n\t</ba-{{dynaudioplayer}}>\n</div>\n",

                attrs: {
                    /* CSS */
                    "css": "ba-videorecorder", // inherit from video recorder
                    "cssaudio": "ba-audiorecorder",
                    "cssrecorder": "ba-recorder",
                    "csscommon": "ba-commoncss",
                    "iecss": "ba-audiorecorder",
                    "cssimagegallery": "",
                    "cssloader": "",
                    "csscontrolbar": "",
                    "cssmessage": "",
                    "csstopmessage": "",
                    "csschooser": "",
                    "width": "",
                    "height": "",
                    "gallerysnapshots": 3,

                    /* Themes */
                    "theme": "",
                    "csstheme": "",

                    /* Dynamics */
                    "dynloader": "audiorecorder-loader",
                    "dyncontrolbar": "audiorecorder-controlbar",
                    "dynmessage": "audiorecorder-message",
                    "dynchooser": "audiorecorder-chooser",
                    "dynaudioplayer": "audioplayer",

                    /* Templates */
                    "tmplloader": "",
                    "tmplcontrolbar": "",
                    "tmplmessage": "",
                    "tmplchooser": "",

                    /* Attributes */
                    "autorecord": false,
                    "autoplay": false,
                    "allowrecord": true,
                    "allowupload": true,
                    "allowcustomupload": true,
                    "primaryrecord": true,
                    "countdown": 3,
                    "audiobitrate": null,
                    "playbacksource": "",
                    "recordermode": true,
                    "skipinitial": false,
                    "skipinitialonrerecord": false,
                    "timelimit": null,
                    "timeminlimit": null,
                    "webrtcstreaming": false,
                    "webrtconmobile": false,
                    "webrtcstreamingifnecessary": true,
                    "microphone-volume": 1.0,
                    "early-rerecord": false,
                    "manualsubmit": false,
                    "allowedextensions": null,
                    "filesizelimit": null,
                    "display-timer": true,
                    "pausable": false,
                    "visualeffectvisible": true,
                    "visualeffectsupported": false,
                    "visualeffectheight": null,
                    "visualeffectminheight": 120,
                    "visualeffecttheme": "red-bars", // types: `balloon`, 'red-bars'

                    /* Configuration */
                    "simulate": false,
                    "enforce-duration": null,
                    "localplayback": false,
                    "uploadoptions": {},
                    "playerattrs": {},
                    "shortMessage": true,

                    /* Options */
                    "rerecordable": true,
                    "allowcancel": false,
                    "recordings": null,
                    "ready": true,
                    "audio-test-mandatory": false

                },

                scopes: {
                    player: ">[id='player']"
                },

                computed: {
                    "widthHeightStyles:width,height": function() {
                        var result = {};
                        var width = this.get("width");
                        var height = this.get("height");
                        if (width)
                            result.width = width + ((width + '').match(/^\d+$/g) ? 'px' : '');
                        if (height)
                            result.height = height + ((height + '').match(/^\d+$/g) ? 'px' : '');
                        return result;
                    }
                },

                types: {
                    "rerecordable": "boolean",
                    "ready": "boolean",
                    "autorecord": "boolean",
                    "autoplay": "boolean",
                    "allowrecord": "boolean",
                    "allowupload": "boolean",
                    "allowcustomupload": "boolean",
                    "primaryrecord": "boolean",
                    "recordermode": "boolean",
                    "skipinitialonrerecord": "boolean",
                    "localplayback": "boolean",
                    "skipinitial": "boolean",
                    "pausable": "boolean",
                    "enforce-duration": "bool",
                    "webrtcstreaming": "boolean",
                    "webrtconmobile": "boolean",
                    "webrtcstreamingifnecessary": "boolean",
                    "microphone-volume": "float",
                    "audiobitrate": "int",
                    "early-rerecord": "boolean",
                    "manualsubmit": "boolean",
                    "simulate": "boolean",
                    "allowedextensions": "array",
                    "allowcancel": "boolean",
                    "display-timer": "boolean",
                    "audio-test-mandatory": "boolean",
                    "visualeffectvisible": "boolean"
                },

                extendables: ["states"],

                remove_on_destroy: true,

                events: {
                    "change:microphonehealthy": function(value) {
                        this.trigger("microphonehealth", value);
                    },
                    "change:webrtconmobile": function() {
                        this.set("recordviafilecapture", Info.isMobile() && (!this.get("webrtconmobile") || !AudioRecorderWrapper.anySupport(this._audioRecorderWrapperOptions())));
                    },
                    "change:recordviafilecapture": function() {
                        if (this.get("recordviafilecapture")) {
                            this.set("skipinitial", false);
                            this.set("skipinitialonrerecord", false);
                            this.set("autorecord", false);
                        }
                    },
                    "change:visualeffectsupported": function(supported) {
                        if (!supported && this.audioVisualization) this.audioVisualization.destroy();
                    }
                },

                create: function() {
                    // Initialize AudioContext
                    WebRTCSupport.globals();
                    if (this.get("theme")) this.set("theme", this.get("theme").toLowerCase());
                    if (this.get("theme") in Assets.recorderthemes) {
                        Objs.iter(Assets.recorderthemes[this.get("theme")], function(value, key) {
                            if (!this.isArgumentAttr(key))
                                this.set(key, value);
                        }, this);
                    }
                    this.set("ie8", Info.isInternetExplorer() && Info.internetExplorerVersion() < 9);
                    this.set("hideoverlay", false);

                    this.set("recordviafilecapture", Info.isMobile() && (!this.get("webrtconmobile") || !AudioRecorderWrapper.anySupport(this._audioRecorderWrapperOptions())));

                    if (this.get("recordviafilecapture")) {
                        this.set("skipinitial", false);
                        this.set("skipinitialonrerecord", false);
                        this.set("autorecord", false);
                    }

                    if (this.get("pausable"))
                        this.set("resumevisible", false);

                    this.__attachRequested = false;
                    this.__activated = false;
                    this._bound = false;
                    this.__recording = false;
                    this.__error = null;

                    this.host = new Host({
                        stateRegistry: new ClassRegistry(this.cls.recorderStates())
                    });
                    this.host.dynamic = this;
                    this.host.initialize(InitialState);

                    this._timer = new Timers.Timer({
                        context: this,
                        fire: this._timerFire,
                        delay: 250,
                        start: true
                    });

                    this._initSettings();
                },

                state: function() {
                    return this.host.state();
                },

                recorderAttached: function() {
                    return !!this.recorder;
                },

                audioError: function() {
                    return this.__error;
                },

                _error: function(error_type, error_code) {
                    this.__error = {
                        error_type: error_type,
                        error_code: error_code
                    };
                    this.trigger("error:" + error_type, error_code);
                    this.trigger("error", error_type, error_code);
                },

                _clearError: function() {
                    this.__error = null;
                },

                _detachRecorder: function() {
                    if (this.recorder)
                        this.recorder.weakDestroy();
                    this.recorder = null;
                    this.set("hasrecorder", false);
                },

                _audioRecorderWrapperOptions: function() {
                    return {
                        simulate: this.get("simulate"),
                        audioBitrate: this.get("audiobitrate"),
                        webrtcStreaming: !!this.get("webrtcstreaming"),
                        webrtcStreamingIfNecessary: !!this.get("webrtcstreamingifnecessary"),
                        // webrtcOnMobile: !!this.get("webrtconmobile"),
                        localPlaybackRequested: this.get("localplayback")
                    };
                },

                _attachRecorder: function() {
                    if (this.recorderAttached())
                        return;
                    if (!this.__activated) {
                        this.__attachRequested = true;
                        return;
                    }
                    this.set("hasrecorder", true);
                    this.__attachRequested = false;
                    var audio = this.activeElement().querySelector("[data-audio='audio']");
                    this._clearError();
                    this.recorder = AudioRecorderWrapper.create(Objs.extend({
                        element: audio
                    }, this._audioRecorderWrapperOptions()));
                    // Draw visualization effect for the audio player
                    // if (this.get("visualeffectvisible") && AudioVisualization.supported()) {
                    //     this.audioVisualization = new AudioVisualization(audio, {
                    //         recorder: this.recorder,
                    //         globalAudioContext: WebRTCSupport.globals().audioContext,
                    //         height: this.recorder._recorder._options.recordResolution.height || 120,
                    //         element: this.activeElement()
                    //     });
                    // }
                    if (this.recorder) {
                        this.trigger("attached");
                        this.set("pausable", this.get("pausable") && this.recorder.canPause());
                    } else {
                        this._error("attach");
                    }
                },

                _softwareDependencies: function() {
                    if (!this.recorderAttached() || !this.recorder)
                        return Promise.error("No recorder attached.");
                    return this.recorder.softwareDependencies();
                },

                _bindMedia: function() {
                    if (this._bound || !this.recorderAttached() || !this.recorder)
                        return;
                    this.recorder.ready.success(function() {
                        this.recorder.on("require_display", function() {
                            this.set("hideoverlay", true);
                        }, this);
                        this.recorder.bindMedia().error(function(e) {
                            this.trigger("access_forbidden", e);
                            this.set("hideoverlay", false);
                            this.off("require_display", null, this);
                            this._error("bind", e);
                        }, this).success(function() {
                            this.trigger("access_granted");
                            this.recorder.setVolumeGain(this.get("microphone-volume"));
                            this.set("hideoverlay", false);
                            this.off("require_display", null, this);
                            // Draw visualization effect for the audio player
                            if (this.get("visualeffectvisible") && AudioVisualization.supported()) {
                                if (this.get("height") && this.get("height") > this.get("visualeffectminheight")) {
                                    this.set('visualeffectheight', this.get("height"));
                                } else if (this.get("visualeffectheight") < this.get("visualeffectminheight")) {
                                    this.set('visualeffectheight', this.get("visualeffectminheight"));
                                }
                                this.audioVisualization = new AudioVisualization(this.recorder._recorder.stream(), {
                                    element: this.activeElement(),
                                    recorder: this.recorder,
                                    height: this.get("visualeffectheight"),
                                    theme: this.get("visualeffecttheme")
                                });
                                // To be able set width of the canvas element
                                var waitAnalyser = new Timers.Timer({
                                    context: this,
                                    immediate: true,
                                    delay: 50,
                                    fire: function() {
                                        if (this.recorder._analyser) {
                                            try {
                                                this.audioVisualization.initializeVisualEffect();
                                                this.audioVisualization.start();
                                                this.set("visualeffectsupported", true);
                                            } catch (ex) {
                                                this.set("visualeffectsupported", false);
                                                console.warn(ex);
                                            }
                                            waitAnalyser.stop();
                                        }
                                    }
                                });
                                this.auto_destroy(waitAnalyser);
                            }
                            this.recorder.enumerateDevices().success(function(devices) {
                                var selected = this.recorder.currentDevices();
                                this.set("selectedmicrophone", selected.audio);
                                this.set("microphones", new Collection(Objs.values(devices.audio)));
                            }, this);
                            this.recorder.testSoundLevel(true);
                            this.set("devicetesting", true);
                            this._bound = true;
                            this.trigger("bound");
                        }, this);
                    }, this);
                },

                isWebrtcStreaming: function() {
                    return this.recorder && this.recorder.isWebrtcStreaming();
                },

                _initSettings: function() {
                    this.set("duration", 0);
                },

                _initializeUploader: function() {
                    if (this._dataUploader)
                        this._dataUploader.weakDestroy();
                    this._dataUploader = new MultiUploader();
                },

                _unbindMedia: function() {
                    if (!this._bound)
                        return;
                    this.recorder.unbindMedia();
                    this._bound = false;
                },

                _uploadAudioFile: function(file) {
                    if (this.get("simulate"))
                        return;
                    var uploader = FileUploader.create(Objs.extend({
                        source: file
                    }, this.get("uploadoptions").audio));
                    uploader.upload();
                    this._dataUploader.addUploader(uploader);
                },

                _prepareRecording: function() {
                    return Promise.create(true);
                },

                _startRecording: function() {
                    if (this.__recording)
                        return Promise.error(true);
                    this.set("devicetesting", false);
                    return this.recorder.startRecord({
                        audio: this.get("uploadoptions").audio,
                        webrtcStreaming: this.get("uploadoptions").webrtcStreaming
                    }).success(function() {
                        this.__recording = true;
                        this.__recording_start_time = Time.now();
                    }, this);
                },

                _stopRecording: function() {
                    if (!this.__recording)
                        return Promise.error(true);
                    if (this.audioVisualization) this.audioVisualization.stop();
                    return this.recorder.stopRecord({
                        audio: this.get("uploadoptions").audio,
                        webrtcStreaming: this.get("uploadoptions").webrtcStreaming,
                        noUploading: this.get("uploadoptions").noUploading
                    }).success(function(uploader) {
                        this.__recording = false;
                        uploader.upload();
                        this._dataUploader.addUploader(uploader);
                    }, this);
                },

                isRecording: function() {
                    return this.__recording;
                },

                _verifyRecording: function() {
                    return Promise.create(true);
                },

                _afterActivate: function(element) {
                    inherited._afterActivate.call(this, element);
                    this.__activated = true;
                    if (this.__attachRequested)
                        this._attachRecorder();
                    this.persistentTrigger("loaded");
                },

                object_functions: [
                    "record", "rerecord", "stop", "play", "pause", "reset", "pause_recorder", "resume"
                ],

                functions: {

                    cancel: function() {
                        if (confirm(this.stringUnicode("cancel-confirm")))
                            this.execute("reset");
                    },

                    record: function() {
                        this.host.state().record();
                    },

                    record_audio: function() {
                        this.host.state().selectRecord();
                    },

                    upload_audio: function(file) {
                        this.host.state().selectUpload(file);
                    },

                    select_microphone: function(microphone_id) {
                        if (this.recorder) {
                            this.recorder.setCurrentDevices({
                                audio: microphone_id
                            });
                            this.recorder.testSoundLevel(true);
                            this.set("selectedmicrophone", microphone_id);
                            if (this.audioVisualization) {
                                this.recorder._recorder.on("bound", function() {
                                    this.audioVisualization.updateSourceStream();
                                }, this);
                            }
                        }
                        this.set("microphonehealthy", false);
                    },

                    rerecord: function() {
                        if (confirm(this.stringUnicode("rerecord-confirm"))) {
                            this.host.state().rerecord();
                            this._initSettings();
                        }
                    },

                    stop: function() {
                        // If recorder is paused need resume first,
                        // setting this._recording to true also could be enough
                        if (this.__paused)
                            this._resume();
                        this.host.state().stop();
                    },

                    pause_recorder: function() {
                        if (typeof this.recorder !== 'undefined') {
                            this.recorder.pauseRecord();
                            this.recorder._recorder.once("paused", function() {
                                this.__paused = true;
                                this.__recording = false;
                                this.set("resumevisible", true);
                            }, this);
                        }
                    },

                    resume: function() {
                        if (typeof this.recorder !== 'undefined')
                            this._resume();
                    },

                    play: function() {
                        this.host.state().play();
                    },

                    pause: function() {
                        this.host.state().pause();
                    },

                    message_click: function() {
                        this.trigger("message-click");
                    },

                    message_link_click: function(link) {
                        this.trigger("message-link-click", link);
                    },

                    playing: function() {
                        this.trigger("playing");
                    },

                    paused: function() {
                        this.trigger("paused");
                    },

                    ended: function() {
                        this.trigger("ended");
                    },

                    reset: function() {
                        this._stopRecording().callback(function() {
                            this._unbindMedia();
                            this._detachRecorder();
                            this._initSettings();
                            this.host.state().next("Initial");
                        }, this);
                    },

                    manual_submit: function() {
                        this.set("rerecordable", false);
                        this.set("manualsubmit", false);
                        this.trigger("manually_submitted");
                    },

                    ready_to_play: function() {
                        this.trigger("ready_to_play");
                    }

                },

                _resume: function() {
                    this.__paused = false;
                    this.__recording = true;
                    this.recorder.resumeRecord();
                    this.recorder._recorder.once("resumed", function() {
                        this.set("resumevisible", false);
                    }, this);
                },

                destroy: function() {
                    this._timer.destroy();
                    this.host.destroy();
                    this._detachRecorder();
                    inherited.destroy.call(this);
                },

                soundLevel: function() {
                    return this.recorderAttached() ? this.recorder.soundLevel() : null;
                },

                _timerFire: function() {
                    if (this.destroyed())
                        return;
                    try {
                        if (this.recorderAttached() && this.get("devicetesting")) {
                            if (!this.get("microphonehealthy") && this.soundLevel() >= 1.01) {
                                this.set("microphonehealthy", true);
                                this.recorder.testSoundLevel(false);
                            }
                        }
                    } catch (e) {}

                    this._updateCSSSize();
                },

                _updateCSSSize: function() {
                    var width = Dom.elementDimensions(this.activeElement()).width;
                    this.set("csssize", width > 400 ? "normal" : (width > 300 ? "medium" : "small"));
                },

                parentWidth: function() {
                    return this.get("width") || Dom.elementDimensions(this.activeElement()).width;
                },

                parentHeight: function() {
                    return this.get("height") || Dom.elementDimensions(this.activeElement()).height;
                },

                parentAspectRatio: function() {
                    return this.parentWidth() / this.parentHeight();
                }

            };
        }, {

            recorderStates: function() {
                return [RecorderStates];
            }

        })
        .register("ba-audiorecorder")
        .registerFunctions({
            /**/"!player_active": function (obj) { return !obj.player_active; }, "css": function (obj) { return obj.css; }, "csstheme": function (obj) { return obj.csstheme; }, "csssize": function (obj) { return obj.csssize; }, "iecss": function (obj) { return obj.iecss; }, "ie8 ? 'ie8' : 'noie8'": function (obj) { return obj.ie8 ? 'ie8' : 'noie8'; }, "cssrecorder": function (obj) { return obj.cssrecorder; }, "firefox ? 'firefox' : 'common'": function (obj) { return obj.firefox ? 'firefox' : 'common'; }, "cssaudio": function (obj) { return obj.cssaudio; }, "themecolor": function (obj) { return obj.themecolor; }, "widthHeightStyles": function (obj) { return obj.widthHeightStyles; }, "hasrecorder ? 'hasrecorder' : 'norecorder'": function (obj) { return obj.hasrecorder ? 'hasrecorder' : 'norecorder'; }, "!hideoverlay": function (obj) { return !obj.hideoverlay; }, "dynloader": function (obj) { return obj.dynloader; }, "cssloader || css": function (obj) { return obj.cssloader || obj.css; }, "cssrecorder || css": function (obj) { return obj.cssrecorder || obj.css; }, "tmplloader": function (obj) { return obj.tmplloader; }, "loader_active": function (obj) { return obj.loader_active; }, "loadertooltip": function (obj) { return obj.loadertooltip; }, "hovermessage": function (obj) { return obj.hovermessage; }, "loaderlabel": function (obj) { return obj.loaderlabel; }, "dynmessage": function (obj) { return obj.dynmessage; }, "cssmessage || css": function (obj) { return obj.cssmessage || obj.css; }, "tmplmessage": function (obj) { return obj.tmplmessage; }, "message_active": function (obj) { return obj.message_active; }, "message": function (obj) { return obj.message; }, "message_links": function (obj) { return obj.message_links; }, "dynchooser": function (obj) { return obj.dynchooser; }, "recordviafilecapture": function (obj) { return obj.recordviafilecapture; }, "csschooser || css": function (obj) { return obj.csschooser || obj.css; }, "tmplchooser": function (obj) { return obj.tmplchooser; }, "chooser_active && !is_initial_state": function (obj) { return obj.chooser_active && !obj.is_initial_state; }, "allowrecord": function (obj) { return obj.allowrecord; }, "allowupload": function (obj) { return obj.allowupload; }, "allowcustomupload": function (obj) { return obj.allowcustomupload; }, "allowedextensions": function (obj) { return obj.allowedextensions; }, "primaryrecord": function (obj) { return obj.primaryrecord; }, "timelimit": function (obj) { return obj.timelimit; }, "dyncontrolbar": function (obj) { return obj.dyncontrolbar; }, "csscontrolbar || css": function (obj) { return obj.csscontrolbar || obj.css; }, "csstheme || css": function (obj) { return obj.csstheme || obj.css; }, "tmplcontrolbar": function (obj) { return obj.tmplcontrolbar; }, "controlbar_active": function (obj) { return obj.controlbar_active; }, "microphones": function (obj) { return obj.microphones; }, "pausable": function (obj) { return obj.pausable; }, "resumevisible": function (obj) { return obj.resumevisible; }, "selectedmicrophone || 0": function (obj) { return obj.selectedmicrophone || 0; }, "microphonehealthy": function (obj) { return obj.microphonehealthy; }, "settingsvisible": function (obj) { return obj.settingsvisible; }, "recordvisible": function (obj) { return obj.recordvisible; }, "allowcancel && cancancel": function (obj) { return obj.allowcancel && obj.cancancel; }, "rerecordvisible": function (obj) { return obj.rerecordvisible; }, "stopvisible": function (obj) { return obj.stopvisible; }, "controlbarlabel": function (obj) { return obj.controlbarlabel; }, "mintimeindicator": function (obj) { return obj.mintimeindicator; }, "timeminlimit": function (obj) { return obj.timeminlimit; }, "player_active": function (obj) { return obj.player_active; }, "ie8": function (obj) { return obj.ie8; }, "dynaudioplayer": function (obj) { return obj.dynaudioplayer; }, "theme || 'default'": function (obj) { return obj.theme || 'default'; }, "playbacksource": function (obj) { return obj.playbacksource; }, "false": function (obj) { return false; }, "visualeffectheight": function (obj) { return obj.visualeffectheight; }, "visualeffecttheme": function (obj) { return obj.visualeffecttheme; }, "playerattrs": function (obj) { return obj.playerattrs; }, "width": function (obj) { return obj.width; }, "height": function (obj) { return obj.height; }, "duration": function (obj) { return obj.duration; }, "rerecordable && (recordings === null || recordings > 0)": function (obj) { return obj.rerecordable && (obj.recordings === null || obj.recordings > 0); }, "manualsubmit && verified": function (obj) { return obj.manualsubmit && obj.verified; }, "true": function (obj) { return true; }, "autoplay": function (obj) { return obj.autoplay; }, "visualeffectvisible": function (obj) { return obj.visualeffectvisible; }/**/
        })
        .attachStringTable(Assets.strings)
        .addStrings({
            "recorder-error": "An error occurred, please try again later. Click to retry.",
            "attach-error": "We could not access the media interface. Depending on the device and browser, you might need to access the page via SSL.",
            "software-required": "Please click below to install / activate the following requirements in order to proceed.",
            "software-waiting": "Waiting for the requirements to be installed / activated. You might need to refresh the page after completion.",
            "access-forbidden": "Access to the media was forbidden. Click to retry.",
            "uploading": "Uploading",
            "uploading-failed": "Uploading failed - click here to retry.",
            "upload-error-duration": "Length of the uploaded audio does not meet the requirements - click here to retry.",
            "verifying": "Verifying",
            "verifying-failed": "Verifying failed - click here to retry.",
            "rerecord-confirm": "Do you really want to redo your audio?",
            "cancel-confirm": "Do you really want to cancel your audio upload?",
            "audio_file_too_large": "Your audio file is too large (%s) - click here to try again with a smaller audio file.",
            "unsupported_audio_type": "Please upload: %s - click here to retry.",
            "uploading-src-error": "Unable to play back audio now, uploading is still in progress",
            "missing-track": "Required audio track is missing",
            "device-already-in-use": "At least one of your input devices are already in use",
            "browser-permission-denied": "Permission denied by browser, please grant access and reload page"
        });
});

Scoped.define("module:AudioRecorder.Dynamics.RecorderStates.Player", ["module:AudioRecorder.Dynamics.RecorderStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        rerecord: function() {
            this.dyn.trigger("rerecord");
            this.dyn.set("recordermode", true);
            this.next("Initial");
        },

        _started: function() {
            this.dyn.set("player_active", true);
        },

        _end: function() {
            this.dyn.set("player_active", false);
        }

    });
});

Scoped.define("module:AudioRecorder.Dynamics.RecorderStates.Chooser", ["module:AudioRecorder.Dynamics.RecorderStates.State","base:Strings","browser:Info","media:Player.Support"], function(State, Strings, Info, PlayerSupport, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["chooser"],

        record: function() {
            this.dyn.set("autorecord", true);
            this.selectRecord();
        },

        selectRecord: function() {
            this.dyn.set("record_media", "microphone");
            this.next("RequiredSoftwareCheck");
        },

        selectUpload: function(file) {
            if (!(Info.isMobile() && Info.isAndroid() && Info.isCordova())) {
                if (this.dyn.get("allowedextensions")) {
                    var filename = (file.files[0].name || "").toLowerCase();
                    var found = false;
                    this.dyn.get("allowedextensions").forEach(function(extension) {
                        if (Strings.ends_with(filename, "." + extension.toLowerCase()))
                            found = true;
                    }, this);
                    if (!found) {
                        this.next("FatalError", {
                            message: this.dyn.string("unsupported_audio_type").replace("%s", this.dyn.get("allowedextensions").join(" / ")),
                            retry: "Chooser"
                        });
                        return;
                    }
                }
                if (this.dyn.get("filesizelimit") && file.files && file.files.length > 0 && file.files[0].size && file.files[0].size > this.dyn.get("filesizelimit")) {
                    var fact = "KB";
                    var size = Math.round(file.files[0].size / 1000);
                    var limit = Math.round(this.dyn.get("filesizelimit") / 1000);
                    if (size > 999) {
                        fact = "MB";
                        size = Math.round(size / 1000);
                        limit = Math.round(limit / 1000);
                    }
                    this.next("FatalError", {
                        message: this.dyn.string("audio_file_too_large").replace("%s", size + fact + " / " + limit + fact),
                        retry: "Chooser"
                    });
                    return;
                }
            }
            try {
                PlayerSupport.audioFileInfo(file.files[0]).success(function(data) {
                    if (data.duration && this.dyn.get("enforce-duration")) {
                        if ((this.dyn.get("timeminlimit") && data.duration < this.dyn.get("timeminlimit")) || (this.dyn.get("timelimit") && data.duration > this.dyn.get("timelimit"))) {
                            this.next("FatalError", {
                                message: this.dyn.string("upload-error-duration"),
                                retry: "Chooser"
                            });
                            return;
                        }
                    }
                    this.dyn._audioFilePlaybackable = true;
                    this.dyn.set("duration", data.duration);
                    this._uploadFile(file);
                }, this).error(function(e) {
                    if (e.code === MediaError.MEDIA_ERR_SRC_NOT_SUPPORTED) {
                        if (this.dyn.get("localplayback")) {
                            this.dyn.set("localplayback", false);
                            this.dyn.set("was_localplayback", true);
                        }
                        this.dyn.set("media_src_not_supported", true);
                    }

                    this._uploadFile(file);
                }, this);
            } catch (e) {
                this._uploadFile(file);
            }
        },

        _uploadFile: function(file) {
            this.dyn.set("creation-type", Info.isMobile() ? "mobile" : "upload");
            try {
                this.dyn._audioFileName = file.files[0].name;
                this.dyn._audioFile = file.files[0];
            } catch (e) {}
            this.dyn._prepareRecording().success(function() {
                this.dyn.trigger("upload_selected", file);
                this.dyn._uploadAudioFile(file);
                this._setValueToEmpty(file);
                this.next("Uploading");
            }, this).error(function(s) {
                this._setValueToEmpty(file);
                this.next("FatalError", {
                    message: s,
                    retry: "Chooser"
                });
            }, this);
        },

        /**
         * Try to fix twice file upload behaviour, (on change event won't be executed twice with the same file)
         * Don't set null to value, will not solve an issue
         * @param {HTMLInputElement} file
         */
        _setValueToEmpty: function(file) {
            try {
                file.value = '';
            } catch (e) {}
        }

    });
});

Scoped.define("module:AudioRecorder.Dynamics.RecorderStates.RequiredSoftwareCheck", ["module:AudioRecorder.Dynamics.RecorderStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader"],

        _started: function() {
            this.dyn.set("settingsvisible", false);
            this.dyn.set("recordvisible", false);
            this.dyn.set("rerecordvisible", false);
            this.dyn.set("stopvisible", false);
            this.dyn.set("skipvisible", false);
            this.dyn.set("controlbarlabel", "");
            this.dyn.set("loaderlabel", "");
            this.listenOn(this.dyn, "error", function(s) {
                this.next("FatalError", {
                    message: this.dyn.string("attach-error"),
                    retry: "Initial"
                });
            }, this);
            this.dyn._attachRecorder();
            if (this.dyn) {
                this.dyn.on("message-link-click", function(link) {
                    link.execute();
                    this.next("RequiredSoftwareWait");
                }, this);
                this.dyn._softwareDependencies().error(function(dependencies) {
                    this.dyn.set("message_links", dependencies);
                    this.dyn.set("loader_active", false);
                    this.dyn.set("message_active", true);
                    this.dyn.set("message", this.dyn.string("software-required"));
                }, this).success(function() {
                    this.next("MicrophoneAccess");
                }, this);
            }
        }

    });
});

Scoped.define("module:AudioRecorder.Dynamics.RecorderStates.RequiredSoftwareWait", ["module:AudioRecorder.Dynamics.RecorderStates.State","base:Promise","browser:Dom"], function(State, Promise, Dom, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["message"],

        _started: function() {
            this.dyn.set("settingsvisible", false);
            this.dyn.set("recordvisible", false);
            this.dyn.set("rerecordvisible", false);
            this.dyn.set("stopvisible", false);
            this.dyn.set("controlbarlabel", "");
            this.dyn.set("loaderlabel", "");
            this.dyn.set("message", this.dyn.string("software-waiting"));
            Promise.resilience(function() {
                if (Dom.isTabHidden())
                    return Promise.error("Not ready");
                return this.dyn._softwareDependencies();
            }, this, 120, [], 1000).success(function() {
                this.next("MicrophoneAccess");
            }, this).error(function() {
                this.next("RequiredSoftwareCheck");
            }, this);
            this.dyn.on("message-click", function() {
                this.next("RequiredSoftwareCheck");
            }, this);
        }

    });
});

Scoped.define("module:AudioRecorder.Dynamics.RecorderStates.MicrophoneAccess", ["module:AudioRecorder.Dynamics.RecorderStates.State","base:Timers.Timer"], function(State, Timer, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader"],

        _started: function() {
            this.dyn.set("settingsvisible", true);
            this.dyn.set("recordvisible", true);
            this.dyn.set("rerecordvisible", false);
            this.dyn.set("stopvisible", false);
            this.dyn.set("controlbarlabel", "");
            this.dyn.set("loaderlabel", "");
            this.listenOn(this.dyn, "bound", function() {
                this.dyn.set("creation-type", "webrtc");
                this.next("MicrophoneHasAccess");
            }, this);
            this.listenOn(this.dyn, "error", function(s) {
                this.next("FatalError", {
                    message: this.dyn.string("attach-error"),
                    retry: "Initial"
                });
            }, this);
            this.listenOn(this.dyn, "access_forbidden", function() {
                this.next("FatalError", {
                    message: this.dyn.string("access-forbidden"),
                    retry: "Initial"
                });
            }, this);
            this.dyn._bindMedia();
        }

    });
});

Scoped.define("module:AudioRecorder.Dynamics.RecorderStates.MicrophoneHasAccess", ["module:AudioRecorder.Dynamics.RecorderStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["controlbar"],

        _started: function() {
            this.dyn.trigger("ready_to_record");
            this._preparePromise = null;
            if (this.dyn.get("countdown") > 0 && this.dyn.recorder && this.dyn.recorder.recordDelay(this.dyn.get("uploadoptions")) > this.dyn.get("countdown") * 1000)
                this._preparePromise = this.dyn._prepareRecording();
            if (this.dyn.get("pausable"))
                this.dyn.set("pausable", this.dyn.recorder.canPause());
            this.dyn.set("hovermessage", "");
            this.dyn.set("settingsvisible", true);
            this.dyn.set("recordvisible", true);
            this.dyn.set("rerecordvisible", false);
            this.dyn.set("stopvisible", false);
            this.dyn.set("controlbarlabel", "");
            if (this.dyn.get("autorecord"))
                this.next("RecordPrepare", {
                    preparePromise: this._preparePromise
                });
        },

        record: function() {
            if (this.dyn.get("autorecord"))
                return;
            if (this.dyn.get("audio-test-mandatory") && !this.dyn.get("microphonehealthy") && !this._preparePromise)
                return;
            this.next("RecordPrepare", {
                preparePromise: this._preparePromise
            });
        }

    });
});

Scoped.define("module:AudioRecorder.Dynamics.RecorderStates.RecordPrepare", ["module:AudioRecorder.Dynamics.RecorderStates.State","base:Timers.Timer","base:Time"], function(State, Timer, Time, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader"],
        _locals: ["preparePromise"],

        _started: function() {
            this.dyn.set("message", "");
            this.dyn.set("loaderlabel", "");
            var startedRecording = false;
            this.dyn._accessing_microphone = true;
            this._preparePromise = this._preparePromise || this.dyn._prepareRecording();
            var countdown = this.dyn.get("countdown") ? this.dyn.get("countdown") * 1000 : 0;
            var delay = this.dyn.recorder.recordDelay(this.dyn.get("uploadoptions")) || 0;
            if (countdown) {
                var displayDenominator = 1000;
                var silentTime = 0;
                var startTime = Time.now();
                var endTime = startTime + Math.max(delay, countdown);
                if (delay > countdown) {
                    silentTime = Math.min(500, delay - countdown);
                    displayDenominator = (delay - silentTime) / countdown * 1000;
                } else
                    this.dyn.set("loaderlabel", this.dyn.get("countdown"));
                var timer = new Timer({
                    context: this,
                    delay: 50,
                    fire: function() {
                        var now = Time.now();
                        var time_left = Math.max(0, endTime - now);
                        if (now > silentTime + startTime) {
                            this.dyn.set("loaderlabel", "" + Math.ceil((time_left - silentTime) / displayDenominator));
                            this.dyn.trigger("countdown", Math.round((time_left - silentTime) / displayDenominator * 1000));
                        }
                        if (endTime <= now) {
                            this.dyn.set("loaderlabel", "");
                            timer.stop();
                        }
                        if ((time_left <= delay) && !startedRecording) {
                            startedRecording = true;
                            this._startRecording();
                        }
                    }
                });
                this.auto_destroy(timer);
            } else
                this._startRecording();
        },

        record: function() {
            this._startRecording();
        },

        _startRecording: function() {
            this._preparePromise.success(function() {
                this.dyn._startRecording().success(function() {
                    this.next("Recording");
                }, this).error(function(s) {
                    this.next("FatalError", {
                        message: s,
                        retry: "RequiredSoftwareCheck"
                    });
                }, this);
            }, this).error(function(s) {
                this.next("FatalError", {
                    message: s,
                    retry: "RequiredSoftwareCheck"
                });
            }, this);
        }

    });
});

Scoped.define("module:AudioRecorder.Dynamics.RecorderStates.Recording", ["module:AudioRecorder.Dynamics.RecorderStates.State","base:Timers.Timer","base:Time","base:TimeFormat","base:Async","browser:Info"], function(State, Timer, Time, TimeFormat, Async, Info, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["controlbar"],

        _started: function() {
            this.dyn.set("hovermessage", "");
            this.dyn.set("topmessage", "");
            this.dyn._accessing_microphone = true;
            this.dyn.trigger("recording");
            this.dyn.set("settingsvisible", false);
            this.dyn.set("rerecordvisible", false);
            this.dyn.set("recordvisible", false);
            this.dyn.set("stopvisible", true);

            this._startTime = Time.now();
            this._stopping = false;
            this.__firedTimes = 0;
            this.__pauseDelta = 0;
            this.__timerDelay = 10;
            this._timer = this.auto_destroy(new Timer({
                immediate: true,
                delay: this.__timerDelay,
                context: this,
                fire: this._timerFire
            }));
        },

        _timerFire: function() {
            this.__firedTimes += 1;
            var limit = this.dyn.get("timelimit");
            var current = Time.now() - this.__pauseDelta;
            var display = Math.max(0, limit ? (this._startTime + limit * 1000 - current) : (current - this._startTime));
            this.dyn.trigger("recording_progress", current - this._startTime, !!this.dyn.__paused);
            this.dyn.set("controlbarlabel", this.dyn.get("display-timer") ? TimeFormat.format(TimeFormat.ELAPSED_MINUTES_SECONDS, display) : "");

            // If recorder paused will slips starting second
            if (this.dyn.__paused)
                this.__pauseDelta += this.__timerDelay;

            if (this.dyn.get("timeminlimit"))
                this.dyn.set("mintimeindicator", (Time.now() - this._startTime) / 1000 <= this.dyn.get("timeminlimit"));

            if (limit && this._startTime + limit * 1000 <= current) {
                this._timer.stop();
                this.stop();
            }
        },

        stop: function() {
            var minlimit = this.dyn.get("timeminlimit");
            if (minlimit) {
                var delta = (Time.now() - this._startTime - this.__pauseDelta) / 1000;
                if (delta < minlimit) {
                    var limit = this.dyn.get("timelimit");
                    if (!limit || limit > delta)
                        return;
                }
            }
            if (this._stopping)
                return;
            this.dyn.set("loader_active", true);
            this.dyn.set("controlbar_active", false);
            this.dyn.set("message_active", true);
            this.dyn.set("message", "");
            this._stopping = true;
            Async.eventually(function() {
                this.dyn._stopRecording().success(function() {
                    this._hasStopped();
                    this.next("Uploading");
                }, this).error(function(s) {
                    this.next("FatalError", {
                        message: s,
                        retry: "RequiredSoftwareCheck"
                    });
                }, this);
            }, this);
        },

        _hasStopped: function() {
            this.dyn.set("duration", (Time.now() - this._startTime - this.__pauseDelta) / 1000);
            this.dyn._unbindMedia();
            this.dyn.trigger("recording_stopped");
        }
    });
});

Scoped.define("module:AudioRecorder.Dynamics.RecorderStates.Uploading", ["module:AudioRecorder.Dynamics.RecorderStates.State","base:Time","base:Async","base:Objs"], function(State, Time, Async, Objs, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader", "message"],

        _started: function() {
            this.dyn.set("cancancel", true);
            this.dyn.set("skipinitial", this.dyn.get("skipinitial") || this.dyn.get("skipinitialonrerecord"));
            this.dyn.set("settingsvisible", false);
            this.dyn.set("recordvisible", false);
            this.dyn.set("stopvisible", false);
            this.dyn.set("loadlabel", "");
            this.dyn.set("controlbarlabel", "");
            this.dyn.trigger("uploading");
            this.dyn.set("rerecordvisible", this.dyn.get("early-rerecord"));
            if (this.dyn.get("media_src_not_supported") && this.dyn.get("was_localplayback")) {
                this.dyn.set("uploading-message", this.dyn.string("uploading-src-error"));
            } else {
                this.dyn.set("uploading-message", this.dyn.string("uploading"));
            }
            if (this.dyn.get("early-rerecord"))
                this.dyn.set("controlbar_active", true);
            this.dyn.set("hovermessage", "");
            this.dyn.set("message", this.dyn.get("uploading-message"));
            var uploader = this.dyn._dataUploader;
            this.listenOn(uploader, "success", function() {
                Async.eventually(function() {
                    if (this.destroyed())
                        return;
                    this._finished();
                    this.next("Verifying");
                }, this);
            });
            this.listenOn(uploader, "error", function(e) {
                var bestError = this.dyn.string("uploading-failed");
                try {
                    e.forEach(function(ee) {
                        for (var key in ee)
                            if (this.dyn.string("upload-error-" + key))
                                bestError = this.dyn.string("upload-error-" + key);
                    }, this);
                } catch (err) {}
                this.dyn.set("player_active", false);
                this.next("FatalError", {
                    message: bestError,
                    retry: this.dyn.recorderAttached() ? "Uploading" : "Initial"
                });
            });
            this.listenOn(uploader, "progress", function(uploaded, total) {
                this.dyn.trigger("upload_progress", uploaded, total);
                if (total !== 0 && total > 0 && uploaded >= 0) {
                    var up = Math.min(100, Math.round(uploaded / total * 100));
                    if (!isNaN(up)) {
                        this.dyn.set("message", this.dyn.get("uploading-message") + ": " + up + "%");
                        this.dyn.set("playertopmessage", this.dyn.get("message"));
                    }
                }
            });
            if (this.dyn.get("localplayback") && ((this.dyn.recorder && this.dyn.recorder.supportsLocalPlayback()) || this.dyn._audioFilePlaybackable)) {
                if (this.dyn.recorder && this.dyn.recorder.supportsLocalPlayback())
                    this.dyn.set("playbacksource", this.dyn.recorder.localPlaybackSource());
                else
                    this.dyn.set("playbacksource", (window.URL || window.webkitURL).createObjectURL(this.dyn._audioFile));
                this.dyn.set("loader_active", false);
                this.dyn.set("message_active", false);
                this.dyn.set("player_active", true);
            }
            this.dyn.set("start-upload-time", Time.now());
            uploader.reset();
            uploader.upload();
        },

        rerecord: function() {
            this.dyn._detachRecorder();
            this.dyn.trigger("rerecord");
            this.dyn.set("recordermode", true);
            this.next("Initial");
        },

        _finished: function() {
            this.dyn.set("cancancel", false);
            this.dyn.trigger("uploaded");
            this.dyn.set("end-upload-time", Time.now());
        }

    });
});

Scoped.define("module:AudioRecorder.Dynamics.RecorderStates.Verifying", ["module:AudioRecorder.Dynamics.RecorderStates.State"], function(State, scoped) {
    return State.extend({
        scoped: scoped
    }, {

        dynamics: ["loader", "message"],

        _started: function() {
            this.dyn.set("loadlabel", "");
            this.dyn.trigger("verifying");
            this.dyn.set("message", this.dyn.string("verifying") + "...");
            this.dyn.set("playertopmessage", this.dyn.get("message"));
            if (this.dyn.get("localplayback") && ((this.dyn.recorder && this.dyn.recorder.supportsLocalPlayback()) || this.dyn._audioFilePlaybackable)) {
                this.dyn.set("loader_active", false);
                this.dyn.set("message_active", false);
            } else {
                this.dyn.set("rerecordvisible", this.dyn.get("early-rerecord"));
                if (this.dyn.get("early-rerecord"))
                    this.dyn.set("controlbar_active", true);
            }
            this.dyn._verifyRecording().success(function() {
                this.dyn.trigger("verified");
                this.dyn._detachRecorder();
                if (this.dyn.get("recordings"))
                    this.dyn.set("recordings", this.dyn.get("recordings") - 1);
                this.dyn.set("message", "");
                this.dyn.set("verified", true);
                this.next("Player");
            }, this).error(function() {
                this.dyn.set("player_active", false);
                this.next("FatalError", {
                    message: this.dyn.string("verifying-failed"),
                    retry: this.dyn.recorderAttached() ? "Verifying" : "Initial"
                });
            }, this);
        },

        rerecord: function() {
            this.dyn._detachRecorder();
            this.dyn.trigger("rerecord");
            this.dyn.set("recordermode", true);
            this.next("Initial");
        }

    });
});


}).call(Scoped);
(function () {
var Scoped = this.subScope();
Scoped.binding('browser', 'root:BetaJS.Browser');
Scoped.binding('dynamics', 'root:BetaJS.Dynamics');
Scoped.binding('module', 'root:BetaJS.MediaComponents');
Scoped.extend("module:Assets.playerthemes", ["browser:Info","dynamics:Parser"], function(Info, Parser) {
    var ie8 = Info.isInternetExplorer() && Info.internetExplorerVersion() <= 8;
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-dashboard-hidden') : ''": function (obj) { return obj.activitydelta > obj.hidebarafter && obj.hideoninactivity ? (obj.cssplayer + '-dashboard-hidden') : ''; }, "title": function (obj) { return obj.title; }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-video')": function (obj) { return obj.string('submit-video'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-video')": function (obj) { return obj.string('rerecord-video'); }, "csscommon": function (obj) { return obj.csscommon; }, "skipinitial ? 0 : 1": function (obj) { return obj.skipinitial ? 0 : 1; }, "play()": function (obj) { return obj.play(); }, "tab_index_move(domEvent, null, 'button-icon-pause')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-pause'); }, "!playing": function (obj) { return !obj.playing; }, "string('play-video')": function (obj) { return obj.string('play-video'); }, "pause()": function (obj) { return obj.pause(); }, "tab_index_move(domEvent, null, 'button-icon-play')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-play'); }, "disablepause ? cssplayer + '-disabled' : ''": function (obj) { return obj.disablepause ? obj.cssplayer + '-disabled' : ''; }, "playing": function (obj) { return obj.playing; }, "disablepause ? string('pause-video-disabled') : string('pause-video')": function (obj) { return obj.disablepause ? obj.string('pause-video-disabled') : obj.string('pause-video'); }, "toggle_position_info()": function (obj) { return obj.toggle_position_info(); }, "revertposition ? string('remaining-time') : string('elapsed-time')": function (obj) { return obj.revertposition ? obj.string('remaining-time') : obj.string('elapsed-time'); }, "(revertposition && duration > 0) ? \"-\" : \"\"": function (obj) { return (obj.revertposition && obj.duration > 0) ? "-" : ""; }, "(revertposition && duration > 0) ? formatTime(duration - position) : formatTime(position)": function (obj) { return (obj.revertposition && obj.duration > 0) ? obj.formatTime(obj.duration - obj.position) : obj.formatTime(obj.position); }, "formatTime(duration || position)": function (obj) { return obj.formatTime(obj.duration || obj.position); }, "trimmingmode": function (obj) { return obj.trimmingmode; }, "trim()": function (obj) { return obj.trim(); }, "string('trim-video')": function (obj) { return obj.string('trim-video'); }, "frameselectionmode": function (obj) { return obj.frameselectionmode; }, "select_frame()": function (obj) { return obj.select_frame(); }, "string('select-frame')": function (obj) { return obj.string('select-frame'); }, "toggle_settings_menu()": function (obj) { return obj.toggle_settings_menu(); }, "cssplayer": function (obj) { return obj.cssplayer; }, "settingsmenuactive ? 'active' : 'inactive'": function (obj) { return obj.settingsmenuactive ? 'active' : 'inactive'; }, "settingsmenubutton": function (obj) { return obj.settingsmenubutton; }, "string('settings')": function (obj) { return obj.string('settings'); }, "tab_index_move(domEvent)": function (obj) { return obj.tab_index_move(obj.domEvent); }, "toggle_tracks()": function (obj) { return obj.toggle_tracks(); }, "(tracktags.length > 0 && showsubtitlebutton) || allowtexttrackupload": function (obj) { return (obj.tracktags.length > 0 && obj.showsubtitlebutton) || obj.allowtexttrackupload; }, "tracktextvisible ? 'active' : 'inactive'": function (obj) { return obj.tracktextvisible ? 'active' : 'inactive'; }, "tracktextvisible ? string('close-tracks') : string('show-tracks')": function (obj) { return obj.tracktextvisible ? obj.string('close-tracks') : obj.string('show-tracks'); }, "hover_cc(true)": function (obj) { return obj.hover_cc(true); }, "hover_cc(false)": function (obj) { return obj.hover_cc(false); }, "toggle_fullscreen()": function (obj) { return obj.toggle_fullscreen(); }, "fullscreen": function (obj) { return obj.fullscreen; }, "fullscreened ? string('exit-fullscreen-video') : string('fullscreen-video')": function (obj) { return obj.fullscreened ? obj.string('exit-fullscreen-video') : obj.string('fullscreen-video'); }, "fullscreened ? 'small' : 'full'": function (obj) { return obj.fullscreened ? 'small' : 'full'; }, "show_airplay_devices()": function (obj) { return obj.show_airplay_devices(); }, "airplaybuttonvisible": function (obj) { return obj.airplaybuttonvisible; }, "castbuttonvisble": function (obj) { return obj.castbuttonvisble; }, "toggle_stream()": function (obj) { return obj.toggle_stream(); }, "streams.length > 1 && currentstream": function (obj) { return obj.streams.length > 1 && obj.currentstream; }, "string('change-resolution')": function (obj) { return obj.string('change-resolution'); }, "currentstream_label": function (obj) { return obj.currentstream_label; }, "!hidevolumebar": function (obj) { return !obj.hidevolumebar; }, "set_volume(volume + 0.1)": function (obj) { return obj.set_volume(obj.volume + 0.1); }, "set_volume(volume - 0.1)": function (obj) { return obj.set_volume(obj.volume - 0.1); }, "startUpdateVolume(domEvent)": function (obj) { return obj.startUpdateVolume(obj.domEvent); }, "progressUpdateVolume(domEvent)": function (obj) { return obj.progressUpdateVolume(obj.domEvent); }, "stopUpdateVolume(domEvent); this.blur()": function (obj) { return obj.stopUpdateVolume(obj.domEvent); this.blur(); }, "stopUpdateVolume(domEvent)": function (obj) { return obj.stopUpdateVolume(obj.domEvent); }, "{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}": function (obj) { return {width: Math.ceil(1+Math.min(99, Math.round(obj.volume * 100))) + '%'}; }, "string('volume-button')": function (obj) { return obj.string('volume-button'); }, "toggle_volume()": function (obj) { return obj.toggle_volume(); }, "string(volume > 0 ? 'volume-mute' : 'volume-unmute')": function (obj) { return obj.string(obj.volume > 0 ? 'volume-mute' : 'volume-unmute'); }, "csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off'))": function (obj) { return obj.csscommon + '-icon-volume-' + (obj.volume >= 0.5 ? 'up' : (obj.volume > 0 ? 'down' : 'off')); }, "disableseeking ? cssplayer + '-disabled' : ''": function (obj) { return obj.disableseeking ? obj.cssplayer + '-disabled' : ''; }, "seek(position + skipseconds)": function (obj) { return obj.seek(obj.position + obj.skipseconds); }, "seek(position - skipseconds)": function (obj) { return obj.seek(obj.position - obj.skipseconds); }, "startUpdatePosition(domEvent)": function (obj) { return obj.startUpdatePosition(obj.domEvent); }, "{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.cached / obj.duration * 100 : 0) + '%'}; }, "{width: Math.round(duration ? position / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.position / obj.duration * 100 : 0) + '%'}; }, "string('video-progress')": function (obj) { return obj.string('video-progress'); }, "css": function (obj) { return obj.css; }, "{left: Math.round(duration && trimstart ? trimstart / duration * 100 : 0) + '%'}": function (obj) { return {left: Math.round(obj.duration && obj.trimstart ? obj.trimstart / obj.duration * 100 : 0) + '%'}; }, "{left: 'auto', right: 100 - Math.round(duration && trimend ? trimend / duration * 100 : 100) + '%'}": function (obj) { return {left: 'auto', right: 100 - Math.round(obj.duration && obj.trimend ? obj.trimend / obj.duration * 100 : 100) + '%'}; }/**/
    });
    Parser.registerFunctions({
        /**/"play()": function (obj) { return obj.play(); }, "tab_index_move(domEvent, null, 'player-toggle-overlay')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'player-toggle-overlay'); }, "cssplayer": function (obj) { return obj.cssplayer; }, "string('tooltip')": function (obj) { return obj.string('tooltip'); }, "showduration && (duration != 0 && duration != undefined)": function (obj) { return obj.showduration && (obj.duration != 0 && obj.duration != undefined); }, "css": function (obj) { return obj.css; }, "formatTime(duration)": function (obj) { return obj.formatTime(obj.duration); }, "rerecordable || submittable": function (obj) { return obj.rerecordable || obj.submittable; }, "submittable && !trimmingmode": function (obj) { return obj.submittable && !obj.trimmingmode; }, "submit()": function (obj) { return obj.submit(); }, "string('submit-video')": function (obj) { return obj.string('submit-video'); }, "rerecordable && !trimmingmode": function (obj) { return obj.rerecordable && !obj.trimmingmode; }, "rerecord()": function (obj) { return obj.rerecord(); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "trimmingmode": function (obj) { return obj.trimmingmode; }, "string('trim')": function (obj) { return obj.string('trim'); }, "skip()": function (obj) { return obj.skip(); }, "string('skip')": function (obj) { return obj.string('skip'); }/**/
    });
    return {
        "modern": {
            css: "ba-videoplayer",
            csstheme: "ba-player-theme-modern",
            cssplayer: "ba-player",
            tmplcontrolbar: "<div data-selector=\"video-title-block\" class=\"{{csstheme}}-title-container {{activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-dashboard-hidden') : ''}}\" ba-if=\"{{title}}\">\n\t<p class=\"{{csstheme}}-title\">\n\t\t{{title}}\n\t</p>\n</div>\n\n<div class=\"{{csstheme}}-dashboard {{activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-dashboard-hidden') : ''}}\">\n\n\t<div tabindex=\"0\" data-selector=\"submit-video-button\"\n\t\t ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n\t\t class=\"{{csstheme}}-leftbutton-container\"\n\t\t ba-if=\"{{submittable}}\" ba-click=\"{{submit()}}\"\n\t>\n\t\t<div class=\"{{csstheme}}-button-inner\">\n\t\t\t{{string('submit-video')}}\n\t\t</div>\n\t</div>\n\n\t<div tabindex=\"0\" data-selector=\"button-icon-ccw\"\n\t\t ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n\t\t class=\"{{csstheme}}-leftbutton-container\"\n\t\t ba-if=\"{{rerecordable}}\" ba-click=\"{{rerecord()}}\" title=\"{{string('rerecord-video')}}\"\n\t>\n\t\t<div class=\"{{csstheme}}-button-inner\">\n\t\t\t<i class=\"{{csscommon}}-icon-ccw\"></i>\n\t\t</div>\n\t</div>\n\n\t<div tabindex=\"{{skipinitial ? 0 : 1}}\" data-selector=\"button-icon-play\"\n\t\t ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n\t\t onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-pause')}}\"\n\t\t class=\"{{csstheme}}-leftbutton-container\"\n\t\t ba-if=\"{{!playing}}\" ba-click=\"{{play()}}\" title=\"{{string('play-video')}}\"\n\t>\n\t\t<div class=\"{{csstheme}}-button-inner\">\n\t\t\t<i class=\"{{csscommon}}-icon-play\"></i>\n\t\t</div>\n\t</div>\n\n\t<div tabindex=\"{{skipinitial ? 0 : 1}}\" data-selector=\"button-icon-pause\"\n\t\t ba-hotkey:space^enter=\"{{pause()}}\" onmouseout=\"this.blur()\"\n\t\t onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-play')}}\"\n\t\t class=\"{{csstheme}}-leftbutton-container {{disablepause ? cssplayer + '-disabled' : ''}}\"\n\t\t ba-if=\"{{playing}}\" ba-click=\"{{pause()}}\" title=\"{{disablepause ? string('pause-video-disabled') : string('pause-video')}}\"\n\t>\n\t\t<div class=\"{{csstheme}}-button-inner\">\n\t\t\t<i class=\"{{csscommon}}-icon-pause\"></i>\n\t\t</div>\n\t</div>\n\t<div class=\"{{csstheme}}-time-container\">\n\t\t<div class=\"{{csstheme}}-time-value {{csscommon}}-clickable\" ba-click=\"{{toggle_position_info()}}\"\n\t\t\t title=\"{{revertposition ? string('remaining-time') : string('elapsed-time')}}\"\n\t\t>\n\t\t\t<span class=\"{{csstheme}}-time-position\">\n                {{(revertposition && duration > 0) ? \"-\" : \"\"}}\n\t\t\t\t{{(revertposition && duration > 0) ? formatTime(duration - position) : formatTime(position)}} /\n\t\t\t</span>{{formatTime(duration || position)}}\n\t\t</div>\n\t</div>\n\n\t<div tabindex=\"11\" class=\"{{csstheme}}-primary-button-container {{csstheme}}-rightbutton-container\" ba-if=\"{{trimmingmode}}\">\n\t\t<div data-selector=\"trim-button\"\n\t\t\t onmouseout=\"this.blur()\"\n\t\t\t ba-click=\"{{trim()}}\"\n\t\t\t class=\"{{csstheme}}-primary-button {{csstheme}}-button-inner\">\n\t\t\t {{string('trim-video')}}\n\t\t</div>\n\t</div>\n\n\t<div tabindex=\"11\" class=\"{{csstheme}}-primary-button-container {{csstheme}}-rightbutton-container\" ba-if=\"{{frameselectionmode}}\">\n\t\t<div data-selector=\"select-frame-button\"\n\t\t\t onmouseout=\"this.blur()\"\n\t\t\t ba-click=\"{{select_frame()}}\"\n\t\t\t class=\"{{csstheme}}-primary-button {{csstheme}}-button-inner\">\n\t\t\t {{string('select-frame')}}\n\t\t</div>\n\t</div>\n\n\t<div tabindex=\"10\" data-selector=\"button-icon-settings\"\n\t\t ba-hotkey:space^enter=\"{{toggle_settings_menu()}}\" onmouseout=\"this.blur()\"\n\t\t class=\"{{csstheme}}-rightbutton-container {{cssplayer}}-button-{{settingsmenuactive ? 'active' : 'inactive'}}\"\n\t\t ba-if=\"{{settingsmenubutton}}\" ba-click=\"{{toggle_settings_menu()}}\"\n\t\t title=\"{{string('settings')}}\"\n\t\t onkeydown=\"{{tab_index_move(domEvent)}}\"\n\t>\n\t\t<div class=\"{{csstheme}}-button-inner {{csstheme}}-settings-button\">\n\t\t\t<i class=\"{{csscommon}}-icon-cog\"></i>\n\t\t</div>\n\t</div>\n\n\t<div tabindex=\"9\" data-selector=\"cc-button-container\"\n\t\t ba-hotkey:space^enter=\"{{toggle_tracks()}}\" onmouseout=\"this.blur()\"\n\t\t ba-if=\"{{(tracktags.length > 0 && showsubtitlebutton) || allowtexttrackupload}}\"\n\t\t class=\"{{csstheme}}-rightbutton-container  {{cssplayer}}-button-{{tracktextvisible ? 'active' : 'inactive'}}\"\n\t\t title=\"{{tracktextvisible ? string('close-tracks') : string('show-tracks')}}\"\n\t\t ba-click=\"{{toggle_tracks()}}\"\n\t\t onmouseover=\"{{hover_cc(true)}}\"\n\t\t onmouseleave=\"{{hover_cc(false)}}\"\n\t>\n\t\t<div class=\"{{csstheme}}-button-inner {{csstheme}}-subtitle-button-inner\">\n\t\t\t<i class=\"{{csscommon}}-icon-subtitle\"></i>\n\t\t</div>\n\t</div>\n\n\n\t<div tabindex=\"8\" data-selector=\"button-icon-resize-full\"\n\t\t ba-hotkey:space^enter=\"{{toggle_fullscreen()}}\" onmouseout=\"this.blur()\"\n\t\t onkeydown=\"{{tab_index_move(domEvent)}}\"\n\t\t class=\"{{csstheme}}-rightbutton-container\"\n\t\t ba-if=\"{{fullscreen}}\" ba-click=\"{{toggle_fullscreen()}}\" title=\"{{ fullscreened ? string('exit-fullscreen-video') : string('fullscreen-video') }}\"\n\t>\n\t\t<div class=\"{{csstheme}}-button-inner {{csstheme}}-full-screen-btn-inner\">\n\t\t\t<i class=\"{{csscommon}}-icon-resize-{{fullscreened ? 'small' : 'full'}}\"></i>\n\t\t</div>\n\t</div>\n\n\t<div tabindex=\"7\" data-selector=\"button-airplay\"\n\t\t ba-hotkey:space^enter=\"{{show_airplay_devices()}}\" onmouseout=\"this.blur()\"\n\t\t class=\"{{csstheme}}-rightbutton-container {{cssplayer}}-airplay-container\" ba-show=\"{{airplaybuttonvisible}}\"\n\t\t ba-click=\"{{show_airplay_devices()}}\"\n\t>\n\t\t<svg width=\"16px\" height=\"11px\" viewBox=\"0 0 16 11\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\">\n\t\t\t\n\t\t\t<title>Airplay</title>\n\t\t\t<desc>Airplay icon.</desc>\n\t\t\t<defs></defs>\n\t\t\t<g stroke=\"none\" stroke-width=\"1\" fill-rule=\"evenodd\" sketch:type=\"MSPage\">\n\t\t\t\t<path d=\"M4,11 L12,11 L8,7 L4,11 Z M14.5454545,0 L1.45454545,0 C0.654545455,0 0,0.5625 0,1.25 L0,8.75 C0,9.4375 0.654545455,10 1.45454545,10 L4.36363636,10 L4.36363636,8.75 L1.45454545,8.75 L1.45454545,1.25 L14.5454545,1.25 L14.5454545,8.75 L11.6363636,8.75 L11.6363636,10 L14.5454545,10 C15.3454545,10 16,9.4375 16,8.75 L16,1.25 C16,0.5625 15.3454545,0 14.5454545,0 L14.5454545,0 Z\" sketch:type=\"MSShapeGroup\"></path>\n\t\t\t</g>\n\t\t</svg>\n\t</div>\n\n\t<div data-selector=\"button-chromecast\" class=\"{{csstheme}}-rightbutton-container {{csstheme}}-cast-button-container\" ba-show=\"{{castbuttonvisble}}\">\n\t\t<button tabindex=\"6\" class=\"{{csstheme}}-gcast-button\" is=\"google-cast-button\"></button>\n\t</div>\n\n\t<div tabindex=\"5\" data-selector=\"button-stream-label\"\n\t\t ba-hotkey:space^enter=\"{{toggle_stream()}}\" onmouseout=\"this.blur()\"\n\t\t class=\"{{csstheme}}-rightbutton-container\" ba-if=\"{{streams.length > 1 && currentstream}}\"\n\t\t ba-click=\"{{toggle_stream()}}\" title=\"{{string('change-resolution')}}\"\n\t>\n\t\t<div class=\"{{csstheme}}-button-inner\">\n\t\t\t<span class=\"{{csstheme}}-button-text\">{{currentstream_label}}</span>\n\t\t</div>\n\t</div>\n\n\t<div class=\"{{csstheme}}-volumebar\" ba-show=\"{{!hidevolumebar}}\">\n\t\t<div tabindex=\"4\" data-selector=\"button-volume-bar\"\n\t\t\t ba-hotkey:right=\"{{set_volume(volume + 0.1)}}\"\n\t\t\t ba-hotkey:left=\"{{set_volume(volume - 0.1)}}\"\n\t\t\t onmouseout=\"this.blur()\"\n\t\t\t class=\"{{csstheme}}-volumebar-inner\"\n\t\t\t ontouchstart=\"{{startUpdateVolume(domEvent)}}\"\n\t\t\t ontouchmove=\"{{progressUpdateVolume(domEvent)}}\"\n\t\t\t ontouchend=\"{{stopUpdateVolume(domEvent); this.blur()}};\"\n\t\t\t onmousedown=\"{{startUpdateVolume(domEvent)}}\"\n\t\t\t onmouseup=\"{{stopUpdateVolume(domEvent)}}\"\n\t\t\t onmouseleave=\"{{stopUpdateVolume(domEvent)}}\"\n\t\t\t onmousemove=\"{{progressUpdateVolume(domEvent)}}\"\n\t\t>\n\t\t\t<div class=\"{{csstheme}}-volumebar-position\" ba-styles=\"{{{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}}}\" title=\"{{string('volume-button')}}\"></div>\n\t\t</div>\n\t</div>\n\n\t<div tabindex=\"3\" data-selector=\"button-icon-volume\"\n\t\t ba-hotkey:space^enter=\"{{toggle_volume()}}\" onmouseout=\"this.blur()\"\n\t\t class=\"{{csstheme}}-rightbutton-container {{csstheme}}-volume-button-container\"\n\t\t ba-click=\"{{toggle_volume()}}\" title=\"{{string(volume > 0 ? 'volume-mute' : 'volume-unmute')}}\"\n\t>\n\t\t<div class=\"{{csstheme}}-button-inner\">\n\t\t\t<i class=\"{{csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off')) }}\"></i>\n\t\t</div>\n\t</div>\n\n\t<div class=\"{{csstheme}}-progressbar {{disableseeking ? cssplayer + '-disabled' : ''}}\">\n\t\t<div tabindex=\"2\" data-selector=\"progress-bar-inner\"\n\t\t\t ba-hotkey:right=\"{{seek(position + skipseconds)}}\"\n\t\t\t ba-hotkey:left=\"{{seek(position - skipseconds)}}\"\n\t\t\t onmouseout=\"this.blur()\"\n\t\t\t class=\"{{csstheme}}-progressbar-inner\"\n\t\t\t ontouchstart=\"{{startUpdatePosition(domEvent)}}\"\n\t\t\t onmousedown=\"{{startUpdatePosition(domEvent)}}\"\n\t\t>\n\t\t\t<div class=\"{{csstheme}}-progressbar-cache\" ba-styles=\"{{{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}}}\"></div>\n\t\t\t<div class=\"{{csstheme}}-progressbar-position\" ba-styles=\"{{{width: Math.round(duration ? position / duration * 100 : 0) + '%'}}}\" title=\"{{string('video-progress')}}\"></div>\n\t\t\t<div class=\"{{css}}-progressbar-marker\"\n\t\t\t\tdata-selector=\"trim-start-marker\"\n\t\t\t\tba-if=\"{{trimmingmode}}\"\n\t\t\t\tba-styles=\"{{{left: Math.round(duration && trimstart ? trimstart / duration * 100 : 0) + '%'}}}\"\n\t\t\t></div>\n\t\t\t<div class=\"{{css}}-progressbar-marker\"\n\t\t\t\tdata-selector=\"trim-end-marker\"\n\t\t\t\tba-if=\"{{trimmingmode}}\"\n\t\t\t\tba-styles=\"{{{left: 'auto', right: 100 - Math.round(duration && trimend ? trimend / duration * 100 : 100) + '%'}}}\"\n\t\t\t></div>\n\t\t</div>\n\t</div>\n",
            tmplplaybutton: "\n<div tabindex=\"0\" data-selector=\"play-button\"\n     ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n     onkeydown=\"{{tab_index_move(domEvent, null, 'player-toggle-overlay')}}\"\n     class=\"{{cssplayer}}-playbutton-container\" ba-click=\"{{play()}}\" title=\"{{string('tooltip')}}\"\n>\n\t<div class=\"{{cssplayer}}-playbutton-button\"></div>\n</div>\n<div ba-show=\"{{showduration && (duration != 0 && duration != undefined)}}\" class=\"{{css}}-playbutton-duration\">\n    {{formatTime(duration)}}\n</div>\n\n<div class=\"{{cssplayer}}-rerecord-bar\" ba-if=\"{{rerecordable || submittable}}\">\n\t<div class=\"{{cssplayer}}-rerecord-backbar\"></div>\n\t<div class=\"{{cssplayer}}-rerecord-frontbar\">\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{submittable && !trimmingmode}}\">\n            <div tabindex=\"0\" data-selector=\"player-submit-button\"\n                 ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{submit()}}\">\n                {{string('submit-video')}}\n            </div>\n        </div>\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{rerecordable && !trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-rerecord-button\"\n                 ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{rerecord()}}\">\n        \t\t{{string('rerecord')}}\n        \t</div>\n        </div>\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-trim-button\"\n                 ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{play()}}\">\n        \t\t{{string('trim')}}\n        \t</div>\n        </div>\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-skip-button\"\n                 ba-hotkey:space^enter=\"{{skip()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{skip()}}\">\n        \t\t{{string('skip')}}\n        \t</div>\n        </div>\n\t</div>\n</div>\n",
            cssloader: ie8 ? "ba-videoplayer" : "",
            cssmessage: "ba-videoplayer",
            cssplaybutton: ie8 ? "ba-videoplayer" : ""
        }
    };
});

Scoped.extend("module:Assets.recorderthemes", ["dynamics:Parser"], function(Parser) {
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "initialmessages.length > 0": function (obj) { return obj.initialmessages.length > 0; }, "csscommon": function (obj) { return obj.csscommon; }, "initialmessages": function (obj) { return obj.initialmessages; }, "initialmessage.message": function (obj) { return obj.initialmessage.message; }, "initialmessage.type ? initialmessage.type : 'default'": function (obj) { return obj.initialmessage.type ? obj.initialmessage.type : 'default'; }, "initialmessage.id": function (obj) { return obj.initialmessage.id; }, "actions.first().get('icon')": function (obj) { return obj.actions.first().get('icon'); }, "actions": function (obj) { return obj.actions; }, "click_action(action)": function (obj) { return obj.click_action(obj.action); }, "action.index": function (obj) { return obj.action.index; }, "action.select && action.capture": function (obj) { return obj.action.select && obj.action.capture; }, "select_file_action(action, domEvent)": function (obj) { return obj.select_file_action(obj.action, obj.domEvent); }, "action.accept": function (obj) { return obj.action.accept; }, "action.select && !action.capture": function (obj) { return obj.action.select && !obj.action.capture; }, "action.label": function (obj) { return obj.action.label; }/**/
    });
    return {
        "modern": {
            css: "ba-videorecorder",
            csstheme: "ba-recorder-theme-modern",
            cssrecorder: "ba-recorder",
            cssloader: "ba-videorecorder",
            tmplchooser: "<div class=\"{{css}}-chooser-container\">\n\t<div ba-if=\"{{initialmessages.length > 0}}\" class=\"{{csscommon}}-message-container\">\n\t\t<ul ba-repeat=\"{{initialmessage :: initialmessages}}\">\n\t\t\t<li ba-if=\"{{initialmessage.message}}\"\n\t\t\t\tclass=\"{{csscommon}}-message-text {{csscommon}}-message-{{initialmessage.type ? initialmessage.type : 'default'}}\"\n\t\t\t>\n\t\t\t\t{{ initialmessage.message }}\n\t\t\t\t<span ba-if=\"{{initialmessage.id}}\"\n\t\t\t\t\t  class=\"{{csscommon}}-action-button\"\n\t\t\t\t\t  ba-click=\"close_message(initialmessage.id)\"\n\t\t\t\t>\n\t\t\t\t\t<i class=\"{{csscommon}}-icon-cancel\"></i>\n\t\t\t\t</span>\n\t\t\t</li>\n\t\t</ul>\n\t</div>\n\n\t<div class=\"{{css}}-chooser-button-container\">\n\n\t\t<div class=\"{{css}}-chooser-icon-container\">\n\t\t\t<i class=\"{{csscommon}}-icon-{{actions.first().get('icon')}}\"></i>\n\t\t</div>\n\t\t<div ba-repeat=\"{{action :: actions}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\tba-hotkey:space^enter=\"{{click_action(action)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t class=\"{{css}}-chooser-button-{{action.index}}\"\n\t\t\t\t ba-click=\"{{click_action(action)}}\"\n\t\t\t>\n\t\t\t\t<input ba-if=\"{{action.select && action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t\t   capture />\n\t\t\t\t<input ba-if=\"{{action.select && !action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t/>\n\t\t\t\t<span>\n\t\t\t\t\t{{action.label}}\n\t\t\t\t</span>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</div>\n"
        }
    };
});

Scoped.extend("module:Assets.imageviewerthemes", ["browser:Info","dynamics:Parser"], function(Info, Parser) {
    var ie8 = Info.isInternetExplorer() && Info.internetExplorerVersion() <= 8;
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "activitydelta > 5000 && hideoninactivity ? (css + '-dashboard-hidden') : ''": function (obj) { return obj.activitydelta > 5000 && obj.hideoninactivity ? (obj.css + '-dashboard-hidden') : ''; }, "title": function (obj) { return obj.title; }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-image')": function (obj) { return obj.string('submit-image'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-image')": function (obj) { return obj.string('rerecord-image'); }, "csscommon": function (obj) { return obj.csscommon; }, "toggle_fullscreen()": function (obj) { return obj.toggle_fullscreen(); }, "tab_index_move(domEvent)": function (obj) { return obj.tab_index_move(obj.domEvent); }, "fullscreen": function (obj) { return obj.fullscreen; }, "fullscreened ? string('exit-fullscreen-image') : string('fullscreen-image')": function (obj) { return obj.fullscreened ? obj.string('exit-fullscreen-image') : obj.string('fullscreen-image'); }, "fullscreened ? 'small' : 'full'": function (obj) { return obj.fullscreened ? 'small' : 'full'; }/**/
    });
    return {
        "modern": {
            css: "ba-imageviewer",
            csstheme: "ba-imageviewer-theme-modern",
            tmplcontrolbar: "<div data-selector=\"image-title-block\" class=\"{{css}}-image-title-container {{activitydelta > 5000 && hideoninactivity ? (css + '-dashboard-hidden') : ''}}\" ba-if=\"{{title}}\">\n\t<p class=\"{{css}}-image-title\">\n\t\t{{title}}\n\t</p>\n</div>\n\n<div class=\"{{css}}-dashboard {{activitydelta > 5000 && hideoninactivity ? (css + '-dashboard-hidden') : ''}}\">\n\n    <div tabindex=\"0\" data-selector=\"submit-image-button\"\n\t\t ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n\t\t class=\"{{css}}-leftbutton-container\"\n\t\t ba-if=\"{{submittable}}\" ba-click=\"{{submit()}}\"\n\t>\n        <div class=\"{{css}}-button-inner\">\n        \t{{string('submit-image')}}\n        </div>\n    </div>\n\n    <div tabindex=\"0\" data-selector=\"button-icon-ccw\"\n\t\t ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n\t\t class=\"{{css}}-leftbutton-container\"\n\t\t ba-if=\"{{rerecordable}}\" ba-click=\"{{rerecord()}}\" title=\"{{string('rerecord-image')}}\"\n\t>\n    \t<div class=\"{{css}}-button-inner\">\n    \t\t<i class=\"{{csscommon}}-icon-ccw\"></i>\n    \t</div>\n    </div>\n\n\t<div tabindex=\"8\" data-selector=\"button-icon-resize-full\"\n\t\t ba-hotkey:space^enter=\"{{toggle_fullscreen()}}\" onmouseout=\"this.blur()\"\n\t\t onkeydown=\"{{tab_index_move(domEvent)}}\"\n\t\t class=\"{{css}}-rightbutton-container\"\n\t\tba-if=\"{{fullscreen}}\" ba-click=\"{{toggle_fullscreen()}}\" title=\"{{ fullscreened ? string('exit-fullscreen-image') : string('fullscreen-image') }}\"\n\t>\n\t\t<div class=\"{{css}}-button-inner {{css}}-full-screen-btn-inner\">\n\t\t\t<i class=\"{{csscommon}}-icon-resize-{{fullscreened ? 'small' : 'full'}}\"></i>\n\t\t</div>\n\t</div>\n\n\n</div>\n",
            cssloader: ie8 ? "ba-imageviewer" : "",
            cssmessage: "ba-imageviewer"
        }
    };
});

Scoped.extend("module:Assets.audioplayerthemes", ["browser:Info","dynamics:Parser"], function(Info, Parser) {
    var ie8 = Info.isInternetExplorer() && Info.internetExplorerVersion() <= 8;
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "title": function (obj) { return obj.title; }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-audio')": function (obj) { return obj.string('submit-audio'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-audio')": function (obj) { return obj.string('rerecord-audio'); }, "csscommon": function (obj) { return obj.csscommon; }, "play()": function (obj) { return obj.play(); }, "tab_index_move(domEvent, null, 'button-icon-pause')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-pause'); }, "!playing": function (obj) { return !obj.playing; }, "string('play-audio')": function (obj) { return obj.string('play-audio'); }, "pause()": function (obj) { return obj.pause(); }, "tab_index_move(domEvent, null, 'button-icon-play')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-play'); }, "disablepause ? cssplayer + '-disabled' : ''": function (obj) { return obj.disablepause ? obj.cssplayer + '-disabled' : ''; }, "playing": function (obj) { return obj.playing; }, "disablepause ? string('pause-audio-disabled') : string('pause-audio')": function (obj) { return obj.disablepause ? obj.string('pause-audio-disabled') : obj.string('pause-audio'); }, "string('elapsed-time')": function (obj) { return obj.string('elapsed-time'); }, "formatTime(position)": function (obj) { return obj.formatTime(obj.position); }, "formatTime(duration || position)": function (obj) { return obj.formatTime(obj.duration || obj.position); }, "set_volume(volume + 0.1)": function (obj) { return obj.set_volume(obj.volume + 0.1); }, "set_volume(volume - 0.1)": function (obj) { return obj.set_volume(obj.volume - 0.1); }, "startUpdateVolume(domEvent)": function (obj) { return obj.startUpdateVolume(obj.domEvent); }, "stopUpdateVolume(domEvent)": function (obj) { return obj.stopUpdateVolume(obj.domEvent); }, "progressUpdateVolume(domEvent)": function (obj) { return obj.progressUpdateVolume(obj.domEvent); }, "{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}": function (obj) { return {width: Math.ceil(1+Math.min(99, Math.round(obj.volume * 100))) + '%'}; }, "string('volume-button')": function (obj) { return obj.string('volume-button'); }, "toggle_volume()": function (obj) { return obj.toggle_volume(); }, "string(volume > 0 ? 'volume-mute' : 'volume-unmute')": function (obj) { return obj.string(obj.volume > 0 ? 'volume-mute' : 'volume-unmute'); }, "csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off'))": function (obj) { return obj.csscommon + '-icon-volume-' + (obj.volume >= 0.5 ? 'up' : (obj.volume > 0 ? 'down' : 'off')); }, "disableseeking ? cssplayer + '-disabled' : ''": function (obj) { return obj.disableseeking ? obj.cssplayer + '-disabled' : ''; }, "seek(position + skipseconds)": function (obj) { return obj.seek(obj.position + obj.skipseconds); }, "seek(position - skipseconds)": function (obj) { return obj.seek(obj.position - obj.skipseconds); }, "startUpdatePosition(domEvent)": function (obj) { return obj.startUpdatePosition(obj.domEvent); }, "stopUpdatePosition(domEvent)": function (obj) { return obj.stopUpdatePosition(obj.domEvent); }, "progressUpdatePosition(domEvent)": function (obj) { return obj.progressUpdatePosition(obj.domEvent); }, "{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.cached / obj.duration * 100 : 0) + '%'}; }, "{width: Math.round(duration ? position / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.position / obj.duration * 100 : 0) + '%'}; }, "string('audio-progress')": function (obj) { return obj.string('audio-progress'); }/**/
    });
    return {
        "modern": {
            css: "ba-audioplayer",
            csstheme: "ba-player-theme-modern",
            tmplcontrolbar: "<div data-selector=\"audio-title-block\" class=\"{{csstheme}}-title-container \" ba-if=\"{{title}}\">\n\t<p class=\"{{csstheme}}-title\">\n\t\t{{title}}\n\t</p>\n</div>\n\n<div class=\"{{csstheme}}-dashboard \">\n\n    <div tabindex=\"0\" data-selector=\"submit-audio-button\"\n\t\t ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n\t\t class=\"{{csstheme}}-leftbutton-container\"\n\t\t ba-if=\"{{submittable}}\" ba-click=\"{{submit()}}\"\n\t>\n        <div class=\"{{csstheme}}-button-inner\">\n        \t{{string('submit-audio')}}\n        </div>\n    </div>\n\n    <div tabindex=\"0\" data-selector=\"button-icon-ccw\"\n\t\t ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n\t\t class=\"{{csstheme}}-leftbutton-container\"\n\t\t ba-if=\"{{rerecordable}}\" ba-click=\"{{rerecord()}}\" title=\"{{string('rerecord-audio')}}\"\n\t>\n    \t<div class=\"{{csstheme}}-button-inner\">\n    \t\t<i class=\"{{csscommon}}-icon-ccw\"></i>\n    \t</div>\n    </div>\n\n\t<div tabindex=\"0\" data-selector=\"button-icon-play\"\n\t\t ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n\t\t onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-pause')}}\"\n\t\t class=\"{{csstheme}}-leftbutton-container\"\n\t\t ba-if=\"{{!playing}}\" ba-click=\"{{play()}}\" title=\"{{string('play-audio')}}\"\n\t>\n\t\t<div class=\"{{csstheme}}-button-inner\">\n\t\t\t<i class=\"{{csscommon}}-icon-play\"></i>\n\t\t</div>\n\t</div>\n\n\t<div tabindex=\"0\" data-selector=\"button-icon-pause\"\n\t\t ba-hotkey:space^enter=\"{{pause()}}\" onmouseout=\"this.blur()\"\n\t\t onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-play')}}\"\n\t\t class=\"{{csstheme}}-leftbutton-container {{disablepause ? cssplayer + '-disabled' : ''}}\"\n\t\t ba-if=\"{{playing}}\" ba-click=\"{{pause()}}\" title=\"{{disablepause ? string('pause-audio-disabled') : string('pause-audio')}}\"\n\t>\n\t\t<div class=\"{{csstheme}}-button-inner\">\n\t\t\t<i class=\"{{csscommon}}-icon-pause\"></i>\n\t\t</div>\n\t</div>\n\t<div class=\"{{csstheme}}-time-container\">\n\t\t<div class=\"{{csstheme}}-time-value\" title=\"{{string('elapsed-time')}}\">{{formatTime(position)}}/{{formatTime(duration || position)}}</div>\n\t</div>\n\n\n\t<div class=\"{{csstheme}}-volumebar\">\n\t\t<div tabindex=\"4\" data-selector=\"button-volume-bar\"\n\t\t\t ba-hotkey:right=\"{{set_volume(volume + 0.1)}}\"\n\t\t\t ba-hotkey:left=\"{{set_volume(volume - 0.1)}}\"\n\t\t\t onmouseout=\"this.blur()\"\n\t\t\t class=\"{{csstheme}}-volumebar-inner\"\n\t\t\t onmousedown=\"{{startUpdateVolume(domEvent)}}\"\n\t\t\t onmouseup=\"{{stopUpdateVolume(domEvent)}}\"\n\t\t\t onmouseleave=\"{{stopUpdateVolume(domEvent)}}\"\n\t\t\t onmousemove=\"{{progressUpdateVolume(domEvent)}}\"\n\t\t>\n\t\t\t<div class=\"{{csstheme}}-volumebar-position\" ba-styles=\"{{{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}}}\" title=\"{{string('volume-button')}}\"></div>\n\t\t</div>\n\t</div>\n\n\t<div tabindex=\"3\" data-selector=\"button-icon-volume\"\n\t\t ba-hotkey:space^enter=\"{{toggle_volume()}}\" onmouseout=\"this.blur()\"\n\t\t class=\"{{csstheme}}-rightbutton-container {{csstheme}}-volume-button-container\"\n\t\t ba-click=\"{{toggle_volume()}}\" title=\"{{string(volume > 0 ? 'volume-mute' : 'volume-unmute')}}\"\n\t>\n\t\t<div class=\"{{csstheme}}-button-inner\">\n\t\t\t<i class=\"{{csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off')) }}\"></i>\n\t\t</div>\n\t</div>\n\n\t<div class=\"{{csstheme}}-progressbar {{disableseeking ? cssplayer + '-disabled' : ''}}\">\n\t\t<div tabindex=\"2\" data-selector=\"progress-bar-inner\"\n\t\t\t ba-hotkey:right=\"{{seek(position + skipseconds)}}\"\n\t\t\t ba-hotkey:left=\"{{seek(position - skipseconds)}}\"\n\t\t\t onmouseout=\"this.blur()\"\n\t\t\t class=\"{{csstheme}}-progressbar-inner\"\n\t\t     onmousedown=\"{{startUpdatePosition(domEvent)}}\"\n\t\t     onmouseup=\"{{stopUpdatePosition(domEvent)}}\"\n\t\t     onmouseleave=\"{{stopUpdatePosition(domEvent)}}\"\n\t\t     onmousemove=\"{{progressUpdatePosition(domEvent)}}\"\n\t\t>\n\t\t<div class=\"{{csstheme}}-progressbar-cache\" ba-styles=\"{{{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}}}\"></div>\n\t\t<div class=\"{{csstheme}}-progressbar-position\" ba-styles=\"{{{width: Math.round(duration ? position / duration * 100 : 0) + '%'}}}\" title=\"{{string('audio-progress')}}\"></div>\n\t</div>\n</div>\n",
            cssloader: ie8 ? "ba-audioplayer" : "",
            cssmessage: "ba-audioplayer",
            cssplaybutton: ie8 ? "ba-audioplayer" : ""
        }
    };
});

Scoped.extend("module:Assets.audiorecorderthemes", ["dynamics:Parser"], function(Parser) {
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "csscommon": function (obj) { return obj.csscommon; }, "actions.first().get('icon')": function (obj) { return obj.actions.first().get('icon'); }, "actions": function (obj) { return obj.actions; }, "click_action(action)": function (obj) { return obj.click_action(obj.action); }, "action.index": function (obj) { return obj.action.index; }, "action.select && action.capture": function (obj) { return obj.action.select && obj.action.capture; }, "select_file_action(action, domEvent)": function (obj) { return obj.select_file_action(obj.action, obj.domEvent); }, "action.accept": function (obj) { return obj.action.accept; }, "action.select && !action.capture": function (obj) { return obj.action.select && !obj.action.capture; }, "action.label": function (obj) { return obj.action.label; }/**/
    });
    return {
        "modern": {
            css: "ba-audiorecorder",
            csstheme: "ba-audiorecorder-theme-modern",
            cssrecorder: "ba-recorder",
            //            cssmessage: "ba-audiorecorder",
            cssloader: "ba-audiorecorder",
            tmplchooser: "<div class=\"{{css}}-chooser-container\">\n\n\t<div class=\"{{css}}-chooser-button-container\">\n\n\t\t<div class=\"{{css}}-chooser-icon-container\">\n\t\t\t<i class=\"{{csscommon}}-icon-{{actions.first().get('icon')}}\"></i>\n\t\t</div>\n\t\t<div ba-repeat=\"{{action :: actions}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\tba-hotkey:space^enter=\"{{click_action(action)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t class=\"{{css}}-chooser-button-{{action.index}}\"\n\t\t\t\t ba-click=\"{{click_action(action)}}\"\n\t\t\t>\n\t\t\t\t<input ba-if=\"{{action.select && action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t\t   capture />\n\t\t\t\t<input ba-if=\"{{action.select && !action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t/>\n\t\t\t\t<span>\n\t\t\t\t\t{{action.label}}\n\t\t\t\t</span>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</div>\n"
        }
    };
});


}).call(Scoped);
(function () {
var Scoped = this.subScope();
Scoped.binding('browser', 'root:BetaJS.Browser');
Scoped.binding('dynamics', 'root:BetaJS.Dynamics');
Scoped.binding('module', 'root:BetaJS.MediaComponents');
Scoped.extend("module:Assets.playerthemes", ["browser:Info","dynamics:Parser"], function(Info, Parser) {
    var ie8 = Info.isInternetExplorer() && Info.internetExplorerVersion() <= 8;
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-dashboard-hidden') : ''": function (obj) { return obj.activitydelta > obj.hidebarafter && obj.hideoninactivity ? (obj.cssplayer + '-dashboard-hidden') : ''; }, "title": function (obj) { return obj.title; }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-video')": function (obj) { return obj.string('submit-video'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-video')": function (obj) { return obj.string('rerecord-video'); }, "csscommon": function (obj) { return obj.csscommon; }, "skipinitial ? 0 : 1": function (obj) { return obj.skipinitial ? 0 : 1; }, "play()": function (obj) { return obj.play(); }, "!playing": function (obj) { return !obj.playing; }, "string('play-video')": function (obj) { return obj.string('play-video'); }, "tab_index_move(domEvent, null, 'button-icon-pause')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-pause'); }, "pause()": function (obj) { return obj.pause(); }, "disablepause ? cssplayer + '-disabled' : ''": function (obj) { return obj.disablepause ? obj.cssplayer + '-disabled' : ''; }, "playing": function (obj) { return obj.playing; }, "disablepause ? string('pause-video-disabled') : string('pause-video')": function (obj) { return obj.disablepause ? obj.string('pause-video-disabled') : obj.string('pause-video'); }, "tab_index_move(domEvent, null, 'button-icon-play')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-play'); }, "toggle_position_info()": function (obj) { return obj.toggle_position_info(); }, "revertposition ? string('remaining-time') : string('elapsed-time')": function (obj) { return obj.revertposition ? obj.string('remaining-time') : obj.string('elapsed-time'); }, "revertposition ? \"-\" : \"\"": function (obj) { return obj.revertposition ? "-" : ""; }, "revertposition ? formatTime(duration - position) : formatTime(position)": function (obj) { return obj.revertposition ? obj.formatTime(obj.duration - obj.position) : obj.formatTime(obj.position); }, "string('total-time')": function (obj) { return obj.string('total-time'); }, "formatTime(duration || position)": function (obj) { return obj.formatTime(obj.duration || obj.position); }, "toggle_volume()": function (obj) { return obj.toggle_volume(); }, "string(volume > 0 ? 'volume-mute' : 'volume-unmute')": function (obj) { return obj.string(obj.volume > 0 ? 'volume-mute' : 'volume-unmute'); }, "csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off'))": function (obj) { return obj.csscommon + '-icon-volume-' + (obj.volume >= 0.5 ? 'up' : (obj.volume > 0 ? 'down' : 'off')); }, "!hidevolumebar": function (obj) { return !obj.hidevolumebar; }, "set_volume(volume + 0.1)": function (obj) { return obj.set_volume(obj.volume + 0.1); }, "set_volume(volume - 0.1)": function (obj) { return obj.set_volume(obj.volume - 0.1); }, "startUpdateVolume(domEvent)": function (obj) { return obj.startUpdateVolume(obj.domEvent); }, "progressUpdateVolume(domEvent)": function (obj) { return obj.progressUpdateVolume(obj.domEvent); }, "stopUpdateVolume(domEvent); this.blur()": function (obj) { return obj.stopUpdateVolume(obj.domEvent); this.blur(); }, "stopUpdateVolume(domEvent)": function (obj) { return obj.stopUpdateVolume(obj.domEvent); }, "{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}": function (obj) { return {width: Math.ceil(1+Math.min(99, Math.round(obj.volume * 100))) + '%'}; }, "string('volume-button')": function (obj) { return obj.string('volume-button'); }, "toggle_stream()": function (obj) { return obj.toggle_stream(); }, "streams.length > 1 && currentstream": function (obj) { return obj.streams.length > 1 && obj.currentstream; }, "string('change-resolution')": function (obj) { return obj.string('change-resolution'); }, "currentstream_label": function (obj) { return obj.currentstream_label; }, "show_airplay_devices()": function (obj) { return obj.show_airplay_devices(); }, "cssplayer": function (obj) { return obj.cssplayer; }, "airplaybuttonvisible": function (obj) { return obj.airplaybuttonvisible; }, "castbuttonvisble": function (obj) { return obj.castbuttonvisble; }, "toggle_fullscreen()": function (obj) { return obj.toggle_fullscreen(); }, "fullscreen": function (obj) { return obj.fullscreen; }, "fullscreened ? string('exit-fullscreen-video') : string('fullscreen-video')": function (obj) { return obj.fullscreened ? obj.string('exit-fullscreen-video') : obj.string('fullscreen-video'); }, "tab_index_move(domEvent)": function (obj) { return obj.tab_index_move(obj.domEvent); }, "fullscreened ? 'small' : 'full'": function (obj) { return obj.fullscreened ? 'small' : 'full'; }, "toggle_tracks()": function (obj) { return obj.toggle_tracks(); }, "(tracktags.length > 0 && showsubtitlebutton) || allowtexttrackupload": function (obj) { return (obj.tracktags.length > 0 && obj.showsubtitlebutton) || obj.allowtexttrackupload; }, "tracktextvisible ? 'active' : 'inactive'": function (obj) { return obj.tracktextvisible ? 'active' : 'inactive'; }, "tracktextvisible ? string('close-tracks') : string('show-tracks')": function (obj) { return obj.tracktextvisible ? obj.string('close-tracks') : obj.string('show-tracks'); }, "hover_cc(true)": function (obj) { return obj.hover_cc(true); }, "hover_cc(false)": function (obj) { return obj.hover_cc(false); }, "settingsmenubutton": function (obj) { return obj.settingsmenubutton; }, "toggle_settings_menu()": function (obj) { return obj.toggle_settings_menu(); }, "settingsmenuactive ? 'active' : 'inactive'": function (obj) { return obj.settingsmenuactive ? 'active' : 'inactive'; }, "string('settings')": function (obj) { return obj.string('settings'); }, "trimmingmode": function (obj) { return obj.trimmingmode; }, "trim()": function (obj) { return obj.trim(); }, "string('trim-video')": function (obj) { return obj.string('trim-video'); }, "frameselectionmode": function (obj) { return obj.frameselectionmode; }, "select_frame()": function (obj) { return obj.select_frame(); }, "string('select-frame')": function (obj) { return obj.string('select-frame'); }, "disableseeking ? cssplayer + '-disabled' : ''": function (obj) { return obj.disableseeking ? obj.cssplayer + '-disabled' : ''; }, "seek(position + skipseconds)": function (obj) { return obj.seek(obj.position + obj.skipseconds); }, "seek(position - skipseconds)": function (obj) { return obj.seek(obj.position - obj.skipseconds); }, "seek(position + skipseconds * 3)": function (obj) { return obj.seek(obj.position + obj.skipseconds * 3); }, "seek(position - skipseconds * 3)": function (obj) { return obj.seek(obj.position - obj.skipseconds * 3); }, "startUpdatePosition(domEvent)": function (obj) { return obj.startUpdatePosition(obj.domEvent); }, "{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.cached / obj.duration * 100 : 0) + '%'}; }, "{width: Math.round(duration ? position / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.position / obj.duration * 100 : 0) + '%'}; }, "string('video-progress')": function (obj) { return obj.string('video-progress'); }, "{left: Math.round(duration && trimstart ? trimstart / duration * 100 : 0) + '%'}": function (obj) { return {left: Math.round(obj.duration && obj.trimstart ? obj.trimstart / obj.duration * 100 : 0) + '%'}; }, "{left: 'auto', right: 100 - Math.round(duration && trimend ? trimend / duration * 100 : 100) + '%'}": function (obj) { return {left: 'auto', right: 100 - Math.round(obj.duration && obj.trimend ? obj.trimend / obj.duration * 100 : 100) + '%'}; }/**/
    });
    Parser.registerFunctions({
        /**/"play()": function (obj) { return obj.play(); }, "tab_index_move(domEvent, null, 'player-toggle-overlay')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'player-toggle-overlay'); }, "cssplayer": function (obj) { return obj.cssplayer; }, "string('tooltip')": function (obj) { return obj.string('tooltip'); }, "showduration && (duration != 0 && duration != undefined)": function (obj) { return obj.showduration && (obj.duration != 0 && obj.duration != undefined); }, "css": function (obj) { return obj.css; }, "formatTime(duration)": function (obj) { return obj.formatTime(obj.duration); }, "rerecordable || submittable": function (obj) { return obj.rerecordable || obj.submittable; }, "submittable && !trimmingmode": function (obj) { return obj.submittable && !obj.trimmingmode; }, "submit()": function (obj) { return obj.submit(); }, "string('submit-video')": function (obj) { return obj.string('submit-video'); }, "rerecordable && !trimmingmode": function (obj) { return obj.rerecordable && !obj.trimmingmode; }, "rerecord()": function (obj) { return obj.rerecord(); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "trimmingmode": function (obj) { return obj.trimmingmode; }, "string('trim')": function (obj) { return obj.string('trim'); }, "skip()": function (obj) { return obj.skip(); }, "string('skip')": function (obj) { return obj.string('skip'); }/**/
    });
    return {
        "cube": {
            css: "ba-videoplayer",
            csstheme: "ba-player-cube-theme",
            cssplayer: "ba-player",
            tmplcontrolbar: "\n<div data-selector=\"video-title-block\" class=\"{{csstheme}}-title-block {{activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-dashboard-hidden') : ''}}\" ba-if=\"{{title}}\">\n    <p class=\"{{csstheme}}-title\">\n        {{title}}\n    </p>\n</div>\n\n<div class=\"{{csstheme}}-dashboard {{activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-dashboard-hidden') : ''}}\">\n\n    <div class=\"{{csstheme}}-left-block\">\n\n        <div tabindex=\"0\" data-selector=\"submit-video-button\"\n             ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-button-container\" ba-if=\"{{submittable}}\" ba-click=\"{{submit()}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                {{string('submit-video')}}\n            </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-ccw\"\n             ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-button-container\" ba-if=\"{{rerecordable}}\"\n             ba-click=\"{{rerecord()}}\" title=\"{{string('rerecord-video')}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-ccw\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"{{skipinitial ? 0 : 1}}\" data-selector=\"button-icon-play\"\n             ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-button-container\"\n             ba-if=\"{{!playing}}\" ba-click=\"{{play()}}\" title=\"{{string('play-video')}}\"\n             onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-pause')}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-play\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"{{skipinitial ? 0 : 1 }}\" data-selector=\"button-icon-pause\"\n             ba-hotkey:space^enter=\"{{pause()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-button-container {{disablepause ? cssplayer + '-disabled' : ''}}\"\n             ba-if=\"{{playing}}\" ba-click=\"{{pause()}}\" title=\"{{disablepause ? string('pause-video-disabled') : string('pause-video')}}\"\n             onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-play')}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-pause\"></i>\n            </div>\n        </div>\n    </div>\n\n    <div class=\"{{csstheme}}-right-block\">\n        <div class=\"{{csstheme}}-button-container {{csstheme}}-timer-container {{csscommon}}-clickable\"\n             ba-click=\"{{toggle_position_info()}}\"\n        >\n            <div class=\"{{csstheme}}-time-container\">\n                <div class=\"{{csstheme}}-time-value\"\n                     title=\"{{revertposition ? string('remaining-time') : string('elapsed-time')}}\"\n                >\n                    {{revertposition ? \"-\" : \"\"}}\n                    {{revertposition ? formatTime(duration - position) : formatTime(position)}}\n                </div>\n            </div>\n            <p> / </p>\n            <div class=\"{{csstheme}}-time-container\">\n                <div class=\"{{csstheme}}-time-value\" title=\"{{string('total-time')}}\">{{formatTime(duration || position)}}</div>\n            </div>\n        </div>\n\n        <div tabindex=\"3\" data-selector=\"button-icon-volume\"\n             ba-hotkey:space^enter=\"{{toggle_volume()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-button-container\"\n             ba-click=\"{{toggle_volume()}}\" title=\"{{string(volume > 0 ? 'volume-mute' : 'volume-unmute')}}\">\n            <div class=\"{{csstheme}}-button-inner\">\n                <i class=\"{{csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off')) }}\"></i>\n            </div>\n        </div>\n\n        <div class=\"{{csstheme}}-volumebar\" ba-show=\"{{!hidevolumebar}}\">\n            <div tabindex=\"4\" data-selector=\"button-volume-bar\"\n                 ba-hotkey:right=\"{{set_volume(volume + 0.1)}}\"\n                 ba-hotkey:left=\"{{set_volume(volume - 0.1)}}\"\n                 onmouseout=\"this.blur()\"\n                 class=\"{{csstheme}}-volumebar-inner\"\n                 ontouchstart=\"{{startUpdateVolume(domEvent)}}\"\n                 ontouchmove=\"{{progressUpdateVolume(domEvent)}}\"\n                 ontouchend=\"{{stopUpdateVolume(domEvent); this.blur()}};\"\n                 onmousedown=\"{{startUpdateVolume(domEvent)}}\"\n                 onmouseup=\"{{stopUpdateVolume(domEvent)}}\"\n                 onmouseleave=\"{{stopUpdateVolume(domEvent)}}\"\n                 onmousemove=\"{{progressUpdateVolume(domEvent)}}\">\n                <div class=\"{{csstheme}}-volumebar-position\" ba-styles=\"{{{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}}}\" title=\"{{string('volume-button')}}\"></div>\n            </div>\n        </div>\n\n        <div tabindex=\"5\" data-selector=\"button-stream-label\"\n             ba-hotkey:space^enter=\"{{toggle_stream()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-button-container\" ba-if=\"{{streams.length > 1 && currentstream}}\"\n             ba-click=\"{{toggle_stream()}}\" title=\"{{string('change-resolution')}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner {{csstheme}}-stream-label-container\">\n                <div class=\"{{csstheme}}-button-text {{csstheme}}-stream-label\">\n                    <span>{{currentstream_label}}</span>\n                </div>\n            </div>\n        </div>\n\n        <div tabindex=\"6\" data-selector=\"button-airplay\"\n             ba-hotkey:space^enter=\"{{show_airplay_devices()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-button-container {{cssplayer}}-airplay-container\"\n             ba-show=\"{{airplaybuttonvisible}}\" ba-click=\"{{show_airplay_devices()}}\">\n            <svg width=\"16px\" height=\"11px\" viewBox=\"0 0 16 11\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\">\n                \n                <title>Airplay</title>\n                <desc>Airplay icon.</desc>\n                <defs></defs>\n                <g stroke=\"none\" stroke-width=\"1\" fill-rule=\"evenodd\" sketch:type=\"MSPage\">\n                    <path d=\"M4,11 L12,11 L8,7 L4,11 Z M14.5454545,0 L1.45454545,0 C0.654545455,0 0,0.5625 0,1.25 L0,8.75 C0,9.4375 0.654545455,10 1.45454545,10 L4.36363636,10 L4.36363636,8.75 L1.45454545,8.75 L1.45454545,1.25 L14.5454545,1.25 L14.5454545,8.75 L11.6363636,8.75 L11.6363636,10 L14.5454545,10 C15.3454545,10 16,9.4375 16,8.75 L16,1.25 C16,0.5625 15.3454545,0 14.5454545,0 L14.5454545,0 Z\" sketch:type=\"MSShapeGroup\"></path>\n                </g>\n            </svg>\n        </div>\n\n        <div tabindex=\"7\" data-selector=\"button-chromecast\" onmouseout=\"this.blur()\" class=\"{{csstheme}}-button-container {{csstheme}}-cast-button-container\" ba-show=\"{{castbuttonvisble}}\">\n            <button class=\"{{csstheme}}-gcast-button\" is=\"google-cast-button\"></button>\n        </div>\n\n        <div tabindex=\"8\" data-selector=\"button-icon-resize-full\"\n             ba-hotkey:space^enter=\"{{toggle_fullscreen()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-button-container\" ba-if={{fullscreen}}\n             ba-click=\"{{toggle_fullscreen()}}\" title=\"{{ fullscreened ? string('exit-fullscreen-video') : string('fullscreen-video') }}\"\n             onkeydown=\"{{tab_index_move(domEvent)}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner {{csstheme}}-full-screen-btn-inner\">\n                <i class=\"{{csscommon}}-icon-resize-{{fullscreened ? 'small' : 'full'}}\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"9\" data-selector=\"cc-button-container\"\n             ba-hotkey:space^enter=\"{{toggle_tracks()}}\" onmouseout=\"this.blur()\"\n             ba-if=\"{{(tracktags.length > 0 && showsubtitlebutton) || allowtexttrackupload}}\"\n             class=\"{{csstheme}}-button-container  {{cssplayer}}-button-{{tracktextvisible ? 'active' : 'inactive'}}\"\n             title=\"{{tracktextvisible ? string('close-tracks') : string('show-tracks')}}\"\n             ba-click=\"{{toggle_tracks()}}\"\n             onmouseover=\"{{hover_cc(true)}}\"\n             onmouseleave=\"{{hover_cc(false)}}\"\n             onkeydown=\"{{tab_index_move(domEvent)}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner {{csstheme}}-subtitle-button-inner\">\n                <i class=\"{{csscommon}}-icon-subtitle\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"10\" data-selector=\"button-icon-settings\" ba-if=\"{{settingsmenubutton}}\"\n             ba-hotkey:space^enter=\"{{toggle_settings_menu()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-button-container {{cssplayer}}-button-{{settingsmenuactive ? 'active' : 'inactive'}}\"\n             ba-click=\"{{toggle_settings_menu()}}\"\n             title=\"{{string('settings')}}\"\n             onkeydown=\"{{tab_index_move(domEvent)}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner {{csstheme}}-settings-button\">\n                <i class=\"{{csscommon}}-icon-cog\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"11\" class=\"{{csstheme}}-button-container\" ba-if=\"{{trimmingmode}}\">\n            <div data-selector=\"trim-button\"\n                 onmouseout=\"this.blur()\"\n                 ba-click=\"{{trim()}}\"\n                 class=\"{{csstheme}}-button-inner {{csstheme}}-primary-button\">\n                 {{string('trim-video')}}\n            </div>\n        </div>\n\n        <div tabindex=\"11\" class=\"{{csstheme}}-button-container\" ba-if=\"{{frameselectionmode}}\">\n            <div data-selector=\"select-frame-button\"\n                 onmouseout=\"this.blur()\"\n                 ba-click=\"{{select_frame()}}\"\n                 class=\"{{csstheme}}-button-inner {{csstheme}}-primary-button\">\n                 {{string('select-frame')}}\n            </div>\n        </div>\n    </div>\n\n    <div class=\"{{csstheme}}-progressbar {{disableseeking ? cssplayer + '-disabled' : ''}}\">\n        <div tabindex=\"2\" data-selector=\"progress-bar-inner\"\n             ba-hotkey:right=\"{{seek(position + skipseconds)}}\"\n             ba-hotkey:left=\"{{seek(position - skipseconds)}}\"\n             ba-hotkey:alt+right=\"{{seek(position + skipseconds * 3)}}\"\n             ba-hotkey:alt+left=\"{{seek(position - skipseconds * 3)}}\"\n             onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-progressbar-inner\"\n             ontouchstart=\"{{startUpdatePosition(domEvent)}}\"\n             onmousedown=\"{{startUpdatePosition(domEvent)}}\"\n        >\n\n            <div class=\"{{csstheme}}-progressbar-cache\" ba-styles=\"{{{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}}}\"></div>\n            <div class=\"{{csstheme}}-progressbar-position\" ba-styles=\"{{{width: Math.round(duration ? position / duration * 100 : 0) + '%'}}}\" title=\"{{string('video-progress')}}\"></div>\n            <div class=\"{{csstheme}}-progressbar-marker\"\n                data-selector=\"trim-start-marker\"\n                ba-if=\"{{trimmingmode}}\"\n                ba-styles=\"{{{left: Math.round(duration && trimstart ? trimstart / duration * 100 : 0) + '%'}}}\"\n            ></div>\n            <div class=\"{{csstheme}}-progressbar-marker\"\n                    data-selector=\"trim-end-marker\"\n                    ba-if=\"{{trimmingmode}}\"\n                    ba-styles=\"{{{left: 'auto', right: 100 - Math.round(duration && trimend ? trimend / duration * 100 : 100) + '%'}}}\"\n            ></div>\n        </div>\n    </div>\n\n</div>\n",
            tmplplaybutton: "\n<div tabindex=\"0\" data-selector=\"play-button\"\n     ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n     onkeydown=\"{{tab_index_move(domEvent, null, 'player-toggle-overlay')}}\"\n     class=\"{{cssplayer}}-playbutton-container\" ba-click=\"{{play()}}\" title=\"{{string('tooltip')}}\"\n>\n\t<div class=\"{{cssplayer}}-playbutton-button\"></div>\n</div>\n<div ba-show=\"{{showduration && (duration != 0 && duration != undefined)}}\" class=\"{{css}}-playbutton-duration\">\n    {{formatTime(duration)}}\n</div>\n\n<div class=\"{{cssplayer}}-rerecord-bar\" ba-if=\"{{rerecordable || submittable}}\">\n\t<div class=\"{{cssplayer}}-rerecord-backbar\"></div>\n\t<div class=\"{{cssplayer}}-rerecord-frontbar\">\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{submittable && !trimmingmode}}\">\n            <div tabindex=\"0\" data-selector=\"player-submit-button\"\n                 ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{submit()}}\">\n                {{string('submit-video')}}\n            </div>\n        </div>\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{rerecordable && !trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-rerecord-button\"\n                 ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{rerecord()}}\">\n        \t\t{{string('rerecord')}}\n        \t</div>\n        </div>\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-trim-button\"\n                 ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{play()}}\">\n        \t\t{{string('trim')}}\n        \t</div>\n        </div>\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-skip-button\"\n                 ba-hotkey:space^enter=\"{{skip()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{skip()}}\">\n        \t\t{{string('skip')}}\n        \t</div>\n        </div>\n\t</div>\n</div>\n",
            cssloader: ie8 ? "ba-videoplayer" : "",
            cssmessage: "ba-videoplayer",
            cssplaybutton: ie8 ? "ba-videoplayer" : ""
        }
    };
});

Scoped.extend("module:Assets.recorderthemes", ["dynamics:Parser"], function(Parser) {
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "css": function (obj) { return obj.css; }, "settingsvisible && settingsopen": function (obj) { return obj.settingsvisible && obj.settingsopen; }, "videoselectnotification": function (obj) { return obj.videoselectnotification; }, "string('add-stream')": function (obj) { return obj.string('add-stream'); }, "csscommon": function (obj) { return obj.csscommon; }, "showaddstreambutton && firefox && allowscreen": function (obj) { return obj.showaddstreambutton && obj.firefox && obj.allowscreen; }, "addNewStream()": function (obj) { return obj.addNewStream(); }, "hover(string('add-stream'))": function (obj) { return obj.hover(obj.string('add-stream')); }, "showaddstreambutton && !firefox": function (obj) { return obj.showaddstreambutton && !obj.firefox; }, "cameras": function (obj) { return obj.cameras; }, "(camera.id !== selectedcamera) || allowscreen": function (obj) { return (obj.camera.id !== obj.selectedcamera) || obj.allowscreen; }, "addNewStream(camera.id)": function (obj) { return obj.addNewStream(obj.camera.id); }, "camera.label": function (obj) { return obj.camera.label; }, "(showaddstreambutton && !firefox) || (firefox && allowscreen)": function (obj) { return (obj.showaddstreambutton && !obj.firefox) || (obj.firefox && obj.allowscreen); }, "!novideo && !allowscreen && !ismobile": function (obj) { return !obj.novideo && !obj.allowscreen && !obj.ismobile; }, "hover(string('select-camera'))": function (obj) { return obj.hover(obj.string('select-camera')); }, "selectCamera(camera.id)": function (obj) { return obj.selectCamera(obj.camera.id); }, "selectedcamera == camera.id": function (obj) { return obj.selectedcamera == obj.camera.id; }, "(!noaudio && !novideo) || !allowscreen": function (obj) { return (!obj.noaudio && !obj.novideo) || !obj.allowscreen; }, "microphones": function (obj) { return obj.microphones; }, "!noaudio && !allowscreen": function (obj) { return !obj.noaudio && !obj.allowscreen; }, "selectMicrophone(microphone.id)": function (obj) { return obj.selectMicrophone(obj.microphone.id); }, "hover(string('select-audio-input'))": function (obj) { return obj.hover(obj.string('select-audio-input')); }, "selectedmicrophone == microphone.id": function (obj) { return obj.selectedmicrophone == obj.microphone.id; }, "microphone.label": function (obj) { return obj.microphone.label; }, "rerecordvisible": function (obj) { return obj.rerecordvisible; }, "rerecord()": function (obj) { return obj.rerecord(); }, "hover(string('rerecord-tooltip'))": function (obj) { return obj.hover(obj.string('rerecord-tooltip')); }, "unhover()": function (obj) { return obj.unhover(); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "cancelvisible": function (obj) { return obj.cancelvisible; }, "cancel()": function (obj) { return obj.cancel(); }, "hover(string('cancel-tooltip'))": function (obj) { return obj.hover(obj.string('cancel-tooltip')); }, "string('cancel')": function (obj) { return obj.string('cancel'); }, "stopvisible && recordingindication": function (obj) { return obj.stopvisible && obj.recordingindication; }, "settingsvisible": function (obj) { return obj.settingsvisible; }, "ismobile": function (obj) { return obj.ismobile; }, "toggleFaceMode()": function (obj) { return obj.toggleFaceMode(); }, "hover(string('switch-camera'))": function (obj) { return obj.hover(obj.string('switch-camera')); }, "settingsopen=!settingsopen": function (obj) { return obj.settingsopen=!obj.settingsopen; }, "settingsopen ? 'selected' : 'unselected'": function (obj) { return obj.settingsopen ? 'selected' : 'unselected'; }, "hover(string('settings'))": function (obj) { return obj.hover(obj.string('settings')); }, "hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))": function (obj) { return obj.hover(obj.string(obj.microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy')); }, "microphonehealthy ? 'good' : 'bad'": function (obj) { return obj.microphonehealthy ? 'good' : 'bad'; }, "!novideo && !allowscreen": function (obj) { return !obj.novideo && !obj.allowscreen; }, "hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))": function (obj) { return obj.hover(obj.string(obj.camerahealthy ? 'camerahealthy' : 'cameraunhealthy')); }, "camerahealthy ? 'good' : 'bad'": function (obj) { return obj.camerahealthy ? 'good' : 'bad'; }, "cssrecorder": function (obj) { return obj.cssrecorder; }, "recordvisible": function (obj) { return obj.recordvisible; }, "record()": function (obj) { return obj.record(); }, "hover(string('record-tooltip'))": function (obj) { return obj.hover(obj.string('record-tooltip')); }, "string('record')": function (obj) { return obj.string('record'); }, "stopvisible": function (obj) { return obj.stopvisible; }, "controlbarlabel && !rerecordvisible": function (obj) { return obj.controlbarlabel && !obj.rerecordvisible; }, "controlbarlabel": function (obj) { return obj.controlbarlabel; }, "pausable && !resumevisible": function (obj) { return obj.pausable && !obj.resumevisible; }, "stop()": function (obj) { return obj.stop(); }, "string('pause-recorder')": function (obj) { return obj.string('pause-recorder'); }, "pause()": function (obj) { return obj.pause(); }, "hover(string('pause-recorder'))": function (obj) { return obj.hover(obj.string('pause-recorder')); }, "pausable && resumevisible": function (obj) { return obj.pausable && obj.resumevisible; }, "resume()": function (obj) { return obj.resume(); }, "string('resume-recorder')": function (obj) { return obj.string('resume-recorder'); }, "hover(string('resume-recorder'))": function (obj) { return obj.hover(obj.string('resume-recorder')); }, "mintimeindicator ? css + '-disabled': ''": function (obj) { return obj.mintimeindicator ? obj.css + '-disabled': ''; }, "mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')": function (obj) { return obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip'); }, "hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))": function (obj) { return obj.hover(obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip')); }, "string('stop')": function (obj) { return obj.string('stop'); }, "skipvisible": function (obj) { return obj.skipvisible; }, "skip()": function (obj) { return obj.skip(); }, "hover(string('skip-tooltip'))": function (obj) { return obj.hover(obj.string('skip-tooltip')); }, "string('skip')": function (obj) { return obj.string('skip'); }, "uploadcovershotvisible": function (obj) { return obj.uploadcovershotvisible; }, "hover(string('upload-covershot-tooltip'))": function (obj) { return obj.hover(obj.string('upload-covershot-tooltip')); }, "uploadCovershot(domEvent)": function (obj) { return obj.uploadCovershot(obj.domEvent); }, "covershot_accept_string": function (obj) { return obj.covershot_accept_string; }, "string('upload-covershot')": function (obj) { return obj.string('upload-covershot'); }/**/
    });
    Parser.registerFunctions({
        /**/"showslidercontainer": function (obj) { return obj.showslidercontainer; }, "css": function (obj) { return obj.css; }, "left()": function (obj) { return obj.left(); }, "csscommon": function (obj) { return obj.csscommon; }, "images": function (obj) { return obj.images; }, "select(image)": function (obj) { return obj.select(obj.image); }, "{left: image.left + 'px', top: image.top + 'px', width: image.width + 'px', height: image.height + 'px'}": function (obj) { return {left: obj.image.left + 'px', top: obj.image.top + 'px', width: obj.image.width + 'px', height: obj.image.height + 'px'}; }, "right()": function (obj) { return obj.right(); }, "!showslidercontainer": function (obj) { return !obj.showslidercontainer; }, "covershot_accept_string": function (obj) { return obj.covershot_accept_string; }, "uploadCovershot(domEvent)": function (obj) { return obj.uploadCovershot(obj.domEvent); }, "string('upload-covershot')": function (obj) { return obj.string('upload-covershot'); }/**/
    });
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "initialmessages.length > 0": function (obj) { return obj.initialmessages.length > 0; }, "csscommon": function (obj) { return obj.csscommon; }, "initialmessages": function (obj) { return obj.initialmessages; }, "initialmessage.message": function (obj) { return obj.initialmessage.message; }, "initialmessage.type ? initialmessage.type : 'default'": function (obj) { return obj.initialmessage.type ? obj.initialmessage.type : 'default'; }, "initialmessage.id": function (obj) { return obj.initialmessage.id; }, "actions": function (obj) { return obj.actions; }, "click_action(action)": function (obj) { return obj.click_action(obj.action); }, "action.index": function (obj) { return obj.action.index; }, "action.select && action.capture": function (obj) { return obj.action.select && obj.action.capture; }, "select_file_action(action, domEvent)": function (obj) { return obj.select_file_action(obj.action, obj.domEvent); }, "action.accept": function (obj) { return obj.action.accept; }, "action.switchcamera": function (obj) { return obj.action.switchcamera; }, "action.select && !action.capture": function (obj) { return obj.action.select && !obj.action.capture; }, "action.label": function (obj) { return obj.action.label; }, "action.icon": function (obj) { return obj.action.icon; }/**/
    });
    Parser.registerFunctions({
        /**/"cssrecorder": function (obj) { return obj.cssrecorder; }, "click()": function (obj) { return obj.click(); }, "shortMessage ? 'short-message' : 'long-message'": function (obj) { return obj.shortMessage ? 'short-message' : 'long-message'; }, "message || \"\"": function (obj) { return obj.message || ""; }, "links && links.length > 0": function (obj) { return obj.links && obj.links.length > 0; }, "links": function (obj) { return obj.links; }, "linkClick(link)": function (obj) { return obj.linkClick(obj.link); }, "link.title": function (obj) { return obj.link.title; }/**/
    });
    return {
        "cube": {
            css: "ba-videorecorder",
            cssrecorder: "ba-recorder",
            csstheme: "ba-recorder-theme-cube",
            cssmessage: "ba-videorecorder-theme-cube",
            cssloader: "ba-videorecorder",
            tmplcontrolbar: "<div class=\"{{csstheme}}-dashboard\">\n\n\t<div class=\"{{css}}-settings-front\">\n\n\t\t\n\t\t<div data-selector=\"recorder-settings\" class=\"{{css}}-settings\" ba-show=\"{{settingsvisible && settingsopen}}\">\n\t\t\t<div data-selector=\"settings-list-front\" class=\"{{css}}-bubble-info\">\n\t\t\t\t<ul data-selector=\"add-new-stream\" ba-if=\"{{videoselectnotification}}\">\n\t\t\t\t\t<li>\n\t\t\t\t\t\t<div data-selector=\"single-camera-stream\">\n\t\t\t\t\t\t\t<i class=\"ba-commoncss-icon-plus\"></i> {{string('add-stream')}}\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</li>\n\t\t\t\t\t<li>\n\t\t\t\t\t\t<div data-selector=\"single-camera-stream\" class=\"{{csscommon}}-text-error\">\n\t\t\t\t\t\t\t{{videoselectnotification}}\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\t\t\t\t<ul data-selector=\"add-new-stream\" ba-show=\"{{showaddstreambutton && firefox && allowscreen}}\">\n\t\t\t\t\t<li>\n\t\t\t\t\t\t<div data-selector=\"single-camera-stream\"\n\t\t\t\t\t\t\t class=\"{{css}}-add-stream\"\n\t\t\t\t\t\t\t onclick=\"{{addNewStream()}}\"\n\t\t\t\t\t\t\t onmouseenter=\"{{hover(string('add-stream'))}}\"\n\t\t\t\t\t\t>\n\t\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-plus\"></i> {{string('add-stream')}}\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\n\t\t\t\t<ul data-selector=\"add-new-stream\" ba-show=\"{{showaddstreambutton && !firefox}}\" ba-repeat=\"{{camera :: cameras}}\">\n\t\t\t\t\t<li ba-show=\"{{(camera.id !== selectedcamera) || allowscreen}}\">\n\t\t\t\t\t\t<div data-selector=\"single-camera-stream\"\n\t\t\t\t\t\t\t class=\"{{css}}-add-stream\"\n\t\t\t\t\t\t\t onclick=\"{{addNewStream(camera.id)}}\"\n\t\t\t\t\t\t\t onmouseenter=\"{{hover(string('add-stream'))}}\"\n\t\t\t\t\t\t>\n\t\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-plus\"></i> {{camera.label}}\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\t\t\t\t<hr ba-show=\"{{(showaddstreambutton && !firefox) || (firefox && allowscreen)}}\"/>\n\t\t\t\t<ul data-selector=\"camera-settings\" ba-repeat=\"{{camera :: cameras}}\" ba-show=\"{{!novideo && !allowscreen && !ismobile}}\">\n\t\t\t\t\t<li onmouseenter=\"{{hover(string('select-camera'))}}\">\n\t\t\t\t\t\t<input tabindex=\"0\"\n\t\t\t\t\t\t\t   ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\" onmouseout=\"this.blur()\"\n                               type='radio'\n\t\t\t\t\t\t\t   name='camera' value=\"{{selectedcamera == camera.id}}\" onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t\t/>\n\t\t\t\t\t\t<span></span>\n\t\t\t\t\t\t<label tabindex=\"0\" ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t   onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t\t>\n\t\t\t\t\t\t\t{{camera.label}}\n\t\t\t\t\t\t</label>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\t\t\t\t<hr ba-show=\"{{(!noaudio && !novideo) || !allowscreen}}\"/>\n\t\t\t\t<ul data-selector=\"microphone-settings\" ba-repeat=\"{{microphone :: microphones}}\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\t\t\t\t\t<li tabindex=\"0\"\n\t\t\t\t\t\tba-hotkey:space^enter=\"{{selectMicrophone(microphone.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\tonmouseenter=\"{{hover(string('select-audio-input'))}}\"\n\t\t\t\t\t\tonclick=\"{{selectMicrophone(microphone.id)}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<input type='radio' name='microphone' value=\"{{selectedmicrophone == microphone.id}}\" />\n\t\t\t\t\t\t<span></span>\n\t\t\t\t\t\t<label>\n\t\t\t\t\t\t\t{{microphone.label}}\n\t\t\t\t\t\t</label>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\t\t\t</div>\n\t\t</div>\n\n\t</div>\n\n\t\n\t<div data-selector=\"controlbar\" class=\"{{css}}-controlbar\">\n\n\t\t<div class=\"{{css}}-controlbar-center-section\">\n\n\t\t\t<div class=\"{{css}}-button-container\" ba-show=\"{{rerecordvisible}}\">\n\t\t\t\t<div tabindex=\"0\" data-selector=\"rerecord-primary-button\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{rerecord()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('rerecord-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('rerecord')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-button-container\" ba-show=\"{{cancelvisible}}\">\n\t\t\t\t<div tabindex=\"0\" data-selector=\"cancel-primary-button\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{cancel()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{cancel()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('cancel-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\">\n\t\t\t\t\t{{string('cancel')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t</div>\n\n\t\t<div class=\"{{css}}-controlbar-left-section\">\n\n\t\t\t<div class=\"{{css}}-indicator-container\" ba-show=\"{{stopvisible && recordingindication}}\">\n\t\t\t\t<div data-selector=\"recording-indicator\" class=\"{{css}}-recording-indication\"></div>\n\t\t\t</div>\n\n\t\t\t<div ba-show=\"{{settingsvisible}}\">\n\n\t\t\t\t<div class=\"{{css}}-button\" ba-show=\"{{ismobile}}\">\n\t\t\t\t\t<div data-selector=\"face-mode-toggle-icon\" class=\"{{css}}-mobile-camera-switcher {{css}}-button-inner {{css}}-button-unselected\"\n\t\t\t\t\t\t onclick=\"{{toggleFaceMode()}}\"\n\t\t\t\t\t\t onmouseenter=\"{{hover(string('switch-camera'))}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-arrows-cw\"></i>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\n\t\t\t\t<div class=\"{{css}}-button\">\n\t\t\t\t\t<div tabindex=\"0\" ba-hotkey:space^enter=\"{{settingsopen=!settingsopen}}\"\n\t\t\t\t\t\t data-selector=\"record-button-icon-cog\" class=\"{{css}}-button-inner {{css}}-button-{{settingsopen ? 'selected' : 'unselected' }}\"\n\t\t\t\t\t\t onmouseout=\"this.blur()\"\n\t\t\t\t\t\t onclick=\"{{settingsopen=!settingsopen}}\"\n\t\t\t\t\t\t onmouseenter=\"{{hover(string('settings'))}}\"\n\t\t\t\t\t\t onmouseleave=\"{{unhover()}}\" >\n\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-cog\"></i>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\n\t\t\t\t<div class=\"{{css}}-button\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\t\t\t\t\t<div data-selector=\"record-button-icon-mic\" class=\"{{css}}-button-inner\"\n\t\t\t\t\t\t onmouseenter=\"{{hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))}}\"\n\t\t\t\t\t\t onmouseleave=\"{{unhover()}}\">\n\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-mic {{csscommon}}-icon-state-{{microphonehealthy ? 'good' : 'bad' }}\"></i>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\n\t\t\t\t<div class=\"{{css}}-button\" ba-show=\"{{!novideo && !allowscreen}}\">\n\t\t\t\t\t<div data-selector=\"record-button-icon-videocam\" class=\"{{css}}-button-inner\"\n\t\t\t\t\t\t onmouseenter=\"{{hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))}}\"\n\t\t\t\t\t\t onmouseleave=\"{{unhover()}}\">\n\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-videocam {{csscommon}}-icon-state-{{ camerahealthy ? 'good' : 'bad' }}\"></i>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\n\t\t<div class=\"{{cssrecorder}}-controlbar-right-section\">\n\n\t\t\t<div class=\"{{css}}-rightbutton-container\" ba-show=\"{{recordvisible}}\">\n\t\t\t\t<div tabindex=\"0\" data-selector=\"record-primary-button\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{record()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{record()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('record-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\">\n\t\t\t\t\t{{string('record')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t</div>\n\n\t\t<div class=\"{{css}}-stop-container\" ba-show=\"{{stopvisible}}\">\n\t\t\t<div class=\"{{css}}-timer-container\">\n\t\t\t\t<div class=\"{{css}}-label-container\" ba-show=\"{{controlbarlabel && !rerecordvisible}}\">\n\t\t\t\t\t<div data-selector=\"record-label-block\" class=\"{{css}}-label {{css}}-button-primary\">\n\t\t\t\t\t\t{{controlbarlabel}}\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-stop-button-container\">\n\n\t\t\t\t<div class=\"{{css}}-button\">\n                    <div tabindex=\"0\" ba-show=\"{{pausable && !resumevisible}}\"\n                         ba-hotkey:space^enter=\"{{stop()}}\" onmouseout=\"this.blur()\"\n                         data-selector=\"pause-primary-button\" class=\"{{css}}-button\"\n                         title=\"{{string('pause-recorder')}}\"\n                         onclick=\"{{pause()}}\"\n                         onmouseenter=\"{{hover(string('pause-recorder'))}}\"\n                         onmouseleave=\"{{unhover()}}\"\n                    >\n                        <i class=\"{{csscommon}}-icon-pause\"></i>\n                    </div>\n\n                    <div tabindex=\"0\" ba-show=\"{{pausable && resumevisible}}\"\n                         ba-hotkey:space^enter=\"{{resume()}}\" onmouseout=\"this.blur()\"\n                         data-selector=\"resume-primary-button\" class=\"{{css}}-button\"\n                         title=\"{{string('resume-recorder')}}\"\n                         onclick=\"{{resume()}}\"\n                         onmouseenter=\"{{hover(string('resume-recorder'))}}\"\n                         onmouseleave=\"{{unhover()}}\"\n                    >\n                        <i class=\"{{csscommon}}-icon-ccw\"></i>\n                    </div>\n\t\t\t\t</div>\n\n\t\t\t\t<div tabindex=\"0\" data-selector=\"stop-primary-button\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{stop()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t class=\"{{css}}-button-primary {{mintimeindicator ? css + '-disabled': ''}}\"\n\t\t\t\t\t title=\"{{mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')}}\"\n\t\t\t\t\t onclick=\"{{stop()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('stop')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\n\n        <div class=\"{{css}}-centerbutton-container\" ba-show=\"{{skipvisible}}\">\n            <div tabindex=\"0\" data-selector=\"skip-primary-button\"\n\t\t\t\t ba-hotkey:space^enter=\"{{skip()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t class=\"{{css}}-button-primary\"\n                 onclick=\"{{skip()}}\"\n                 onmouseenter=\"{{hover(string('skip-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\">\n                {{string('skip')}}\n            </div>\n        </div>\n\n\n        <div class=\"{{css}}-rightbutton-container\" ba-if=\"{{uploadcovershotvisible}}\">\n            <div data-selector=\"covershot-primary-button\" class=\"{{css}}-button-primary\"\n                 onmouseenter=\"{{hover(string('upload-covershot-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\">\n                <input type=\"file\"\n                       class=\"{{css}}-chooser-file\"\n                       style=\"height:100px\"\n                       onchange=\"{{uploadCovershot(domEvent)}}\"\n                       accept=\"{{covershot_accept_string}}\" />\n                <span>\n                    {{string('upload-covershot')}}\n                </span>\n            </div>\n        </div>\n\n\t</div>\n\n</div>\n",
            tmplimagegallery: "<div ba-if=\"{{showslidercontainer}}\" data-selector=\"image-gallery\" class=\"{{css}}-image-gallery-container\">\n\t<div data-selector=\"slider-left-button\" class=\"{{css}}-imagegallery-leftbutton\">\n\t\t<div tabindex=\"0\" data-selector=\"slider-left-inner-button\"\n\t\t\t ba-hotkey:space^enter^left=\"{{left()}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-imagegallery-button-inner\" onclick=\"{{left()}}\"\n\t\t>\n\t\t\t<i class=\"{{csscommon}}-icon-left-open\"></i>\n\t\t</div>\n\t</div>\n\n\t<div data-selector=\"images-imagegallery-container\" ba-repeat=\"{{image::images}}\" class=\"{{css}}-imagegallery-container\" data-gallery-container>\n\t\t<div tabindex=\"0\" data-selector=\"imagegallery-selected-image\"\n\t\t\t ba-hotkey:space^enter=\"{{select(image)}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-imagegallery-image\"\n\t\t\t ba-styles=\"{{{left: image.left + 'px', top: image.top + 'px', width: image.width + 'px', height: image.height + 'px'}}}\"\n\t\t\t onclick=\"{{select(image)}}\"\n\t\t>\n\t\t</div>\n\t</div>\n\n\t<div data-selector=\"slider-right-button\" class=\"{{css}}-imagegallery-rightbutton\">\n\t\t<div tabindex=\"0\" data-selector=\"slider-right-inner-button\"\n\t\t\t ba-hotkey:space^enter^right=\"{{right()}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-imagegallery-button-inner\"\n\t\t\t onclick=\"{{right()}}\"\n\t\t>\n\t\t\t<i class=\"{{csscommon}}-icon-right-open\"></i>\n\t\t</div>\n\t</div>\n</div>\n\n<div ba-if=\"{{!showslidercontainer}}\" class=\"{{css}}-chooser-container\">\n\t<div data-selector=\"covershot-primary-button\" class=\"{{css}}-chooser-button-container\">\n\t\t<div class=\"{{css}}-chooser-button-0\">\n\t\t\t<input type=\"file\"\n\t\t\t\t   tabindex=\"0\"\n\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t   accept=\"{{covershot_accept_string}}\"\n\t\t\t\t   onchange=\"{{uploadCovershot(domEvent)}}\"\n\t\t\t/>\n\t\t\t<i class=\"{{csscommon}}-icon-picture\"></i>\n\t\t\t<span>\n\t\t\t{{string('upload-covershot')}}\n\t\t</span>\n\t\t</div>\n\t</div>\n</div>\n",
            tmplchooser: "<div class=\"{{css}}-chooser-container\">\n\t<div ba-if=\"{{initialmessages.length > 0}}\" class=\"{{csscommon}}-message-container\">\n\t\t<ul ba-repeat=\"{{initialmessage :: initialmessages}}\">\n\t\t\t<li ba-if=\"{{initialmessage.message}}\"\n\t\t\t\tclass=\"{{csscommon}}-message-text {{csscommon}}-message-{{initialmessage.type ? initialmessage.type : 'default'}}\"\n\t\t\t>\n\t\t\t\t{{ initialmessage.message }}\n\t\t\t\t<span ba-if=\"{{initialmessage.id}}\"\n\t\t\t\t\t  class=\"{{csscommon}}-action-button\"\n\t\t\t\t\t  ba-click=\"close_message(initialmessage.id)\"\n\t\t\t\t>\n\t\t\t\t\t<i class=\"{{csscommon}}-icon-cancel\"></i>\n\t\t\t\t</span>\n\t\t\t</li>\n\t\t</ul>\n\t</div>\n\n\t<div class=\"{{css}}-chooser-button-container\">\n\n\t\t<div ba-repeat=\"{{action :: actions}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{click_action(action)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t class=\"{{css}}-chooser-button-{{action.index}}\"\n\t\t\t\t ba-click=\"{{click_action(action)}}\">\n\t\t\t\t<input ba-if=\"{{action.select && action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t\t   capture=\"{{action.switchcamera}}\" />\n\t\t\t\t<input ba-if=\"{{action.select && !action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t/>\n\t\t\t\t<span>\n\t\t\t\t\t{{action.label}}\n\t\t\t\t</span>\n\t\t\t\t<i class=\"{{csscommon}}-icon-{{action.icon}}\"\n\t\t\t\t   ba-if=\"{{action.icon}}\"></i>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</div>\n",
            tmplmessage: "<div data-selector=\"recorder-message-container\" class=\"{{cssrecorder}}-message-container\" ba-click=\"{{click()}}\">\n    <div class=\"{{cssrecorder}}-top-inner-message-container {{cssrecorder}}-{{shortMessage ? 'short-message' : 'long-message'}}\">\n        <div class=\"{{cssrecorder}}-first-inner-message-container\">\n            <div class=\"{{cssrecorder}}-second-inner-message-container\">\n                <div class=\"{{cssrecorder}}-third-inner-message-container\">\n                    <div class=\"{{cssrecorder}}-fourth-inner-message-container\">\n                        <div data-selector=\"recorder-message-block\" class='{{cssrecorder}}-message-message'>\n                            <p>\n                                {{message || \"\"}}\n                            </p>\n                            <ul ba-if=\"{{links && links.length > 0}}\" ba-repeat=\"{{link :: links}}\">\n                                <li>\n                                    <a href=\"javascript:;\" ba-click=\"{{linkClick(link)}}\">\n                                        {{link.title}}\n                                    </a>\n                                </li>\n                            </ul>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n"
        }
    };
});

Scoped.extend("module:Assets.imageviewerthemes", ["browser:Info","dynamics:Parser"], function(Info, Parser) {
    var ie8 = Info.isInternetExplorer() && Info.internetExplorerVersion() <= 8;
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "activitydelta > 5000 && hideoninactivity ? (css + '-dashboard-hidden') : ''": function (obj) { return obj.activitydelta > 5000 && obj.hideoninactivity ? (obj.css + '-dashboard-hidden') : ''; }, "title": function (obj) { return obj.title; }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-image')": function (obj) { return obj.string('submit-image'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-image')": function (obj) { return obj.string('rerecord-image'); }, "csscommon": function (obj) { return obj.csscommon; }, "toggle_fullscreen()": function (obj) { return obj.toggle_fullscreen(); }, "fullscreen": function (obj) { return obj.fullscreen; }, "fullscreened ? string('exit-fullscreen-image') : string('fullscreen-image')": function (obj) { return obj.fullscreened ? obj.string('exit-fullscreen-image') : obj.string('fullscreen-image'); }, "tab_index_move(domEvent)": function (obj) { return obj.tab_index_move(obj.domEvent); }, "fullscreened ? 'small' : 'full'": function (obj) { return obj.fullscreened ? 'small' : 'full'; }/**/
    });
    return {
        "cube": {
            css: "ba-imageviewer",
            csstheme: "ba-imageviewer-cube-theme",
            tmplcontrolbar: "\n<div data-selector=\"image-title-block\" class=\"{{css}}-image-title-block {{activitydelta > 5000 && hideoninactivity ? (css + '-dashboard-hidden') : ''}}\" ba-if=\"{{title}}\">\n    <p class=\"{{css}}-image-title\">\n        {{title}}\n    </p>\n</div>\n\n<div class=\"{{css}}-dashboard {{activitydelta > 5000 && hideoninactivity ? (css + '-dashboard-hidden') : ''}}\">\n\n    <div class=\"{{css}}-left-block\">\n\n        <div tabindex=\"0\" data-selector=\"submit-image-button\"\n             ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n             class=\"{{css}}-button-container\" ba-if=\"{{submittable}}\" ba-click=\"{{submit()}}\"\n        >\n            <div class=\"{{css}}-button-inner\">\n                {{string('submit-image')}}\n            </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-ccw\"\n             ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n             class=\"{{css}}-button-container\" ba-if=\"{{rerecordable}}\"\n             ba-click=\"{{rerecord()}}\" title=\"{{string('rerecord-image')}}\"\n        >\n            <div class=\"{{css}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-ccw\"></i>\n            </div>\n        </div>\n\n    </div>\n\n    <div class=\"{{css}}-right-block\">\n        <div tabindex=\"8\" data-selector=\"button-icon-resize-full\"\n             ba-hotkey:space^enter=\"{{toggle_fullscreen()}}\" onmouseout=\"this.blur()\"\n             class=\"{{css}}-button-container\" ba-if={{fullscreen}}\n             ba-click=\"{{toggle_fullscreen()}}\" title=\"{{ fullscreened ? string('exit-fullscreen-image') : string('fullscreen-image') }}\"\n             onkeydown=\"{{tab_index_move(domEvent)}}\"\n        >\n            <div class=\"{{css}}-button-inner {{css}}-full-screen-btn-inner\">\n                <i class=\"{{csscommon}}-icon-resize-{{fullscreened ? 'small' : 'full'}}\"></i>\n            </div>\n        </div>\n\n    </div>\n\n</div>\n",
            cssloader: ie8 ? "ba-imageviewer" : "",
            cssmessage: "ba-imageviewer"
        }
    };
});

Scoped.extend("module:Assets.audioplayerthemes", ["browser:Info","dynamics:Parser"], function(Info, Parser) {
    var ie8 = Info.isInternetExplorer() && Info.internetExplorerVersion() <= 8;
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "title": function (obj) { return obj.title; }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-audio')": function (obj) { return obj.string('submit-audio'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-audio')": function (obj) { return obj.string('rerecord-audio'); }, "csscommon": function (obj) { return obj.csscommon; }, "play()": function (obj) { return obj.play(); }, "!playing": function (obj) { return !obj.playing; }, "string('play-audio')": function (obj) { return obj.string('play-audio'); }, "tab_index_move(domEvent, null, 'button-icon-pause')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-pause'); }, "pause()": function (obj) { return obj.pause(); }, "disablepause ? cssplayer + '-disabled' : ''": function (obj) { return obj.disablepause ? obj.cssplayer + '-disabled' : ''; }, "playing": function (obj) { return obj.playing; }, "disablepause ? string('pause-audio-disabled') : string('pause-audio')": function (obj) { return obj.disablepause ? obj.string('pause-audio-disabled') : obj.string('pause-audio'); }, "tab_index_move(domEvent, null, 'button-icon-play')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-play'); }, "string('elapsed-time')": function (obj) { return obj.string('elapsed-time'); }, "formatTime(position)": function (obj) { return obj.formatTime(obj.position); }, "string('total-time')": function (obj) { return obj.string('total-time'); }, "formatTime(duration || position)": function (obj) { return obj.formatTime(obj.duration || obj.position); }, "toggle_volume()": function (obj) { return obj.toggle_volume(); }, "string(volume > 0 ? 'volume-mute' : 'volume-unmute')": function (obj) { return obj.string(obj.volume > 0 ? 'volume-mute' : 'volume-unmute'); }, "csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off'))": function (obj) { return obj.csscommon + '-icon-volume-' + (obj.volume >= 0.5 ? 'up' : (obj.volume > 0 ? 'down' : 'off')); }, "set_volume(volume + 0.1)": function (obj) { return obj.set_volume(obj.volume + 0.1); }, "set_volume(volume - 0.1)": function (obj) { return obj.set_volume(obj.volume - 0.1); }, "startUpdateVolume(domEvent)": function (obj) { return obj.startUpdateVolume(obj.domEvent); }, "stopUpdateVolume(domEvent)": function (obj) { return obj.stopUpdateVolume(obj.domEvent); }, "progressUpdateVolume(domEvent)": function (obj) { return obj.progressUpdateVolume(obj.domEvent); }, "{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}": function (obj) { return {width: Math.ceil(1+Math.min(99, Math.round(obj.volume * 100))) + '%'}; }, "string('volume-button')": function (obj) { return obj.string('volume-button'); }, "disableseeking ? cssplayer + '-disabled' : ''": function (obj) { return obj.disableseeking ? obj.cssplayer + '-disabled' : ''; }, "seek(position + skipseconds)": function (obj) { return obj.seek(obj.position + obj.skipseconds); }, "seek(position - skipseconds)": function (obj) { return obj.seek(obj.position - obj.skipseconds); }, "seek(position + skipseconds * 3)": function (obj) { return obj.seek(obj.position + obj.skipseconds * 3); }, "seek(position - skipseconds * 3)": function (obj) { return obj.seek(obj.position - obj.skipseconds * 3); }, "startUpdatePosition(domEvent)": function (obj) { return obj.startUpdatePosition(obj.domEvent); }, "stopUpdatePosition(domEvent)": function (obj) { return obj.stopUpdatePosition(obj.domEvent); }, "progressUpdatePosition(domEvent)": function (obj) { return obj.progressUpdatePosition(obj.domEvent); }, "{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.cached / obj.duration * 100 : 0) + '%'}; }, "{width: Math.round(duration ? position / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.position / obj.duration * 100 : 0) + '%'}; }, "string('audio-progress')": function (obj) { return obj.string('audio-progress'); }/**/
    });
    return {
        "cube": {
            css: "ba-audioplayer",
            csstheme: "ba-player-cube-theme",
            tmplcontrolbar: "\n<div data-selector=\"audio-title-block\" class=\"{{csstheme}}-title-block \" ba-if=\"{{title}}\">\n    <p class=\"{{csstheme}}-title\">\n        {{title}}\n    </p>\n</div>\n\n<div class=\"{{csstheme}}-dashboard \">\n\n    <div class=\"{{csstheme}}-left-block\">\n\n        <div tabindex=\"0\" data-selector=\"submit-audio-button\"\n             ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-button-container\" ba-if=\"{{submittable}}\" ba-click=\"{{submit()}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                {{string('submit-audio')}}\n            </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-ccw\"\n             ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-button-container\" ba-if=\"{{rerecordable}}\"\n             ba-click=\"{{rerecord()}}\" title=\"{{string('rerecord-audio')}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-ccw\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-play\"\n             ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-button-container\"\n             ba-if=\"{{!playing}}\" ba-click=\"{{play()}}\" title=\"{{string('play-audio')}}\"\n             onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-pause')}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-play\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-pause\"\n             ba-hotkey:space^enter=\"{{pause()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-button-container {{disablepause ? cssplayer + '-disabled' : ''}}\"\n             ba-if=\"{{playing}}\" ba-click=\"{{pause()}}\" title=\"{{disablepause ? string('pause-audio-disabled') : string('pause-audio')}}\"\n             onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-play')}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-pause\"></i>\n            </div>\n        </div>\n    </div>\n\n    <div class=\"{{csstheme}}-right-block\">\n        <div class=\"{{csstheme}}-button-container {{csstheme}}-timer-container\">\n            <div class=\"{{csstheme}}-time-container\">\n                <div class=\"{{csstheme}}-time-value\" title=\"{{string('elapsed-time')}}\">{{formatTime(position)}}</div>\n            </div>\n            <p> / </p>\n            <div class=\"{{csstheme}}-time-container\">\n                <div class=\"{{csstheme}}-time-value\" title=\"{{string('total-time')}}\">{{formatTime(duration || position)}}</div>\n            </div>\n        </div>\n\n        <div tabindex=\"3\" data-selector=\"button-icon-volume\"\n             ba-hotkey:space^enter=\"{{toggle_volume()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-button-container\"\n             ba-click=\"{{toggle_volume()}}\" title=\"{{string(volume > 0 ? 'volume-mute' : 'volume-unmute')}}\">\n            <div class=\"{{csstheme}}-button-inner\">\n                <i class=\"{{csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off')) }}\"></i>\n            </div>\n        </div>\n\n        <div class=\"{{csstheme}}-volumebar\">\n            <div tabindex=\"4\" data-selector=\"button-volume-bar\"\n                 ba-hotkey:right=\"{{set_volume(volume + 0.1)}}\"\n                 ba-hotkey:left=\"{{set_volume(volume - 0.1)}}\"\n                 onmouseout=\"this.blur()\"\n                 class=\"{{csstheme}}-volumebar-inner\"\n                 onmousedown=\"{{startUpdateVolume(domEvent)}}\"\n                 onmouseup=\"{{stopUpdateVolume(domEvent)}}\"\n                 onmouseleave=\"{{stopUpdateVolume(domEvent)}}\"\n                 onmousemove=\"{{progressUpdateVolume(domEvent)}}\">\n                <div class=\"{{csstheme}}-volumebar-position\" ba-styles=\"{{{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}}}\" title=\"{{string('volume-button')}}\"></div>\n            </div>\n        </div>\n\n    </div>\n\n    <div class=\"{{csstheme}}-progressbar {{disableseeking ? cssplayer + '-disabled' : ''}}\">\n        <div tabindex=\"2\" data-selector=\"progress-bar-inner\"\n             ba-hotkey:right=\"{{seek(position + skipseconds)}}\"\n             ba-hotkey:left=\"{{seek(position - skipseconds)}}\"\n             ba-hotkey:alt+right=\"{{seek(position + skipseconds * 3)}}\"\n             ba-hotkey:alt+left=\"{{seek(position - skipseconds * 3)}}\"\n             onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-progressbar-inner\"\n             onmousedown=\"{{startUpdatePosition(domEvent)}}\"\n             onmouseup=\"{{stopUpdatePosition(domEvent)}}\"\n             onmouseleave=\"{{stopUpdatePosition(domEvent)}}\"\n             onmousemove=\"{{progressUpdatePosition(domEvent)}}\">\n\n            <div class=\"{{csstheme}}-progressbar-cache\" ba-styles=\"{{{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}}}\"></div>\n            <div class=\"{{csstheme}}-progressbar-position\" ba-styles=\"{{{width: Math.round(duration ? position / duration * 100 : 0) + '%'}}}\" title=\"{{string('audio-progress')}}\"></div>\n        </div>\n    </div>\n\n</div>\n",
            cssloader: ie8 ? "ba-audioplayer" : "",
            cssmessage: "ba-audioplayer",
            cssplaybutton: ie8 ? "ba-audioplayer" : ""
        }
    };
});

Scoped.extend("module:Assets.audiorecorderthemes", ["dynamics:Parser"], function(Parser) {
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "css": function (obj) { return obj.css; }, "settingsvisible && settingsopen": function (obj) { return obj.settingsvisible && obj.settingsopen; }, "cameras": function (obj) { return obj.cameras; }, "selectCamera(camera.id)": function (obj) { return obj.selectCamera(obj.camera.id); }, "selectedcamera == camera.id": function (obj) { return obj.selectedcamera == obj.camera.id; }, "camera.label": function (obj) { return obj.camera.label; }, "microphones": function (obj) { return obj.microphones; }, "audio": function (obj) { return obj.audio; }, "selectMicrophone(microphone.id)": function (obj) { return obj.selectMicrophone(obj.microphone.id); }, "selectedmicrophone == microphone.id": function (obj) { return obj.selectedmicrophone == obj.microphone.id; }, "microphone.label": function (obj) { return obj.microphone.label; }, "rerecordvisible": function (obj) { return obj.rerecordvisible; }, "rerecord()": function (obj) { return obj.rerecord(); }, "hover(string('rerecord-tooltip'))": function (obj) { return obj.hover(obj.string('rerecord-tooltip')); }, "unhover()": function (obj) { return obj.unhover(); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "cancelvisible": function (obj) { return obj.cancelvisible; }, "cancel()": function (obj) { return obj.cancel(); }, "hover(string('cancel-tooltip'))": function (obj) { return obj.hover(obj.string('cancel-tooltip')); }, "string('cancel')": function (obj) { return obj.string('cancel'); }, "settingsvisible": function (obj) { return obj.settingsvisible; }, "settingsopen=!settingsopen": function (obj) { return obj.settingsopen=!obj.settingsopen; }, "settingsopen ? 'selected' : 'unselected'": function (obj) { return obj.settingsopen ? 'selected' : 'unselected'; }, "hover(string('settings'))": function (obj) { return obj.hover(obj.string('settings')); }, "csscommon": function (obj) { return obj.csscommon; }, "!noaudio && !allowscreen": function (obj) { return !obj.noaudio && !obj.allowscreen; }, "hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))": function (obj) { return obj.hover(obj.string(obj.microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy')); }, "microphonehealthy ? 'good' : 'bad'": function (obj) { return obj.microphonehealthy ? 'good' : 'bad'; }, "hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))": function (obj) { return obj.hover(obj.string(obj.camerahealthy ? 'camerahealthy' : 'cameraunhealthy')); }, "camerahealthy ? 'good' : 'bad'": function (obj) { return obj.camerahealthy ? 'good' : 'bad'; }, "recordvisible": function (obj) { return obj.recordvisible; }, "record()": function (obj) { return obj.record(); }, "hover(string('record-tooltip'))": function (obj) { return obj.hover(obj.string('record-tooltip')); }, "string('record')": function (obj) { return obj.string('record'); }, "stopvisible": function (obj) { return obj.stopvisible; }, "controlbarlabel && !rerecordvisible": function (obj) { return obj.controlbarlabel && !obj.rerecordvisible; }, "controlbarlabel": function (obj) { return obj.controlbarlabel; }, "stop()": function (obj) { return obj.stop(); }, "mintimeindicator ? css + '-disabled': ''": function (obj) { return obj.mintimeindicator ? obj.css + '-disabled': ''; }, "mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')": function (obj) { return obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip'); }, "hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))": function (obj) { return obj.hover(obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip')); }, "string('stop')": function (obj) { return obj.string('stop'); }, "skipvisible": function (obj) { return obj.skipvisible; }, "skip()": function (obj) { return obj.skip(); }, "hover(string('skip-tooltip'))": function (obj) { return obj.hover(obj.string('skip-tooltip')); }, "string('skip')": function (obj) { return obj.string('skip'); }, "uploadcovershotvisible": function (obj) { return obj.uploadcovershotvisible; }, "hover(string('upload-covershot-tooltip'))": function (obj) { return obj.hover(obj.string('upload-covershot-tooltip')); }, "uploadCovershot(domEvent)": function (obj) { return obj.uploadCovershot(obj.domEvent); }, "covershot_accept_string": function (obj) { return obj.covershot_accept_string; }, "string('upload-covershot')": function (obj) { return obj.string('upload-covershot'); }/**/
    });
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "actions": function (obj) { return obj.actions; }, "click_action(action)": function (obj) { return obj.click_action(obj.action); }, "action.index": function (obj) { return obj.action.index; }, "action.select && action.capture": function (obj) { return obj.action.select && obj.action.capture; }, "select_file_action(action, domEvent)": function (obj) { return obj.select_file_action(obj.action, obj.domEvent); }, "action.accept": function (obj) { return obj.action.accept; }, "action.select && !action.capture": function (obj) { return obj.action.select && !obj.action.capture; }, "action.label": function (obj) { return obj.action.label; }, "csscommon": function (obj) { return obj.csscommon; }, "action.icon": function (obj) { return obj.action.icon; }/**/
    });
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "click()": function (obj) { return obj.click(); }, "shortMessage ? 'short-message' : 'long-message'": function (obj) { return obj.shortMessage ? 'short-message' : 'long-message'; }, "message || \"\"": function (obj) { return obj.message || ""; }, "links && links.length > 0": function (obj) { return obj.links && obj.links.length > 0; }, "links": function (obj) { return obj.links; }, "linkClick(link)": function (obj) { return obj.linkClick(obj.link); }, "link.title": function (obj) { return obj.link.title; }/**/
    });
    return {
        "cube": {
            css: "ba-audiorecorder",
            csstheme: "ba-audiorecorder-theme-cube",
            cssmessage: "ba-audiorecorder-message-theme-cube",
            cssrecorder: "ba-recorder",
            tmplcontrolbar: "<div class=\"{{csstheme}}-dashboard\">\n\n\t<div class=\"{{css}}-settings-front\">\n\n\t\t\n\t\t<div data-selector=\"recorder-settings\" class=\"{{css}}-settings\" ba-show=\"{{settingsvisible && settingsopen}}\">\n\t\t\t<div data-selector=\"settings-list-front\" class=\"{{css}}-bubble-info\">\n\t\t\t\t<ul data-selector=\"camera-settings\" ba-repeat=\"{{camera :: cameras}}\">\n\t\t\t\t\t<li>\n\t\t\t\t\t\t<input tabindex=\"0\"\n\t\t\t\t\t\t\t   ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\" onmouseout=\"this.blur()\"\n                               type='radio'\n\t\t\t\t\t\t\t   name='camera' value=\"{{selectedcamera == camera.id}}\" onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t\t/>\n\t\t\t\t\t\t<span></span>\n\t\t\t\t\t\t<label tabindex=\"0\" ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t   onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t\t>\n\t\t\t\t\t\t\t{{camera.label}}\n\t\t\t\t\t\t</label>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\t\t\t\t<ul data-selector=\"microphone-settings\" ba-repeat=\"{{microphone :: microphones}}\" ba-show=\"{{audio}}\">\n\t\t\t\t\t<li tabindex=\"0\"\n\t\t\t\t\t\tba-hotkey:space^enter=\"{{selectMicrophone(microphone.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\tonclick=\"{{selectMicrophone(microphone.id)}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<input type='radio' name='microphone' value=\"{{selectedmicrophone == microphone.id}}\" />\n\t\t\t\t\t\t<span></span>\n\t\t\t\t\t\t<label>\n\t\t\t\t\t\t\t{{microphone.label}}\n\t\t\t\t\t\t</label>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\t\t\t</div>\n\t\t</div>\n\n\t</div>\n\n\t\n\t<div data-selector=\"controlbar\" class=\"{{css}}-controlbar\">\n\n\t\t<div class=\"{{css}}-controlbar-center-section\">\n\n\t\t\t<div class=\"{{css}}-button-container\" ba-show=\"{{rerecordvisible}}\">\n\t\t\t\t<div tabindex=\"0\" data-selector=\"rerecord-primary-button\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{rerecord()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('rerecord-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('rerecord')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-button-container\" ba-show=\"{{cancelvisible}}\">\n\t\t\t\t<div tabindex=\"0\" data-selector=\"cancel-primary-button\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{cancel()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{cancel()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('cancel-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\">\n\t\t\t\t\t{{string('cancel')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t</div>\n\n\t\t<div class=\"{{css}}-controlbar-left-section\" ba-show=\"{{settingsvisible}}\">\n\n            <div class=\"{{css}}-button\" ba-show=\"{{settingsvisible}}\">\n\n\t\t\t\t<div tabindex=\"0\" ba-hotkey:space^enter=\"{{settingsopen=!settingsopen}}\"\n\t\t\t\t\t data-selector=\"record-button-icon-cog\" class=\"{{css}}-button-inner {{css}}-button-{{settingsopen ? 'selected' : 'unselected' }}\"\n\t\t\t\t\t onclick=\"{{settingsopen=!settingsopen}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('settings'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\" >\n\t\t\t\t\t<i class=\"{{csscommon}}-icon-cog\"></i>\n\t\t\t\t</div>\n\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-button\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\t\t\t\t<div data-selector=\"record-button-icon-mic\" class=\"{{css}}-button-inner\"\n\t\t\t\t\tonmouseenter=\"{{hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))}}\"\n\t\t\t\t\tonmouseleave=\"{{unhover()}}\">\n\t\t\t\t\t<i class=\"{{csscommon}}-icon-mic {{csscommon}}-icon-state-{{microphonehealthy ? 'good' : 'bad' }}\"></i>\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-button\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\t\t\t\t<div data-selector=\"record-button-icon-audiocam\" class=\"{{css}}-button-inner\"\n\t\t\t\t\tonmouseenter=\"{{hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))}}\"\n\t\t\t\t\tonmouseleave=\"{{unhover()}}\">\n                    <i class=\"{{csscommon}}-icon-audiocam {{csscommon}}-icon-state-{{ camerahealthy ? 'good' : 'bad' }}\"></i>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\n\t\t<div class=\"{{css}}-controlbar-right-section\">\n\n\t\t\t<div class=\"{{css}}-rightbutton-container\" ba-show=\"{{recordvisible}}\">\n\t\t\t\t<div tabindex=\"0\" data-selector=\"record-primary-button\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{record()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{record()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('record-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\">\n\t\t\t\t\t{{string('record')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t</div>\n\n\t\t<div class=\"{{css}}-stop-container\" ba-show=\"{{stopvisible}}\">\n\t\t\t<div class=\"{{css}}-timer-container\">\n\t\t\t\t<div class=\"{{css}}-label-container\" ba-show=\"{{controlbarlabel && !rerecordvisible}}\">\n\t\t\t\t\t<div data-selector=\"record-label-block\" class=\"{{css}}-label {{css}}-button-primary\">\n\t\t\t\t\t\t{{controlbarlabel}}\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-stop-button-container\">\n\t\t\t\t<div tabindex=\"0\" data-selector=\"stop-primary-button\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{stop()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"stop-primary-button\" class=\"{{css}}-button-primary {{mintimeindicator ? css + '-disabled': ''}}\"\n\t\t\t\t\t title=\"{{mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')}}\"\n\t\t\t\t\t onclick=\"{{stop()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\">\n\t\t\t\t\t{{string('stop')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\n        <div class=\"{{css}}-centerbutton-container\" ba-show=\"{{skipvisible}}\">\n            <div tabindex=\"0\" data-selector=\"skip-primary-button\"\n\t\t\t\t ba-hotkey:space^enter=\"{{skip()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t class=\"{{css}}-button-primary\"\n                 onclick=\"{{skip()}}\"\n                 onmouseenter=\"{{hover(string('skip-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\">\n                {{string('skip')}}\n            </div>\n        </div>\n\n\n        <div class=\"{{css}}-rightbutton-container\" ba-if=\"{{uploadcovershotvisible}}\">\n            <div data-selector=\"covershot-primary-button\" class=\"{{css}}-button-primary\"\n                 onmouseenter=\"{{hover(string('upload-covershot-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\">\n                <input type=\"file\"\n                       class=\"{{css}}-chooser-file\"\n                       style=\"height:100px\"\n                       onchange=\"{{uploadCovershot(domEvent)}}\"\n                       accept=\"{{covershot_accept_string}}\" />\n                <span>\n                    {{string('upload-covershot')}}\n                </span>\n            </div>\n        </div>\n\n\t</div>\n\n</div>\n",
            tmplchooser: "<div class=\"{{css}}-chooser-container\">\n\n\t<div class=\"{{css}}-chooser-button-container\">\n\n\t\t<div ba-repeat=\"{{action :: actions}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{click_action(action)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t class=\"{{css}}-chooser-button-{{action.index}}\"\n\t\t\t\t ba-click=\"{{click_action(action)}}\">\n\t\t\t\t<input ba-if=\"{{action.select && action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t\t   capture />\n\t\t\t\t<input ba-if=\"{{action.select && !action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t/>\n\t\t\t\t<span>\n\t\t\t\t\t{{action.label}}\n\t\t\t\t</span>\n\t\t\t\t<i class=\"{{csscommon}}-icon-{{action.icon}}\"\n\t\t\t\t   ba-if=\"{{action.icon}}\"></i>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</div>",
            tmplmessage: "<div data-selector=\"recorder-message-container\" class=\"{{css}}-message-container\" ba-click=\"{{click()}}\">\n    <div class=\"{{css}}-top-inner-message-container {{css}}-{{shortMessage ? 'short-message' : 'long-message'}}\">\n        <div class=\"{{css}}-first-inner-message-container\">\n            <div class=\"{{css}}-second-inner-message-container\">\n                <div class=\"{{css}}-third-inner-message-container\">\n                    <div class=\"{{css}}-fourth-inner-message-container\">\n                        <div data-selector=\"recorder-message-block\" class='{{css}}-message-message'>\n                            <p>\n                                {{message || \"\"}}\n                            </p>\n                            <ul ba-if=\"{{links && links.length > 0}}\" ba-repeat=\"{{link :: links}}\">\n                                <li>\n                                    <a href=\"javascript:;\" ba-click=\"{{linkClick(link)}}\">\n                                        {{link.title}}\n                                    </a>\n                                </li>\n                            </ul>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n"
        }
    };
});


}).call(Scoped);
(function () {
var Scoped = this.subScope();
Scoped.binding('browser', 'root:BetaJS.Browser');
Scoped.binding('dynamics', 'root:BetaJS.Dynamics');
Scoped.binding('module', 'root:BetaJS.MediaComponents');
Scoped.extend("module:Assets.playerthemes", ["browser:Info","dynamics:Parser"], function(Info, Parser) {
    var ie8 = Info.isInternetExplorer() && Info.internetExplorerVersion() <= 8;
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-dashboard-hidden') : ''": function (obj) { return obj.activitydelta > obj.hidebarafter && obj.hideoninactivity ? (obj.cssplayer + '-dashboard-hidden') : ''; }, "title": function (obj) { return obj.title; }, "!hidevolumebar": function (obj) { return !obj.hidevolumebar; }, "set_volume(volume + 0.1)": function (obj) { return obj.set_volume(obj.volume + 0.1); }, "set_volume(volume - 0.1)": function (obj) { return obj.set_volume(obj.volume - 0.1); }, "startUpdateVolume(domEvent)": function (obj) { return obj.startUpdateVolume(obj.domEvent); }, "progressUpdateVolume(domEvent)": function (obj) { return obj.progressUpdateVolume(obj.domEvent); }, "stopUpdateVolume(domEvent); this.blur()": function (obj) { return obj.stopUpdateVolume(obj.domEvent); this.blur(); }, "stopUpdateVolume(domEvent)": function (obj) { return obj.stopUpdateVolume(obj.domEvent); }, "{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}": function (obj) { return {width: Math.ceil(1+Math.min(99, Math.round(obj.volume * 100))) + '%'}; }, "string('volume-button')": function (obj) { return obj.string('volume-button'); }, "skipinitial ? 0 : 1": function (obj) { return obj.skipinitial ? 0 : 1; }, "toggle_volume()": function (obj) { return obj.toggle_volume(); }, "string(volume > 0 ? 'volume-mute' : 'volume-unmute')": function (obj) { return obj.string(obj.volume > 0 ? 'volume-mute' : 'volume-unmute'); }, "csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off'))": function (obj) { return obj.csscommon + '-icon-volume-' + (obj.volume >= 0.5 ? 'up' : (obj.volume > 0 ? 'down' : 'off')); }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-video')": function (obj) { return obj.string('submit-video'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-video')": function (obj) { return obj.string('rerecord-video'); }, "csscommon": function (obj) { return obj.csscommon; }, "skipinitial ? 0 : 3": function (obj) { return obj.skipinitial ? 0 : 3; }, "play()": function (obj) { return obj.play(); }, "tab_index_move(domEvent, null, 'button-icon-pause')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-pause'); }, "!playing": function (obj) { return !obj.playing; }, "string('play-video')": function (obj) { return obj.string('play-video'); }, "pause()": function (obj) { return obj.pause(); }, "tab_index_move(domEvent, null, 'button-icon-play')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-play'); }, "disablepause ? cssplayer + '-disabled' : ''": function (obj) { return obj.disablepause ? obj.cssplayer + '-disabled' : ''; }, "playing": function (obj) { return obj.playing; }, "disablepause ? string('pause-video-disabled') : string('pause-video')": function (obj) { return obj.disablepause ? obj.string('pause-video-disabled') : obj.string('pause-video'); }, "toggle_position_info()": function (obj) { return obj.toggle_position_info(); }, "revertposition ? string('remaining-time') : string('elapsed-time')": function (obj) { return obj.revertposition ? obj.string('remaining-time') : obj.string('elapsed-time'); }, "(revertposition && duration > 0) ? \"-\" : \"\"": function (obj) { return (obj.revertposition && obj.duration > 0) ? "-" : ""; }, "(revertposition && duration > 0) ? formatTime(duration - position) : formatTime(position)": function (obj) { return (obj.revertposition && obj.duration > 0) ? obj.formatTime(obj.duration - obj.position) : obj.formatTime(obj.position); }, "toggle_settings_menu()": function (obj) { return obj.toggle_settings_menu(); }, "cssplayer": function (obj) { return obj.cssplayer; }, "settingsmenuactive ? 'active' : 'inactive'": function (obj) { return obj.settingsmenuactive ? 'active' : 'inactive'; }, "settingsmenubutton": function (obj) { return obj.settingsmenubutton; }, "string('settings')": function (obj) { return obj.string('settings'); }, "tab_index_move(domEvent)": function (obj) { return obj.tab_index_move(obj.domEvent); }, "toggle_tracks()": function (obj) { return obj.toggle_tracks(); }, "(tracktags.length > 0 && showsubtitlebutton) || allowtexttrackupload": function (obj) { return (obj.tracktags.length > 0 && obj.showsubtitlebutton) || obj.allowtexttrackupload; }, "tracktextvisible ? 'active' : 'inactive'": function (obj) { return obj.tracktextvisible ? 'active' : 'inactive'; }, "tracktextvisible ? string('close-tracks') : string('show-tracks')": function (obj) { return obj.tracktextvisible ? obj.string('close-tracks') : obj.string('show-tracks'); }, "hover_cc(true)": function (obj) { return obj.hover_cc(true); }, "hover_cc(false)": function (obj) { return obj.hover_cc(false); }, "toggle_fullscreen()": function (obj) { return obj.toggle_fullscreen(); }, "fullscreen": function (obj) { return obj.fullscreen; }, "fullscreened ? string('exit-fullscreen-video') : string('fullscreen-video')": function (obj) { return obj.fullscreened ? obj.string('exit-fullscreen-video') : obj.string('fullscreen-video'); }, "fullscreened ? 'resize-minimize' : 'resize-full'": function (obj) { return obj.fullscreened ? 'resize-minimize' : 'resize-full'; }, "trimmingmode": function (obj) { return obj.trimmingmode; }, "trim()": function (obj) { return obj.trim(); }, "string('trim-video')": function (obj) { return obj.string('trim-video'); }, "frameselectionmode": function (obj) { return obj.frameselectionmode; }, "select_frame()": function (obj) { return obj.select_frame(); }, "string('select-frame')": function (obj) { return obj.string('select-frame'); }, "show_airplay_devices()": function (obj) { return obj.show_airplay_devices(); }, "airplaybuttonvisible": function (obj) { return obj.airplaybuttonvisible; }, "castbuttonvisble": function (obj) { return obj.castbuttonvisble; }, "toggle_stream()": function (obj) { return obj.toggle_stream(); }, "streams.length > 1 && currentstream": function (obj) { return obj.streams.length > 1 && obj.currentstream; }, "string('change-resolution')": function (obj) { return obj.string('change-resolution'); }, "currentstream_label": function (obj) { return obj.currentstream_label; }, "string('total-time')": function (obj) { return obj.string('total-time'); }, "formatTime(duration || position)": function (obj) { return obj.formatTime(obj.duration || obj.position); }, "disableseeking ? cssplayer + '-disabled' : ''": function (obj) { return obj.disableseeking ? obj.cssplayer + '-disabled' : ''; }, "seek(position + skipseconds)": function (obj) { return obj.seek(obj.position + obj.skipseconds); }, "seek(position - skipseconds)": function (obj) { return obj.seek(obj.position - obj.skipseconds); }, "startUpdatePosition(domEvent)": function (obj) { return obj.startUpdatePosition(obj.domEvent); }, "{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.cached / obj.duration * 100 : 0) + '%'}; }, "{width: Math.round(duration ? position / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.position / obj.duration * 100 : 0) + '%'}; }, "string('video-progress')": function (obj) { return obj.string('video-progress'); }, "{left: Math.round(duration && trimstart ? trimstart / duration * 100 : 0) + '%'}": function (obj) { return {left: Math.round(obj.duration && obj.trimstart ? obj.trimstart / obj.duration * 100 : 0) + '%'}; }, "{left: 'auto', right: 100 - Math.round(duration && trimend ? trimend / duration * 100 : 100) + '%'}": function (obj) { return {left: 'auto', right: 100 - Math.round(obj.duration && obj.trimend ? obj.trimend / obj.duration * 100 : 100) + '%'}; }/**/
    });
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "click()": function (obj) { return obj.click(); }, "message || \"\"": function (obj) { return obj.message || ""; }/**/
    });
    Parser.registerFunctions({
        /**/"play()": function (obj) { return obj.play(); }, "tab_index_move(domEvent, null, 'player-toggle-overlay')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'player-toggle-overlay'); }, "cssplayer": function (obj) { return obj.cssplayer; }, "string('tooltip')": function (obj) { return obj.string('tooltip'); }, "showduration && (duration != 0 && duration != undefined)": function (obj) { return obj.showduration && (obj.duration != 0 && obj.duration != undefined); }, "css": function (obj) { return obj.css; }, "formatTime(duration)": function (obj) { return obj.formatTime(obj.duration); }, "rerecordable || submittable": function (obj) { return obj.rerecordable || obj.submittable; }, "submittable && !trimmingmode": function (obj) { return obj.submittable && !obj.trimmingmode; }, "submit()": function (obj) { return obj.submit(); }, "string('submit-video')": function (obj) { return obj.string('submit-video'); }, "rerecordable && !trimmingmode": function (obj) { return obj.rerecordable && !obj.trimmingmode; }, "rerecord()": function (obj) { return obj.rerecord(); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "trimmingmode": function (obj) { return obj.trimmingmode; }, "string('trim')": function (obj) { return obj.string('trim'); }, "skip()": function (obj) { return obj.skip(); }, "string('skip')": function (obj) { return obj.string('skip'); }/**/
    });
    return {
        "space": {
            css: "ba-videoplayer",
            csstheme: "ba-player-space-theme",
            cssplayer: "ba-player",
            tmplcontrolbar: "<div class=\"{{csstheme}}-title-container {{activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-dashboard-hidden') : ''}}\">\n    <div class=\"{{csstheme}}-title\" ba-if=\"{{title}}\">\n        <p>{{title}}</p>\n    </div>\n\n    <div class=\"{{csstheme}}-volumebar\" ba-show=\"{{!hidevolumebar}}\">\n        <div tabindex=\"2\" data-selector=\"button-volume-bar\"\n             ba-hotkey:right=\"{{set_volume(volume + 0.1)}}\"\n             ba-hotkey:left=\"{{set_volume(volume - 0.1)}}\"\n             onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-volumebar-inner\"\n             ontouchstart=\"{{startUpdateVolume(domEvent)}}\"\n             ontouchmove=\"{{progressUpdateVolume(domEvent)}}\"\n             ontouchend=\"{{stopUpdateVolume(domEvent); this.blur()}};\"\n             onmousedown=\"{{startUpdateVolume(domEvent)}}\"\n             onmouseup=\"{{stopUpdateVolume(domEvent)}}\"\n             onmouseleave=\"{{stopUpdateVolume(domEvent)}}\"\n             onmousemove=\"{{progressUpdateVolume(domEvent)}}\"\n        >\n            <div class=\"{{csstheme}}-volumebar-position\" ba-styles=\"{{{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}}}\" title=\"{{string('volume-button')}}\"></div>\n        </div>\n    </div>\n\n    <div tabindex=\"{{skipinitial ? 0 : 1}}\" data-selector=\"button-icon-volume\"\n         ba-hotkey:space^enter=\"{{toggle_volume()}}\" onmouseout=\"this.blur()\"\n         class=\"{{csstheme}}-rightbutton-container\"\n         ba-click=\"{{toggle_volume()}}\" title=\"{{string(volume > 0 ? 'volume-mute' : 'volume-unmute')}}\"\n    >\n        <div class=\"{{csstheme}}-button-inner\">\n            <i class=\"{{csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off')) }}\"></i>\n        </div>\n    </div>\n</div>\n\n<div class=\"{{csstheme}}-dashboard {{activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-dashboard-hidden') : ''}}\">\n\n    <div class=\"{{csstheme}}-controlbar-footer\">\n        <div tabindex=\"0\" data-selector=\"submit-video-button\"\n             ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-leftbutton-container\" ba-if=\"{{submittable}}\"  ba-click=\"{{submit()}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                {{string('submit-video')}}\n            </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-ccw\"\n             ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-leftbutton-container\" ba-if=\"{{rerecordable}}\"\n             ba-click=\"{{rerecord()}}\" title=\"{{string('rerecord-video')}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-ccw\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"{{skipinitial ? 0 : 3}}\" data-selector=\"button-icon-play\"\n             ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n             onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-pause')}}\"\n             class=\"{{csstheme}}-leftbutton-container\" ba-if=\"{{!playing}}\" ba-click=\"{{play()}}\" title=\"{{string('play-video')}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-play\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"{{skipinitial ? 0 : 3}}\" data-selector=\"button-icon-pause\"\n             ba-hotkey:space^enter=\"{{pause()}}\" onmouseout=\"this.blur()\"\n             onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-play')}}\"\n             class=\"{{csstheme}}-leftbutton-container {{disablepause ? cssplayer + '-disabled' : ''}}\"\n             ba-if=\"{{playing}}\" ba-click=\"{{pause()}}\" title=\"{{disablepause ? string('pause-video-disabled') : string('pause-video')}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-pause\"></i>\n            </div>\n        </div>\n\n        <div class=\"{{csstheme}}-time-container {{csscommon}}-clickable\" ba-click=\"{{toggle_position_info()}}\">\n            <div class=\"{{csstheme}}-time-value\"\n                 title=\"{{revertposition ? string('remaining-time') : string('elapsed-time')}}\"\n            >\n                {{(revertposition && duration > 0) ? \"-\" : \"\"}}\n                {{(revertposition && duration > 0) ? formatTime(duration - position) : formatTime(position)}}\n            </div>\n        </div>\n\n        <div tabindex=\"11\" data-selector=\"button-icon-settings\"\n             ba-hotkey:space^enter=\"{{toggle_settings_menu()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-rightbutton-container {{csstheme}}-settings-button-container {{cssplayer}}-button-{{settingsmenuactive ? 'active' : 'inactive'}}\"\n             ba-if=\"{{settingsmenubutton}}\" ba-click=\"{{toggle_settings_menu()}}\"\n             title=\"{{string('settings')}}\"\n             onkeydown=\"{{tab_index_move(domEvent)}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner {{csstheme}}-settings-button\">\n                <i class=\"{{csscommon}}-icon-cog\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"10\" data-selector=\"cc-button-container\"\n             ba-hotkey:space^enter=\"{{toggle_tracks()}}\" onmouseout=\"this.blur()\"\n             ba-if=\"{{(tracktags.length > 0 && showsubtitlebutton) || allowtexttrackupload}}\"\n             class=\"{{csstheme}}-rightbutton-container {{csstheme}}-cc-button-container {{cssplayer}}-button-{{tracktextvisible ? 'active' : 'inactive'}}\"\n             title=\"{{tracktextvisible ? string('close-tracks') : string('show-tracks')}}\"\n             ba-click=\"{{toggle_tracks()}}\"\n             onmouseover=\"{{hover_cc(true)}}\"\n             onmouseleave=\"{{hover_cc(false)}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner {{csstheme}}-subtitle-button-inner\">\n                <i class=\"{{csscommon}}-icon-subtitle\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"9\" data-selector=\"button-icon-resize-full\"\n             ba-hotkey:space^enter=\"{{toggle_fullscreen()}}\" onmouseout=\"this.blur()\"\n             onkeydown=\"{{tab_index_move(domEvent)}}\"\n             class=\"{{csstheme}}-rightbutton-container\"\n             ba-if=\"{{fullscreen}}\" ba-click=\"{{toggle_fullscreen()}}\" title=\"{{ fullscreened ? string('exit-fullscreen-video') : string('fullscreen-video') }}\"\n        >\n            <div class=\"{{csstheme}}-button-inner {{csstheme}}-full-screen-btn-inner\">\n                <i class=\"{{csscommon}}-icon-{{fullscreened ? 'resize-minimize' : 'resize-full'}}\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"8\" class=\"{{csstheme}}-rightbutton-container\" ba-if=\"{{trimmingmode}}\">\n            <div data-selector=\"trim-button\"\n                 onmouseout=\"this.blur()\"\n                 ba-click=\"{{trim()}}\"\n                 class=\"{{csstheme}}-primary-button {{csstheme}}-button-inner\">\n                 {{string('trim-video')}}\n            </div>\n        </div>\n\n        <div tabindex=\"8\" class=\"{{csstheme}}-rightbutton-container\" ba-if=\"{{frameselectionmode}}\">\n            <div data-selector=\"select-frame-button\"\n                 onmouseout=\"this.blur()\"\n                 ba-click=\"{{select_frame()}}\"\n                 class=\"{{csstheme}}-primary-button {{csstheme}}-button-inner\">\n                 {{string('select-frame')}}\n            </div>\n        </div>\n\n        <div tabindex=\"7\" data-selector=\"button-airplay\"\n             ba-hotkey:space^enter=\"{{show_airplay_devices()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-rightbutton-container {{cssplayer}}-airplay-container\"\n             ba-show=\"{{airplaybuttonvisible}}\" ba-click=\"{{show_airplay_devices()}}\"\n        >\n            <svg width=\"16px\" height=\"11px\" viewBox=\"0 0 16 11\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\">\n                \n                <title>Airplay</title>\n                <desc>Airplay icon.</desc>\n                <defs></defs>\n                <g stroke=\"none\" stroke-width=\"1\" fill-rule=\"evenodd\" sketch:type=\"MSPage\">\n                    <path d=\"M4,11 L12,11 L8,7 L4,11 Z M14.5454545,0 L1.45454545,0 C0.654545455,0 0,0.5625 0,1.25 L0,8.75 C0,9.4375 0.654545455,10 1.45454545,10 L4.36363636,10 L4.36363636,8.75 L1.45454545,8.75 L1.45454545,1.25 L14.5454545,1.25 L14.5454545,8.75 L11.6363636,8.75 L11.6363636,10 L14.5454545,10 C15.3454545,10 16,9.4375 16,8.75 L16,1.25 C16,0.5625 15.3454545,0 14.5454545,0 L14.5454545,0 Z\" sketch:type=\"MSShapeGroup\"></path>\n                </g>\n            </svg>\n        </div>\n\n        <div data-selector=\"button-chromecast\" class=\"{{csstheme}}-rightbutton-container {{csstheme}}-cast-button-container\" ba-show=\"{{castbuttonvisble}}\">\n            <button tabindex=\"6\" class=\"{{csstheme}}-gcast-button\" is=\"google-cast-button\"></button>\n        </div>\n\n        <div tabindex=\"5\" data-selector=\"button-stream-label\"\n             ba-hotkey:space^enter=\"{{toggle_stream()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-rightbutton-container\"\n             ba-if=\"{{streams.length > 1 && currentstream}}\" ba-click=\"{{toggle_stream()}}\" title=\"{{string('change-resolution')}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner {{csstheme}}-stream-label-container\">\n                <span class=\"{{csstheme}}-button-text {{csstheme}}-stream-label\">{{currentstream_label}}</span>\n            </div>\n        </div>\n\n        <div class=\"{{csstheme}}-time-container {{csstheme}}-rightbutton-container {{csstheme}}-right-time-container\">\n            <div class=\"{{csstheme}}-time-value\" title=\"{{string('total-time')}}\">{{formatTime(duration || position)}}</div>\n        </div>\n\n        <div class=\"{{csstheme}}-progressbar {{disableseeking ? cssplayer + '-disabled' : ''}}\">\n            <div tabindex=\"4\" data-selector=\"progress-bar-inner\"\n                 ba-hotkey:right=\"{{seek(position + skipseconds)}}\"\n                 ba-hotkey:left=\"{{seek(position - skipseconds)}}\"\n                 onmouseout=\"this.blur()\"\n                 class=\"{{csstheme}}-progressbar-inner\"\n                 ontouchstart=\"{{startUpdatePosition(domEvent)}}\"\n                 onmousedown=\"{{startUpdatePosition(domEvent)}}\"\n            >\n\n                <div class=\"{{csstheme}}-progressbar-cache\" ba-styles=\"{{{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}}}\"></div>\n                <div class=\"{{csstheme}}-progressbar-position\" ba-styles=\"{{{width: Math.round(duration ? position / duration * 100 : 0) + '%'}}}\" title=\"{{string('video-progress')}}\">\n                </div>\n                <div class=\"{{csstheme}}-progressbar-marker\"\n                    data-selector=\"trim-start-marker\"\n                    ba-if=\"{{trimmingmode}}\"\n                    ba-styles=\"{{{left: Math.round(duration && trimstart ? trimstart / duration * 100 : 0) + '%'}}}\"\n                ></div>\n                <div class=\"{{csstheme}}-progressbar-marker\"\n                    data-selector=\"trim-end-marker\"\n                    ba-if=\"{{trimmingmode}}\"\n                    ba-styles=\"{{{left: 'auto', right: 100 - Math.round(duration && trimend ? trimend / duration * 100 : 100) + '%'}}}\"\n                ></div>\n            </div>\n        </div>\n\n    </div>\n\n</div>\n",
            tmplmessage: "<div class=\"{{csstheme}}-message-container\" ba-click=\"{{click()}}\">\n    <div data-selector=\"message-block\" class=\"{{csstheme}}-first-inner-message-container\">\n        <div class=\"{{csstheme}}-second-inner-message-container\">\n            <div class=\"{{csstheme}}-third-inner-message-container\">\n                <div class=\"{{csstheme}}-fourth-inner-message-container\">\n                    <div class='{{csstheme}}-message-message'>\n                        {{message || \"\"}}\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n",
            tmplplaybutton: "\n<div tabindex=\"0\" data-selector=\"play-button\"\n     ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n     onkeydown=\"{{tab_index_move(domEvent, null, 'player-toggle-overlay')}}\"\n     class=\"{{cssplayer}}-playbutton-container\" ba-click=\"{{play()}}\" title=\"{{string('tooltip')}}\"\n>\n\t<div class=\"{{cssplayer}}-playbutton-button\"></div>\n</div>\n<div ba-show=\"{{showduration && (duration != 0 && duration != undefined)}}\" class=\"{{css}}-playbutton-duration\">\n    {{formatTime(duration)}}\n</div>\n\n<div class=\"{{cssplayer}}-rerecord-bar\" ba-if=\"{{rerecordable || submittable}}\">\n\t<div class=\"{{cssplayer}}-rerecord-backbar\"></div>\n\t<div class=\"{{cssplayer}}-rerecord-frontbar\">\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{submittable && !trimmingmode}}\">\n            <div tabindex=\"0\" data-selector=\"player-submit-button\"\n                 ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{submit()}}\">\n                {{string('submit-video')}}\n            </div>\n        </div>\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{rerecordable && !trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-rerecord-button\"\n                 ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{rerecord()}}\">\n        \t\t{{string('rerecord')}}\n        \t</div>\n        </div>\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-trim-button\"\n                 ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{play()}}\">\n        \t\t{{string('trim')}}\n        \t</div>\n        </div>\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-skip-button\"\n                 ba-hotkey:space^enter=\"{{skip()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{skip()}}\">\n        \t\t{{string('skip')}}\n        \t</div>\n        </div>\n\t</div>\n</div>\n",
            cssloader: ie8 ? "ba-videoplayer" : "",
            cssmessage: "ba-videoplayer",
            cssplaybutton: ie8 ? "ba-videoplayer" : ""
        }
    };
});

Scoped.extend("module:Assets.recorderthemes", ["dynamics:Parser"], function(Parser) {
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "topmessage": function (obj) { return obj.topmessage; }/**/
    });
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "css": function (obj) { return obj.css; }, "settingsvisible && settingsopen": function (obj) { return obj.settingsvisible && obj.settingsopen; }, "videoselectnotification": function (obj) { return obj.videoselectnotification; }, "string('add-stream')": function (obj) { return obj.string('add-stream'); }, "csscommon": function (obj) { return obj.csscommon; }, "showaddstreambutton && firefox && allowscreen": function (obj) { return obj.showaddstreambutton && obj.firefox && obj.allowscreen; }, "addNewStream()": function (obj) { return obj.addNewStream(); }, "hover(string('add-stream'))": function (obj) { return obj.hover(obj.string('add-stream')); }, "showaddstreambutton && !firefox": function (obj) { return obj.showaddstreambutton && !obj.firefox; }, "cameras": function (obj) { return obj.cameras; }, "(camera.id !== selectedcamera) || allowscreen": function (obj) { return (obj.camera.id !== obj.selectedcamera) || obj.allowscreen; }, "addNewStream(camera.id)": function (obj) { return obj.addNewStream(obj.camera.id); }, "camera.label": function (obj) { return obj.camera.label; }, "(showaddstreambutton && !firefox) || (firefox && allowscreen)": function (obj) { return (obj.showaddstreambutton && !obj.firefox) || (obj.firefox && obj.allowscreen); }, "!novideo && !allowscreen && !ismobile": function (obj) { return !obj.novideo && !obj.allowscreen && !obj.ismobile; }, "hover(string('select-camera'))": function (obj) { return obj.hover(obj.string('select-camera')); }, "selectCamera(camera.id)": function (obj) { return obj.selectCamera(obj.camera.id); }, "selectedcamera == camera.id": function (obj) { return obj.selectedcamera == obj.camera.id; }, "(!noaudio && !novideo) || !allowscreen": function (obj) { return (!obj.noaudio && !obj.novideo) || !obj.allowscreen; }, "microphones": function (obj) { return obj.microphones; }, "!noaudio && !allowscreen": function (obj) { return !obj.noaudio && !obj.allowscreen; }, "selectMicrophone(microphone.id)": function (obj) { return obj.selectMicrophone(obj.microphone.id); }, "hover(string('select-audio-input'))": function (obj) { return obj.hover(obj.string('select-audio-input')); }, "selectedmicrophone == microphone.id": function (obj) { return obj.selectedmicrophone == obj.microphone.id; }, "microphone.label": function (obj) { return obj.microphone.label; }, "rerecordvisible": function (obj) { return obj.rerecordvisible; }, "rerecord()": function (obj) { return obj.rerecord(); }, "hover(string('rerecord-tooltip'))": function (obj) { return obj.hover(obj.string('rerecord-tooltip')); }, "unhover()": function (obj) { return obj.unhover(); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "cancelvisible": function (obj) { return obj.cancelvisible; }, "cancel()": function (obj) { return obj.cancel(); }, "hover(string('cancel-tooltip'))": function (obj) { return obj.hover(obj.string('cancel-tooltip')); }, "string('cancel')": function (obj) { return obj.string('cancel'); }, "stopvisible && recordingindication": function (obj) { return obj.stopvisible && obj.recordingindication; }, "settingsvisible": function (obj) { return obj.settingsvisible; }, "ismobile": function (obj) { return obj.ismobile; }, "toggleFaceMode()": function (obj) { return obj.toggleFaceMode(); }, "hover(string('switch-camera'))": function (obj) { return obj.hover(obj.string('switch-camera')); }, "settingsopen=!settingsopen": function (obj) { return obj.settingsopen=!obj.settingsopen; }, "settingsopen ? 'selected' : 'unselected'": function (obj) { return obj.settingsopen ? 'selected' : 'unselected'; }, "hover(string('settings'))": function (obj) { return obj.hover(obj.string('settings')); }, "hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))": function (obj) { return obj.hover(obj.string(obj.microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy')); }, "microphonehealthy ? 'good' : 'bad'": function (obj) { return obj.microphonehealthy ? 'good' : 'bad'; }, "!novideo && !allowscreen": function (obj) { return !obj.novideo && !obj.allowscreen; }, "hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))": function (obj) { return obj.hover(obj.string(obj.camerahealthy ? 'camerahealthy' : 'cameraunhealthy')); }, "camerahealthy ? 'good' : 'bad'": function (obj) { return obj.camerahealthy ? 'good' : 'bad'; }, "cssrecorder": function (obj) { return obj.cssrecorder; }, "stopvisible": function (obj) { return obj.stopvisible; }, "pausable && !resumevisible": function (obj) { return obj.pausable && !obj.resumevisible; }, "stop()": function (obj) { return obj.stop(); }, "string('pause-recorder')": function (obj) { return obj.string('pause-recorder'); }, "pause()": function (obj) { return obj.pause(); }, "hover(string('pause-recorder'))": function (obj) { return obj.hover(obj.string('pause-recorder')); }, "pausable && resumevisible": function (obj) { return obj.pausable && obj.resumevisible; }, "resume()": function (obj) { return obj.resume(); }, "string('resume-recorder')": function (obj) { return obj.string('resume-recorder'); }, "hover(string('resume-recorder'))": function (obj) { return obj.hover(obj.string('resume-recorder')); }, "recordvisible": function (obj) { return obj.recordvisible; }, "record()": function (obj) { return obj.record(); }, "hover(string('record-tooltip'))": function (obj) { return obj.hover(obj.string('record-tooltip')); }, "string('record')": function (obj) { return obj.string('record'); }, "controlbarlabel && !rerecordvisible": function (obj) { return obj.controlbarlabel && !obj.rerecordvisible; }, "controlbarlabel": function (obj) { return obj.controlbarlabel; }, "mintimeindicator ? css + '-disabled': ''": function (obj) { return obj.mintimeindicator ? obj.css + '-disabled': ''; }, "mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')": function (obj) { return obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip'); }, "hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))": function (obj) { return obj.hover(obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip')); }, "string('stop')": function (obj) { return obj.string('stop'); }, "skipvisible": function (obj) { return obj.skipvisible; }, "skip()": function (obj) { return obj.skip(); }, "hover(string('skip-tooltip'))": function (obj) { return obj.hover(obj.string('skip-tooltip')); }, "string('skip')": function (obj) { return obj.string('skip'); }, "uploadcovershotvisible": function (obj) { return obj.uploadcovershotvisible; }, "hover(string('upload-covershot-tooltip'))": function (obj) { return obj.hover(obj.string('upload-covershot-tooltip')); }, "uploadCovershot(domEvent)": function (obj) { return obj.uploadCovershot(obj.domEvent); }, "covershot_accept_string": function (obj) { return obj.covershot_accept_string; }, "string('upload-covershot')": function (obj) { return obj.string('upload-covershot'); }/**/
    });
    Parser.registerFunctions({
        /**/"showslidercontainer": function (obj) { return obj.showslidercontainer; }, "css": function (obj) { return obj.css; }, "left()": function (obj) { return obj.left(); }, "csscommon": function (obj) { return obj.csscommon; }, "images": function (obj) { return obj.images; }, "select(image)": function (obj) { return obj.select(obj.image); }, "{left: image.left + 'px', top: image.top + 'px', width: image.width + 'px', height: image.height + 'px'}": function (obj) { return {left: obj.image.left + 'px', top: obj.image.top + 'px', width: obj.image.width + 'px', height: obj.image.height + 'px'}; }, "right()": function (obj) { return obj.right(); }, "!showslidercontainer": function (obj) { return !obj.showslidercontainer; }, "covershot_accept_string": function (obj) { return obj.covershot_accept_string; }, "uploadCovershot(domEvent)": function (obj) { return obj.uploadCovershot(obj.domEvent); }, "string('upload-covershot')": function (obj) { return obj.string('upload-covershot'); }/**/
    });
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "initialmessages.length > 0": function (obj) { return obj.initialmessages.length > 0; }, "csscommon": function (obj) { return obj.csscommon; }, "initialmessages": function (obj) { return obj.initialmessages; }, "initialmessage.message": function (obj) { return obj.initialmessage.message; }, "initialmessage.type ? initialmessage.type : 'default'": function (obj) { return obj.initialmessage.type ? obj.initialmessage.type : 'default'; }, "initialmessage.id": function (obj) { return obj.initialmessage.id; }, "actions": function (obj) { return obj.actions; }, "click_action(action)": function (obj) { return obj.click_action(obj.action); }, "action.index": function (obj) { return obj.action.index; }, "action.select && action.capture": function (obj) { return obj.action.select && obj.action.capture; }, "select_file_action(action, domEvent)": function (obj) { return obj.select_file_action(obj.action, obj.domEvent); }, "action.accept": function (obj) { return obj.action.accept; }, "action.switchcamera": function (obj) { return obj.action.switchcamera; }, "action.select && !action.capture": function (obj) { return obj.action.select && !obj.action.capture; }, "action.label": function (obj) { return obj.action.label; }, "action.icon": function (obj) { return obj.action.icon; }/**/
    });
    Parser.registerFunctions({
        /**/"cssrecorder": function (obj) { return obj.cssrecorder; }, "click()": function (obj) { return obj.click(); }, "shortMessage ? 'short-message' : 'long-message'": function (obj) { return obj.shortMessage ? 'short-message' : 'long-message'; }, "message || \"\"": function (obj) { return obj.message || ""; }, "links && links.length > 0": function (obj) { return obj.links && obj.links.length > 0; }, "links": function (obj) { return obj.links; }, "linkClick(link)": function (obj) { return obj.linkClick(obj.link); }, "link.title": function (obj) { return obj.link.title; }/**/
    });
    return {
        "space": {
            css: "ba-videorecorder",
            csstheme: "ba-recorder-theme-space",
            cssrecorder: "ba-recorder",
            cssmessage: "ba-videorecorder",
            cssloader: "ba-videorecorder",
            tmpltopmessage: "<div class=\"{{css}}-topmessage-container\">\n    <div data-selector=\"recorder-topmessage-block\" class='{{css}}-topmessage-message'>\n        {{topmessage}}\n    </div>\n</div>\n",
            tmplcontrolbar: "<div class=\"{{csstheme}}-dashboard\">\n\n\t<div class=\"{{css}}-settings-front\">\n\n\t\t\n\t\t<div data-selector=\"recorder-settings\" class=\"{{css}}-settings\" ba-show=\"{{settingsvisible && settingsopen}}\">\n\t\t\t<div class=\"{{css}}-bubble-info\">\n\t\t\t\t<ul data-selector=\"add-new-stream\" ba-if=\"{{videoselectnotification}}\">\n\t\t\t\t\t<li>\n\t\t\t\t\t\t<div data-selector=\"single-camera-stream\">\n\t\t\t\t\t\t\t<i class=\"ba-commoncss-icon-plus\"></i> {{string('add-stream')}}\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</li>\n\t\t\t\t\t<li>\n\t\t\t\t\t\t<div data-selector=\"single-camera-stream\" class=\"{{csscommon}}-text-error\">\n\t\t\t\t\t\t\t{{videoselectnotification}}\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\n\t\t\t\t<ul data-selector=\"add-new-stream\" ba-show=\"{{showaddstreambutton && firefox && allowscreen}}\">\n\t\t\t\t\t<li>\n\t\t\t\t\t\t<div data-selector=\"single-camera-stream\"\n\t\t\t\t\t\t\t class=\"{{css}}-add-stream\"\n\t\t\t\t\t\t\t onclick=\"{{addNewStream()}}\"\n\t\t\t\t\t\t\t onmouseenter=\"{{hover(string('add-stream'))}}\"\n\t\t\t\t\t\t>\n\t\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-plus\"></i> {{string('add-stream')}}\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\n\t\t\t\t<ul data-selector=\"add-new-stream\" ba-show=\"{{showaddstreambutton && !firefox}}\" ba-repeat=\"{{camera :: cameras}}\">\n\t\t\t\t\t<li ba-show=\"{{(camera.id !== selectedcamera) || allowscreen}}\">\n\t\t\t\t\t\t<div data-selector=\"single-camera-stream\"\n\t\t\t\t\t\t\t class=\"{{css}}-add-stream\"\n\t\t\t\t\t\t\t onclick=\"{{addNewStream(camera.id)}}\"\n\t\t\t\t\t\t\t onmouseenter=\"{{hover(string('add-stream'))}}\"\n\t\t\t\t\t\t>\n\t\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-plus\"></i> {{camera.label}}\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</li>\n\n\t\t\t\t</ul>\n\t\t\t\t<hr ba-show=\"{{(showaddstreambutton && !firefox) || (firefox && allowscreen)}}\"/>\n\n\t\t\t\t<ul data-selector=\"camera-settings\" ba-repeat=\"{{camera :: cameras}}\" ba-show=\"{{!novideo && !allowscreen && !ismobile}}\">\n\t\t\t\t\t<li onmouseenter=\"{{hover(string('select-camera'))}}\">\n\t\t\t\t\t\t<input tabindex=\"0\"\n\t\t\t\t\t\t\t   ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t   type='radio' name='camera' value=\"{{selectedcamera == camera.id}}\"\n\t\t\t\t\t\t\t   onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t\t/>\n\t\t\t\t\t\t<span></span>\n\t\t\t\t\t\t<label onclick=\"{{selectCamera(camera.id)}}\" ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\">\n\t\t\t\t\t\t\t{{camera.label}}\n\t\t\t\t\t\t</label>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\t\t\t\t<hr ba-show=\"{{(!noaudio && !novideo) || !allowscreen}}\"/>\n\t\t\t\t<ul data-selector=\"microphone-settings\" ba-repeat=\"{{microphone :: microphones}}\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\t\t\t\t\t<li tabindex=\"0\"\n\t\t\t\t\t\tba-hotkey:space^enter=\"{{selectMicrophone(microphone.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\tonmouseenter=\"{{hover(string('select-audio-input'))}}\"\n\t\t\t\t\t\tonclick=\"{{selectMicrophone(microphone.id)}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<input type='radio' name='microphone' value=\"{{selectedmicrophone == microphone.id}}\" />\n\t\t\t\t\t\t<span></span>\n\t\t\t\t\t\t<label>\n\t\t\t\t\t\t\t{{microphone.label}}\n\t\t\t\t\t\t</label>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\t\t\t</div>\n\t\t</div>\n\n\t</div>\n\n\t\n\t<div data-selector=\"controlbar\" class=\"{{css}}-controlbar\">\n\n\t\t<div class=\"{{css}}-controlbar-center-section\">\n\n\t\t\t<div data-selector=\"rerecord-primary-button\" class=\"{{css}}-button-container\" ba-show=\"{{rerecordvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{rerecord()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('rerecord-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('rerecord')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div data-selector=\"cancel-primary-button\" class=\"{{css}}-button-container\" ba-show=\"{{cancelvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{cancel()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t class=\"{{css}}-button-primary\" onclick=\"{{cancel()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('cancel-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('cancel')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t</div>\n\n\t\t<div class=\"{{css}}-controlbar-left-section\">\n\n\t\t\t<div class=\"{{css}}-indicator-container\" ba-show=\"{{stopvisible && recordingindication}}\">\n\t\t\t\t<div data-selector=\"recording-indicator\" class=\"{{css}}-recording-indication\"></div>\n\t\t\t</div>\n\n\t\t\t<div ba-show=\"{{settingsvisible}}\">\n\n\t\t\t\t<div class=\"{{css}}-circle-button\"  ba-show=\"{{ismobile}}\">\n\t\t\t\t\t<div data-selector=\"face-mode-toggle-icon\"\n\t\t\t\t\t\t class=\"{{css}}-mobile-camera-switcher {{css}}-button-inner {{css}}-button-circle-unselected\"\n\t\t\t\t\t\t onclick=\"{{toggleFaceMode()}}\"\n\t\t\t\t\t\t onmouseenter=\"{{hover(string('switch-camera'))}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-arrows-cw\"></i>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\n\t\t\t\t<div class=\"{{css}}-circle-button\">\n\t\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t\t ba-hotkey:space^enter=\"{{settingsopen=!settingsopen}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t data-selector=\"record-button-icon-cog\"\n\t\t\t\t\t\t class=\"{{css}}-button-inner {{css}}-button-circle-{{settingsopen ? 'selected' : 'unselected' }}\"\n\t\t\t\t\t\t onclick=\"{{settingsopen=!settingsopen}}\"\n\t\t\t\t\t\t onmouseenter=\"{{hover(string('settings'))}}\"\n\t\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-cog\"></i>\n\t\t\t\t\t</div>\n\n\t\t\t\t</div>\n\n\t\t\t\t<div class=\"{{css}}-circle-button\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\t\t\t\t\t<div data-selector=\"record-button-icon-mic\" class=\"{{css}}-button-inner\"\n\t\t\t\t\t\t onmouseenter=\"{{hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))}}\"\n\t\t\t\t\t\t onmouseleave=\"{{unhover()}}\">\n\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-mic {{csscommon}}-icon-state-{{microphonehealthy ? 'good' : 'bad' }}\"></i>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\n\t\t\t\t<div class=\"{{css}}-circle-button\" ba-show=\"{{!novideo && !allowscreen}}\">\n\t\t\t\t\t<div data-selector=\"record-button-icon-videocam\" class=\"{{css}}-button-inner\"\n\t\t\t\t\t\t onmouseenter=\"{{hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))}}\"\n\t\t\t\t\t\t onmouseleave=\"{{unhover()}}\">\n\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-videocam {{csscommon}}-icon-state-{{ camerahealthy ? 'good' : 'bad' }}\"></i>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\n\t\t\t</div>\n\n\t\t</div>\n\n\t\t<div class=\"{{cssrecorder}}-controlbar-right-section\">\n\n\t\t\t<div class=\"{{css}}-rightbutton-container {{css}}-pause-button-container\" ba-show=\"{{stopvisible}}\">\n\t\t\t\t<div class=\"{{css}}-circle-button\">\n                    <div tabindex=\"0\" data-selector=\"pause-primary-button\"  ba-show=\"{{pausable && !resumevisible}}\"\n                         ba-hotkey:space^enter=\"{{stop()}}\" onmouseout=\"this.blur()\"\n                         data-selector=\"pause-primary-button\" class=\"{{css}}-button-inner\"\n                         title=\"{{string('pause-recorder')}}\"\n                         onclick=\"{{pause()}}\"\n                         onmouseenter=\"{{hover(string('pause-recorder'))}}\"\n                         onmouseleave=\"{{unhover()}}\"\n                    >\n                        <i class=\"{{csscommon}}-icon-pause\"></i>\n                    </div>\n\n                    <div tabindex=\"0\" data-selector=\"resume-primary-button\"  ba-show=\"{{pausable && resumevisible}}\"\n                         ba-hotkey:space^enter=\"{{resume()}}\" onmouseout=\"this.blur()\"\n                         data-selector=\"resume-primary-button\" class=\"{{css}}-button-inner\"\n                         title=\"{{string('resume-recorder')}}\"\n                         onclick=\"{{resume()}}\"\n                         onmouseenter=\"{{hover(string('resume-recorder'))}}\"\n                         onmouseleave=\"{{unhover()}}\"\n                    >\n                        <i class=\"{{csscommon}}-icon-ccw\"></i>\n                    </div>\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-rightbutton-container\" ba-show=\"{{recordvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{record()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"record-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{record()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('record-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('record')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t</div>\n\n\t\t<div class=\"{{css}}-stop-container\" ba-show=\"{{stopvisible}}\">\n\n\t\t\t<div class=\"{{css}}-timer-container\">\n\t\t\t\t<div class=\"{{css}}-label-container\" ba-show=\"{{controlbarlabel && !rerecordvisible}}\">\n\t\t\t\t\t<div data-selector=\"record-label-block\" class=\"{{css}}-label {{css}}-button-primary\">\n\t\t\t\t\t\t{{controlbarlabel}}\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-stop-button-container\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{stop()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"stop-primary-button\"\n\t\t\t\t\t class=\"{{css}}-button-primary {{mintimeindicator ? css + '-disabled': ''}}\"\n\t\t\t\t\t title=\"{{mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')}}\"\n\t\t\t\t\t onclick=\"{{stop()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('stop')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\n        <div class=\"{{css}}-centerbutton-container\" ba-show=\"{{skipvisible}}\">\n            <div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{skip()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"skip-primary-button\" class=\"{{css}}-button-primary\"\n                 onclick=\"{{skip()}}\"\n                 onmouseenter=\"{{hover(string('skip-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n                {{string('skip')}}\n            </divi>\n        </div>\n\n\n        <div class=\"{{css}}-rightbutton-container\" ba-if=\"{{uploadcovershotvisible}}\">\n            <div data-selector=\"covershot-primary-button\" class=\"{{css}}-button-primary\"\n                 onmouseenter=\"{{hover(string('upload-covershot-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\">\n                <input type=\"file\"\n                       class=\"{{css}}-chooser-file\"\n                       style=\"height:100px\"\n                       onchange=\"{{uploadCovershot(domEvent)}}\"\n                       accept=\"{{covershot_accept_string}}\" />\n                <span>\n                    {{string('upload-covershot')}}\n                </span>\n            </div>\n        </div>\n\n\t</div>\n\n</div>\n",
            tmplimagegallery: "<div ba-if=\"{{showslidercontainer}}\" data-selector=\"image-gallery\" class=\"{{css}}-image-gallery-container\">\n\t<div data-selector=\"slider-left-button\" class=\"{{css}}-imagegallery-leftbutton\">\n\t\t<div tabindex=\"0\" data-selector=\"slider-left-inner-button\"\n\t\t\t ba-hotkey:space^enter^left=\"{{left()}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-imagegallery-button-inner\" onclick=\"{{left()}}\"\n\t\t>\n\t\t\t<i class=\"{{csscommon}}-icon-left-open\"></i>\n\t\t</div>\n\t</div>\n\n\t<div data-selector=\"images-imagegallery-container\" ba-repeat=\"{{image::images}}\" class=\"{{css}}-imagegallery-container\" data-gallery-container>\n\t\t<div tabindex=\"0\" data-selector=\"imagegallery-selected-image\"\n\t\t\t ba-hotkey:space^enter=\"{{select(image)}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-imagegallery-image\"\n\t\t\t ba-styles=\"{{{left: image.left + 'px', top: image.top + 'px', width: image.width + 'px', height: image.height + 'px'}}}\"\n\t\t\t onclick=\"{{select(image)}}\"\n\t\t>\n\t\t</div>\n\t</div>\n\n\t<div data-selector=\"slider-right-button\" class=\"{{css}}-imagegallery-rightbutton\">\n\t\t<div tabindex=\"0\" data-selector=\"slider-right-inner-button\"\n\t\t\t ba-hotkey:space^enter^right=\"{{right()}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-imagegallery-button-inner\"\n\t\t\t onclick=\"{{right()}}\"\n\t\t>\n\t\t\t<i class=\"{{csscommon}}-icon-right-open\"></i>\n\t\t</div>\n\t</div>\n</div>\n\n<div ba-if=\"{{!showslidercontainer}}\" class=\"{{css}}-chooser-container\">\n\t<div data-selector=\"covershot-primary-button\" class=\"{{css}}-chooser-button-container\">\n\t\t<div class=\"{{css}}-chooser-button-0\">\n\t\t\t<input type=\"file\"\n\t\t\t\t   tabindex=\"0\"\n\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t   accept=\"{{covershot_accept_string}}\"\n\t\t\t\t   onchange=\"{{uploadCovershot(domEvent)}}\"\n\t\t\t/>\n\t\t\t<i class=\"{{csscommon}}-icon-picture\"></i>\n\t\t\t<span>\n\t\t\t{{string('upload-covershot')}}\n\t\t</span>\n\t\t</div>\n\t</div>\n</div>\n",
            tmplchooser: "<div class=\"{{css}}-chooser-container\">\n\t<div ba-if=\"{{initialmessages.length > 0}}\" class=\"{{csscommon}}-message-container\">\n\t\t<ul ba-repeat=\"{{initialmessage :: initialmessages}}\">\n\t\t\t<li ba-if=\"{{initialmessage.message}}\"\n\t\t\t\tclass=\"{{csscommon}}-message-text {{csscommon}}-message-{{initialmessage.type ? initialmessage.type : 'default'}}\"\n\t\t\t>\n\t\t\t\t{{ initialmessage.message }}\n\t\t\t\t<span ba-if=\"{{initialmessage.id}}\"\n\t\t\t\t\t  class=\"{{csscommon}}-action-button\"\n\t\t\t\t\t  ba-click=\"close_message(initialmessage.id)\"\n\t\t\t\t>\n\t\t\t\t\t<i class=\"{{csscommon}}-icon-cancel\"></i>\n\t\t\t\t</span>\n\t\t\t</li>\n\t\t</ul>\n\t</div>\n\n\t<div class=\"{{css}}-chooser-button-container\">\n\n\t\t<div ba-repeat=\"{{action :: actions}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{click_action(action)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t class=\"{{css}}-chooser-button-{{action.index}}\"\n\t\t\t\t ba-click=\"{{click_action(action)}}\">\n\t\t\t\t<input ba-if=\"{{action.select && action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t\t   capture=\"{{action.switchcamera}}\" />\n\t\t\t\t<input ba-if=\"{{action.select && !action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t/>\n\t\t\t\t<span>\n\t\t\t\t\t{{action.label}}\n\t\t\t\t</span>\n\t\t\t\t<i class=\"{{csscommon}}-icon-{{action.icon}}\"\n\t\t\t\t   ba-if=\"{{action.icon}}\"></i>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</div>\n",
            tmplmessage: "<div data-selector=\"recorder-message-container\" class=\"{{cssrecorder}}-message-container\" ba-click=\"{{click()}}\">\n    <div class=\"{{cssrecorder}}-top-inner-message-container {{cssrecorder}}-{{shortMessage ? 'short-message' : 'long-message'}}\">\n        <div class=\"{{cssrecorder}}-first-inner-message-container\">\n            <div class=\"{{cssrecorder}}-second-inner-message-container\">\n                <div class=\"{{cssrecorder}}-third-inner-message-container\">\n                    <div class=\"{{cssrecorder}}-fourth-inner-message-container\">\n                        <div data-selector=\"recorder-message-block\" class='{{cssrecorder}}-message-message'>\n                            <p>\n                                {{message || \"\"}}\n                            </p>\n                            <ul ba-if=\"{{links && links.length > 0}}\" ba-repeat=\"{{link :: links}}\">\n                                <li>\n                                    <a href=\"javascript:;\" ba-click=\"{{linkClick(link)}}\">\n                                        {{link.title}}\n                                    </a>\n                                </li>\n                            </ul>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n"
        }
    };
});

Scoped.extend("module:Assets.imageviewerthemes", ["browser:Info","dynamics:Parser"], function(Info, Parser) {
    var ie8 = Info.isInternetExplorer() && Info.internetExplorerVersion() <= 8;
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "activitydelta > 5000 && hideoninactivity ? (css + '-dashboard-hidden') : ''": function (obj) { return obj.activitydelta > 5000 && obj.hideoninactivity ? (obj.css + '-dashboard-hidden') : ''; }, "title": function (obj) { return obj.title; }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-image')": function (obj) { return obj.string('submit-image'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-image')": function (obj) { return obj.string('rerecord-image'); }, "csscommon": function (obj) { return obj.csscommon; }, "toggle_fullscreen()": function (obj) { return obj.toggle_fullscreen(); }, "tab_index_move(domEvent)": function (obj) { return obj.tab_index_move(obj.domEvent); }, "fullscreen": function (obj) { return obj.fullscreen; }, "fullscreened ? string('exit-fullscreen-image') : string('fullscreen-image')": function (obj) { return obj.fullscreened ? obj.string('exit-fullscreen-image') : obj.string('fullscreen-image'); }, "fullscreened ? 'resize-minimize' : 'resize-full'": function (obj) { return obj.fullscreened ? 'resize-minimize' : 'resize-full'; }/**/
    });
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "click()": function (obj) { return obj.click(); }, "message || \"\"": function (obj) { return obj.message || ""; }/**/
    });
    return {
        "space": {
            css: "ba-imageviewer",
            csstheme: "ba-imageviewer-space-theme",
            tmplcontrolbar: "<div class=\"{{css}}-image-title-container {{activitydelta > 5000 && hideoninactivity ? (css + '-dashboard-hidden') : ''}}\">\n    <div class=\"{{css}}-title\" ba-if=\"{{title}}\">\n        <p>{{title}}</p>\n    </div>\n\n</div>\n\n<div class=\"{{css}}-dashboard {{activitydelta > 5000 && hideoninactivity ? (css + '-dashboard-hidden') : ''}}\">\n\n    <div class=\"{{css}}-controlbar-footer\">\n        <div tabindex=\"0\" data-selector=\"submit-image-button\"\n             ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n             class=\"{{css}}-leftbutton-container\" ba-if=\"{{submittable}}\"  ba-click=\"{{submit()}}\"\n        >\n           <div class=\"{{css}}-button-inner\">\n               {{string('submit-image')}}\n           </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-ccw\"\n             ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n             class=\"{{css}}-leftbutton-container\" ba-if=\"{{rerecordable}}\"\n             ba-click=\"{{rerecord()}}\" title=\"{{string('rerecord-image')}}\"\n        >\n           <div class=\"{{css}}-button-inner\">\n               <i class=\"{{csscommon}}-icon-ccw\"></i>\n           </div>\n        </div>\n\n        <div tabindex=\"8\" data-selector=\"button-icon-resize-full\"\n             ba-hotkey:space^enter=\"{{toggle_fullscreen()}}\" onmouseout=\"this.blur()\"\n             onkeydown=\"{{tab_index_move(domEvent)}}\"\n             class=\"{{css}}-rightbutton-container\"\n             ba-if=\"{{fullscreen}}\" ba-click=\"{{toggle_fullscreen()}}\" title=\"{{ fullscreened ? string('exit-fullscreen-image') : string('fullscreen-image') }}\"\n        >\n            <div class=\"{{css}}-button-inner {{css}}-full-screen-btn-inner\">\n                <i class=\"{{csscommon}}-icon-{{fullscreened ? 'resize-minimize' : 'resize-full'}}\"></i>\n            </div>\n        </div>\n\n    </div>\n\n</div>\n",
            tmplmessage: "<div class=\"{{css}}-message-container\" ba-click=\"{{click()}}\">\n    <div data-selector=\"message-block\" class=\"{{css}}-first-inner-message-container\">\n        <div class=\"{{css}}-second-inner-message-container\">\n            <div class=\"{{css}}-third-inner-message-container\">\n                <div class=\"{{css}}-fourth-inner-message-container\">\n                    <div class='{{css}}-message-message'>\n                        {{message || \"\"}}\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n",
            cssloader: ie8 ? "ba-imageviewer" : "",
            cssmessage: "ba-imageviewer"
        }
    };
});

Scoped.extend("module:Assets.audioplayerthemes", ["browser:Info","dynamics:Parser"], function(Info, Parser) {
    var ie8 = Info.isInternetExplorer() && Info.internetExplorerVersion() <= 8;
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "title": function (obj) { return obj.title; }, "set_volume(volume + 0.1)": function (obj) { return obj.set_volume(obj.volume + 0.1); }, "set_volume(volume - 0.1)": function (obj) { return obj.set_volume(obj.volume - 0.1); }, "startUpdateVolume(domEvent)": function (obj) { return obj.startUpdateVolume(obj.domEvent); }, "stopUpdateVolume(domEvent)": function (obj) { return obj.stopUpdateVolume(obj.domEvent); }, "progressUpdateVolume(domEvent)": function (obj) { return obj.progressUpdateVolume(obj.domEvent); }, "{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}": function (obj) { return {width: Math.ceil(1+Math.min(99, Math.round(obj.volume * 100))) + '%'}; }, "string('volume-button')": function (obj) { return obj.string('volume-button'); }, "toggle_volume()": function (obj) { return obj.toggle_volume(); }, "string(volume > 0 ? 'volume-mute' : 'volume-unmute')": function (obj) { return obj.string(obj.volume > 0 ? 'volume-mute' : 'volume-unmute'); }, "csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off'))": function (obj) { return obj.csscommon + '-icon-volume-' + (obj.volume >= 0.5 ? 'up' : (obj.volume > 0 ? 'down' : 'off')); }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-audio')": function (obj) { return obj.string('submit-audio'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-audio')": function (obj) { return obj.string('rerecord-audio'); }, "csscommon": function (obj) { return obj.csscommon; }, "play()": function (obj) { return obj.play(); }, "tab_index_move(domEvent, null, 'button-icon-pause')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-pause'); }, "!playing": function (obj) { return !obj.playing; }, "string('play-audio')": function (obj) { return obj.string('play-audio'); }, "pause()": function (obj) { return obj.pause(); }, "tab_index_move(domEvent, null, 'button-icon-play')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-play'); }, "disablepause ? cssplayer + '-disabled' : ''": function (obj) { return obj.disablepause ? obj.cssplayer + '-disabled' : ''; }, "playing": function (obj) { return obj.playing; }, "disablepause ? string('pause-audio-disabled') : string('pause-audio')": function (obj) { return obj.disablepause ? obj.string('pause-audio-disabled') : obj.string('pause-audio'); }, "string('elapsed-time')": function (obj) { return obj.string('elapsed-time'); }, "formatTime(position)": function (obj) { return obj.formatTime(obj.position); }, "string('total-time')": function (obj) { return obj.string('total-time'); }, "formatTime(duration || position)": function (obj) { return obj.formatTime(obj.duration || obj.position); }, "disableseeking ? cssplayer + '-disabled' : ''": function (obj) { return obj.disableseeking ? obj.cssplayer + '-disabled' : ''; }, "seek(position + skipseconds)": function (obj) { return obj.seek(obj.position + obj.skipseconds); }, "seek(position - skipseconds)": function (obj) { return obj.seek(obj.position - obj.skipseconds); }, "startUpdatePosition(domEvent)": function (obj) { return obj.startUpdatePosition(obj.domEvent); }, "stopUpdatePosition(domEvent)": function (obj) { return obj.stopUpdatePosition(obj.domEvent); }, "progressUpdatePosition(domEvent)": function (obj) { return obj.progressUpdatePosition(obj.domEvent); }, "{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.cached / obj.duration * 100 : 0) + '%'}; }, "{width: Math.round(duration ? position / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.position / obj.duration * 100 : 0) + '%'}; }, "string('audio-progress')": function (obj) { return obj.string('audio-progress'); }/**/
    });
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "click()": function (obj) { return obj.click(); }, "message || \"\"": function (obj) { return obj.message || ""; }/**/
    });
    return {
        "space": {
            css: "ba-audioplayer",
            csstheme: "ba-player-space-theme",
            tmplcontrolbar: "<div class=\"{{csstheme}}-title-container \">\n    <div class=\"{{csstheme}}-title\" ba-if=\"{{title}}\">\n        <p>{{title}}</p>\n    </div>\n\n    <div class=\"{{csstheme}}-volumebar\">\n        <div tabindex=\"2\" data-selector=\"button-volume-bar\"\n             ba-hotkey:right=\"{{set_volume(volume + 0.1)}}\"\n             ba-hotkey:left=\"{{set_volume(volume - 0.1)}}\"\n             onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-volumebar-inner\"\n             onmousedown=\"{{startUpdateVolume(domEvent)}}\"\n             onmouseup=\"{{stopUpdateVolume(domEvent)}}\"\n             onmouseleave=\"{{stopUpdateVolume(domEvent)}}\"\n             onmousemove=\"{{progressUpdateVolume(domEvent)}}\"\n        >\n            <div class=\"{{csstheme}}-volumebar-position\" ba-styles=\"{{{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}}}\" title=\"{{string('volume-button')}}\"></div>\n        </div>\n    </div>\n\n    <div tabindex=\"0\" data-selector=\"button-icon-volume\"\n         ba-hotkey:space^enter=\"{{toggle_volume()}}\" onmouseout=\"this.blur()\"\n         class=\"{{csstheme}}-rightbutton-container\"\n         ba-click=\"{{toggle_volume()}}\" title=\"{{string(volume > 0 ? 'volume-mute' : 'volume-unmute')}}\"\n    >\n        <div class=\"{{csstheme}}-button-inner\">\n            <i class=\"{{csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off')) }}\"></i>\n        </div>\n    </div>\n</div>\n\n<div class=\"{{csstheme}}-dashboard \">\n\n    <div class=\"{{csstheme}}-controlbar-footer\">\n        <div tabindex=\"0\" data-selector=\"submit-audio-button\"\n             ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-leftbutton-container\" ba-if=\"{{submittable}}\"  ba-click=\"{{submit()}}\"\n        >\n           <div class=\"{{csstheme}}-button-inner\">\n               {{string('submit-audio')}}\n           </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-ccw\"\n             ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-leftbutton-container\" ba-if=\"{{rerecordable}}\"\n             ba-click=\"{{rerecord()}}\" title=\"{{string('rerecord-audio')}}\"\n        >\n           <div class=\"{{csstheme}}-button-inner\">\n               <i class=\"{{csscommon}}-icon-ccw\"></i>\n           </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-play\"\n             ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n             onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-pause')}}\"\n             class=\"{{csstheme}}-leftbutton-container\" ba-if=\"{{!playing}}\" ba-click=\"{{play()}}\" title=\"{{string('play-audio')}}\"\n        >\n           <div class=\"{{csstheme}}-button-inner\">\n               <i class=\"{{csscommon}}-icon-play\"></i>\n           </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-pause\"\n             ba-hotkey:space^enter=\"{{pause()}}\" onmouseout=\"this.blur()\"\n             onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-play')}}\"\n             class=\"{{csstheme}}-leftbutton-container {{disablepause ? cssplayer + '-disabled' : ''}}\"\n             ba-if=\"{{playing}}\" ba-click=\"{{pause()}}\" title=\"{{disablepause ? string('pause-audio-disabled') : string('pause-audio')}}\"\n        >\n           <div class=\"{{csstheme}}-button-inner\">\n               <i class=\"{{csscommon}}-icon-pause\"></i>\n           </div>\n        </div>\n\n        <div class=\"{{csstheme}}-time-container\">\n           <div class=\"{{csstheme}}-time-value\" title=\"{{string('elapsed-time')}}\">{{formatTime(position)}}</div>\n        </div>\n\n        <div class=\"{{csstheme}}-time-container {{csstheme}}-rightbutton-container {{csstheme}}-right-time-container\">\n           <div class=\"{{csstheme}}-time-value\" title=\"{{string('total-time')}}\">{{formatTime(duration || position)}}</div>\n        </div>\n\n        <div class=\"{{csstheme}}-progressbar {{disableseeking ? cssplayer + '-disabled' : ''}}\">\n           <div tabindex=\"4\" data-selector=\"progress-bar-inner\"\n                ba-hotkey:right=\"{{seek(position + skipseconds)}}\"\n                ba-hotkey:left=\"{{seek(position - skipseconds)}}\"\n                onmouseout=\"this.blur()\"\n                class=\"{{csstheme}}-progressbar-inner\"\n                onmousedown=\"{{startUpdatePosition(domEvent)}}\"\n                onmouseup=\"{{stopUpdatePosition(domEvent)}}\"\n                onmouseleave=\"{{stopUpdatePosition(domEvent)}}\"\n                onmousemove=\"{{progressUpdatePosition(domEvent)}}\"\n           >\n\n               <div class=\"{{csstheme}}-progressbar-cache\" ba-styles=\"{{{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}}}\"></div>\n               <div class=\"{{csstheme}}-progressbar-position\" ba-styles=\"{{{width: Math.round(duration ? position / duration * 100 : 0) + '%'}}}\" title=\"{{string('audio-progress')}}\">\n                   <div class=\"{{csstheme}}-progressbar-button\"></div>\n               </div>\n           </div>\n        </div>\n\n    </div>\n\n</div>\n",
            tmplmessage: "<div class=\"{{css}}-message-container\" ba-click=\"{{click()}}\">\n    <div data-selector=\"message-block\" class=\"{{css}}-first-inner-message-container\">\n        <div class=\"{{css}}-second-inner-message-container\">\n            <div class=\"{{css}}-third-inner-message-container\">\n                <div class=\"{{css}}-fourth-inner-message-container\">\n                    <div class='{{css}}-message-message'>\n                        {{message || \"\"}}\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n",
            cssloader: ie8 ? "ba-audioplayer" : "",
            cssmessage: "ba-audioplayer"
        }
    };
});

Scoped.extend("module:Assets.audiorecorderthemes", ["dynamics:Parser"], function(Parser) {
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "topmessage": function (obj) { return obj.topmessage; }/**/
    });
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "css": function (obj) { return obj.css; }, "settingsvisible && settingsopen": function (obj) { return obj.settingsvisible && obj.settingsopen; }, "cameras": function (obj) { return obj.cameras; }, "selectCamera(camera.id)": function (obj) { return obj.selectCamera(obj.camera.id); }, "selectedcamera == camera.id": function (obj) { return obj.selectedcamera == obj.camera.id; }, "camera.label": function (obj) { return obj.camera.label; }, "microphones": function (obj) { return obj.microphones; }, "audio": function (obj) { return obj.audio; }, "selectMicrophone(microphone.id)": function (obj) { return obj.selectMicrophone(obj.microphone.id); }, "selectedmicrophone == microphone.id": function (obj) { return obj.selectedmicrophone == obj.microphone.id; }, "microphone.label": function (obj) { return obj.microphone.label; }, "rerecordvisible": function (obj) { return obj.rerecordvisible; }, "rerecord()": function (obj) { return obj.rerecord(); }, "hover(string('rerecord-tooltip'))": function (obj) { return obj.hover(obj.string('rerecord-tooltip')); }, "unhover()": function (obj) { return obj.unhover(); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "cancelvisible": function (obj) { return obj.cancelvisible; }, "cancel()": function (obj) { return obj.cancel(); }, "hover(string('cancel-tooltip'))": function (obj) { return obj.hover(obj.string('cancel-tooltip')); }, "string('cancel')": function (obj) { return obj.string('cancel'); }, "settingsvisible": function (obj) { return obj.settingsvisible; }, "settingsopen=!settingsopen": function (obj) { return obj.settingsopen=!obj.settingsopen; }, "settingsopen ? 'selected' : 'unselected'": function (obj) { return obj.settingsopen ? 'selected' : 'unselected'; }, "hover(string('settings'))": function (obj) { return obj.hover(obj.string('settings')); }, "csscommon": function (obj) { return obj.csscommon; }, "!noaudio && !allowscreen": function (obj) { return !obj.noaudio && !obj.allowscreen; }, "hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))": function (obj) { return obj.hover(obj.string(obj.microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy')); }, "microphonehealthy ? 'good' : 'bad'": function (obj) { return obj.microphonehealthy ? 'good' : 'bad'; }, "hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))": function (obj) { return obj.hover(obj.string(obj.camerahealthy ? 'camerahealthy' : 'cameraunhealthy')); }, "camerahealthy ? 'good' : 'bad'": function (obj) { return obj.camerahealthy ? 'good' : 'bad'; }, "recordvisible": function (obj) { return obj.recordvisible; }, "record()": function (obj) { return obj.record(); }, "hover(string('record-tooltip'))": function (obj) { return obj.hover(obj.string('record-tooltip')); }, "string('record')": function (obj) { return obj.string('record'); }, "stopvisible": function (obj) { return obj.stopvisible; }, "controlbarlabel && !rerecordvisible": function (obj) { return obj.controlbarlabel && !obj.rerecordvisible; }, "controlbarlabel": function (obj) { return obj.controlbarlabel; }, "stop()": function (obj) { return obj.stop(); }, "mintimeindicator ? css + '-disabled': ''": function (obj) { return obj.mintimeindicator ? obj.css + '-disabled': ''; }, "mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')": function (obj) { return obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip'); }, "hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))": function (obj) { return obj.hover(obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip')); }, "string('stop')": function (obj) { return obj.string('stop'); }, "skipvisible": function (obj) { return obj.skipvisible; }, "skip()": function (obj) { return obj.skip(); }, "hover(string('skip-tooltip'))": function (obj) { return obj.hover(obj.string('skip-tooltip')); }, "string('skip')": function (obj) { return obj.string('skip'); }, "uploadcovershotvisible": function (obj) { return obj.uploadcovershotvisible; }, "hover(string('upload-covershot-tooltip'))": function (obj) { return obj.hover(obj.string('upload-covershot-tooltip')); }, "uploadCovershot(domEvent)": function (obj) { return obj.uploadCovershot(obj.domEvent); }, "covershot_accept_string": function (obj) { return obj.covershot_accept_string; }, "string('upload-covershot')": function (obj) { return obj.string('upload-covershot'); }/**/
    });
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "actions": function (obj) { return obj.actions; }, "click_action(action)": function (obj) { return obj.click_action(obj.action); }, "action.index": function (obj) { return obj.action.index; }, "action.select && action.capture": function (obj) { return obj.action.select && obj.action.capture; }, "select_file_action(action, domEvent)": function (obj) { return obj.select_file_action(obj.action, obj.domEvent); }, "action.accept": function (obj) { return obj.action.accept; }, "action.select && !action.capture": function (obj) { return obj.action.select && !obj.action.capture; }, "action.label": function (obj) { return obj.action.label; }, "csscommon": function (obj) { return obj.csscommon; }, "action.icon": function (obj) { return obj.action.icon; }/**/
    });
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "click()": function (obj) { return obj.click(); }, "shortMessage ? 'short-message' : 'long-message'": function (obj) { return obj.shortMessage ? 'short-message' : 'long-message'; }, "message || \"\"": function (obj) { return obj.message || ""; }, "links && links.length > 0": function (obj) { return obj.links && obj.links.length > 0; }, "links": function (obj) { return obj.links; }, "linkClick(link)": function (obj) { return obj.linkClick(obj.link); }, "link.title": function (obj) { return obj.link.title; }/**/
    });
    return {
        "space": {
            css: "ba-audiorecorder",
            csstheme: "ba-audiorecorder-theme-space",
            cssrecorder: "ba-recorder",
            cssmessage: "ba-audiorecorder",
            cssloader: "ba-audiorecorder",
            tmpltopmessage: "<div class=\"{{css}}-topmessage-container\">\n    <div data-selector=\"recorder-topmessage-block\" class='{{css}}-topmessage-message'>\n        {{topmessage}}\n    </div>\n</div>\n",
            tmplcontrolbar: "<div class=\"{{csstheme}}-dashboard\">\n\n\t<div class=\"{{css}}-settings-front\">\n\n\t\t\n\t\t<div data-selector=\"recorder-settings\" class=\"{{css}}-settings\" ba-show=\"{{settingsvisible && settingsopen}}\">\n\t\t\t<div class=\"{{css}}-bubble-info\">\n\t\t\t\t<ul data-selector=\"camera-settings\" ba-repeat=\"{{camera :: cameras}}\">\n\t\t\t\t\t<li>\n\t\t\t\t\t\t<input tabindex=\"0\"\n\t\t\t\t\t\t\t   ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t   type='radio' name='camera' value=\"{{selectedcamera == camera.id}}\"\n\t\t\t\t\t\t\t   onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t\t/>\n\t\t\t\t\t\t<span></span>\n\t\t\t\t\t\t<label onclick=\"{{selectCamera(camera.id)}}\" ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\">\n\t\t\t\t\t\t\t{{camera.label}}\n\t\t\t\t\t\t</label>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\t\t\t\t<ul data-selector=\"record-button-icon-cog\" ba-repeat=\"{{microphone :: microphones}}\" ba-show=\"{{audio}}\">\n\t\t\t\t\t<li tabindex=\"0\"\n\t\t\t\t\t\tba-hotkey:space^enter=\"{{selectMicrophone(microphone.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\tonclick=\"{{selectMicrophone(microphone.id)}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<input type='radio' name='microphone' value=\"{{selectedmicrophone == microphone.id}}\" />\n\t\t\t\t\t\t<span></span>\n\t\t\t\t\t\t<label>\n\t\t\t\t\t\t\t{{microphone.label}}\n\t\t\t\t\t\t</label>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\t\t\t</div>\n\t\t</div>\n\n\t</div>\n\n\t\n\t<div data-selector=\"controlbar\" class=\"{{css}}-controlbar\">\n\n\t\t<div class=\"{{css}}-controlbar-center-section\">\n\n\t\t\t<div data-selector=\"rerecord-primary-button\" class=\"{{css}}-button-container\" ba-show=\"{{rerecordvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{rerecord()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('rerecord-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('rerecord')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div data-selector=\"cancel-primary-button\" class=\"{{css}}-button-container\" ba-show=\"{{cancelvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{cancel()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t class=\"{{css}}-button-primary\" onclick=\"{{cancel()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('cancel-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('cancel')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t</div>\n\n\t\t<div class=\"{{css}}-controlbar-left-section\" ba-show=\"{{settingsvisible}}\">\n\n            <div class=\"{{css}}-circle-button\" ba-show=\"{{settingsvisible}}\">\n\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{settingsopen=!settingsopen}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"record-button-icon-cog\" class=\"{{css}}-button-inner {{css}}-button-circle-{{settingsopen ? 'selected' : 'unselected' }}\"\n\t\t\t\t\t onclick=\"{{settingsopen=!settingsopen}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('settings'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t<i class=\"{{csscommon}}-icon-cog\"></i>\n\t\t\t\t</div>\n\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-circle-button\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\t\t\t\t<div data-selector=\"record-button-icon-mic\" class=\"{{css}}-button-inner\"\n\t\t\t\t\tonmouseenter=\"{{hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))}}\"\n\t\t\t\t\tonmouseleave=\"{{unhover()}}\">\n\t\t\t\t\t<i class=\"{{csscommon}}-icon-mic {{csscommon}}-icon-state-{{microphonehealthy ? 'good' : 'bad' }}\"></i>\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-circle-button\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\t\t\t\t<div data-selector=\"record-button-icon-audiocam\" class=\"{{css}}-button-inner\"\n\t\t\t\t\tonmouseenter=\"{{hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))}}\"\n\t\t\t\t\tonmouseleave=\"{{unhover()}}\">\n                    <i class=\"{{csscommon}}-icon-audiocam {{csscommon}}-icon-state-{{ camerahealthy ? 'good' : 'bad' }}\"></i>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\n\t\t<div class=\"{{css}}-controlbar-right-section\">\n\n\t\t\t<div class=\"{{css}}-rightbutton-container\" ba-show=\"{{recordvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{record()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"record-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{record()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('record-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('record')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t</div>\n\n\t\t<div class=\"{{css}}-stop-container\" ba-show=\"{{stopvisible}}\">\n\n\t\t\t<div class=\"{{css}}-timer-container\">\n\t\t\t\t<div class=\"{{css}}-label-container\" ba-show=\"{{controlbarlabel && !rerecordvisible}}\">\n\t\t\t\t\t<div data-selector=\"record-label-block\" class=\"{{css}}-label {{css}}-button-primary\">\n\t\t\t\t\t\t{{controlbarlabel}}\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-stop-button-container\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{stop()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"stop-primary-button\"\n\t\t\t\t\t class=\"{{css}}-button-primary {{mintimeindicator ? css + '-disabled': ''}}\"\n\t\t\t\t\t title=\"{{mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')}}\"\n\t\t\t\t\t onclick=\"{{stop()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('stop')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\n        <div class=\"{{css}}-centerbutton-container\" ba-show=\"{{skipvisible}}\">\n            <div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{skip()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"skip-primary-button\" class=\"{{css}}-button-primary\"\n                 onclick=\"{{skip()}}\"\n                 onmouseenter=\"{{hover(string('skip-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n                {{string('skip')}}\n            </divi>\n        </div>\n\n\n        <div class=\"{{css}}-rightbutton-container\" ba-if=\"{{uploadcovershotvisible}}\">\n            <div data-selector=\"covershot-primary-button\" class=\"{{css}}-button-primary\"\n                 onmouseenter=\"{{hover(string('upload-covershot-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\">\n                <input type=\"file\"\n                       class=\"{{css}}-chooser-file\"\n                       style=\"height:100px\"\n                       onchange=\"{{uploadCovershot(domEvent)}}\"\n                       accept=\"{{covershot_accept_string}}\" />\n                <span>\n                    {{string('upload-covershot')}}\n                </span>\n            </div>\n        </div>\n\n\t</div>\n\n</div>\n",
            tmplchooser: "<div class=\"{{css}}-chooser-container\">\n\n\t<div class=\"{{css}}-chooser-button-container\">\n\n\t\t<div ba-repeat=\"{{action :: actions}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{click_action(action)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t class=\"{{css}}-chooser-button-{{action.index}}\"\n\t\t\t\t ba-click=\"{{click_action(action)}}\">\n\t\t\t\t<input ba-if=\"{{action.select && action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t\t   capture />\n\t\t\t\t<input ba-if=\"{{action.select && !action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t/>\n\t\t\t\t<span>\n\t\t\t\t\t{{action.label}}\n\t\t\t\t</span>\n\t\t\t\t<i class=\"{{csscommon}}-icon-{{action.icon}}\"\n\t\t\t\t   ba-if=\"{{action.icon}}\"></i>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</div>",
            tmplmessage: "<div data-selector=\"recorder-message-container\" class=\"{{css}}-message-container\" ba-click=\"{{click()}}\">\n    <div class=\"{{css}}-top-inner-message-container {{css}}-{{shortMessage ? 'short-message' : 'long-message'}}\">\n        <div class=\"{{css}}-first-inner-message-container\">\n            <div class=\"{{css}}-second-inner-message-container\">\n                <div class=\"{{css}}-third-inner-message-container\">\n                    <div class=\"{{css}}-fourth-inner-message-container\">\n                        <div data-selector=\"recorder-message-block\" class='{{css}}-message-message'>\n                            <p>\n                                {{message || \"\"}}\n                            </p>\n                            <ul ba-if=\"{{links && links.length > 0}}\" ba-repeat=\"{{link :: links}}\">\n                                <li>\n                                    <a href=\"javascript:;\" ba-click=\"{{linkClick(link)}}\">\n                                        {{link.title}}\n                                    </a>\n                                </li>\n                            </ul>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n"
        }
    };
});


}).call(Scoped);
(function () {
var Scoped = this.subScope();
Scoped.binding('browser', 'root:BetaJS.Browser');
Scoped.binding('dynamics', 'root:BetaJS.Dynamics');
Scoped.binding('module', 'root:BetaJS.MediaComponents');
Scoped.extend("module:Assets.playerthemes", ["browser:Info","dynamics:Parser"], function(Info, Parser) {
    var ie8 = Info.isInternetExplorer() && Info.internetExplorerVersion() <= 8;
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-dashboard-hidden') : ''": function (obj) { return obj.activitydelta > obj.hidebarafter && obj.hideoninactivity ? (obj.cssplayer + '-dashboard-hidden') : ''; }, "toggle_fullscreen()": function (obj) { return obj.toggle_fullscreen(); }, "tab_index_move(domEvent)": function (obj) { return obj.tab_index_move(obj.domEvent); }, "fullscreen": function (obj) { return obj.fullscreen; }, "fullscreened ? string('exit-fullscreen-video') : string('fullscreen-video')": function (obj) { return obj.fullscreened ? obj.string('exit-fullscreen-video') : obj.string('fullscreen-video'); }, "csscommon": function (obj) { return obj.csscommon; }, "fullscreened ? 'small' : 'full'": function (obj) { return obj.fullscreened ? 'small' : 'full'; }, "toggle_volume()": function (obj) { return obj.toggle_volume(); }, "string(volume > 0 ? 'volume-mute' : 'volume-unmute')": function (obj) { return obj.string(obj.volume > 0 ? 'volume-mute' : 'volume-unmute'); }, "csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off'))": function (obj) { return obj.csscommon + '-icon-volume-' + (obj.volume >= 0.5 ? 'up' : (obj.volume > 0 ? 'down' : 'off')); }, "!hidevolumebar": function (obj) { return !obj.hidevolumebar; }, "set_volume(volume + 0.1)": function (obj) { return obj.set_volume(obj.volume + 0.1); }, "set_volume(volume - 0.1)": function (obj) { return obj.set_volume(obj.volume - 0.1); }, "startUpdateVolume(domEvent)": function (obj) { return obj.startUpdateVolume(obj.domEvent); }, "progressUpdateVolume(domEvent)": function (obj) { return obj.progressUpdateVolume(obj.domEvent); }, "stopUpdateVolume(domEvent); this.blur()": function (obj) { return obj.stopUpdateVolume(obj.domEvent); this.blur(); }, "stopUpdateVolume(domEvent)": function (obj) { return obj.stopUpdateVolume(obj.domEvent); }, "{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}": function (obj) { return {width: Math.ceil(1+Math.min(99, Math.round(obj.volume * 100))) + '%'}; }, "string('volume-button')": function (obj) { return obj.string('volume-button'); }, "title": function (obj) { return obj.title; }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-video')": function (obj) { return obj.string('submit-video'); }, "skipinitial ? 0 : -1": function (obj) { return obj.skipinitial ? 0 : -1; }, "play()": function (obj) { return obj.play(); }, "tab_index_move(domEvent, null, 'button-icon-pause')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-pause'); }, "!playing": function (obj) { return !obj.playing; }, "string('play-video')": function (obj) { return obj.string('play-video'); }, "pause()": function (obj) { return obj.pause(); }, "tab_index_move(domEvent, null, 'button-icon-play')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-play'); }, "disablepause ? cssplayer + '-disabled' : ''": function (obj) { return obj.disablepause ? obj.cssplayer + '-disabled' : ''; }, "playing": function (obj) { return obj.playing; }, "disablepause ? string('pause-video-disabled') : string('pause-video')": function (obj) { return obj.disablepause ? obj.string('pause-video-disabled') : obj.string('pause-video'); }, "disableseeking ? cssplayer + '-disabled' : ''": function (obj) { return obj.disableseeking ? obj.cssplayer + '-disabled' : ''; }, "seek(position + skipseconds)": function (obj) { return obj.seek(obj.position + obj.skipseconds); }, "seek(position - skipseconds)": function (obj) { return obj.seek(obj.position - obj.skipseconds); }, "startUpdatePosition(domEvent)": function (obj) { return obj.startUpdatePosition(obj.domEvent); }, "{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.cached / obj.duration * 100 : 0) + '%'}; }, "{width: Math.round(duration ? position / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.position / obj.duration * 100 : 0) + '%'}; }, "string('video-progress')": function (obj) { return obj.string('video-progress'); }, "trimmingmode": function (obj) { return obj.trimmingmode; }, "{left: Math.round(duration && trimstart ? trimstart / duration * 100 : 0) + '%'}": function (obj) { return {left: Math.round(obj.duration && obj.trimstart ? obj.trimstart / obj.duration * 100 : 0) + '%'}; }, "{left: 'auto', right: 100 - Math.round(duration && trimend ? trimend / duration * 100 : 100) + '%'}": function (obj) { return {left: 'auto', right: 100 - Math.round(obj.duration && obj.trimend ? obj.trimend / obj.duration * 100 : 100) + '%'}; }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-video')": function (obj) { return obj.string('rerecord-video'); }, "toggle_position_info()": function (obj) { return obj.toggle_position_info(); }, "revertposition ? string('remaining-time') : string('elapsed-time')": function (obj) { return obj.revertposition ? obj.string('remaining-time') : obj.string('elapsed-time'); }, "(revertposition && duration > 0) ? \"-\" : \"\"": function (obj) { return (obj.revertposition && obj.duration > 0) ? "-" : ""; }, "(revertposition && duration > 0) ? formatTime(duration - position) : formatTime(position)": function (obj) { return (obj.revertposition && obj.duration > 0) ? obj.formatTime(obj.duration - obj.position) : obj.formatTime(obj.position); }, "string('total-time')": function (obj) { return obj.string('total-time'); }, "formatTime(duration || position)": function (obj) { return obj.formatTime(obj.duration || obj.position); }, "toggle_stream()": function (obj) { return obj.toggle_stream(); }, "streams.length > 1 && currentstream": function (obj) { return obj.streams.length > 1 && obj.currentstream; }, "string('change-resolution')": function (obj) { return obj.string('change-resolution'); }, "currentstream_label": function (obj) { return obj.currentstream_label; }, "show_airplay_devices()": function (obj) { return obj.show_airplay_devices(); }, "cssplayer": function (obj) { return obj.cssplayer; }, "airplaybuttonvisible": function (obj) { return obj.airplaybuttonvisible; }, "castbuttonvisble": function (obj) { return obj.castbuttonvisble; }, "toggle_settings_menu()": function (obj) { return obj.toggle_settings_menu(); }, "settingsmenuactive ? 'visible' : 'hidden'": function (obj) { return obj.settingsmenuactive ? 'visible' : 'hidden'; }, "settingsmenubutton": function (obj) { return obj.settingsmenubutton; }, "string('settings')": function (obj) { return obj.string('settings'); }, "trim()": function (obj) { return obj.trim(); }, "string('trim-video')": function (obj) { return obj.string('trim-video'); }, "frameselectionmode": function (obj) { return obj.frameselectionmode; }, "select_frame()": function (obj) { return obj.select_frame(); }, "string('select-frame')": function (obj) { return obj.string('select-frame'); }, "toggle_tracks()": function (obj) { return obj.toggle_tracks(); }, "(tracktags.length > 0 && showsubtitlebutton) || allowtexttrackupload": function (obj) { return (obj.tracktags.length > 0 && obj.showsubtitlebutton) || obj.allowtexttrackupload; }, "tracktextvisible ? 'active' : 'inactive'": function (obj) { return obj.tracktextvisible ? 'active' : 'inactive'; }, "tracktextvisible ? string('close-tracks') : string('show-tracks')": function (obj) { return obj.tracktextvisible ? obj.string('close-tracks') : obj.string('show-tracks'); }, "hover_cc(true)": function (obj) { return obj.hover_cc(true); }, "hover_cc(false)": function (obj) { return obj.hover_cc(false); }/**/
    });
    Parser.registerFunctions({
        /**/"play()": function (obj) { return obj.play(); }, "tab_index_move(domEvent, null, 'player-toggle-overlay')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'player-toggle-overlay'); }, "cssplayer": function (obj) { return obj.cssplayer; }, "string('tooltip')": function (obj) { return obj.string('tooltip'); }, "showduration && (duration != 0 && duration != undefined)": function (obj) { return obj.showduration && (obj.duration != 0 && obj.duration != undefined); }, "css": function (obj) { return obj.css; }, "formatTime(duration)": function (obj) { return obj.formatTime(obj.duration); }, "rerecordable || submittable": function (obj) { return obj.rerecordable || obj.submittable; }, "submittable && !trimmingmode": function (obj) { return obj.submittable && !obj.trimmingmode; }, "submit()": function (obj) { return obj.submit(); }, "string('submit-video')": function (obj) { return obj.string('submit-video'); }, "rerecordable && !trimmingmode": function (obj) { return obj.rerecordable && !obj.trimmingmode; }, "rerecord()": function (obj) { return obj.rerecord(); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "trimmingmode": function (obj) { return obj.trimmingmode; }, "string('trim')": function (obj) { return obj.string('trim'); }, "skip()": function (obj) { return obj.skip(); }, "string('skip')": function (obj) { return obj.string('skip'); }/**/
    });
    return {
        "minimalist": {
            css: "ba-videoplayer",
            csstheme: "ba-player-minimalist-theme",
            cssplayer: "ba-player",
            tmplcontrolbar: "<div class=\"{{csstheme}}-dashboard {{activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-dashboard-hidden') : ''}}\">\n\n    <div class='{{csstheme}}-controlbar-header'>\n        <div class=\"{{csstheme}}-controlbar-header-icons-block\">\n\n            <div class=\"{{csstheme}}-right-block\">\n\n                <div tabindex=\"1\" data-selector=\"button-icon-resize-full\"\n                     ba-hotkey:space^enter=\"{{toggle_fullscreen()}}\" onmouseout=\"this.blur()\"\n                     onkeydown=\"{{tab_index_move(domEvent)}}\"\n                     class=\"{{csstheme}}-button-container\"\n                     ba-if=\"{{fullscreen}}\" ba-click=\"{{toggle_fullscreen()}}\" title=\"{{ fullscreened ? string('exit-fullscreen-video') : string('fullscreen-video') }}\"\n                >\n                    <div class=\"{{csstheme}}-button-inner {{csstheme}}-full-screen-btn-inner\">\n                        <i class=\"{{csscommon}}-icon-resize-{{fullscreened ? 'small' : 'full'}}\"></i>\n                    </div>\n                </div>\n\n                <div tabindex=\"2\" data-selector=\"button-icon-volume\"\n                     ba-hotkey:space^enter=\"{{toggle_volume()}}\" onmouseout=\"this.blur()\"\n                     class=\"{{csstheme}}-button-container\" ba-click=\"{{toggle_volume()}}\" title=\"{{string(volume > 0 ? 'volume-mute' : 'volume-unmute')}}\"\n                >\n                    <div class=\"{{csstheme}}-button-inner\">\n                        <i class=\"{{csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off')) }}\"></i>\n                    </div>\n                </div>\n\n                <div class=\"{{csstheme}}-volumebar\" ba-show=\"{{!hidevolumebar}}\">\n                    <div tabindex=\"3\" data-selector=\"button-volume-bar\"\n                         ba-hotkey:right=\"{{set_volume(volume + 0.1)}}\"\n                         ba-hotkey:left=\"{{set_volume(volume - 0.1)}}\"\n                         onmouseout=\"this.blur()\"\n                         class=\"{{csstheme}}-volumebar-inner\"\n                         ontouchstart=\"{{startUpdateVolume(domEvent)}}\"\n                         ontouchmove=\"{{progressUpdateVolume(domEvent)}}\"\n                         ontouchend=\"{{stopUpdateVolume(domEvent); this.blur()}};\"\n                         onmousedown=\"{{startUpdateVolume(domEvent)}}\"\n                         onmouseup=\"{{stopUpdateVolume(domEvent)}}\"\n                         onmouseleave=\"{{stopUpdateVolume(domEvent)}}\"\n                         onmousemove=\"{{progressUpdateVolume(domEvent)}}\"\n                    >\n                        <div class=\"{{csstheme}}-volumebar-position\" ba-styles=\"{{{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}}}\" title=\"{{string('volume-button')}}\"></div>\n                    </div>\n                </div>\n\n            </div>\n\n        </div>\n\n\n        <div class=\"{{csstheme}}-controlbar-header-title-block\" ba-if=\"{{title}}\">\n            <div class=\"{{csstheme}}-title\"><p>{{title}}</p></div>\n        </div>\n    </div>\n\n    <div class=\"{{csstheme}}-controlbar-footer\">\n\n        <div class=\"{{csstheme}}-controlbar-top-block\">\n\n            <div tabindex=\"0\" data-selector=\"submit-video-button\"\n                 ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{csstheme}}-button-container\" ba-if=\"{{submittable}}\"  ba-click=\"{{submit()}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    {{string('submit-video')}}\n                </div>\n            </div>\n\n            <div tabindex=\"{{skipinitial ? 0 : -1}}\" data-selector=\"button-icon-play\"\n                 ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n                 onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-pause')}}\"\n                 class=\"{{csstheme}}-button-container\" ba-if=\"{{!playing}}\" ba-click=\"{{play()}}\" title=\"{{string('play-video')}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    <i class=\"{{csscommon}}-icon-play\"></i>\n                </div>\n            </div>\n\n            <div tabindex=\"{{skipinitial ? 0 : -1}}\" data-selector=\"button-icon-pause\"\n                 ba-hotkey:space^enter=\"{{pause()}}\" onmouseout=\"this.blur()\"\n                 onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-play')}}\"\n                 class=\"{{csstheme}}-button-container {{disablepause ? cssplayer + '-disabled' : ''}}\"\n                 ba-if=\"{{playing}}\" ba-click=\"{{pause()}}\" title=\"{{disablepause ? string('pause-video-disabled') : string('pause-video')}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    <i tabindex=\"0\" class=\"{{csscommon}}-icon-pause\"></i>\n                </div>\n            </div>\n\n        </div>\n        <div class=\"{{csstheme}}-controlbar-middle-block\">\n\n            <div class=\"{{csstheme}}-progressbar {{disableseeking ? cssplayer + '-disabled' : ''}}\">\n                <div tabindex=\"4\" data-selector=\"progress-bar-inner\"\n                     ba-hotkey:right=\"{{seek(position + skipseconds)}}\"\n                     ba-hotkey:left=\"{{seek(position - skipseconds)}}\"\n                     onmouseout=\"this.blur()\"\n                     class=\"{{csstheme}}-progressbar-inner\"\n                     ontouchstart=\"{{startUpdatePosition(domEvent)}}\"\n                     onmousedown=\"{{startUpdatePosition(domEvent)}}\"\n                >\n\n                    <div class=\"{{csstheme}}-progressbar-cache\" ba-styles=\"{{{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}}}\"></div>\n                    <div class=\"{{csstheme}}-progressbar-position\" ba-styles=\"{{{width: Math.round(duration ? position / duration * 100 : 0) + '%'}}}\" title=\"{{string('video-progress')}}\">\n                        <div class=\"{{csstheme}}-progressbar-button\"></div>\n                    </div>\n                    <div class=\"{{csstheme}}-progressbar-marker\"\n                        data-selector=\"trim-start-marker\"\n                        ba-if=\"{{trimmingmode}}\"\n                        ba-styles=\"{{{left: Math.round(duration && trimstart ? trimstart / duration * 100 : 0) + '%'}}}\"\n                    ></div>\n                    <div class=\"{{csstheme}}-progressbar-marker\"\n                        data-selector=\"trim-end-marker\"\n                        ba-if=\"{{trimmingmode}}\"\n                        ba-styles=\"{{{left: 'auto', right: 100 - Math.round(duration && trimend ? trimend / duration * 100 : 100) + '%'}}}\"\n                    ></div>\n                </div>\n            </div>\n\n        </div>\n        <div class=\"{{csstheme}}-controlbar-bottom-block\">\n            <div tabindex=\"0\" data-selector=\"button-icon-ccw\"\n                 ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{csstheme}}-button-container {{csstheme}}-player-rerecord\"\n                 ba-if=\"{{rerecordable}}\" ba-click=\"{{rerecord()}}\" title=\"{{string('rerecord-video')}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    <i class=\"{{csscommon}}-icon-ccw\"></i>\n                </div>\n            </div>\n\n            <div class=\"{{csstheme}}-button-container {{csstheme}}-time-container {{csscommon}}-clickable\"\n                 ba-click=\"{{toggle_position_info()}}\"\n            >\n                <div class=\"{{csstheme}}-time-value\"\n                     title=\"{{revertposition ? string('remaining-time') : string('elapsed-time')}}\"\n                >\n                    {{(revertposition && duration > 0) ? \"-\" : \"\"}}\n                    {{(revertposition && duration > 0) ? formatTime(duration - position) : formatTime(position)}}\n                </div>\n                <p> / </p>\n                <div class=\"{{csstheme}}-time-value\" title=\"{{string('total-time')}}\">{{formatTime(duration || position)}}</div>\n            </div>\n\n            <div tabindex=\"5\" data-selector=\"button-stream-label\"\n                 ba-hotkey:space^enter=\"{{toggle_stream()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{csstheme}}-button-container\" ba-if=\"{{streams.length > 1 && currentstream}}\"\n                 ba-click=\"{{toggle_stream()}}\" title=\"{{string('change-resolution')}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner {{csstheme}}-stream-label-container\">\n                    <span class=\"{{csstheme}}-button-text {{csstheme}}-stream-label\">{{currentstream_label}}</span>\n                </div>\n            </div>\n            <div tabindex=\"6\" data-selector=\"button-airplay\"\n                 ba-hotkey:space^enter=\"{{show_airplay_devices()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{csstheme}}-button-container {{cssplayer}}-airplay-container\"\n                 ba-show=\"{{airplaybuttonvisible}}\" ba-click=\"{{show_airplay_devices()}}\"\n            >\n                <svg width=\"16px\" height=\"11px\" viewBox=\"0 0 16 11\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\">\n                    \n                    <title>Airplay</title>\n                    <desc>Airplay icon.</desc>\n                    <defs></defs>\n                    <g stroke=\"none\" stroke-width=\"1\" fill-rule=\"evenodd\" sketch:type=\"MSPage\">\n                        <path d=\"M4,11 L12,11 L8,7 L4,11 Z M14.5454545,0 L1.45454545,0 C0.654545455,0 0,0.5625 0,1.25 L0,8.75 C0,9.4375 0.654545455,10 1.45454545,10 L4.36363636,10 L4.36363636,8.75 L1.45454545,8.75 L1.45454545,1.25 L14.5454545,1.25 L14.5454545,8.75 L11.6363636,8.75 L11.6363636,10 L14.5454545,10 C15.3454545,10 16,9.4375 16,8.75 L16,1.25 C16,0.5625 15.3454545,0 14.5454545,0 L14.5454545,0 Z\" sketch:type=\"MSShapeGroup\"></path>\n                    </g>\n                </svg>\n            </div>\n\n            <div tabindex=\"7\" data-selector=\"button-chromecast\" onmouseout=\"this.blur()\" class=\"{{csstheme}}-button-container {{csstheme}}-cast-button-container\" ba-show=\"{{castbuttonvisble}}\">\n                <button class=\"{{csstheme}}-gcast-button\" is=\"google-cast-button\"></button>\n            </div>\n\n            <div tabindex=\"10\" data-selector=\"button-icon-settings\"\n                 ba-hotkey:space^enter=\"{{toggle_settings_menu()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{csstheme}}-right-button-container {{cssplayer}}-settings-{{settingsmenuactive ? 'visible' : 'hidden'}}\"\n                 ba-if=\"{{settingsmenubutton}}\" ba-click=\"{{toggle_settings_menu()}}\"\n                 title=\"{{string('settings')}}\"\n                 onkeydown=\"{{tab_index_move(domEvent)}}\"\n            >\n                <div class=\"{{csstheme}}-settings-button\">\n                    <i class=\"{{csscommon}}-icon-cog\"></i>\n                </div>\n            </div>\n\n            <div tabindex=\"9\" class=\"{{csstheme}}-primary-button-container {{csstheme}}-right-button-container\" ba-if=\"{{trimmingmode}}\">\n                <div data-selector=\"trim-button\"\n                     onmouseout=\"this.blur()\"\n                     ba-click=\"{{trim()}}\"\n                     class=\"{{csstheme}}-primary-button {{csstheme}}-button-inner\">\n                     {{string('trim-video')}}\n                </div>\n            </div>\n\n            <div tabindex=\"9\" class=\"{{csstheme}}-primary-button-container {{csstheme}}-right-button-container\" ba-if=\"{{frameselectionmode}}\">\n                <div data-selector=\"select-frame-button\"\n                     onmouseout=\"this.blur()\"\n                     ba-click=\"{{select_frame()}}\"\n                     class=\"{{csstheme}}-primary-button {{csstheme}}-button-inner\">\n                     {{string('select-frame')}}\n                </div>\n            </div>\n\n            <div tabindex=\"8\" data-selector=\"cc-button-container\"\n                 ba-hotkey:space^enter=\"{{toggle_tracks()}}\" onmouseout=\"this.blur()\"\n                 ba-if=\"{{(tracktags.length > 0 && showsubtitlebutton) || allowtexttrackupload}}\"\n                 ba-click=\"{{toggle_tracks()}}\"\n                 class=\"{{csstheme}}-right-button-container {{cssplayer}}-button-{{tracktextvisible ? 'active' : 'inactive'}}\"\n                 title=\"{{ tracktextvisible ? string('close-tracks') : string('show-tracks')}}\"\n                 onmouseover=\"{{hover_cc(true)}}\" onmouseleave=\"{{hover_cc(false)}}\"\n            >\n                <div class=\"{{csstheme}}-subtitle-button-inner\">\n                    <i class=\"{{csscommon}}-icon-subtitle\"></i>\n                </div>\n            </div>\n\n\n        </div>\n    </div>\n\n</div>\n",
            tmplplaybutton: "\n<div tabindex=\"0\" data-selector=\"play-button\"\n     ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n     onkeydown=\"{{tab_index_move(domEvent, null, 'player-toggle-overlay')}}\"\n     class=\"{{cssplayer}}-playbutton-container\" ba-click=\"{{play()}}\" title=\"{{string('tooltip')}}\"\n>\n\t<div class=\"{{cssplayer}}-playbutton-button\"></div>\n</div>\n<div ba-show=\"{{showduration && (duration != 0 && duration != undefined)}}\" class=\"{{css}}-playbutton-duration\">\n    {{formatTime(duration)}}\n</div>\n\n<div class=\"{{cssplayer}}-rerecord-bar\" ba-if=\"{{rerecordable || submittable}}\">\n\t<div class=\"{{cssplayer}}-rerecord-backbar\"></div>\n\t<div class=\"{{cssplayer}}-rerecord-frontbar\">\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{submittable && !trimmingmode}}\">\n            <div tabindex=\"0\" data-selector=\"player-submit-button\"\n                 ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{submit()}}\">\n                {{string('submit-video')}}\n            </div>\n        </div>\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{rerecordable && !trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-rerecord-button\"\n                 ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{rerecord()}}\">\n        \t\t{{string('rerecord')}}\n        \t</div>\n        </div>\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-trim-button\"\n                 ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{play()}}\">\n        \t\t{{string('trim')}}\n        \t</div>\n        </div>\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-skip-button\"\n                 ba-hotkey:space^enter=\"{{skip()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{skip()}}\">\n        \t\t{{string('skip')}}\n        \t</div>\n        </div>\n\t</div>\n</div>\n",
            cssloader: ie8 ? "ba-videoplayer" : "",
            cssmessage: "ba-videoplayer",
            cssplaybutton: ie8 ? "ba-videoplayer" : ""
        }
    };
});

Scoped.extend("module:Assets.recorderthemes", ["dynamics:Parser"], function(Parser) {
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "topmessage": function (obj) { return obj.topmessage; }/**/
    });
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "css": function (obj) { return obj.css; }, "stopvisible && recordingindication": function (obj) { return obj.stopvisible && obj.recordingindication; }, "settingsvisible": function (obj) { return obj.settingsvisible; }, "ismobile": function (obj) { return obj.ismobile; }, "toggleFaceMode()": function (obj) { return obj.toggleFaceMode(); }, "hover(string('switch-camera'))": function (obj) { return obj.hover(obj.string('switch-camera')); }, "csscommon": function (obj) { return obj.csscommon; }, "settingsopen": function (obj) { return obj.settingsopen; }, "videoselectnotification": function (obj) { return obj.videoselectnotification; }, "string('add-stream')": function (obj) { return obj.string('add-stream'); }, "showaddstreambutton && firefox && allowscreen": function (obj) { return obj.showaddstreambutton && obj.firefox && obj.allowscreen; }, "addNewStream()": function (obj) { return obj.addNewStream(); }, "hover(string('add-stream'))": function (obj) { return obj.hover(obj.string('add-stream')); }, "showaddstreambutton && !firefox": function (obj) { return obj.showaddstreambutton && !obj.firefox; }, "cameras": function (obj) { return obj.cameras; }, "(camera.id !== selectedcamera) || allowscreen": function (obj) { return (obj.camera.id !== obj.selectedcamera) || obj.allowscreen; }, "addNewStream(camera.id)": function (obj) { return obj.addNewStream(obj.camera.id); }, "camera.label": function (obj) { return obj.camera.label; }, "(showaddstreambutton && !firefox) || (firefox && allowscreen)": function (obj) { return (obj.showaddstreambutton && !obj.firefox) || (obj.firefox && obj.allowscreen); }, "!novideo && !allowscreen && !ismobile": function (obj) { return !obj.novideo && !obj.allowscreen && !obj.ismobile; }, "hover(string('select-camera'))": function (obj) { return obj.hover(obj.string('select-camera')); }, "selectedcamera == camera.id": function (obj) { return obj.selectedcamera == obj.camera.id; }, "selectCamera(camera.id)": function (obj) { return obj.selectCamera(obj.camera.id); }, "(!noaudio && !novideo) || !allowscreen": function (obj) { return (!obj.noaudio && !obj.novideo) || !obj.allowscreen; }, "microphones": function (obj) { return obj.microphones; }, "!noaudio && !allowscreen": function (obj) { return !obj.noaudio && !obj.allowscreen; }, "selectMicrophone(microphone.id)": function (obj) { return obj.selectMicrophone(obj.microphone.id); }, "hover(string('select-audio-input'))": function (obj) { return obj.hover(obj.string('select-audio-input')); }, "selectedmicrophone == microphone.id": function (obj) { return obj.selectedmicrophone == obj.microphone.id; }, "microphone.label": function (obj) { return obj.microphone.label; }, "settingsopen=!settingsopen": function (obj) { return obj.settingsopen=!obj.settingsopen; }, "settingsopen ? 'selected' : 'unselected'": function (obj) { return obj.settingsopen ? 'selected' : 'unselected'; }, "hover(string('settings'))": function (obj) { return obj.hover(obj.string('settings')); }, "unhover()": function (obj) { return obj.unhover(); }, "hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))": function (obj) { return obj.hover(obj.string(obj.microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy')); }, "microphonehealthy ? 'good' : 'bad'": function (obj) { return obj.microphonehealthy ? 'good' : 'bad'; }, "!novideo && !allowscreen": function (obj) { return !obj.novideo && !obj.allowscreen; }, "hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))": function (obj) { return obj.hover(obj.string(obj.camerahealthy ? 'camerahealthy' : 'cameraunhealthy')); }, "camerahealthy ? 'good' : 'bad'": function (obj) { return obj.camerahealthy ? 'good' : 'bad'; }, "stopvisible": function (obj) { return obj.stopvisible; }, "controlbarlabel": function (obj) { return obj.controlbarlabel; }, "rerecordvisible": function (obj) { return obj.rerecordvisible; }, "rerecord()": function (obj) { return obj.rerecord(); }, "hover(string('rerecord-tooltip'))": function (obj) { return obj.hover(obj.string('rerecord-tooltip')); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "cancelvisible": function (obj) { return obj.cancelvisible; }, "cancel()": function (obj) { return obj.cancel(); }, "hover(string('cancel-tooltip'))": function (obj) { return obj.hover(obj.string('cancel-tooltip')); }, "string('cancel')": function (obj) { return obj.string('cancel'); }, "recordvisible": function (obj) { return obj.recordvisible; }, "record()": function (obj) { return obj.record(); }, "hover(string('record-tooltip'))": function (obj) { return obj.hover(obj.string('record-tooltip')); }, "string('record')": function (obj) { return obj.string('record'); }, "stop()": function (obj) { return obj.stop(); }, "mintimeindicator ? css + '-disabled': ''": function (obj) { return obj.mintimeindicator ? obj.css + '-disabled': ''; }, "mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')": function (obj) { return obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip'); }, "hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))": function (obj) { return obj.hover(obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip')); }, "string('stop')": function (obj) { return obj.string('stop'); }, "pausable && !resumevisible": function (obj) { return obj.pausable && !obj.resumevisible; }, "string('pause-recorder')": function (obj) { return obj.string('pause-recorder'); }, "pause()": function (obj) { return obj.pause(); }, "hover(string('pause-recorder'))": function (obj) { return obj.hover(obj.string('pause-recorder')); }, "pausable && resumevisible": function (obj) { return obj.pausable && obj.resumevisible; }, "resume()": function (obj) { return obj.resume(); }, "string('resume-recorder')": function (obj) { return obj.string('resume-recorder'); }, "hover(string('resume-recorder'))": function (obj) { return obj.hover(obj.string('resume-recorder')); }, "skipvisible": function (obj) { return obj.skipvisible; }, "skip()": function (obj) { return obj.skip(); }, "hover(string('skip-tooltip'))": function (obj) { return obj.hover(obj.string('skip-tooltip')); }, "string('skip')": function (obj) { return obj.string('skip'); }, "uploadcovershotvisible": function (obj) { return obj.uploadcovershotvisible; }, "hover(string('upload-covershot-tooltip'))": function (obj) { return obj.hover(obj.string('upload-covershot-tooltip')); }, "uploadCovershot(domEvent)": function (obj) { return obj.uploadCovershot(obj.domEvent); }, "covershot_accept_string": function (obj) { return obj.covershot_accept_string; }, "string('upload-covershot')": function (obj) { return obj.string('upload-covershot'); }/**/
    });
    Parser.registerFunctions({
        /**/"showslidercontainer": function (obj) { return obj.showslidercontainer; }, "css": function (obj) { return obj.css; }, "left()": function (obj) { return obj.left(); }, "csscommon": function (obj) { return obj.csscommon; }, "images": function (obj) { return obj.images; }, "select(image)": function (obj) { return obj.select(obj.image); }, "{left: image.left + 'px', top: image.top + 'px', width: image.width + 'px', height: image.height + 'px'}": function (obj) { return {left: obj.image.left + 'px', top: obj.image.top + 'px', width: obj.image.width + 'px', height: obj.image.height + 'px'}; }, "right()": function (obj) { return obj.right(); }, "!showslidercontainer": function (obj) { return !obj.showslidercontainer; }, "covershot_accept_string": function (obj) { return obj.covershot_accept_string; }, "uploadCovershot(domEvent)": function (obj) { return obj.uploadCovershot(obj.domEvent); }, "string('upload-covershot')": function (obj) { return obj.string('upload-covershot'); }/**/
    });
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "initialmessages.length > 0": function (obj) { return obj.initialmessages.length > 0; }, "csscommon": function (obj) { return obj.csscommon; }, "initialmessages": function (obj) { return obj.initialmessages; }, "initialmessage.message": function (obj) { return obj.initialmessage.message; }, "initialmessage.type ? initialmessage.type : 'default'": function (obj) { return obj.initialmessage.type ? obj.initialmessage.type : 'default'; }, "initialmessage.id": function (obj) { return obj.initialmessage.id; }, "actions": function (obj) { return obj.actions; }, "click_action(action)": function (obj) { return obj.click_action(obj.action); }, "action.index": function (obj) { return obj.action.index; }, "action.select && action.capture": function (obj) { return obj.action.select && obj.action.capture; }, "select_file_action(action, domEvent)": function (obj) { return obj.select_file_action(obj.action, obj.domEvent); }, "action.accept": function (obj) { return obj.action.accept; }, "action.switchcamera": function (obj) { return obj.action.switchcamera; }, "action.select && !action.capture": function (obj) { return obj.action.select && !obj.action.capture; }, "action.label": function (obj) { return obj.action.label; }, "action.icon": function (obj) { return obj.action.icon; }/**/
    });
    Parser.registerFunctions({
        /**/"cssrecorder": function (obj) { return obj.cssrecorder; }, "click()": function (obj) { return obj.click(); }, "shortMessage ? 'short-message' : 'long-message'": function (obj) { return obj.shortMessage ? 'short-message' : 'long-message'; }, "message || \"\"": function (obj) { return obj.message || ""; }, "links && links.length > 0": function (obj) { return obj.links && obj.links.length > 0; }, "links": function (obj) { return obj.links; }, "linkClick(link)": function (obj) { return obj.linkClick(obj.link); }, "link.title": function (obj) { return obj.link.title; }/**/
    });
    return {
        "minimalist": {
            css: "ba-videorecorder",
            csstheme: "ba-recorder-theme-minimalist",
            cssrecorder: "ba-recorder",
            cssmessage: "ba-videorecorder",
            cssloader: "ba-videorecorder",
            tmpltopmessage: "<div data-selector=\"recorder-topmessage-block\" class=\"{{css}}-topmessage-container\">\n    <div class='{{css}}-topmessage-message'>\n        {{topmessage}}\n    </div>\n</div>",
            tmplcontrolbar: "<div class=\"{{csstheme}}-dashboard\">\n\n\t\n\t<div class=\"{{css}}-settings-left-sidebar\">\n\n\t\t<div class=\"{{css}}-controlbar-left-section\">\n\n\t\t\t<div class=\"{{css}}-indicator-container\" ba-show=\"{{stopvisible && recordingindication}}\">\n\t\t\t\t<div data-selector=\"recording-indicator\" class=\"{{css}}-recording-indication\"></div>\n\t\t\t</div>\n\n            <div ba-show=\"{{settingsvisible}}\">\n\n\t\t\t\t\n\t\t\t\t<div data-selector=\"recorder-settings\" class=\"{{css}}-settings {{css}}-settings-button-container\">\n\n\t\t\t\t\t<div class=\"{{css}}-circle-button\" ba-show=\"{{ismobile}}\">\n\t\t\t\t\t\t<div data-selector=\"face-mode-toggle-icon\"\n\t\t\t\t\t\t\t class=\"{{css}}-mobile-camera-switcher {{css}}-button-inner {{css}}-button-circle-unselected\"\n\t\t\t\t\t\t\t onclick=\"{{toggleFaceMode()}}\"\n\t\t\t\t\t\t\t onmouseenter=\"{{hover(string('switch-camera'))}}\"\n\t\t\t\t\t\t>\n\t\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-arrows-cw\"></i>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<div data-selector=\"settings-list-front\" class=\"{{css}}-circle-button\" ba-show=\"{{settingsvisible}}\">\n\n\t\t\t\t\t\t<div class=\"{{css}}-bubble-info-container\" ba-show=\"{{settingsopen}}\">\n\t\t\t\t\t\t\t<div class=\"{{css}}-bubble-info\">\n\t\t\t\t\t\t\t\t<ul data-selector=\"add-new-stream\" ba-if=\"{{videoselectnotification}}\">\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div data-selector=\"single-camera-stream\">\n\t\t\t\t\t\t\t\t\t\t\t<i class=\"ba-commoncss-icon-plus\"></i> {{string('add-stream')}}\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div data-selector=\"single-camera-stream\" class=\"{{csscommon}}-text-error\">\n\t\t\t\t\t\t\t\t\t\t\t{{videoselectnotification}}\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t</ul>\n\n\t\t\t\t\t\t\t\t<ul data-selector=\"add-new-stream\" ba-show=\"{{showaddstreambutton && firefox && allowscreen}}\">\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div data-selector=\"single-camera-stream\"\n\t\t\t\t\t\t\t\t\t\t\t class=\"{{css}}-add-stream\"\n\t\t\t\t\t\t\t\t\t\t\t onclick=\"{{addNewStream()}}\"\n\t\t\t\t\t\t\t\t\t\t\t onmouseenter=\"{{hover(string('add-stream'))}}\"\n\t\t\t\t\t\t\t\t\t\t>\n\t\t\t\t\t\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-plus\"></i> {{string('add-stream')}}\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t</ul>\n\n\t\t\t\t\t\t\t\t<ul data-selector=\"add-new-stream\" ba-show=\"{{showaddstreambutton && !firefox}}\" ba-repeat=\"{{camera :: cameras}}\">\n\t\t\t\t\t\t\t\t\t<li ba-show=\"{{(camera.id !== selectedcamera) || allowscreen}}\">\n\t\t\t\t\t\t\t\t\t\t<div data-selector=\"single-camera-stream\"\n\t\t\t\t\t\t\t\t\t\t\t class=\"{{css}}-add-stream\"\n\t\t\t\t\t\t\t\t\t\t\t onclick=\"{{addNewStream(camera.id)}}\"\n\t\t\t\t\t\t\t\t\t\t\t onmouseenter=\"{{hover(string('add-stream'))}}\"\n\t\t\t\t\t\t\t\t\t\t>\n\t\t\t\t\t\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-plus\"></i> {{camera.label}}\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</li>\n\n\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t\t<hr ba-show=\"{{(showaddstreambutton && !firefox) || (firefox && allowscreen)}}\"/>\n\n\t\t\t\t\t\t\t\t<ul data-selector=\"camera-settings\" ba-repeat=\"{{camera :: cameras}}\" ba-show=\"{{!novideo && !allowscreen && !ismobile}}\">\n\t\t\t\t\t\t\t\t\t<li onmouseenter=\"{{hover(string('select-camera'))}}\">\n\t\t\t\t\t\t\t\t\t\t<input tabindex=\"0\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t\t\t\t\t   type='radio' name='camera' value=\"{{selectedcamera == camera.id}}\" onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t\t\t<span></span>\n\t\t\t\t\t\t\t\t\t\t<label tabindex=\"0\" onmouseout=\"this.blur()\" onclick=\"{{selectCamera(camera.id)}}\">\n\t\t\t\t\t\t\t\t\t\t\t{{camera.label}}\n\t\t\t\t\t\t\t\t\t\t</label>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t\t<hr ba-show=\"{{(!noaudio && !novideo) || !allowscreen}}\"/>\n\t\t\t\t\t\t\t\t<ul data-selector=\"microphone-settings\" ba-repeat=\"{{microphone :: microphones}}\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\t\t\t\t\t\t\t\t\t<li tabindex=\"0\"\n\t\t\t\t\t\t\t\t\t\tba-hotkey:space^enter=\"{{selectMicrophone(microphone.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t\t\t\tonmouseenter=\"{{hover(string('select-audio-input'))}}\"\n\t\t\t\t\t\t\t\t\t\tonclick=\"{{selectMicrophone(microphone.id)}}\"\n\t\t\t\t\t\t\t\t\t>\n\t\t\t\t\t\t\t\t\t\t<input type='radio' name='microphone' value=\"{{selectedmicrophone == microphone.id}}\" />\n\t\t\t\t\t\t\t\t\t\t<span></span>\n\t\t\t\t\t\t\t\t\t\t<label>\n\t\t\t\t\t\t\t\t\t\t\t{{microphone.label}}\n\t\t\t\t\t\t\t\t\t\t</label>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t\t\t ba-hotkey:space^enter=\"{{settingsopen=!settingsopen}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t data-selector=\"record-button-icon-cog\"\n\t\t\t\t\t\t\t class=\"{{css}}-button-inner {{css}}-button-circle-{{settingsopen ? 'selected' : 'unselected' }}\"\n\t\t\t\t\t\t\t onclick=\"{{settingsopen=!settingsopen}}\"\n\t\t\t\t\t\t\t onmouseenter=\"{{hover(string('settings'))}}\"\n\t\t\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t\t\t>\n\t\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-cog\"></i>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<div class=\"{{css}}-circle-button\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\t\t\t\t\t\t<div data-selector=\"record-button-icon-mic\" class=\"{{css}}-button-inner\"\n\t\t\t\t\t\t\t onmouseenter=\"{{hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))}}\"\n\t\t\t\t\t\t\t onmouseleave=\"{{unhover()}}\">\n\t\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-mic {{csscommon}}-icon-state-{{microphonehealthy ? 'good' : 'bad' }}\"></i>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<div class=\"{{css}}-circle-button\" ba-show=\"{{!novideo && !allowscreen}}\">\n\t\t\t\t\t\t<div data-selector=\"record-button-icon-videocam\" class=\"{{css}}-button-inner\"\n\t\t\t\t\t\t\t onmouseenter=\"{{hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))}}\"\n\t\t\t\t\t\t\t onmouseleave=\"{{unhover()}}\">\n\t\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-videocam {{csscommon}}-icon-state-{{ camerahealthy ? 'good' : 'bad' }}\"></i>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\n\t\t\t\t</div>\n\n\t\t\t</div>\n\t\t</div>\n\n\t</div>\n\n\t<div class=\"{{css}}-controlbar-middle-section\">\n\n\t\t<div class=\"{{css}}-timer-container\" ba-show=\"{{stopvisible}}\">\n\t\t\t<div class=\"{{css}}-label-container\" ba-show=\"{{controlbarlabel}}\">\n\t\t\t\t<div data-selector=\"record-label-block\" class=\"{{css}}-label {{css}}-button-primary\">\n\t\t\t\t\t{{controlbarlabel}}\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\n\t</div>\n\n\t\n\t<div data-selector=\"controlbar\" class=\"{{css}}-controlbar\">\n\n\t\t<div class=\"{{css}}-controlbar-center-section\">\n\n\t\t\t<div class=\"{{css}}-button-container\" ba-show=\"{{rerecordvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"rerecord-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{rerecord()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('rerecord-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('rerecord')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-button-container\" ba-show=\"{{cancelvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{cancel()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"cancel-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{cancel()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('cancel-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('cancel')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-primary-button-container\" ba-show=\"{{recordvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{record()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"record-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{record()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('record-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('record')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t</div>\n\n\t\t<div class=\"{{css}}-stop-container\" ba-show=\"{{stopvisible}}\">\n\n\t\t\t<div class=\"{{css}}-stop-button-container\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{stop()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"stop-primary-button\" class=\"{{css}}-button-primary {{mintimeindicator ? css + '-disabled': ''}}\"\n\t\t\t\t\t title=\"{{mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')}}\"\n\t\t\t\t\t onclick=\"{{stop()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('stop')}}\n\t\t\t\t</div>\n\t\t\t\t<div tabindex=\"0\" data-selector=\"pause-primary-button\"  ba-show=\"{{pausable && !resumevisible}}\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{stop()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"pause-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t title=\"{{string('pause-recorder')}}\"\n\t\t\t\t\t onclick=\"{{pause()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('pause-recorder'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t<i class=\"{{csscommon}}-icon-pause\"></i>\n\t\t\t\t</div>\n\n\t\t\t\t<div tabindex=\"0\" data-selector=\"resume-primary-button\"  ba-show=\"{{pausable && resumevisible}}\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{resume()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"resume-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t title=\"{{string('resume-recorder')}}\"\n\t\t\t\t\t onclick=\"{{resume()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('resume-recorder'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t<i class=\"{{csscommon}}-icon-ccw\"></i>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\n        <div class=\"{{css}}-centerbutton-container\" ba-show=\"{{skipvisible}}\">\n            <div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{skip()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"skip-primary-button\" class=\"{{css}}-button-primary\"\n                 onclick=\"{{skip()}}\"\n                 onmouseenter=\"{{hover(string('skip-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n                {{string('skip')}}\n            </div>\n        </div>\n\n\n        <div class=\"{{css}}-rightbutton-container\" ba-if=\"{{uploadcovershotvisible}}\">\n            <div data-selector=\"covershot-primary-button\" class=\"{{css}}-button-primary\"\n                 onmouseenter=\"{{hover(string('upload-covershot-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\">\n                <input type=\"file\"\n                       class=\"{{css}}-chooser-file\"\n                       style=\"height:100px\"\n                       onchange=\"{{uploadCovershot(domEvent)}}\"\n                       accept=\"{{covershot_accept_string}}\" />\n                <span>\n                    {{string('upload-covershot')}}\n                </span>\n            </div>\n        </div>\n\n\t</div>\n\n</div>\n",
            tmplimagegallery: "<div ba-if=\"{{showslidercontainer}}\" data-selector=\"image-gallery\" class=\"{{css}}-image-gallery-container\">\n\t<div data-selector=\"slider-left-button\" class=\"{{css}}-imagegallery-leftbutton\">\n\t\t<div tabindex=\"0\" data-selector=\"slider-left-inner-button\"\n\t\t\t ba-hotkey:space^enter^left=\"{{left()}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-imagegallery-button-inner\" onclick=\"{{left()}}\"\n\t\t>\n\t\t\t<i class=\"{{csscommon}}-icon-left-open\"></i>\n\t\t</div>\n\t</div>\n\n\t<div data-selector=\"images-imagegallery-container\" ba-repeat=\"{{image::images}}\" class=\"{{css}}-imagegallery-container\" data-gallery-container>\n\t\t<div tabindex=\"0\" data-selector=\"imagegallery-selected-image\"\n\t\t\t ba-hotkey:space^enter=\"{{select(image)}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-imagegallery-image\"\n\t\t\t ba-styles=\"{{{left: image.left + 'px', top: image.top + 'px', width: image.width + 'px', height: image.height + 'px'}}}\"\n\t\t\t onclick=\"{{select(image)}}\"\n\t\t>\n\t\t</div>\n\t</div>\n\n\t<div data-selector=\"slider-right-button\" class=\"{{css}}-imagegallery-rightbutton\">\n\t\t<div tabindex=\"0\" data-selector=\"slider-right-inner-button\"\n\t\t\t ba-hotkey:space^enter^right=\"{{right()}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-imagegallery-button-inner\"\n\t\t\t onclick=\"{{right()}}\"\n\t\t>\n\t\t\t<i class=\"{{csscommon}}-icon-right-open\"></i>\n\t\t</div>\n\t</div>\n</div>\n\n<div ba-if=\"{{!showslidercontainer}}\" class=\"{{css}}-chooser-container\">\n\t<div data-selector=\"covershot-primary-button\" class=\"{{css}}-chooser-button-container\">\n\t\t<div class=\"{{css}}-chooser-button-0\">\n\t\t\t<input type=\"file\"\n\t\t\t\t   tabindex=\"0\"\n\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t   accept=\"{{covershot_accept_string}}\"\n\t\t\t\t   onchange=\"{{uploadCovershot(domEvent)}}\"\n\t\t\t/>\n\t\t\t<i class=\"{{csscommon}}-icon-picture\"></i>\n\t\t\t<span>\n\t\t\t{{string('upload-covershot')}}\n\t\t</span>\n\t\t</div>\n\t</div>\n</div>\n",
            tmplchooser: "<div class=\"{{css}}-chooser-container\">\n\t<div ba-if=\"{{initialmessages.length > 0}}\" class=\"{{csscommon}}-message-container\">\n\t\t<ul ba-repeat=\"{{initialmessage :: initialmessages}}\">\n\t\t\t<li ba-if=\"{{initialmessage.message}}\"\n\t\t\t\tclass=\"{{csscommon}}-message-text {{csscommon}}-message-{{initialmessage.type ? initialmessage.type : 'default'}}\"\n\t\t\t>\n\t\t\t\t{{ initialmessage.message }}\n\t\t\t\t<span ba-if=\"{{initialmessage.id}}\"\n\t\t\t\t\t  class=\"{{csscommon}}-action-button\"\n\t\t\t\t\t  ba-click=\"close_message(initialmessage.id)\"\n\t\t\t\t>\n\t\t\t\t\t<i class=\"{{csscommon}}-icon-cancel\"></i>\n\t\t\t\t</span>\n\t\t\t</li>\n\t\t</ul>\n\t</div>\n\n\t<div class=\"{{css}}-chooser-button-container\">\n\n\t\t<div ba-repeat=\"{{action :: actions}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{click_action(action)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t class=\"{{css}}-chooser-button-{{action.index}}\"\n\t\t\t\t ba-click=\"{{click_action(action)}}\">\n\t\t\t\t<input ba-if=\"{{action.select && action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t\t   capture=\"{{action.switchcamera}}\" />\n\t\t\t\t<input ba-if=\"{{action.select && !action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t/>\n\t\t\t\t<span>\n\t\t\t\t\t{{action.label}}\n\t\t\t\t</span>\n\t\t\t\t<i class=\"{{csscommon}}-icon-{{action.icon}}\"\n\t\t\t\t   ba-if=\"{{action.icon}}\"></i>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</div>\n",
            tmplmessage: "<div data-selector=\"recorder-message-container\" class=\"{{cssrecorder}}-message-container\" ba-click=\"{{click()}}\">\n    <div class=\"{{cssrecorder}}-top-inner-message-container {{cssrecorder}}-{{shortMessage ? 'short-message' : 'long-message'}}\">\n        <div class=\"{{cssrecorder}}-first-inner-message-container\">\n            <div class=\"{{cssrecorder}}-second-inner-message-container\">\n                <div class=\"{{cssrecorder}}-third-inner-message-container\">\n                    <div class=\"{{cssrecorder}}-fourth-inner-message-container\">\n                        <div data-selector=\"recorder-message-block\" class='{{cssrecorder}}-message-message'>\n                            <p>\n                                {{message || \"\"}}\n                            </p>\n                            <ul ba-if=\"{{links && links.length > 0}}\" ba-repeat=\"{{link :: links}}\">\n                                <li>\n                                    <a href=\"javascript:;\" ba-click=\"{{linkClick(link)}}\">\n                                        {{link.title}}\n                                    </a>\n                                </li>\n                            </ul>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n"
        }
    };
});

Scoped.extend("module:Assets.imageviewerthemes", ["browser:Info","dynamics:Parser"], function(Info, Parser) {
    var ie8 = Info.isInternetExplorer() && Info.internetExplorerVersion() <= 8;
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "activitydelta > 5000 && hideoninactivity ? (css + '-dashboard-hidden') : ''": function (obj) { return obj.activitydelta > 5000 && obj.hideoninactivity ? (obj.css + '-dashboard-hidden') : ''; }, "toggle_fullscreen()": function (obj) { return obj.toggle_fullscreen(); }, "tab_index_move(domEvent)": function (obj) { return obj.tab_index_move(obj.domEvent); }, "fullscreen": function (obj) { return obj.fullscreen; }, "fullscreened ? string('exit-fullscreen-image') : string('fullscreen-image')": function (obj) { return obj.fullscreened ? obj.string('exit-fullscreen-image') : obj.string('fullscreen-image'); }, "csscommon": function (obj) { return obj.csscommon; }, "fullscreened ? 'small' : 'full'": function (obj) { return obj.fullscreened ? 'small' : 'full'; }, "title": function (obj) { return obj.title; }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-image')": function (obj) { return obj.string('submit-image'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-image')": function (obj) { return obj.string('rerecord-image'); }/**/
    });
    return {
        "minimalist": {
            css: "ba-imageviewer",
            csstheme: "ba-imageviewer-minimalist-theme",
            tmplcontrolbar: "<div class=\"{{css}}-dashboard {{activitydelta > 5000 && hideoninactivity ? (css + '-dashboard-hidden') : ''}}\">\n\n    <div class='{{css}}-controlbar-header'>\n        <div class=\"{{css}}-controlbar-header-icons-block\">\n\n            <div class=\"{{css}}-right-block\">\n\n                <div tabindex=\"1\" data-selector=\"button-icon-resize-full\"\n                     ba-hotkey:space^enter=\"{{toggle_fullscreen()}}\" onmouseout=\"this.blur()\"\n                     onkeydown=\"{{tab_index_move(domEvent)}}\"\n                     class=\"{{css}}-button-container\"\n                     ba-if=\"{{fullscreen}}\" ba-click=\"{{toggle_fullscreen()}}\" title=\"{{ fullscreened ? string('exit-fullscreen-image') : string('fullscreen-image') }}\"\n                >\n                    <div class=\"{{css}}-button-inner {{css}}-full-screen-btn-inner\">\n                        <i class=\"{{csscommon}}-icon-resize-{{fullscreened ? 'small' : 'full'}}\"></i>\n                    </div>\n                </div>\n\n            </div>\n\n        </div>\n\n\n        <div class=\"{{css}}-controlbar-header-title-block\" ba-if=\"{{title}}\">\n            <div class=\"{{css}}-title\"><p>{{title}}</p></div>\n        </div>\n    </div>\n\n    <div class=\"{{css}}-controlbar-footer\">\n\n        <div class=\"{{css}}-controlbar-top-block\">\n\n            <div tabindex=\"0\" data-selector=\"submit-image-button\"\n                 ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{css}}-button-container\" ba-if=\"{{submittable}}\"  ba-click=\"{{submit()}}\"\n            >\n                <div class=\"{{css}}-button-inner\">\n                    {{string('submit-image')}}\n                </div>\n            </div>\n\n        </div>\n        <div class=\"{{css}}-controlbar-bottom-block\">\n            <div tabindex=\"0\" data-selector=\"button-icon-ccw\"\n                 ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{css}}-button-container {{css}}-player-rerecord\"\n                 ba-if=\"{{rerecordable}}\" ba-click=\"{{rerecord()}}\" title=\"{{string('rerecord-image')}}\"\n            >\n                <div class=\"{{css}}-button-inner\">\n                    <i class=\"{{csscommon}}-icon-ccw\"></i>\n                </div>\n            </div>\n\n        </div>\n    </div>\n\n</div>\n",
            cssloader: ie8 ? "ba-imageviewer" : "",
            cssmessage: "ba-imageviewer"
        }
    };
});

Scoped.extend("module:Assets.audioplayerthemes", ["browser:Info","dynamics:Parser"], function(Info, Parser) {
    var ie8 = Info.isInternetExplorer() && Info.internetExplorerVersion() <= 8;
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "toggle_volume()": function (obj) { return obj.toggle_volume(); }, "string(volume > 0 ? 'volume-mute' : 'volume-unmute')": function (obj) { return obj.string(obj.volume > 0 ? 'volume-mute' : 'volume-unmute'); }, "csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off'))": function (obj) { return obj.csscommon + '-icon-volume-' + (obj.volume >= 0.5 ? 'up' : (obj.volume > 0 ? 'down' : 'off')); }, "set_volume(volume + 0.1)": function (obj) { return obj.set_volume(obj.volume + 0.1); }, "set_volume(volume - 0.1)": function (obj) { return obj.set_volume(obj.volume - 0.1); }, "startUpdateVolume(domEvent)": function (obj) { return obj.startUpdateVolume(obj.domEvent); }, "stopUpdateVolume(domEvent)": function (obj) { return obj.stopUpdateVolume(obj.domEvent); }, "progressUpdateVolume(domEvent)": function (obj) { return obj.progressUpdateVolume(obj.domEvent); }, "{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}": function (obj) { return {width: Math.ceil(1+Math.min(99, Math.round(obj.volume * 100))) + '%'}; }, "string('volume-button')": function (obj) { return obj.string('volume-button'); }, "title": function (obj) { return obj.title; }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-audio')": function (obj) { return obj.string('submit-audio'); }, "play()": function (obj) { return obj.play(); }, "tab_index_move(domEvent, null, 'button-icon-pause')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-pause'); }, "!playing": function (obj) { return !obj.playing; }, "string('play-audio')": function (obj) { return obj.string('play-audio'); }, "csscommon": function (obj) { return obj.csscommon; }, "pause()": function (obj) { return obj.pause(); }, "tab_index_move(domEvent, null, 'button-icon-play')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-play'); }, "disablepause ? cssplayer + '-disabled' : ''": function (obj) { return obj.disablepause ? obj.cssplayer + '-disabled' : ''; }, "playing": function (obj) { return obj.playing; }, "disablepause ? string('pause-audio-disabled') : string('pause-audio')": function (obj) { return obj.disablepause ? obj.string('pause-audio-disabled') : obj.string('pause-audio'); }, "disableseeking ? cssplayer + '-disabled' : ''": function (obj) { return obj.disableseeking ? obj.cssplayer + '-disabled' : ''; }, "seek(position + skipseconds)": function (obj) { return obj.seek(obj.position + obj.skipseconds); }, "seek(position - skipseconds)": function (obj) { return obj.seek(obj.position - obj.skipseconds); }, "startUpdatePosition(domEvent)": function (obj) { return obj.startUpdatePosition(obj.domEvent); }, "stopUpdatePosition(domEvent)": function (obj) { return obj.stopUpdatePosition(obj.domEvent); }, "progressUpdatePosition(domEvent)": function (obj) { return obj.progressUpdatePosition(obj.domEvent); }, "{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.cached / obj.duration * 100 : 0) + '%'}; }, "{width: Math.round(duration ? position / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.position / obj.duration * 100 : 0) + '%'}; }, "string('audio-progress')": function (obj) { return obj.string('audio-progress'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-audio')": function (obj) { return obj.string('rerecord-audio'); }, "string('elapsed-time')": function (obj) { return obj.string('elapsed-time'); }, "formatTime(position)": function (obj) { return obj.formatTime(obj.position); }, "string('total-time')": function (obj) { return obj.string('total-time'); }, "formatTime(duration || position)": function (obj) { return obj.formatTime(obj.duration || obj.position); }/**/
    });
    return {
        "minimalist": {
            css: "ba-audioplayer",
            csstheme: "ba-player-minimalist-theme",
            tmplcontrolbar: "<div class=\"{{csstheme}}-dashboard \">\n\n    <div class='{{csstheme}}-controlbar-header'>\n        <div class=\"{{csstheme}}-controlbar-header-icons-block\">\n\n            <div class=\"{{csstheme}}-right-block\">\n\n                <div tabindex=\"2\" data-selector=\"button-icon-volume\"\n                     ba-hotkey:space^enter=\"{{toggle_volume()}}\" onmouseout=\"this.blur()\"\n                     class=\"{{csstheme}}-button-container\" ba-click=\"{{toggle_volume()}}\" title=\"{{string(volume > 0 ? 'volume-mute' : 'volume-unmute')}}\"\n                >\n                    <div class=\"{{csstheme}}-button-inner\">\n                        <i class=\"{{csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off')) }}\"></i>\n                    </div>\n                </div>\n\n                <div class=\"{{csstheme}}-volumebar\">\n                    <div tabindex=\"3\" data-selector=\"button-volume-bar\"\n                         ba-hotkey:right=\"{{set_volume(volume + 0.1)}}\"\n                         ba-hotkey:left=\"{{set_volume(volume - 0.1)}}\"\n                         onmouseout=\"this.blur()\"\n                         class=\"{{csstheme}}-volumebar-inner\"\n                         onmousedown=\"{{startUpdateVolume(domEvent)}}\"\n                         onmouseup=\"{{stopUpdateVolume(domEvent)}}\"\n                         onmouseleave=\"{{stopUpdateVolume(domEvent)}}\"\n                         onmousemove=\"{{progressUpdateVolume(domEvent)}}\"\n                    >\n                        <div class=\"{{csstheme}}-volumebar-position\" ba-styles=\"{{{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}}}\" title=\"{{string('volume-button')}}\"></div>\n                    </div>\n                </div>\n\n            </div>\n\n        </div>\n\n\n        <div class=\"{{csstheme}}-controlbar-header-title-block\" ba-if=\"{{title}}\">\n            <div class=\"{{csstheme}}-title\"><p>{{title}}</p></div>\n        </div>\n    </div>\n\n    <div class=\"{{csstheme}}-controlbar-footer\">\n\n        <div class=\"{{csstheme}}-controlbar-top-block\">\n\n            <div tabindex=\"0\" data-selector=\"submit-audio-button\"\n                 ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{csstheme}}-button-container\" ba-if=\"{{submittable}}\"  ba-click=\"{{submit()}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    {{string('submit-audio')}}\n                </div>\n            </div>\n\n            <div tabindex=\"0\" data-selector=\"button-icon-play\"\n                 ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n                 onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-pause')}}\"\n                 class=\"{{csstheme}}-button-container\" ba-if=\"{{!playing}}\" ba-click=\"{{play()}}\" title=\"{{string('play-audio')}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    <i class=\"{{csscommon}}-icon-play\"></i>\n                </div>\n            </div>\n\n            <div tabindex=\"0\" data-selector=\"button-icon-pause\"\n                 ba-hotkey:space^enter=\"{{pause()}}\" onmouseout=\"this.blur()\"\n                 onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-play')}}\"\n                 class=\"{{csstheme}}-button-container {{disablepause ? cssplayer + '-disabled' : ''}}\"\n                 ba-if=\"{{playing}}\" ba-click=\"{{pause()}}\" title=\"{{disablepause ? string('pause-audio-disabled') : string('pause-audio')}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    <i tabindex=\"0\" class=\"{{csscommon}}-icon-pause\"></i>\n                </div>\n            </div>\n\n        </div>\n        <div class=\"{{csstheme}}-controlbar-middle-block\">\n\n            <div class=\"{{csstheme}}-progressbar {{disableseeking ? cssplayer + '-disabled' : ''}}\">\n                <div tabindex=\"4\" data-selector=\"progress-bar-inner\"\n                     ba-hotkey:right=\"{{seek(position + skipseconds)}}\"\n                     ba-hotkey:left=\"{{seek(position - skipseconds)}}\"\n                     onmouseout=\"this.blur()\"\n                     class=\"{{csstheme}}-progressbar-inner\"\n                     onmousedown=\"{{startUpdatePosition(domEvent)}}\"\n                     onmouseup=\"{{stopUpdatePosition(domEvent)}}\"\n                     onmouseleave=\"{{stopUpdatePosition(domEvent)}}\"\n                     onmousemove=\"{{progressUpdatePosition(domEvent)}}\"\n                >\n\n                    <div class=\"{{csstheme}}-progressbar-cache\" ba-styles=\"{{{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}}}\"></div>\n                    <div class=\"{{csstheme}}-progressbar-position\" ba-styles=\"{{{width: Math.round(duration ? position / duration * 100 : 0) + '%'}}}\" title=\"{{string('audio-progress')}}\">\n                        <div class=\"{{csstheme}}-progressbar-button\"></div>\n                    </div>\n                </div>\n            </div>\n\n        </div>\n        <div class=\"{{csstheme}}-controlbar-bottom-block\">\n            <div tabindex=\"0\" data-selector=\"button-icon-ccw\"\n                 ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{csstheme}}-button-container {{csstheme}}-player-rerecord\"\n                 ba-if=\"{{rerecordable}}\" ba-click=\"{{rerecord()}}\" title=\"{{string('rerecord-audio')}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    <i class=\"{{csscommon}}-icon-ccw\"></i>\n                </div>\n            </div>\n\n            <div class=\"{{csstheme}}-button-container {{csstheme}}-time-container\">\n                <div class=\"{{csstheme}}-time-value\" title=\"{{string('elapsed-time')}}\">{{formatTime(position)}}</div>\n                <p> / </p>\n                <div class=\"{{csstheme}}-time-value\" title=\"{{string('total-time')}}\">{{formatTime(duration || position)}}</div>\n            </div>\n\n        </div>\n    </div>\n\n</div>\n",
            cssloader: ie8 ? "ba-audioplayer" : "",
            cssmessage: "ba-audioplayer",
            cssplaybutton: ie8 ? "ba-audioplayer" : ""
        }
    };
});

Scoped.extend("module:Assets.audiorecorderthemes", ["dynamics:Parser"], function(Parser) {
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "topmessage": function (obj) { return obj.topmessage; }/**/
    });
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "css": function (obj) { return obj.css; }, "settingsvisible": function (obj) { return obj.settingsvisible; }, "settingsopen": function (obj) { return obj.settingsopen; }, "cameras": function (obj) { return obj.cameras; }, "selectedcamera == camera.id": function (obj) { return obj.selectedcamera == obj.camera.id; }, "selectCamera(camera.id)": function (obj) { return obj.selectCamera(obj.camera.id); }, "camera.label": function (obj) { return obj.camera.label; }, "settingsopen=!settingsopen": function (obj) { return obj.settingsopen=!obj.settingsopen; }, "settingsopen ? 'selected' : 'unselected'": function (obj) { return obj.settingsopen ? 'selected' : 'unselected'; }, "hover(string('settings'))": function (obj) { return obj.hover(obj.string('settings')); }, "unhover()": function (obj) { return obj.unhover(); }, "csscommon": function (obj) { return obj.csscommon; }, "!noaudio && !allowscreen": function (obj) { return !obj.noaudio && !obj.allowscreen; }, "settingsvisible && settingsopen && audio": function (obj) { return obj.settingsvisible && obj.settingsopen && obj.audio; }, "microphones": function (obj) { return obj.microphones; }, "audio": function (obj) { return obj.audio; }, "selectMicrophone(microphone.id)": function (obj) { return obj.selectMicrophone(obj.microphone.id); }, "selectedmicrophone == microphone.id": function (obj) { return obj.selectedmicrophone == obj.microphone.id; }, "microphone.label": function (obj) { return obj.microphone.label; }, "hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))": function (obj) { return obj.hover(obj.string(obj.microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy')); }, "microphonehealthy ? 'good' : 'bad'": function (obj) { return obj.microphonehealthy ? 'good' : 'bad'; }, "hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))": function (obj) { return obj.hover(obj.string(obj.camerahealthy ? 'camerahealthy' : 'cameraunhealthy')); }, "camerahealthy ? 'good' : 'bad'": function (obj) { return obj.camerahealthy ? 'good' : 'bad'; }, "stopvisible": function (obj) { return obj.stopvisible; }, "controlbarlabel": function (obj) { return obj.controlbarlabel; }, "rerecordvisible": function (obj) { return obj.rerecordvisible; }, "rerecord()": function (obj) { return obj.rerecord(); }, "hover(string('rerecord-tooltip'))": function (obj) { return obj.hover(obj.string('rerecord-tooltip')); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "cancelvisible": function (obj) { return obj.cancelvisible; }, "cancel()": function (obj) { return obj.cancel(); }, "hover(string('cancel-tooltip'))": function (obj) { return obj.hover(obj.string('cancel-tooltip')); }, "string('cancel')": function (obj) { return obj.string('cancel'); }, "recordvisible": function (obj) { return obj.recordvisible; }, "record()": function (obj) { return obj.record(); }, "hover(string('record-tooltip'))": function (obj) { return obj.hover(obj.string('record-tooltip')); }, "string('record')": function (obj) { return obj.string('record'); }, "stop()": function (obj) { return obj.stop(); }, "mintimeindicator ? css + '-disabled': ''": function (obj) { return obj.mintimeindicator ? obj.css + '-disabled': ''; }, "mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')": function (obj) { return obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip'); }, "hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))": function (obj) { return obj.hover(obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip')); }, "string('stop')": function (obj) { return obj.string('stop'); }, "skipvisible": function (obj) { return obj.skipvisible; }, "skip()": function (obj) { return obj.skip(); }, "hover(string('skip-tooltip'))": function (obj) { return obj.hover(obj.string('skip-tooltip')); }, "string('skip')": function (obj) { return obj.string('skip'); }, "uploadcovershotvisible": function (obj) { return obj.uploadcovershotvisible; }, "hover(string('upload-covershot-tooltip'))": function (obj) { return obj.hover(obj.string('upload-covershot-tooltip')); }, "uploadCovershot(domEvent)": function (obj) { return obj.uploadCovershot(obj.domEvent); }, "covershot_accept_string": function (obj) { return obj.covershot_accept_string; }, "string('upload-covershot')": function (obj) { return obj.string('upload-covershot'); }/**/
    });
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "actions": function (obj) { return obj.actions; }, "click_action(action)": function (obj) { return obj.click_action(obj.action); }, "action.index": function (obj) { return obj.action.index; }, "action.select && action.capture": function (obj) { return obj.action.select && obj.action.capture; }, "select_file_action(action, domEvent)": function (obj) { return obj.select_file_action(obj.action, obj.domEvent); }, "action.accept": function (obj) { return obj.action.accept; }, "action.select && !action.capture": function (obj) { return obj.action.select && !obj.action.capture; }, "action.label": function (obj) { return obj.action.label; }, "csscommon": function (obj) { return obj.csscommon; }, "action.icon": function (obj) { return obj.action.icon; }/**/
    });
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "click()": function (obj) { return obj.click(); }, "shortMessage ? 'short-message' : 'long-message'": function (obj) { return obj.shortMessage ? 'short-message' : 'long-message'; }, "message || \"\"": function (obj) { return obj.message || ""; }, "links && links.length > 0": function (obj) { return obj.links && obj.links.length > 0; }, "links": function (obj) { return obj.links; }, "linkClick(link)": function (obj) { return obj.linkClick(obj.link); }, "link.title": function (obj) { return obj.link.title; }/**/
    });
    return {
        "minimalist": {
            css: "ba-audiorecorder",
            csstheme: "ba-audiorecorder-theme-minimalist",
            cssrecorder: "ba-recorder",
            cssmessage: "ba-audiorecorder",
            cssloader: "ba-audiorecorder",
            tmpltopmessage: "<div data-selector=\"recorder-topmessage-block\" class=\"{{css}}-topmessage-container\">\n    <div class='{{css}}-topmessage-message'>\n        {{topmessage}}\n    </div>\n</div>",
            tmplcontrolbar: "<div class=\"{{csstheme}}-dashboard\">\n\n\t\n\t<div class=\"{{css}}-settings-left-sidebar\">\n\n\t\t<div class=\"{{css}}-controlbar-left-section\" ba-show=\"{{settingsvisible}}\">\n\n\t\t\t\n\t\t\t<div data-selector=\"recorder-settings\" class=\"{{css}}-settings {{css}}-settings-button-container\">\n\n\t\t\t\t<div data-selector=\"settings-list-front\" class=\"{{css}}-circle-button\" ba-show=\"{{settingsvisible}}\">\n\n\t\t\t\t\t<div class=\"{{css}}-bubble-info\" ba-show=\"{{settingsopen}}\" >\n\t\t\t\t\t\t<ul data-selector=\"camera-settings\" ba-repeat=\"{{camera :: cameras}}\">\n\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t<input tabindex=\"0\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t\t\t   type='radio' name='camera' value=\"{{selectedcamera == camera.id}}\" onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<span></span>\n\t\t\t\t\t\t\t\t<label tabindex=\"0\" onmouseout=\"this.blur()\" onclick=\"{{selectCamera(camera.id)}}\">\n\t\t\t\t\t\t\t\t\t{{camera.label}}\n\t\t\t\t\t\t\t\t</label>\n\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t</ul>\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t\t ba-hotkey:space^enter=\"{{settingsopen=!settingsopen}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t data-selector=\"record-button-icon-cog\"\n\t\t\t\t\t\t class=\"{{css}}-button-inner {{css}}-button-circle-{{settingsopen ? 'selected' : 'unselected' }}\"\n\t\t\t\t\t\t onclick=\"{{settingsopen=!settingsopen}}\"\n\t\t\t\t\t\t onmouseenter=\"{{hover(string('settings'))}}\"\n\t\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-cog\"></i>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\n\n                <div class=\"{{css}}-circle-button\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\n                    <div class=\"{{css}}-bubble-info\" ba-show=\"{{settingsvisible && settingsopen && audio }}\">\n                        <ul data-selector=\"microphone-settings\" ba-repeat=\"{{microphone :: microphones}}\" ba-show=\"{{audio}}\">\n                            <li tabindex=\"0\"\n\t\t\t\t\t\t\t\tba-hotkey:space^enter=\"{{selectMicrophone(microphone.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t\tonclick=\"{{selectMicrophone(microphone.id)}}\"\n\t\t\t\t\t\t\t>\n                                <input type='radio' name='microphone' value=\"{{selectedmicrophone == microphone.id}}\" />\n                                <span></span>\n                                <label>\n                                    {{microphone.label}}\n                                </label>\n                            </li>\n                        </ul>\n                    </div>\n\n                    <div data-selector=\"record-button-icon-mic\" class=\"{{css}}-button-inner\"\n                         onmouseenter=\"{{hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))}}\"\n                         onmouseleave=\"{{unhover()}}\">\n                        <i class=\"{{csscommon}}-icon-mic {{csscommon}}-icon-state-{{microphonehealthy ? 'good' : 'bad' }}\"></i>\n                    </div>\n                </div>\n\n                <div class=\"{{css}}-circle-button\" ba-show=\"{{!noaudio && !allowscreen}}\">\n                    <div data-selector=\"record-button-icon-audiocam\" class=\"{{css}}-button-inner\"\n                         onmouseenter=\"{{hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))}}\"\n                         onmouseleave=\"{{unhover()}}\">\n                        <i class=\"{{csscommon}}-icon-audiocam {{csscommon}}-icon-state-{{ camerahealthy ? 'good' : 'bad' }}\"></i>\n                    </div>\n                </div>\n\n\t\t\t</div>\n\t\t</div>\n\n\t</div>\n\n\t<div class=\"{{css}}-controlbar-middle-section\">\n\n\t\t<div class=\"{{css}}-timer-container\" ba-show=\"{{stopvisible}}\">\n\t\t\t<div class=\"{{css}}-label-container\" ba-show=\"{{controlbarlabel}}\">\n\t\t\t\t<div data-selector=\"record-label-block\" class=\"{{css}}-label {{css}}-button-primary\">\n\t\t\t\t\t{{controlbarlabel}}\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\n\t</div>\n\n\t\n\t<div data-selector=\"controlbar\" class=\"{{css}}-controlbar\">\n\n\t\t<div class=\"{{css}}-controlbar-center-section\">\n\n\t\t\t<div class=\"{{css}}-button-container\" ba-show=\"{{rerecordvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"rerecord-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{rerecord()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('rerecord-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('rerecord')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-button-container\" ba-show=\"{{cancelvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{cancel()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"cancel-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{cancel()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('cancel-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('cancel')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-primary-button-container\" ba-show=\"{{recordvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{record()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"record-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{record()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('record-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('record')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t</div>\n\n\t\t<div class=\"{{css}}-stop-container\" ba-show=\"{{stopvisible}}\">\n\n\t\t\t<div class=\"{{css}}-stop-button-container\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{stop()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"stop-primary-button\" class=\"{{css}}-button-primary {{mintimeindicator ? css + '-disabled': ''}}\"\n\t\t\t\t\t title=\"{{mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')}}\"\n\t\t\t\t\t onclick=\"{{stop()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('stop')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\n        <div class=\"{{css}}-centerbutton-container\" ba-show=\"{{skipvisible}}\">\n            <div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{skip()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"skip-primary-button\" class=\"{{css}}-button-primary\"\n                 onclick=\"{{skip()}}\"\n                 onmouseenter=\"{{hover(string('skip-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n                {{string('skip')}}\n            </div>\n        </div>\n\n\n        <div class=\"{{css}}-rightbutton-container\" ba-if=\"{{uploadcovershotvisible}}\">\n            <div data-selector=\"covershot-primary-button\" class=\"{{css}}-button-primary\"\n                 onmouseenter=\"{{hover(string('upload-covershot-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\">\n                <input type=\"file\"\n                       class=\"{{css}}-chooser-file\"\n                       style=\"height:100px\"\n                       onchange=\"{{uploadCovershot(domEvent)}}\"\n                       accept=\"{{covershot_accept_string}}\" />\n                <span>\n                    {{string('upload-covershot')}}\n                </span>\n            </div>\n        </div>\n\n\t</div>\n\n</div>\n",
            tmplchooser: "<div class=\"{{css}}-chooser-container\">\n\n\t<div class=\"{{css}}-chooser-button-container\">\n\n\t\t<div ba-repeat=\"{{action :: actions}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{click_action(action)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t class=\"{{css}}-chooser-button-{{action.index}}\"\n\t\t\t\t ba-click=\"{{click_action(action)}}\">\n\t\t\t\t<input ba-if=\"{{action.select && action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t\t   capture />\n\t\t\t\t<input ba-if=\"{{action.select && !action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t/>\n\t\t\t\t<span>\n\t\t\t\t\t{{action.label}}\n\t\t\t\t</span>\n\t\t\t\t<i class=\"{{csscommon}}-icon-{{action.icon}}\"\n\t\t\t\t   ba-if=\"{{action.icon}}\"></i>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</div>",
            tmplmessage: "<div data-selector=\"recorder-message-container\" class=\"{{css}}-message-container\" ba-click=\"{{click()}}\">\n    <div class=\"{{css}}-top-inner-message-container {{css}}-{{shortMessage ? 'short-message' : 'long-message'}}\">\n        <div class=\"{{css}}-first-inner-message-container\">\n            <div class=\"{{css}}-second-inner-message-container\">\n                <div class=\"{{css}}-third-inner-message-container\">\n                    <div class=\"{{css}}-fourth-inner-message-container\">\n                        <div data-selector=\"recorder-message-block\" class='{{css}}-message-message'>\n                            <p>\n                                {{message || \"\"}}\n                            </p>\n                            <ul ba-if=\"{{links && links.length > 0}}\" ba-repeat=\"{{link :: links}}\">\n                                <li>\n                                    <a href=\"javascript:;\" ba-click=\"{{linkClick(link)}}\">\n                                        {{link.title}}\n                                    </a>\n                                </li>\n                            </ul>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n"
        }
    };
});


}).call(Scoped);
(function () {
var Scoped = this.subScope();
Scoped.binding('browser', 'root:BetaJS.Browser');
Scoped.binding('dynamics', 'root:BetaJS.Dynamics');
Scoped.binding('module', 'root:BetaJS.MediaComponents');
Scoped.extend("module:Assets.playerthemes", ["browser:Info","dynamics:Parser"], function(Info, Parser) {
    var ie8 = Info.isInternetExplorer() && Info.internetExplorerVersion() <= 8;
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-dashboard-hidden') : ''": function (obj) { return obj.activitydelta > obj.hidebarafter && obj.hideoninactivity ? (obj.cssplayer + '-dashboard-hidden') : ''; }, "title": function (obj) { return obj.title; }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-video')": function (obj) { return obj.string('submit-video'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-video')": function (obj) { return obj.string('rerecord-video'); }, "csscommon": function (obj) { return obj.csscommon; }, "skipinitial ? 0 : 1": function (obj) { return obj.skipinitial ? 0 : 1; }, "play()": function (obj) { return obj.play(); }, "tab_index_move(domEvent, null, 'button-icon-pause')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-pause'); }, "!playing": function (obj) { return !obj.playing; }, "string('play-video')": function (obj) { return obj.string('play-video'); }, "pause()": function (obj) { return obj.pause(); }, "tab_index_move(domEvent, null, 'button-icon-play')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-play'); }, "disablepause ? cssplayer + '-disabled' : ''": function (obj) { return obj.disablepause ? obj.cssplayer + '-disabled' : ''; }, "playing": function (obj) { return obj.playing; }, "disablepause ? string('pause-video-disabled') : string('pause-video')": function (obj) { return obj.disablepause ? obj.string('pause-video-disabled') : obj.string('pause-video'); }, "toggle_volume()": function (obj) { return obj.toggle_volume(); }, "string(volume > 0 ? 'volume-mute' : 'volume-unmute')": function (obj) { return obj.string(obj.volume > 0 ? 'volume-mute' : 'volume-unmute'); }, "csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off'))": function (obj) { return obj.csscommon + '-icon-volume-' + (obj.volume >= 0.5 ? 'up' : (obj.volume > 0 ? 'down' : 'off')); }, "!hidevolumebar": function (obj) { return !obj.hidevolumebar; }, "set_volume(volume + 0.1)": function (obj) { return obj.set_volume(obj.volume + 0.1); }, "set_volume(volume - 0.1)": function (obj) { return obj.set_volume(obj.volume - 0.1); }, "startVerticallyUpdateVolume(domEvent)": function (obj) { return obj.startVerticallyUpdateVolume(obj.domEvent); }, "progressVerticallyUpdateVolume(domEvent)": function (obj) { return obj.progressVerticallyUpdateVolume(obj.domEvent); }, "stopVerticallyUpdateVolume(domEvent); this.blur()": function (obj) { return obj.stopVerticallyUpdateVolume(obj.domEvent); this.blur(); }, "stopVerticallyUpdateVolume(domEvent)": function (obj) { return obj.stopVerticallyUpdateVolume(obj.domEvent); }, "{height: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}": function (obj) { return {height: Math.ceil(1+Math.min(99, Math.round(obj.volume * 100))) + '%'}; }, "string('volume-button')": function (obj) { return obj.string('volume-button'); }, "toggle_position_info()": function (obj) { return obj.toggle_position_info(); }, "revertposition ? string('remaining-time') : string('elapsed-time')": function (obj) { return obj.revertposition ? obj.string('remaining-time') : obj.string('elapsed-time'); }, "(revertposition && duration > 0) ? \"-\" : \"\"": function (obj) { return (obj.revertposition && obj.duration > 0) ? "-" : ""; }, "(revertposition && duration > 0) ? formatTime(duration - position) : formatTime(position)": function (obj) { return (obj.revertposition && obj.duration > 0) ? obj.formatTime(obj.duration - obj.position) : obj.formatTime(obj.position); }, "toggle_settings_menu()": function (obj) { return obj.toggle_settings_menu(); }, "cssplayer": function (obj) { return obj.cssplayer; }, "settingsmenuactive ? 'active' : 'inactive'": function (obj) { return obj.settingsmenuactive ? 'active' : 'inactive'; }, "settingsmenubutton": function (obj) { return obj.settingsmenubutton; }, "string('settings')": function (obj) { return obj.string('settings'); }, "tab_index_move(domEvent)": function (obj) { return obj.tab_index_move(obj.domEvent); }, "toggle_tracks()": function (obj) { return obj.toggle_tracks(); }, "(tracktags.length > 0 && showsubtitlebutton) || allowtexttrackupload": function (obj) { return (obj.tracktags.length > 0 && obj.showsubtitlebutton) || obj.allowtexttrackupload; }, "tracktextvisible ? 'active' : 'inactive'": function (obj) { return obj.tracktextvisible ? 'active' : 'inactive'; }, "tracktextvisible ? string('close-tracks') : string('show-tracks')": function (obj) { return obj.tracktextvisible ? obj.string('close-tracks') : obj.string('show-tracks'); }, "hover_cc(true)": function (obj) { return obj.hover_cc(true); }, "hover_cc(false)": function (obj) { return obj.hover_cc(false); }, "toggle_fullscreen()": function (obj) { return obj.toggle_fullscreen(); }, "fullscreen": function (obj) { return obj.fullscreen; }, "fullscreened ? string('exit-fullscreen-video') : string('fullscreen-video')": function (obj) { return obj.fullscreened ? obj.string('exit-fullscreen-video') : obj.string('fullscreen-video'); }, "fullscreened ? 'small' : 'full'": function (obj) { return obj.fullscreened ? 'small' : 'full'; }, "trimmingmode": function (obj) { return obj.trimmingmode; }, "trim()": function (obj) { return obj.trim(); }, "string('trim-video')": function (obj) { return obj.string('trim-video'); }, "frameselectionmode": function (obj) { return obj.frameselectionmode; }, "select_frame()": function (obj) { return obj.select_frame(); }, "string('select-frame')": function (obj) { return obj.string('select-frame'); }, "show_airplay_devices()": function (obj) { return obj.show_airplay_devices(); }, "airplaybuttonvisible": function (obj) { return obj.airplaybuttonvisible; }, "castbuttonvisble": function (obj) { return obj.castbuttonvisble; }, "toggle_stream()": function (obj) { return obj.toggle_stream(); }, "streams.length > 1 && currentstream": function (obj) { return obj.streams.length > 1 && obj.currentstream; }, "string('change-resolution')": function (obj) { return obj.string('change-resolution'); }, "currentstream_label": function (obj) { return obj.currentstream_label; }, "string('total-time')": function (obj) { return obj.string('total-time'); }, "formatTime(duration || position)": function (obj) { return obj.formatTime(obj.duration || obj.position); }, "disableseeking ? cssplayer + '-disabled' : ''": function (obj) { return obj.disableseeking ? obj.cssplayer + '-disabled' : ''; }, "seek(position + skipseconds)": function (obj) { return obj.seek(obj.position + obj.skipseconds); }, "seek(position - skipseconds)": function (obj) { return obj.seek(obj.position - obj.skipseconds); }, "startUpdatePosition(domEvent)": function (obj) { return obj.startUpdatePosition(obj.domEvent); }, "{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.cached / obj.duration * 100 : 0) + '%'}; }, "{width: Math.round(duration ? position / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.position / obj.duration * 100 : 0) + '%'}; }, "string('video-progress')": function (obj) { return obj.string('video-progress'); }, "{left: Math.round(duration && trimstart ? trimstart / duration * 100 : 0) + '%'}": function (obj) { return {left: Math.round(obj.duration && obj.trimstart ? obj.trimstart / obj.duration * 100 : 0) + '%'}; }, "{left: 'auto', right: 100 - Math.round(duration && trimend ? trimend / duration * 100 : 100) + '%'}": function (obj) { return {left: 'auto', right: 100 - Math.round(obj.duration && obj.trimend ? obj.trimend / obj.duration * 100 : 100) + '%'}; }/**/
    });
    Parser.registerFunctions({
        /**/"play()": function (obj) { return obj.play(); }, "tab_index_move(domEvent, null, 'player-toggle-overlay')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'player-toggle-overlay'); }, "cssplayer": function (obj) { return obj.cssplayer; }, "string('tooltip')": function (obj) { return obj.string('tooltip'); }, "showduration && (duration != 0 && duration != undefined)": function (obj) { return obj.showduration && (obj.duration != 0 && obj.duration != undefined); }, "css": function (obj) { return obj.css; }, "formatTime(duration)": function (obj) { return obj.formatTime(obj.duration); }, "rerecordable || submittable": function (obj) { return obj.rerecordable || obj.submittable; }, "submittable && !trimmingmode": function (obj) { return obj.submittable && !obj.trimmingmode; }, "submit()": function (obj) { return obj.submit(); }, "string('submit-video')": function (obj) { return obj.string('submit-video'); }, "rerecordable && !trimmingmode": function (obj) { return obj.rerecordable && !obj.trimmingmode; }, "rerecord()": function (obj) { return obj.rerecord(); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "trimmingmode": function (obj) { return obj.trimmingmode; }, "string('trim')": function (obj) { return obj.string('trim'); }, "skip()": function (obj) { return obj.skip(); }, "string('skip')": function (obj) { return obj.string('skip'); }/**/
    });
    return {
        "theatre": {
            css: "ba-videoplayer",
            csstheme: "ba-player-theatre-theme",
            csscommon: "ba-commoncss",
            cssplayer: "ba-player",
            tmplcontrolbar: "<div data-selector=\"video-title-block\" class=\"{{csstheme}}-title-container {{activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-dashboard-hidden') : ''}}\"  ba-if=\"{{title}}\">\n    <p class=\"{{csstheme}}-title\">\n        {{title}}\n    </p>\n</div>\n<div class=\"{{csstheme}}-dashboard {{activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-dashboard-hidden') : ''}}\">\n\n    <div class=\"{{csstheme}}-left-block\">\n\n        <div tabindex=\"0\" data-selector=\"submit-video-button\"\n             ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-leftbutton-container\"\n             ba-if=\"{{submittable}}\"  ba-click=\"{{submit()}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                {{string('submit-video')}}\n            </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-ccw\"\n             ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-leftbutton-container\"\n             ba-if=\"{{rerecordable}}\" ba-click=\"{{rerecord()}}\"\n             title=\"{{string('rerecord-video')}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-ccw\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"{{skipinitial ? 0 : 1}}\" data-selector=\"button-icon-play\"\n             ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n             onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-pause')}}\"\n             class=\"{{csstheme}}-button-container\"\n             ba-if=\"{{!playing}}\" ba-click=\"{{play()}}\" title=\"{{string('play-video')}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-play\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"{{skipinitial ? 0 : 1}}\" data-selector=\"button-icon-pause\"\n             ba-hotkey:space^enter=\"{{pause()}}\" onmouseout=\"this.blur()\"\n             onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-play')}}\"\n             class=\"{{csstheme}}-button-container {{disablepause ? cssplayer + '-disabled' : ''}}\"\n             ba-if=\"{{playing}}\" ba-click=\"{{pause()}}\" title=\"{{disablepause ? string('pause-video-disabled') : string('pause-video')}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-pause\"></i>\n            </div>\n        </div>\n\n        <div class=\"{{csstheme}}-volume-icon-container\">\n\n            <div tabindex=\"2\" data-selector=\"button-icon-volume\"\n                 ba-hotkey:space^enter=\"{{toggle_volume()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{csstheme}}-button-container\"\n                 ba-click=\"{{toggle_volume()}}\" title=\"{{string(volume > 0 ? 'volume-mute' : 'volume-unmute')}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    <i class=\"{{csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off')) }}\"></i>\n                </div>\n            </div>\n\n            <div class=\"{{csstheme}}-volumebar\" ba-show=\"{{!hidevolumebar}}\">\n                <div tabindex=\"-1\" data-selector=\"button-volume-bar\"\n                     ba-hotkey:up=\"{{set_volume(volume + 0.1)}}\"\n                     ba-hotkey:down=\"{{set_volume(volume - 0.1)}}\"\n                     onmouseout=\"this.blur()\"\n                     class=\"{{csstheme}}-volumebar-inner\"\n                     ontouchstart=\"{{startVerticallyUpdateVolume(domEvent)}}\"\n                     ontouchmove=\"{{progressVerticallyUpdateVolume(domEvent)}}\"\n                     ontouchend=\"{{stopVerticallyUpdateVolume(domEvent); this.blur()}};\"\n                     onmousedown=\"{{startVerticallyUpdateVolume(domEvent)}}\"\n                     onmouseup=\"{{stopVerticallyUpdateVolume(domEvent)}}\"\n                     onmouseleave=\"{{stopVerticallyUpdateVolume(domEvent)}}\"\n                     onmousemove=\"{{progressVerticallyUpdateVolume(domEvent)}}\"\n                >\n                    <div class=\"{{csstheme}}-volumebar-position\" ba-styles=\"{{{height: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}}}\" title=\"{{string('volume-button')}}\"></div>\n                </div>\n            </div>\n        </div>\n\n        <div class=\"{{csstheme}}-time-container {{csscommon}}-clickable\" ba-click=\"{{toggle_position_info()}}\">\n            <div class=\"{{csstheme}}-time-value\"\n                 title=\"{{revertposition ? string('remaining-time') : string('elapsed-time')}}\"\n            >\n                {{(revertposition && duration > 0) ? \"-\" : \"\"}}\n                {{(revertposition && duration > 0) ? formatTime(duration - position) : formatTime(position)}}\n            </div>\n        </div>\n    </div>\n\n    <div class=\"{{csstheme}}-right-block\">\n\n        <div tabindex=\"10\" data-selector=\"button-icon-settings\"\n             ba-hotkey:space^enter=\"{{toggle_settings_menu()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-rightbutton-container {{csstheme}}-settings-button-container {{cssplayer}}-button-{{settingsmenuactive ? 'active' : 'inactive'}}\"\n             ba-if=\"{{settingsmenubutton}}\" ba-click=\"{{toggle_settings_menu()}}\"\n             title=\"{{string('settings')}}\"\n             onkeydown=\"{{tab_index_move(domEvent)}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner {{csstheme}}-settings-button-inner\">\n                <i class=\"{{csscommon}}-icon-cog\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"9\" data-selector=\"cc-button-container\"\n             ba-hotkey:space^enter=\"{{toggle_tracks()}}\" onmouseout=\"this.blur()\"\n             ba-if=\"{{(tracktags.length > 0 && showsubtitlebutton) || allowtexttrackupload}}\"\n             class=\"{{csstheme}}-rightbutton-container {{csstheme}}-cc-button-container {{cssplayer}}-button-{{tracktextvisible ? 'active' : 'inactive'}}\"\n             title=\"{{ tracktextvisible ? string('close-tracks') : string('show-tracks')}}\"\n             ba-click=\"{{toggle_tracks()}}\"\n             onmouseover=\"{{hover_cc(true)}}\"\n             onmouseleave=\"{{hover_cc(false)}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner {{csstheme}}-subtitle-button-inner\">\n                <i class=\"{{csscommon}}-icon-subtitle\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"8\" data-selector=\"button-icon-resize-full\"\n             ba-hotkey:space^enter=\"{{toggle_fullscreen()}}\" onmouseout=\"this.blur()\"\n             onkeydown=\"{{tab_index_move(domEvent)}}\"\n             class=\"{{csstheme}}-button-container {{csstheme}}-fullscreen-icon-container\"\n             ba-if=\"{{fullscreen}}\" ba-click=\"{{toggle_fullscreen()}}\" title=\"{{ fullscreened ? string('exit-fullscreen-video') : string('fullscreen-video') }}\"\n        >\n            <div class=\"{{csstheme}}-button-inner {{csstheme}}-full-screen-btn-inner\">\n                <i class=\"{{csscommon}}-icon-resize-{{fullscreened ? 'small' : 'full'}}\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"7\" class=\"{{csstheme}}-button-container\" ba-if=\"{{trimmingmode}}\">\n            <div data-selector=\"trim-button\"\n                 onmouseout=\"this.blur()\"\n                 ba-click=\"{{trim()}}\"\n                 class=\"{{csstheme}}-primary-button {{csstheme}}-button-inner\">\n                 {{string('trim-video')}}\n            </div>\n        </div>\n\n        <div tabindex=\"7\" class=\"{{csstheme}}-button-container\" ba-if=\"{{frameselectionmode}}\">\n            <div data-selector=\"select-frame-button\"\n                 onmouseout=\"this.blur()\"\n                 ba-click=\"{{select_frame()}}\"\n                 class=\"{{csstheme}}-primary-button {{csstheme}}-button-inner\">\n                 {{string('select-frame')}}\n            </div>\n        </div>\n\n        <div tabindex=\"6\" data-selector=\"button-airplay\"\n             ba-hotkey:space^enter=\"{{show_airplay_devices()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-button-container {{cssplayer}}-airplay-container\"\n             ba-show=\"{{airplaybuttonvisible}}\" ba-click=\"{{show_airplay_devices()}}\"\n        >\n            <svg width=\"16px\" height=\"11px\" viewBox=\"0 0 16 11\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\">\n                \n                <title>Airplay</title>\n                <desc>Airplay icon.</desc>\n                <defs></defs>\n                <g stroke=\"none\" stroke-width=\"1\" fill-rule=\"evenodd\" sketch:type=\"MSPage\">\n                    <path d=\"M4,11 L12,11 L8,7 L4,11 Z M14.5454545,0 L1.45454545,0 C0.654545455,0 0,0.5625 0,1.25 L0,8.75 C0,9.4375 0.654545455,10 1.45454545,10 L4.36363636,10 L4.36363636,8.75 L1.45454545,8.75 L1.45454545,1.25 L14.5454545,1.25 L14.5454545,8.75 L11.6363636,8.75 L11.6363636,10 L14.5454545,10 C15.3454545,10 16,9.4375 16,8.75 L16,1.25 C16,0.5625 15.3454545,0 14.5454545,0 L14.5454545,0 Z\" sketch:type=\"MSShapeGroup\"></path>\n                </g>\n            </svg>\n        </div>\n\n        <div data-selector=\"button-chromecast\" class=\"{{csstheme}}-button-container {{csstheme}}-cast-button-container\" ba-show=\"{{castbuttonvisble}}\">\n            <button tabindex=\"0\" class=\"{{csstheme}}-gcast-button\" is=\"google-cast-button\"></button>\n        </div>\n\n        <div tabindex=\"5\" data-selector=\"button-stream-label\"\n             ba-hotkey:space^enter=\"{{toggle_stream()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-button-container {{csstheme}}-stream-label-container\"\n             ba-if=\"{{streams.length > 1 && currentstream}}\" ba-click=\"{{toggle_stream()}}\" title=\"{{string('change-resolution')}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner {{csstheme}}-stream-label-container\">\n                <span class=\"{{csstheme}}-button-text {{csstheme}}-stream-label\">{{currentstream_label}}</span>\n            </div>\n        </div>\n\n        <div class=\"{{csstheme}}-time-container {{csstheme}}-right-time-container\">\n            <div class=\"{{csstheme}}-time-value\" title=\"{{string('total-time')}}\">{{formatTime(duration || position)}}</div>\n        </div>\n\n    </div>\n\n    <div class=\"{{csstheme}}-progressbar {{disableseeking ? cssplayer + '-disabled' : ''}}\">\n        <div tabindex=\"4\" data-selector=\"progress-bar-inner\"\n             ba-hotkey:right=\"{{seek(position + skipseconds)}}\"\n             ba-hotkey:left=\"{{seek(position - skipseconds)}}\"\n             onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-progressbar-inner\"\n             ontouchstart=\"{{startUpdatePosition(domEvent)}}\"\n             onmousedown=\"{{startUpdatePosition(domEvent)}}\"\n        >\n\n            <div class=\"{{csstheme}}-progressbar-cache\" ba-styles=\"{{{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}}}\"></div>\n            <div class=\"{{csstheme}}-progressbar-position\" ba-styles=\"{{{width: Math.round(duration ? position / duration * 100 : 0) + '%'}}}\" title=\"{{string('video-progress')}}\">\n                <div class=\"{{csstheme}}-progressbar-button\"></div>\n            </div>\n            <div class=\"{{csstheme}}-progressbar-marker\"\n                data-selector=\"trim-start-marker\"\n                ba-if=\"{{trimmingmode}}\"\n                ba-styles=\"{{{left: Math.round(duration && trimstart ? trimstart / duration * 100 : 0) + '%'}}}\"\n            ></div>\n            <div class=\"{{csstheme}}-progressbar-marker\"\n                data-selector=\"trim-end-marker\"\n                ba-if=\"{{trimmingmode}}\"\n                ba-styles=\"{{{left: 'auto', right: 100 - Math.round(duration && trimend ? trimend / duration * 100 : 100) + '%'}}}\"\n            ></div>\n        </div>\n    </div>\n\n</div>\n",
            tmplplaybutton: "\n<div tabindex=\"0\" data-selector=\"play-button\"\n     ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n     onkeydown=\"{{tab_index_move(domEvent, null, 'player-toggle-overlay')}}\"\n     class=\"{{cssplayer}}-playbutton-container\" ba-click=\"{{play()}}\" title=\"{{string('tooltip')}}\"\n>\n\t<div class=\"{{cssplayer}}-playbutton-button\"></div>\n</div>\n<div ba-show=\"{{showduration && (duration != 0 && duration != undefined)}}\" class=\"{{css}}-playbutton-duration\">\n    {{formatTime(duration)}}\n</div>\n\n<div class=\"{{cssplayer}}-rerecord-bar\" ba-if=\"{{rerecordable || submittable}}\">\n\t<div class=\"{{cssplayer}}-rerecord-backbar\"></div>\n\t<div class=\"{{cssplayer}}-rerecord-frontbar\">\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{submittable && !trimmingmode}}\">\n            <div tabindex=\"0\" data-selector=\"player-submit-button\"\n                 ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{submit()}}\">\n                {{string('submit-video')}}\n            </div>\n        </div>\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{rerecordable && !trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-rerecord-button\"\n                 ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{rerecord()}}\">\n        \t\t{{string('rerecord')}}\n        \t</div>\n        </div>\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-trim-button\"\n                 ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{play()}}\">\n        \t\t{{string('trim')}}\n        \t</div>\n        </div>\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-skip-button\"\n                 ba-hotkey:space^enter=\"{{skip()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{skip()}}\">\n        \t\t{{string('skip')}}\n        \t</div>\n        </div>\n\t</div>\n</div>\n",
            cssloader: ie8 ? "ba-videoplayer" : "",
            cssmessage: "ba-videoplayer",
            cssplaybutton: ie8 ? "ba-videoplayer" : ""
        }
    };
});

Scoped.extend("module:Assets.recorderthemes", ["dynamics:Parser"], function(Parser) {
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "css": function (obj) { return obj.css; }, "settingsvisible && settingsopen": function (obj) { return obj.settingsvisible && obj.settingsopen; }, "videoselectnotification": function (obj) { return obj.videoselectnotification; }, "string('add-stream')": function (obj) { return obj.string('add-stream'); }, "csscommon": function (obj) { return obj.csscommon; }, "showaddstreambutton && firefox && allowscreen": function (obj) { return obj.showaddstreambutton && obj.firefox && obj.allowscreen; }, "addNewStream()": function (obj) { return obj.addNewStream(); }, "hover(string('add-stream'))": function (obj) { return obj.hover(obj.string('add-stream')); }, "showaddstreambutton && !firefox": function (obj) { return obj.showaddstreambutton && !obj.firefox; }, "cameras": function (obj) { return obj.cameras; }, "(camera.id !== selectedcamera) || allowscreen": function (obj) { return (obj.camera.id !== obj.selectedcamera) || obj.allowscreen; }, "addNewStream(camera.id)": function (obj) { return obj.addNewStream(obj.camera.id); }, "camera.label": function (obj) { return obj.camera.label; }, "(showaddstreambutton && !firefox) || (firefox && allowscreen)": function (obj) { return (obj.showaddstreambutton && !obj.firefox) || (obj.firefox && obj.allowscreen); }, "!novideo && !allowscreen && !ismobile": function (obj) { return !obj.novideo && !obj.allowscreen && !obj.ismobile; }, "hover(string('select-camera'))": function (obj) { return obj.hover(obj.string('select-camera')); }, "selectCamera(camera.id)": function (obj) { return obj.selectCamera(obj.camera.id); }, "selectedcamera == camera.id": function (obj) { return obj.selectedcamera == obj.camera.id; }, "(!noaudio && !novideo) || !allowscreen": function (obj) { return (!obj.noaudio && !obj.novideo) || !obj.allowscreen; }, "microphones": function (obj) { return obj.microphones; }, "!noaudio && !allowscreen": function (obj) { return !obj.noaudio && !obj.allowscreen; }, "selectMicrophone(microphone.id)": function (obj) { return obj.selectMicrophone(obj.microphone.id); }, "hover(string('select-audio-input'))": function (obj) { return obj.hover(obj.string('select-audio-input')); }, "selectedmicrophone == microphone.id": function (obj) { return obj.selectedmicrophone == obj.microphone.id; }, "microphone.label": function (obj) { return obj.microphone.label; }, "rerecordvisible": function (obj) { return obj.rerecordvisible; }, "rerecord()": function (obj) { return obj.rerecord(); }, "hover(string('rerecord-tooltip'))": function (obj) { return obj.hover(obj.string('rerecord-tooltip')); }, "unhover()": function (obj) { return obj.unhover(); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "cancelvisible": function (obj) { return obj.cancelvisible; }, "cancel()": function (obj) { return obj.cancel(); }, "hover(string('cancel-tooltip'))": function (obj) { return obj.hover(obj.string('cancel-tooltip')); }, "string('cancel')": function (obj) { return obj.string('cancel'); }, "stopvisible && recordingindication": function (obj) { return obj.stopvisible && obj.recordingindication; }, "settingsvisible": function (obj) { return obj.settingsvisible; }, "ismobile": function (obj) { return obj.ismobile; }, "toggleFaceMode()": function (obj) { return obj.toggleFaceMode(); }, "hover(string('switch-camera'))": function (obj) { return obj.hover(obj.string('switch-camera')); }, "settingsopen=!settingsopen": function (obj) { return obj.settingsopen=!obj.settingsopen; }, "settingsopen ? 'selected' : 'unselected'": function (obj) { return obj.settingsopen ? 'selected' : 'unselected'; }, "hover(string('settings'))": function (obj) { return obj.hover(obj.string('settings')); }, "hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))": function (obj) { return obj.hover(obj.string(obj.microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy')); }, "microphonehealthy ? 'good' : 'bad'": function (obj) { return obj.microphonehealthy ? 'good' : 'bad'; }, "!novideo && !allowscreen": function (obj) { return !obj.novideo && !obj.allowscreen; }, "hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))": function (obj) { return obj.hover(obj.string(obj.camerahealthy ? 'camerahealthy' : 'cameraunhealthy')); }, "camerahealthy ? 'good' : 'bad'": function (obj) { return obj.camerahealthy ? 'good' : 'bad'; }, "cssrecorder": function (obj) { return obj.cssrecorder; }, "recordvisible": function (obj) { return obj.recordvisible; }, "record()": function (obj) { return obj.record(); }, "hover(string('record-tooltip'))": function (obj) { return obj.hover(obj.string('record-tooltip')); }, "string('record')": function (obj) { return obj.string('record'); }, "stopvisible": function (obj) { return obj.stopvisible; }, "controlbarlabel && !rerecordvisible": function (obj) { return obj.controlbarlabel && !obj.rerecordvisible; }, "controlbarlabel": function (obj) { return obj.controlbarlabel; }, "pausable && !resumevisible": function (obj) { return obj.pausable && !obj.resumevisible; }, "stop()": function (obj) { return obj.stop(); }, "string('pause-recorder')": function (obj) { return obj.string('pause-recorder'); }, "pause()": function (obj) { return obj.pause(); }, "hover(string('pause-recorder'))": function (obj) { return obj.hover(obj.string('pause-recorder')); }, "pausable && resumevisible": function (obj) { return obj.pausable && obj.resumevisible; }, "resume()": function (obj) { return obj.resume(); }, "string('resume-recorder')": function (obj) { return obj.string('resume-recorder'); }, "hover(string('resume-recorder'))": function (obj) { return obj.hover(obj.string('resume-recorder')); }, "mintimeindicator ? css + '-disabled': ''": function (obj) { return obj.mintimeindicator ? obj.css + '-disabled': ''; }, "mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')": function (obj) { return obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip'); }, "hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))": function (obj) { return obj.hover(obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip')); }, "string('stop')": function (obj) { return obj.string('stop'); }, "skipvisible": function (obj) { return obj.skipvisible; }, "skip()": function (obj) { return obj.skip(); }, "hover(string('skip-tooltip'))": function (obj) { return obj.hover(obj.string('skip-tooltip')); }, "string('skip')": function (obj) { return obj.string('skip'); }, "uploadcovershotvisible": function (obj) { return obj.uploadcovershotvisible; }, "hover(string('upload-covershot-tooltip'))": function (obj) { return obj.hover(obj.string('upload-covershot-tooltip')); }, "uploadCovershot(domEvent)": function (obj) { return obj.uploadCovershot(obj.domEvent); }, "covershot_accept_string": function (obj) { return obj.covershot_accept_string; }, "string('upload-covershot')": function (obj) { return obj.string('upload-covershot'); }/**/
    });
    Parser.registerFunctions({
        /**/"showslidercontainer": function (obj) { return obj.showslidercontainer; }, "css": function (obj) { return obj.css; }, "left()": function (obj) { return obj.left(); }, "csscommon": function (obj) { return obj.csscommon; }, "images": function (obj) { return obj.images; }, "select(image)": function (obj) { return obj.select(obj.image); }, "{left: image.left + 'px', top: image.top + 'px', width: image.width + 'px', height: image.height + 'px'}": function (obj) { return {left: obj.image.left + 'px', top: obj.image.top + 'px', width: obj.image.width + 'px', height: obj.image.height + 'px'}; }, "right()": function (obj) { return obj.right(); }, "!showslidercontainer": function (obj) { return !obj.showslidercontainer; }, "covershot_accept_string": function (obj) { return obj.covershot_accept_string; }, "uploadCovershot(domEvent)": function (obj) { return obj.uploadCovershot(obj.domEvent); }, "string('upload-covershot')": function (obj) { return obj.string('upload-covershot'); }/**/
    });
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "initialmessages.length > 0": function (obj) { return obj.initialmessages.length > 0; }, "csscommon": function (obj) { return obj.csscommon; }, "initialmessages": function (obj) { return obj.initialmessages; }, "initialmessage.message": function (obj) { return obj.initialmessage.message; }, "initialmessage.type ? initialmessage.type : 'default'": function (obj) { return obj.initialmessage.type ? obj.initialmessage.type : 'default'; }, "initialmessage.id": function (obj) { return obj.initialmessage.id; }, "actions": function (obj) { return obj.actions; }, "click_action(action)": function (obj) { return obj.click_action(obj.action); }, "action.index": function (obj) { return obj.action.index; }, "action.select && action.capture": function (obj) { return obj.action.select && obj.action.capture; }, "select_file_action(action, domEvent)": function (obj) { return obj.select_file_action(obj.action, obj.domEvent); }, "action.accept": function (obj) { return obj.action.accept; }, "action.switchcamera": function (obj) { return obj.action.switchcamera; }, "action.select && !action.capture": function (obj) { return obj.action.select && !obj.action.capture; }, "action.label": function (obj) { return obj.action.label; }, "action.icon": function (obj) { return obj.action.icon; }/**/
    });
    Parser.registerFunctions({
        /**/"cssrecorder": function (obj) { return obj.cssrecorder; }, "click()": function (obj) { return obj.click(); }, "shortMessage ? 'short-message' : 'long-message'": function (obj) { return obj.shortMessage ? 'short-message' : 'long-message'; }, "message || \"\"": function (obj) { return obj.message || ""; }, "links && links.length > 0": function (obj) { return obj.links && obj.links.length > 0; }, "links": function (obj) { return obj.links; }, "linkClick(link)": function (obj) { return obj.linkClick(obj.link); }, "link.title": function (obj) { return obj.link.title; }/**/
    });
    return {
        "theatre": {
            css: "ba-videorecorder",
            csstheme: "ba-recorder-theme-theatre",
            cssrecorder: "ba-recorder",
            cssmessage: "ba-videorecorder",
            cssloader: "ba-videorecorder",
            tmplcontrolbar: "<div class=\"{{csstheme}}-dashboard\">\n\n\t<div class=\"{{css}}-settings-front\">\n\n\t\t\n\t\t<div data-selector=\"recorder-settings\" class=\"{{css}}-settings\" ba-show=\"{{settingsvisible && settingsopen}}\">\n\t\t\t<div class=\"{{css}}-bubble-info\">\n\t\t\t\t<ul data-selector=\"add-new-stream\" ba-if=\"{{videoselectnotification}}\">\n\t\t\t\t\t<li>\n\t\t\t\t\t\t<div data-selector=\"single-camera-stream\">\n\t\t\t\t\t\t\t<i class=\"ba-commoncss-icon-plus\"></i> {{string('add-stream')}}\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</li>\n\t\t\t\t\t<li>\n\t\t\t\t\t\t<div data-selector=\"single-camera-stream\" class=\"{{csscommon}}-text-error\">\n\t\t\t\t\t\t\t{{videoselectnotification}}\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\n\t\t\t\t<ul data-selector=\"add-new-stream\" ba-show=\"{{showaddstreambutton && firefox && allowscreen}}\">\n\t\t\t\t\t<li>\n\t\t\t\t\t\t<div data-selector=\"single-camera-stream\"\n\t\t\t\t\t\t\t class=\"{{css}}-add-stream\"\n\t\t\t\t\t\t\t onclick=\"{{addNewStream()}}\"\n\t\t\t\t\t\t\t onmouseenter=\"{{hover(string('add-stream'))}}\"\n\t\t\t\t\t\t>\n\t\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-plus\"></i> {{string('add-stream')}}\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\n\t\t\t\t<ul data-selector=\"add-new-stream\" ba-show=\"{{showaddstreambutton && !firefox}}\" ba-repeat=\"{{camera :: cameras}}\">\n\t\t\t\t\t<li ba-show=\"{{(camera.id !== selectedcamera) || allowscreen}}\">\n\t\t\t\t\t\t<div data-selector=\"single-camera-stream\"\n\t\t\t\t\t\t\t class=\"{{css}}-add-stream\"\n\t\t\t\t\t\t\t onclick=\"{{addNewStream(camera.id)}}\"\n\t\t\t\t\t\t\t onmouseenter=\"{{hover(string('add-stream'))}}\"\n\t\t\t\t\t\t>\n\t\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-plus\"></i> {{camera.label}}\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\n\t\t\t\t<hr ba-show=\"{{(showaddstreambutton && !firefox) || (firefox && allowscreen)}}\"/>\n\n\t\t\t\t<ul data-selector=\"camera-settings\" ba-repeat=\"{{camera :: cameras}}\" ba-show=\"{{!novideo && !allowscreen && !ismobile}}\">\n\t\t\t\t\t<li onmouseenter=\"{{hover(string('select-camera'))}}\">\n\t\t\t\t\t\t<input tabindex=\"0\"\n\t\t\t\t\t\t\t   ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t   type='radio' name='camera'\n\t\t\t\t\t\t\t   value=\"{{selectedcamera == camera.id}}\"\n\t\t\t\t\t\t\t   onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t\t/>\n\t\t\t\t\t\t<span></span>\n\t\t\t\t\t\t<label tabindex=\"0\"\n\t\t\t\t\t\t\t   ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t   onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t\t>\n\t\t\t\t\t\t\t{{camera.label}}\n\t\t\t\t\t\t</label>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\t\t\t\t<hr ba-show=\"{{(!noaudio && !novideo) || !allowscreen}}\"/>\n\t\t\t\t<ul data-selector=\"microphone-settings\" ba-repeat=\"{{microphone :: microphones}}\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\t\t\t\t\t<li tabindex=\"0\"\n\t\t\t\t\t\tba-hotkey:space^enter=\"{{selectMicrophone(microphone.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\tonmouseenter=\"{{hover(string('select-audio-input'))}}\"\n\t\t\t\t\t\tonclick=\"{{selectMicrophone(microphone.id)}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<input type='radio' name='microphone' value=\"{{selectedmicrophone == microphone.id}}\" />\n\t\t\t\t\t\t<span></span>\n\t\t\t\t\t\t<label>\n\t\t\t\t\t\t\t{{microphone.label}}\n\t\t\t\t\t\t</label>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\t\t\t</div>\n\t\t</div>\n\n\t</div>\n\n\t\n\t<div data-selector=\"controlbar\" class=\"{{css}}-controlbar\">\n\n\t\t<div class=\"{{css}}-controlbar-center-section\">\n\n\t\t\t<div class=\"{{css}}-button-container\" ba-show=\"{{rerecordvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"rerecord-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{rerecord()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('rerecord-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('rerecord')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-button-container\" ba-show=\"{{cancelvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{cancel()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"cancel-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{cancel()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('cancel-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('cancel')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t</div>\n\n\t\t<div class=\"{{css}}-controlbar-left-section\">\n\n\t\t\t<div class=\"{{css}}-indicator-container\" ba-show=\"{{stopvisible && recordingindication}}\">\n\t\t\t\t<div data-selector=\"recording-indicator\" class=\"{{css}}-recording-indication\"></div>\n\t\t\t</div>\n\n\t\t\t<div ba-show=\"{{settingsvisible}}\">\n\n\t\t\t\t<div class=\"{{css}}-button\" ba-show=\"{{ismobile}}\">\n                    <div data-selector=\"face-mode-toggle-icon\"\n                         class=\"{{css}}-button-inner {{css}}-button-circle-unselected\"\n                         onclick=\"{{toggleFaceMode()}}\"\n                         onmouseenter=\"{{hover(string('switch-camera'))}}\"\n                    >\n                        <i class=\"{{csscommon}}-icon-arrows-cw\"></i>\n                    </div>\n\t\t\t\t</div>\n\n\t\t\t\t<div class=\"{{css}}-button\">\n\n\t\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t\t ba-hotkey:space^enter=\"{{settingsopen=!settingsopen}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t data-selector=\"record-button-icon-cog\"\n\t\t\t\t\t\t class=\"{{css}}-button-inner {{css}}-button-{{settingsopen ? 'selected' : 'unselected' }}\"\n\t\t\t\t\t\t onclick=\"{{settingsopen=!settingsopen}}\"\n\t\t\t\t\t\t onmouseenter=\"{{hover(string('settings'))}}\"\n\t\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-cog\"></i>\n\t\t\t\t\t</div>\n\n\t\t\t\t</div>\n\n\t\t\t\t<div class=\"{{css}}-button\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\t\t\t\t\t<div data-selector=\"record-button-icon-mic\" class=\"{{css}}-button-inner\"\n\t\t\t\t\t\t onmouseenter=\"{{hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))}}\"\n\t\t\t\t\t\t onmouseleave=\"{{unhover()}}\">\n\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-mic {{csscommon}}-icon-state-{{microphonehealthy ? 'good' : 'bad' }}\"></i>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\n\t\t\t\t<div class=\"{{css}}-button\" ba-show=\"{{!novideo && !allowscreen}}\">\n\t\t\t\t\t<div data-selector=\"record-button-icon-videocam\" class=\"{{css}}-button-inner\"\n\t\t\t\t\t\t onmouseenter=\"{{hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))}}\"\n\t\t\t\t\t\t onmouseleave=\"{{unhover()}}\">\n\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-videocam {{csscommon}}-icon-state-{{ camerahealthy ? 'good' : 'bad' }}\"></i>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t</div>\n\n\t\t<div class=\"{{cssrecorder}}-controlbar-right-section\">\n\n\t\t\t<div class=\"{{css}}-rightbutton-container\" ba-show=\"{{recordvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{record()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"record-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{record()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('record-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('record')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t</div>\n\n\t\t<div class=\"{{css}}-stop-container\" ba-show=\"{{stopvisible}}\">\n\n\t\t\t<div class=\"{{css}}-timer-container\">\n\t\t\t\t<div class=\"{{css}}-label-container\" ba-show=\"{{controlbarlabel && !rerecordvisible}}\">\n\t\t\t\t\t<div data-selector=\"record-label-block\" class=\"{{css}}-label {{css}}-button-primary\">\n\t\t\t\t\t\t{{controlbarlabel}}\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-stop-button-container\">\n\n\t\t\t\t<div class=\"{{css}}-button\">\n\t\t\t\t\t<div tabindex=\"0\" ba-show=\"{{pausable && !resumevisible}}\"\n\t\t\t\t\t\t ba-hotkey:space^enter=\"{{stop()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t data-selector=\"pause-primary-button\" class=\"{{css}}-button\"\n\t\t\t\t\t\t title=\"{{string('pause-recorder')}}\"\n\t\t\t\t\t\t onclick=\"{{pause()}}\"\n\t\t\t\t\t\t onmouseenter=\"{{hover(string('pause-recorder'))}}\"\n\t\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-pause\"></i>\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<div tabindex=\"0\" ba-show=\"{{pausable && resumevisible}}\"\n\t\t\t\t\t\t ba-hotkey:space^enter=\"{{resume()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t data-selector=\"resume-primary-button\" class=\"{{css}}-button\"\n\t\t\t\t\t\t title=\"{{string('resume-recorder')}}\"\n\t\t\t\t\t\t onclick=\"{{resume()}}\"\n\t\t\t\t\t\t onmouseenter=\"{{hover(string('resume-recorder'))}}\"\n\t\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-ccw\"></i>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{stop()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"stop-primary-button\"\n\t\t\t\t\t class=\"{{css}}-button-primary {{mintimeindicator ? css + '-disabled': ''}}\"\n\t\t\t\t\t title=\"{{mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')}}\"\n\t\t\t\t\t onclick=\"{{stop()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('stop')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\n        <div class=\"{{css}}-centerbutton-container\" ba-show=\"{{skipvisible}}\">\n            <div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{skip()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"skip-primary-button\" class=\"{{css}}-button-primary\"\n                 onclick=\"{{skip()}}\"\n                 onmouseenter=\"{{hover(string('skip-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n                {{string('skip')}}\n            </div>\n        </div>\n\n\n        <div class=\"{{css}}-rightbutton-container\" ba-if=\"{{uploadcovershotvisible}}\">\n            <div data-selector=\"covershot-primary-button\" class=\"{{css}}-button-primary\"\n                 onmouseenter=\"{{hover(string('upload-covershot-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\">\n                <input type=\"file\"\n                       class=\"{{css}}-chooser-file\"\n                       style=\"height:100px\"\n                       onchange=\"{{uploadCovershot(domEvent)}}\"\n                       accept=\"{{covershot_accept_string}}\" />\n                <span>\n                    {{string('upload-covershot')}}\n                </span>\n            </div>\n        </div>\n\n\t</div>\n\n</div>\n",
            tmplimagegallery: "<div ba-if=\"{{showslidercontainer}}\" data-selector=\"image-gallery\" class=\"{{css}}-image-gallery-container\">\n\t<div data-selector=\"slider-left-button\" class=\"{{css}}-imagegallery-leftbutton\">\n\t\t<div tabindex=\"0\" data-selector=\"slider-left-inner-button\"\n\t\t\t ba-hotkey:space^enter^left=\"{{left()}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-imagegallery-button-inner\" onclick=\"{{left()}}\"\n\t\t>\n\t\t\t<i class=\"{{csscommon}}-icon-left-open\"></i>\n\t\t</div>\n\t</div>\n\n\t<div data-selector=\"images-imagegallery-container\" ba-repeat=\"{{image::images}}\" class=\"{{css}}-imagegallery-container\" data-gallery-container>\n\t\t<div tabindex=\"0\" data-selector=\"imagegallery-selected-image\"\n\t\t\t ba-hotkey:space^enter=\"{{select(image)}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-imagegallery-image\"\n\t\t\t ba-styles=\"{{{left: image.left + 'px', top: image.top + 'px', width: image.width + 'px', height: image.height + 'px'}}}\"\n\t\t\t onclick=\"{{select(image)}}\"\n\t\t>\n\t\t</div>\n\t</div>\n\n\t<div data-selector=\"slider-right-button\" class=\"{{css}}-imagegallery-rightbutton\">\n\t\t<div tabindex=\"0\" data-selector=\"slider-right-inner-button\"\n\t\t\t ba-hotkey:space^enter^right=\"{{right()}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-imagegallery-button-inner\"\n\t\t\t onclick=\"{{right()}}\"\n\t\t>\n\t\t\t<i class=\"{{csscommon}}-icon-right-open\"></i>\n\t\t</div>\n\t</div>\n</div>\n\n<div ba-if=\"{{!showslidercontainer}}\" class=\"{{css}}-chooser-container\">\n\t<div data-selector=\"covershot-primary-button\" class=\"{{css}}-chooser-button-container\">\n\t\t<div class=\"{{css}}-chooser-button-0\">\n\t\t\t<input type=\"file\"\n\t\t\t\t   tabindex=\"0\"\n\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t   accept=\"{{covershot_accept_string}}\"\n\t\t\t\t   onchange=\"{{uploadCovershot(domEvent)}}\"\n\t\t\t/>\n\t\t\t<i class=\"{{csscommon}}-icon-picture\"></i>\n\t\t\t<span>\n\t\t\t{{string('upload-covershot')}}\n\t\t</span>\n\t\t</div>\n\t</div>\n</div>\n",
            tmplchooser: "<div class=\"{{css}}-chooser-container\">\n\t<div ba-if=\"{{initialmessages.length > 0}}\" class=\"{{csscommon}}-message-container\">\n\t\t<ul ba-repeat=\"{{initialmessage :: initialmessages}}\">\n\t\t\t<li ba-if=\"{{initialmessage.message}}\"\n\t\t\t\tclass=\"{{csscommon}}-message-text {{csscommon}}-message-{{initialmessage.type ? initialmessage.type : 'default'}}\"\n\t\t\t>\n\t\t\t\t{{ initialmessage.message }}\n\t\t\t\t<span ba-if=\"{{initialmessage.id}}\"\n\t\t\t\t\t  class=\"{{csscommon}}-action-button\"\n\t\t\t\t\t  ba-click=\"close_message(initialmessage.id)\"\n\t\t\t\t>\n\t\t\t\t\t<i class=\"{{csscommon}}-icon-cancel\"></i>\n\t\t\t\t</span>\n\t\t\t</li>\n\t\t</ul>\n\t</div>\n\n\t<div class=\"{{css}}-chooser-button-container\">\n\n\t\t<div ba-repeat=\"{{action :: actions}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{click_action(action)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t class=\"{{css}}-chooser-button-{{action.index}}\"\n\t\t\t\t ba-click=\"{{click_action(action)}}\">\n\t\t\t\t<input ba-if=\"{{action.select && action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t\t   capture=\"{{action.switchcamera}}\" />\n\t\t\t\t<input ba-if=\"{{action.select && !action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t/>\n\t\t\t\t<span>\n\t\t\t\t\t{{action.label}}\n\t\t\t\t</span>\n\t\t\t\t<i class=\"{{csscommon}}-icon-{{action.icon}}\"\n\t\t\t\t   ba-if=\"{{action.icon}}\"></i>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</div>\n",
            tmplmessage: "<div data-selector=\"recorder-message-container\" class=\"{{cssrecorder}}-message-container\" ba-click=\"{{click()}}\">\n    <div class=\"{{cssrecorder}}-top-inner-message-container {{cssrecorder}}-{{shortMessage ? 'short-message' : 'long-message'}}\">\n        <div class=\"{{cssrecorder}}-first-inner-message-container\">\n            <div class=\"{{cssrecorder}}-second-inner-message-container\">\n                <div class=\"{{cssrecorder}}-third-inner-message-container\">\n                    <div class=\"{{cssrecorder}}-fourth-inner-message-container\">\n                        <div data-selector=\"recorder-message-block\" class='{{cssrecorder}}-message-message'>\n                            <p>\n                                {{message || \"\"}}\n                            </p>\n                            <ul ba-if=\"{{links && links.length > 0}}\" ba-repeat=\"{{link :: links}}\">\n                                <li>\n                                    <a href=\"javascript:;\" ba-click=\"{{linkClick(link)}}\">\n                                        {{link.title}}\n                                    </a>\n                                </li>\n                            </ul>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n"
        }
    };
});

Scoped.extend("module:Assets.imageviewerthemes", ["browser:Info","dynamics:Parser"], function(Info, Parser) {
    var ie8 = Info.isInternetExplorer() && Info.internetExplorerVersion() <= 8;
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "activitydelta > 5000 && hideoninactivity ? (css + '-dashboard-hidden') : ''": function (obj) { return obj.activitydelta > 5000 && obj.hideoninactivity ? (obj.css + '-dashboard-hidden') : ''; }, "title": function (obj) { return obj.title; }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-image')": function (obj) { return obj.string('submit-image'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-image')": function (obj) { return obj.string('rerecord-image'); }, "csscommon": function (obj) { return obj.csscommon; }, "toggle_fullscreen()": function (obj) { return obj.toggle_fullscreen(); }, "tab_index_move(domEvent)": function (obj) { return obj.tab_index_move(obj.domEvent); }, "fullscreen": function (obj) { return obj.fullscreen; }, "fullscreened ? string('exit-fullscreen-image') : string('fullscreen-image')": function (obj) { return obj.fullscreened ? obj.string('exit-fullscreen-image') : obj.string('fullscreen-image'); }, "fullscreened ? 'small' : 'full'": function (obj) { return obj.fullscreened ? 'small' : 'full'; }/**/
    });
    return {
        "theatre": {
            css: "ba-imageviewer",
            csstheme: "ba-imageviewer-theatre-theme",
            tmplcontrolbar: "<div data-selector=\"image-title-block\" class=\"{{css}}-image-title-container {{activitydelta > 5000 && hideoninactivity ? (css + '-dashboard-hidden') : ''}}\"  ba-if=\"{{title}}\">\n    <p class=\"{{css}}-image-title\">\n        {{title}}\n    </p>\n</div>\n<div class=\"{{css}}-dashboard {{activitydelta > 5000 && hideoninactivity ? (css + '-dashboard-hidden') : ''}}\">\n\n    <div class=\"{{css}}-left-block\">\n\n        <div tabindex=\"0\" data-selector=\"submit-image-button\"\n             ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n             class=\"{{css}}-leftbutton-container\"\n             ba-if=\"{{submittable}}\"  ba-click=\"{{submit()}}\"\n        >\n            <div class=\"{{css}}-button-inner\">\n                {{string('submit-image')}}\n            </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-ccw\"\n             ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n             class=\"{{css}}-leftbutton-container\"\n             ba-if=\"{{rerecordable}}\" ba-click=\"{{rerecord()}}\"\n             title=\"{{string('rerecord-image')}}\"\n        >\n            <div class=\"{{css}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-ccw\"></i>\n            </div>\n        </div>\n\n    </div>\n\n    <div class=\"{{css}}-right-block\">\n\n        <div tabindex=\"8\" data-selector=\"button-icon-resize-full\"\n             ba-hotkey:space^enter=\"{{toggle_fullscreen()}}\" onmouseout=\"this.blur()\"\n             onkeydown=\"{{tab_index_move(domEvent)}}\"\n             class=\"{{css}}-button-container {{css}}-fullscreen-icon-container\"\n             ba-if=\"{{fullscreen}}\" ba-click=\"{{toggle_fullscreen()}}\" title=\"{{ fullscreened ? string('exit-fullscreen-image') : string('fullscreen-image') }}\"\n        >\n            <div class=\"{{css}}-button-inner {{css}}-full-screen-btn-inner\">\n                <i class=\"{{csscommon}}-icon-resize-{{fullscreened ? 'small' : 'full'}}\"></i>\n            </div>\n        </div>\n\n\n    </div>\n\n</div>\n",
            cssloader: ie8 ? "ba-imageviewer" : "",
            cssmessage: "ba-imageviewer"
        }
    };
});

Scoped.extend("module:Assets.audioplayerthemes", ["browser:Info","dynamics:Parser"], function(Info, Parser) {
    var ie8 = Info.isInternetExplorer() && Info.internetExplorerVersion() <= 8;
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "title": function (obj) { return obj.title; }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-audio')": function (obj) { return obj.string('submit-audio'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-audio')": function (obj) { return obj.string('rerecord-audio'); }, "csscommon": function (obj) { return obj.csscommon; }, "play()": function (obj) { return obj.play(); }, "tab_index_move(domEvent, null, 'button-icon-pause')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-pause'); }, "!playing": function (obj) { return !obj.playing; }, "string('play-audio')": function (obj) { return obj.string('play-audio'); }, "pause()": function (obj) { return obj.pause(); }, "tab_index_move(domEvent, null, 'button-icon-play')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-play'); }, "disablepause ? cssplayer + '-disabled' : ''": function (obj) { return obj.disablepause ? obj.cssplayer + '-disabled' : ''; }, "playing": function (obj) { return obj.playing; }, "disablepause ? string('pause-audio-disabled') : string('pause-audio')": function (obj) { return obj.disablepause ? obj.string('pause-audio-disabled') : obj.string('pause-audio'); }, "toggle_volume()": function (obj) { return obj.toggle_volume(); }, "string(volume > 0 ? 'volume-mute' : 'volume-unmute')": function (obj) { return obj.string(obj.volume > 0 ? 'volume-mute' : 'volume-unmute'); }, "csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off'))": function (obj) { return obj.csscommon + '-icon-volume-' + (obj.volume >= 0.5 ? 'up' : (obj.volume > 0 ? 'down' : 'off')); }, "set_volume(volume + 0.1)": function (obj) { return obj.set_volume(obj.volume + 0.1); }, "set_volume(volume - 0.1)": function (obj) { return obj.set_volume(obj.volume - 0.1); }, "startVerticallyUpdateVolume(domEvent)": function (obj) { return obj.startVerticallyUpdateVolume(obj.domEvent); }, "stopVerticallyUpdateVolume(domEvent)": function (obj) { return obj.stopVerticallyUpdateVolume(obj.domEvent); }, "progressVerticallyUpdateVolume(domEvent)": function (obj) { return obj.progressVerticallyUpdateVolume(obj.domEvent); }, "{height: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}": function (obj) { return {height: Math.ceil(1+Math.min(99, Math.round(obj.volume * 100))) + '%'}; }, "string('volume-button')": function (obj) { return obj.string('volume-button'); }, "string('elapsed-time')": function (obj) { return obj.string('elapsed-time'); }, "formatTime(position)": function (obj) { return obj.formatTime(obj.position); }, "string('total-time')": function (obj) { return obj.string('total-time'); }, "formatTime(duration || position)": function (obj) { return obj.formatTime(obj.duration || obj.position); }, "disableseeking ? cssplayer + '-disabled' : ''": function (obj) { return obj.disableseeking ? obj.cssplayer + '-disabled' : ''; }, "seek(position + skipseconds)": function (obj) { return obj.seek(obj.position + obj.skipseconds); }, "seek(position - skipseconds)": function (obj) { return obj.seek(obj.position - obj.skipseconds); }, "startUpdatePosition(domEvent)": function (obj) { return obj.startUpdatePosition(obj.domEvent); }, "stopUpdatePosition(domEvent)": function (obj) { return obj.stopUpdatePosition(obj.domEvent); }, "progressUpdatePosition(domEvent)": function (obj) { return obj.progressUpdatePosition(obj.domEvent); }, "{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.cached / obj.duration * 100 : 0) + '%'}; }, "{width: Math.round(duration ? position / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.position / obj.duration * 100 : 0) + '%'}; }, "string('audio-progress')": function (obj) { return obj.string('audio-progress'); }/**/
    });
    return {
        "theatre": {
            css: "ba-audioplayer",
            csstheme: "ba-player-theatre-theme",
            tmplcontrolbar: "<div data-selector=\"audio-title-block\" class=\"{{csstheme}}-title-container \"  ba-if=\"{{title}}\">\n    <p class=\"{{csstheme}}-title\">\n        {{title}}\n    </p>\n</div>\n<div class=\"{{csstheme}}-dashboard \">\n\n    <div class=\"{{csstheme}}-left-block\">\n\n        <div tabindex=\"0\" data-selector=\"submit-audio-button\"\n             ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-leftbutton-container\"\n             ba-if=\"{{submittable}}\"  ba-click=\"{{submit()}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                {{string('submit-audio')}}\n            </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-ccw\"\n             ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-leftbutton-container\"\n             ba-if=\"{{rerecordable}}\" ba-click=\"{{rerecord()}}\"\n             title=\"{{string('rerecord-audio')}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-ccw\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-play\"\n             ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n             onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-pause')}}\"\n             class=\"{{csstheme}}-button-container\"\n             ba-if=\"{{!playing}}\" ba-click=\"{{play()}}\" title=\"{{string('play-audio')}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-play\"></i>\n            </div>\n        </div>\n\n        <div tabindex=\"0\" data-selector=\"button-icon-pause\"\n             ba-hotkey:space^enter=\"{{pause()}}\" onmouseout=\"this.blur()\"\n             onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-play')}}\"\n             class=\"{{csstheme}}-button-container {{disablepause ? cssplayer + '-disabled' : ''}}\"\n             ba-if=\"{{playing}}\" ba-click=\"{{pause()}}\" title=\"{{disablepause ? string('pause-audio-disabled') : string('pause-audio')}}\"\n        >\n            <div class=\"{{csstheme}}-button-inner\">\n                <i class=\"{{csscommon}}-icon-pause\"></i>\n            </div>\n        </div>\n\n        <div class=\"{{csstheme}}-volume-icon-container\">\n\n            <div tabindex=\"2\" data-selector=\"button-icon-volume\"\n                 ba-hotkey:space^enter=\"{{toggle_volume()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{csstheme}}-button-container\"\n                 ba-click=\"{{toggle_volume()}}\" title=\"{{string(volume > 0 ? 'volume-mute' : 'volume-unmute')}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    <i class=\"{{csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off')) }}\"></i>\n                </div>\n            </div>\n\n            <div class=\"{{csstheme}}-volumebar\">\n                <div tabindex=\"-1\" data-selector=\"button-volume-bar\"\n                     ba-hotkey:up=\"{{set_volume(volume + 0.1)}}\"\n                     ba-hotkey:down=\"{{set_volume(volume - 0.1)}}\"\n                     onmouseout=\"this.blur()\"\n                     class=\"{{csstheme}}-volumebar-inner\"\n                     onmousedown=\"{{startVerticallyUpdateVolume(domEvent)}}\"\n                     onmouseup=\"{{stopVerticallyUpdateVolume(domEvent)}}\"\n                     onmouseleave=\"{{stopVerticallyUpdateVolume(domEvent)}}\"\n                     onmousemove=\"{{progressVerticallyUpdateVolume(domEvent)}}\"\n                >\n                    <div class=\"{{csstheme}}-volumebar-position\" ba-styles=\"{{{height: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}}}\" title=\"{{string('volume-button')}}\"></div>\n                </div>\n            </div>\n        </div>\n\n        <div class=\"{{csstheme}}-time-container\">\n            <div class=\"{{csstheme}}-time-value\" title=\"{{string('elapsed-time')}}\">{{formatTime(position)}}</div>\n        </div>\n    </div>\n\n    <div class=\"{{csstheme}}-right-block\">\n\n        <div class=\"{{csstheme}}-time-container {{csstheme}}-right-time-container\">\n            <div class=\"{{csstheme}}-time-value\" title=\"{{string('total-time')}}\">{{formatTime(duration || position)}}</div>\n        </div>\n\n    </div>\n\n    <div class=\"{{csstheme}}-progressbar {{disableseeking ? cssplayer + '-disabled' : ''}}\">\n        <div tabindex=\"4\" data-selector=\"progress-bar-inner\"\n             ba-hotkey:right=\"{{seek(position + skipseconds)}}\"\n             ba-hotkey:left=\"{{seek(position - skipseconds)}}\"\n             onmouseout=\"this.blur()\"\n             class=\"{{csstheme}}-progressbar-inner\"\n             onmousedown=\"{{startUpdatePosition(domEvent)}}\"\n             onmouseup=\"{{stopUpdatePosition(domEvent)}}\"\n             onmouseleave=\"{{stopUpdatePosition(domEvent)}}\"\n             onmousemove=\"{{progressUpdatePosition(domEvent)}}\"\n        >\n\n            <div class=\"{{csstheme}}-progressbar-cache\" ba-styles=\"{{{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}}}\"></div>\n            <div class=\"{{csstheme}}-progressbar-position\" ba-styles=\"{{{width: Math.round(duration ? position / duration * 100 : 0) + '%'}}}\" title=\"{{string('audio-progress')}}\">\n                <div class=\"{{csstheme}}-progressbar-button\"></div>\n            </div>\n        </div>\n    </div>\n\n</div>\n",
            cssloader: ie8 ? "ba-audioplayer" : "",
            cssmessage: "ba-audioplayer",
            cssplaybutton: ie8 ? "ba-audioplayer" : ""
        }
    };
});

Scoped.extend("module:Assets.audiorecorderthemes", ["dynamics:Parser"], function(Parser) {
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "css": function (obj) { return obj.css; }, "settingsvisible && settingsopen": function (obj) { return obj.settingsvisible && obj.settingsopen; }, "cameras": function (obj) { return obj.cameras; }, "selectCamera(camera.id)": function (obj) { return obj.selectCamera(obj.camera.id); }, "selectedcamera == camera.id": function (obj) { return obj.selectedcamera == obj.camera.id; }, "camera.label": function (obj) { return obj.camera.label; }, "microphones": function (obj) { return obj.microphones; }, "audio": function (obj) { return obj.audio; }, "selectMicrophone(microphone.id)": function (obj) { return obj.selectMicrophone(obj.microphone.id); }, "selectedmicrophone == microphone.id": function (obj) { return obj.selectedmicrophone == obj.microphone.id; }, "microphone.label": function (obj) { return obj.microphone.label; }, "rerecordvisible": function (obj) { return obj.rerecordvisible; }, "rerecord()": function (obj) { return obj.rerecord(); }, "hover(string('rerecord-tooltip'))": function (obj) { return obj.hover(obj.string('rerecord-tooltip')); }, "unhover()": function (obj) { return obj.unhover(); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "cancelvisible": function (obj) { return obj.cancelvisible; }, "cancel()": function (obj) { return obj.cancel(); }, "hover(string('cancel-tooltip'))": function (obj) { return obj.hover(obj.string('cancel-tooltip')); }, "string('cancel')": function (obj) { return obj.string('cancel'); }, "settingsvisible": function (obj) { return obj.settingsvisible; }, "settingsopen=!settingsopen": function (obj) { return obj.settingsopen=!obj.settingsopen; }, "settingsopen ? 'selected' : 'unselected'": function (obj) { return obj.settingsopen ? 'selected' : 'unselected'; }, "hover(string('settings'))": function (obj) { return obj.hover(obj.string('settings')); }, "csscommon": function (obj) { return obj.csscommon; }, "!noaudio && !allowscreen": function (obj) { return !obj.noaudio && !obj.allowscreen; }, "hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))": function (obj) { return obj.hover(obj.string(obj.microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy')); }, "microphonehealthy ? 'good' : 'bad'": function (obj) { return obj.microphonehealthy ? 'good' : 'bad'; }, "hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))": function (obj) { return obj.hover(obj.string(obj.camerahealthy ? 'camerahealthy' : 'cameraunhealthy')); }, "camerahealthy ? 'good' : 'bad'": function (obj) { return obj.camerahealthy ? 'good' : 'bad'; }, "recordvisible": function (obj) { return obj.recordvisible; }, "record()": function (obj) { return obj.record(); }, "hover(string('record-tooltip'))": function (obj) { return obj.hover(obj.string('record-tooltip')); }, "string('record')": function (obj) { return obj.string('record'); }, "stopvisible": function (obj) { return obj.stopvisible; }, "controlbarlabel && !rerecordvisible": function (obj) { return obj.controlbarlabel && !obj.rerecordvisible; }, "controlbarlabel": function (obj) { return obj.controlbarlabel; }, "stop()": function (obj) { return obj.stop(); }, "mintimeindicator ? css + '-disabled': ''": function (obj) { return obj.mintimeindicator ? obj.css + '-disabled': ''; }, "mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')": function (obj) { return obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip'); }, "hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))": function (obj) { return obj.hover(obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip')); }, "string('stop')": function (obj) { return obj.string('stop'); }, "skipvisible": function (obj) { return obj.skipvisible; }, "skip()": function (obj) { return obj.skip(); }, "hover(string('skip-tooltip'))": function (obj) { return obj.hover(obj.string('skip-tooltip')); }, "string('skip')": function (obj) { return obj.string('skip'); }, "uploadcovershotvisible": function (obj) { return obj.uploadcovershotvisible; }, "hover(string('upload-covershot-tooltip'))": function (obj) { return obj.hover(obj.string('upload-covershot-tooltip')); }, "uploadCovershot(domEvent)": function (obj) { return obj.uploadCovershot(obj.domEvent); }, "covershot_accept_string": function (obj) { return obj.covershot_accept_string; }, "string('upload-covershot')": function (obj) { return obj.string('upload-covershot'); }/**/
    });
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "actions": function (obj) { return obj.actions; }, "click_action(action)": function (obj) { return obj.click_action(obj.action); }, "action.index": function (obj) { return obj.action.index; }, "action.select && action.capture": function (obj) { return obj.action.select && obj.action.capture; }, "select_file_action(action, domEvent)": function (obj) { return obj.select_file_action(obj.action, obj.domEvent); }, "action.accept": function (obj) { return obj.action.accept; }, "action.select && !action.capture": function (obj) { return obj.action.select && !obj.action.capture; }, "action.label": function (obj) { return obj.action.label; }, "csscommon": function (obj) { return obj.csscommon; }, "action.icon": function (obj) { return obj.action.icon; }/**/
    });
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "click()": function (obj) { return obj.click(); }, "shortMessage ? 'short-message' : 'long-message'": function (obj) { return obj.shortMessage ? 'short-message' : 'long-message'; }, "message || \"\"": function (obj) { return obj.message || ""; }, "links && links.length > 0": function (obj) { return obj.links && obj.links.length > 0; }, "links": function (obj) { return obj.links; }, "linkClick(link)": function (obj) { return obj.linkClick(obj.link); }, "link.title": function (obj) { return obj.link.title; }/**/
    });
    return {
        "theatre": {
            css: "ba-audiorecorder",
            csstheme: "ba-audiorecorder-theme-theatre",
            cssrecorder: "ba-recorder",
            cssmessage: "ba-audiorecorder",
            cssloader: "ba-audiorecorder",
            tmplcontrolbar: "<div class=\"{{csstheme}}-dashboard\">\n\n\t<div class=\"{{css}}-settings-front\">\n\n\t\t\n\t\t<div data-selector=\"recorder-settings\" class=\"{{css}}-settings\" ba-show=\"{{settingsvisible && settingsopen}}\">\n\t\t\t<div class=\"{{css}}-bubble-info\">\n\t\t\t\t<ul data-selector=\"camera-settings\" ba-repeat=\"{{camera :: cameras}}\">\n\t\t\t\t\t<li>\n\t\t\t\t\t\t<input tabindex=\"0\"\n\t\t\t\t\t\t\t   ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t   type='radio' name='camera'\n\t\t\t\t\t\t\t   value=\"{{selectedcamera == camera.id}}\"\n\t\t\t\t\t\t\t   onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t\t/>\n\t\t\t\t\t\t<span></span>\n\t\t\t\t\t\t<label tabindex=\"0\"\n\t\t\t\t\t\t\t   ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t   onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t\t>\n\t\t\t\t\t\t\t{{camera.label}}\n\t\t\t\t\t\t</label>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\t\t\t\t<ul data-selector=\"microphone-settings\" ba-repeat=\"{{microphone :: microphones}}\" ba-show=\"{{audio}}\">\n\t\t\t\t\t<li tabindex=\"0\"\n\t\t\t\t\t\tba-hotkey:space^enter=\"{{selectMicrophone(microphone.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\tonclick=\"{{selectMicrophone(microphone.id)}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<input type='radio' name='microphone' value=\"{{selectedmicrophone == microphone.id}}\" />\n\t\t\t\t\t\t<span></span>\n\t\t\t\t\t\t<label>\n\t\t\t\t\t\t\t{{microphone.label}}\n\t\t\t\t\t\t</label>\n\t\t\t\t\t</li>\n\t\t\t\t</ul>\n\t\t\t</div>\n\t\t</div>\n\n\t</div>\n\n\t\n\t<div data-selector=\"controlbar\" class=\"{{css}}-controlbar\">\n\n\t\t<div class=\"{{css}}-controlbar-center-section\">\n\n\t\t\t<div class=\"{{css}}-button-container\" ba-show=\"{{rerecordvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"rerecord-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{rerecord()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('rerecord-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('rerecord')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-button-container\" ba-show=\"{{cancelvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{cancel()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"cancel-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{cancel()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('cancel-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('cancel')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t</div>\n\n\t\t<div class=\"{{css}}-controlbar-left-section\" ba-show=\"{{settingsvisible}}\">\n\n            <div class=\"{{css}}-button\" ba-show=\"{{settingsvisible}}\">\n\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{settingsopen=!settingsopen}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"record-button-icon-cog\"\n\t\t\t\t\t class=\"{{css}}-button-inner {{css}}-button-{{settingsopen ? 'selected' : 'unselected' }}\"\n\t\t\t\t\t onclick=\"{{settingsopen=!settingsopen}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('settings'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t<i class=\"{{csscommon}}-icon-cog\"></i>\n\t\t\t\t</div>\n\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-button\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\t\t\t\t<div data-selector=\"record-button-icon-mic\" class=\"{{css}}-button-inner\"\n\t\t\t\t\tonmouseenter=\"{{hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))}}\"\n\t\t\t\t\tonmouseleave=\"{{unhover()}}\">\n\t\t\t\t\t<i class=\"{{csscommon}}-icon-mic {{csscommon}}-icon-state-{{microphonehealthy ? 'good' : 'bad' }}\"></i>\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-button\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\t\t\t\t<div data-selector=\"record-button-icon-audiocam\" class=\"{{css}}-button-inner\"\n\t\t\t\t\tonmouseenter=\"{{hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))}}\"\n\t\t\t\t\tonmouseleave=\"{{unhover()}}\">\n                    <i class=\"{{csscommon}}-icon-audiocam {{csscommon}}-icon-state-{{ camerahealthy ? 'good' : 'bad' }}\"></i>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\n\t\t<div class=\"{{css}}-controlbar-right-section\">\n\n\t\t\t<div class=\"{{css}}-rightbutton-container\" ba-show=\"{{recordvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{record()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"record-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{record()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('record-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('record')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t</div>\n\n\t\t<div class=\"{{css}}-stop-container\" ba-show=\"{{stopvisible}}\">\n\n\t\t\t<div class=\"{{css}}-timer-container\">\n\t\t\t\t<div class=\"{{css}}-label-container\" ba-show=\"{{controlbarlabel && !rerecordvisible}}\">\n\t\t\t\t\t<div data-selector=\"record-label-block\" class=\"{{css}}-label {{css}}-button-primary\">\n\t\t\t\t\t\t{{controlbarlabel}}\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-stop-button-container\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{stop()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"stop-primary-button\"\n\t\t\t\t\t class=\"{{css}}-button-primary {{mintimeindicator ? css + '-disabled': ''}}\"\n\t\t\t\t\t title=\"{{mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')}}\"\n\t\t\t\t\t onclick=\"{{stop()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('stop')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\n        <div class=\"{{css}}-centerbutton-container\" ba-show=\"{{skipvisible}}\">\n            <div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{skip()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"skip-primary-button\" class=\"{{css}}-button-primary\"\n                 onclick=\"{{skip()}}\"\n                 onmouseenter=\"{{hover(string('skip-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n                {{string('skip')}}\n            </div>\n        </div>\n\n\n        <div class=\"{{css}}-rightbutton-container\" ba-if=\"{{uploadcovershotvisible}}\">\n            <div data-selector=\"covershot-primary-button\" class=\"{{css}}-button-primary\"\n                 onmouseenter=\"{{hover(string('upload-covershot-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\">\n                <input type=\"file\"\n                       class=\"{{css}}-chooser-file\"\n                       style=\"height:100px\"\n                       onchange=\"{{uploadCovershot(domEvent)}}\"\n                       accept=\"{{covershot_accept_string}}\" />\n                <span>\n                    {{string('upload-covershot')}}\n                </span>\n            </div>\n        </div>\n\n\t</div>\n\n</div>\n",
            tmplchooser: "<div class=\"{{css}}-chooser-container\">\n\n\t<div class=\"{{css}}-chooser-button-container\">\n\n\t\t<div ba-repeat=\"{{action :: actions}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{click_action(action)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t class=\"{{css}}-chooser-button-{{action.index}}\"\n\t\t\t\t ba-click=\"{{click_action(action)}}\">\n\t\t\t\t<input ba-if=\"{{action.select && action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t\t   capture />\n\t\t\t\t<input ba-if=\"{{action.select && !action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t/>\n\t\t\t\t<span>\n\t\t\t\t\t{{action.label}}\n\t\t\t\t</span>\n\t\t\t\t<i class=\"{{csscommon}}-icon-{{action.icon}}\"\n\t\t\t\t   ba-if=\"{{action.icon}}\"></i>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</div>",
            tmplmessage: "<div data-selector=\"recorder-message-container\" class=\"{{css}}-message-container\" ba-click=\"{{click()}}\">\n    <div class=\"{{css}}-top-inner-message-container {{css}}-{{shortMessage ? 'short-message' : 'long-message'}}\">\n        <div class=\"{{css}}-first-inner-message-container\">\n            <div class=\"{{css}}-second-inner-message-container\">\n                <div class=\"{{css}}-third-inner-message-container\">\n                    <div class=\"{{css}}-fourth-inner-message-container\">\n                        <div data-selector=\"recorder-message-block\" class='{{css}}-message-message'>\n                            <p>\n                                {{message || \"\"}}\n                            </p>\n                            <ul ba-if=\"{{links && links.length > 0}}\" ba-repeat=\"{{link :: links}}\">\n                                <li>\n                                    <a href=\"javascript:;\" ba-click=\"{{linkClick(link)}}\">\n                                        {{link.title}}\n                                    </a>\n                                </li>\n                            </ul>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n"
        }
    };
});


}).call(Scoped);
(function () {
var Scoped = this.subScope();
Scoped.binding('browser', 'root:BetaJS.Browser');
Scoped.binding('dynamics', 'root:BetaJS.Dynamics');
Scoped.binding('module', 'root:BetaJS.MediaComponents');
Scoped.extend("module:Assets.playerthemes", ["browser:Info","dynamics:Parser"], function(Info, Parser) {
    var ie8 = Info.isInternetExplorer() && Info.internetExplorerVersion() <= 8;
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-dashboard-hidden') : ''": function (obj) { return obj.activitydelta > obj.hidebarafter && obj.hideoninactivity ? (obj.cssplayer + '-dashboard-hidden') : ''; }, "csscommon": function (obj) { return obj.csscommon; }, "toggle_position_info()": function (obj) { return obj.toggle_position_info(); }, "revertposition ? string('remaining-time') : string('elapsed-time')": function (obj) { return obj.revertposition ? obj.string('remaining-time') : obj.string('elapsed-time'); }, "revertposition ? \"-\" : \"\"": function (obj) { return obj.revertposition ? "-" : ""; }, "revertposition ? formatTime(duration - position) : formatTime(position)": function (obj) { return obj.revertposition ? obj.formatTime(obj.duration - obj.position) : obj.formatTime(obj.position); }, "string('total-time')": function (obj) { return obj.string('total-time'); }, "formatTime(duration || position)": function (obj) { return obj.formatTime(obj.duration || obj.position); }, "disableseeking ? cssplayer + '-disabled' : ''": function (obj) { return obj.disableseeking ? obj.cssplayer + '-disabled' : ''; }, "skipinitial ? 2 : 1": function (obj) { return obj.skipinitial ? 2 : 1; }, "seek(position + skipseconds)": function (obj) { return obj.seek(obj.position + obj.skipseconds); }, "seek(position - skipseconds)": function (obj) { return obj.seek(obj.position - obj.skipseconds); }, "startUpdatePosition(domEvent)": function (obj) { return obj.startUpdatePosition(obj.domEvent); }, "{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.cached / obj.duration * 100 : 0) + '%'}; }, "{width: Math.round(duration ? position / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.position / obj.duration * 100 : 0) + '%'}; }, "string('video-progress')": function (obj) { return obj.string('video-progress'); }, "string('elapsed-time')": function (obj) { return obj.string('elapsed-time'); }, "formatTime(position)": function (obj) { return obj.formatTime(obj.position); }, "trimmingmode": function (obj) { return obj.trimmingmode; }, "{left: Math.round(duration && trimstart ? trimstart / duration * 100 : 0) + '%'}": function (obj) { return {left: Math.round(obj.duration && obj.trimstart ? obj.trimstart / obj.duration * 100 : 0) + '%'}; }, "{left: 'auto', right: 100 - Math.round(duration && trimend ? trimend / duration * 100 : 100) + '%'}": function (obj) { return {left: 'auto', right: 100 - Math.round(obj.duration && obj.trimend ? obj.trimend / obj.duration * 100 : 100) + '%'}; }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-video')": function (obj) { return obj.string('submit-video'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-video')": function (obj) { return obj.string('rerecord-video'); }, "skipinitial ? 0 : 2": function (obj) { return obj.skipinitial ? 0 : 2; }, "play()": function (obj) { return obj.play(); }, "tab_index_move(domEvent, null, 'button-icon-pause')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-pause'); }, "!playing": function (obj) { return !obj.playing; }, "string('play-video')": function (obj) { return obj.string('play-video'); }, "pause()": function (obj) { return obj.pause(); }, "tab_index_move(domEvent, null, 'button-icon-play')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-play'); }, "disablepause ? cssplayer + '-disabled' : ''": function (obj) { return obj.disablepause ? obj.cssplayer + '-disabled' : ''; }, "playing": function (obj) { return obj.playing; }, "disablepause ? string('pause-video-disabled') : string('pause-video')": function (obj) { return obj.disablepause ? obj.string('pause-video-disabled') : obj.string('pause-video'); }, "toggle_volume()": function (obj) { return obj.toggle_volume(); }, "string(volume > 0 ? 'volume-mute' : 'volume-unmute')": function (obj) { return obj.string(obj.volume > 0 ? 'volume-mute' : 'volume-unmute'); }, "csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off'))": function (obj) { return obj.csscommon + '-icon-volume-' + (obj.volume >= 0.5 ? 'up' : (obj.volume > 0 ? 'down' : 'off')); }, "!hidevolumebar": function (obj) { return !obj.hidevolumebar; }, "set_volume(volume + 0.1)": function (obj) { return obj.set_volume(obj.volume + 0.1); }, "set_volume(volume - 0.1)": function (obj) { return obj.set_volume(obj.volume - 0.1); }, "startUpdateVolume(domEvent)": function (obj) { return obj.startUpdateVolume(obj.domEvent); }, "progressUpdateVolume(domEvent)": function (obj) { return obj.progressUpdateVolume(obj.domEvent); }, "stopUpdateVolume(domEvent); this.blur()": function (obj) { return obj.stopUpdateVolume(obj.domEvent); this.blur(); }, "stopUpdateVolume(domEvent)": function (obj) { return obj.stopUpdateVolume(obj.domEvent); }, "{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}": function (obj) { return {width: Math.ceil(1+Math.min(99, Math.round(obj.volume * 100))) + '%'}; }, "string('volume-button')": function (obj) { return obj.string('volume-button'); }, "title": function (obj) { return obj.title; }, "toggle_stream()": function (obj) { return obj.toggle_stream(); }, "streams.length > 1 && currentstream": function (obj) { return obj.streams.length > 1 && obj.currentstream; }, "string('change-resolution')": function (obj) { return obj.string('change-resolution'); }, "currentstream_label": function (obj) { return obj.currentstream_label; }, "show_airplay_devices()": function (obj) { return obj.show_airplay_devices(); }, "cssplayer": function (obj) { return obj.cssplayer; }, "airplaybuttonvisible": function (obj) { return obj.airplaybuttonvisible; }, "castbuttonvisble": function (obj) { return obj.castbuttonvisble; }, "toggle_settings_menu()": function (obj) { return obj.toggle_settings_menu(); }, "settingsmenuactive ? 'active' : 'inactive'": function (obj) { return obj.settingsmenuactive ? 'active' : 'inactive'; }, "settingsmenubutton": function (obj) { return obj.settingsmenubutton; }, "string('settings')": function (obj) { return obj.string('settings'); }, "tab_index_move(domEvent)": function (obj) { return obj.tab_index_move(obj.domEvent); }, "toggle_fullscreen()": function (obj) { return obj.toggle_fullscreen(); }, "fullscreened ? 'active' : 'inactive'": function (obj) { return obj.fullscreened ? 'active' : 'inactive'; }, "fullscreen": function (obj) { return obj.fullscreen; }, "fullscreened ? string('exit-fullscreen-video') : string('fullscreen-video')": function (obj) { return obj.fullscreened ? obj.string('exit-fullscreen-video') : obj.string('fullscreen-video'); }, "fullscreened ? 'small' : 'full'": function (obj) { return obj.fullscreened ? 'small' : 'full'; }, "toggle_tracks()": function (obj) { return obj.toggle_tracks(); }, "(tracktags.length > 0 && showsubtitlebutton) || allowtexttrackupload": function (obj) { return (obj.tracktags.length > 0 && obj.showsubtitlebutton) || obj.allowtexttrackupload; }, "tracktextvisible ? 'active' : 'inactive'": function (obj) { return obj.tracktextvisible ? 'active' : 'inactive'; }, "tracktextvisible ? string('close-tracks') : string('show-tracks')": function (obj) { return obj.tracktextvisible ? obj.string('close-tracks') : obj.string('show-tracks'); }, "hover_cc(true)": function (obj) { return obj.hover_cc(true); }, "hover_cc(false)": function (obj) { return obj.hover_cc(false); }, "trim()": function (obj) { return obj.trim(); }, "string('trim-video')": function (obj) { return obj.string('trim-video'); }, "frameselectionmode": function (obj) { return obj.frameselectionmode; }, "select_frame()": function (obj) { return obj.select_frame(); }, "string('select-frame')": function (obj) { return obj.string('select-frame'); }/**/
    });
    Parser.registerFunctions({
        /**/"play()": function (obj) { return obj.play(); }, "tab_index_move(domEvent, null, 'player-toggle-overlay')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'player-toggle-overlay'); }, "cssplayer": function (obj) { return obj.cssplayer; }, "string('tooltip')": function (obj) { return obj.string('tooltip'); }, "showduration && (duration != 0 && duration != undefined)": function (obj) { return obj.showduration && (obj.duration != 0 && obj.duration != undefined); }, "css": function (obj) { return obj.css; }, "formatTime(duration)": function (obj) { return obj.formatTime(obj.duration); }, "rerecordable || submittable": function (obj) { return obj.rerecordable || obj.submittable; }, "submittable && !trimmingmode": function (obj) { return obj.submittable && !obj.trimmingmode; }, "submit()": function (obj) { return obj.submit(); }, "string('submit-video')": function (obj) { return obj.string('submit-video'); }, "rerecordable && !trimmingmode": function (obj) { return obj.rerecordable && !obj.trimmingmode; }, "rerecord()": function (obj) { return obj.rerecord(); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "trimmingmode": function (obj) { return obj.trimmingmode; }, "string('trim')": function (obj) { return obj.string('trim'); }, "skip()": function (obj) { return obj.skip(); }, "string('skip')": function (obj) { return obj.string('skip'); }/**/
    });
    return {
        "elevate": {
            css: "ba-videoplayer",
            csstheme: "ba-player-elevate-theme",
            cssplayer: "ba-player",
            tmplcontrolbar: "\n<div class=\"{{csstheme}}-dashboard {{activitydelta > hidebarafter && hideoninactivity ? (cssplayer + '-dashboard-hidden') : ''}}\">\n\n    <div class=\"{{csstheme}}-top-block\">\n\n        <div class=\"{{csstheme}}-top-left-block {{csscommon}}-clickable\" ba-click=\"{{toggle_position_info()}}\">\n            <div class=\"{{csstheme}}-time-container {{csstheme}}-left-time-container\">\n                <div class=\"{{csstheme}}-time-value\"\n                     title=\"{{revertposition ? string('remaining-time') : string('elapsed-time')}}\"\n                >\n                    {{revertposition ? \"-\" : \"\"}}\n                    {{revertposition ? formatTime(duration - position) : formatTime(position)}}\n                </div>\n            </div>\n        </div>\n\n        <div class=\"{{csstheme}}-top-right-block\">\n\n            <div class=\"{{csstheme}}-time-container {{csstheme}}-right-time-container\">\n                <div class=\"{{csstheme}}-time-value\" title=\"{{string('total-time')}}\">{{formatTime(duration || position)}}</div>\n            </div>\n\n        </div>\n\n        <div class=\"{{csstheme}}-progressbar {{disableseeking ? cssplayer + '-disabled' : ''}}\">\n            <div tabindex=\"{{skipinitial ? 2 : 1}}\"\n                 ba-hotkey:right=\"{{seek(position + skipseconds)}}\"\n                 ba-hotkey:left=\"{{seek(position - skipseconds)}}\"\n                 onmouseout=\"this.blur()\"\n                 data-selector=\"progress-bar-inner\" class=\"{{csstheme}}-progressbar-inner\"\n                 ontouchstart=\"{{startUpdatePosition(domEvent)}}\"\n                 onmousedown=\"{{startUpdatePosition(domEvent)}}\"\n            >\n\n                <div class=\"{{csstheme}}-progressbar-cache\" ba-styles=\"{{{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}}}\"></div>\n                <div class=\"{{csstheme}}-progressbar-position\" ba-styles=\"{{{width: Math.round(duration ? position / duration * 100 : 0) + '%'}}}\" title=\"{{string('video-progress')}}\">\n                    <div class=\"{{csstheme}}-progressbar-button-description\" style=\"display: none\">\n                        <div class=\"{{csstheme}}-current-stream-screen-shot\">\n                            <img src=\"\"/>\n                        </div>\n                        <div class=\"{{csstheme}}-time-container\">\n                            <div class=\"{{csstheme}}-time-value\" title=\"{{string('elapsed-time')}}\">{{formatTime(position)}}</div>\n                        </div>\n                    </div>\n                    <div class=\"{{csstheme}}-progressbar-button\"></div>\n                </div>\n                <div class=\"{{csstheme}}-progressbar-marker\"\n                    data-selector=\"trim-start-marker\"\n                    ba-if=\"{{trimmingmode}}\"\n                    ba-styles=\"{{{left: Math.round(duration && trimstart ? trimstart / duration * 100 : 0) + '%'}}}\"\n                ></div>\n                <div class=\"{{csstheme}}-progressbar-marker\"\n                    data-selector=\"trim-end-marker\"\n                    ba-if=\"{{trimmingmode}}\"\n                    ba-styles=\"{{{left: 'auto', right: 100 - Math.round(duration && trimend ? trimend / duration * 100 : 100) + '%'}}}\"\n                ></div>\n            </div>\n        </div>\n\n    </div>\n\n    <div class=\"{{csstheme}}-bottom-block\">\n\n        <div class=\"{{csstheme}}-left-block\">\n\n            <div tabindex=\"0\" ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n                 data-selector=\"submit-video-button\" class=\"{{csstheme}}-leftbutton-container\"\n                 ba-if=\"{{submittable}}\"  ba-click=\"{{submit()}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    {{string('submit-video')}}\n                </div>\n            </div>\n\n            <div tabindex=\"0\" ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n                 data-selector=\"button-icon-ccw\" class=\"{{csstheme}}-leftbutton-container\"\n                 ba-if=\"{{rerecordable}}\" ba-click=\"{{rerecord()}}\" title=\"{{string('rerecord-video')}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    <i class=\"{{csscommon}}-icon-ccw\"></i>\n                </div>\n            </div>\n\n            <div tabindex=\"{{skipinitial ? 0 : 2}}\" ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n                 onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-pause')}}\"\n                 data-selector=\"button-icon-play\" class=\"{{csstheme}}-button-container\"\n                 ba-if=\"{{!playing}}\" ba-click=\"{{play()}}\" title=\"{{string('play-video')}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    <i class=\"{{csscommon}}-icon-play\"></i>\n                </div>\n            </div>\n\n            <div tabindex=\"{{skipinitial ? 0 : 2}}\" ba-hotkey:space^enter=\"{{pause()}}\" onmouseout=\"this.blur()\"\n                 onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-play')}}\"\n                 data-selector=\"button-icon-pause\" class=\"{{csstheme}}-button-container {{disablepause ? cssplayer + '-disabled' : ''}}\"\n                 ba-if=\"{{playing}}\" ba-click=\"{{pause()}}\" title=\"{{disablepause ? string('pause-video-disabled') : string('pause-video')}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    <i class=\"{{csscommon}}-icon-pause\"></i>\n                </div>\n            </div>\n\n            <div tabindex=\"3\" ba-hotkey:space^enter=\"{{toggle_volume()}}\" onmouseout=\"this.blur()\"\n                 data-selector=\"button-icon-volume\" class=\"{{csstheme}}-button-container\"\n                 ba-click=\"{{toggle_volume()}}\" title=\"{{string(volume > 0 ? 'volume-mute' : 'volume-unmute')}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    <i class=\"{{csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off')) }}\"></i>\n                </div>\n            </div>\n\n            <div class=\"{{csstheme}}-volumebar\" ba-show=\"{{!hidevolumebar}}\">\n                <div tabindex=\"4\"\n                     ba-hotkey:right=\"{{set_volume(volume + 0.1)}}\"\n                     ba-hotkey:left=\"{{set_volume(volume - 0.1)}}\"\n                     onmouseout=\"this.blur()\"\n                     data-selector=\"button-volume-bar\" class=\"{{csstheme}}-volumebar-inner\"\n                     ontouchstart=\"{{startUpdateVolume(domEvent)}}\"\n                     ontouchmove=\"{{progressUpdateVolume(domEvent)}}\"\n                     ontouchend=\"{{stopUpdateVolume(domEvent); this.blur()}};\"\n                     onmousedown=\"{{startUpdateVolume(domEvent)}}\"\n                     onmouseup=\"{{stopUpdateVolume(domEvent)}}\"\n                     onmouseleave=\"{{stopUpdateVolume(domEvent)}}\"\n                     onmousemove=\"{{progressUpdateVolume(domEvent)}}\"\n                >\n                    <div class=\"{{csstheme}}-volumebar-position\" ba-styles=\"{{{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}}}\" title=\"{{string('volume-button')}}\"></div>\n                </div>\n            </div>\n\n        </div>\n\n        <div class=\"{{csstheme}}-center-block\">\n            <div data-selector=\"video-title-block\" class=\"{{csstheme}}-title-block\" ba-if=\"{{title}}\">\n                <p class=\"{{csstheme}}-title\">\n                    {{title}}\n                </p>\n            </div>\n        </div>\n\n        <div class=\"{{csstheme}}-right-block\">\n\n            <div tabindex=\"5\" ba-hotkey:space^enter=\"{{toggle_stream()}}\" onmouseout=\"this.blur()\"\n                 data-selector=\"button-stream-label\" class=\"{{csstheme}}-button-container\"\n                 ba-if=\"{{streams.length > 1 && currentstream}}\" ba-click=\"{{toggle_stream()}}\" title=\"{{string('change-resolution')}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner {{csstheme}}-stream-label-container\">\n                    <span class=\"{{csstheme}}-button-text {{csstheme}}-stream-label\">{{currentstream_label}}</span>\n                </div>\n            </div>\n\n            <div tabindex=\"6\" ba-hotkey:space^enter=\"{{show_airplay_devices()}}\" onmouseout=\"this.blur()\"\n                 data-selector=\"button-airplay\" class=\"{{csstheme}}-button-container {{cssplayer}}-airplay-container\"\n                 ba-show=\"{{airplaybuttonvisible}}\" ba-click=\"{{show_airplay_devices()}}\"\n            >\n                <svg width=\"16px\" height=\"11px\" viewBox=\"0 0 16 11\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\">\n                    \n                    <title>Airplay</title>\n                    <desc>Airplay icon.</desc>\n                    <defs></defs>\n                    <g stroke=\"none\" stroke-width=\"1\" fill-rule=\"evenodd\" sketch:type=\"MSPage\">\n                        <path d=\"M4,11 L12,11 L8,7 L4,11 Z M14.5454545,0 L1.45454545,0 C0.654545455,0 0,0.5625 0,1.25 L0,8.75 C0,9.4375 0.654545455,10 1.45454545,10 L4.36363636,10 L4.36363636,8.75 L1.45454545,8.75 L1.45454545,1.25 L14.5454545,1.25 L14.5454545,8.75 L11.6363636,8.75 L11.6363636,10 L14.5454545,10 C15.3454545,10 16,9.4375 16,8.75 L16,1.25 C16,0.5625 15.3454545,0 14.5454545,0 L14.5454545,0 Z\" sketch:type=\"MSShapeGroup\"></path>\n                    </g>\n                </svg>\n            </div>\n\n            <div data-selector=\"button-chromecast\" class=\"{{csstheme}}-button-container {{csstheme}}-cast-button-container\"\n                 ba-show=\"{{castbuttonvisble}}\">\n                <button tabindex=\"7\" class=\"{{csstheme}}-gcast-button\" is=\"google-cast-button\"></button>\n            </div>\n\n            <div tabindex=\"8\" data-selector=\"button-icon-settings\"\n                 ba-hotkey:space^enter=\"{{toggle_settings_menu()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{csstheme}}-button-container {{cssplayer}}-button-{{settingsmenuactive ? 'active' : 'inactive'}}\"\n                 ba-if=\"{{settingsmenubutton}}\" ba-click=\"{{toggle_settings_menu()}}\"\n                 title=\"{{string('settings')}}\"\n                 onkeydown=\"{{tab_index_move(domEvent)}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner  {{csstheme}}-settings-button\">\n                    <i class=\"{{csscommon}}-icon-cog\"></i>\n                </div>\n            </div>\n\n            <div tabindex=\"9\" data-selector=\"button-icon-resize-full\"\n                 ba-hotkey:space^enter=\"{{toggle_fullscreen()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{csstheme}}-button-container  {{cssplayer}}-button-{{fullscreened ? 'active' : 'inactive'}}\"\n                 ba-if=\"{{fullscreen}}\" ba-click=\"{{toggle_fullscreen()}}\" title=\"{{ fullscreened ? string('exit-fullscreen-video') : string('fullscreen-video') }}\"\n            >\n                <div class=\"{{csstheme}}-button-inner {{csstheme}}-full-screen-btn-inner\">\n                    <i class=\"{{csscommon}}-icon-resize-{{fullscreened ? 'small' : 'full'}}\"></i>\n                </div>\n            </div>\n\n            <div tabindex=\"10\" data-selector=\"cc-button-container\"\n                 ba-hotkey:space^enter=\"{{toggle_tracks()}}\" onmouseout=\"this.blur()\"\n                 ba-if=\"{{(tracktags.length > 0 && showsubtitlebutton) || allowtexttrackupload}}\"\n                 class=\"{{csstheme}}-button-container  {{cssplayer}}-button-{{tracktextvisible ? 'active' : 'inactive'}}\"\n                 title=\"{{tracktextvisible ? string('close-tracks') : string('show-tracks')}}\"\n                 ba-click=\"{{toggle_tracks()}}\"\n                 onmouseover=\"{{hover_cc(true)}}\"\n                 onmouseleave=\"{{hover_cc(false)}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner {{csstheme}}-subtitle-button-inner\">\n                    <i class=\"{{csscommon}}-icon-subtitle\"></i>\n                </div>\n            </div>\n\n            <div tabindex=\"11\" class=\"{{csstheme}}-primary-button-container {{csstheme}}-button-container\" ba-if=\"{{trimmingmode}}\">\n                <div data-selector=\"trim-button\"\n                     onmouseout=\"this.blur()\"\n                     ba-click=\"{{trim()}}\"\n                     class=\"{{csstheme}}-primary-button {{csstheme}}-button-inner\">\n                     {{string('trim-video')}}\n                </div>\n            </div>\n\n            <div tabindex=\"11\" class=\"{{csstheme}}-primary-button-container {{csstheme}}-button-container\" ba-if=\"{{frameselectionmode}}\">\n                <div data-selector=\"select-frame-button\"\n                     onmouseout=\"this.blur()\"\n                     ba-click=\"{{select_frame()}}\"\n                     class=\"{{csstheme}}-primary-button {{csstheme}}-button-inner\">\n                     {{string('select-frame')}}\n                </div>\n            </div>\n\n        </div>\n\n    </div>\n</div>\n",
            tmplplaybutton: "\n<div tabindex=\"0\" data-selector=\"play-button\"\n     ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n     onkeydown=\"{{tab_index_move(domEvent, null, 'player-toggle-overlay')}}\"\n     class=\"{{cssplayer}}-playbutton-container\" ba-click=\"{{play()}}\" title=\"{{string('tooltip')}}\"\n>\n\t<div class=\"{{cssplayer}}-playbutton-button\"></div>\n</div>\n<div ba-show=\"{{showduration && (duration != 0 && duration != undefined)}}\" class=\"{{css}}-playbutton-duration\">\n    {{formatTime(duration)}}\n</div>\n\n<div class=\"{{cssplayer}}-rerecord-bar\" ba-if=\"{{rerecordable || submittable}}\">\n\t<div class=\"{{cssplayer}}-rerecord-backbar\"></div>\n\t<div class=\"{{cssplayer}}-rerecord-frontbar\">\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{submittable && !trimmingmode}}\">\n            <div tabindex=\"0\" data-selector=\"player-submit-button\"\n                 ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{submit()}}\">\n                {{string('submit-video')}}\n            </div>\n        </div>\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{rerecordable && !trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-rerecord-button\"\n                 ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{rerecord()}}\">\n        \t\t{{string('rerecord')}}\n        \t</div>\n        </div>\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-trim-button\"\n                 ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{play()}}\">\n        \t\t{{string('trim')}}\n        \t</div>\n        </div>\n        <div class=\"{{cssplayer}}-rerecord-button-container\" ba-if=\"{{trimmingmode}}\">\n        \t<div tabindex=\"0\" data-selector=\"player-skip-button\"\n                 ba-hotkey:space^enter=\"{{skip()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{cssplayer}}-rerecord-button\" onclick=\"{{skip()}}\">\n        \t\t{{string('skip')}}\n        \t</div>\n        </div>\n\t</div>\n</div>\n",
            cssloader: ie8 ? "ba-videoplayer" : "",
            cssmessage: "ba-videoplayer",
            cssplaybutton: ie8 ? "ba-videoplayer" : ""
        }
    };
});

Scoped.extend("module:Assets.recorderthemes", ["dynamics:Parser"], function(Parser) {
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "topmessage": function (obj) { return obj.topmessage; }/**/
    });
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "css": function (obj) { return obj.css; }, "stopvisible && recordingindication": function (obj) { return obj.stopvisible && obj.recordingindication; }, "settingsvisible": function (obj) { return obj.settingsvisible; }, "ismobile": function (obj) { return obj.ismobile; }, "toggleFaceMode()": function (obj) { return obj.toggleFaceMode(); }, "hover(string('switch-camera'))": function (obj) { return obj.hover(obj.string('switch-camera')); }, "csscommon": function (obj) { return obj.csscommon; }, "settingsopen": function (obj) { return obj.settingsopen; }, "videoselectnotification": function (obj) { return obj.videoselectnotification; }, "string('add-stream')": function (obj) { return obj.string('add-stream'); }, "showaddstreambutton && firefox && allowscreen": function (obj) { return obj.showaddstreambutton && obj.firefox && obj.allowscreen; }, "addNewStream()": function (obj) { return obj.addNewStream(); }, "hover(string('add-stream'))": function (obj) { return obj.hover(obj.string('add-stream')); }, "showaddstreambutton && !firefox": function (obj) { return obj.showaddstreambutton && !obj.firefox; }, "cameras": function (obj) { return obj.cameras; }, "(camera.id !== selectedcamera) || allowscreen": function (obj) { return (obj.camera.id !== obj.selectedcamera) || obj.allowscreen; }, "addNewStream(camera.id)": function (obj) { return obj.addNewStream(obj.camera.id); }, "camera.label": function (obj) { return obj.camera.label; }, "(showaddstreambutton && !firefox) || (firefox && allowscreen)": function (obj) { return (obj.showaddstreambutton && !obj.firefox) || (obj.firefox && obj.allowscreen); }, "!novideo && !allowscreen && !ismobile": function (obj) { return !obj.novideo && !obj.allowscreen && !obj.ismobile; }, "hover(string('select-camera'))": function (obj) { return obj.hover(obj.string('select-camera')); }, "selectCamera(camera.id)": function (obj) { return obj.selectCamera(obj.camera.id); }, "selectedcamera == camera.id": function (obj) { return obj.selectedcamera == obj.camera.id; }, "(!noaudio && !novideo) || !allowscreen": function (obj) { return (!obj.noaudio && !obj.novideo) || !obj.allowscreen; }, "microphones": function (obj) { return obj.microphones; }, "!noaudio && !allowscreen": function (obj) { return !obj.noaudio && !obj.allowscreen; }, "selectMicrophone(microphone.id)": function (obj) { return obj.selectMicrophone(obj.microphone.id); }, "hover(string('select-audio-input'))": function (obj) { return obj.hover(obj.string('select-audio-input')); }, "selectedmicrophone == microphone.id": function (obj) { return obj.selectedmicrophone == obj.microphone.id; }, "microphone.label": function (obj) { return obj.microphone.label; }, "settingsopen=!settingsopen": function (obj) { return obj.settingsopen=!obj.settingsopen; }, "settingsopen ? 'selected' : 'unselected'": function (obj) { return obj.settingsopen ? 'selected' : 'unselected'; }, "hover(string('settings'))": function (obj) { return obj.hover(obj.string('settings')); }, "unhover()": function (obj) { return obj.unhover(); }, "hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))": function (obj) { return obj.hover(obj.string(obj.microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy')); }, "microphonehealthy ? 'good' : 'bad'": function (obj) { return obj.microphonehealthy ? 'good' : 'bad'; }, "!novideo && !allowscreen": function (obj) { return !obj.novideo && !obj.allowscreen; }, "hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))": function (obj) { return obj.hover(obj.string(obj.camerahealthy ? 'camerahealthy' : 'cameraunhealthy')); }, "camerahealthy ? 'good' : 'bad'": function (obj) { return obj.camerahealthy ? 'good' : 'bad'; }, "stopvisible": function (obj) { return obj.stopvisible; }, "controlbarlabel": function (obj) { return obj.controlbarlabel; }, "rerecordvisible": function (obj) { return obj.rerecordvisible; }, "rerecord()": function (obj) { return obj.rerecord(); }, "hover(string('rerecord-tooltip'))": function (obj) { return obj.hover(obj.string('rerecord-tooltip')); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "cancelvisible": function (obj) { return obj.cancelvisible; }, "cancel()": function (obj) { return obj.cancel(); }, "hover(string('cancel-tooltip'))": function (obj) { return obj.hover(obj.string('cancel-tooltip')); }, "string('cancel')": function (obj) { return obj.string('cancel'); }, "recordvisible": function (obj) { return obj.recordvisible; }, "record()": function (obj) { return obj.record(); }, "hover(string('record-tooltip'))": function (obj) { return obj.hover(obj.string('record-tooltip')); }, "string('record')": function (obj) { return obj.string('record'); }, "stop()": function (obj) { return obj.stop(); }, "mintimeindicator ? css + '-disabled': ''": function (obj) { return obj.mintimeindicator ? obj.css + '-disabled': ''; }, "mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')": function (obj) { return obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip'); }, "hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))": function (obj) { return obj.hover(obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip')); }, "string('stop')": function (obj) { return obj.string('stop'); }, "pausable && !resumevisible": function (obj) { return obj.pausable && !obj.resumevisible; }, "string('pause-recorder')": function (obj) { return obj.string('pause-recorder'); }, "pause()": function (obj) { return obj.pause(); }, "hover(string('pause-recorder'))": function (obj) { return obj.hover(obj.string('pause-recorder')); }, "pausable && resumevisible": function (obj) { return obj.pausable && obj.resumevisible; }, "resume()": function (obj) { return obj.resume(); }, "string('resume-recorder')": function (obj) { return obj.string('resume-recorder'); }, "hover(string('resume-recorder'))": function (obj) { return obj.hover(obj.string('resume-recorder')); }, "skipvisible": function (obj) { return obj.skipvisible; }, "skip()": function (obj) { return obj.skip(); }, "hover(string('skip-tooltip'))": function (obj) { return obj.hover(obj.string('skip-tooltip')); }, "string('skip')": function (obj) { return obj.string('skip'); }, "uploadcovershotvisible": function (obj) { return obj.uploadcovershotvisible; }, "hover(string('upload-covershot-tooltip'))": function (obj) { return obj.hover(obj.string('upload-covershot-tooltip')); }, "uploadCovershot(domEvent)": function (obj) { return obj.uploadCovershot(obj.domEvent); }, "covershot_accept_string": function (obj) { return obj.covershot_accept_string; }, "string('upload-covershot')": function (obj) { return obj.string('upload-covershot'); }/**/
    });
    Parser.registerFunctions({
        /**/"showslidercontainer": function (obj) { return obj.showslidercontainer; }, "css": function (obj) { return obj.css; }, "left()": function (obj) { return obj.left(); }, "csscommon": function (obj) { return obj.csscommon; }, "images": function (obj) { return obj.images; }, "select(image)": function (obj) { return obj.select(obj.image); }, "{left: image.left + 'px', top: image.top + 'px', width: image.width + 'px', height: image.height + 'px'}": function (obj) { return {left: obj.image.left + 'px', top: obj.image.top + 'px', width: obj.image.width + 'px', height: obj.image.height + 'px'}; }, "right()": function (obj) { return obj.right(); }, "!showslidercontainer": function (obj) { return !obj.showslidercontainer; }, "covershot_accept_string": function (obj) { return obj.covershot_accept_string; }, "uploadCovershot(domEvent)": function (obj) { return obj.uploadCovershot(obj.domEvent); }, "string('upload-covershot')": function (obj) { return obj.string('upload-covershot'); }/**/
    });
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "initialmessages.length > 0": function (obj) { return obj.initialmessages.length > 0; }, "csscommon": function (obj) { return obj.csscommon; }, "initialmessages": function (obj) { return obj.initialmessages; }, "initialmessage.message": function (obj) { return obj.initialmessage.message; }, "initialmessage.type ? initialmessage.type : 'default'": function (obj) { return obj.initialmessage.type ? obj.initialmessage.type : 'default'; }, "initialmessage.id": function (obj) { return obj.initialmessage.id; }, "actions": function (obj) { return obj.actions; }, "click_action(action)": function (obj) { return obj.click_action(obj.action); }, "action.index": function (obj) { return obj.action.index; }, "action.select && action.capture": function (obj) { return obj.action.select && obj.action.capture; }, "select_file_action(action, domEvent)": function (obj) { return obj.select_file_action(obj.action, obj.domEvent); }, "action.accept": function (obj) { return obj.action.accept; }, "action.switchcamera": function (obj) { return obj.action.switchcamera; }, "action.select && !action.capture": function (obj) { return obj.action.select && !obj.action.capture; }, "action.label": function (obj) { return obj.action.label; }, "action.icon": function (obj) { return obj.action.icon; }/**/
    });
    Parser.registerFunctions({
        /**/"cssrecorder": function (obj) { return obj.cssrecorder; }, "click()": function (obj) { return obj.click(); }, "shortMessage ? 'short-message' : 'long-message'": function (obj) { return obj.shortMessage ? 'short-message' : 'long-message'; }, "message || \"\"": function (obj) { return obj.message || ""; }, "links && links.length > 0": function (obj) { return obj.links && obj.links.length > 0; }, "links": function (obj) { return obj.links; }, "linkClick(link)": function (obj) { return obj.linkClick(obj.link); }, "link.title": function (obj) { return obj.link.title; }/**/
    });
    return {
        "elevate": {
            css: "ba-videorecorder",
            csstheme: "ba-recorder-theme-elevate",
            cssrecorder: "ba-recorder",
            cssmessage: "ba-videorecorder",
            cssloader: "ba-videorecorder",
            tmpltopmessage: "<div class=\"{{css}}-topmessage-container\">\n    <div data-selector=\"recorder-topmessage-block\" class='{{css}}-topmessage-message'>\n        {{topmessage}}\n    </div>\n</div>\n",
            tmplcontrolbar: "<div class=\"{{csstheme}}-dashboard\">\n\n\t\n\t<div class=\"{{css}}-settings-left-sidebar\">\n\n\t\t<div class=\"{{css}}-indicator-container\" ba-show=\"{{stopvisible && recordingindication}}\">\n\t\t\t<div data-selector=\"recording-indicator\" class=\"{{css}}-recording-indication\"></div>\n\t\t</div>\n\n\t\t<div class=\"{{css}}-controlbar-left-section\" ba-show=\"{{settingsvisible}}\">\n\n\t\t\t\n\t\t\t<div data-selector=\"recorder-settings\" class=\"{{css}}-settings {{css}}-settings-button-container\">\n\n\t\t\t\t<div class=\"{{css}}-circle-button\" ba-show=\"{{ismobile}}\">\n\t\t\t\t\t<div data-selector=\"face-mode-toggle-icon\" class=\"{{css}}-mobile-camera-switcher {{css}}-button-inner\"\n\t\t\t\t\t\t onclick=\"{{toggleFaceMode()}}\"\n\t\t\t\t\t\t onmouseenter=\"{{hover(string('switch-camera'))}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-arrows-cw\"></i>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\n\t\t\t\t<div class=\"{{css}}-circle-button\" ba-show=\"{{settingsvisible}}\">\n\n\t\t\t\t\t<div class=\"{{css}}-bubble-info\" ba-show=\"{{settingsopen}}\">\n\t\t\t\t\t\t<ul data-selector=\"add-new-stream\" ba-if=\"{{videoselectnotification}}\">\n\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t<div data-selector=\"single-camera-stream\">\n\t\t\t\t\t\t\t\t\t<i class=\"ba-commoncss-icon-plus\"></i> {{string('add-stream')}}\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t<div data-selector=\"single-camera-stream\" class=\"{{csscommon}}-text-error\">\n\t\t\t\t\t\t\t\t\t{{videoselectnotification}}\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t</ul>\n\n\t\t\t\t\t\t<ul data-selector=\"add-new-stream\" ba-show=\"{{showaddstreambutton && firefox && allowscreen}}\">\n\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t<div data-selector=\"single-camera-stream\"\n\t\t\t\t\t\t\t\t\t class=\"{{css}}-add-stream\"\n\t\t\t\t\t\t\t\t\t onclick=\"{{addNewStream()}}\"\n\t\t\t\t\t\t\t\t\t onmouseenter=\"{{hover(string('add-stream'))}}\"\n\t\t\t\t\t\t\t\t>\n\t\t\t\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-plus\"></i> {{string('add-stream')}}\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t</ul>\n\n\t\t\t\t\t\t<ul data-selector=\"add-new-stream\" ba-show=\"{{showaddstreambutton && !firefox}}\" ba-repeat=\"{{camera :: cameras}}\">\n\t\t\t\t\t\t\t<li ba-show=\"{{(camera.id !== selectedcamera) || allowscreen}}\">\n\t\t\t\t\t\t\t\t<div data-selector=\"single-camera-stream\"\n\t\t\t\t\t\t\t\t\t class=\"{{css}}-add-stream\"\n\t\t\t\t\t\t\t\t\t onclick=\"{{addNewStream(camera.id)}}\"\n\t\t\t\t\t\t\t\t\t onmouseenter=\"{{hover(string('add-stream'))}}\"\n\t\t\t\t\t\t\t\t>\n\t\t\t\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-plus\"></i> {{camera.label}}\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t<hr ba-show=\"{{(showaddstreambutton && !firefox) || (firefox && allowscreen)}}\"/>\n\n\t\t\t\t\t\t<ul data-selector=\"camera-settings\" ba-repeat=\"{{camera :: cameras}}\" ba-show=\"{{!novideo && !allowscreen && !ismobile}}\">\n\t\t\t\t\t\t\t<li onmouseenter=\"{{hover(string('select-camera'))}}\">\n\t\t\t\t\t\t\t\t<input tabindex=\"0\"\n\t\t\t\t\t\t\t\t\t   ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t\t\t   type='radio' name='camera' value=\"{{selectedcamera == camera.id}}\"\n\t\t\t\t\t\t\t\t\t   onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<span></span>\n\t\t\t\t\t\t\t\t<label tabindex=\"0\"\n\t\t\t\t\t\t\t\t\t   ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t\t\t   onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t\t\t\t>\n\t\t\t\t\t\t\t\t\t{{camera.label}}\n\t\t\t\t\t\t\t\t</label>\n\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t<hr ba-show=\"{{(!noaudio && !novideo) || !allowscreen}}\"/>\n\t\t\t\t\t\t<ul data-selector=\"microphone-settings\" ba-repeat=\"{{microphone :: microphones}}\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\t\t\t\t\t\t\t<li tabindex=\"0\"\n\t\t\t\t\t\t\t\tba-hotkey:space^enter=\"{{selectMicrophone(microphone.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t\tonmouseenter=\"{{hover(string('select-audio-input'))}}\"\n\t\t\t\t\t\t\t\tonclick=\"{{selectMicrophone(microphone.id)}}\"\n\t\t\t\t\t\t\t>\n\t\t\t\t\t\t\t\t<input type='radio' name='microphone' value=\"{{selectedmicrophone == microphone.id}}\" />\n\t\t\t\t\t\t\t\t<span></span>\n\t\t\t\t\t\t\t\t<label>\n\t\t\t\t\t\t\t\t\t{{microphone.label}}\n\t\t\t\t\t\t\t\t</label>\n\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t</ul>\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t\t ba-hotkey:space^enter=\"{{settingsopen=!settingsopen}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t data-selector=\"record-button-icon-cog\"\n\t\t\t\t\t\t class=\"{{css}}-button-inner {{css}}-button-circle-{{settingsopen ? 'selected' : 'unselected' }}\"\n\t\t\t\t\t\t onclick=\"{{settingsopen=!settingsopen}}\"\n\t\t\t\t\t\t onmouseenter=\"{{hover(string('settings'))}}\"\n\t\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-cog\"></i>\n\t\t\t\t\t</div>\n\n\t\t\t\t</div>\n\n                <div class=\"{{css}}-circle-button\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\n                    <div data-selector=\"record-button-icon-mic\" class=\"{{css}}-button-inner\"\n                         onmouseenter=\"{{hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))}}\"\n                         onmouseleave=\"{{unhover()}}\">\n                        <i class=\"{{csscommon}}-icon-mic {{csscommon}}-icon-state-{{microphonehealthy ? 'good' : 'bad' }}\"></i>\n                    </div>\n                </div>\n\n                <div class=\"{{css}}-circle-button\" ba-show=\"{{!novideo && !allowscreen}}\">\n                    <div data-selector=\"record-button-icon-videocam\" class=\"{{css}}-button-inner\"\n                         onmouseenter=\"{{hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))}}\"\n                         onmouseleave=\"{{unhover()}}\">\n                        <i class=\"{{csscommon}}-icon-videocam {{csscommon}}-icon-state-{{ camerahealthy ? 'good' : 'bad' }}\"></i>\n                    </div>\n                </div>\n\n\t\t\t</div>\n\t\t</div>\n\n\t</div>\n\n\t<div class=\"{{css}}-controlbar-middle-section\">\n\n\t\t<div class=\"{{css}}-timer-container\" ba-show=\"{{stopvisible}}\">\n\t\t\t<div class=\"{{css}}-label-container\" ba-show=\"{{controlbarlabel}}\">\n\t\t\t\t<div data-selector=\"record-label-block\" class=\"{{css}}-label {{css}}-button-primary\">\n\t\t\t\t\t{{controlbarlabel}}\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\n\t</div>\n\n\t\n\t<div data-selector=\"controlbar\" class=\"{{css}}-controlbar\">\n\n\t\t<div class=\"{{css}}-controlbar-center-section\">\n\n\t\t\t<div class=\"{{css}}-button-container\" ba-show=\"{{rerecordvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"rerecord-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{rerecord()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('rerecord-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('rerecord')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-button-container\" ba-show=\"{{cancelvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{cancel()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"cancel-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{cancel()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('cancel-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('cancel')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-primary-button-container\" ba-show=\"{{recordvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{record()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"record-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{record()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('record-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('record')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t</div>\n\n\t\t<div class=\"{{css}}-stop-container\" ba-show=\"{{stopvisible}}\">\n\n\t\t\t<div class=\"{{css}}-stop-button-container\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{stop()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"stop-primary-button\" class=\"{{css}}-button-primary {{mintimeindicator ? css + '-disabled': ''}}\"\n\t\t\t\t\t title=\"{{mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')}}\"\n\t\t\t\t\t onclick=\"{{stop()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('stop')}}\n\t\t\t\t</div>\n\n                <div tabindex=\"0\" data-selector=\"pause-primary-button\"  ba-show=\"{{pausable && !resumevisible}}\"\n                     ba-hotkey:space^enter=\"{{stop()}}\" onmouseout=\"this.blur()\"\n                     data-selector=\"pause-primary-button\" class=\"{{css}}-button-primary\"\n                     title=\"{{string('pause-recorder')}}\"\n                     onclick=\"{{pause()}}\"\n                     onmouseenter=\"{{hover(string('pause-recorder'))}}\"\n                     onmouseleave=\"{{unhover()}}\"\n                >\n                    <i class=\"{{csscommon}}-icon-pause\"></i>\n                </div>\n\n                <div tabindex=\"0\" data-selector=\"resume-primary-button\"  ba-show=\"{{pausable && resumevisible}}\"\n                     ba-hotkey:space^enter=\"{{resume()}}\" onmouseout=\"this.blur()\"\n                     data-selector=\"resume-primary-button\" class=\"{{css}}-button-primary\"\n                     title=\"{{string('resume-recorder')}}\"\n                     onclick=\"{{resume()}}\"\n                     onmouseenter=\"{{hover(string('resume-recorder'))}}\"\n                     onmouseleave=\"{{unhover()}}\"\n                >\n                    <i class=\"{{csscommon}}-icon-ccw\"></i>\n                </div>\n\n\t\t\t</div>\n\t\t</div>\n\n        <div class=\"{{css}}-centerbutton-container\" ba-show=\"{{skipvisible}}\">\n            <div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{skip()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"skip-primary-button\" class=\"{{css}}-button-primary\"\n                 onclick=\"{{skip()}}\"\n                 onmouseenter=\"{{hover(string('skip-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n                {{string('skip')}}\n            </div>\n        </div>\n\n\n        <div class=\"{{css}}-rightbutton-container\" ba-if=\"{{uploadcovershotvisible}}\">\n            <div data-selector=\"covershot-primary-button\" class=\"{{css}}-button-primary\"\n                 onmouseenter=\"{{hover(string('upload-covershot-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\">\n                <input type=\"file\"\n                       class=\"{{css}}-chooser-file\"\n                       style=\"height:100px\"\n                       onchange=\"{{uploadCovershot(domEvent)}}\"\n                       accept=\"{{covershot_accept_string}}\" />\n                <span>\n                    {{string('upload-covershot')}}\n                </span>\n            </div>\n        </div>\n\n\t</div>\n\n</div>\n",
            tmplimagegallery: "<div ba-if=\"{{showslidercontainer}}\" data-selector=\"image-gallery\" class=\"{{css}}-image-gallery-container\">\n\t<div data-selector=\"slider-left-button\" class=\"{{css}}-imagegallery-leftbutton\">\n\t\t<div tabindex=\"0\" data-selector=\"slider-left-inner-button\"\n\t\t\t ba-hotkey:space^enter^left=\"{{left()}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-imagegallery-button-inner\" onclick=\"{{left()}}\"\n\t\t>\n\t\t\t<i class=\"{{csscommon}}-icon-left-open\"></i>\n\t\t</div>\n\t</div>\n\n\t<div data-selector=\"images-imagegallery-container\" ba-repeat=\"{{image::images}}\" class=\"{{css}}-imagegallery-container\" data-gallery-container>\n\t\t<div tabindex=\"0\" data-selector=\"imagegallery-selected-image\"\n\t\t\t ba-hotkey:space^enter=\"{{select(image)}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-imagegallery-image\"\n\t\t\t ba-styles=\"{{{left: image.left + 'px', top: image.top + 'px', width: image.width + 'px', height: image.height + 'px'}}}\"\n\t\t\t onclick=\"{{select(image)}}\"\n\t\t>\n\t\t</div>\n\t</div>\n\n\t<div data-selector=\"slider-right-button\" class=\"{{css}}-imagegallery-rightbutton\">\n\t\t<div tabindex=\"0\" data-selector=\"slider-right-inner-button\"\n\t\t\t ba-hotkey:space^enter^right=\"{{right()}}\" onmouseout=\"this.blur()\"\n\t\t\t class=\"{{css}}-imagegallery-button-inner\"\n\t\t\t onclick=\"{{right()}}\"\n\t\t>\n\t\t\t<i class=\"{{csscommon}}-icon-right-open\"></i>\n\t\t</div>\n\t</div>\n</div>\n\n<div ba-if=\"{{!showslidercontainer}}\" class=\"{{css}}-chooser-container\">\n\t<div data-selector=\"covershot-primary-button\" class=\"{{css}}-chooser-button-container\">\n\t\t<div class=\"{{css}}-chooser-button-0\">\n\t\t\t<input type=\"file\"\n\t\t\t\t   tabindex=\"0\"\n\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t   accept=\"{{covershot_accept_string}}\"\n\t\t\t\t   onchange=\"{{uploadCovershot(domEvent)}}\"\n\t\t\t/>\n\t\t\t<i class=\"{{csscommon}}-icon-picture\"></i>\n\t\t\t<span>\n\t\t\t{{string('upload-covershot')}}\n\t\t</span>\n\t\t</div>\n\t</div>\n</div>\n",
            tmplchooser: "<div class=\"{{css}}-chooser-container\">\n\t<div ba-if=\"{{initialmessages.length > 0}}\" class=\"{{csscommon}}-message-container\">\n\t\t<ul ba-repeat=\"{{initialmessage :: initialmessages}}\">\n\t\t\t<li ba-if=\"{{initialmessage.message}}\"\n\t\t\t\tclass=\"{{csscommon}}-message-text {{csscommon}}-message-{{initialmessage.type ? initialmessage.type : 'default'}}\"\n\t\t\t>\n\t\t\t\t{{ initialmessage.message }}\n\t\t\t\t<span ba-if=\"{{initialmessage.id}}\"\n\t\t\t\t\t  class=\"{{csscommon}}-action-button\"\n\t\t\t\t\t  ba-click=\"close_message(initialmessage.id)\"\n\t\t\t\t>\n\t\t\t\t\t<i class=\"{{csscommon}}-icon-cancel\"></i>\n\t\t\t\t</span>\n\t\t\t</li>\n\t\t</ul>\n\t</div>\n\n\t<div class=\"{{css}}-chooser-button-container\">\n\n\t\t<div ba-repeat=\"{{action :: actions}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{click_action(action)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t class=\"{{css}}-chooser-button-{{action.index}}\"\n\t\t\t\t ba-click=\"{{click_action(action)}}\">\n\t\t\t\t<input ba-if=\"{{action.select && action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t\t   capture=\"{{action.switchcamera}}\" />\n\t\t\t\t<input ba-if=\"{{action.select && !action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t/>\n\t\t\t\t<span>\n\t\t\t\t\t{{action.label}}\n\t\t\t\t</span>\n\t\t\t\t<i class=\"{{csscommon}}-icon-{{action.icon}}\"\n\t\t\t\t   ba-if=\"{{action.icon}}\"></i>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</div>\n",
            tmplmessage: "<div data-selector=\"recorder-message-container\" class=\"{{cssrecorder}}-message-container\" ba-click=\"{{click()}}\">\n    <div class=\"{{cssrecorder}}-top-inner-message-container {{cssrecorder}}-{{shortMessage ? 'short-message' : 'long-message'}}\">\n        <div class=\"{{cssrecorder}}-first-inner-message-container\">\n            <div class=\"{{cssrecorder}}-second-inner-message-container\">\n                <div class=\"{{cssrecorder}}-third-inner-message-container\">\n                    <div class=\"{{cssrecorder}}-fourth-inner-message-container\">\n                        <div data-selector=\"recorder-message-block\" class='{{cssrecorder}}-message-message'>\n                            <p>\n                                {{message || \"\"}}\n                            </p>\n                            <ul ba-if=\"{{links && links.length > 0}}\" ba-repeat=\"{{link :: links}}\">\n                                <li>\n                                    <a href=\"javascript:;\" ba-click=\"{{linkClick(link)}}\">\n                                        {{link.title}}\n                                    </a>\n                                </li>\n                            </ul>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n"
        }
    };
});

Scoped.extend("module:Assets.imageviewerthemes", ["browser:Info","dynamics:Parser"], function(Info, Parser) {
    var ie8 = Info.isInternetExplorer() && Info.internetExplorerVersion() <= 8;
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "activitydelta > 5000 && hideoninactivity ? (css + '-dashboard-hidden') : ''": function (obj) { return obj.activitydelta > 5000 && obj.hideoninactivity ? (obj.css + '-dashboard-hidden') : ''; }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-image')": function (obj) { return obj.string('submit-image'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-image')": function (obj) { return obj.string('rerecord-image'); }, "csscommon": function (obj) { return obj.csscommon; }, "title": function (obj) { return obj.title; }, "toggle_fullscreen()": function (obj) { return obj.toggle_fullscreen(); }, "fullscreen": function (obj) { return obj.fullscreen; }, "fullscreened ? string('exit-fullscreen-image') : string('fullscreen-image')": function (obj) { return obj.fullscreened ? obj.string('exit-fullscreen-image') : obj.string('fullscreen-image'); }, "fullscreened ? 'small' : 'full'": function (obj) { return obj.fullscreened ? 'small' : 'full'; }/**/
    });
    return {
        "elevate": {
            css: "ba-imageviewer",
            csstheme: "ba-imageviewer-elevate-theme",
            tmplcontrolbar: "\n<div class=\"{{css}}-dashboard {{activitydelta > 5000 && hideoninactivity ? (css + '-dashboard-hidden') : ''}}\">\n\n    <div class=\"{{css}}-bottom-block\">\n\n        <div class=\"{{css}}-left-block\">\n\n            <div tabindex=\"0\" ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n                 data-selector=\"submit-image-button\" class=\"{{css}}-leftbutton-container\"\n                 ba-if=\"{{submittable}}\"  ba-click=\"{{submit()}}\"\n            >\n                <div class=\"{{css}}-button-inner\">\n                    {{string('submit-image')}}\n                </div>\n            </div>\n\n            <div tabindex=\"0\" ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n                 data-selector=\"button-icon-ccw\" class=\"{{css}}-leftbutton-container\"\n                 ba-if=\"{{rerecordable}}\" ba-click=\"{{rerecord()}}\" title=\"{{string('rerecord-image')}}\"\n            >\n                <div class=\"{{css}}-button-inner\">\n                    <i class=\"{{csscommon}}-icon-ccw\"></i>\n                </div>\n            </div>\n\n        </div>\n\n        <div class=\"{{css}}-center-block\">\n            <div data-selector=\"image-title-block\" class=\"{{css}}-image-title-block\" ba-if=\"{{title}}\">\n                <p class=\"{{css}}-image-title\">\n                    {{title}}\n                </p>\n            </div>\n        </div>\n\n        <div class=\"{{css}}-right-block\">\n\n            <div tabindex=\"8\" data-selector=\"button-icon-resize-full\"\n                 ba-hotkey:space^enter=\"{{toggle_fullscreen()}}\" onmouseout=\"this.blur()\"\n                 class=\"{{css}}-button-container\"\n                 ba-if=\"{{fullscreen}}\" ba-click=\"{{toggle_fullscreen()}}\" title=\"{{ fullscreened ? string('exit-fullscreen-image') : string('fullscreen-image') }}\"\n            >\n                <div class=\"{{css}}-button-inner {{css}}-full-screen-btn-inner\">\n                    <i class=\"{{csscommon}}-icon-resize-{{fullscreened ? 'small' : 'full'}}\"></i>\n                </div>\n            </div>\n\n        </div>\n\n    </div>\n</div>\n",
            cssloader: ie8 ? "ba-imageviewer" : "",
            cssmessage: "ba-imageviewer"
        }
    };
});

Scoped.extend("module:Assets.audioplayerthemes", ["browser:Info","dynamics:Parser"], function(Info, Parser) {
    var ie8 = Info.isInternetExplorer() && Info.internetExplorerVersion() <= 8;
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "string('elapsed-time')": function (obj) { return obj.string('elapsed-time'); }, "formatTime(position)": function (obj) { return obj.formatTime(obj.position); }, "string('total-time')": function (obj) { return obj.string('total-time'); }, "formatTime(duration || position)": function (obj) { return obj.formatTime(obj.duration || obj.position); }, "disableseeking ? cssplayer + '-disabled' : ''": function (obj) { return obj.disableseeking ? obj.cssplayer + '-disabled' : ''; }, "seek(position + skipseconds)": function (obj) { return obj.seek(obj.position + obj.skipseconds); }, "seek(position - skipseconds)": function (obj) { return obj.seek(obj.position - obj.skipseconds); }, "startUpdatePosition(domEvent)": function (obj) { return obj.startUpdatePosition(obj.domEvent); }, "stopUpdatePosition(domEvent)": function (obj) { return obj.stopUpdatePosition(obj.domEvent); }, "progressUpdatePosition(domEvent)": function (obj) { return obj.progressUpdatePosition(obj.domEvent); }, "{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.cached / obj.duration * 100 : 0) + '%'}; }, "{width: Math.round(duration ? position / duration * 100 : 0) + '%'}": function (obj) { return {width: Math.round(obj.duration ? obj.position / obj.duration * 100 : 0) + '%'}; }, "string('audio-progress')": function (obj) { return obj.string('audio-progress'); }, "submit()": function (obj) { return obj.submit(); }, "submittable": function (obj) { return obj.submittable; }, "string('submit-audio')": function (obj) { return obj.string('submit-audio'); }, "rerecord()": function (obj) { return obj.rerecord(); }, "rerecordable": function (obj) { return obj.rerecordable; }, "string('rerecord-audio')": function (obj) { return obj.string('rerecord-audio'); }, "csscommon": function (obj) { return obj.csscommon; }, "play()": function (obj) { return obj.play(); }, "tab_index_move(domEvent, null, 'button-icon-pause')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-pause'); }, "!playing": function (obj) { return !obj.playing; }, "string('play-audio')": function (obj) { return obj.string('play-audio'); }, "pause()": function (obj) { return obj.pause(); }, "tab_index_move(domEvent, null, 'button-icon-play')": function (obj) { return obj.tab_index_move(obj.domEvent, null, 'button-icon-play'); }, "disablepause ? cssplayer + '-disabled' : ''": function (obj) { return obj.disablepause ? obj.cssplayer + '-disabled' : ''; }, "playing": function (obj) { return obj.playing; }, "disablepause ? string('pause-audio-disabled') : string('pause-audio')": function (obj) { return obj.disablepause ? obj.string('pause-audio-disabled') : obj.string('pause-audio'); }, "toggle_volume()": function (obj) { return obj.toggle_volume(); }, "string(volume > 0 ? 'volume-mute' : 'volume-unmute')": function (obj) { return obj.string(obj.volume > 0 ? 'volume-mute' : 'volume-unmute'); }, "csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off'))": function (obj) { return obj.csscommon + '-icon-volume-' + (obj.volume >= 0.5 ? 'up' : (obj.volume > 0 ? 'down' : 'off')); }, "set_volume(volume + 0.1)": function (obj) { return obj.set_volume(obj.volume + 0.1); }, "set_volume(volume - 0.1)": function (obj) { return obj.set_volume(obj.volume - 0.1); }, "startUpdateVolume(domEvent)": function (obj) { return obj.startUpdateVolume(obj.domEvent); }, "stopUpdateVolume(domEvent)": function (obj) { return obj.stopUpdateVolume(obj.domEvent); }, "progressUpdateVolume(domEvent)": function (obj) { return obj.progressUpdateVolume(obj.domEvent); }, "{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}": function (obj) { return {width: Math.ceil(1+Math.min(99, Math.round(obj.volume * 100))) + '%'}; }, "string('volume-button')": function (obj) { return obj.string('volume-button'); }, "title": function (obj) { return obj.title; }/**/
    });
    return {
        "elevate": {
            css: "ba-audioplayer",
            csstheme: "ba-player-elevate-theme",
            tmplcontrolbar: "\n<div class=\"{{csstheme}}-dashboard \">\n\n    <div class=\"{{csstheme}}-top-block\">\n\n        <div class=\"{{csstheme}}-top-left-block\">\n            <div class=\"{{csstheme}}-time-container {{csstheme}}-left-time-container\">\n                <div class=\"{{csstheme}}-time-value\" title=\"{{string('elapsed-time')}}\">{{formatTime(position)}}</div>\n            </div>\n        </div>\n\n        <div class=\"{{csstheme}}-top-right-block\">\n\n            <div class=\"{{csstheme}}-time-container {{csstheme}}-right-time-container\">\n                <div class=\"{{csstheme}}-time-value\" title=\"{{string('total-time')}}\">{{formatTime(duration || position)}}</div>\n            </div>\n\n        </div>\n\n        <div class=\"{{csstheme}}-progressbar {{disableseeking ? cssplayer + '-disabled' : ''}}\">\n            <div tabindex=\"2\"\n                 ba-hotkey:right=\"{{seek(position + skipseconds)}}\"\n                 ba-hotkey:left=\"{{seek(position - skipseconds)}}\"\n                 onmouseout=\"this.blur()\"\n                 data-selector=\"progress-bar-inner\" class=\"{{csstheme}}-progressbar-inner\"\n                 onmousedown=\"{{startUpdatePosition(domEvent)}}\"\n                 onmouseup=\"{{stopUpdatePosition(domEvent)}}\"\n                 onmouseleave=\"{{stopUpdatePosition(domEvent)}}\"\n                 onmousemove=\"{{progressUpdatePosition(domEvent)}}\"\n            >\n\n                <div class=\"{{csstheme}}-progressbar-cache\" ba-styles=\"{{{width: Math.round(duration ? cached / duration * 100 : 0) + '%'}}}\"></div>\n                <div class=\"{{csstheme}}-progressbar-position\" ba-styles=\"{{{width: Math.round(duration ? position / duration * 100 : 0) + '%'}}}\" title=\"{{string('audio-progress')}}\">\n                    <div class=\"{{csstheme}}-progressbar-button-description\" style=\"display: none\">\n                        <div class=\"{{csstheme}}-time-container\">\n                            <div class=\"{{csstheme}}-time-value\" title=\"{{string('elapsed-time')}}\">{{formatTime(position)}}</div>\n                        </div>\n                    </div>\n                    <div class=\"{{csstheme}}-progressbar-button\"></div>\n                </div>\n            </div>\n        </div>\n\n    </div>\n\n    <div class=\"{{csstheme}}-bottom-block\">\n\n        <div class=\"{{csstheme}}-left-block\">\n\n            <div tabindex=\"0\" ba-hotkey:space^enter=\"{{submit()}}\" onmouseout=\"this.blur()\"\n                 data-selector=\"submit-audio-button\" class=\"{{csstheme}}-leftbutton-container\"\n                 ba-if=\"{{submittable}}\"  ba-click=\"{{submit()}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    {{string('submit-audio')}}\n                </div>\n            </div>\n\n            <div tabindex=\"0\" ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n                 data-selector=\"button-icon-ccw\" class=\"{{csstheme}}-leftbutton-container\"\n                 ba-if=\"{{rerecordable}}\" ba-click=\"{{rerecord()}}\" title=\"{{string('rerecord-audio')}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    <i class=\"{{csscommon}}-icon-ccw\"></i>\n                </div>\n            </div>\n\n            <div tabindex=\"0\" ba-hotkey:space^enter=\"{{play()}}\" onmouseout=\"this.blur()\"\n                 onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-pause')}}\"\n                 data-selector=\"button-icon-play\" class=\"{{csstheme}}-button-container\"\n                 ba-if=\"{{!playing}}\" ba-click=\"{{play()}}\" title=\"{{string('play-audio')}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    <i class=\"{{csscommon}}-icon-play\"></i>\n                </div>\n            </div>\n\n            <div tabindex=\"0\" ba-hotkey:space^enter=\"{{pause()}}\" onmouseout=\"this.blur()\"\n                 onkeydown=\"{{tab_index_move(domEvent, null, 'button-icon-play')}}\"\n                 data-selector=\"button-icon-pause\" class=\"{{csstheme}}-button-container {{disablepause ? cssplayer + '-disabled' : ''}}\"\n                 ba-if=\"{{playing}}\" ba-click=\"{{pause()}}\" title=\"{{disablepause ? string('pause-audio-disabled') : string('pause-audio')}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    <i class=\"{{csscommon}}-icon-pause\"></i>\n                </div>\n            </div>\n\n            <div tabindex=\"3\" ba-hotkey:space^enter=\"{{toggle_volume()}}\" onmouseout=\"this.blur()\"\n                 data-selector=\"button-icon-volume\" class=\"{{csstheme}}-button-container\"\n                 ba-click=\"{{toggle_volume()}}\" title=\"{{string(volume > 0 ? 'volume-mute' : 'volume-unmute')}}\"\n            >\n                <div class=\"{{csstheme}}-button-inner\">\n                    <i class=\"{{csscommon + '-icon-volume-' + (volume >= 0.5 ? 'up' : (volume > 0 ? 'down' : 'off')) }}\"></i>\n                </div>\n            </div>\n\n            <div class=\"{{csstheme}}-volumebar\">\n                <div tabindex=\"4\"\n                     ba-hotkey:right=\"{{set_volume(volume + 0.1)}}\"\n                     ba-hotkey:left=\"{{set_volume(volume - 0.1)}}\"\n                     onmouseout=\"this.blur()\"\n                     data-selector=\"button-volume-bar\" class=\"{{csstheme}}-volumebar-inner\"\n                     onmousedown=\"{{startUpdateVolume(domEvent)}}\"\n                     onmouseup=\"{{stopUpdateVolume(domEvent)}}\"\n                     onmouseleave=\"{{stopUpdateVolume(domEvent)}}\"\n                     onmousemove=\"{{progressUpdateVolume(domEvent)}}\"\n                >\n                    <div class=\"{{csstheme}}-volumebar-position\" ba-styles=\"{{{width: Math.ceil(1+Math.min(99, Math.round(volume * 100))) + '%'}}}\" title=\"{{string('volume-button')}}\"></div>\n                </div>\n            </div>\n\n        </div>\n\n        <div class=\"{{csstheme}}-center-block\">\n            <div data-selector=\"audio-title-block\" class=\"{{csstheme}}-title-block\" ba-if=\"{{title}}\">\n                <p class=\"{{csstheme}}-title\">\n                    {{title}}\n                </p>\n            </div>\n        </div>\n\n    </div>\n</div>\n",
            cssloader: ie8 ? "ba-audioplayer" : "",
            cssmessage: "ba-audioplayer",
            cssplaybutton: ie8 ? "ba-audioplayer" : ""
        }
    };
});

Scoped.extend("module:Assets.audiorecorderthemes", ["dynamics:Parser"], function(Parser) {
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "topmessage": function (obj) { return obj.topmessage; }/**/
    });
    Parser.registerFunctions({
        /**/"csstheme": function (obj) { return obj.csstheme; }, "css": function (obj) { return obj.css; }, "settingsvisible": function (obj) { return obj.settingsvisible; }, "settingsopen": function (obj) { return obj.settingsopen; }, "cameras": function (obj) { return obj.cameras; }, "selectCamera(camera.id)": function (obj) { return obj.selectCamera(obj.camera.id); }, "selectedcamera == camera.id": function (obj) { return obj.selectedcamera == obj.camera.id; }, "camera.label": function (obj) { return obj.camera.label; }, "settingsopen=!settingsopen": function (obj) { return obj.settingsopen=!obj.settingsopen; }, "settingsopen ? 'selected' : 'unselected'": function (obj) { return obj.settingsopen ? 'selected' : 'unselected'; }, "hover(string('settings'))": function (obj) { return obj.hover(obj.string('settings')); }, "unhover()": function (obj) { return obj.unhover(); }, "csscommon": function (obj) { return obj.csscommon; }, "!noaudio && !allowscreen": function (obj) { return !obj.noaudio && !obj.allowscreen; }, "settingsvisible && settingsopen && audio": function (obj) { return obj.settingsvisible && obj.settingsopen && obj.audio; }, "microphones": function (obj) { return obj.microphones; }, "audio": function (obj) { return obj.audio; }, "selectMicrophone(microphone.id)": function (obj) { return obj.selectMicrophone(obj.microphone.id); }, "selectedmicrophone == microphone.id": function (obj) { return obj.selectedmicrophone == obj.microphone.id; }, "microphone.label": function (obj) { return obj.microphone.label; }, "hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))": function (obj) { return obj.hover(obj.string(obj.microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy')); }, "microphonehealthy ? 'good' : 'bad'": function (obj) { return obj.microphonehealthy ? 'good' : 'bad'; }, "hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))": function (obj) { return obj.hover(obj.string(obj.camerahealthy ? 'camerahealthy' : 'cameraunhealthy')); }, "camerahealthy ? 'good' : 'bad'": function (obj) { return obj.camerahealthy ? 'good' : 'bad'; }, "stopvisible": function (obj) { return obj.stopvisible; }, "controlbarlabel": function (obj) { return obj.controlbarlabel; }, "rerecordvisible": function (obj) { return obj.rerecordvisible; }, "rerecord()": function (obj) { return obj.rerecord(); }, "hover(string('rerecord-tooltip'))": function (obj) { return obj.hover(obj.string('rerecord-tooltip')); }, "string('rerecord')": function (obj) { return obj.string('rerecord'); }, "cancelvisible": function (obj) { return obj.cancelvisible; }, "cancel()": function (obj) { return obj.cancel(); }, "hover(string('cancel-tooltip'))": function (obj) { return obj.hover(obj.string('cancel-tooltip')); }, "string('cancel')": function (obj) { return obj.string('cancel'); }, "recordvisible": function (obj) { return obj.recordvisible; }, "record()": function (obj) { return obj.record(); }, "hover(string('record-tooltip'))": function (obj) { return obj.hover(obj.string('record-tooltip')); }, "string('record')": function (obj) { return obj.string('record'); }, "stop()": function (obj) { return obj.stop(); }, "mintimeindicator ? css + '-disabled': ''": function (obj) { return obj.mintimeindicator ? obj.css + '-disabled': ''; }, "mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')": function (obj) { return obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip'); }, "hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))": function (obj) { return obj.hover(obj.mintimeindicator ? obj.string('stop-available-after').replace('%d', obj.timeminlimit) : obj.string('stop-tooltip')); }, "string('stop')": function (obj) { return obj.string('stop'); }, "skipvisible": function (obj) { return obj.skipvisible; }, "skip()": function (obj) { return obj.skip(); }, "hover(string('skip-tooltip'))": function (obj) { return obj.hover(obj.string('skip-tooltip')); }, "string('skip')": function (obj) { return obj.string('skip'); }, "uploadcovershotvisible": function (obj) { return obj.uploadcovershotvisible; }, "hover(string('upload-covershot-tooltip'))": function (obj) { return obj.hover(obj.string('upload-covershot-tooltip')); }, "uploadCovershot(domEvent)": function (obj) { return obj.uploadCovershot(obj.domEvent); }, "covershot_accept_string": function (obj) { return obj.covershot_accept_string; }, "string('upload-covershot')": function (obj) { return obj.string('upload-covershot'); }/**/
    });
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "actions": function (obj) { return obj.actions; }, "click_action(action)": function (obj) { return obj.click_action(obj.action); }, "action.index": function (obj) { return obj.action.index; }, "action.select && action.capture": function (obj) { return obj.action.select && obj.action.capture; }, "select_file_action(action, domEvent)": function (obj) { return obj.select_file_action(obj.action, obj.domEvent); }, "action.accept": function (obj) { return obj.action.accept; }, "action.select && !action.capture": function (obj) { return obj.action.select && !obj.action.capture; }, "action.label": function (obj) { return obj.action.label; }, "csscommon": function (obj) { return obj.csscommon; }, "action.icon": function (obj) { return obj.action.icon; }/**/
    });
    Parser.registerFunctions({
        /**/"css": function (obj) { return obj.css; }, "click()": function (obj) { return obj.click(); }, "shortMessage ? 'short-message' : 'long-message'": function (obj) { return obj.shortMessage ? 'short-message' : 'long-message'; }, "message || \"\"": function (obj) { return obj.message || ""; }, "links && links.length > 0": function (obj) { return obj.links && obj.links.length > 0; }, "links": function (obj) { return obj.links; }, "linkClick(link)": function (obj) { return obj.linkClick(obj.link); }, "link.title": function (obj) { return obj.link.title; }/**/
    });
    return {
        "elevate": {
            css: "ba-audiorecorder",
            csstheme: "ba-audiorecorder-theme-elevate",
            cssrecorder: "ba-recorder",
            cssmessage: "ba-audiorecorder",
            cssloader: "ba-audiorecorder",
            tmpltopmessage: "<div class=\"{{css}}-topmessage-container\">\n    <div data-selector=\"recorder-topmessage-block\" class='{{css}}-topmessage-message'>\n        {{topmessage}}\n    </div>\n</div>\n",
            tmplcontrolbar: "<div class=\"{{csstheme}}-dashboard\">\n\n\t\n\t<div class=\"{{css}}-settings-left-sidebar\">\n\n\t\t<div class=\"{{css}}-controlbar-left-section\" ba-show=\"{{settingsvisible}}\">\n\n\t\t\t\n\t\t\t<div data-selector=\"recorder-settings\" class=\"{{css}}-settings {{css}}-settings-button-container\">\n\n\t\t\t\t<div class=\"{{css}}-circle-button\" ba-show=\"{{settingsvisible}}\">\n\n\t\t\t\t\t<div class=\"{{css}}-bubble-info\" ba-show=\"{{settingsopen}}\" >\n\t\t\t\t\t\t<ul data-selector=\"camera-settings\" ba-repeat=\"{{camera :: cameras}}\">\n\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t<input tabindex=\"0\"\n\t\t\t\t\t\t\t\t\t   ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t\t\t   type='radio' name='camera' value=\"{{selectedcamera == camera.id}}\"\n\t\t\t\t\t\t\t\t\t   onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<span></span>\n\t\t\t\t\t\t\t\t<label tabindex=\"0\"\n\t\t\t\t\t\t\t\t\t   ba-hotkey:space^enter=\"{{selectCamera(camera.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t\t\t   onclick=\"{{selectCamera(camera.id)}}\"\n\t\t\t\t\t\t\t\t>\n\t\t\t\t\t\t\t\t\t{{camera.label}}\n\t\t\t\t\t\t\t\t</label>\n\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t</ul>\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t\t ba-hotkey:space^enter=\"{{settingsopen=!settingsopen}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t data-selector=\"record-button-icon-cog\"\n\t\t\t\t\t\t class=\"{{css}}-button-inner {{css}}-button-circle-{{settingsopen ? 'selected' : 'unselected' }}\"\n\t\t\t\t\t\t onclick=\"{{settingsopen=!settingsopen}}\"\n\t\t\t\t\t\t onmouseenter=\"{{hover(string('settings'))}}\"\n\t\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<i class=\"{{csscommon}}-icon-cog\"></i>\n\t\t\t\t\t</div>\n\n\t\t\t\t</div>\n\n\n                <div class=\"{{css}}-circle-button\" ba-show=\"{{!noaudio && !allowscreen}}\">\n\n                    <div class=\"{{css}}-bubble-info\" ba-show=\"{{settingsvisible && settingsopen && audio }}\">\n                        <ul data-selector=\"microphone-settings\" ba-repeat=\"{{microphone :: microphones}}\" ba-show=\"{{audio}}\">\n                            <li tabindex=\"0\"\n\t\t\t\t\t\t\t\tba-hotkey:space^enter=\"{{selectMicrophone(microphone.id)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t\t\t\tonclick=\"{{selectMicrophone(microphone.id)}}\"\n\t\t\t\t\t\t\t>\n                                <input type='radio' name='microphone' value=\"{{selectedmicrophone == microphone.id}}\" />\n                                <span></span>\n                                <label>\n                                    {{microphone.label}}\n                                </label>\n                            </li>\n                        </ul>\n                    </div>\n\n                    <div data-selector=\"record-button-icon-mic\" class=\"{{css}}-button-inner\"\n                         onmouseenter=\"{{hover(string(microphonehealthy ? 'microphonehealthy' : 'microphoneunhealthy'))}}\"\n                         onmouseleave=\"{{unhover()}}\">\n                        <i class=\"{{csscommon}}-icon-mic {{csscommon}}-icon-state-{{microphonehealthy ? 'good' : 'bad' }}\"></i>\n                    </div>\n                </div>\n\n                <div class=\"{{css}}-circle-button\" ba-show=\"{{!noaudio && !allowscreen}}\">\n                    <div data-selector=\"record-button-icon-audiocam\" class=\"{{css}}-button-inner\"\n                         onmouseenter=\"{{hover(string(camerahealthy ? 'camerahealthy' : 'cameraunhealthy'))}}\"\n                         onmouseleave=\"{{unhover()}}\">\n                        <i class=\"{{csscommon}}-icon-audiocam {{csscommon}}-icon-state-{{ camerahealthy ? 'good' : 'bad' }}\"></i>\n                    </div>\n                </div>\n\n\t\t\t</div>\n\t\t</div>\n\n\t</div>\n\n\t<div class=\"{{css}}-controlbar-middle-section\">\n\n\t\t<div class=\"{{css}}-timer-container\" ba-show=\"{{stopvisible}}\">\n\t\t\t<div class=\"{{css}}-label-container\" ba-show=\"{{controlbarlabel}}\">\n\t\t\t\t<div data-selector=\"record-label-block\" class=\"{{css}}-label {{css}}-button-primary\">\n\t\t\t\t\t{{controlbarlabel}}\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\n\t</div>\n\n\t\n\t<div data-selector=\"controlbar\" class=\"{{css}}-controlbar\">\n\n\t\t<div class=\"{{css}}-controlbar-center-section\">\n\n\t\t\t<div class=\"{{css}}-button-container\" ba-show=\"{{rerecordvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{rerecord()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"rerecord-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{rerecord()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('rerecord-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('rerecord')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-button-container\" ba-show=\"{{cancelvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{cancel()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"cancel-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{cancel()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('cancel-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('cancel')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"{{css}}-primary-button-container\" ba-show=\"{{recordvisible}}\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{record()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"record-primary-button\" class=\"{{css}}-button-primary\"\n\t\t\t\t\t onclick=\"{{record()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(string('record-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('record')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t</div>\n\n\t\t<div class=\"{{css}}-stop-container\" ba-show=\"{{stopvisible}}\">\n\n\t\t\t<div class=\"{{css}}-stop-button-container\">\n\t\t\t\t<div tabindex=\"0\"\n\t\t\t\t\t ba-hotkey:space^enter=\"{{stop()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t\t data-selector=\"stop-primary-button\" class=\"{{css}}-button-primary {{mintimeindicator ? css + '-disabled': ''}}\"\n\t\t\t\t\t title=\"{{mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip')}}\"\n\t\t\t\t\t onclick=\"{{stop()}}\"\n\t\t\t\t\t onmouseenter=\"{{hover(mintimeindicator ? string('stop-available-after').replace('%d', timeminlimit) : string('stop-tooltip'))}}\"\n\t\t\t\t\t onmouseleave=\"{{unhover()}}\"\n\t\t\t\t>\n\t\t\t\t\t{{string('stop')}}\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\n        <div class=\"{{css}}-centerbutton-container\" ba-show=\"{{skipvisible}}\">\n            <div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{skip()}}\" onmouseout=\"this.blur()\"\n\t\t\t\t data-selector=\"skip-primary-button\" class=\"{{css}}-button-primary\"\n                 onclick=\"{{skip()}}\"\n                 onmouseenter=\"{{hover(string('skip-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\"\n\t\t\t>\n                {{string('skip')}}\n            </div>\n        </div>\n\n\n        <div class=\"{{css}}-rightbutton-container\" ba-if=\"{{uploadcovershotvisible}}\">\n            <div data-selector=\"covershot-primary-button\" class=\"{{css}}-button-primary\"\n                 onmouseenter=\"{{hover(string('upload-covershot-tooltip'))}}\"\n                 onmouseleave=\"{{unhover()}}\">\n                <input type=\"file\"\n                       class=\"{{css}}-chooser-file\"\n                       style=\"height:100px\"\n                       onchange=\"{{uploadCovershot(domEvent)}}\"\n                       accept=\"{{covershot_accept_string}}\" />\n                <span>\n                    {{string('upload-covershot')}}\n                </span>\n            </div>\n        </div>\n\n\t</div>\n\n</div>\n",
            tmplchooser: "<div class=\"{{css}}-chooser-container\">\n\n\t<div class=\"{{css}}-chooser-button-container\">\n\n\t\t<div ba-repeat=\"{{action :: actions}}\">\n\t\t\t<div tabindex=\"0\"\n\t\t\t\t ba-hotkey:space^enter=\"{{click_action(action)}}\" onmouseout=\"this.blur()\"\n\t\t\t\t class=\"{{css}}-chooser-button-{{action.index}}\"\n\t\t\t\t ba-click=\"{{click_action(action)}}\">\n\t\t\t\t<input ba-if=\"{{action.select && action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t\t   capture />\n\t\t\t\t<input ba-if=\"{{action.select && !action.capture}}\"\n\t\t\t\t\t   type=\"file\"\n\t\t\t\t\t   class=\"{{css}}-chooser-file\"\n\t\t\t\t\t   onchange=\"{{select_file_action(action, domEvent)}}\"\n\t\t\t\t\t   accept=\"{{action.accept}}\"\n\t\t\t\t/>\n\t\t\t\t<span>\n\t\t\t\t\t{{action.label}}\n\t\t\t\t</span>\n\t\t\t\t<i class=\"{{csscommon}}-icon-{{action.icon}}\"\n\t\t\t\t   ba-if=\"{{action.icon}}\"></i>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</div>",
            tmplmessage: "<div data-selector=\"recorder-message-container\" class=\"{{css}}-message-container\" ba-click=\"{{click()}}\">\n    <div class=\"{{css}}-top-inner-message-container {{css}}-{{shortMessage ? 'short-message' : 'long-message'}}\">\n        <div class=\"{{css}}-first-inner-message-container\">\n            <div class=\"{{css}}-second-inner-message-container\">\n                <div class=\"{{css}}-third-inner-message-container\">\n                    <div class=\"{{css}}-fourth-inner-message-container\">\n                        <div data-selector=\"recorder-message-block\" class='{{css}}-message-message'>\n                            <p>\n                                {{message || \"\"}}\n                            </p>\n                            <ul ba-if=\"{{links && links.length > 0}}\" ba-repeat=\"{{link :: links}}\">\n                                <li>\n                                    <a href=\"javascript:;\" ba-click=\"{{linkClick(link)}}\">\n                                        {{link.title}}\n                                    </a>\n                                </li>\n                            </ul>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n"
        }
    };
});


}).call(Scoped);
(function () {
var Scoped = this.subScope();
Scoped.binding('browser', 'root:BetaJS.Browser');
Scoped.binding('base', 'root:BetaJS');
Scoped.binding('module', 'global:ZiggeoApi.V2');
Scoped.binding('private', 'root:ZiggeoApi.V2');
Scoped.binding('media', 'root:BetaJS.Media');
Scoped.binding('mediacomponents', 'root:BetaJS.MediaComponents');
Scoped.binding('dynamics', 'root:BetaJS.Dynamics');
Scoped.define("module:", function(){return{guid:"6c65838a-53fd-4fd1-8d48-e571a0500135"}});

Scoped.define("private:Core", function(){return{servers:{local:{whitedomains:["*"],"server.api.server.public.domain":"localhost:91","server.api.server.public.protocol":"http","assets.api.server.public.domain":"localhost:92","assets.api.server.public.protocol":"http","embed.api.server.public.domain":"localhost:93","embed.api.server.public.protocol":"http","analytics.api.server.public.domain":"localhost:1197","analytics.api.server.public.protocol":"http","server.js-api.server.public.domain":"localhost:1197","server.js-api.server.public.protocol":"http","embed-cdn.api.server.public.domain":"localhost:7342","embed-cdn.api.server.public.protocol":"http","media-cdn.api.server.public.domain":"localhost:7343","media-cdn.api.server.public.protocol":"http","streaming-cdn.api.server.public.domain":"localhost:90","streaming-cdn.api.server.public.protocol":"http","webserver.public.domain":"localhost:98","webserver.public.protocol":"http","web-api-server.public.domain":"localhost:96","web-api-server.public.protocol":"http","cdn-api-server.public.domain":"localhost:2396","cdn-api-server.public.protocol":"http","hosted.pages.server.public.domain":"localhost:99","hosted.pages.server.public.protocol":"http","wowza.api.record.rtmp.protocol":"rtmp","wowza.api.record.rtmp.domain":"localhost","wowza.api.record.rtmp.path":"record/_definst_","wowza.api.record.rtmp.audiopath":"audiorecord/_definst_","wowza.api.record.webrtc.wssurl":"wss://localhost:4444/webrtc-session.json","wowza.api.record.webrtc.app":"webrtcziggeo","wowza.api.record.webrtc.audioapp":"webrtcziggeoaudio",prefix:"",location:"Home",account_number_prefix:"01","server.default-date-format":"M j, Y","server.default-time-format":"h:i a",regions:{other:{prefix:"r1",location:"Somewhere",account_number_prefix:"02","server.api.server.public.domain":"localhost:191","embed.api.server.public.domain":"localhost:193","analytics.api.server.public.domain":"localhost:2197","server.js-api.server.public.domain":"localhost:2197","embed-cdn.api.server.public.domain":"localhost:11193","streaming-cdn.api.server.public.domain":"localhost:190","webserver.public.domain":"localhost:198","web-api-server.public.domain":"localhost:196","cdn-api-server.public.domain":"localhost:23196","hosted.pages.server.public.domain":"localhost:199","server.default-date-format":"d-m-Y","server.default-time-format":"H:i"}},tags:{local:!0,development:!0}},production:{whitedomains:["*.ziggeo.com","ziggeo.com","localhost"],"server.api.server.public.domain":"srv-api.ziggeo.com","server.api.server.public.protocol":"https","assets.api.server.public.domain":"assets.ziggeo.com","assets.api.server.public.protocol":"https","embed.api.server.public.domain":"embed-api.ziggeo.com","embed.api.server.public.protocol":"https","analytics.api.server.public.domain":"api-us-east-1.ziggeo.com","analytics.api.server.public.protocol":"https","server.js-api.server.public.domain":"api-us-east-1.ziggeo.com","server.js-api.server.public.protocol":"https","embed-cdn.api.server.public.domain":"video-cdn.ziggeo.com","embed-cdn.api.server.public.protocol":"https","streaming-cdn.api.server.public.domain":"streaming-cdn.ziggeo.com","streaming-cdn.api.server.public.protocol":"https","media-cdn.api.server.public.domain":"media-cdn.ziggeo.com","media-cdn.api.server.public.protocol":"https","webserver.public.domain":"ziggeo.com","webserver.public.protocol":"https","web-api-server.public.domain":"webapi.ziggeo.com","web-api-server.public.protocol":"https","cdn-api-server.public.domain":"cdnapi.ziggeo.com","cdn-api-server.public.protocol":"https","hosted.pages.server.public.domain":"ziggeo.io","hosted.pages.server.public.protocol":"https","wowza.api.record.rtmp.protocol":"rtmps","wowza.api.record.rtmp.domain":"wowza.ziggeo.com","wowza.api.record.rtmp.path":"record/_definst_","wowza.api.record.rtmp.audiopath":"audiorecord/_definst_","wowza.api.record.webrtc.wssurl":"wss://wowza.ziggeo.com:443/webrtc-session.json","wowza.api.record.webrtc.app":"webrtcziggeo","wowza.api.record.webrtc.audioapp":"webrtcziggeoaudio",prefix:"",location:"U.S. / International",account_number_prefix:"01","server.default-date-format":"M j, Y","server.default-time-format":"h:i a",regions:{"eu-west-1":{prefix:"r1",location:"Ireland / EU",account_number_prefix:"02","server.api.server.public.domain":"srv-api-eu-west-1.ziggeo.com","embed.api.server.public.domain":"embed-api-eu-west-1.ziggeo.com","analytics.api.server.public.domain":"api-eu-west-1.ziggeo.com","server.js-api.server.public.domain":"api-eu-west-1.ziggeo.com","embed-cdn.api.server.public.domain":"video-cdn-eu-west-1.ziggeo.com","streaming-cdn.api.server.public.domain":"streaming-cdn-eu-west-1.ziggeo.com","media-cdn.api.server.public.domain":"media-cdn-eu-west-1.ziggeo.com","webserver.public.domain":"eu-west-1.ziggeo.com","web-api-server.public.domain":"webapi-eu-west-1.ziggeo.com","cdn-api-server.public.domain":"cdnapi-eu-west-1.ziggeo.com","hosted.pages.server.public.domain":"eu-west-1.ziggeo.io","wowza.api.record.rtmp.domain":"wowza-eu-west-1.ziggeo.com","wowza.api.record.webrtc.wssurl":"wss://wowza-eu-west-1.ziggeo.com:443/webrtc-session.json","server.default-date-format":"d-m-Y","server.default-time-format":"H:i"}},tags:{production:!0}},development:{whitedomains:["*.ziggeo.com","ziggeo.com","localhost"],"server.api.server.public.domain":"srv-api-dev.ziggeo.com","server.api.server.public.protocol":"https","assets.api.server.public.domain":"assets-dev.ziggeo.com","assets.api.server.public.protocol":"https","embed.api.server.public.domain":"embed-api-dev.ziggeo.com","embed.api.server.public.protocol":"https","analytics.api.server.public.domain":"api-us-east-1-dev.ziggeo.com","analytics.api.server.public.protocol":"https","embed-cdn.api.server.public.domain":"video-dev-cdn.ziggeo.com","embed-cdn.api.server.public.protocol":"https","server.js-api.server.public.domain":"api-us-east-1-dev.ziggeo.com","server.js-api.server.public.protocol":"https","streaming-cdn.api.server.public.domain":"streaming-cdn-dev.ziggeo.com","streaming-cdn.api.server.public.protocol":"https","media-cdn.api.server.public.domain":"media-cdn-dev.ziggeo.com","media-cdn.api.server.public.protocol":"https","webserver.public.domain":"www-dev.ziggeo.com","webserver.public.protocol":"https","web-api-server.public.domain":"webapi-dev.ziggeo.com","web-api-server.public.protocol":"https","cdn-api-server.public.domain":"cdnapi-dev.ziggeo.com","cdn-api-server.public.protocol":"https","hosted.pages.server.public.domain":"dev.ziggeo.io","hosted.pages.server.public.protocol":"https","wowza.api.record.rtmp.protocol":"rtmps","wowza.api.record.rtmp.domain":"wowza-dev.ziggeo.com","wowza.api.record.rtmp.path":"record/_definst_","wowza.api.record.rtmp.audiopath":"audiorecord/_definst_","wowza.api.record.webrtc.wssurl":"wss://wowza-dev.ziggeo.com:443/webrtc-session.json","wowza.api.record.webrtc.app":"webrtcziggeo","wowza.api.record.webrtc.audioapp":"webrtcziggeoaudio",prefix:"",location:"U.S. (US Law)",account_number_prefix:"01","server.default-date-format":"M j, Y","server.default-time-format":"h:i a",regions:{"eu-west-1":{prefix:"r1",location:"Ireland (European Law)",account_number_prefix:"02","server.api.server.public.domain":"srv-api-dev-eu-west-1.ziggeo.com","embed.api.server.public.domain":"embed-api-dev-eu-west-1.ziggeo.com","analytics.api.server.public.domain":"api-eu-west-1.ziggeo.com","embed-cdn.api.server.public.domain":"video-dev-cdn-eu-west-1.ziggeo.com","server.js-api.server.public.domain":"api-eu-west-1.ziggeo.com","streaming-cdn.api.server.public.domain":"streaming-cdn-dev-eu-west-1.ziggeo.com","media-cdn.api.server.public.domain":"media-cdn-dev-eu-west-1.ziggeo.com","webserver.public.domain":"dev-eu-west-1.ziggeo.com","web-api-server.public.domain":"webapi-dev-eu-west-1.ziggeo.com","cdn-api-server.public.domain":"cdnapi-dev-eu-west-1.ziggeo.com","hosted.pages.server.public.domain":"dev-eu-west-1.ziggeo.io","wowza.api.record.rtmp.domain":"wowza-dev-eu-west-1.ziggeo.com","wowza.api.record.webrtc.wssurl":"wss://wowza-dev-eu-west-1.ziggeo.com:443/webrtc-session.json","server.default-date-format":"d-m-Y","server.default-time-format":"H:i"}},tags:{development:!0}}},models:{session_cookie_prefix:"i07af2jp98rvoctt26y5egy3"},revision:{version:1,revision:41,latest:!0,prerelease:!0},video:{iframe:{"allow-player-mods":["speakers","autoplay","fullscreen"],"allow-recorder-mods":["speakers","autoplay","fullscreen","microphone","camera","usermedia"],"allow-audio-player-mods":["speakers","autoplay","fullscreen"],"allow-audio-recorder-mods":["speakers","autoplay","fullscreen","microphone","usermedia"],"allow-image-viewer-mods":["fullscreen"],"allow-image-capture-mods":["fullscreen","camera","usermedia"]}}}});

Scoped.define("private:Application.Connect", ["base:Class","base:Objs","base:Ajax.AjaxWrapper"], ["browser:Ajax.IframePostmessageAjax","browser:Ajax.JsonpScriptAjax","browser:Ajax.XDomainRequestAjax","browser:Ajax.XmlHttpRequestAjax"], function(e,i,a,t){return e.extend({scoped:t},function(t){return{constructor:function(e){t.constructor.call(this),this.application=e,this.ajax=new a({sendContentType:!1,contentType:"urlencoded",resilience:5,resilience_delay:2500,resilience_filter:function(e){return 400<=e.status_code()&&e.status_code()<500},wrapStatus:!0,wrapStatusParam:"_wrapstatus",noCache:!0,noCacheParam:"_nocache"})},destroy:function(){this.ajax.destroy(),t.destroy.call(this)},rawRequest:function(e,t){return this.ajax.execute({method:t.method,data:t.data,query:t.query,uri:e,resilience:t.resilience,sendContentType:t.sendContentType})},request:function(e,t){return this.rawRequest(this.application.urls.httpApiResourceUrl(e,t),t)},apiRequest:function(e,t){return this.rawRequest(this.application.urls.apiResourceUrl(e,t),i.extend({sendContentType:!0},t))}}})});

Scoped.define("private:Application.Data", ["base:Properties.Properties","base:Objs","browser:Cookies","private:Core","browser:Upload.FileUploader","dynamics:Parser"], ["browser:Upload.ChunkedFileUploader"], function(e,s,a,n,r,o,t){return e.extend({scoped:t},function(i){return{constructor:function(e,t){if(i.constructor.call(this),t=t||{},this.set("token",t.token),!this.get("token"))throw"You need to specify an application token when creating an application";this.set("webrtc_streaming","boolean"==typeof t.webrtc_streaming&&t.webrtc_streaming),this.set("webrtc_streaming_if_necessary","boolean"!=typeof t.webrtc_streaming_if_necessary||t.webrtc_streaming_if_necessary),this.set("webrtc_on_mobile","boolean"==typeof t.webrtc_on_mobile&&t.webrtc_on_mobile),this.set("track_tags",Array.isArray(t.track_tags)?t.track_tags:[]),this.set("auth","boolean"==typeof t.auth&&t.auth),this.set("analytics","boolean"!=typeof t.analytics||t.analytics),this.set("google_analytics","boolean"==typeof t.google_analytics&&t.google_analytics),this.set("google_analytics_track","undefined"!=typeof t.google_analytics_track?t.google_analytics_track:["init_application","embedding_loaded","record_start","record_end","rerecord_confirm","upload_start"]),this.compute("cookie_key",function(){return n.models.session_cookie_prefix+this.get("token")},["token"]),this.set("cookie_value",this.get("auth")?a.get(this.get("cookie_key")):""),this.on("change:cookie_value",function(e){this.get("auth")&&a.set(this.get("cookie_key"),e)},this),this.set("testing_application",!1),this.set("debug","debug"in t&&t.debug!==undefined?t.debug:n.revision.prerelease),this.set("chrome_extension_id",t.chrome_extension_id),this.set("opera_extension_id",t.opera_extension_id),this.set("chrome_extension_install_link",t.chrome_extension_install_link),this.set("opera_extension_install_link",t.opera_extension_install_link),t.disable_secure_templates&&(o.secureMode=!1)},getUploaderConfig:function(e,t,i){var a={url:e,serverSupportPostMessage:!0,resilience:5};return t&&(a.source=t),s.extend(a,i)},getUploader:function(e,t,i){return r.create(this.getUploaderConfig(e,t,i))},getSignedUploaderConfig:function(e,t,i){return this.getUploaderConfig(e,i,{data:t})},getSignedUploader:function(e,t,i){return r.create(this.getSignedUploaderConfig(e,t,i))}}})});

Scoped.define("private:Application.Debugger", ["base:Class","base:Timers.Timer","browser:Events"], function(e,i,a,t){return e.extend({scoped:t},function(t){return{constructor:function(e){t.constructor.call(this),this.application=e,this.__events=this.auto_destroy(new a),this.__events.on(window,"error",function(e){this.__logError({message:e.message,source:e.filename,lineno:e.lineno,colno:e.colno,time:e.timeStamp})},this),this.__queue=[],this.__quota=25,this.__timer=this.auto_destroy(new i({context:this,fire:this.__pushErrors,delay:5e3}))},__logError:function(e){this.__queue.length>=this.__quota||this.__queue.push(e)},__pushErrors:function(){var e;0!==this.__queue.length&&(e=this.__queue,this.__queue=[],this.__quota-=e.length,this.application.connect.request("/debugger",{data:{events:JSON.stringify(e)},method:"POST"}))}}})});

Scoped.define("module:Device", ["base:Events.Events","base:Functions","base:Async","base:Promise","media:Recorder.WebRTCVideoRecorderWrapper","media:WebRTC.Support","browser:Info","private:Core"], function(e,t,i,a,s,n,r,o){var c=function(e,t){try{return e()}catch(i){return t||!1}},d=new e,u={info:c(function(){return{location:document.location.href,userAgent:navigator.userAgent,device:r.formatDevice(),os:r.formatOS(),browser:r.formatBrowser(),version:r.formatBrowserVersion(),revision:o.revision}},{}),on:t.as_method(d.on,d),webrtc:c(function(){return s.supported({})}),cameras:null,microphones:null,camera_count:null,microphone_count:null},l=function(){u.devices=null,d.persistentTrigger("device_error")};return u.media=function(){if("devices"in u)return u.devices?a.value(u.devices):a.error("failed");var i=a.create();try{n.enumerateMediaSources().success(function(e){var t;i.asyncSuccess(e),t=e,u.devices=t,u.cameras=t.video,u.microphones=t.audio,u.camera_count=t.videoCount,u.microphone_count=t.audioCount,d.persistentTrigger("device_info",u.cameras,u.microphones,u.camera_count,u.microphone_count),d.persistentTrigger(0<u.camera_count?"has_camera":"no_camera"),d.persistentTrigger(0<u.microphone_count?"has_microphone":"no_microphone")}).error(function(){i.asyncError("failed"),l()})}catch(e){i.asyncError("failed"),l()}return i},u});

Scoped.define("module:Locale", ["base:Classes.LocaleAggregator","base:Classes.LocaleTable","browser:Info","mediacomponents:Assets"], function(e,t,i,a){var s=new e,n=new t;return s.register(n),s.register(a.strings),s.setWeakLocale(i.language()),{setLocale:function(e){s.setLocale(e)},mainLocale:n,mediaLocale:a.strings}});

Scoped.define("private:Logger", [], function(){return{__console:function(e,t){try{console&&console[e]&&console[e].apply(console,t)}catch(i){}return this},warn:function(){return this.__console("warn",arguments)},log:function(){return this.__console("log",arguments)}}});

Scoped.define("private:Environment", ["private:Logger","private:Core","browser:Info","browser:Loader","base:Objs","base:Types","base:Net.Uri"], function(e,t,i,a,s,n,r){t.revision.prerelease&&e.warn("You are currently using a prerelease version of the Ziggeo JS SDK. We suggest using the stable revision for production use, and prereleases for staging environments and tests only.");var o=!!window.ZiggeoLocal||!!window.ZiggeoWeb&&-1===location.hostname.indexOf("ziggeo.com"),c=!1;o||(c=!0);try{0!==location.protocol.indexOf("file")||i.isCordova()||e.warn("In order to use Ziggeo's recording technology, this page needs to be served via https. The file:// protocol is not supported. For more details contact us at support@ziggeo.com")}catch(x){}try{0===location.protocol.indexOf("https")?window.location!==window.parent.location&&0===document.referrer.indexOf("https")&&e.warn("Accessing the camera and the microphone on insecure origins (HTTP) is deprecated, and future browser versions will stop to support insecure origins. We highly recommend upgrading to SSL (HTTPS). For more details contact us at support@ziggeo.com"):0===location.protocol.indexOf("http")&&e.warn("Accessing the camera and the microphone on insecure origins (HTTP) is deprecated, and future browser versions will stop to support insecure origins. We highly recommend upgrading to SSL (HTTPS). For more details contact us at support@ziggeo.com")}catch(x){}var d=!o,u=o||!!window.ZiggeoDev||!!window.ZiggeoWeb&&d&&-1!==location.hostname.indexOf("dev"),l=!u,h=o?"local":l?"production":"development",p=s.clone(t.servers[h],1),g={};if(l&&(g.cdn=p["assets.api.server.public.domain"].replace("assets.","assets-cdn.")),g.normal=p["assets.api.server.public.domain"],o)try{window.location.hostname&&/^\d+\.\d+\.\d+\.\d+$/.test(window.location.hostname)&&(p=s.map(p,function(e){return n.is_string(e)?e.replace("localhost",window.location.hostname):e}),g.local=p["assets.api.server.public.domain"])}catch(x){}var m=p["assets.api.server.public.domain"],_="/v"+t.revision.version+"-r"+t.revision.revision+"/",f=c?"https":"http",v=null;for(var y in g)try{var b=g[y],w=a.findScript(b);if(w&&-1!==w.src.indexOf("ziggeo.js")){var k=r.parse(w.src),f=c?"https":k.protocol,m=k.host;k.port&&(m+=":"+k.port),_=k.directory;break}}catch(x){}return v=v||f+"://"+m+_,{isLocal:o,isServer:d,isDevelopment:u,isProduction:l,environment:h,serverEnvironments:t.servers,servers:p,serversByToken:function(t){var i=s.clone(p,-1);return s.iter(p.regions,function(e){0===t.indexOf(e.prefix)&&(i=s.extend(i,e))}),i},assetsDomain:m,assetsPath:_,assetsBase:v,sslRequired:c}});

Scoped.define("private:Application.Urls", ["base:Class","base:Objs","base:Sort","base:Types","base:Comparators","base:Net.Uri","base:Async","browser:Info","media:WebRTC.RecorderWrapper","private:Environment"], function(e,i,a,t,s,n,r,o,c,d,u){return e.extend({scoped:u},function(t){return{constructor:function(e){t.constructor.call(this),this.application=e,this.__servers=d.serversByToken(this.application.data.get("token"))},httpApiBaseUrl:function(){return(d.sslRequired?"https":"http")+"://"+this.__servers["embed.api.server.public.domain"]},httpStreamingBaseUrl:function(){return(d.sslRequired?"https":"http")+"://"+this.__servers["embed-cdn.api.server.public.domain"]},apiStreamingBaseUrl:function(){return(d.sslRequired?"https":"http")+"://"+this.__servers["media-cdn.api.server.public.domain"]},webrtcStreamingApp:function(e){return this.__servers["wowza.api.record.webrtc.app"]+(e||"")},wssUrl:function(){return this.__servers["wowza.api.record.webrtc.wssurl"]},webrtcAudioStreamingApp:function(e){return this.__servers["wowza.api.record.webrtc.audioapp"]+(e||"")},httpApiAppUrl:function(){return this.httpApiBaseUrl()+"/v1/applications/"+this.application.data.get("token")},apiBaseUrl:function(){return(d.isLocal?"http":"https")+"://"+this.__servers["server.js-api.server.public.domain"]},apiAppUrl:function(){return this.apiBaseUrl()+"/embed/v1/applications/"+this.application.data.get("token")},apiResourceUrl:function(e,t){return this.resourceUrl(this.apiAppUrl(),e,i.extend({auth:!0},t))},httpApiResourceUrl:function(e,t){return this.resourceUrl(this.httpApiAppUrl(),e,i.extend({auth:!0},t))},httpStreamingAppUrl:function(){return this.httpStreamingBaseUrl()+"/v1/applications/"+this.application.data.get("token")},httpStreamingResourceUrl:function(e,t){return this.resourceUrl(this.httpStreamingAppUrl(),e,t)},apiStreamingAppUrl:function(){return this.apiStreamingBaseUrl()+"/v1/applications/"+this.application.data.get("token")},apiStreamingResourceUrl:function(e,t){return this.resourceUrl(this.apiStreamingAppUrl(),e,t)},urlParams:function(e){e=e||{};var t=i.extend({},i.filter(e.params,function(e,t){return null!==e&&""!==e}));return e.auth&&this.application.data.get("auth")&&((t=i.extend(t,i.filter(e.auth,function(e,t){return null!==e&&""!==e})))[this.application.data.get("cookie_key")]=this.application.data.get("cookie_value")),a.sort_object(t,s.byValue)},hostedBaseUrl:function(){return(d.sslRequired?"https":"http")+"://"+this.__servers["hosted.pages.server.public.domain"]},hostedUrl:function(e){return this.hostedBaseUrl()+e},resourceUrl:function(e,t,i){return n.appendUriParams(e+(t&&0!==t.indexOf("/")?"/":"")+t,this.urlParams(i))}}})});

Scoped.define("module:Config", ["private:Environment","base:Properties.Properties","base:Functions"], function(e,t,i){var a=new t;return{set:i.as_method(a.set,a),get:i.as_method(a.get,a)}});

Scoped.define("module:Ads", ["mediacomponents:Ads.AdSenseVideoAdProvider","mediacomponents:Ads.VastVideoAdProvider"], function(e,t){return{AdSenseVideoAdProvider:e,VastVideoAdProvider:t}});

Scoped.define("module:Supplementary", ["base:Async"], function(s){return{eventInvokeCallback:function(e,t,i){try{e.apply(t,i)}catch(a){s.eventually(function(){throw console.warn(a,e,t,i),a})}}}});

Scoped.define("module:AudioPlayerStates.Initial", ["mediacomponents:AudioPlayer.Dynamics.PlayerStates.Initial"], function(e,t){return e.extend({scoped:t},function(e){return{dynamics:["loader"],_started:function(){this.dyn.get("audio_data")&&4===this.dyn.get("audio_data").state?this.next("AudioProcessing"):e._started.call(this)}}})});

Scoped.define("module:AudioPlayerStates.AudioProcessing", ["mediacomponents:AudioPlayer.Dynamics.PlayerStates.State","base:Time","base:Timers.Timer"], function(e,a,t,i){return e.extend({scoped:i},function(e){return{dynamics:["loader","message"],_started:function(){this.dyn.set("message",this.dyn.string("audio-processing")),this.__audio=this.dyn.get("audio"),this.__shareaudio=this.dyn.get("shareaudio"),this.dyn.set("shareaudio",[]),this.dyn.application.audios.watch(this.__audio,{auth:this.dyn.get("auth"),maxage:2500},this.dyn.__audioUpdate,this.dyn),this.dyn.set("start-processing-time",a.now()),this.dyn._track("audio_processing_start"),this.auto_destroy(new t({delay:100,context:this,fire:function(){var e=1e3;this.dyn.get("duration")&&1e3<this.dyn.get("duration")/60*1e3&&(e=this.dyn.get("duration")/60*1e3);var t=(a.now()-this.dyn.get("start-processing-time"))/e,i=1-1/(1+Math.sqrt(Math.sqrt(t)));this.dyn.trigger("processing",i),this.dyn.parent()&&this.dyn.parent().trigger("processing",i)}}))},_end:function(){this.dyn.set("shareaudio",this.__shareaudio),this.dyn.application.audios.unwatch(this.__audio,this.dyn),this.dyn.set("end-processing-time",a.now()),this.dyn._track("audio_processing_end",{media_time:this.dyn.get("end-processing-time")-this.dyn.get("start-processing-time")}),this.dyn.trigger("processed"),this.dyn.parent()&&this.dyn.parent().trigger("processed"),e._end.call(this)}}})});

Scoped.define("module:AudioPlayerStates.PlayAudio", ["mediacomponents:AudioPlayer.Dynamics.PlayerStates.PlayAudio"], function(e,t){return e.extend({scoped:t},function(e){return{_started:function(){e._started.call(this),this.dyn._track("audio_play_start")}}})});

Scoped.define("module:AudioRecorderStates.Recording", ["mediacomponents:AudioRecorder.Dynamics.RecorderStates.Recording"], function(e,t){return e.extend({scoped:t},function(e){return{_started:function(){e._started.call(this),this.dyn._track("audio_record_start")},_hasStopped:function(){e._hasStopped.call(this),this.dyn._track("audio_record_end",{media_time:this.dyn.get("duration")})}}})});

Scoped.define("module:AudioRecorderStates.Chooser", ["mediacomponents:AudioRecorder.Dynamics.RecorderStates.Chooser"], function(e,t){return e.extend({scoped:t},function(t){return{_uploadFile:function(e){t._uploadFile.call(this,e),this.dyn._track("audio_upload_start",{data_size:e.size})}}})});

Scoped.define("module:AudioRecorderStates.Uploading", ["mediacomponents:AudioRecorder.Dynamics.RecorderStates.Uploading","base:Time"], function(e,t,i){return e.extend({scoped:i},function(e){return{_started:function(){e._started.call(this),this.dyn.__had_processed=!1,this.dyn._track("audio_uploading_start",{data_size:this.dyn._dataUploader.totalBytes()})},_finished:function(){e._finished.call(this),this.dyn._track("audio_uploading_end",{media_time:this.dyn.get("end-upload-time")-this.dyn.get("start-upload-time"),data_size:this.dyn._dataUploader.totalBytes(),bandwidth:this.dyn._dataUploader.totalBytes()/(this.dyn.get("end-upload-time")-this.dyn.get("start-upload-time"))}),this.dyn._track("upstream_bandwidth",{media_time:this.dyn.get("end-upload-time")-this.dyn.get("start-upload-time"),data_size:this.dyn._dataUploader.totalBytes(),bandwidth:this.dyn._dataUploader.totalBytes()/(this.dyn.get("end-upload-time")-this.dyn.get("start-upload-time"))}),this.dyn.setProp("playerattrs.forcerefresh",t.now())}}})});

Scoped.define("module:ImageRecorderStates.Recording", ["mediacomponents:ImageCapture.Dynamics.RecorderStates.Recording"], function(e,t){return e.extend({scoped:t},function(e){return{_started:function(){e._started.call(this),this.dyn._track("image_record_start")},_hasStopped:function(){e._hasStopped.call(this),this.dyn._track("image_record_end",{media_time:this.dyn.get("duration")})}}})});

Scoped.define("module:ImageRecorderStates.Chooser", ["mediacomponents:ImageCapture.Dynamics.RecorderStates.Chooser"], function(e,t){return e.extend({scoped:t},function(t){return{_uploadFile:function(e){t._uploadFile.call(this,e),this.dyn._track("image_upload_start",{data_size:e.size})}}})});

Scoped.define("module:ImageRecorderStates.Uploading", ["mediacomponents:ImageCapture.Dynamics.RecorderStates.Uploading","base:Time"], function(e,t,i){return e.extend({scoped:i},function(e){return{_started:function(){e._started.call(this),this.dyn.__had_processed=!1,this.dyn._track("image_uploading_start",{data_size:this.dyn._dataUploader.totalBytes()})},_finished:function(){e._finished.call(this),this.dyn._track("image_uploading_end",{media_time:this.dyn.get("end-upload-time")-this.dyn.get("start-upload-time"),data_size:this.dyn._dataUploader.totalBytes(),bandwidth:this.dyn._dataUploader.totalBytes()/(this.dyn.get("end-upload-time")-this.dyn.get("start-upload-time"))}),this.dyn._track("upstream_bandwidth",{media_time:this.dyn.get("end-upload-time")-this.dyn.get("start-upload-time"),data_size:this.dyn._dataUploader.totalBytes(),bandwidth:this.dyn._dataUploader.totalBytes()/(this.dyn.get("end-upload-time")-this.dyn.get("start-upload-time"))}),this.dyn.setProp("playerattrs.forcerefresh",t.now())}}})});

Scoped.define("module:PlayerStates.Initial", ["mediacomponents:VideoPlayer.Dynamics.PlayerStates.Initial"], function(e,t){return e.extend({scoped:t},function(e){return{dynamics:["loader"],_started:function(){this.dyn.get("video_data")&&4===this.dyn.get("video_data").state?this.next("VideoProcessing"):e._started.call(this)}}})});

Scoped.define("module:PlayerStates.PosterError", ["mediacomponents:VideoPlayer.Dynamics.PlayerStates.State"], function(e,t){return e.extend({scoped:t},{dynamics:["loader"],_fail:function(){4!==this.dyn.get("video_data").state?window.navigator.onLine?(this.dyn.set("loader_active",!1),this.dyn.set("message_active",!0),this.dyn.set("message",this.dyn.string("video-access-error")),this.listenOn(this.dyn,"message:click",function(){this.next("LoadPlayer")},this)):this.next("LoadError"):this.next("VideoProcessing")},_started:function(){!0!==this.dyn.get("video_status")?this.listenOn(this.dyn,"change:video_status",function(){!0===this.dyn.get("video_status")&&this._fail()}):this._fail()}})});

Scoped.define("module:PlayerStates.VideoProcessing", ["mediacomponents:VideoPlayer.Dynamics.PlayerStates.State","base:Time","base:Timers.Timer"], function(e,a,t,i){return e.extend({scoped:i},function(e){return{dynamics:["loader","message"],_started:function(){this.dyn.set("message",this.dyn.string("video-processing")),this.__video=this.dyn.get("video"),this.__sharevideo=this.dyn.get("sharevideo"),this.dyn.set("sharevideo",[]),this.dyn.application.videos.watch(this.__video,{auth:this.dyn.get("auth"),maxage:2500},this.dyn.__videoUpdate,this.dyn),this.dyn.set("start-processing-time",a.now()),this.dyn._track("processing_start"),this.auto_destroy(new t({delay:100,context:this,fire:function(){var e=1e3;this.dyn.get("duration")&&1e3<this.dyn.get("duration")/60*1e3&&(e=this.dyn.get("duration")/60*1e3);var t=(a.now()-this.dyn.get("start-processing-time"))/e,i=1-1/(1+Math.sqrt(Math.sqrt(t)));this.dyn.trigger("processing",i),this.dyn.parent()&&this.dyn.parent().trigger("processing",i)}}))},_end:function(){this.dyn.set("sharevideo",this.__sharevideo),this.dyn.application.videos.unwatch(this.__video,this.dyn),this.dyn.set("end-processing-time",a.now()),this.dyn._track("processing_end",{media_time:this.dyn.get("end-processing-time")-this.dyn.get("start-processing-time")}),this.dyn.trigger("processed"),this.dyn.parent()&&this.dyn.parent().trigger("processed"),e._end.call(this)}}})});

Scoped.define("module:PlayerStates.PlayVideo", ["mediacomponents:VideoPlayer.Dynamics.PlayerStates.PlayVideo"], function(e,t){return e.extend({scoped:t},function(e){return{_started:function(){e._started.call(this),this.dyn._track("play_start")}}})});

Scoped.define("module:RecorderStates.Recording", ["mediacomponents:VideoRecorder.Dynamics.RecorderStates.Recording"], function(e,t){return e.extend({scoped:t},function(e){return{_started:function(){e._started.call(this),this.dyn._track("record_start")},_hasStopped:function(){this.dyn._requiresDeviceOrientation&&(this.dyn._rotation=this.dyn._readDeviceOrientation()),e._hasStopped.call(this),this.dyn._track("record_end",{media_time:this.dyn.get("duration")})}}})});

Scoped.define("module:RecorderStates.Chooser", ["mediacomponents:VideoRecorder.Dynamics.RecorderStates.Chooser"], function(e,t){return e.extend({scoped:t},function(t){return{_uploadFile:function(e){t._uploadFile.call(this,e),this.dyn._track("upload_start",{data_size:e.size})}}})});

Scoped.define("module:RecorderStates.CovershotSelection", ["mediacomponents:VideoRecorder.Dynamics.RecorderStates.CovershotSelection"], function(e,t){return e.extend({scoped:t},function(t){return{_next:function(e){this.dyn._track(e?"cover_skip":"cover_select"),t._next.call(this,e)}}})});

Scoped.define("module:RecorderStates.CovershotSelectionFromGallery", ["mediacomponents:VideoRecorder.Dynamics.RecorderStates.CovershotSelectionFromGallery"], function(e,t){return e.extend({scoped:t},function(t){return{_next:function(e){this.dyn._track(e?"cover_skip":"cover_select"),t._next.call(this,e)}}})});

Scoped.define("module:RecorderStates.CovershotSelectionFromPlayer", ["mediacomponents:VideoRecorder.Dynamics.RecorderStates.CovershotSelectionFromPlayer"], function(e,t){return e.extend({scoped:t},function(t){return{_next:function(e){this.dyn._track(e?"cover_skip":"cover_select"),t._next.call(this,e)}}})});

Scoped.define("module:RecorderStates.Uploading", ["mediacomponents:VideoRecorder.Dynamics.RecorderStates.Uploading","base:Time"], function(e,t,i){return e.extend({scoped:i},function(e){return{_started:function(){e._started.call(this),this.dyn.__had_processed=!1,this.dyn._track("uploading_start",{data_size:this.dyn._dataUploader.totalBytes()})},_finished:function(){e._finished.call(this),this.dyn._track("uploading_end",{media_time:this.dyn.get("end-upload-time")-this.dyn.get("start-upload-time"),data_size:this.dyn._dataUploader.totalBytes(),bandwidth:this.dyn._dataUploader.totalBytes()/(this.dyn.get("end-upload-time")-this.dyn.get("start-upload-time"))}),this.dyn._track("upstream_bandwidth",{media_time:this.dyn.get("end-upload-time")-this.dyn.get("start-upload-time"),data_size:this.dyn._dataUploader.totalBytes(),bandwidth:this.dyn._dataUploader.totalBytes()/(this.dyn.get("end-upload-time")-this.dyn.get("start-upload-time"))}),this.dyn.setProp("playerattrs.forcerefresh",t.now())}}})});

Scoped.define("private:Application.VideosApiMixin", function(){return{index:function(e,t,i){return this.application.connect.request("/videos/",{method:"GET",auth:t,resilience:i,data:e})},destroy:function(e,t,i){return this.application.connect.request("/videos/"+e,{method:"DELETE",auth:t,resilience:i})},create:function(e,t,i){return this.application.connect.request("/videos",{method:"POST",auth:t,resilience:i,data:e})},_create:function(e,t,i){return this.application.connect.request("/videos/videos-upload-url",{method:"POST",auth:t,resilience:i,data:e})},update:function(e,t,i,a){return this.application.connect.request("/videos/"+e,{method:"POST",auth:i,resilience:a,data:t})},_playback:function(e,t,i,a){return this.application.connect.request("/videos/"+e+"/playback",{method:"POST",auth:i,resilience:a,data:t})},get:function(e,t,i){return this.application.connect.request("/videos/"+e,{method:"GET",auth:t,resilience:i})}}});

Scoped.define("private:Application.Videos", ["base:Class","base:Promise","base:Objs","base:Time","base:Async","base:Types","base:Net.HttpHeader","base:Ids","base:Comparators","media:Player.Support","private:Application.VideosApiMixin"], function(e,n,c,d,u,l,t,r,h,o,i,a){return e.extend({scoped:a},[i,function(t){return{constructor:function(e){t.constructor.call(this),this.application=e,this.__cache={}},imageUrl:function(e,t){t=t||{};var i="videos/"+e+"/image";return this.application.urls.httpStreamingResourceUrl(i,{auth:t.auth,params:c.extend({refresh:this.refreshToken(e)},t.params)})},publicVideoUrl:function(e){return this.application.urls.hostedUrl("/v/"+e)},iframeVideoUrl:function(e){return this.application.urls.hostedUrl("/p/"+e)},iframeRecorderUrl:function(){return this.application.urls.hostedUrl("/r/"+this.application.data.get("token"))},videoUrl:function(e,t){var i="videos/"+e+"/"+((t=t||{}).download?"download_video.mp4":"video.mp4");return this.application.urls.httpStreamingResourceUrl(i,{auth:t.auth,params:c.extend({refresh:this.refreshToken(e)},t.params)})},refreshToken:function(e){try{var t=this.cache(e,{weak:!0}).value();return t&&t.submission_date!==t.resubmission_date?86400<d.now()/1e3-t.resubmission_date?null:t.resubmission_date:null}catch(i){return null}},__cacheGet:function(e){return this.__cache[e]||(this.__cache[e]={ready:!1,data:null,error:null,last_update:null,auth:null,next_update:null,next_update_timer:null,updating:!1,promises:[],watchers:{}}),this.__cache[e]},__cacheUpdate:function(r,e){var o=this.__cacheGet(r);if(!(o.updating||o.next_update&&o.next_update<=e)){o.next_update&&(u.clearEventually(o.next_update_timer),o.next_update=null);var t=d.now();if(t<e)return o.next_update=e,void(o.next_update_timer=u.eventually(function(){this.__cacheUpdate(r)},this,e-t));o.updating=!0,this.get(r,o.auth).callback(function(t,i){o.ready=!0,o.updating=!1;var e=d.now(),a=o.last_update?e-o.last_update:null;o.last_update=e,o.next_update=null;var s=o.data,n=t;o.data=i,o.error=t,u.clearEventually(o.next_update_timer),c.iter(o.promises,function(e){e.asyncCallback(t,i)},this),o.promises=[],l.is_empty(o.watchers)||((!t||t.equals(n))&&h.deepEqual(i,s,10)||c.iter(o.watchers,function(e){e.callback.call(e.context,t,i)},this),null===a?c.iter(o.watchers,function(e){e.weak||(a=null===a?e.initialage:Math.min(e.initialage,a))},this):a*=2,null!==a&&(c.iter(o.watchers,function(e){!e.weak&&e.maxage&&(a=Math.min(a,e.maxage))},this),this.__cacheUpdate(r,e+a)))},this)}},cacheInvalidate:function(e){this.__cacheGet(e).ready=!1},cache:function(e,t){var i=this.__cacheGet(e);if((t=c.extend({auth:null,weak:!1,force:!1,age:null},t)).weak&&!i.ready)return n.error(!0);if(i.ready&&!t.force&&(!t.age||now-i.last_update<t.age))return i.data?n.value(i.data):n.error(i.error);t.auth&&(i.auth=t.auth);var a=n.create();return i.promises.push(a),this.__cacheUpdate(e),a},watch:function(e,t,i,a){var s=this.__cacheGet(e);(t=c.extend({auth:null,weak:!1,maxage:null,initialage:1e3},t)).auth&&(s.auth=t.auth),s.watchers[r.objectId(a)]={context:a,callback:i,weak:t.weak,maxage:t.maxage,age:t.initialage},t.weak||this.__cacheUpdate(e,t.initialage+d.now())},unwatch:function(e,t){delete this.__cacheGet(e).watchers[r.objectId(t)]},createByUpload:function(s){return this._create(c.extend(c.clone(s.data,1),{create_stream:!0,image_url:!!s.image_data,audio_url:!!s.audio_data}),s.auth,5).mapSuccess(function(i){var a=n.create(),e=this.application.streams.signedDataUploader(i.video.token,i.stream.token,{auth:s.auth,video_data:s.video_data,audio_data:s.audio_data,image_data:s.image_data,url_data:i.url_data});return s.progress&&e.on("progress",s.progress,s.context),e.on("error",function(e){a.asyncError(e)},this),e.on("success",function(){var e=s.video_data instanceof Blob?s.video_data:s.video_data.files[0];o.videoFileInfo(e).callback(function(e,t){this.application.streams._confirm(i.video.token,i.stream.token,{duration:t?t.duration:0},s.auth,50).forwardCallback(a)},this)},this),e.upload(),a},this)}}}])});

Scoped.define("private:Application.StreamsApiMixin", function(){return{index:function(e,t,i,a){return this.application.connect.request("/videos/"+e+"/streams/",{method:"GET",auth:i,resilience:a,data:t})},destroy:function(e,t,i,a){return this.application.connect.request("/videos/"+e+"/streams/"+t,{method:"DELETE",auth:i,resilience:a})},create:function(e,t,i,a){return this.application.connect.request("/videos/"+e+"/streams",{method:"POST",auth:i,resilience:a,data:t})},_create:function(e,t,i,a){return this.application.connect.request("/videos/"+e+"/streams/streams-upload-url",{method:"POST",auth:i,resilience:a,data:t})},accept:function(e,t,i,a){return this.application.connect.request("/videos/"+e+"/streams/"+t+"/accept",{method:"POST",auth:i,resilience:a})},_image_attach:function(e,t,i,a,s){return this.application.connect.request("/videos/"+e+"/streams/"+t+"/imageattach",{method:"POST",auth:a,resilience:s,data:i})},_audio_attach:function(e,t,i,a,s){return this.application.connect.request("/videos/"+e+"/streams/"+t+"/audioattach",{method:"POST",auth:a,resilience:s,data:i})},_recorder_submit:function(e,t,i,a,s){return this.application.connect.request("/videos/"+e+"/streams/"+t+"/recordersubmit",{method:"POST",auth:a,resilience:s,data:i})},_uploader_state:function(e,t,i,a){return this.application.connect.request("/videos/"+e+"/streams/"+t+"/uploaderstate",{method:"GET",auth:i,resilience:a})},_subtitle_attach:function(e,t,i,a){return this.application.connect.request("/videos/"+e+"/streams/"+t+"/subtitleattach",{method:"POST",auth:i,resilience:a})},_confirm:function(e,t,i,a,s,n){return this.application.connect.request("/videos/"+e+"/streams/"+t+"/confirm-video",{method:"POST",auth:a,resilience:s,data:i,query:n})},_confirm_image:function(e,t,i,a,s){return this.application.connect.request("/videos/"+e+"/streams/"+t+"/confirm-image",{method:"POST",auth:a,resilience:s,data:i})},_confirm_audio:function(e,t,i,a,s){return this.application.connect.request("/videos/"+e+"/streams/"+t+"/confirm-audio",{method:"POST",auth:a,resilience:s,data:i})},_get_video_upload_urls:function(e,t,i,a,s){return this.application.connect.request("/videos/"+e+"/streams/"+t+"/video-upload-urls",{method:"GET",auth:a,resilience:s,data:i})},_get_image_upload_urls:function(e,t,i,a,s){return this.application.connect.request("/videos/"+e+"/streams/"+t+"/image-upload-urls",{method:"GET",auth:a,resilience:s,data:i})},_get_audio_upload_urls:function(e,t,i,a,s){return this.application.connect.request("/videos/"+e+"/streams/"+t+"/audio-upload-urls",{method:"GET",auth:a,resilience:s,data:i})}}});

Scoped.define("private:Application.Streams", ["base:Class","base:Objs","private:Application.StreamsApiMixin","browser:Upload.MultiUploader"], function(e,t,i,s,a){return e.extend({scoped:a},[i,function(t){return{constructor:function(e){t.constructor.call(this),this.application=e},imageUrl:function(e,t,i){i=i||{};var a="videos/"+e+"/streams/"+t+"/image";return this.application.urls.httpStreamingResourceUrl(a,{auth:i.auth,params:i.params})},videoUrl:function(e,t,i){var a="videos/"+e+"/streams/"+t+"/"+((i=i||{}).download?"download_video.mp4":"video.mp4");return this.application.urls.httpStreamingResourceUrl(a,{auth:i.auth,params:i.params})},videoAttachUrl:function(e,t,i){return this.application.urls.httpApiResourceUrl("/videos/"+e+"/streams/"+t+"/videoattach",{auth:i})},videoAttachUploaderConfig:function(e,t,i,a){return this.application.data.getUploaderConfig(this.videoAttachUrl(e,t,i),a)},videoAttachUploader:function(e,t,i,a){return this.application.data.getUploader(this.videoAttachUrl(e,t,i),a)},imageAttachUrl:function(e,t,i){return this.application.urls.httpApiResourceUrl("/videos/"+e+"/streams/"+t+"/imageattach",{auth:i})},imageAttachUploaderConfig:function(e,t,i,a){return this.application.data.getUploaderConfig(this.imageAttachUrl(e,t,i),a,{nonessential:!1})},imageAttachUploader:function(e,t,i,a){return this.application.data.getUploader(this.imageAttachUrl(e,t,i),a,{essential:!1})},audioAttachUrl:function(e,t,i){return this.application.urls.httpApiResourceUrl("/videos/"+e+"/streams/"+t+"/audioattach",{auth:i})},subtitleAttachUrl:function(e,t,i){return this.application.urls.httpApiResourceUrl("/videos/"+e+"/streams/"+t+"/subtitleattach",{auth:i})},audioAttachUploaderConfig:function(e,t,i,a){return this.application.data.getUploaderConfig(this.audioAttachUrl(e,t,i),a)},subtitleAttachUploaderUrl:function(e,t,i){return this.subtitleAttachUrl(e,t,i)},audioAttachUploader:function(e,t,i,a){return this.application.data.getUploader(this.audioAttachUrl(e,t,i),a)},webrtcStreamName:function(e,t,i){return"applications___"+this.application.data.get("token")+"___videos___"+e+"___streams___"+t+"___video"},dataUploader:function(e,t,i){var a=new s;return i.video_data&&a.addUploader(this.videoAttachUploader(e,t,i.auth,i.video_data)),i.audio_data&&a.addUploader(this.audioAttachUploader(e,t,i.auth,i.audio_data)),i.image_data&&a.addUploader(this.imageAttachUploader(e,t,i.auth,i.image_data)),a},signedDataUploader:function(e,t,i){var a=new s;return i.video_data&&a.addUploader(this.application.data.getSignedUploader(i.url_data.url,i.url_data.fields,i.video_data)),i.audio_data&&a.addUploader(this.application.data.getSignedUploader(i.audio_url_data.url,i.audio_url_data.fields,i.audio_data)),i.image_data&&a.addUploader(this.application.data.getSignedUploader(i.image_url_data.url,i.image_url_data.fields,i.image_data)),a}}}])});

Scoped.define("private:Application.AudiosApiMixin", function(){return{index:function(e,t,i){return this.application.connect.apiRequest("/audios/",{method:"GET",auth:t,resilience:i,data:e})},destroy:function(e,t,i){return this.application.connect.apiRequest("/audios/"+e,{method:"DELETE",auth:t,resilience:i})},create:function(e,t,i){return this.application.connect.apiRequest("/audios",{method:"POST",auth:t,resilience:i,data:e})},update:function(e,t,i,a){return this.application.connect.apiRequest("/audios/"+e,{method:"POST",auth:i,resilience:a,data:t})},get:function(e,t,i){return this.application.connect.apiRequest("/audios/"+e,{method:"GET",auth:t,resilience:i})}}});

Scoped.define("private:Application.Audios", ["base:Class","base:Promise","base:Objs","base:Time","base:Async","base:Types","base:Net.HttpHeader","base:Ids","base:Comparators","media:Player.Support","private:Application.AudiosApiMixin"], function(e,n,c,d,u,l,t,r,h,o,i,a){return e.extend({scoped:a},[i,function(t){return{constructor:function(e){t.constructor.call(this),this.application=e,this.__cache={}},audioUrl:function(e,t){var i="audios/"+e+"/"+((t=t||{}).download?"download_audio.aac":"audio.aac");return this.application.urls.apiStreamingResourceUrl(i,{auth:t.auth,params:c.extend({refresh:this.refreshToken(e)},t.params)})},refreshToken:function(e){try{var t=this.cache(e,{weak:!0}).value();return t&&t.submission_date!==t.resubmission_date?86400<d.now()/1e3-t.resubmission_date?null:t.resubmission_date:null}catch(i){return null}},__cacheGet:function(e){return this.__cache[e]||(this.__cache[e]={ready:!1,data:null,error:null,last_update:null,auth:null,next_update:null,next_update_timer:null,updating:!1,promises:[],watchers:{}}),this.__cache[e]},__cacheUpdate:function(r,e){var o=this.__cacheGet(r);if(!(o.updating||o.next_update&&o.next_update<=e)){o.next_update&&(u.clearEventually(o.next_update_timer),o.next_update=null);var t=d.now();if(t<e)return o.next_update=e,void(o.next_update_timer=u.eventually(function(){this.__cacheUpdate(r)},this,e-t));o.updating=!0,this.get(r,o.auth).callback(function(t,i){i=i&&i.audio?i.audio:i,o.ready=!0,o.updating=!1;var e=d.now(),a=o.last_update?e-o.last_update:null;o.last_update=e,o.next_update=null;var s=o.data,n=t;o.data=i,o.error=t,u.clearEventually(o.next_update_timer),c.iter(o.promises,function(e){e.asyncCallback(t,i)},this),o.promises=[],l.is_empty(o.watchers)||((!t||t.equals(n))&&h.deepEqual(i,s,10)||c.iter(o.watchers,function(e){e.callback.call(e.context,t,i)},this),null===a?c.iter(o.watchers,function(e){e.weak||(a=null===a?e.initialage:Math.min(e.initialage,a))},this):a*=2,null!==a&&(c.iter(o.watchers,function(e){!e.weak&&e.maxage&&(a=Math.min(a,e.maxage))},this),this.__cacheUpdate(r,e+a)))},this)}},cacheInvalidate:function(e){this.__cacheGet(e).ready=!1},cache:function(e,t){var i=this.__cacheGet(e);if((t=c.extend({auth:null,weak:!1,force:!1,age:null},t)).weak&&!i.ready)return n.error(!0);if(i.ready&&!t.force&&(!t.age||now-i.last_update<t.age))return i.data?n.value(i.data):n.error(i.error);t.auth&&(i.auth=t.auth);var a=n.create();return i.promises.push(a),this.__cacheUpdate(e),a},watch:function(e,t,i,a){var s=this.__cacheGet(e);(t=c.extend({auth:null,weak:!1,maxage:null,initialage:1e3},t)).auth&&(s.auth=t.auth),s.watchers[r.objectId(a)]={context:a,callback:i,weak:t.weak,maxage:t.maxage,age:t.initialage},t.weak||this.__cacheUpdate(e,t.initialage+d.now())},unwatch:function(e,t){delete this.__cacheGet(e).watchers[r.objectId(t)]},createByUpload:function(s){return this.create(c.extend(c.clone(s.data,1),{create_stream:!0}),s.auth,5).mapSuccess(function(i){var a=n.create(),e=this.application.data.getSignedUploader(i.url_data.url,i.url_data.fields,s.audio_data);return s.progress&&e.on("progress",s.progress,s.context),e.on("error",function(e){a.asyncError(e)},this),e.on("success",function(){var e=s.audio_data instanceof Blob?s.audio_data:s.audio_data.files[0];o.audioFileInfo(e).callback(function(e,t){this.application.audio_streams.confirm(i.audio.token,i.audio_stream.token,{duration:t?t.duration:0},s.auth,50).forwardCallback(a)},this)},this),e.upload(),a},this)}}}])});

Scoped.define("private:Application.AudioStreamsApiMixin", function(){return{index:function(e,t,i,a){return this.application.connect.apiRequest("/audios/"+e+"/streams/",{method:"GET",auth:i,resilience:a,data:t})},destroy:function(e,t,i,a){return this.application.connect.apiRequest("/audios/"+e+"/streams/"+t,{method:"DELETE",auth:i,resilience:a})},create:function(e,t,i,a){return this.application.connect.apiRequest("/audios/"+e+"/streams",{method:"POST",auth:i,resilience:a,data:t})},confirm:function(e,t,i,a,s){return this.application.connect.apiRequest("/audios/"+e+"/streams/"+t+"/confirm",{method:"POST",auth:a,resilience:s,data:i})},submit:function(e,t,i,a,s){return this.application.connect.apiRequest("/audios/"+e+"/streams/"+t+"/submit",{method:"POST",auth:a,resilience:s,data:i})},get:function(e,t,i,a){return this.application.connect.apiRequest("/audios/"+e+"/streams/"+t,{method:"GET",auth:i,resilience:a})},_get_audio_upload_urls:function(e,t,i,a,s){return this.application.connect.apiRequest("/audios/"+e+"/streams/"+t+"/audio-upload-urls",{method:"GET",auth:a,resilience:s,data:i})}}});

Scoped.define("private:Application.AudioStreams", ["base:Class","base:Objs","private:Application.AudioStreamsApiMixin"], function(e,t,i,a){return e.extend({scoped:a},[i,function(t){return{constructor:function(e){t.constructor.call(this),this.application=e},audioUrl:function(e,t,i){var a="audios/"+e+"/streams/"+t+"/"+((i=i||{}).download?"download_audio.aac":"audio.aac");return this.application.urls.apiStreamingResourceUrl(a,{auth:i.auth,params:i.params})},webrtcStreamName:function(e,t,i){return"applications___"+this.application.data.get("token")+"___audios___"+e+"___streams___"+t+"___audio"}}}])});

Scoped.define("private:Application.ImagesApiMixin", function(){return{index:function(e,t,i){return this.application.connect.apiRequest("/images/",{method:"GET",auth:t,resilience:i,data:e})},destroy:function(e,t,i){return this.application.connect.apiRequest("/images/"+e,{method:"DELETE",auth:t,resilience:i})},create:function(e,t,i){return this.application.connect.apiRequest("/images",{method:"POST",auth:t,resilience:i,data:e})},update:function(e,t,i,a){return this.application.connect.apiRequest("/images/"+e,{method:"POST",auth:i,resilience:a,data:t})},get:function(e,t,i){return this.application.connect.apiRequest("/images/"+e,{method:"GET",auth:t,resilience:i})}}});

Scoped.define("private:Application.Images", ["base:Class","base:Promise","base:Objs","base:Time","base:Async","base:Net.HttpHeader","base:Ids","base:Comparators","private:Application.ImagesApiMixin"], function(e,s,c,d,u,t,n,l,i,a){return e.extend({scoped:a},[i,function(t){return{constructor:function(e){t.constructor.call(this),this.application=e,this.__cache={}},imageUrl:function(e,t){var i="images/"+e+"/"+((t=t||{}).download?"download_image.mp4":"image.mp4");return this.application.urls.apiStreamingResourceUrl(i,{auth:t.auth,params:c.extend({refresh:this.refreshToken(e)},t.params)})},refreshToken:function(e){try{var t=this.cache(e,{weak:!0}).value();return t&&t.submission_date!==t.resubmission_date?86400<d.now()/1e3-t.resubmission_date?null:t.resubmission_date:null}catch(i){return null}},__cacheGet:function(e){return this.__cache[e]||(this.__cache[e]={ready:!1,data:null,error:null,last_update:null,auth:null,next_update:null,next_update_timer:null,updating:!1,promises:[],watchers:{}}),this.__cache[e]},__cacheUpdate:function(r,e){var o=this.__cacheGet(r);if(!(o.updating||o.next_update&&o.next_update<=e)){o.next_update&&(u.clearEventually(o.next_update_timer),o.next_update=null);var t=d.now();if(t<e)return o.next_update=e,void(o.next_update_timer=u.eventually(function(){this.__cacheUpdate(r)},this,e-t));o.updating=!0,this.get(r,o.auth).callback(function(t,i){i=i&&i.image?i.image:i,o.ready=!0,o.updating=!1;var e=d.now(),a=o.last_update?e-o.last_update:null;o.last_update=e,o.next_update=null;var s=o.data,n=t;o.data=i,o.error=t,u.clearEventually(o.next_update_timer),c.iter(o.promises,function(e){e.asyncCallback(t,i)},this),(!t||t.equals(n))&&l.deepEqual(i,s,10)||c.iter(o.watchers,function(e){e.callback.call(e.context,t,i)},this),null===a?c.iter(o.watchers,function(e){e.weak||(a=null===a?e.initialage:Math.min(e.initialage,a))},this):a*=2,null!==a&&(c.iter(o.watchers,function(e){!e.weak&&e.maxage&&(a=Math.min(a,e.maxage))},this),this.__cacheUpdate(r,e+a))},this)}},cacheInvalidate:function(e){this.__cacheGet(e).ready=!1},cache:function(e,t){var i=this.__cacheGet(e);if((t=c.extend({auth:null,weak:!1,force:!1,age:null},t)).weak&&!i.ready)return s.error(!0);if(i.ready&&!t.force&&(!t.age||now-i.last_update<t.age))return i.data?s.value(i.data):s.error(i.error);t.auth&&(i.auth=t.auth);var a=s.create();return i.promises.push(a),this.__cacheUpdate(e),a},watch:function(e,t,i,a){var s=this.__cacheGet(e);(t=c.extend({auth:null,weak:!1,maxage:null,initialage:1e3},t)).auth&&(s.auth=t.auth),s.watchers[n.objectId(a)]={context:a,callback:i,weak:t.weak,maxage:t.maxage,age:t.initialage},t.weak||this.__cacheUpdate(e,t.initialage+d.now())},unwatch:function(e,t){delete this.__cacheGet(e).watchers[n.objectId(t)]},createByUpload:function(a){return this.create(c.extend(c.clone(a.data,1),{create_stream:!0}),a.auth).mapSuccess(function(e){var t=s.create(),i=this.application.image_streams.dataUploader(e.image.token,e.stream.token,{auth:a.auth,image_data:a.image_data});return a.progress&&i.on("progress",a.progress,a.context),i.on("error",function(e){t.asyncError(e)},this),i.on("success",function(){this.application.image_streams.submit(e.image.token,e.stream.token,null,a.auth,50).forwardCallback(t)},this),i.upload(),t},this)}}}])});

Scoped.define("private:Application.ImageStreamsApiMixin", function(){return{index:function(e,t,i,a){return this.application.connect.apiRequest("/images/"+e+"/streams/",{method:"GET",auth:i,resilience:a,data:t})},destroy:function(e,t,i,a){return this.application.connect.apiRequest("/images/"+e+"/streams/"+t,{method:"DELETE",auth:i,resilience:a})},create:function(e,t,i,a){return this.application.connect.apiRequest("/images/"+e+"/streams",{method:"POST",auth:i,resilience:a,data:t})},confirm:function(e,t,i,a,s){return this.application.connect.apiRequest("/images/"+e+"/streams/"+t+"/submit",{method:"POST",auth:a,resilience:s,data:i})},submit:function(e,t,i,a,s){return this.application.connect.apiRequest("/images/"+e+"/streams/"+t+"/submit",{method:"POST",auth:a,resilience:s,data:i})},get:function(e,t,i,a){return this.application.connect.apiRequest("/images/"+e+"/streams/"+t,{method:"GET",auth:i,resilience:a})},_get_image_upload_urls:function(e,t,i,a,s){return this.application.connect.apiRequest("/images/"+e+"/streams/"+t+"/image-upload-urls",{method:"GET",auth:a,resilience:s,data:i})}}});

Scoped.define("private:Application.ImageStreams", ["base:Class","base:Objs","private:Application.ImageStreamsApiMixin"], function(e,t,i,a){return e.extend({scoped:a},[i,function(t){return{constructor:function(e){t.constructor.call(this),this.application=e},imageUrl:function(e,t,i){var a="images/"+e+"/streams/"+t+"/"+((i=i||{}).download?"download_image.mp4":"image.mp4");return this.application.urls.apiStreamingResourceUrl(a,{auth:i.auth,params:i.params})},webrtcStreamName:function(e,t,i){return"applications___"+this.application.data.get("token")+"___images___"+e+"___streams___"+t+"___image"},dataUploader:function(e,t,i){return this.imageAttachUploader(e,t,i.auth,i.image_data)}}}])});

Scoped.define("private:Application.AnalyticsApiMixin", function(){return{_push:function(e,t,i){return this.application.connect.apiRequest("/scitylana/kcart",{method:"POST",auth:t,resilience:i,data:e})}}});

Scoped.define("private:Application.Analytics", ["base:Class","base:Events.EventsMixin","base:Objs","base:Time","base:Timers.Timer","browser:Info","private:Application.AnalyticsApiMixin","private:Core","private:Environment","private:Logger"], function(e,t,r,o,i,a,s,c,n,d,u){var l=o.now();return e.extend({scoped:u},[t,s,function(t){return{constructor:function(e){t.constructor.call(this),this.application=e,this.__google_analytics_events={},e.data.get("google_analytics")&&(this.__google_analytics_events=r.objectify(e.data.get("google_analytics_track"))),this.__queue=[],this.__trackFailed=0,this.__trackSuccess=0,this.application.data.get("analytics")&&(this.__timer=this.auto_destroy(new i({context:this,fire:this.__pushEvents,delay:5e3})))},_generateEvent:function(e,t,i,a,s,n){return n=n||o.now(),i=i||{},a=a||{},s=s||{},{tokens:r.extend({application_token:this.application.data.get("token")},i),client:{type:"web",version:"v"+c.revision.version+"-"+c.revision.revision,revision:c.revision.revision,sdk_version:e},environment:{location:document.location.href,time:n-l},device:{navigator_appname:navigator.appName,navigator_appcodename:navigator.appCodeName,navigator_appversion:navigator.appVersion,navigator_cookieenabled:navigator.cookieEnabled,navigator_language:navigator.language||navigator.userLanguage||"",navigator_platform:navigator.platform,navigator_useragent:navigator.userAgent,navigator_window_chrome:"chrome"in window,navigator_window_opera:"opera"in window},event:{time:n,type:t,media_time:a.media_time||null,embed_type:a.embed_type||null,data_size:a.data_size||null,bandwidth:a.bandwidth||null},media:{duration:s.duration||null,width:s.width||null,height:s.height||null,tags:s.tags?s.tags.join(","):null,creation_type:s.creation_type||null,hd:s.width&&s.height&&921600<=s.width*s.height}}},track:function(e,t,i,a,s,n){try{var r=this._generateEvent(e,t,i,a,s,n);this.application.data.get("analytics")&&this.__queue.push(r),this.__google_analytics_events[t]&&ga("send","event","Ziggeo",t,"Ziggeo Campaign",a.media_time||s.duration||a.data_size||undefined),this.trigger("track",r)}catch(o){}},userTrack:function(e){this.track("2",e)},__pushEvents:function(){var e;this.application.data.get("analytics")&&0!==this.__queue.length&&(10<this.__trackFailed&&this.__trackSuccess/this.__trackFailed<.5||(e=this.__queue,this.__queue=[],this._push({events:JSON.stringify(e)}).error(function(){this.__trackFailed++,this.__queue=e.concat(this.__queue)},this).success(function(){this.__trackSuccess++},this)))}}}])});

Scoped.define("private:Application.VideoCallsApiMixin", function(){return{create:function(e,t,i){return this.application.connect.apiRequest("/live-calls/",{method:"POST",auth:t,resilience:i,data:e})},sign:function(e,t,i){return this.application.connect.apiRequest("/live-calls/live-calls-sign-request",{method:"POST",auth:t,resilience:i,data:e})},join:function(e,t,i,a){return this.application.connect.apiRequest("/live-calls/"+e+"/join",{method:"POST",auth:i,resilience:a,data:t})},leave:function(e,t,i,a){return this.application.connect.apiRequest("/live-calls/"+e,{method:"POST",auth:i,resilience:a,data:t})},end:function(e,t,i,a){return this.application.connect.apiRequest("/live-calls/"+e,{method:"POST",auth:i,resilience:a,data:t})},update:function(e,t,i,a){return this.application.connect.apiRequest("/live-calls/"+e,{method:"POST",auth:i,resilience:a,data:t})}}});

Scoped.define("private:Application.VideoCalls", ["base:Class","private:Application.VideoCallsApiMixin"], function(e,t,i){return e.extend({scoped:i},[t,function(t){return{constructor:function(e){t.constructor.call(this),this.application=e}}}])});

Scoped.define("module:Application", ["base:Class","base:Objs","base:Events.EventsMixin","base:Events.Events","base:Async","base:Promise","browser:Dom","module:Locale","private:Application.Data","private:Application.Urls","private:Application.Connect","private:Application.Videos","private:Application.Streams","private:Application.Audios","private:Application.AudioStreams","private:Application.Images","private:Application.ImageStreams","private:Application.VideoCalls","private:Application.Analytics","private:Application.Debugger","module:Supplementary"], function(e,i,t,a,s,n,r,o,c,d,u,l,h,p,g,m,_,f,v,y,b,w){o.mainLocale.register({error_503:"We are maintaining our service. We will be back shortly.",error_404:"We cannot recognize your api key. Please make sure to specify it in your website's header.",error_401:"You are not allowed to access the application from this site.",error_412:"You need to confirm / upgrade your account.",error_unknown:"An unknown error occurred. Our team has been notified and will resolve the issue."},"application");var k=e.extend({scoped:w},[t,function(t){return{constructor:function(e){t.constructor.call(this),this.__authCache={},this.data=this.auto_destroy(new c(this,e)),this.data.get("debug")&&(this.debug=this.auto_destroy(new y(this))),this.urls=this.auto_destroy(new d(this)),this.connect=this.auto_destroy(new u(this)),this.videos=this.auto_destroy(new l(this)),this.streams=this.auto_destroy(new h(this)),this.audios=this.auto_destroy(new p(this)),this.audio_streams=this.auto_destroy(new g(this)),this.images=this.auto_destroy(new m(this)),this.image_streams=this.auto_destroy(new _(this)),this.video_calls=this.auto_destroy(new f(this)),this.analytics=this.auto_destroy(new v(this)),this.embed_events=this.auto_destroy(new a),this.embed_events._invokeCallback=b.eventInvokeCallback,this._invokeCallback=b.eventInvokeCallback,this.cls.register(this),this.__init()},destroy:function(){this.cls.unregister(this),t.destroy.call(this)},__init:function(){this.connect.request("session",{method:"POST",params:{noauth:!this.data.get("auth")},resilience:5}).success(function(e){this.data.set("cookie_changed",e.token!==this.data.get("cookie_value")),this.data.set("cookie_value",e.token),this.data.set("testing_application",e.testing_application),this.data.set("ready",!0),this.analytics.track("2","init_application",{}),r.ready(function(){s.eventually(function(){this.persistentTrigger("ready")},this)},this)},this).error(function(e){this.data.set("error",e.status_code());var t=o.mainLocale.get("error_"+e.status_code(),"application");this.data.set("error_message",t||o.mainLocale.get("error_unknown","application")),this.persistentTrigger("error",e.status_code(),this.data.get("error_message"))},this)},authMediaReady:function(e,t,i){if(t&&e){var a=e.client_auth||e.server_auth;if(a&&!this.__authCache[a])return this[i].get(t,{auth:e}).callback(function(){this.__authCache[a]=!0},this)}return n.value(!0)},authVideoReady:function(e,t){return this.authMediaReady(e,t,"videos")},authAudioReady:function(e,t){return this.authMediaReady(e,t,"audios")}}}],{__default:null,__instances:{},__deferred:0,events:new a,setDefault:function(e){this.__default=e,this.events.trigger("set-default",e)},getDefault:function(){return this.__default},getByToken:function(e){return this.__instances[e]},instanceByToken:function(e,t){return this.getByToken(e)||new this(i.extend({token:e},t))},register:function(e){var t=e.data.get("token");if(t in this.__instances)throw"Application Instance already existing for this application token.";this.__instances[t]=e,this.__default||this.setDefault(e)},unregister:function(e){var t=e.data.get("token");this.__instances[t]===e&&delete this.__instances[t],this.getDefault()===e&&this.setDefault(null)},isDeferred:function(){return 0<this.__deferred},defer:function(){this.__deferred++},undefer:function(){this.__deferred--,0===this.__deferred&&this.events.trigger("undefer")},onUndefer:function(e,t){this.isDeferred()?this.events.once("undefer",e,t):e.call(t||this)}});return window.ZiggeoDefer&&k.__deferred++,k});

Scoped.define("private:Dynamics", ["dynamics:DomObserver","dynamics:Parser","dynamics:Registries","base:Async","browser:Dom","module:Application"], function(e,t,i,a,s,n){t.secureMode=!0;var r=new e({allowed_dynamics:["ziggeoplayer","ziggeorecorder","ziggeoaudioplayer","ziggeoaudiorecorder","ziggeoimageviewer","ziggeoimagecapture","ziggeoiframeplayer","ziggeoiframerecorder"],enabled:!(i.prefixes.ziggeo=!0)});return s.ready(function(){a.eventually(function(){n.onUndefer(function(){r.enable()})})}),{domObserver:r}});

Scoped.define("private:ZiggeoDynamicMixin", ["module:Application","base:Types"], function(e,t){return{_obtainApplication:function(){this.get("application")&&(this.application=t.is_string(this.get("application"))?e.instanceByToken(this.get("application")):this.get("application")),this.application=this.application||e.getDefault()},_deferActivate:function(){return this._obtainApplication(),!(this.application||!this.get("lazy-application"))&&(e.events.once("set-default",function(e){this.application=e,this.activate()},this),!0)}}});

Scoped.define("module:AudioPlayer", ["mediacomponents:AudioPlayer.Dynamics.Player","private:Logger","module:Application","base:Types","module:AudioPlayerStates","base:Net.HttpHeader","module:Locale","module:Supplementary","base:Objs","base:Time","base:Promise","base:TimeFormat","private:ZiggeoDynamicMixin"], function(e,i,t,a,s,n,r,o,u,c,d,l,h,p){return e.extend({scoped:p},[h,function(e){return{attrs:{"client-auth":null,"server-auth":null,"intermediate-token":null,audio:null,stream:null,application:null,forcerefresh:!1,pauseonplay:!1},types:{playlist:"array",pauseonplay:"bool","lazy-application":"bool"},create:function(){if(this._invokeCallback=o.eventInvokeCallback,this.get("source")||0<this.get("sources").length)return e.create.call(this);this.set("ready",!1),this.__playlist=this.get("playlist"),this.set("playlist",null),e.create.call(this),this.set("auth",{client_auth:this.get("client-auth"),server_auth:this.get("server-auth"),intermediate_token:this.get("intermediate-token")}),this.set("application_status",null),this.set("audio_status",null)},_notifications:{_activate:"_createWithApplication"},_createWithApplication:function(){var e,t;this._obtainApplication(),this.application?this.application.data.get("auth")||!this.get("client-auth")&&!this.get("server-auth")?(this.application.embed_events.delegateEvents(null,this,null,[this]),this.__playlist&&(this.set("playlist",this.__playlist.map(function(e){return this.__sourceByAudio(e)},this)),e=this.get("playlist")[0],this.set("source",e.source),this.set("audio",e.token),this.on("playlist-next",function(e){this.set("audio",e.token)},this)),t=this.parent()&&this.parent().record!==undefined&&this.parent().host!==undefined,this.listenOn(this.application,"ready",function(){this.application.authAudioReady(this.get("auth"),this.get("audio")).callback(function(){this.set("application_status",!0),this.get("playlist")?(this.__setAudioSources(),this.set("ready",!0)):t?this.application.audios.get(this.get("audio"),{auth:this.get("auth")}).callback(function(e,t){t&&4===t.state?(this.get("source")||this.__setAudioSources(),this.state().next("AudioProcessing")):this.get("source")||this.__setAudioSources(),this.set("ready",!0)},this):(this.get("source")||this.__setAudioSources(),this.set("ready",!0)),this._track("embedding_loaded")},this)},this).listenOn(this.application,"error",function(e,t){this.set("application_status",!1),this.state().next("FatalError",{message:t})},this),this.get("pauseonplay")&&this.application.embed_events.on("playing",function(e){e!==this&&this.get("playing")&&this.execute("pause")},this),this.set("tracktags",this.application.data.get("track_tags"))):i.warn("You are specifying auth tokens on your embedding yet your application is initialized with auth = false."):i.warn("No application (token) defined. We need an application (token) to include an embedding.")},destroy:function(){this.application.embed_events.off(null,null,this),e.destroy.call(this)},events:{"change:audio":function(){var e;this.host&&(this.set("stream",null),e=0<=this.host.state().state_name().indexOf("Error"),this.__setAudioSources(),e&&this.host.next("Initial"))},paused:function(){this._track("audio_play_pause",{media_time:this.get("position")})},playing:function(){this._track("audio_play_playing",{media_time:this.get("position")})},ended:function(){this._track("audio_play_end",{media_time:this.get("duration")})},seek:function(e){this._track("audio_play_seek",{media_time:e})}},__setAudioSources:function(){this.get("audio")&&this.get("application_status")&&(this.get("stream")||this.set("refresh_token",this.application.audios.refreshToken(this.get("audio"))),this.__setSources(),this.application.audios.cache(this.get("audio"),{auth:this.get("auth")}).callback(this.__audioUpdate,this),this.get("ready")&&this.reattachAudio())},__sourceByAudio:function(t,e){var i=this.get("audio_data");i&&i.duration&&this.set("duration",i.duration);var a=u.filter(i&&i.streams?i.streams:[],function(e){return(e.token===i.original_stream.token||e.parent_stream===i.original_stream.token)&&5===e.state&&3===e.streamable},this);if(this.get("playlist")&&(a=[],e=null),e||a.length<2){var s=e?this.application.audio_streams:this.application.audios,n=[t];return e&&n.push(e),n.push({auth:this.get("auth"),params:{force_refresh:this.get("forcerefresh")}}),{source:s.audioUrl.apply(s,n),token:t}}var r=[],o=[],c={force_refresh:this.get("forcerefresh"),auth:this.get("auth")};u.iter(a,function(e){r.push({src:this.application.audio_streams.audioUrl(t,e.token,c),token:e.token}),o.push({filter:{token:e.token}})},this);var d=o[0];return{source:null,sources:r,streams:o,currentstream:d,token:t}},__setSources:function(){this.setAll(this.__sourceByAudio(this.get("audio"),this.get("stream")))},__audioUpdate:function(e,t){if(!this.destroyed())if(e)this.set("audio_status",!1),e.status_code()===n.HTTP_STATUS_NOT_FOUND?this.state().next("FatalError",{message:this.string("audio-not-found")}):e.status_code()===n.HTTP_STATUS_FORBIDDEN?this.state().next("FatalError",{message:this.string("audio-access-forbidden")}):this.state().next("LoadError");else{if(this.set("audio_data",t),this.get("title")||this.set("title",t.title),this.set("totalduration",t.duration),!1===t.approved&&!this.get("intermediate-token"))return void this.state().next("FatalError",{message:t.moderation_reason||this.string("audio-rejected")});if(t.state<4)return void this.state().next("FatalError",{message:this.string("audio-unknown-error")});if(this.set("audio_status",!0),4===t.state)return void("AudioProcessing"!==this.state().state_name()&&this.state().next("AudioProcessing"));if("AudioProcessing"===this.state().state_name())return this.set("refresh_token",this.application.audios.refreshToken(this.get("audio"))),this.set("forcerefresh",c.now()),this.__setSources(),void this.state().next("LoadPlayer");if(!this.get("stream")&&!this.get("refresh_token")&&this.application.audios.refreshToken(this.get("audio")))return this.set("refresh_token",this.application.audios.refreshToken(this.get("audio"))),this.__setSources(),void this.state().next("LoadPlayer");this.__setSources()}},_track:function(e,t,i){var a,s;this.application&&(a=c.now(),(s=d.create()).success(function(){this.application.analytics.track("2",e,{audio_token:this.get("audio_data").token,stream_token:this.get("stream")?this.get("stream"):undefined},u.extend({embed_type:"player"},t),u.extend({duration:this.get("audio_data").duration||this.get("duration"),tags:this.get("audio_data").tags},i),a)},this),this.get("audio_data")?s.asyncSuccess():this.once("change:audio_data",function(){s.asyncSuccess()},this))}}}],function(e){return{playerStates:function(){return e.playerStates.call(this).concat([s])}}}).register("ba-ziggeoaudioplayer").register("ziggeoaudioplayer").attachStringTable(r.mainLocale).addStrings({"audio-not-found":"We could not find the specified audio file.","audio-access-forbidden":"You are not permitted to access this audio file.","audio-unknown-error":"We cannot access this audio at the moment. Please try again later.","audio-rejected":"The audio has been rejected.","audio-processing":"The audio is processing - stay tuned.","audio-access-error":"The audio is currently under moderation. You may click to retry."})});

Scoped.define("module:PopupAudioPlayer", ["module:AudioPlayer","mediacomponents:PopupHelper"], function(e,t,i){return e.extend({scoped:i},t.mixin)});

Scoped.define("module:AudioRecorder", ["mediacomponents:AudioRecorder.Dynamics.Recorder","module:Application","module:Device","private:Logger","private:Environment","module:AudioRecorderStates","base:Types","base:MediaTypes","base:Time","base:Strings","module:Locale","module:Supplementary","base:Objs","base:Promise","base:Async","browser:Events","browser:Info","private:ZiggeoDynamicMixin"], function(e,i,a,s,t,n,r,o,c,d,u,l,h,p,g,m,_,f,v){return e.extend({scoped:v},[f,function(t){return{template:t.template.replace('"overlay">','"overlay"><a class="ziggeo-v2-testing" ba-if="{{testing}}" href="https://ziggeo.com/pricing" target="_blank"></a>'),attrs:{dynaudioplayer:"ziggeoaudioplayer","audio-profile":null,"meta-profile":null,"client-auth":null,"server-auth":null,"intermediate-token":null,application:null,audio:null,description:null,title:null,tags:null,"custom-data":null,key:null,"expiration-days":null,"force-overwrite":null,"recover-streams":null,"input-bind":null,"form-accept":null,playermodeifexists:!1,rerecordableifexists:!1},types:{tags:"array","custom-data":"object","expiration-days":"int","delete-old-streams":"bool","force-overwrite":"bool","recover-streams":"bool","lazy-application":"bool",playermodeifexists:"bool",rerecordableifexists:"bool"},events:{rerecord:function(){this.__inputBindElement&&(this.__inputBindElement.value=""),this.get("form-accept")&&this._formAcceptEvents.on(document.querySelector(this.get("form-accept")),"submit",function(e){e.preventDefault()})},processed:function(){this.__had_processed=!0}},create:function(){this._invokeCallback=l.eventInvokeCallback,this.set("ready",!1),t.create.call(this),this.get("audio")&&!this.get("key")&&d.starts_with(this.get("audio"),"_")&&this.set("key",d.strip_start(this.get("audio"),"_")),this.get("simulate")&&this.set("localplayback",!0),this.set("auth",{client_auth:this.get("client-auth"),server_auth:this.get("server-auth"),intermediate_token:this.get("intermediate-token")}),this.set("application_status",null),this.__hadInitialaudio=!!this.get("audio"),this.get("audio")||(this.set("playermodeifexists",!1),this.set("rerecordableifexists",!1),this.get("form-accept")&&(this._formAcceptEvents=this.auto_destroy(new m),this._formAcceptEvents.on(document.querySelector(this.get("form-accept")),"submit",function(e){e.preventDefault()}))),this.on("rerecord",function(){this._track("rerecord_confirm")},this),this.__had_processed=!1,this.scopes.player.on("change:audio_data",function(e){this.set("audio_data",e);var t=e.streams.find(function(e){return e.token===this.get("stream")},this);t&&this.set("stream_data",t)},this)},_notifications:{_activate:"_createWithApplication"},_deferActivate:function(){if(this._obtainApplication(),(this.application||!this.get("lazy-application"))&&!this.get("playermodeifexists")&&!this.get("rerecordableifexists"))return!1;var t=p.create();return this.application?t.asyncSuccess(!0):i.events.once("set-default",function(e){this.application=e,t.asyncSuccess(!0)},this),(this.get("playermodeifexists")||this.get("rerecordableifexists"))&&(t=t.mapSuccess(function(t){return this.application.audios.get(this.get("audio")||(this.get("key")?"_"+this.get("key"):null),{auth:this.get("auth")}).success(function(e){return e&&"EMPTY"!==e.state_string&&(this.get("playermodeifexists")&&this.set("recordermode",!1),this.get("rerecordableifexists")||this.set("rerecordable",!1)),!this.get("audio")&&this.get("key")&&this.set("audio","_"+this.get("key")),this.set("playermodeifexists",!1),this.set("rerecordableifexists",!1),t},this)},this).mapError(function(e){return this.get("audio")&&404===e.status_code()&&this.set("audio",null),this.set("playermodeifexists",!1),this.set("rerecordableifexists",!1),p.value(!0)},this)),t.success(this.activate,this),!0},_createWithApplication:function(){this._obtainApplication(),this.application?this.application.data.get("auth")||!this.get("client-auth")&&!this.get("server-auth")?(this.application.embed_events.delegateEvents(null,this,null,[this]),this.application.on("ready",function(){this.set("application_status",!0),this.set("ready",!0),this.set("testing",this.application.data.get("testing_application"))},this).on("error",function(e,t){this.set("application_status",!1),this.state().next("FatalError",{message:t})},this),this.set("playerattrs",{application:this.application,"client-auth":this.get("client-auth"),"server-auth":this.get("server-auth"),"intermediate-token":this.get("intermediate-token"),audio:this.get("audio"),"force-refresh":c.now()}),this._track("audio_embedding_loaded"),this.set("webrtcstreaming",this.application.data.get("webrtc_streaming")),this.set("webrtcstreamingifnecessary",this.application.data.get("webrtc_streaming_if_necessary")),this.set("webrtconmobile",this.application.data.get("webrtc_on_mobile")),_.isSafari()&&_.isDesktop()&&!this.get("webrtcstreaming")&&!this.get("webrtcstreamingifnecessary")&&this.set("webrtcstreamingifnecessary",!0),!this.get("webrtcstreaming")&&!this.get("webrtcstreamingifnecessary")||this.get("timeminlimit")||this.set("timeminlimit",5),this._updateUrls()):s.warn("You are specifying auth tokens on your embedding yet your application is initialized with auth = false."):s.warn("No application (token) defined. We need an application (token) to include an embedding.")},_track:function(e,t,i){this.application.analytics.track("2",e,{audio_token:this.get("audio"),stream_token:this.get("stream")},h.extend({embed_type:this.__hadInitialaudio?"rerecorder":"recorder"},t),h.extend({creation_type:this.get("creation-type"),duration:this.get("duration"),tags:this.get("tags")},i))},functions:{reset:function(){this.get("audio")&&!this.__hadInitialaudio&&this.set("audio",null),this.__had_processed=!1,t.functions.reset.call(this)},ready_to_play:function(){this.__had_processed||(this.trigger("processing",1),this.trigger("processed")),t.functions.ready_to_play.call(this)}},_updateUrls:function(e){this.set("playerattrs.audio",this.get("audio")),this.set("uploadoptions",{webrtcStreaming:{wssUrl:this.get("webrtcstreaming")||this.get("webrtcstreamingifnecessary")?this.application.urls.wssUrl():undefined,streamInfo:this.get("webrtcstreaming")||this.get("webrtcstreamingifnecessary")?{applicationName:this.application.urls.webrtcStreamingApp(_.isFirefox()?"udp":""),streamName:this.application.streams.webrtcStreamName(this.get("audio"),this.get("stream"),this.get("auth"))}:undefined,delay:4750,stopDelay:2750},audio:e?h.extend({resilienceCheck:function(e){return!e||!e.duration}},this.application.data.getSignedUploaderConfig(e.url,e.fields)):undefined})},__createParams:function(){var e={};try{var t=this.activeElement().cloneNode();t.innerHTML="",e=t.outerHTML}catch(i){}return{description:this.get("description"),title:this.get("title"),tags:this.get("tags")?this.get("tags").join(","):undefined,data:this.get("custom-data")?JSON.stringify(this.get("custom-data")):undefined,key:this.get("key"),expiration_days:this.get("expiration-days"),delete_old_streams:this.get("delete-old-streams"),force_overwrite:this.get("force-overwrite"),audio_profile:this.get("audio-profile"),meta_profile:this.get("meta-profile"),enforce_duration:this.get("enforce-duration"),recover_streams:this.get("recover-streams"),max_duration:this.get("timelimit"),user_language:navigator.language||navigator.userLanguage,audio_file_name:this._audioFileName,device_info:h.extend({api_version:2,embed_code:e,media_source:this.__getMediaSource(),capture_type:this.__getCaptureType()},a.info)}},__recordingTypeParams:function(){var e={create_stream:!0};if(this.recorder){try{var t=this.recorder._recorder._recorder._mediaRecorder.mimeType;t&&h.extend(e,{audio_type:o.getExtension(t)})}catch(i){}return h.extend(e,{webrtc_recording:!0,webrtc_streaming:this.isWebrtcStreaming()})}return this._audioFile&&h.extend(e,{audio_type:d.last_after(this._audioFile.name,".")}),e},__getMediaSource:function(){return this.__recordingTypeParams().webrtc_recording?"record":"upload"},__getCaptureType:function(){var e=this.__recordingTypeParams();return e.webrtc_streaming?"webrtc_streaming":e.webrtc_recording?"webrtc":"file_capture"},_prepareRecording:function(){return this.get("audio")?this.application.audio_streams.create(this.get("audio"),this.__recordingTypeParams(),this.get("auth"),5).mapSuccess(function(e){this.set("stream",e.audio_stream.token),this.set("stream_data",e.audio_stream),this._updateUrls(e.url_data)},this):this.application.audios.create(h.extend(this.__createParams(),this.__recordingTypeParams()),this.get("auth"),5).mapSuccess(function(e){this.set("audio",e.audio.token),this.set("audio_data",e.audio),this.set("stream",e.audio_stream.token),this.set("stream_data",e.audio_stream),this._updateUrls(e.url_data)},this)},_verifyRecording:function(){var e=p.create();return g.eventually(function(){this.get("audio")&&(this.get("simulate")?p.value(!0):this.application.audio_streams.confirm(this.get("audio"),this.get("stream"),{duration:this.get("duration")},this.get("auth"),50)).success(function(){this.__inputBindElement&&(this.__inputBindElement.value=this.get("audio")),this.get("form-accept")&&this._formAcceptEvents.off(document.querySelector(this.get("form-accept")),"submit"),this.application.audios.cacheInvalidate(this.get("audio"))},this).forwardCallback(e)},this,2500),e},_afterActivate:function(e){t._afterActivate.apply(this,arguments),this.get("input-bind")&&(this.__inputBindElement=document.getElementsByName(this.get("input-bind"))[0],this.__inputBindElement||(this.__inputBindElement=document.createElement("input"),this.__inputBindElement.type="hidden",this.__inputBindElement.id=this.get("input-bind"),this.__inputBindElement.name=this.get("input-bind"),e.parentElement.appendChild(this.__inputBindElement)),this.get("audio")&&(this.__inputBindElement.value=this.get("audio")))}}}],function(e){return{recorderStates:function(){return e.recorderStates.call(this).concat([n])}}}).register("ba-ziggeoaudiorecorder").register("ziggeoaudiorecorder").registerFunctions({testing:function(e){return e.testing}}).attachStringTable(u.mainLocale).addStrings({})});

Scoped.define("module:PopupAudioRecorder", ["module:AudioRecorder","mediacomponents:PopupHelper"], function(e,t,i){return e.extend({scoped:i},t.mixin)});

Scoped.define("module:IframePlayer", ["mediacomponents:IframeHelper","private:Core","private:ZiggeoDynamicMixin"], function(e,t,i,a){return e.extend({scoped:a},[i,{getAllowModifiers:function(){return t.video.iframe["allow-player-mods"]},getSrc:function(){return this.application.videos.iframeVideoUrl(this.get("video"))}}]).register("ba-ziggeoiframeplayer").register("ziggeoiframeplayer")});

Scoped.define("module:IframeRecorder", ["mediacomponents:IframeHelper","private:Core","private:ZiggeoDynamicMixin"], function(e,t,i,a){return e.extend({scoped:a},[i,{getAllowModifiers:function(){return t.video.iframe["allow-recorder-mods"]},getSrc:function(){return this.application.videos.iframeRecorderUrl()}}]).register("ba-ziggeoiframerecorder").register("ziggeoiframerecorder")});

Scoped.define("module:ImageCapture", ["mediacomponents:ImageCapture.Dynamics.Recorder","module:Application","module:Device","private:Logger","private:Environment","module:ImageRecorderStates","base:Types","base:Time","base:Strings","module:Locale","module:Supplementary","base:Objs","base:Promise","base:Async","browser:Events","browser:Info","private:ZiggeoDynamicMixin"], function(e,i,a,s,t,n,r,o,c,d,u,l,h,p,g,m,_,f){return e.extend({scoped:f},[_,function(t){return{template:t.template.replace('"overlay">','"overlay"><a class="ziggeo-v2-testing" ba-if="{{testing}}" href="https://ziggeo.com/pricing" target="_blank"></a>'),attrs:{dynimageviewer:"ziggeoimageviewer","effect-profile":null,"preview-effect-profile":null,"image-profile":null,"meta-profile":null,"client-auth":null,"server-auth":null,"intermediate-token":null,application:null,image:null,description:null,title:null,tags:null,"custom-data":null,key:null,"auto-crop":null,"auto-pad":null,"expiration-days":null,"force-overwrite":null,"recover-streams":null,"input-bind":null,"form-accept":null,playermodeifexists:!1,rerecordableifexists:!1},types:{tags:"array","custom-data":"object","auto-crop":"bool","auto-pad":"bool","expiration-days":"int","delete-old-streams":"bool","force-overwrite":"bool","recover-streams":"bool","effect-profile":"array","lazy-application":"bool",playermodeifexists:"bool",rerecordableifexists:"bool"},events:{rerecord:function(){this.__inputBindElement&&(this.__inputBindElement.value=""),this.get("form-accept")&&this._formAcceptEvents.on(document.querySelector(this.get("form-accept")),"submit",function(e){e.preventDefault()})},processed:function(){this.__had_processed=!0}},create:function(){this._invokeCallback=u.eventInvokeCallback,this.set("ready",!1),t.create.call(this),this.get("image")&&!this.get("key")&&c.starts_with(this.get("image"),"_")&&this.set("key",c.strip_start(this.get("image"),"_")),this.get("simulate")&&this.set("localplayback",!0),r.is_string(this.get("effect-profile"))&&this.set("effect-profile",r.parseArray(this.get("effect-profile"))),this.set("auth",{client_auth:this.get("client-auth"),server_auth:this.get("server-auth"),intermediate_token:this.get("intermediate-token")}),this.set("application_status",null),this.__hadInitialimage=!!this.get("image"),this.get("image")||(this.set("playermodeifexists",!1),this.set("rerecordableifexists",!1),this.get("form-accept")&&(this._formAcceptEvents=this.auto_destroy(new g),this._formAcceptEvents.on(document.querySelector(this.get("form-accept")),"submit",function(e){e.preventDefault()}))),this.on("rerecord",function(){this._track("rerecord_confirm")},this),this.__had_processed=!1,this.scopes.player.on("change:image_data",function(e){this.set("image_data",e);var t=e.streams.find(function(e){return e.token===this.get("stream")},this);t&&this.set("stream_data",t)},this)},_notifications:{_activate:"_createWithApplication"},_deferActivate:function(){if(this._obtainApplication(),(this.application||!this.get("lazy-application"))&&!this.get("playermodeifexists")&&!this.get("rerecordableifexists"))return!1;var t=h.create();return this.application?t.asyncSuccess(!0):i.events.once("set-default",function(e){this.application=e,t.asyncSuccess(!0)},this),(this.get("playermodeifexists")||this.get("rerecordableifexists"))&&(t=t.mapSuccess(function(t){return this.application.images.get(this.get("image")||(this.get("key")?"_"+this.get("key"):null),{auth:this.get("auth")}).success(function(e){return e&&"EMPTY"!==e.state_string&&(this.get("playermodeifexists")&&this.set("recordermode",!1),this.get("rerecordableifexists")||this.set("rerecordable",!1)),!this.get("image")&&this.get("key")&&this.set("image","_"+this.get("key")),this.set("playermodeifexists",!1),this.set("rerecordableifexists",!1),t},this)},this).mapError(function(e){return this.get("image")&&404===e.status_code()&&this.set("image",null),this.set("playermodeifexists",!1),this.set("rerecordableifexists",!1),h.value(!0)})),t.success(this.activate,this),!0},_createWithApplication:function(){this._obtainApplication(),this.application?this.application.data.get("auth")||!this.get("client-auth")&&!this.get("server-auth")?(this.application.embed_events.delegateEvents(null,this,null,[this]),this.application.on("ready",function(){this.set("application_status",!0),this.set("ready",!0),this.set("testing",this.application.data.get("testing_application"))},this).on("error",function(e,t){this.set("application_status",!1),this.state().next("FatalError",{message:t})},this),this.set("playerattrs",{application:this.application,"effect-profile":this.get("preview-effect-profile"),"client-auth":this.get("client-auth"),"server-auth":this.get("server-auth"),"intermediate-token":this.get("intermediate-token"),image:this.get("image"),"force-refresh":o.now()}),this._track("image_embedding_loaded"),this._updateUrls()):s.warn("You are specifying auth tokens on your embedding yet your application is initialized with auth = false."):s.warn("No application (token) defined. We need an application (token) to include an embedding.")},_track:function(e,t,i){this.application.analytics.track("2",e,{image_token:this.get("image"),stream_token:this.get("stream")},l.extend({embed_type:this.__hadInitialimage?"rerecorder":"recorder"},t),l.extend({creation_type:this.get("creation-type"),width:this.get("recordingwidth"),height:this.get("recordingheight"),tags:this.get("tags")},i))},functions:{reset:function(){this.get("image")&&!this.__hadInitialimage&&this.set("image",null),this.__had_processed=!1,t.functions.reset.call(this)},ready_to_play:function(){this.__had_processed||(this.trigger("processing",1),this.trigger("processed")),t.functions.ready_to_play.call(this)}},_updateUrls:function(){this.set("playerattrs.image",this.get("image")),this.set("uploadoptions",{image:this.application.image_streams.attachUploaderConfig(this.get("image"),this.get("stream"),this.get("auth"))})},_readDeviceOrientation:function(){return window.orientation+90||undefined},__createParams:function(){var e={};try{var t=this.activeElement().cloneNode();t.innerHTML="",e=t.outerHTML}catch(i){}return{description:this.get("description"),title:this.get("title"),tags:this.get("tags")?this.get("tags").join(","):undefined,data:this.get("custom-data")?JSON.stringify(this.get("custom-data")):undefined,key:this.get("key"),auto_crop:this.get("auto-crop"),auto_pad:this.get("auto-pad"),expiration_days:this.get("expiration-days"),delete_old_streams:this.get("delete-old-streams"),effect_profile:this.get("effect-profile")?this.get("effect-profile").join(","):undefined,force_overwrite:this.get("force-overwrite"),image_profile:this.get("image-profile"),meta_profile:this.get("meta-profile"),recover_streams:this.get("recover-streams"),user_language:navigator.language||navigator.userLanguage,image_file_name:this._imageFileName,device_info:l.extend({api_version:2,embed_code:e},a.info)}},_prepareRecording:function(){return this._requiresDeviceOrientation=m.isMobile()&&m.isiOS()&&window.orientation!==undefined&&this.recorder,this.get("image")?this.application.image_streams.create(this.get("image"),{},this.get("auth")).mapSuccess(function(e){this.set("stream",e.token),this.set("stream_data",e),this._updateUrls()},this):this.application.images.create(l.extend(this.__createParams(),{}),this.get("auth")).mapSuccess(function(e){this.set("image",e.image.token),this.set("image_data",e.image),this.set("stream",e.stream.token),this.set("stream_data",e.stream),this._updateUrls()},this)},_verifyRecording:function(){var e=h.create();return p.eventually(function(){this.get("image")&&(this.get("simulate")?h.value(!0):this.application.streams._recorder_submit(this.get("image"),this.get("stream"),{rotation:this._requiresDeviceOrientation?this._readDeviceOrientation():undefined},this.get("auth"),50)).success(function(){this.__inputBindElement&&(this.__inputBindElement.value=this.get("image")),this.get("form-accept")&&this._formAcceptEvents.off(document.querySelector(this.get("form-accept")),"submit"),this.application.images.cacheInvalidate(this.get("image"))},this).forwardCallback(e)},this,2500),e},_afterActivate:function(e){t._afterActivate.apply(this,arguments),this.get("input-bind")&&(this.__inputBindElement=document.getElementsByName(this.get("input-bind"))[0],this.__inputBindElement||(this.__inputBindElement=document.createElement("input"),this.__inputBindElement.type="hidden",this.__inputBindElement.id=this.get("input-bind"),this.__inputBindElement.name=this.get("input-bind"),e.parentElement.appendChild(this.__inputBindElement)),this.get("image")&&(this.__inputBindElement.value=this.get("image")))}}}],function(e){return{recorderStates:function(){return e.recorderStates.call(this).concat([n])}}}).register("ba-ziggeoimagecapture").register("ziggeoimagecapture").registerFunctions({testing:function(e){return e.testing}}).attachStringTable(d.mainLocale).addStrings({})});

Scoped.define("module:PopupImageCapture", ["module:ImageCapture","mediacomponents:PopupHelper"], function(e,t,i){return e.extend({scoped:i},t.mixin)});

Scoped.define("module:ImageViewer", ["mediacomponents:ImageViewer.Dynamics.ImageViewer","private:Logger","module:Application","base:Types","base:Net.HttpHeader","module:Locale","module:Supplementary","base:Objs","base:Time","base:Promise","base:TimeFormat","private:ZiggeoDynamicMixin"], function(e,t,i,a,s,n,r,u,o,c,d,l,h){return e.extend({scoped:h},[l,function(e){return{attrs:{"stream-width":null,"stream-height":null,"effect-profile":null,"client-auth":null,"server-auth":null,"intermediate-token":null,image:null,stream:null,application:null,forcerefresh:!1},types:{"lazy-application":"bool"},create:function(){if(this._invokeCallback=r.eventInvokeCallback,this.get("source")||0<this.get("sources").length)return e.create.call(this);this.set("ready",!1),this.get("effect-profile")&&a.is_array(this.get("effect-profile"))&&this.set("effect-profile",this.get("effect-profile")[0]),e.create.call(this),this.set("auth",{client_auth:this.get("client-auth"),server_auth:this.get("server-auth"),intermediate_token:this.get("intermediate-token")}),this.set("application_status",null),this.set("image_status",null)},_notifications:{_activate:"_createWithApplication"},_obtainApplication:function(){this.get("application")&&(this.application=a.is_string(this.get("application"))?i.instanceByToken(this.get("application")):this.get("application")),this.application=this.application||i.getDefault()},_createWithApplication:function(){this._obtainApplication(),this.application?this.application.data.get("auth")||!this.get("client-auth")&&!this.get("server-auth")?(this.application.embed_events.delegateEvents(null,this,null,[this]),this.application.on("ready",function(){this.set("application_status",!0),this.get("source")||this.__setImageSources(),this.set("ready",!0),this._track("image_embedding_loaded")},this).on("error",function(e,t){this.set("application_status",!1),this.state().next("FatalError",{message:t})},this)):t.warn("You are specifying auth tokens on your embedding yet your application is initialized with auth = false."):t.warn("No application (token) defined. We need an application (token) to include an embedding.")},destroy:function(){this.application.embed_events.off(null,null,this),e.destroy.call(this)},events:{"change:image":function(){this.set("stream",null),this.__setImageSources()}},__setImageSources:function(){this.get("image")&&this.get("application_status")&&(this.set("shareimageurl",this.application.images.publicImageUrl(this.get("image")).replace("http://","https://")),this.get("stream")||this.set("refresh_token",this.application.images.refreshToken(this.get("image"))),this.__setSources(),this.application.images.cache(this.get("image"),{auth:this.get("auth")}).callback(this.__imageUpdate,this),this.get("ready")&&this.reattachImage())},__sourceByImage:function(t,e){var i=this.get("image_data"),a=u.filter(i&&i.streams?i.streams:[],function(e){return!(e.token!==i.original_stream.token&&e.parent_stream!==i.original_stream.token||5!==e.state||3!==e.streamable||this.get("effect-profile")&&e.effect_profile!==this.get("effect-profile"))},this);if(e||this.get("stream-width")||this.get("stream-height")||a.length<2){var s=e?this.application.image_streams:this.application.images,n=[t];return e&&n.push(e),n.push({auth:this.get("auth"),params:{stream_width:this.get("stream-width"),stream_height:this.get("stream-height"),effect_profile:this.get("effect-profile"),force_refresh:this.get("forcerefresh")}}),{source:s.imageUrl.apply(s,n),token:t}}var r=[],o=[],c={effect_profile:this.get("effect-profile"),force_refresh:this.get("forcerefresh"),auth:this.get("auth")};u.iter(a,function(e){r.push({src:this.application.image_streams.imageUrl(t,e.token,c),token:e.token}),o.push({width:e.image_width,height:e.image_height,filter:{token:e.token}})},this);var d=o[0];return{source:null,sources:r,streams:o,currentstream:d,token:t}},__setSources:function(){this.setAll(this.__sourceByImage(this.get("image"),this.get("stream")))},__imageUpdate:function(e,t){if(!this.destroyed())if(e)this.set("image_status",!1),e.status_code()===s.HTTP_STATUS_NOT_FOUND?this.state().next("FatalError",{message:this.string("image-not-found")}):e.status_code()===s.HTTP_STATUS_FORBIDDEN?this.state().next("FatalError",{message:this.string("image-access-forbidden")}):this.state().next("FatalError",{message:this.string("image-unknown-error")});else{if(this.set("image_data",t),this.get("title")||this.set("title",t.title),this.set("totalduration",t.duration),!1===t.approved&&!this.get("intermediate-token"))return void this.state().next("FatalError",{message:t.moderation_reason||this.string("image-rejected")});if(t.state<4)return void this.state().next("FatalError",{message:this.string("image-unknown-error")});if(this.set("image_status",!0),4===t.state)return void("ImageProcessing"!==this.state().state_name()&&this.state().next("ImageProcessing"));if(this.get("effect-profile")){var i=!1;if(u.iter(t.streams,function(e){e.effect_profile===this.get("effect-profile")&&4<e.state&&(i=!0)},this),!i)return void("ImageProcessing"!==this.state().state_name()&&this.state().next("ImageProcessing"));if("ImageProcessing"===this.state().state_name())return this.set("forcerefresh",o.now()),this.__setSources(),void this.state().next("LoadPlayer")}if("ImageProcessing"===this.state().state_name())return this.set("refresh_token",this.application.images.refreshToken(this.get("image"))),this.set("forcerefresh",o.now()),this.__setSources(),void this.state().next("LoadPlayer");if(!this.get("stream")&&!this.get("refresh_token")&&this.application.images.refreshToken(this.get("image")))return this.set("refresh_token",this.application.images.refreshToken(this.get("image"))),this.__setSources(),void this.state().next("LoadPlayer");this.__setSources()}},_track:function(e,t,i){var a,s;this.application&&(a=o.now(),(s=c.create()).success(function(){this.application.analytics.track("2",e,{image_token:this.get("image_data").token,stream_token:this.get("stream")?this.get("stream"):undefined},u.extend({embed_type:"player"},t),u.extend({width:this.get("stream")?this.get("stream").width:this.imageWidth(),height:this.get("stream")?this.get("stream").height:this.imageHeight(),tags:this.get("image_data").tags},i),a)},this),this.get("image_data")?s.asyncSuccess():this.once("change:image_data",function(){s.asyncSuccess()},this))}}}]).register("ba-ziggeoimageviewer").register("ziggeoimageviewer").attachStringTable(n.mainLocale).addStrings({"image-not-found":"We could not find the specified image file.","image-access-forbidden":"You are not permitted to access this image file.","image-unknown-error":"We cannot access this image at the moment. Please try again later.","image-rejected":"The image has been rejected.","image-processing":"The image is processing - stay tuned.","image-access-error":"The image is currently under moderation. You may click to retry."})});

Scoped.define("module:PopupImageViewer", ["module:ImageViewer","mediacomponents:PopupHelper"], function(e,t,i){return e.extend({scoped:i},t.mixin)});

Scoped.define("module:Player", ["mediacomponents:VideoPlayer.Dynamics.Player","private:Logger","module:Application","base:Types","module:PlayerStates","base:Net.HttpHeader","module:Locale","module:Supplementary","base:Objs","base:Time","base:Promise","base:TimeFormat","private:ZiggeoDynamicMixin"], function(e,i,t,a,s,o,n,r,l,c,d,u,h,p){return e.extend({scoped:p},[h,function(e){return{attrs:{"stream-width":null,"stream-height":null,"effect-profile":null,"client-auth":null,"server-auth":null,"intermediate-token":null,video:null,stream:null,application:null,forcerefresh:!1,pauseonplay:!1,"audio-transcription-as-subtitles":!1},types:{playlist:"array",pauseonplay:"bool","lazy-application":"bool","audio-transcription-as-subtitles":"bool"},create:function(){if(this._invokeCallback=r.eventInvokeCallback,this.get("source")||0<this.get("sources").length)return e.create.call(this);this.set("ready",!1),this.__playlist=this.get("playlist"),this.set("playlist",null),this.get("effect-profile")&&a.is_array(this.get("effect-profile"))&&this.set("effect-profile",this.get("effect-profile")[0]),e.create.call(this),this.set("auth",{client_auth:this.get("client-auth"),server_auth:this.get("server-auth"),intermediate_token:this.get("intermediate-token")}),this.set("application_status",null),this.set("video_status",null)},_notifications:{_activate:"_createWithApplication"},_createWithApplication:function(){var e,t;this._obtainApplication(),this.application?this.application.data.get("auth")||!this.get("client-auth")&&!this.get("server-auth")?(this.application.embed_events.delegateEvents(null,this,null,[this]),this.__playlist&&(this.set("playlist",this.__playlist.map(function(e){return this.__sourceByVideo(e)},this)),e=this.get("playlist")[0],this.set("poster",e.poster),this.set("source",e.source),this.set("video",e.token),this.on("playlist-next",function(e){this.set("video",e.token)},this)),t=this.parent()&&this.parent().record!==undefined&&this.parent().host!==undefined&&!this.get("postersource"),this.listenOn(this.application,"ready",function(){this.application.authVideoReady(this.get("auth"),this.get("video")).callback(function(){this.set("application_status",!0),this.get("playlist")?(this.__setVideoSources(),this.set("ready",!0)):t?this.application.videos.get(this.get("video"),{auth:this.get("auth")}).callback(function(e,t){t&&4===t.state&&!this.get("localplayback")?(this.get("source")||this.__setVideoSources(),this.state().next("VideoProcessing")):this.get("source")||this.__setVideoSources(),this.set("ready",!0)},this):(this.get("source")||this.__setVideoSources(),this.set("ready",!0)),this._track("embedding_loaded")},this)},this).listenOn(this.application,"error",function(e,t){this.set("application_status",!1),this.state().next("FatalError",{message:t})},this),this.get("pauseonplay")&&this.application.embed_events.on("playing",function(e){e!==this&&this.get("playing")&&this.execute("pause")},this),this.set("tracktags",this.application.data.get("track_tags"))):i.warn("You are specifying auth tokens on your embedding yet your application is initialized with auth = false."):i.warn("No application (token) defined. We need an application (token) to include an embedding.")},destroy:function(){this.application.embed_events.off(null,null,this),e.destroy.call(this)},getSubtitle:function(){var e=this.get("video_data").streams[0].audio_transcription;return!!e&&this.__audioTranscriptionToVTT(e.words,e.times)},events:{"change:video":function(){var e;this.host&&(this.set("stream",null),e=0<=this.host.state().state_name().indexOf("Error"),this.__setVideoSources(),e&&this.host.next("Initial"))},paused:function(){this._track("play_pause",{media_time:this.get("position")})},playing:function(){this._track("play_playing",{media_time:this.get("position")})},ended:function(){this._track("play_end",{media_time:this.get("duration")})},seek:function(e){this._track("play_seek",{media_time:e})}},__setShareVideoUrl:function(e){this.set("sharevideourl",this.application.videos.iframeVideoUrl(e).replace("http://","https://"))},__setVideoSources:function(){this.get("video")&&this.get("application_status")&&(this.__setShareVideoUrl(this.get("video")),this.get("stream")||this.set("refresh_token",this.application.videos.refreshToken(this.get("video"))),this.__setSources(),this.application.videos.cache(this.get("video"),{auth:this.get("auth")}).callback(this.__videoUpdate,this),this.get("ready")&&this.reattachVideo())},__sourceByVideo:function(t,e){var i=this.get("video_data");i&&null!==i.title&&this.set("posteralt",i.title),i&&i.duration&&i.duration&&this.set("duration",i.duration),i&&i.description&&this.set("description",i.description),i&&("undefined"!=typeof i.created&&this.set("uploaddate",i.created),"undefined"!=typeof i.embed_image_url&&this.set("thumbnailurl","https://"+i.embed_image_url),"undefined"!=typeof i.embed_video_url&&this.set("contenturl","https://"+i.embed_video_url));var a=this.get("effect-profile");i&&i.default_stream&&i.default_stream.effect_profile&&!this.get("effect-profile")&&(a=i.default_stream.effect_profile);var s=l.filter(i&&i.streams?i.streams:[],function(e){return!(e.token!==i.original_stream.token&&e.parent_stream!==i.original_stream.token||5!==e.state||3!==e.streamable||(a||e.effect_profile)&&e.effect_profile!==a)},this);if(this.get("playlist")&&(s=[],e=null),i&&"_"===this.get("video")[0]&&this.__setShareVideoUrl(i.token),e||this.get("stream-width")||this.get("stream-height")||s.length<2){var n=e?this.application.streams:this.application.videos,r=[t];return e&&r.push(e),r.push({auth:this.get("auth"),params:{stream_width:this.get("stream-width"),stream_height:this.get("stream-height"),effect_profile:this.get("effect-profile"),force_refresh:this.get("forcerefresh")}}),{poster:this.get("poster")||n.imageUrl.apply(n,r),source:n.videoUrl.apply(n,r),token:t}}var o=[],c=[],d={effect_profile:this.get("effect-profile"),force_refresh:this.get("forcerefresh"),auth:this.get("auth")};l.iter(s,function(e){o.push({src:this.application.streams.videoUrl(t,e.token,d),poster:this.application.streams.imageUrl(t,e.token,d),token:e.token}),c.push({width:e.video_width,height:e.video_height,filter:{token:e.token}})},this);var u=c[0];return{poster:null,source:null,sources:o,streams:c,currentstream:u,token:t}},__setSources:function(){this.set("uploadoptions",{textTracks:this.application.streams.subtitleAttachUploaderUrl(this.get("video"),this.get("stream")||this.properties().getProp("video_data.original_stream.token"),this.get("auth"))}),this.setAll(this.__sourceByVideo(this.get("video"),this.get("stream")))},__audioTranscriptionToVTT:function(e,t,i){i=i||5;for(var a=e.length,s=0,n=["WEBVTT"];s<a;){var r=t[s].start,o=t[s].end,c=[e[s]];for(s++,j=i-1;0<j&&s<a;)o=t[s].end,c.push(e[s]),s++,j--;n.push(""),n.push(u.format("HH:MM:ss.l",r)+" --\x3e "+u.format("HH:MM:ss.l",o)),n.push(c.join(" "))}return n.join("\n")},__videoUpdate:function(e,t){if(!this.destroyed())if(e)this.set("video_status",!1),e.status_code()===o.HTTP_STATUS_NOT_FOUND?this.state().next("FatalError",{message:this.string("video-not-found")}):e.status_code()===o.HTTP_STATUS_FORBIDDEN?this.state().next("FatalError",{message:this.string("video-access-forbidden")}):this.state().next("LoadError");else{this.set("video_data",t);var i=[];try{var a=t.default_stream.audio_transcription||t.original_stream.audio_transcription;a&&this.get("audio-transcription-as-subtitles")&&i.push({lang:"en",kind:"subtitles",label:"Transcription",content:this.__audioTranscriptionToVTT(a.words,a.times)});var s=t.default_stream.subtitles||t.original_stream.subtitles;s&&l.iter(s,function(e,t){i.push({lang:t,kind:"subtitles",label:e.label,content:e.data})})}catch(r){}if(this.set("tracktags",this.get("tracktags").concat(i)),this.get("title")||this.set("title",t.title),this.set("totalduration",t.duration),!1===t.approved&&!this.get("intermediate-token"))return void this.state().next("FatalError",{message:t.moderation_reason||this.string("video-rejected")});if(t.state<4)return void this.state().next("FatalError",{message:this.string("video-unknown-error")});if(this.set("video_status",!0),4===t.state)return void("VideoProcessing"!==this.state().state_name()&&this.state().next("VideoProcessing"));if(this.get("effect-profile")){var n=!1;if(l.iter(t.streams,function(e){e.effect_profile===this.get("effect-profile")&&4<e.state&&(n=!0)},this),!n)return void("VideoProcessing"!==this.state().state_name()&&this.state().next("VideoProcessing"));if("VideoProcessing"===this.state().state_name())return this.set("forcerefresh",c.now()),this.__setSources(),void this.state().next("LoadPlayer")}if("VideoProcessing"===this.state().state_name())return this.set("refresh_token",this.application.videos.refreshToken(this.get("video"))),this.set("forcerefresh",c.now()),this.__setSources(),void this.state().next("LoadPlayer");if(!this.get("stream")&&!this.get("refresh_token")&&this.application.videos.refreshToken(this.get("video")))return this.set("refresh_token",this.application.videos.refreshToken(this.get("video"))),this.__setSources(),void this.state().next("LoadPlayer");this.__setSources()}},_track:function(e,t,i){var a,s;this.application&&(a=c.now(),(s=d.create()).success(function(){this.application.analytics.track("2",e,{video_token:this.get("video_data").token,stream_token:this.get("stream")?this.get("stream"):undefined},l.extend({embed_type:"player"},t),l.extend({duration:this.get("video_data").duration||this.get("duration"),width:this.get("stream")?this.get("stream").width:this.videoWidth(),height:this.get("stream")?this.get("stream").height:this.videoHeight(),tags:this.get("video_data").tags},i),a)},this),this.get("video_data")?s.asyncSuccess():this.once("change:video_data",function(){s.asyncSuccess()},this))}}}],function(e){return{playerStates:function(){return e.playerStates.call(this).concat([s])}}}).register("ba-ziggeoplayer").register("ziggeoplayer").attachStringTable(n.mainLocale).addStrings({"video-not-found":"We could not find the specified video file.","video-access-forbidden":"You are not permitted to access this video file.","video-unknown-error":"We cannot access this video at the moment. Please try again later.","video-rejected":"The video has been rejected.","video-processing":"The video is processing - stay tuned.","video-access-error":"The video is currently under moderation. You may click to retry."})});

Scoped.define("module:PopupPlayer", ["module:Player","mediacomponents:PopupHelper"], function(e,t,i){return e.extend({scoped:i},t.mixin)});

Scoped.define("module:Recorder", ["mediacomponents:VideoRecorder.Dynamics.Recorder","module:Application","module:Device","private:Logger","private:Environment","module:RecorderStates","base:Types","base:MediaTypes","base:Time","base:Strings","module:Locale","module:Supplementary","base:Objs","base:Promise","base:Async","browser:Events","browser:Info","private:ZiggeoDynamicMixin"], function(e,i,a,s,t,n,r,o,c,d,u,l,h,p,g,m,_,f,v){return e.extend({scoped:v},[f,function(t){return{template:t.template.replace('"overlay">','"overlay"><a class="ziggeo-v2-testing" ba-if="{{testing}}" href="https://ziggeo.com/pricing" target="_blank"></a>'),attrs:{dynvideoplayer:"ziggeoplayer","effect-profile":null,"preview-effect-profile":null,"video-profile":null,"meta-profile":null,"client-auth":null,"server-auth":null,"intermediate-token":null,application:null,video:null,description:null,title:null,tags:null,"custom-data":null,key:null,"auto-crop":null,"default-image-selector":.1,"auto-pad":null,"expiration-days":null,"force-overwrite":null,"recover-streams":null,"transcript-language":"en-US","input-bind":null,"form-accept":null,playermodeifexists:!1,rerecordableifexists:!1,chrome_extension_id:null,opera_extension_id:null,chrome_extension_install_link:null,opera_extension_install_link:null},types:{tags:"array","custom-data":"object","auto-crop":"bool","auto-pad":"bool","expiration-days":"int","delete-old-streams":"bool","force-overwrite":"bool","recover-streams":"bool","default-image-selector":"float","effect-profile":"array","lazy-application":"bool",playermodeifexists:"bool",rerecordableifexists:"bool"},events:{rerecord:function(){this.__inputBindElement&&(this.__inputBindElement.value=""),this.get("form-accept")&&this._formAcceptEvents.on(document.querySelector(this.get("form-accept")),"submit",function(e){e.preventDefault()})},processed:function(){this.__had_processed=!0}},create:function(){this._invokeCallback=l.eventInvokeCallback,this.set("ready",!1),t.create.call(this),this.get("video")&&!this.get("key")&&d.starts_with(this.get("video"),"_")&&this.set("key",d.strip_start(this.get("video"),"_")),this.get("simulate")&&this.set("localplayback",!0),r.is_string(this.get("effect-profile"))&&this.set("effect-profile",r.parseArray(this.get("effect-profile"))),this.set("auth",{client_auth:this.get("client-auth"),server_auth:this.get("server-auth"),intermediate_token:this.get("intermediate-token")}),this.set("application_status",null),this.__hadInitialVideo=!!this.get("video"),this.get("video")||(this.set("playermodeifexists",!1),this.set("rerecordableifexists",!1),this.get("form-accept")&&(this._formAcceptEvents=this.auto_destroy(new m),this._formAcceptEvents.on(document.querySelector(this.get("form-accept")),"submit",function(e){e.preventDefault()}))),this.on("rerecord",function(){this._track("rerecord_confirm")},this),this.__had_processed=!1,this.scopes.player.on("change:video_data",function(e){this.set("video_data",e);var t=e.streams.find(function(e){return e.token===this.get("stream")},this);t&&this.set("stream_data",t)},this)},_notifications:{_activate:"_createWithApplication"},_deferActivate:function(){if(this._obtainApplication(),(this.application||!this.get("lazy-application"))&&!this.get("playermodeifexists")&&!this.get("rerecordableifexists"))return!1;var t=p.create();return this.application?t.asyncSuccess(!0):i.events.once("set-default",function(e){this.application=e,t.asyncSuccess(!0)},this),(this.get("playermodeifexists")||this.get("rerecordableifexists"))&&(t=t.mapSuccess(function(t){return this.application.videos.get(this.get("video")||(this.get("key")?"_"+this.get("key"):null),{auth:this.get("auth")}).mapSuccess(function(e){return e&&"EMPTY"!==e.state_string&&(this.get("playermodeifexists")&&this.set("recordermode",!1),this.get("rerecordableifexists")||this.set("rerecordable",!1)),!this.get("video")&&this.get("key")&&this.set("video","_"+this.get("key")),this.set("playermodeifexists",!1),this.set("rerecordableifexists",!1),t},this)},this).mapError(function(e){return this.get("video")&&404===e.status_code()&&this.set("video",null),this.set("playermodeifexists",!1),this.set("rerecordableifexists",!1),p.value(!0)},this)),t.success(this.activate,this),!0},_createWithApplication:function(){this._obtainApplication(),this.application?this.application.data.get("auth")||!this.get("client-auth")&&!this.get("server-auth")?(this.get("chrome_extension_id")&&!this.get("chrome_extension_install_link")&&this.set("chrome_extension_install_link","https://chrome.google.com/webstore/detail/"+this.get("chrome_extension_id")),this.set("screen",{chromeExtensionId:this.get("chrome_extension_id")||this.application.data.get("chrome_extension_id"),operaExtensionId:this.get("opera_extension_id")||this.application.data.get("opera_extension_id"),chromeExtensionInstallLink:this.get("chrome_extension_install_link")||this.application.data.get("chrome_extension_install_link"),operaExtensionInstallLink:this.get("opera_extension_install_link")||this.application.data.get("opera_extension_install_link")}),this.application.embed_events.delegateEvents(null,this,null,[this]),this.application.on("ready",function(){this.set("application_status",!0),this.set("ready",!0),this.set("testing",this.application.data.get("testing_application"))},this).on("error",function(e,t){this.set("application_status",!1),this.state().next("FatalError",{message:t})},this),this.set("playerattrs",{application:this.application,"effect-profile":this.get("preview-effect-profile"),"client-auth":this.get("client-auth"),"server-auth":this.get("server-auth"),"intermediate-token":this.get("intermediate-token"),video:this.get("video"),"force-refresh":c.now()}),this._track("embedding_loaded"),this.set("webrtcstreaming",this.application.data.get("webrtc_streaming")),this.set("webrtcstreamingifnecessary",this.application.data.get("webrtc_streaming_if_necessary")),this.set("webrtconmobile",this.application.data.get("webrtc_on_mobile")),_.isSafari()&&_.isDesktop()&&!this.get("webrtcstreaming")&&!this.get("webrtcstreamingifnecessary")&&this.set("webrtcstreamingifnecessary",!0),!this.get("webrtcstreaming")&&!this.get("webrtcstreamingifnecessary")||this.get("timeminlimit")||this.set("timeminlimit",5),this._updateUrls()):s.warn("You are specifying auth tokens on your embedding yet your application is initialized with auth = false."):s.warn("No application (token) defined. We need an application (token) to include an embedding.")},_track:function(e,t,i){this.application.analytics.track("2",e,{video_token:this.get("video"),stream_token:this.get("stream")},h.extend({embed_type:this.__hadInitialVideo?"rerecorder":"recorder"},t),h.extend({creation_type:this.get("creation-type"),duration:this.get("duration"),width:this.get("recordingwidth"),height:this.get("recordingheight"),tags:this.get("tags")},i))},functions:{reset:function(){this.get("video")&&!this.__hadInitialVideo&&this.set("video",null),this.__had_processed=!1,t.functions.reset.call(this)},ready_to_play:function(){this.__had_processed||(this.trigger("processing",1),this.trigger("processed")),t.functions.ready_to_play.call(this)}},_updateUrls:function(e,t,i){this.set("playerattrs.video",this.get("video")),this.set("uploadoptions",{webrtcStreaming:{wssUrl:this.get("webrtcstreaming")||this.get("webrtcstreamingifnecessary")?this.application.urls.wssUrl():undefined,streamInfo:this.get("webrtcstreaming")||this.get("webrtcstreamingifnecessary")?{applicationName:this.application.urls.webrtcStreamingApp(_.isFirefox()?"udp":""),streamName:this.application.streams.webrtcStreamName(this.get("video"),this.get("stream"),this.get("auth"))}:undefined,delay:4750,stopDelay:2750},image:t?this.application.data.getSignedUploaderConfig(t.url,t.fields):undefined,video:e?h.extend({resilienceCheck:function(e){return!e||!e.duration}},this.application.data.getSignedUploaderConfig(e.url,e.fields)):undefined,audio:i?this.application.data.getSignedUploaderConfig(i.url,i.fields):undefined,textTracks:this.application.streams.subtitleAttachUploaderUrl(this.get("video"),this.get("stream"),this.get("auth"))})},_readDeviceOrientation:function(){var e=this.recorder.getCameraFacingMode();switch(window.orientation){case 0:return 90;case 90:return"environment"===e?0:180;case-90:return"environment"===e?180:0;case 180:return 270}},__createParams:function(){var e={};try{var t=this.activeElement().cloneNode();t.innerHTML="",e=t.outerHTML}catch(i){}return{description:this.get("description"),title:this.get("title"),tags:this.get("tags")?this.get("tags").join(","):undefined,data:this.get("custom-data")?JSON.stringify(this.get("custom-data")):undefined,key:this.get("key"),auto_crop:this.get("auto-crop"),auto_pad:this.get("auto-pad"),only_audio:this.get("onlyaudio"),expiration_days:this.get("expiration-days"),delete_old_streams:this.get("delete-old-streams"),effect_profile:this.get("effect-profile")?this.get("effect-profile").join(","):undefined,force_overwrite:this.get("force-overwrite"),video_profile:this.get("video-profile"),meta_profile:this.get("meta-profile"),enforce_duration:this.get("enforce-duration"),recover_streams:this.get("recover-streams"),max_duration:this.get("timelimit"),user_language:navigator.language||navigator.userLanguage,video_file_name:this._videoFileName,transcript_language:"auto"==this.get("transcript-language").toLowerCase()?navigator.language||navigator.userLanguage:this.get("transcript-language"),default_image_selector:this.get("default-image-selector"),device_info:h.extend({api_version:2,embed_code:e,media_source:this.__getMediaSource(),capture_type:this.__getCaptureType()},a.info)}},__recordingTypeParams:function(){var e={create_stream:!0};if(this.recorder){try{var t=this.recorder._recorder._recorder._mediaRecorder.mimeType;t&&h.extend(e,{video_type:o.getExtension(t)})}catch(i){}return h.extend(e,{webrtc_recording:!0,webrtc_streaming:this.isWebrtcStreaming(),audio_url:!this.isWebrtcStreaming(),image_url:!0})}return this._videoFile&&h.extend(e,{video_type:d.last_after(this._videoFile.name,".")}),this.get("snapshotfromuploader")?h.extend(e,{image_url:!0}):e},__getMediaSource:function(){var e=this.__recordingTypeParams();return"screen"==this.get("record_media")?"screen":!0===e.webrtc_recording?"record":"upload"},__getCaptureType:function(){var e=this.__recordingTypeParams();return!0===e.webrtc_streaming?"webrtc_streaming":!0===e.webrtc_recording?"webrtc":"file_capture"},_prepareRecording:function(){return this._requiresDeviceOrientation=_.isMobile()&&_.isiOS()&&window.orientation!==undefined&&this.isWebrtcStreaming(),this.get("video")?this.application.streams._create(this.get("video"),this.__recordingTypeParams(),this.get("auth"),5).mapSuccess(function(e){this.set("stream",e.stream.token),this.set("stream_data",e.stream),this._updateUrls(e.url_data,e.image_url_data,e.audio_url_data)},this):this.application.videos._create(h.extend(this.__createParams(),this.__recordingTypeParams()),this.get("auth"),5).mapSuccess(function(e){this.set("video",e.video.token),this.set("video_data",e.video),this.set("stream",e.stream.token),this.set("stream_data",e.stream),this._updateUrls(e.url_data,e.image_url_data,e.audio_url_data)},this)},_verifyRecording:function(){var i=p.create();return g.eventually(function(){var e,t;this.get("video")&&(e={duration:this.get("duration")},t={},this._requiresDeviceOrientation&&h.extend(e,{rotation:this._readDeviceOrientation()}),this.get("starttime")&&h.extend(e,{start_time:this.get("starttime")}),this.get("endtime")&&h.extend(e,{end_time:this.get("endtime")}),this.imageUploaded()&&h.extend(t,{confirm_image:!0}),this.audioUploaded()&&h.extend(t,{confirm_audio:!0}),(this.get("simulate")?p.value(!0):this.application.streams._confirm(this.get("video"),this.get("stream"),e,this.get("auth"),50,t)).success(function(){this.__inputBindElement&&(this.__inputBindElement.value=this.get("video")),this.get("form-accept")&&this._formAcceptEvents.off(document.querySelector(this.get("form-accept")),"submit"),this.application.videos.cacheInvalidate(this.get("video"))},this).forwardCallback(i))},this,2500),i},_afterActivate:function(e){t._afterActivate.apply(this,arguments),this.get("input-bind")&&(this.__inputBindElement=document.getElementsByName(this.get("input-bind"))[0],this.__inputBindElement||(this.__inputBindElement=document.createElement("input"),this.__inputBindElement.type="hidden",this.__inputBindElement.id=this.get("input-bind"),this.__inputBindElement.name=this.get("input-bind"),e.parentElement.appendChild(this.__inputBindElement)),this.get("video")&&(this.__inputBindElement.value=this.get("video")))}}}],function(e){return{recorderStates:function(){return e.recorderStates.call(this).concat([n])}}}).register("ba-ziggeorecorder").register("ziggeorecorder").registerFunctions({testing:function(e){return e.testing}}).attachStringTable(u.mainLocale).addStrings({})});

Scoped.define("module:PopupRecorder", ["module:Recorder","mediacomponents:PopupHelper"], function(e,t,i){return e.extend({scoped:i},t.mixin)});


}).call(Scoped);
(function () {
var Scoped = this.subScope();
Scoped.binding('module', 'global:ZiggeoApi.V2');
Scoped.extend("module:", function () {
	return {};
});

Scoped.extend("module:Locale", ["module:Locale"], function (Locale) {
    var languages = {"language:ar":{"application.error_503":"&#x646;&#x62D;&#x646; &#x641;&#x64A; &#x642;&#x64A;&#x62F; &#x62A;&#x637;&#x648;&#x64A;&#x631; &#x62E;&#x62F;&#x645;&#x62A;&#x646;&#x627;. &#x633;&#x62A;&#x639;&#x648;&#x62F; &#x645;&#x642;&#x627;&#x637;&#x639; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648; &#x642;&#x631;&#x64A;&#x628;&#x627;.","application.error_404":"&#x644;&#x627; &#x64A;&#x645;&#x643;&#x646;&#x646;&#x627; &#x627;&#x644;&#x62A;&#x639;&#x631;&#x641; &#x639;&#x644;&#x649; &#x645;&#x641;&#x62A;&#x627;&#x62D; &#x648;&#x627;&#x62C;&#x647;&#x629; &#x628;&#x631;&#x645;&#x62C;&#x629; &#x627;&#x644;&#x62A;&#x637;&#x628;&#x64A;&#x642;&#x627;&#x62A;. &#x627;&#x644;&#x631;&#x62C;&#x627;&#x621; &#x627;&#x644;&#x62A;&#x623;&#x643;&#x62F; &#x645;&#x646; &#x62A;&#x62D;&#x62F;&#x64A;&#x62F;&#x647; &#x641;&#x64A; &#x639;&#x646;&#x648;&#x627;&#x646; &#x645;&#x648;&#x642;&#x639;&#x643; &#x627;&#x644;&#x625;&#x644;&#x643;&#x62A;&#x631;&#x648;&#x646;&#x64A;.","application.error_401":"&#x644;&#x627; &#x64A;&#x633;&#x645;&#x62D; &#x644;&#x643; &#x628;&#x627;&#x644;&#x648;&#x635;&#x648;&#x644; &#x625;&#x644;&#x649; &#x627;&#x644;&#x62A;&#x637;&#x628;&#x64A;&#x642; &#x645;&#x646; &#x647;&#x630;&#x627; &#x627;&#x644;&#x645;&#x648;&#x642;&#x639;.","application.error_412":"&#x62A;&#x62D;&#x62A;&#x627;&#x62C; &#x625;&#x644;&#x649; &#x62A;&#x623;&#x643;&#x64A;&#x62F; / &#x62A;&#x631;&#x642;&#x64A;&#x629; &#x62D;&#x633;&#x627;&#x628;&#x643;.","application.error_unknown":"&#x62D;&#x62F;&#x62B; &#x62E;&#x637;&#x623; &#x63A;&#x64A;&#x631; &#x645;&#x639;&#x631;&#x648;&#x641;. &#x62A;&#x645; &#x625;&#x639;&#x644;&#x627;&#x645; &#x641;&#x631;&#x64A;&#x642;&#x646;&#x627; &#x648;&#x633;&#x64A;&#x62D;&#x644; &#x627;&#x644;&#x645;&#x634;&#x643;&#x644;&#x629;.","ziggeoplayer.video-not-found":"&#x62A;&#x639;&#x630;&#x631; &#x627;&#x644;&#x639;&#x62B;&#x648;&#x631; &#x639;&#x644;&#x649; &#x645;&#x644;&#x641; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648; &#x627;&#x644;&#x645;&#x62D;&#x62F;&#x62F;.","ziggeoplayer.video-access-forbidden":"&#x644;&#x627; &#x64A;&#x633;&#x645;&#x62D; &#x644;&#x643; &#x628;&#x627;&#x644;&#x62F;&#x62E;&#x648;&#x644; &#x625;&#x644;&#x649; &#x645;&#x644;&#x641; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648; &#x647;&#x630;&#x627;.","ziggeoplayer.video-unknown-error":"&#x644;&#x627; &#x64A;&#x645;&#x643;&#x646;&#x646;&#x627; &#x627;&#x644;&#x648;&#x635;&#x648;&#x644; &#x625;&#x644;&#x649; &#x647;&#x630;&#x627; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648; &#x641;&#x64A; &#x627;&#x644;&#x648;&#x642;&#x62A; &#x627;&#x644;&#x62D;&#x627;&#x644;&#x64A;. &#x627;&#x644;&#x631;&#x62C;&#x627;&#x621; &#x645;&#x639;&#x627;&#x648;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629; &#x641;&#x64A; &#x648;&#x642;&#x62A; &#x644;&#x627;&#x62D;&#x642;.","ziggeoplayer.video-rejected":"&#x62A;&#x645; &#x631;&#x641;&#x636; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648;.","ziggeoplayer.video-processing":"&#x64A;&#x62A;&#x645; &#x645;&#x639;&#x627;&#x644;&#x62C;&#x629; &#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648; - &#x627;&#x644;&#x631;&#x62C;&#x627;&#x621; &#x627;&#x644;&#x627;&#x646;&#x62A;&#x638;&#x627;&#x631;.","ziggeoplayer.video-access-error":"&#x627;&#x644;&#x641;&#x64A;&#x62F;&#x64A;&#x648; &#x642;&#x64A;&#x62F; &#x627;&#x644;&#x645;&#x631;&#x627;&#x62C;&#x639;&#x629; &#x62D;&#x627;&#x644;&#x64A;&#x627;. &#x64A;&#x645;&#x643;&#x646;&#x643; &#x627;&#x644;&#x646;&#x642;&#x631; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ziggeoaudioplayer.audio-not-found":"&#x644;&#x645; &#x646;&#x62A;&#x645;&#x643;&#x646; &#x645;&#x646; &#x627;&#x644;&#x639;&#x62B;&#x648;&#x631; &#x639;&#x644;&#x649; &#x645;&#x644;&#x641; &#x627;&#x644;&#x635;&#x648;&#x62A; &#x627;&#x644;&#x645;&#x62D;&#x62F;&#x62F;.","ziggeoaudioplayer.audio-access-forbidden":"&#x644;&#x627; &#x64A;&#x633;&#x645;&#x62D; &#x644;&#x643; &#x644;&#x644;&#x648;&#x635;&#x648;&#x644; &#x625;&#x644;&#x649; &#x647;&#x630;&#x627; &#x627;&#x644;&#x645;&#x644;&#x641; &#x627;&#x644;&#x635;&#x648;&#x62A;&#x64A;.","ziggeoaudioplayer.audio-unknown-error":"&#x644;&#x627; &#x64A;&#x645;&#x643;&#x646;&#x646;&#x627; &#x627;&#x644;&#x648;&#x635;&#x648;&#x644; &#x625;&#x644;&#x649; &#x647;&#x630;&#x627; &#x627;&#x644;&#x635;&#x648;&#x62A; &#x641;&#x64A; &#x627;&#x644;&#x648;&#x642;&#x62A; &#x627;&#x644;&#x62D;&#x627;&#x644;&#x64A;. &#x627;&#x644;&#x631;&#x62C;&#x627;&#x621; &#x645;&#x639;&#x627;&#x648;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629; &#x641;&#x64A; &#x648;&#x642;&#x62A; &#x644;&#x627;&#x62D;&#x642;.","ziggeoaudioplayer.audio-rejected":"&#x62A;&#x645; &#x631;&#x641;&#x636; &#x627;&#x644;&#x635;&#x648;&#x62A;.","ziggeoaudioplayer.audio-processing":"&#x627;&#x644;&#x635;&#x648;&#x62A; &#x642;&#x64A;&#x62F; &#x627;&#x644;&#x645;&#x639;&#x627;&#x644;&#x62C;&#x629; - &#x62A;&#x631;&#x642;&#x628;&#x648;&#x627;.","ziggeoaudioplayer.audio-access-error":"&#x627;&#x644;&#x635;&#x648;&#x62A; &#x62D;&#x627;&#x644;&#x64A;&#x627; &#x62A;&#x62D;&#x62A; &#x627;&#x644;&#x625;&#x634;&#x631;&#x627;&#x641;. &#x64A;&#x645;&#x643;&#x646;&#x643; &#x627;&#x644;&#x646;&#x642;&#x631; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;.","ziggeoimageviewer.image-not-found":"&#x644;&#x645; &#x646;&#x62A;&#x645;&#x643;&#x646; &#x645;&#x646; &#x627;&#x644;&#x639;&#x62B;&#x648;&#x631; &#x639;&#x644;&#x649; &#x645;&#x644;&#x641; &#x627;&#x644;&#x635;&#x648;&#x631;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x62F;&#x62F;.","ziggeoimageviewer.image-access-forbidden":"&#x644;&#x627; &#x64A;&#x633;&#x645;&#x62D; &#x644;&#x643; &#x644;&#x644;&#x648;&#x635;&#x648;&#x644; &#x625;&#x644;&#x649; &#x645;&#x644;&#x641; &#x627;&#x644;&#x635;&#x648;&#x631;&#x629; &#x647;&#x630;&#x627;.","ziggeoimageviewer.image-unknown-error":"&#x644;&#x627; &#x64A;&#x645;&#x643;&#x646;&#x646;&#x627; &#x627;&#x644;&#x648;&#x635;&#x648;&#x644; &#x625;&#x644;&#x649; &#x647;&#x630;&#x647; &#x627;&#x644;&#x635;&#x648;&#x631;&#x629; &#x641;&#x64A; &#x627;&#x644;&#x648;&#x642;&#x62A; &#x627;&#x644;&#x62D;&#x627;&#x644;&#x64A;. &#x627;&#x644;&#x631;&#x62C;&#x627;&#x621; &#x645;&#x639;&#x627;&#x648;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629; &#x641;&#x64A; &#x648;&#x642;&#x62A; &#x644;&#x627;&#x62D;&#x642;.","ziggeoimageviewer.image-rejected":"&#x62A;&#x645; &#x631;&#x641;&#x636; &#x627;&#x644;&#x635;&#x648;&#x631;&#x629;.","ziggeoimageviewer.image-processing":"&#x627;&#x644;&#x635;&#x648;&#x631;&#x629; &#x642;&#x64A;&#x62F; &#x627;&#x644;&#x645;&#x639;&#x627;&#x644;&#x62C;&#x629; - &#x62A;&#x631;&#x642;&#x628;&#x648;&#x627;.","ziggeoimageviewer.image-access-error":"&#x627;&#x644;&#x635;&#x648;&#x631;&#x629; &#x642;&#x64A;&#x62F; &#x627;&#x644;&#x627;&#x639;&#x62A;&#x62F;&#x627;&#x644; &#x62D;&#x627;&#x644;&#x64A;&#x627;. &#x64A;&#x645;&#x643;&#x646;&#x643; &#x627;&#x644;&#x646;&#x642;&#x631; &#x644;&#x625;&#x639;&#x627;&#x62F;&#x629; &#x627;&#x644;&#x645;&#x62D;&#x627;&#x648;&#x644;&#x629;."},"language:az":{"application.error_503":"Hal haz&#x131;rda texniki xidm&#x259;t g&#xF6;st&#x259;ririk. Video tezlikl&#x259; geri qaytar&#x131;lacaq.","application.error_404":"Sizin AP&#x130; a&#xE7;ar&#x131; m&#xFC;&#x259;yy&#x259;n ed&#x259; bilm&#x259;dik. Z&#x259;hm&#x259;t olmasa a&#xE7;ar&#x131; veb s&#x259;hif&#x259;nin ba&#x15F;l&#x131;q hiss&#x259;sind&#x259; qeyd edin.","application.error_401":"Sizin t&#x259;tbiq&#x259; bu veb s&#x259;hif&#x259;d&#x259;n daxil olman&#x131;za icaz&#x259; yoxdur.","application.error_412":"Siz&#x259; hesab&#x131;n&#x131;z&#x131; t&#x259;sdiq etm&#x259;k / y&#xFC;ks&#x259;ltm&#x259;k g&#x259;r&#x259;kdir.","application.error_unknown":"Bilinm&#x259;y&#x259;n s&#x259;hv ba&#x15F; verdi. Bizim komandaya x&#x259;b&#x259;r verildi v&#x259; m&#x259;s&#x259;l&#x259;ni h&#x259;ll etm&#x259;y&#x259; &#xE7;al&#x131;&#x15F;&#x131;r&#x131;q.","ziggeoplayer.video-not-found":"Sor&#x11F;u edilmi&#x15F; video fayl&#x131;n&#x131; tapa bilm&#x259;dik.","ziggeoplayer.video-access-forbidden":"Sizin bu video fayla daxil olmaq &#xFC;&#xE7;&#xFC;n icaz&#x259;niz yoxdur.","ziggeoplayer.video-unknown-error":"Biz hal-haz&#x131;rda bu video fayla daxil ola bilm&#x259;dik. Z&#x259;hm&#x259;t olmasa bir az sonra yenid&#x259;n c&#x259;hd edin.","ziggeoplayer.video-rejected":"Video r&#x259;dd edildi.","ziggeoplayer.video-processing":"Video emal olunur - biraz g&#xF6;zl&#x259;yin.","ziggeoplayer.video-access-error":"Video hal haz&#x131;rda emal olunur. Yenid&#x259;n yoxlamaq &#xFC;&#xE7;&#xFC;n basa bil&#x259;rsiz.","ziggeoaudioplayer.audio-not-found":"G&#xF6;st&#x259;ril&#x259;n s&#x259;s s&#x259;n&#x259;dini tapa bilm&#x259;dik.","ziggeoaudioplayer.audio-access-forbidden":"Bu s&#x259;s s&#x259;n&#x259;din&#x259; daxil olma&#x11F;&#x131;n&#x131;za icaz&#x259; verilmir.","ziggeoaudioplayer.audio-unknown-error":"Haz&#x131;rda bu s&#x259;si &#x259;ld&#x259; ed&#x259; bilm&#x259;rik. Z&#x259;hm&#x259;t olmasa bir az sonra yen&#x259; c&#x259;hd edin.","ziggeoaudioplayer.audio-rejected":"S&#x259;s r&#x259;dd edildi.","ziggeoaudioplayer.audio-processing":"S&#x259;s i&#x15F;l&#x259;nir - bizi izl&#x259;yin.","ziggeoaudioplayer.audio-access-error":"S&#x259;s haz&#x131;rda moderasiya alt&#x131;ndad&#x131;r. Yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n klikl&#x259;y&#x259; bil&#x259;rsiniz.","ziggeoimageviewer.image-not-found":"G&#xF6;st&#x259;ril&#x259;n &#x15F;&#x259;kil s&#x259;n&#x259;dini tapa bilm&#x259;dik.","ziggeoimageviewer.image-access-forbidden":"Bu &#x15F;&#x259;kil s&#x259;n&#x259;din&#x259; daxil olma&#x11F;&#x131;n&#x131;za icaz&#x259; verilmir.","ziggeoimageviewer.image-unknown-error":"Haz&#x131;rda bu &#x15F;&#x259;kil&#x259; daxil ola bilm&#x259;rik. Z&#x259;hm&#x259;t olmasa bir az sonra yen&#x259; c&#x259;hd edin.","ziggeoimageviewer.image-rejected":"&#x15E;&#x259;kil r&#x259;dd edildi.","ziggeoimageviewer.image-processing":"&#x15E;&#x259;kil i&#x15F;l&#x259;nir - bizi izl&#x259;yin.","ziggeoimageviewer.image-access-error":"&#x15E;&#x259;kil haz&#x131;rda moderasiya alt&#x131;ndad&#x131;r. Yenid&#x259;n c&#x259;hd etm&#x259;k &#xFC;&#xE7;&#xFC;n klikl&#x259;y&#x259; bil&#x259;rsiniz."},"language:bg":{"application.error_503":"&#x41D;&#x438;&#x435; &#x43F;&#x43E;&#x434;&#x434;&#x44A;&#x440;&#x436;&#x430;&#x43C;&#x435; &#x43D;&#x430;&#x448;&#x430;&#x442;&#x430; &#x443;&#x441;&#x43B;&#x443;&#x433;&#x430;. &#x412;&#x438;&#x434;&#x435;&#x43E; &#x449;&#x435; &#x441;&#x435; &#x432;&#x44A;&#x440;&#x43D;&#x435; &#x441;&#x43A;&#x43E;&#x440;&#x43E;.","application.error_404":"&#x41D;&#x438;&#x435; &#x43D;&#x435; &#x43C;&#x43E;&#x436;&#x435; &#x434;&#x430; &#x440;&#x430;&#x437;&#x43F;&#x43E;&#x437;&#x43D;&#x430;&#x435; &#x432;&#x430;&#x448;&#x438;&#x44F; &#x43A;&#x43B;&#x44E;&#x447; API. &#x41C;&#x43E;&#x43B;&#x44F;, &#x43D;&#x435; &#x437;&#x430;&#x431;&#x440;&#x430;&#x432;&#x44F;&#x439;&#x442;&#x435; &#x434;&#x430; &#x433;&#x43E; &#x43F;&#x43E;&#x441;&#x43E;&#x447;&#x438;&#x442;&#x435; &#x432; &#x437;&#x430;&#x433;&#x43B;&#x430;&#x432;&#x43A;&#x430;&#x442;&#x430; &#x43D;&#x430; &#x443;&#x435;&#x431;&#x441;&#x430;&#x439;&#x442;&#x430; &#x441;&#x438;.","application.error_401":"&#x41D;&#x435; &#x435; &#x440;&#x430;&#x437;&#x440;&#x435;&#x448;&#x435;&#x43D;&#x43E; &#x437;&#x430; &#x434;&#x43E;&#x441;&#x442;&#x44A;&#x43F; &#x434;&#x43E; &#x43F;&#x440;&#x438;&#x43B;&#x43E;&#x436;&#x435;&#x43D;&#x438;&#x435;&#x442;&#x43E; &#x43E;&#x442; &#x442;&#x43E;&#x437;&#x438; &#x441;&#x430;&#x439;&#x442;.","application.error_412":"&#x422;&#x440;&#x44F;&#x431;&#x432;&#x430; &#x434;&#x430; &#x43F;&#x43E;&#x442;&#x432;&#x44A;&#x440;&#x434;&#x438;&#x442;&#x435; / &#x44A;&#x43F;&#x433;&#x440;&#x435;&#x439;&#x434; &#x432;&#x430;&#x448;&#x438;&#x44F; &#x430;&#x43A;&#x430;&#x443;&#x43D;&#x442;.","application.error_unknown":"&#x412;&#x44A;&#x437;&#x43D;&#x438;&#x43A;&#x43D;&#x430; &#x43D;&#x435;&#x438;&#x437;&#x432;&#x435;&#x441;&#x442;&#x43D;&#x430; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x430;. &#x41D;&#x430;&#x448;&#x438;&#x44F;&#x442; &#x435;&#x43A;&#x438;&#x43F; &#x435; &#x431;&#x438;&#x43B; &#x443;&#x432;&#x435;&#x434;&#x43E;&#x43C;&#x435;&#x43D; &#x438; &#x449;&#x435; &#x440;&#x435;&#x448;&#x438; &#x43F;&#x440;&#x43E;&#x431;&#x43B;&#x435;&#x43C;&#x430;.","ziggeoplayer.video-not-found":"&#x41D;&#x438;&#x435; &#x43D;&#x435; &#x43C;&#x43E;&#x436;&#x435; &#x434;&#x430; &#x43D;&#x430;&#x43C;&#x435;&#x440;&#x438; &#x434;&#x430;&#x434;&#x435;&#x43D; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x444;&#x430;&#x439;&#x43B;.","ziggeoplayer.video-access-forbidden":"&#x41D;&#x44F;&#x43C;&#x430;&#x442;&#x435; &#x43F;&#x440;&#x430;&#x432;&#x43E; &#x43D;&#x430; &#x434;&#x43E;&#x441;&#x442;&#x44A;&#x43F; &#x434;&#x43E; &#x442;&#x430;&#x437;&#x438; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x444;&#x430;&#x439;&#x43B;.","ziggeoplayer.video-unknown-error":"&#x41D;&#x438;&#x435; &#x43D;&#x435; &#x43C;&#x43E;&#x436;&#x435;&#x43C; &#x434;&#x430; &#x43F;&#x43E;&#x43B;&#x443;&#x447;&#x438;&#x442;&#x435; &#x434;&#x43E;&#x441;&#x442;&#x44A;&#x43F; &#x434;&#x43E; &#x442;&#x43E;&#x437;&#x438; &#x432;&#x438;&#x434;&#x435;&#x43E;&#x43A;&#x43B;&#x438;&#x43F; &#x432; &#x43C;&#x43E;&#x43C;&#x435;&#x43D;&#x442;&#x430;. &#x41C;&#x43E;&#x43B;&#x44F;, &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x439;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E; &#x43F;&#x43E;-&#x43A;&#x44A;&#x441;&#x43D;&#x43E;.","ziggeoplayer.video-rejected":"&#x412;&#x438;&#x434;&#x435;&#x43E;&#x442;&#x43E; &#x435; &#x431;&#x438;&#x43B;&#x43E; &#x43E;&#x442;&#x445;&#x432;&#x44A;&#x440;&#x43B;&#x435;&#x43D;&#x43E;.","ziggeoplayer.video-processing":"&#x412;&#x438;&#x434;&#x435;&#x43E;&#x442;&#x43E; &#x435; &#x43E;&#x431;&#x440;&#x430;&#x431;&#x43E;&#x442;&#x43A;&#x430; - &#x43E;&#x441;&#x442;&#x430;&#x43D;&#x435;&#x442;&#x435; &#x43D;&#x430; &#x43B;&#x438;&#x43D;&#x438;&#x44F;.","ziggeoplayer.video-access-error":"&#x412;&#x438;&#x434;&#x435;&#x43E;&#x442;&#x43E; &#x435; &#x432; &#x43F;&#x440;&#x43E;&#x446;&#x435;&#x441; &#x43D;&#x430; &#x443;&#x43C;&#x435;&#x440;&#x435;&#x43D;&#x43E;&#x441;&#x442;. &#x41C;&#x43E;&#x436;&#x435;&#x442;&#x435; &#x434;&#x430; &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ziggeoaudioplayer.audio-not-found":"&#x41D;&#x435; &#x43C;&#x43E;&#x436;&#x430;&#x445;&#x43C;&#x435; &#x434;&#x430; &#x43D;&#x430;&#x43C;&#x435;&#x440;&#x438;&#x43C; &#x43F;&#x43E;&#x441;&#x43E;&#x447;&#x435;&#x43D;&#x438;&#x44F; &#x430;&#x443;&#x434;&#x438;&#x43E; &#x444;&#x430;&#x439;&#x43B;.","ziggeoaudioplayer.audio-access-forbidden":"&#x41D;&#x44F;&#x43C;&#x430;&#x442;&#x435; &#x434;&#x43E;&#x441;&#x442;&#x44A;&#x43F; &#x434;&#x43E; &#x442;&#x43E;&#x437;&#x438; &#x430;&#x443;&#x434;&#x438;&#x43E; &#x444;&#x430;&#x439;&#x43B;.","ziggeoaudioplayer.audio-unknown-error":"&#x412; &#x43C;&#x43E;&#x43C;&#x435;&#x43D;&#x442;&#x430; &#x43D;&#x44F;&#x43C;&#x430;&#x43C;&#x435; &#x434;&#x43E;&#x441;&#x442;&#x44A;&#x43F; &#x434;&#x43E; &#x442;&#x43E;&#x432;&#x430; &#x430;&#x443;&#x434;&#x438;&#x43E;. &#x41C;&#x43E;&#x43B;&#x44F;, &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x439;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E; &#x43F;&#x43E;-&#x43A;&#x44A;&#x441;&#x43D;&#x43E;.","ziggeoaudioplayer.audio-rejected":"&#x410;&#x443;&#x434;&#x438;&#x43E;&#x442;&#x43E; &#x435; &#x43E;&#x442;&#x445;&#x432;&#x44A;&#x440;&#x43B;&#x435;&#x43D;&#x43E;.","ziggeoaudioplayer.audio-processing":"&#x410;&#x443;&#x434;&#x438;&#x43E;&#x442;&#x43E; &#x441;&#x435; &#x43E;&#x431;&#x440;&#x430;&#x431;&#x43E;&#x442;&#x432;&#x430; - &#x441;&#x43B;&#x435;&#x434;&#x435;&#x442;&#x435;.","ziggeoaudioplayer.audio-access-error":"&#x412; &#x43C;&#x43E;&#x43C;&#x435;&#x43D;&#x442;&#x430; &#x430;&#x443;&#x434;&#x438;&#x43E;&#x442;&#x43E; &#x435; &#x43F;&#x43E;&#x434; &#x43C;&#x43E;&#x434;&#x435;&#x440;&#x430;&#x446;&#x438;&#x44F;. &#x41C;&#x43E;&#x436;&#x435;&#x442;&#x435; &#x434;&#x430; &#x449;&#x440;&#x430;&#x43A;&#x43D;&#x435;&#x442;&#x435;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;.","ziggeoimageviewer.image-not-found":"&#x41D;&#x435; &#x43C;&#x43E;&#x436;&#x430;&#x445;&#x43C;&#x435; &#x434;&#x430; &#x43D;&#x430;&#x43C;&#x435;&#x440;&#x438;&#x43C; &#x43F;&#x43E;&#x441;&#x43E;&#x447;&#x435;&#x43D;&#x438;&#x44F; &#x444;&#x430;&#x439;&#x43B; &#x441; &#x438;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x435;.","ziggeoimageviewer.image-access-forbidden":"&#x41D;&#x44F;&#x43C;&#x430;&#x442;&#x435; &#x434;&#x43E;&#x441;&#x442;&#x44A;&#x43F; &#x434;&#x43E; &#x442;&#x43E;&#x437;&#x438; &#x444;&#x430;&#x439;&#x43B; &#x441; &#x438;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x44F;.","ziggeoimageviewer.image-unknown-error":"&#x412; &#x43C;&#x43E;&#x43C;&#x435;&#x43D;&#x442;&#x430; &#x43D;&#x44F;&#x43C;&#x430;&#x43C;&#x435; &#x434;&#x43E;&#x441;&#x442;&#x44A;&#x43F; &#x434;&#x43E; &#x442;&#x43E;&#x432;&#x430; &#x438;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x435;. &#x41C;&#x43E;&#x43B;&#x44F;, &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x439;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E; &#x43F;&#x43E;-&#x43A;&#x44A;&#x441;&#x43D;&#x43E;.","ziggeoimageviewer.image-rejected":"&#x418;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x435;&#x442;&#x43E; &#x435; &#x43E;&#x442;&#x445;&#x432;&#x44A;&#x440;&#x43B;&#x435;&#x43D;&#x43E;.","ziggeoimageviewer.image-processing":"&#x418;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x435;&#x442;&#x43E; &#x441;&#x435; &#x43E;&#x431;&#x440;&#x430;&#x431;&#x43E;&#x442;&#x432;&#x430; - &#x441;&#x43B;&#x435;&#x434;&#x435;&#x442;&#x435;.","ziggeoimageviewer.image-access-error":"&#x412; &#x43C;&#x43E;&#x43C;&#x435;&#x43D;&#x442;&#x430; &#x438;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x435;&#x442;&#x43E; &#x435; &#x43F;&#x43E;&#x434; &#x43C;&#x43E;&#x434;&#x435;&#x440;&#x430;&#x446;&#x438;&#x44F;. &#x41C;&#x43E;&#x436;&#x435;&#x442;&#x435; &#x434;&#x430; &#x449;&#x440;&#x430;&#x43A;&#x43D;&#x435;&#x442;&#x435;, &#x437;&#x430; &#x434;&#x430; &#x43E;&#x43F;&#x438;&#x442;&#x430;&#x442;&#x435; &#x43E;&#x442;&#x43D;&#x43E;&#x432;&#x43E;."},"language:cat":{"application.error_503":"Estem mantenint el nostre servei. V&#xED;deos estaran de tornada aviat.","application.error_404":"No podem recon&#xE8;ixer la clau d&#x27;API. Si us plau assegureu-vos d&#x27;especificar que a la cap&#xE7;alera de la seva p&#xE0;gina web.","application.error_401":"No se li permet accedir a l&#x27;aplicaci&#xF3; des d&#x27;aquest lloc.","application.error_412":"Cal confirmar / actualitzar el seu compte.","application.error_unknown":"S&#x27;ha produ&#xEF;t un error desconegut. El nostre equip ha estat notificat i resoldr&#xE0; el problema.","ziggeoplayer.video-not-found":"No hem trobat el fitxer de v&#xED;deo especificat.","ziggeoplayer.video-access-forbidden":"No se li permet accedir a aquest arxiu de v&#xED;deo.","ziggeoplayer.video-unknown-error":"No podem accedir a aquest v&#xED;deo en el moment. Siusplau, intenta-ho m&#xE9;s tard.","ziggeoplayer.video-rejected":"El v&#xED;deo ha estat rebutjat.","ziggeoplayer.video-processing":"El v&#xED;deo est&#xE0; processant - estigueu atents.","ziggeoplayer.video-access-error":"El v&#xED;deo est&#xE0; actualment a la moderaci&#xF3;. Podeu fer clic per tornar a intentar-ho.","ziggeoaudioplayer.audio-not-found":"No hem pogut trobar el fitxer d&#x27;&#xE0;udio especificat.","ziggeoaudioplayer.audio-access-forbidden":"No teniu perm&#xED;s per accedir a aquest fitxer d&#x27;&#xE0;udio.","ziggeoaudioplayer.audio-unknown-error":"De moment no podem accedir a aquest &#xE0;udio. Siusplau, intenta-ho m&#xE9;s tard.","ziggeoaudioplayer.audio-rejected":"S&#x27;ha rebutjat l&#x27;&#xE0;udio.","ziggeoaudioplayer.audio-processing":"L&#x2019;&#xE0;udio s&#x2019;est&#xE0; processant. Estigueu atents.","ziggeoaudioplayer.audio-access-error":"Actualment l&#x2019;&#xE0;udio est&#xE0; moderat. Podeu fer clic per tornar-ho a provar.","ziggeoimageviewer.image-not-found":"No hem pogut trobar el fitxer d&#x27;imatge especificat.","ziggeoimageviewer.image-access-forbidden":"No teniu perm&#xED;s per accedir a aquest fitxer d&#x27;imatge.","ziggeoimageviewer.image-unknown-error":"De moment no podem accedir a aquesta imatge. Siusplau, intenta-ho m&#xE9;s tard.","ziggeoimageviewer.image-rejected":"La imatge ha estat rebutjada.","ziggeoimageviewer.image-processing":"La imatge s&#x27;est&#xE0; processant; estigueu atents.","ziggeoimageviewer.image-access-error":"Actualment, la imatge est&#xE0; moderada. Podeu fer clic per tornar-ho a provar."},"language:cs":{"application.error_503":"Moment&#xE1;ln&#x11B; na slu&#x17E;b&#x11B; pracujeme, zkuste to pros&#xED;m za chv&#xED;li.","application.error_404":"Nepoda&#x159;ilo se rozpoznat V&#xE1;&#x161; api kl&#xED;&#x10D;. Zkontrolujte pros&#xED;m, &#x17E;e je uveden v hlavi&#x10D;ce Va&#x161;&#xED; webov&#xE9; str&#xE1;nky.","application.error_401":"Z t&#xE9;to str&#xE1;nky nem&#xE1;te povolen p&#x159;&#xED;stup k aplikaci.","application.error_412":"Mus&#xED;te potvrdit / upgradovat sv&#x16F;j &#xFA;&#x10D;et.","application.error_unknown":"Nastala neo&#x10D;ek&#xE1;van&#xE1; chyba. N&#xE1;&#x161; t&#xFD;m byl informov&#xE1;n a pokus&#xED; se tento probl&#xE9;m brzy vy&#x159;e&#x161;it.","ziggeoaudioplayer.audio-not-found":"Nepoda&#x159;ilo se naj&#xED;t specifikovan&#xFD; audio soubor.","ziggeoaudioplayer.audio-access-forbidden":"Nem&#xE1;te p&#x159;&#xED;stup k tomuto audio souboru.","ziggeoaudioplayer.audio-unknown-error":"Moment&#xE1;ln&#x11B; se n&#xE1;m z&#xED;skat toto audio. Zkuste to pros&#xED;m za chv&#xED;li.","ziggeoaudioplayer.audio-rejected":"Toto audio bylo zam&#xED;tnut&#xE9;.","ziggeoaudioplayer.audio-processing":"Toto audio se zpracov&#xE1;v&#xE1; - vy&#x10D;kejte pros&#xED;m.","ziggeoaudioplayer.audio-access-error":"Toto audio &#x10D;ek&#xE1; na schv&#xE1;len&#xED;. M&#x16F;&#x17E;ete kliknout a zkusit to znovu.","ziggeoimageviewer.image-not-found":"Nepoda&#x159;ilo se n&#xE1;m naj&#xED;t specifikovan&#xFD; obr&#xE1;zek.","ziggeoimageviewer.image-access-forbidden":"Nem&#xE1;te p&#x159;&#xED;stup k tomuto obr&#xE1;zku.","ziggeoimageviewer.image-unknown-error":"Nepoda&#x159;ilo se n&#xE1;m z&#xED;skat tento obr&#xE1;zek. Zkuste to pros&#xED;m za chv&#xED;li.","ziggeoimageviewer.image-rejected":"Obr&#xE1;zek byl zam&#xED;tnut.","ziggeoimageviewer.image-processing":"Obr&#xE1;zek se zpracov&#xE1;v&#xE1; - vy&#x10D;kejte pros&#xED;m.","ziggeoimageviewer.image-access-error":"Tento obr&#xE1;zek &#x10D;ek&#xE1; na schv&#xE1;len&#xED;. M&#x16F;&#x17E;ete kliknout a zkusit to znovu.","ziggeoplayer.video-not-found":"Nepoda&#x159;ilo se naj&#xED;t video.","ziggeoplayer.video-access-forbidden":"Nem&#xE1;te p&#x159;&#xED;stup k tomuto video souboru.","ziggeoplayer.video-unknown-error":"Moment&#xE1;ln&#x11B; se n&#xE1;m z&#xED;skat toto video. Zkuste to pros&#xED;m za chv&#xED;li.","ziggeoplayer.video-rejected":"Toto video bylo zam&#xED;tnut&#xE9;.","ziggeoplayer.video-processing":"Toto video se zpracov&#xE1;v&#xE1; - vy&#x10D;kejte pros&#xED;m.","ziggeoplayer.video-access-error":"Toto video &#x10D;ek&#xE1; na schv&#xE1;len&#xED;. M&#x16F;&#x17E;ete kliknout a zkusit to znovu."},"language:da":{"application.error_503":"Vi fastholder vores service. Videoer er snart tilbage.","application.error_404":"Vi kan ikke genkende din API n&#xF8;gle. S&#xF8;rg for at angive det i din hjemmeside overskrift.","application.error_401":"Du har ikke tilladelse til at f&#xE5; adgang til programmet fra dette site.","application.error_412":"Du skal bekr&#xE6;fte / opgradere din konto.","application.error_unknown":"En ukendt fejl opstod. Vores hold er blevet anmeldt og vil l&#xF8;se problemet.","ziggeoplayer.video-not-found":"Vi kunne ikke finde den angivne videofil.","ziggeoplayer.video-access-forbidden":"Det er ikke tilladt at f&#xE5; adgang til denne video-fil.","ziggeoplayer.video-unknown-error":"Vi kan ikke f&#xE5; adgang til denne video i &#xF8;jeblikket. Pr&#xF8;v igen senere.","ziggeoplayer.video-rejected":"Videoen er blevet afvist.","ziggeoplayer.video-processing":"Videoen behandles - Stay tuned.","ziggeoplayer.video-access-error":"Videoen er i &#xF8;jeblikket under moderation. Du kan klikke for at pr&#xF8;ve igen.","ziggeoaudioplayer.audio-not-found":"Vi kunne ikke finde den angivne lydfil.","ziggeoaudioplayer.audio-access-forbidden":"Du har ikke adgang til denne lydfil.","ziggeoaudioplayer.audio-unknown-error":"Vi kan ikke f&#xE5; adgang til denne lyd i &#xF8;jeblikket. Pr&#xF8;v igen senere.","ziggeoaudioplayer.audio-rejected":"Lyden er blevet afvist.","ziggeoaudioplayer.audio-processing":"Lyden behandles - hold dig opdateret.","ziggeoaudioplayer.audio-access-error":"Lyden er i &#xF8;jeblikket under moderering. Du kan klikke for at pr&#xF8;ve igen.","ziggeoimageviewer.image-not-found":"Vi kunne ikke finde den angivne billedfil.","ziggeoimageviewer.image-access-forbidden":"Du har ikke adgang til denne billedfil.","ziggeoimageviewer.image-unknown-error":"Vi kan ikke f&#xE5; adgang til dette billede i &#xF8;jeblikket. Pr&#xF8;v igen senere.","ziggeoimageviewer.image-rejected":"Billedet er afvist.","ziggeoimageviewer.image-processing":"Billedet behandles - hold dig opdateret.","ziggeoimageviewer.image-access-error":"Billedet er i &#xF8;jeblikket under moderering. Du kan klikke for at pr&#xF8;ve igen."},"language:de":{"application.error_503":"Das System wird gerade gewartet. Die Videofunktion ist in K&#xFC;rze wieder aktiv.","application.error_404":"Der API Schl&#xFC;ssel wurde nicht gefunden. Bitte &#xFC;berpr&#xFC;fen.","application.error_401":"Der Zugriff auf die Applikation wurde verweigert.","application.error_412":"Ihr Account muss best&#xE4;tigt bzw. f&#xFC;r weitere Videos freigeschaltet werden.","application.error_unknown":"Ein unbekannter Fehler ist aufgetreten. Unser Team wurde dar&#xFC;ber informiert und wird das Problem l&#xF6;sen.","ziggeoaudioplayer.audio-not-found":"Das angegebene Audio konnte nicht gefunden werden.","ziggeoaudioplayer.audio-access-forbidden":"Der Zugriff auf das angegebene Audio wurde verweigert.","ziggeoaudioplayer.audio-unknown-error":"Auf das angegebene Audio kann zur Zeit nicht zugegriffen werden. Bitte zu einem sp&#xE4;teren Zeitpunkt erneut versuchen.","ziggeoaudioplayer.audio-rejected":"Das Audio wurde nicht freigegeben.","ziggeoaudioplayer.audio-processing":"Das Audio wird gerade verarbeitet, bitte kurz warten.","ziggeoaudioplayer.audio-access-error":"Das Audio wird gerade moderiert, bitte etwas sp&#xE4;ter erneut versuchen.","ziggeoimageviewer.image-not-found":"Das angegebene Bild konnte nicht gefunden werden.","ziggeoimageviewer.image-access-forbidden":"Der Zugriff auf das angegebene Bild wurde verweigert.","ziggeoimageviewer.image-unknown-error":"Auf das angegebene Bild kann zur Zeit nicht zugegriffen werden. Bitte zu einem sp&#xE4;teren Zeitpunkt erneut versuchen.","ziggeoimageviewer.image-rejected":"Das Bild wurde nicht freigegeben.","ziggeoimageviewer.image-processing":"Das Bild wird gerade verarbeitet, bitte kurz warten.","ziggeoimageviewer.image-access-error":"Das Bild wird gerade moderiert, bitte etwas sp&#xE4;ter erneut versuchen.","ziggeoplayer.video-not-found":"Das angegebene Video konnte nicht gefunden werden.","ziggeoplayer.video-access-forbidden":"Der Zugriff auf das angegebene Video wurde verweigert.","ziggeoplayer.video-unknown-error":"Auf das angegebene Video kann zur Zeit nicht zugegriffen werden. Bitte zu einem sp&#xE4;teren Zeitpunkt erneut versuchen.","ziggeoplayer.video-rejected":"Das Video wurde nicht freigegeben.","ziggeoplayer.video-processing":"Das Video wird gerade verarbeitet, bitte kurz warten.","ziggeoplayer.video-access-error":"Das Video wird gerade moderiert, bitte etwas sp&#xE4;ter erneut versuchen."},"language:el":{"application.error_503":"&#x3A0;&#x3C1;&#x3B1;&#x3B3;&#x3BC;&#x3B1;&#x3C4;&#x3BF;&#x3C0;&#x3BF;&#x3B9;&#x3BF;&#x3CD;&#x3BC;&#x3B5; &#x3B5;&#x3C1;&#x3B3;&#x3B1;&#x3C3;&#x3AF;&#x3B5;&#x3C2; &#x3C3;&#x3C5;&#x3BD;&#x3C4;&#x3AE;&#x3C1;&#x3B7;&#x3C3;&#x3B7;&#x3C2;. &#x3A4;&#x3B1; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3BF; &#x3B8;&#x3B1; &#x3B5;&#x3C0;&#x3B1;&#x3BD;&#x3AD;&#x3BB;&#x3B8;&#x3BF;&#x3C5;&#x3BD; &#x3C3;&#x3CD;&#x3BD;&#x3C4;&#x3BF;&#x3BC;&#x3B1;.","application.error_404":"&#x394;&#x3B5;&#x3BD; &#x3BC;&#x3C0;&#x3BF;&#x3C1;&#x3BF;&#x3CD;&#x3BC;&#x3B5; &#x3BD;&#x3B1; &#x3B1;&#x3BD;&#x3B1;&#x3B3;&#x3C9;&#x3C1;&#x3AF;&#x3C3;&#x3BF;&#x3C5;&#x3BC;&#x3B5; &#x3C4;&#x3BF; &#x3BA;&#x3BB;&#x3B5;&#x3B9;&#x3B4;&#x3AF; &#x3C3;&#x3B1;&#x3C2; &#x3B3;&#x3B9;&#x3B1; &#x3C4;&#x3BF; api. &#x3A0;&#x3B1;&#x3C1;&#x3B1;&#x3BA;&#x3B1;&#x3BB;&#x3BF;&#x3CD;&#x3BC;&#x3B5; &#x3B2;&#x3B5;&#x3B2;&#x3B1;&#x3B9;&#x3C9;&#x3B8;&#x3B5;&#x3AF;&#x3C4;&#x3B5; &#x3CC;&#x3C4;&#x3B9; &#x3C4;&#x3BF; &#x3AD;&#x3C7;&#x3B5;&#x3C4;&#x3B5; &#x3BF;&#x3C1;&#x3AF;&#x3C3;&#x3B5;&#x3B9; &#x3C3;&#x3C4;&#x3B7;&#x3BD; &#x3B5;&#x3C0;&#x3B9;&#x3BA;&#x3B5;&#x3C6;&#x3B1;&#x3BB;&#x3AF;&#x3B4;&#x3B1; &#x3C4;&#x3B7;&#x3C2; &#x3B9;&#x3C3;&#x3C4;&#x3BF;&#x3C3;&#x3B5;&#x3BB;&#x3AF;&#x3B4;&#x3B1;&#x3C2; &#x3C3;&#x3B1;&#x3C2;.","application.error_401":"&#x394;&#x3B5;&#x3BD; &#x3B5;&#x3C0;&#x3B9;&#x3C4;&#x3C1;&#x3AD;&#x3C0;&#x3B5;&#x3C4;&#x3B1;&#x3B9; &#x3B7; &#x3C0;&#x3C1;&#x3CC;&#x3C3;&#x3B2;&#x3B1;&#x3C3;&#x3B7; &#x3C3;&#x3C4;&#x3B7;&#x3BD; &#x3B5;&#x3C6;&#x3B1;&#x3C1;&#x3BC;&#x3BF;&#x3B3;&#x3AE; &#x3B1;&#x3C0;&#x3CC; &#x3B1;&#x3C5;&#x3C4;&#x3CC; &#x3C4;&#x3BF; site.","application.error_412":"&#x3A0;&#x3C1;&#x3AD;&#x3C0;&#x3B5;&#x3B9; &#x3BD;&#x3B1; &#x3B5;&#x3C0;&#x3B9;&#x3B2;&#x3B5;&#x3B2;&#x3B1;&#x3B9;&#x3CE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; / &#x3B1;&#x3BD;&#x3B1;&#x3B2;&#x3B1;&#x3B8;&#x3BC;&#x3AF;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3C4;&#x3BF;&#x3BD; &#x3BB;&#x3BF;&#x3B3;&#x3B1;&#x3C1;&#x3B9;&#x3B1;&#x3C3;&#x3BC;&#x3CC; &#x3C3;&#x3B1;&#x3C2;.","application.error_unknown":"&#x3A3;&#x3C5;&#x3BD;&#x3AD;&#x3B2;&#x3B5;&#x3B9; &#x3AD;&#x3BD;&#x3B1; &#x3AC;&#x3B3;&#x3BD;&#x3C9;&#x3C3;&#x3C4;&#x3BF; &#x3BB;&#x3AC;&#x3B8;&#x3BF;&#x3C2;. &#x397; &#x3BF;&#x3BC;&#x3AC;&#x3B4;&#x3B1; &#x3BC;&#x3B1;&#x3C2; &#x3AD;&#x3C7;&#x3B5;&#x3B9; &#x3B5;&#x3B9;&#x3B4;&#x3BF;&#x3C0;&#x3BF;&#x3B9;&#x3B7;&#x3B8;&#x3B5;&#x3AF; &#x3BA;&#x3B1;&#x3B9; &#x3B8;&#x3B1; &#x3B5;&#x3C0;&#x3B9;&#x3BB;&#x3CD;&#x3C3;&#x3B5;&#x3B9; &#x3C4;&#x3BF; &#x3C0;&#x3C1;&#x3CC;&#x3B2;&#x3BB;&#x3B7;&#x3BC;&#x3B1;.","ziggeoplayer.video-not-found":"&#x394;&#x3B5;&#x3BD; &#x3BC;&#x3C0;&#x3BF;&#x3C1;&#x3AD;&#x3C3;&#x3B1;&#x3BC;&#x3B5; &#x3BD;&#x3B1; &#x3B2;&#x3C1;&#x3BF;&#x3CD;&#x3BC;&#x3B5; &#x3C4;&#x3BF; &#x3C3;&#x3C5;&#x3B3;&#x3BA;&#x3B5;&#x3BA;&#x3C1;&#x3B9;&#x3BC;&#x3AD;&#x3BD;&#x3BF; &#x3B1;&#x3C1;&#x3C7;&#x3B5;&#x3AF;&#x3BF; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3BF;.","ziggeoplayer.video-access-forbidden":"&#x394;&#x3B5;&#x3BD; &#x3C3;&#x3B1;&#x3C2; &#x3B5;&#x3C0;&#x3B9;&#x3C4;&#x3C1;&#x3AD;&#x3C0;&#x3B5;&#x3C4;&#x3B1;&#x3B9; &#x3B7; &#x3C0;&#x3C1;&#x3CC;&#x3C3;&#x3B2;&#x3B1;&#x3C3;&#x3B7; &#x3C3;&#x3B5; &#x3B1;&#x3C5;&#x3C4;&#x3CC; &#x3C4;&#x3BF; &#x3B1;&#x3C1;&#x3C7;&#x3B5;&#x3AF;&#x3BF; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3BF;.","ziggeoplayer.video-unknown-error":"&#x391;&#x3C5;&#x3C4;&#x3BB;&#x3B7; &#x3C4;&#x3B7; &#x3C3;&#x3C4;&#x3B9;&#x3B3;&#x3BC;&#x3AE; &#x3B4;&#x3B5;&#x3BD; &#x3B5;&#x3AF;&#x3BD;&#x3B1;&#x3B9; &#x3B4;&#x3C5;&#x3BD;&#x3B1;&#x3C4;&#x3AE; &#x3B7; &#x3C0;&#x3C1;&#x3CC;&#x3C3;&#x3B2;&#x3B1;&#x3C3;&#x3B7; &#x3C3;&#x3B5; &#x3B1;&#x3C5;&#x3C4;&#x3BF; &#x3C4;&#x3BF; &#x3B1;&#x3C1;&#x3C7;&#x3B5;&#x3AF;&#x3BF;. &#x3A0;&#x3B1;&#x3C1;&#x3B1;&#x3BA;&#x3B1;&#x3BB;&#x3BF;&#x3CD;&#x3BC;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3B1;&#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3C4;&#x3B5; &#x3B1;&#x3C1;&#x3B3;&#x3CC;&#x3C4;&#x3B5;&#x3C1;&#x3B1;.","ziggeoplayer.video-rejected":"&#x3A4;&#x3BF; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3BF; &#x3B1;&#x3C0;&#x3BF;&#x3C1;&#x3C1;&#x3AF;&#x3C6;&#x3B8;&#x3B7;&#x3BA;&#x3B5;.","ziggeoplayer.video-processing":"&#x393;&#x3AF;&#x3BD;&#x3B5;&#x3C4;&#x3B1;&#x3B9; &#x3B5;&#x3C0;&#x3B5;&#x3BE;&#x3B5;&#x3C1;&#x3B3;&#x3B1;&#x3C3;&#x3AF;&#x3B1; &#x3C4;&#x3BF;&#x3C5; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3BF;. &#x3A0;&#x3B1;&#x3C1;&#x3B1;&#x3BA;&#x3B1;&#x3BB;&#x3CE; &#x3C0;&#x3B5;&#x3C1;&#x3B9;&#x3BC;&#x3AD;&#x3BD;&#x3B5;&#x3C4;&#x3B5;.","ziggeoplayer.video-access-error":"&#x3A4;&#x3BF; &#x3B2;&#x3AF;&#x3BD;&#x3C4;&#x3B5;&#x3BF; &#x3B5;&#x3BB;&#x3AD;&#x3B3;&#x3C7;&#x3B5;&#x3C4;&#x3B1;&#x3B9; &#x3C9;&#x3C2; &#x3C0;&#x3C1;&#x3BF;&#x3C2; &#x3C4;&#x3BF; &#x3C0;&#x3B5;&#x3C1;&#x3B9;&#x3B5;&#x3C7;&#x3CC;&#x3BC;&#x3B5;&#x3BD;&#x3CC; &#x3C4;&#x3BF;&#x3C5;. &#x39C;&#x3C0;&#x3BF;&#x3C1;&#x3B5;&#x3AF;&#x3C4;&#x3B5; &#x3BD;&#x3B1; &#x3BA;&#x3AC;&#x3BD;&#x3B5;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3BE;&#x3B1;&#x3BD;&#x3B1;&#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3C4;&#x3B5;.","ziggeoaudioplayer.audio-not-found":"&#x394;&#x3B5;&#x3BD; &#x3AE;&#x3C4;&#x3B1;&#x3BD; &#x3B4;&#x3C5;&#x3BD;&#x3B1;&#x3C4;&#x3AE; &#x3B7; &#x3B5;&#x3CD;&#x3C1;&#x3B5;&#x3C3;&#x3B7; &#x3C4;&#x3BF;&#x3C5; &#x3BA;&#x3B1;&#x3B8;&#x3BF;&#x3C1;&#x3B9;&#x3C3;&#x3BC;&#x3AD;&#x3BD;&#x3BF;&#x3C5; &#x3B1;&#x3C1;&#x3C7;&#x3B5;&#x3AF;&#x3BF;&#x3C5; &#x3AE;&#x3C7;&#x3BF;&#x3C5;.","ziggeoaudioplayer.audio-access-forbidden":"&#x394;&#x3B5;&#x3BD; &#x3B5;&#x3C0;&#x3B9;&#x3C4;&#x3C1;&#x3AD;&#x3C0;&#x3B5;&#x3C4;&#x3B1;&#x3B9; &#x3B7; &#x3C0;&#x3C1;&#x3CC;&#x3C3;&#x3B2;&#x3B1;&#x3C3;&#x3B7; &#x3C3;&#x3B5; &#x3B1;&#x3C5;&#x3C4;&#x3CC; &#x3C4;&#x3BF; &#x3B1;&#x3C1;&#x3C7;&#x3B5;&#x3AF;&#x3BF; &#x3AE;&#x3C7;&#x3BF;&#x3C5;.","ziggeoaudioplayer.audio-unknown-error":"&#x394;&#x3B5;&#x3BD; &#x3BC;&#x3C0;&#x3BF;&#x3C1;&#x3BF;&#x3CD;&#x3BC;&#x3B5; &#x3BD;&#x3B1; &#x3B1;&#x3C0;&#x3BF;&#x3BA;&#x3C4;&#x3AE;&#x3C3;&#x3BF;&#x3C5;&#x3BC;&#x3B5; &#x3C0;&#x3C1;&#x3CC;&#x3C3;&#x3B2;&#x3B1;&#x3C3;&#x3B7; &#x3C3;&#x3B5; &#x3B1;&#x3C5;&#x3C4;&#x3CC;&#x3BD; &#x3C4;&#x3BF;&#x3BD; &#x3AE;&#x3C7;&#x3BF; &#x3B1;&#x3C5;&#x3C4;&#x3AE;&#x3BD; &#x3C4;&#x3B7; &#x3C3;&#x3C4;&#x3B9;&#x3B3;&#x3BC;&#x3AE;. &#x3A0;&#x3B1;&#x3C1;&#x3B1;&#x3BA;&#x3B1;&#x3BB;&#x3CE; &#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3AC;&#x3B8;&#x3B7;&#x3C3;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3AC; &#x3B1;&#x3C1;&#x3B3;&#x3CC;&#x3C4;&#x3B5;&#x3C1;&#x3B1;.","ziggeoaudioplayer.audio-rejected":"&#x39F; &#x3AE;&#x3C7;&#x3BF;&#x3C2; &#x3B1;&#x3C0;&#x3BF;&#x3C1;&#x3C1;&#x3AF;&#x3C6;&#x3B8;&#x3B7;&#x3BA;&#x3B5;.","ziggeoaudioplayer.audio-processing":"&#x39F; &#x3AE;&#x3C7;&#x3BF;&#x3C2; &#x3B5;&#x3C0;&#x3B5;&#x3BE;&#x3B5;&#x3C1;&#x3B3;&#x3AC;&#x3B6;&#x3B5;&#x3C4;&#x3B1;&#x3B9; - &#x3BC;&#x3B5;&#x3AF;&#x3BD;&#x3B5;&#x3C4;&#x3B5; &#x3C3;&#x3C5;&#x3BD;&#x3C4;&#x3BF;&#x3BD;&#x3B9;&#x3C3;&#x3BC;&#x3AD;&#x3BD;&#x3BF;&#x3B9;.","ziggeoaudioplayer.audio-access-error":"&#x39F; &#x3AE;&#x3C7;&#x3BF;&#x3C2; &#x3B2;&#x3C1;&#x3AF;&#x3C3;&#x3BA;&#x3B5;&#x3C4;&#x3B1;&#x3B9; &#x3C5;&#x3C0;&#x3CC; &#x3B5;&#x3C0;&#x3BF;&#x3C0;&#x3C4;&#x3B5;&#x3AF;&#x3B1;. &#x39C;&#x3C0;&#x3BF;&#x3C1;&#x3B5;&#x3AF;&#x3C4;&#x3B5; &#x3BD;&#x3B1; &#x3BA;&#x3AC;&#x3BD;&#x3B5;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3AC;.","ziggeoimageviewer.image-not-found":"&#x394;&#x3B5;&#x3BD; &#x3AE;&#x3C4;&#x3B1;&#x3BD; &#x3B4;&#x3C5;&#x3BD;&#x3B1;&#x3C4;&#x3AE; &#x3B7; &#x3B5;&#x3CD;&#x3C1;&#x3B5;&#x3C3;&#x3B7; &#x3C4;&#x3BF;&#x3C5; &#x3BA;&#x3B1;&#x3B8;&#x3BF;&#x3C1;&#x3B9;&#x3C3;&#x3BC;&#x3AD;&#x3BD;&#x3BF;&#x3C5; &#x3B1;&#x3C1;&#x3C7;&#x3B5;&#x3AF;&#x3BF;&#x3C5; &#x3B5;&#x3B9;&#x3BA;&#x3CC;&#x3BD;&#x3B1;&#x3C2;.","ziggeoimageviewer.image-access-forbidden":"&#x394;&#x3B5;&#x3BD; &#x3B5;&#x3C0;&#x3B9;&#x3C4;&#x3C1;&#x3AD;&#x3C0;&#x3B5;&#x3C4;&#x3B1;&#x3B9; &#x3B7; &#x3C0;&#x3C1;&#x3CC;&#x3C3;&#x3B2;&#x3B1;&#x3C3;&#x3B7; &#x3C3;&#x3B5; &#x3B1;&#x3C5;&#x3C4;&#x3CC; &#x3C4;&#x3BF; &#x3B1;&#x3C1;&#x3C7;&#x3B5;&#x3AF;&#x3BF; &#x3B5;&#x3B9;&#x3BA;&#x3CC;&#x3BD;&#x3B1;&#x3C2;.","ziggeoimageviewer.image-unknown-error":"&#x394;&#x3B5;&#x3BD; &#x3BC;&#x3C0;&#x3BF;&#x3C1;&#x3BF;&#x3CD;&#x3BC;&#x3B5; &#x3BD;&#x3B1; &#x3AD;&#x3C7;&#x3BF;&#x3C5;&#x3BC;&#x3B5; &#x3C0;&#x3C1;&#x3CC;&#x3C3;&#x3B2;&#x3B1;&#x3C3;&#x3B7; &#x3C3;&#x3B5; &#x3B1;&#x3C5;&#x3C4;&#x3AE;&#x3BD; &#x3C4;&#x3B7;&#x3BD; &#x3B5;&#x3B9;&#x3BA;&#x3CC;&#x3BD;&#x3B1; &#x3B1;&#x3C5;&#x3C4;&#x3AE; &#x3C4;&#x3B7; &#x3C3;&#x3C4;&#x3B9;&#x3B3;&#x3BC;&#x3AE;. &#x3A0;&#x3B1;&#x3C1;&#x3B1;&#x3BA;&#x3B1;&#x3BB;&#x3CE; &#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3AC;&#x3B8;&#x3B7;&#x3C3;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3AC; &#x3B1;&#x3C1;&#x3B3;&#x3CC;&#x3C4;&#x3B5;&#x3C1;&#x3B1;.","ziggeoimageviewer.image-rejected":"&#x397; &#x3B5;&#x3B9;&#x3BA;&#x3CC;&#x3BD;&#x3B1; &#x3B1;&#x3C0;&#x3BF;&#x3C1;&#x3C1;&#x3AF;&#x3C6;&#x3B8;&#x3B7;&#x3BA;&#x3B5;.","ziggeoimageviewer.image-processing":"&#x397; &#x3B5;&#x3B9;&#x3BA;&#x3CC;&#x3BD;&#x3B1; &#x3B5;&#x3C0;&#x3B5;&#x3BE;&#x3B5;&#x3C1;&#x3B3;&#x3AC;&#x3B6;&#x3B5;&#x3C4;&#x3B1;&#x3B9; - &#x3BC;&#x3B5;&#x3AF;&#x3BD;&#x3B5;&#x3C4;&#x3B5; &#x3C3;&#x3C5;&#x3BD;&#x3C4;&#x3BF;&#x3BD;&#x3B9;&#x3C3;&#x3BC;&#x3AD;&#x3BD;&#x3BF;&#x3B9;.","ziggeoimageviewer.image-access-error":"&#x397; &#x3B5;&#x3B9;&#x3BA;&#x3CC;&#x3BD;&#x3B1; &#x3B2;&#x3C1;&#x3AF;&#x3C3;&#x3BA;&#x3B5;&#x3C4;&#x3B1;&#x3B9; &#x3C5;&#x3C0;&#x3CC; &#x3B5;&#x3C0;&#x3BF;&#x3C0;&#x3C4;&#x3B5;&#x3AF;&#x3B1;. &#x39C;&#x3C0;&#x3BF;&#x3C1;&#x3B5;&#x3AF;&#x3C4;&#x3B5; &#x3BD;&#x3B1; &#x3BA;&#x3AC;&#x3BD;&#x3B5;&#x3C4;&#x3B5; &#x3BA;&#x3BB;&#x3B9;&#x3BA; &#x3B3;&#x3B9;&#x3B1; &#x3BD;&#x3B1; &#x3C0;&#x3C1;&#x3BF;&#x3C3;&#x3C0;&#x3B1;&#x3B8;&#x3AE;&#x3C3;&#x3B5;&#x3C4;&#x3B5; &#x3BE;&#x3B1;&#x3BD;&#x3AC;."},"language:es":{"application.error_503":"Nuestro servicio se encuentra en mantenimiento. Los v&#xED;deos estar&#xE1;n de vuelta pronto.","application.error_404":"No podemos reconocer la clave de la API. Por favor aseg&#xFA;rese de especificarla en la cabecera de su p&#xE1;gina web.","application.error_401":"No tiene permitido acceder a la aplicaci&#xF3;n desde este sitio.","application.error_412":"Es necesario confirmar / actualizar su cuenta.","application.error_unknown":"Ocurri&#xF3; un error desconocido. Nuestro equipo ha sido notificado y resolver&#xE1; el problema.","ziggeoaudioplayer.audio-not-found":"No hemos podido encontrar el archivo de audio especificado.","ziggeoaudioplayer.audio-access-forbidden":"No se le permite acceder a este archivo de audio.","ziggeoaudioplayer.audio-unknown-error":"No podemos acceder a este audio por el momento. Por favor, int&#xE9;ntelo de nuevo m&#xE1;s tarde.","ziggeoaudioplayer.audio-rejected":"El audio ha sido rechazado.","ziggeoaudioplayer.audio-processing":"El audio est&#xE1; siendo procesado - estad atentos.","ziggeoaudioplayer.audio-access-error":"EL audio est&#xE1; actualmente en moderaci&#xF3;n. Puede hacer clic para volver a intentarlo.","ziggeoimageviewer.image-not-found":"No hemos podido encontrar el archivo de imagen especificado.","ziggeoimageviewer.image-access-forbidden":"No se le permite acceder a esta imagen.","ziggeoimageviewer.image-unknown-error":"No podemos acceder a esta imagen por el momento. Por favor, int&#xE9;ntelo de nuevo m&#xE1;s tarde.","ziggeoimageviewer.image-rejected":"La imagen ha sido rechazada.","ziggeoimageviewer.image-processing":"La imagen est&#xE1; siendo procesada - estad atentos.","ziggeoimageviewer.image-access-error":"La imagen est&#xE1; actualmente en moderaci&#xF3;n. Puede hacer clic para volver a intentarlo.","ziggeoplayer.video-not-found":"No hemos podido encontrar el archivo de v&#xED;deo especificado.","ziggeoplayer.video-access-forbidden":"No se le permite acceder a este archivo de v&#xED;deo.","ziggeoplayer.video-unknown-error":"No podemos acceder a este v&#xED;deo por el momento. Por favor, int&#xE9;ntelo de nuevo m&#xE1;s tarde.","ziggeoplayer.video-rejected":"El v&#xED;deo ha sido rechazado.","ziggeoplayer.video-processing":"El v&#xED;deo est&#xE1; siendo procesado - estad atentos.","ziggeoplayer.video-access-error":"El v&#xED;deo est&#xE1; actualmente en moderaci&#xF3;n. Puede hacer clic para volver a intentarlo."},"language:fi":{"application.error_503":"Huoltokatkos. Yrit&#xE4; kohta uudestaan.","application.error_404":"Ep&#xE4;kelpo API-avain. Muista lis&#xE4;t&#xE4; se sivuston otsikkoskriptiin.","application.error_401":"Ei oikeutta k&#xE4;ytt&#xE4;&#xE4; sovellusta t&#xE4;lt&#xE4; sivustolta.","application.error_412":"Tili t&#xE4;ytyy vahvistaa tai p&#xE4;ivitt&#xE4;&#xE4;.","application.error_unknown":"Tuntematon virhe. Tiimillemme on tehty ilmoitus ja he aloittavat ongelmanratkaisun.","ziggeoaudioplayer.audio-not-found":"M&#xE4;&#xE4;ritelty&#xE4; &#xE4;&#xE4;nitiedostoa ei l&#xF6;ydy.","ziggeoaudioplayer.audio-access-forbidden":"Ei oikeutta k&#xE4;ytt&#xE4;&#xE4; t&#xE4;t&#xE4; &#xE4;&#xE4;nitiedostoa.","ziggeoaudioplayer.audio-unknown-error":"T&#xE4;t&#xE4; &#xE4;&#xE4;nitiedostoa ei voi k&#xE4;ytt&#xE4;&#xE4; t&#xE4;ll&#xE4; hetkell&#xE4;. Yrit&#xE4; uudelleen my&#xF6;hemmin.","ziggeoaudioplayer.audio-rejected":"&#xC4;&#xE4;nitiedosto on hyl&#xE4;tty.","ziggeoaudioplayer.audio-processing":"&#xC4;&#xE4;nitiedostoa k&#xE4;sitell&#xE4;&#xE4;n - odota sulkematta.","ziggeoaudioplayer.audio-access-error":"&#xC4;&#xE4;nitiedosto on moderoitavana. Yrit&#xE4; uudelleen klikkaamalla.","ziggeoimageviewer.image-not-found":"M&#xE4;&#xE4;ritelty&#xE4; kuvaa ei l&#xF6;ydy.","ziggeoimageviewer.image-access-forbidden":"Ei oikeutta k&#xE4;ytt&#xE4;&#xE4; t&#xE4;t&#xE4; kuvaa.","ziggeoimageviewer.image-unknown-error":"T&#xE4;t&#xE4; kuvaa ei voi k&#xE4;ytt&#xE4;&#xE4; t&#xE4;ll&#xE4; hetkell&#xE4;. Yrit&#xE4; uudelleen my&#xF6;hemmin.","ziggeoimageviewer.image-rejected":"Kuva on hyl&#xE4;tty.","ziggeoimageviewer.image-processing":"Kuvaa k&#xE4;sitell&#xE4;&#xE4;n - odota sulkematta.","ziggeoimageviewer.image-access-error":"Kuva on moderoitavana. Yrit&#xE4; uudelleen klikkaamalla.","ziggeoplayer.video-not-found":"M&#xE4;&#xE4;ritelty&#xE4; videota ei l&#xF6;ydy.","ziggeoplayer.video-access-forbidden":"Ei oikeutta k&#xE4;ytt&#xE4;&#xE4; t&#xE4;t&#xE4; videota.","ziggeoplayer.video-unknown-error":"T&#xE4;t&#xE4; videota ei voi k&#xE4;ytt&#xE4;&#xE4; t&#xE4;ll&#xE4; hetkell&#xE4;. Yrit&#xE4; uudelleen my&#xF6;hemmin.","ziggeoplayer.video-rejected":"Video on hyl&#xE4;tty.","ziggeoplayer.video-processing":"Videota k&#xE4;sitell&#xE4;&#xE4;n - odota sulkematta.","ziggeoplayer.video-access-error":"Video on moderoitavana. Yrit&#xE4; uudelleen klikkaamalla."},"language:fr":{"application.error_503":"Notre service est en maintenance ou service en maintenance. Les vid&#xE9;os seront bient&#xF4;t de retours.","application.error_404":"Nous ne pouvons lire ou reconnaitre votre cl&#xE9; API. Assurez vous qu&#x2019;elle soit connect&#xE9;e avec l&#x2019;ent&#xEA;te du site web.","application.error_401":"Vous n&#x2019;&#xEA;tes pas autoris&#xE9; &#xE0; acc&#xE9;der &#xE0; l&#x2019;application depuis ce site.","application.error_412":"Vous devez confirmer/ veuillez mettre &#xE0; jour votre compte.","application.error_unknown":"Une erreur s&#x2019;est produite, notre &#xE9;quipe a &#xE9;t&#xE9; pr&#xE9;venue et interviendra dans les meilleurs d&#xE9;lais.","ziggeoaudioplayer.audio-not-found":"Nous n&#x27;avons pas pu trouver le fichier audio sp&#xE9;cifi&#xE9;.","ziggeoaudioplayer.audio-access-forbidden":"Vous n&#x27;&#xEA;tes pas autoris&#xE9; &#xE0; acc&#xE9;der &#xE0; ce fichier audio.","ziggeoaudioplayer.audio-unknown-error":"Nous ne pouvons pas acc&#xE9;der &#xE0; cet audio pour le moment. Veuillez r&#xE9;essayer plus tard.","ziggeoaudioplayer.audio-rejected":"L&#x27;audio a &#xE9;t&#xE9; rejet&#xE9;.","ziggeoaudioplayer.audio-processing":"L&#x27;audio est en cours de traitement - restez &#xE0; l&#x27;&#xE9;coute.","ziggeoaudioplayer.audio-access-error":"L&#x27;audio est actuellement en cours de mod&#xE9;ration. Vous pouvez cliquer pour r&#xE9;essayer.","ziggeoimageviewer.image-not-found":"Nous n&#x27;avons pas pu trouver le fichier image sp&#xE9;cifi&#xE9;.","ziggeoimageviewer.image-access-forbidden":"Vous n&#x27;&#xEA;tes pas autoris&#xE9; &#xE0; acc&#xE9;der &#xE0; ce fichier image.","ziggeoimageviewer.image-unknown-error":"Nous ne pouvons pas acc&#xE9;der &#xE0; cette image pour le moment. Veuillez r&#xE9;essayer plus tard.","ziggeoimageviewer.image-rejected":"L&#x27;image a &#xE9;t&#xE9; rejet&#xE9;e.","ziggeoimageviewer.image-processing":"L&#x27;image est en cours de traitement - restez &#xE0; l&#x27;&#xE9;coute.","ziggeoimageviewer.image-access-error":"L&#x27;image est actuellement en cours de mod&#xE9;ration. Vous pouvez cliquer pour r&#xE9;essayer.","ziggeoplayer.video-not-found":"Nous ne pouvons trouver votre fichier vid&#xE9;o.","ziggeoplayer.video-access-forbidden":"Vous n&#x2019;&#xEA;tes pas autoris&#xE9; &#xE0; accede &#xE0; ce fichier vid&#xE9;o.","ziggeoplayer.video-unknown-error":"Nous ne pouvons pas acc&#xE9;der &#xE0; cette vid&#xE9;o pour le moment - R&#xE9;essayez plus tard.","ziggeoplayer.video-rejected":"La vid&#xE9;o a &#xE9;t&#xE9; rejet&#xE9;e.","ziggeoplayer.video-processing":"La vid&#xE9;o est en cours de traitement - restez &#xE0; l&#x27;&#xE9;coute.","ziggeoplayer.video-access-error":"La vid&#xE9;o est en cours de mod&#xE9;ration. Vous pouvez cliquer pour r&#xE9;essayer."},"language:hi":{"application.error_503":"&#x939;&#x92E; &#x905;&#x92A;&#x928;&#x940; &#x938;&#x947;&#x935;&#x93E; &#x915;&#x94B; &#x92C;&#x928;&#x93E;&#x90F; &#x930;&#x916;&#x924;&#x947; &#x939;&#x948;&#x902; &#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x91C;&#x932;&#x94D;&#x926; &#x939;&#x940; &#x935;&#x93E;&#x92A;&#x938; &#x906; &#x91C;&#x93E;&#x90F;&#x902;&#x917;&#x947;","application.error_404":"&#x939;&#x92E; &#x906;&#x92A;&#x915;&#x940; &#x90F;&#x92A;&#x940;&#x906;&#x908; &#x915;&#x941;&#x902;&#x91C;&#x940; &#x915;&#x94B; &#x928;&#x939;&#x940;&#x902; &#x92A;&#x939;&#x91A;&#x93E;&#x928; &#x938;&#x915;&#x924;&#x947; &#x915;&#x943;&#x92A;&#x92F;&#x93E; &#x907;&#x938;&#x947; &#x905;&#x92A;&#x928;&#x940; &#x935;&#x947;&#x92C;&#x938;&#x93E;&#x907;&#x91F; &#x915;&#x947; &#x939;&#x947;&#x921;&#x930; &#x92E;&#x947;&#x902; &#x928;&#x93F;&#x930;&#x94D;&#x926;&#x93F;&#x937;&#x94D;&#x91F; &#x915;&#x930;&#x928;&#x93E; &#x938;&#x941;&#x928;&#x93F;&#x936;&#x94D;&#x91A;&#x93F;&#x924; &#x915;&#x930;&#x947;&#x902;","application.error_401":"&#x906;&#x92A;&#x915;&#x94B; &#x907;&#x938; &#x938;&#x93E;&#x907;&#x91F; &#x938;&#x947; &#x906;&#x935;&#x947;&#x926;&#x928; &#x924;&#x915; &#x92A;&#x939;&#x941;&#x902;&#x91A;&#x928;&#x947; &#x915;&#x940; &#x905;&#x928;&#x941;&#x92E;&#x924;&#x93F; &#x928;&#x939;&#x940;&#x902; &#x939;&#x948;&#x964;","application.error_412":"&#x906;&#x92A;&#x915;&#x94B; &#x905;&#x92A;&#x928;&#x947; &#x916;&#x93E;&#x924;&#x947; &#x915;&#x940; &#x92A;&#x941;&#x937;&#x94D;&#x91F;&#x93F; / &#x905;&#x92A;&#x917;&#x94D;&#x930;&#x947;&#x921; &#x915;&#x930;&#x928;&#x947; &#x915;&#x940; &#x906;&#x935;&#x936;&#x94D;&#x92F;&#x915;&#x924;&#x93E; &#x939;&#x948;&#x964;","application.error_unknown":"&#x90F;&#x915; &#x905;&#x91C;&#x94D;&#x91E;&#x93E;&#x924; &#x924;&#x94D;&#x930;&#x941;&#x91F;&#x93F; &#x939;&#x941;&#x908; &#x939;&#x92E;&#x93E;&#x930;&#x940; &#x91F;&#x940;&#x92E; &#x915;&#x94B; &#x938;&#x942;&#x91A;&#x93F;&#x924; &#x915;&#x93F;&#x92F;&#x93E; &#x917;&#x92F;&#x93E; &#x939;&#x948; &#x914;&#x930; &#x907;&#x938; &#x92E;&#x941;&#x926;&#x94D;&#x926;&#x947; &#x915;&#x94B; &#x939;&#x932; &#x915;&#x930;&#x947;&#x917;&#x93E;&#x964;","ziggeoplayer.video-not-found":"&#x939;&#x92E;&#x947;&#x902; &#x928;&#x93F;&#x930;&#x94D;&#x926;&#x93F;&#x937;&#x94D;&#x91F; &#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x92B;&#x93C;&#x93E;&#x907;&#x932; &#x928;&#x939;&#x940;&#x902; &#x92E;&#x93F;&#x932;&#x940;&#x964;","ziggeoplayer.video-access-forbidden":"&#x906;&#x92A;&#x915;&#x94B; &#x907;&#x938; &#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x92B;&#x93C;&#x93E;&#x907;&#x932; &#x915;&#x94B; &#x90F;&#x915;&#x94D;&#x938;&#x947;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x940; &#x905;&#x928;&#x941;&#x92E;&#x924;&#x93F; &#x928;&#x939;&#x940;&#x902; &#x939;&#x948;&#x964;","ziggeoplayer.video-unknown-error":"&#x939;&#x92E; &#x907;&#x938; &#x938;&#x92E;&#x92F; &#x907;&#x938; &#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x915;&#x94B; &#x90F;&#x915;&#x94D;&#x938;&#x947;&#x938; &#x928;&#x939;&#x940;&#x902; &#x915;&#x930; &#x938;&#x915;&#x924;&#x947;&#x964; &#x92C;&#x93E;&#x926; &#x92E;&#x947;&#x902; &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x947;&#x902;&#x964;","ziggeoplayer.video-rejected":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x915;&#x94B; &#x905;&#x938;&#x94D;&#x935;&#x940;&#x915;&#x93E;&#x930; &#x915;&#x930; &#x926;&#x93F;&#x92F;&#x93E; &#x917;&#x92F;&#x93E; &#x939;&#x948;&#x964;","ziggeoplayer.video-processing":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x92A;&#x94D;&#x930;&#x94B;&#x938;&#x947;&#x938;&#x93F;&#x902;&#x917; &#x939;&#x948; - &#x926;&#x947;&#x916;&#x924;&#x947; &#x930;&#x939;&#x947;&#x902;","ziggeoplayer.video-access-error":"&#x935;&#x940;&#x921;&#x93F;&#x92F;&#x94B; &#x935;&#x930;&#x94D;&#x924;&#x92E;&#x93E;&#x928; &#x92E;&#x947;&#x902; &#x92E;&#x949;&#x921;&#x930;&#x947;&#x936;&#x928; &#x915;&#x947; &#x905;&#x902;&#x924;&#x930;&#x94D;&#x917;&#x924; &#x939;&#x948; &#x906;&#x92A; &#x92B;&#x93F;&#x930; &#x938;&#x947; &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930; &#x938;&#x915;&#x924;&#x947; &#x939;&#x948;&#x902;&#x964;","ziggeoaudioplayer.audio-not-found":"&#x939;&#x92E;&#x947;&#x902; &#x928;&#x93F;&#x930;&#x94D;&#x926;&#x93F;&#x937;&#x94D;&#x91F; &#x911;&#x921;&#x93F;&#x92F;&#x94B; &#x92B;&#x93C;&#x93E;&#x907;&#x932; &#x928;&#x939;&#x940;&#x902; &#x92E;&#x93F;&#x932;&#x940;&#x964;","ziggeoaudioplayer.audio-access-forbidden":"&#x906;&#x92A;&#x915;&#x94B; &#x907;&#x938; &#x911;&#x921;&#x93F;&#x92F;&#x94B; &#x92B;&#x93C;&#x93E;&#x907;&#x932; &#x924;&#x915; &#x92A;&#x939;&#x941;&#x901;&#x91A;&#x928;&#x947; &#x915;&#x940; &#x905;&#x928;&#x941;&#x92E;&#x924;&#x93F; &#x928;&#x939;&#x940;&#x902; &#x939;&#x948;&#x964;","ziggeoaudioplayer.audio-unknown-error":"&#x939;&#x92E; &#x907;&#x938; &#x911;&#x921;&#x93F;&#x92F;&#x94B; &#x915;&#x94B; &#x907;&#x938; &#x938;&#x92E;&#x92F; &#x90F;&#x915;&#x94D;&#x938;&#x947;&#x938; &#x928;&#x939;&#x940;&#x902; &#x915;&#x930; &#x938;&#x915;&#x924;&#x947;&#x964; &#x92C;&#x93E;&#x926; &#x92E;&#x947;&#x902; &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x947;&#x902;&#x964;","ziggeoaudioplayer.audio-rejected":"&#x911;&#x921;&#x93F;&#x92F;&#x94B; &#x915;&#x94B; &#x916;&#x93E;&#x930;&#x93F;&#x91C; &#x915;&#x930; &#x926;&#x93F;&#x92F;&#x93E; &#x917;&#x92F;&#x93E; &#x939;&#x948;&#x964;","ziggeoaudioplayer.audio-processing":"&#x911;&#x921;&#x93F;&#x92F;&#x94B; &#x92A;&#x94D;&#x930;&#x938;&#x902;&#x938;&#x94D;&#x915;&#x930;&#x923; &#x939;&#x948; - &#x926;&#x947;&#x916;&#x924;&#x947; &#x930;&#x939;&#x947;&#x902;&#x964;","ziggeoaudioplayer.audio-access-error":"&#x935;&#x930;&#x94D;&#x924;&#x92E;&#x93E;&#x928; &#x92E;&#x947;&#x902; &#x911;&#x921;&#x93F;&#x92F;&#x94B; &#x92E;&#x949;&#x921;&#x930;&#x947;&#x936;&#x928; &#x915;&#x947; &#x905;&#x902;&#x924;&#x930;&#x94D;&#x917;&#x924; &#x939;&#x948;&#x964; &#x906;&#x92A; &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930; &#x938;&#x915;&#x924;&#x947; &#x939;&#x948;&#x902;&#x964;","ziggeoimageviewer.image-not-found":"&#x939;&#x92E;&#x947;&#x902; &#x928;&#x93F;&#x930;&#x94D;&#x926;&#x93F;&#x937;&#x94D;&#x91F; &#x91B;&#x935;&#x93F; &#x92B;&#x93C;&#x93E;&#x907;&#x932; &#x928;&#x939;&#x940;&#x902; &#x92E;&#x93F;&#x932;&#x940;&#x964;","ziggeoimageviewer.image-access-forbidden":"&#x906;&#x92A;&#x915;&#x94B; &#x907;&#x938; &#x91B;&#x935;&#x93F; &#x92B;&#x93C;&#x93E;&#x907;&#x932; &#x924;&#x915; &#x92A;&#x939;&#x941;&#x901;&#x91A;&#x928;&#x947; &#x915;&#x940; &#x905;&#x928;&#x941;&#x92E;&#x924;&#x93F; &#x928;&#x939;&#x940;&#x902; &#x939;&#x948;&#x964;","ziggeoimageviewer.image-unknown-error":"&#x939;&#x92E; &#x907;&#x938; &#x938;&#x92E;&#x92F; &#x907;&#x938; &#x91B;&#x935;&#x93F; &#x924;&#x915; &#x928;&#x939;&#x940;&#x902; &#x92A;&#x939;&#x941;&#x902;&#x91A; &#x938;&#x915;&#x924;&#x947; &#x939;&#x948;&#x902;&#x964; &#x92C;&#x93E;&#x926; &#x92E;&#x947;&#x902; &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x947;&#x902;&#x964;","ziggeoimageviewer.image-rejected":"&#x91B;&#x935;&#x93F; &#x915;&#x94B; &#x905;&#x938;&#x94D;&#x935;&#x940;&#x915;&#x93E;&#x930; &#x915;&#x930; &#x926;&#x93F;&#x92F;&#x93E; &#x917;&#x92F;&#x93E; &#x939;&#x948;&#x964;","ziggeoimageviewer.image-processing":"&#x91B;&#x935;&#x93F; &#x92A;&#x94D;&#x930;&#x938;&#x902;&#x938;&#x94D;&#x915;&#x930;&#x923; &#x939;&#x948; - &#x926;&#x947;&#x916;&#x924;&#x947; &#x930;&#x939;&#x947;&#x902;&#x964;","ziggeoimageviewer.image-access-error":"&#x935;&#x930;&#x94D;&#x924;&#x92E;&#x93E;&#x928; &#x92E;&#x947;&#x902; &#x91B;&#x935;&#x93F; &#x92E;&#x949;&#x921;&#x930;&#x947;&#x936;&#x928; &#x915;&#x947; &#x905;&#x902;&#x924;&#x930;&#x94D;&#x917;&#x924; &#x939;&#x948;&#x964; &#x906;&#x92A; &#x92A;&#x941;&#x928;: &#x92A;&#x94D;&#x930;&#x92F;&#x93E;&#x938; &#x915;&#x930;&#x928;&#x947; &#x915;&#x947; &#x932;&#x93F;&#x90F; &#x915;&#x94D;&#x932;&#x93F;&#x915; &#x915;&#x930; &#x938;&#x915;&#x924;&#x947; &#x939;&#x948;&#x902;&#x964;"},"language:hr":{"application.error_503":"Dr&#x17E;imo na&#x161;e usluge. Video &#x107;e se uskoro vratiti.","application.error_404":"Ne mo&#x17E;emo prepoznati svoj API klju&#x10D;. Obavezno nazna&#x10D;iti to u va&#x161;e web stranice napada&#x10D;a.","application.error_401":"Ne mogu pristupiti aplikacija s ove stranice.","application.error_412":"Morate potvrditi / nadograditi svoj ra&#x10D;un.","application.error_unknown":"Do&#x161;lo je do nepoznate pogre&#x161;ke. Na&#x161; tim je obavije&#x161;ten i da &#x107;e rije&#x161;iti problem.","ziggeoplayer.video-not-found":"Nismo mogli prona&#x107;i navedenu datoteku videozapisa.","ziggeoplayer.video-access-forbidden":"Ne smiju pristupiti ovom video datoteku.","ziggeoplayer.video-unknown-error":"Ne mogu pristupiti ovaj video u tom trenutku. Molimo poku&#x161;ajte ponovo kasnije.","ziggeoplayer.video-rejected":"Video je odbijen.","ziggeoplayer.video-processing":"Video obra&#x111;uje - Stay tuned.","ziggeoplayer.video-access-error":"Spot je trenutno u umjerenim koli&#x10D;inama. Mo&#x17E;ete kliknuti na ponovni poku&#x161;aj.","ziggeoaudioplayer.audio-not-found":"Nismo mogli prona&#x107;i navedenu audio datoteku.","ziggeoaudioplayer.audio-access-forbidden":"Nije vam dozvoljen pristup ovoj audio datoteci.","ziggeoaudioplayer.audio-unknown-error":"Trenutno ne mo&#x17E;emo pristupiti ovom zvuku. Molimo poku&#x161;ajte ponovo kasnije.","ziggeoaudioplayer.audio-rejected":"Zvuk je odbijen.","ziggeoaudioplayer.audio-processing":"Zvuk se obra&#x111;uje - pratite nas.","ziggeoaudioplayer.audio-access-error":"Zvuk je trenutno pod moderiranjem. Mo&#x17E;ete kliknuti za ponovni poku&#x161;aj.","ziggeoimageviewer.image-not-found":"Nismo mogli prona&#x107;i navedenu datoteku slike.","ziggeoimageviewer.image-access-forbidden":"Nije vam dozvoljen pristup ovoj slikovnoj datoteci.","ziggeoimageviewer.image-unknown-error":"Trenutno ne mo&#x17E;emo pristupiti ovoj slici. Molimo poku&#x161;ajte ponovo kasnije.","ziggeoimageviewer.image-rejected":"Slika je odbijena.","ziggeoimageviewer.image-processing":"Slika se obra&#x111;uje - pratite nas.","ziggeoimageviewer.image-access-error":"Trenutno se slika moderira. Mo&#x17E;ete kliknuti za ponovni poku&#x161;aj."},"language:hu":{"application.error_503":"Mi fenntart&#xE1;sa a szolg&#xE1;ltat&#xE1;st. Vide&#xF3; hamarosan visszat&#xE9;r.","application.error_404":"Nem lehet felismerni az API-kulcsot. K&#xE9;rj&#xFC;k, hogy adja meg a webhely fejl&#xE9;c&#xE9;ben.","application.error_401":"&#xD6;n nem jogosult hozz&#xE1;f&#xE9;rni az alkalmaz&#xE1;s ezen az oldalon.","application.error_412":"Meg kell er&#x151;s&#xED;tenie / friss&#xED;tse a sz&#xE1;mla.","application.error_unknown":"Ismeretlen hiba t&#xF6;rt&#xE9;nt. Csapatunk m&#xE1;r bejelentett, &#xE9;s megoldja a probl&#xE9;m&#xE1;t.","ziggeoplayer.video-not-found":"Nem tal&#xE1;ltunk a megadott vide&#xF3; f&#xE1;jlt.","ziggeoplayer.video-access-forbidden":"&#xD6;n nem jogosult hozz&#xE1;f&#xE9;rni a vide&#xF3; f&#xE1;jlt.","ziggeoplayer.video-unknown-error":"Nem tudjuk el&#xE9;rni ezt a vide&#xF3;t a pillanatban. K&#xE9;rlek, pr&#xF3;b&#xE1;ld &#xFA;jra k&#xE9;s&#x151;bb.","ziggeoplayer.video-rejected":"A vide&#xF3; elutas&#xED;t&#xE1;sra ker&#xFC;lt.","ziggeoplayer.video-processing":"A vide&#xF3; feldolgoz&#xE1;s - a h&#xED;rad&#xE1;sokat.","ziggeoplayer.video-access-error":"A vide&#xF3; jelenleg a moder&#xE1;l&#xE1;s. Lehet kattint&#xE1;ssal &#xFA;jra.","ziggeoaudioplayer.audio-not-found":"Nem tal&#xE1;lhat&#xF3; a megadott hangf&#xE1;jl.","ziggeoaudioplayer.audio-access-forbidden":"&#xD6;n nem f&#xE9;rhet hozz&#xE1; ehhez az audio f&#xE1;jlhoz.","ziggeoaudioplayer.audio-unknown-error":"Jelenleg nem &#xE9;rhetj&#xFC;k el ezt a hanganyagot. K&#xE9;rlek, pr&#xF3;b&#xE1;ld &#xFA;jra k&#xE9;s&#x151;bb.","ziggeoaudioplayer.audio-rejected":"A hangot elutas&#xED;tott&#xE1;k.","ziggeoaudioplayer.audio-processing":"A hang feldolgoz&#xE1;sa folyamatban van - maradjon vel&#xFC;nk.","ziggeoaudioplayer.audio-access-error":"A hang jelenleg moder&#xE1;l&#xE1;s alatt &#xE1;ll. Kattintson az &#xFA;jrapr&#xF3;b&#xE1;lkoz&#xE1;shoz.","ziggeoimageviewer.image-not-found":"Nem tal&#xE1;lhat&#xF3; a megadott k&#xE9;pf&#xE1;jl.","ziggeoimageviewer.image-access-forbidden":"&#xD6;n nem f&#xE9;rhet hozz&#xE1; ehhez a k&#xE9;pf&#xE1;jlhoz.","ziggeoimageviewer.image-unknown-error":"Jelenleg nem tudunk hozz&#xE1;f&#xE9;rni ehhez a k&#xE9;phez. K&#xE9;rlek, pr&#xF3;b&#xE1;ld &#xFA;jra k&#xE9;s&#x151;bb.","ziggeoimageviewer.image-rejected":"A k&#xE9;pet elutas&#xED;tott&#xE1;k.","ziggeoimageviewer.image-processing":"A k&#xE9;p feldolgoz&#xE1;sa folyamatban van - maradjon vel&#xFC;nk.","ziggeoimageviewer.image-access-error":"A k&#xE9;p jelenleg moder&#xE1;l&#xE1;s alatt &#xE1;ll. Kattintson az &#xFA;jrapr&#xF3;b&#xE1;lkoz&#xE1;shoz."},"language:id":{"application.error_503":"Kami menjaga layanan kami. Video akan segera kembali.","application.error_404":"Kami tidak dapat mengenali kunci api Anda. Pastikan untuk menentukannya di header situs web Anda.","application.error_401":"Anda tidak diizinkan mengakses aplikasi dari situs ini.","application.error_412":"Anda perlu mengkonfirmasi / meningkatkan akun Anda.","application.error_unknown":"Terjadi kesalahan yang tidak diketahui. Tim kami telah diberi tahu dan akan menyelesaikan masalah ini.","ziggeoaudioplayer.audio-not-found":"Kami tidak dapat menemukan file audio yang ditentukan.","ziggeoaudioplayer.audio-access-forbidden":"Anda tidak diizinkan untuk mengakses file audio ini.","ziggeoaudioplayer.audio-unknown-error":"Saat ini kami tidak dapat mengakses audio ini. Silahkan coba lagi nanti.","ziggeoaudioplayer.audio-rejected":"Audio telah ditolak.","ziggeoaudioplayer.audio-processing":"Audio sedang diproses - nantikan.","ziggeoaudioplayer.audio-access-error":"Audio saat ini sedang dalam moderasi. Anda bisa mengklik untuk mencoba lagi.","ziggeoimageviewer.image-not-found":"Kami tidak dapat menemukan file gambar yang ditentukan.","ziggeoimageviewer.image-access-forbidden":"Anda tidak diizinkan mengakses file gambar ini.","ziggeoimageviewer.image-unknown-error":"Saat ini kami tidak dapat mengakses gambar ini. Silahkan coba lagi nanti.","ziggeoimageviewer.image-rejected":"Gambar telah ditolak.","ziggeoimageviewer.image-processing":"Gambar sedang diproses - nantikan.","ziggeoimageviewer.image-access-error":"Gambar saat ini sedang dalam moderasi. Anda bisa mengklik untuk mencoba lagi.","ziggeoplayer.video-not-found":"Kami tidak dapat menemukan file video yang ditentukan.","ziggeoplayer.video-access-forbidden":"Anda tidak diizinkan mengakses file video ini.","ziggeoplayer.video-unknown-error":"Saat ini kami tidak dapat mengakses video ini. Silakan coba lagi nanti.","ziggeoplayer.video-rejected":"Video telah ditolak","ziggeoplayer.video-processing":"Video sedang diproses - nantikan.","ziggeoplayer.video-access-error":"Video saat ini sedang dalam moderasi. Anda bisa mengklik untuk mencoba lagi."},"language:it":{"application.error_503":"Il nostro servizio &#xE8; in fase di manutenzione. I video torneranno presto.","application.error_404":"Non riusciamo a riconoscere la tua chiave API. Assicurati di specificarla nell&#x27;intestazione del tuo sito web.","application.error_401":"Non &#xE8; consentito accedere all&#x27;applicazione da questo sito.","application.error_412":"&#xC8; necessario confermare / aggiornare il tuo account.","application.error_unknown":"Si &#xE8; verificato un errore sconosciuto. La nostra squadra &#xE8; stata notifica e dovr&#xE0; risolvere il problema.","ziggeoaudioplayer.audio-not-found":"Non &#xE8; stato possibile trovare l&#x27;archivio audio specificato.","ziggeoaudioplayer.audio-access-forbidden":"Non &#xE8; possibile accedere a questo archivio audio.","ziggeoaudioplayer.audio-unknown-error":"Non &#xE8; possibile accedere a questo audio per il momento. Riprova pi&#xF9; tardi.","ziggeoaudioplayer.audio-rejected":"L&#x27;audio &#xE8; stato rifiutato.","ziggeoaudioplayer.audio-processing":"L&#x27;audio &#xE8; in fase di elaborazione - rimani in attesa.","ziggeoaudioplayer.audio-access-error":"L&#x27;audio &#xE8; in fase di moderazione. &#xC8; possibile fare clic per riprovare.","ziggeoimageviewer.image-not-found":"Non &#xE8; stato possibile trovare l&#x27;archivio di immagini specificato.","ziggeoimageviewer.image-access-forbidden":"Non hai i permessi necessari per accedere a questa immagine.","ziggeoimageviewer.image-unknown-error":"Non possiamo accedere a questa immagine per il momento. Riprova pi&#xF9; tardi.","ziggeoimageviewer.image-rejected":"L&#x27;immagine &#xE8; stata rifiutata.","ziggeoimageviewer.image-processing":"L&#x27;immagine &#xE8; in fase di elaborazione - rimani in attesa.","ziggeoimageviewer.image-access-error":"L&#x27;immagine &#xE8; in fase di moderazione. &#xC8; possibile fare clic per riprovare.","ziggeoplayer.video-not-found":"Non siamo riusciti a trovare il file video specificato.","ziggeoplayer.video-access-forbidden":"Non &#xE8; consentito accedere a questo file video.","ziggeoplayer.video-unknown-error":"Non possiamo accedere a questo video in questo momento. Per favore riprova pi&#xF9; tardi.","ziggeoplayer.video-rejected":"Il video &#xE8; stato rifiutato.","ziggeoplayer.video-processing":"Il video &#xE8; in fase di elaborazione - rimani in attesa.","ziggeoplayer.video-access-error":"Il video &#xE8; attualmente in fase di moderazione. &#xC8; possibile fare clic per riprovare."},"language:ja":{"application.error_503":"&#x305F;&#x3060;&#x4ECA;&#x30E1;&#x30F3;&#x30C6;&#x30CA;&#x30F3;&#x30B9;&#x4E2D;&#x3067;&#x3059;&#x3002;&#x3057;&#x3070;&#x3089;&#x304F;&#x304A;&#x5F85;&#x3061;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","application.error_404":"API&#x30AD;&#x30FC;&#x3092;&#x8A8D;&#x8B58;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3002; &#x5FC5;&#x305A;&#x6307;&#x5B9A;&#x306E;API&#x30AD;&#x30FC;&#x3092;&#x30A6;&#x30A7;&#x30D6;&#x30B5;&#x30A4;&#x30C8;&#x306E;&#x30D8;&#x30C3;&#x30C0;&#x30FC;&#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","application.error_401":"&#x3053;&#x306E;&#x30B5;&#x30A4;&#x30C8;&#x304B;&#x3089;&#x30A2;&#x30D7;&#x30EA;&#x30B1;&#x30FC;&#x30B7;&#x30E7;&#x30F3;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3059;&#x308B;&#x3053;&#x3068;&#x306F;&#x8A31;&#x53EF;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x305B;&#x3093;&#x3002;","application.error_412":"&#x30A2;&#x30AB;&#x30A6;&#x30F3;&#x30C8;&#x3092;&#x78BA;&#x8A8D;/&#x30A2;&#x30C3;&#x30D7;&#x30B0;&#x30EC;&#x30FC;&#x30C9;&#x3059;&#x308B;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;","application.error_unknown":"&#x4E0D;&#x660E;&#x306A;&#x30A8;&#x30E9;&#x30FC;&#x304C;&#x767A;&#x751F;&#x3057;&#x307E;&#x3057;&#x305F;&#x3002; &#x3053;&#x306E;&#x554F;&#x984C;&#x306E;&#x30C8;&#x30E9;&#x30D6;&#x30EB;&#x30B7;&#x30E5;&#x30FC;&#x30C6;&#x30A3;&#x30F3;&#x30B0;&#x3092;&#x884C;&#x3046;&#x3088;&#x3046;&#x30C1;&#x30FC;&#x30E0;&#x306B;&#x901A;&#x77E5;&#x304C;&#x3055;&#x308C;&#x307E;&#x3057;&#x305F;&#x3002;","ziggeoaudioplayer.audio-not-found":"&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x97F3;&#x58F0;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x304C;&#x898B;&#x3064;&#x304B;&#x308A;&#x307E;&#x305B;&#x3093;&#x3067;&#x3057;&#x305F;&#x3002;","ziggeoaudioplayer.audio-access-forbidden":"&#x3053;&#x306E;&#x97F3;&#x58F0;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x306F;&#x8A31;&#x53EF;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x305B;&#x3093;&#x3002;","ziggeoaudioplayer.audio-unknown-error":"&#x73FE;&#x5728;&#x3053;&#x306E;&#x97F3;&#x58F0;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3002;&#x5F8C;&#x3067;&#x3082;&#x3046;&#x4E00;&#x5EA6;&#x3084;&#x308A;&#x76F4;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ziggeoaudioplayer.audio-rejected":"&#x97F3;&#x58F0;&#x304C;&#x62D2;&#x5426;&#x3055;&#x308C;&#x307E;&#x3057;&#x305F;&#x3002;","ziggeoaudioplayer.audio-processing":"&#x97F3;&#x58F0;&#x306E;&#x51E6;&#x7406;&#x4E2D;&#x3067;&#x3059; - &#x3057;&#x3070;&#x3089;&#x304F;&#x304A;&#x5F85;&#x3061;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ziggeoaudioplayer.audio-access-error":"&#x3053;&#x306E;&#x97F3;&#x58F0;&#x306F;&#x627F;&#x8A8D;&#x3092;&#x5F85;&#x3063;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;","ziggeoimageviewer.image-not-found":"&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x753B;&#x50CF;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x304C;&#x898B;&#x3064;&#x304B;&#x308A;&#x307E;&#x305B;&#x3093;&#x3067;&#x3057;&#x305F;&#x3002;","ziggeoimageviewer.image-access-forbidden":"&#x3053;&#x306E;&#x753B;&#x50CF;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x306F;&#x8A31;&#x53EF;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x305B;&#x3093;&#x3002;","ziggeoimageviewer.image-unknown-error":"&#x73FE;&#x5728;&#x3053;&#x306E;&#x753B;&#x50CF;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3002;&#x5F8C;&#x3067;&#x3082;&#x3046;&#x4E00;&#x5EA6;&#x3084;&#x308A;&#x76F4;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ziggeoimageviewer.image-rejected":"&#x753B;&#x50CF;&#x306F;&#x62D2;&#x5426;&#x3055;&#x308C;&#x307E;&#x3057;&#x305F;&#x3002;","ziggeoimageviewer.image-processing":"&#x753B;&#x50CF;&#x306E;&#x51E6;&#x7406;&#x4E2D;&#x3067;&#x3059; - &#x3057;&#x3070;&#x3089;&#x304F;&#x304A;&#x5F85;&#x3061;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ziggeoimageviewer.image-access-error":"&#x3053;&#x306E;&#x753B;&#x50CF;&#x306F;&#x627F;&#x8A8D;&#x3092;&#x5F85;&#x3063;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;","ziggeoplayer.video-not-found":"&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x52D5;&#x753B;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x304C;&#x898B;&#x3064;&#x304B;&#x308A;&#x307E;&#x305B;&#x3093;&#x3067;&#x3057;&#x305F;&#x3002;","ziggeoplayer.video-access-forbidden":"&#x3053;&#x306E;&#x52D5;&#x753B;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x306F;&#x8A31;&#x53EF;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x305B;&#x3093;&#x3002;","ziggeoplayer.video-unknown-error":"&#x73FE;&#x5728;&#x3053;&#x306E;&#x52D5;&#x753B;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3002;&#x5F8C;&#x3067;&#x3082;&#x3046;&#x4E00;&#x5EA6;&#x3084;&#x308A;&#x76F4;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ziggeoplayer.video-rejected":"&#x52D5;&#x753B;&#x306F;&#x62D2;&#x5426;&#x3055;&#x308C;&#x307E;&#x3057;&#x305F;&#x3002;","ziggeoplayer.video-processing":"&#x52D5;&#x753B;&#x306E;&#x51E6;&#x7406;&#x4E2D;&#x3067;&#x3059; - &#x3057;&#x3070;&#x3089;&#x304F;&#x304A;&#x5F85;&#x3061;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;","ziggeoplayer.video-access-error":"&#x3053;&#x306E;&#x52D5;&#x753B;&#x306F;&#x627F;&#x8A8D;&#x3092;&#x5F85;&#x3063;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x518D;&#x8A66;&#x884C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;"},"language:mk":{"application.error_503":"&#x41D;&#x430;&#x448;&#x438;&#x442;&#x435; &#x443;&#x441;&#x43B;&#x443;&#x433;&#x438; &#x441;&#x435; &#x43F;&#x43E;&#x434; &#x43E;&#x434;&#x434;&#x440;&#x436;&#x443;&#x432;&#x430;&#x45A;&#x435;. &#x40C;&#x435; &#x441;&#x435; &#x432;&#x440;&#x430;&#x442;&#x438;&#x43C;&#x435; &#x43D;&#x430;&#x441;&#x43A;&#x43E;&#x440;&#x43E;.","application.error_404":"&#x41D;&#x435;&#x43C;&#x43E;&#x436;&#x435;&#x43C;&#x435; &#x434;&#x430; &#x433;&#x43E; &#x43F;&#x440;&#x435;&#x43F;&#x43E;&#x437;&#x43D;&#x430;&#x435;&#x43C;&#x435; &#x432;&#x430;&#x448;&#x438;&#x43E;&#x442; &#x410;&#x41F;&#x418; &#x43A;&#x43B;&#x443;&#x447;. &#x411;&#x438;&#x434;&#x435;&#x442;&#x435; &#x441;&#x438;&#x433;&#x443;&#x440;&#x43D;&#x438; &#x434;&#x435;&#x43A;&#x430; &#x435; &#x43D;&#x430;&#x432;&#x435;&#x434;&#x435;&#x43D; &#x432;&#x43E; &#x445;&#x435;&#x434;&#x435;&#x440;&#x43E;&#x442; &#x43D;&#x430; &#x432;&#x430;&#x448;&#x430;&#x442;&#x430; &#x441;&#x442;&#x440;&#x430;&#x43D;&#x438;&#x446;&#x430;.","application.error_401":"&#x412;&#x438;&#x435; &#x43D;&#x435; &#x441;&#x435; &#x434;&#x43E;&#x437;&#x432;&#x43E;&#x43B;&#x435;&#x43D;&#x438; &#x434;&#x430; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x430;&#x43F;&#x438;&#x442;&#x435; &#x434;&#x43E; &#x430;&#x43F;&#x43B;&#x438;&#x43A;&#x430;&#x446;&#x438;&#x458;&#x430;&#x442;&#x430; &#x43E;&#x434; &#x43E;&#x432;&#x43E;&#x458; &#x441;&#x430;&#x458;&#x442;","application.error_412":"&#x41C;&#x43E;&#x440;&#x430;&#x442;&#x435; &#x434;&#x430; &#x433;&#x43E; &#x43F;&#x43E;&#x442;&#x432;&#x440;&#x434;&#x438;&#x442;&#x435; / &#x430;&#x436;&#x443;&#x440;&#x438;&#x440;&#x430;&#x442;&#x435; &#x432;&#x430;&#x448;&#x438;&#x43E;&#x442; &#x430;&#x43A;&#x430;&#x443;&#x43D;&#x442;.","application.error_unknown":"&#x41D;&#x435;&#x43F;&#x43E;&#x437;&#x43D;&#x430;&#x442;&#x430; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x430; &#x441;&#x435; &#x441;&#x43B;&#x443;&#x447;&#x438;. &#x41D;&#x430;&#x448;&#x438;&#x43E;&#x442; &#x442;&#x438;&#x43C; &#x435; &#x438;&#x437;&#x432;&#x435;&#x441;&#x442;&#x435;&#x43D; &#x438; &#x433;&#x43E; &#x438;&#x437;&#x440;&#x435;&#x448;&#x438; &#x43F;&#x440;&#x43E;&#x431;&#x43B;&#x435;&#x43C;&#x43E;&#x442;.","ziggeoaudioplayer.audio-not-found":"&#x41D;&#x435;&#x43C;&#x43E;&#x436;&#x435;&#x432;&#x43C;&#x435; &#x434;&#x430; &#x433;&#x43E; &#x43D;&#x430;&#x458;&#x434;&#x435;&#x43C;&#x435; &#x438;&#x437;&#x431;&#x440;&#x430;&#x43D;&#x438;&#x43E;&#x442; &#x430;&#x443;&#x434;&#x438;&#x43E; &#x444;&#x430;&#x458;&#x43B;.","ziggeoaudioplayer.audio-access-forbidden":"&#x41D;&#x435; &#x441;&#x442;&#x435; &#x434;&#x43E;&#x437;&#x432;&#x43E;&#x43B;&#x435;&#x43D;&#x438; &#x434;&#x430; &#x433;&#x43E; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x430;&#x43F;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x43E;&#x458; &#x444;&#x430;&#x458;&#x43B;.","ziggeoaudioplayer.audio-unknown-error":"&#x41D;&#x435;&#x43C;&#x43E;&#x436;&#x435;&#x432;&#x43C;&#x435; &#x434;&#x430; &#x433;&#x43E; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x430;&#x43F;&#x438;&#x43C;&#x435; &#x430;&#x443;&#x434;&#x438;&#x43E;&#x442;&#x43E; &#x432;&#x43E; &#x43E;&#x432;&#x43E;&#x458; &#x43C;&#x43E;&#x43C;&#x435;&#x43D;&#x442;. &#x412;&#x435; &#x43C;&#x43E;&#x43B;&#x438;&#x43C;&#x435;, &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x458;&#x442;&#x435; &#x43F;&#x43E;&#x434;&#x43E;&#x446;&#x43D;&#x430;.","ziggeoaudioplayer.audio-rejected":"&#x410;&#x443;&#x434;&#x438;&#x43E;&#x442;&#x43E; &#x435; &#x43E;&#x434;&#x431;&#x438;&#x435;&#x43D;&#x43E;.","ziggeoaudioplayer.audio-processing":"&#x410;&#x443;&#x434;&#x438;&#x43E;&#x442;&#x43E; &#x441;&#x435; &#x43F;&#x440;&#x43E;&#x446;&#x435;&#x441;&#x438;&#x440;&#x430; - &#x43E;&#x441;&#x442;&#x430;&#x43D;&#x435;&#x442;&#x435; &#x432;&#x43E; &#x442;&#x435;&#x43A;.","ziggeoaudioplayer.audio-access-error":"&#x410;&#x443;&#x434;&#x438;&#x43E;&#x442;&#x43E; &#x435; &#x43F;&#x43E;&#x434; &#x43C;&#x43E;&#x434;&#x435;&#x440;&#x430;&#x446;&#x438;&#x458;&#x430;. &#x41C;&#x43E;&#x436;&#x435;&#x442;&#x435; &#x434;&#x430; &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x442;&#x435; &#x43F;&#x430;&#x43A;.","ziggeoimageviewer.image-not-found":"&#x41D;&#x435;&#x43C;&#x43E;&#x436;&#x435;&#x432;&#x43C;&#x435; &#x434;&#x430; &#x458;&#x430; &#x43D;&#x430;&#x458;&#x434;&#x435;&#x43C;&#x435; &#x438;&#x437;&#x431;&#x440;&#x430;&#x43D;&#x430;&#x442;&#x430; &#x441;&#x43B;&#x438;&#x43A;&#x430;.","ziggeoimageviewer.image-access-forbidden":"&#x41D;&#x435; &#x441;&#x442;&#x435; &#x434;&#x43E;&#x437;&#x432;&#x43E;&#x43B;&#x435;&#x43D;&#x438; &#x434;&#x430; &#x458;&#x430; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x430;&#x43F;&#x438;&#x442;&#x435; &#x441;&#x43B;&#x438;&#x43A;&#x430;&#x442;&#x430;.","ziggeoimageviewer.image-unknown-error":"&#x41D;&#x435;&#x43C;&#x43E;&#x436;&#x435;&#x432;&#x43C;&#x435; &#x434;&#x430; &#x458;&#x430; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x430;&#x43F;&#x438;&#x43C;&#x435; &#x441;&#x43B;&#x438;&#x43A;&#x430;&#x442;&#x430; &#x432;&#x43E; &#x43C;&#x43E;&#x43C;&#x435;&#x43D;&#x442;&#x43E;&#x432;. &#x412;&#x435; &#x43C;&#x43E;&#x43B;&#x438;&#x43C;&#x435;, &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x458;&#x442;&#x435; &#x43F;&#x43E;&#x434;&#x43E;&#x446;&#x43D;&#x430;.","ziggeoimageviewer.image-rejected":"&#x421;&#x43B;&#x438;&#x43A;&#x430;&#x442;&#x430; &#x435; &#x43E;&#x434;&#x431;&#x438;&#x435;&#x43D;&#x430;.","ziggeoimageviewer.image-processing":"&#x421;&#x43B;&#x438;&#x43A;&#x430;&#x442;&#x430; &#x441;&#x435; &#x43F;&#x440;&#x43E;&#x446;&#x435;&#x441;&#x438;&#x440;&#x430; - &#x43E;&#x441;&#x442;&#x430;&#x43D;&#x435;&#x442;&#x435; &#x432;&#x43E; &#x442;&#x435;&#x43A;.","ziggeoimageviewer.image-access-error":"&#x421;&#x43B;&#x438;&#x43A;&#x430;&#x442;&#x430; &#x435; &#x43F;&#x43E;&#x434; &#x43C;&#x43E;&#x434;&#x435;&#x440;&#x430;&#x446;&#x438;&#x458;&#x430;. &#x41C;&#x43E;&#x436;&#x435;&#x442;&#x435; &#x434;&#x430; &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x442;&#x435; &#x43F;&#x430;&#x43A;.","ziggeoplayer.video-not-found":"&#x41D;&#x435;&#x43C;&#x43E;&#x436;&#x435;&#x432;&#x43C;&#x435; &#x434;&#x430; &#x433;&#x43E; &#x43D;&#x430;&#x458;&#x434;&#x435;&#x43C;&#x435; &#x438;&#x437;&#x431;&#x440;&#x430;&#x43D;&#x438;&#x43E;&#x442; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x444;&#x430;&#x458;&#x43B;.","ziggeoplayer.video-access-forbidden":"&#x412;&#x438;&#x435; &#x43D;&#x435; &#x441;&#x442;&#x435; &#x434;&#x43E;&#x437;&#x432;&#x43E;&#x43B;&#x435;&#x43D;&#x438; &#x434;&#x430; &#x433;&#x43E; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x430;&#x43F;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x43E;&#x458; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x444;&#x430;&#x458;&#x43B;.","ziggeoplayer.video-unknown-error":"&#x41D;&#x435;&#x43C;&#x43E;&#x436;&#x435;&#x432;&#x43C;&#x435; &#x434;&#x430; &#x433;&#x43E; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x430;&#x43F;&#x438;&#x43C;&#x435; &#x432;&#x438;&#x434;&#x435;&#x43E;&#x442;&#x43E; &#x432;&#x43E; &#x43C;&#x43E;&#x43C;&#x435;&#x43D;&#x442;&#x43E;&#x432;. &#x412;&#x435; &#x43C;&#x43E;&#x43B;&#x438;&#x43C;&#x435;, &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x458;&#x442;&#x435; &#x43F;&#x43E;&#x434;&#x43E;&#x446;&#x43D;&#x430;.","ziggeoplayer.video-rejected":"&#x412;&#x438;&#x434;&#x435;&#x43E;&#x442;&#x43E; &#x435; &#x43E;&#x434;&#x431;&#x438;&#x435;&#x43D;&#x43E;.","ziggeoplayer.video-processing":"&#x412;&#x438;&#x434;&#x435;&#x43E;&#x442;&#x43E; &#x441;&#x435; &#x43F;&#x440;&#x43E;&#x446;&#x435;&#x441;&#x438;&#x440;&#x430; - &#x43E;&#x441;&#x442;&#x430;&#x43D;&#x435;&#x442;&#x435; &#x432;&#x43E; &#x442;&#x435;&#x43A;.","ziggeoplayer.video-access-error":"&#x412;&#x438;&#x434;&#x435;&#x43E;&#x442;&#x43E; &#x435; &#x43F;&#x43E;&#x434; &#x43C;&#x43E;&#x434;&#x435;&#x440;&#x430;&#x446;&#x438;&#x458;&#x430;. &#x41C;&#x43E;&#x436;&#x435;&#x442;&#x435; &#x434;&#x430; &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x431;&#x430;&#x442;&#x435; &#x43F;&#x430;&#x43A;."},"language:nl":{"application.error_503":"Wij handhaven onze service. Video&#x27;s zullen snel terug zijn.","application.error_404":"We kunnen niet herkent uw API-sleutel. Zorg ervoor om het te specificeren in de header van uw website.","application.error_401":"Het is niet toegestaan &#x200B;&#x200B;om de toepassing van deze site.","application.error_412":"Je nodig hebt om te bevestigen / uw account upgraden.","application.error_unknown":"Er is een onbekende fout opgetreden. Ons team is aangemeld en zal het probleem op te lossen.","ziggeoaudioplayer.audio-not-found":"We konden het opgegeven audiobestand niet vinden.","ziggeoaudioplayer.audio-access-forbidden":"U heeft geen toegang tot dit audiobestand.","ziggeoaudioplayer.audio-unknown-error":"We hebben momenteel geen toegang tot deze audio. Probeer het later opnieuw.","ziggeoaudioplayer.audio-rejected":"De audio is afgewezen.","ziggeoaudioplayer.audio-processing":"De audio wordt verwerkt - even geduld aub.","ziggeoaudioplayer.audio-access-error":"De audio wordt momenteel gemodereerd. U kunt klikken om het opnieuw te proberen.","ziggeoimageviewer.image-not-found":"We konden het opgegeven afbeeldingsbestand niet vinden.","ziggeoimageviewer.image-access-forbidden":"U heeft geen toegang tot dit afbeeldingsbestand.","ziggeoimageviewer.image-unknown-error":"We hebben momenteel geen toegang tot deze afbeelding. Probeer het later opnieuw.","ziggeoimageviewer.image-rejected":"De afbeelding is afgewezen.","ziggeoimageviewer.image-processing":"Het beeld wordt verwerkt - even geduld aub.","ziggeoimageviewer.image-access-error":"De afbeelding wordt momenteel gemodereerd. U kunt klikken om het opnieuw te proberen.","ziggeoplayer.video-not-found":"We konden het opgegeven video-bestand niet vinden.","ziggeoplayer.video-access-forbidden":"U bent niet toegestaan &#x200B;&#x200B;om toegang tot dit videobestand.","ziggeoplayer.video-unknown-error":"We hebben geen toegang tot deze video op dit moment. Probeer het later opnieuw.","ziggeoplayer.video-rejected":"De video is geweigerd.","ziggeoplayer.video-processing":"De video wordt verwerkt - even geduld aub.","ziggeoplayer.video-access-error":"De video is momenteel in matiging. U kunt klikken om opnieuw te proberen."},"language:no":{"application.error_503":"Vi opprettholder v&#xE5;r tjeneste. Videoer vil v&#xE6;re tilbake snart.","application.error_404":"Vi kan ikke gjenkjenne din API-n&#xF8;kkel. Vennligst s&#xF8;rg for &#xE5; spesifisere det i nettstedets spissen.","application.error_401":"Du har ikke lov til &#xE5; f&#xE5; tilgang til programmet fra denne siden.","application.error_412":"Du m&#xE5; bekrefte / oppgradere kontoen din.","application.error_unknown":"En ukjent feil oppstod. V&#xE5;rt team har blitt informert og l&#xF8;se problemet.","ziggeoplayer.video-not-found":"Vi kunne ikke finne den angitte videofilen.","ziggeoplayer.video-access-forbidden":"Du har ikke tillatelse til &#xE5; f&#xE5; tilgang til denne videofilen.","ziggeoplayer.video-unknown-error":"Vi har ikke tilgang til denne videoen i &#xF8;yeblikket. Pr&#xF8;v igjen senere.","ziggeoplayer.video-rejected":"Videoen har blitt avvist.","ziggeoplayer.video-processing":"Videoen behandler - f&#xF8;lg med.","ziggeoplayer.video-access-error":"Videoen er under moderering. Du kan klikke for &#xE5; pr&#xF8;ve igjen.","ziggeoaudioplayer.audio-not-found":"Vi kunne ikke finne den spesifiserte lydfilen.","ziggeoaudioplayer.audio-access-forbidden":"Du har ikke tilgang til denne lydfilen.","ziggeoaudioplayer.audio-unknown-error":"Vi har ikke tilgang til denne lyden for &#xF8;yeblikket. Pr&#xF8;v igjen senere.","ziggeoaudioplayer.audio-rejected":"Lyden er avvist.","ziggeoaudioplayer.audio-processing":"Lyden behandles - f&#xF8;lg med.","ziggeoaudioplayer.audio-access-error":"Lyden er for tiden under moderering. Du kan klikke for &#xE5; pr&#xF8;ve p&#xE5; nytt.","ziggeoimageviewer.image-not-found":"Vi kunne ikke finne den spesifiserte bildefilen.","ziggeoimageviewer.image-access-forbidden":"Du har ikke tilgang til denne bildefilen.","ziggeoimageviewer.image-unknown-error":"Vi kan ikke f&#xE5; tilgang til dette bildet for &#xF8;yeblikket. Pr&#xF8;v igjen senere.","ziggeoimageviewer.image-rejected":"Bildet er avvist.","ziggeoimageviewer.image-processing":"Bildet er under behandling - f&#xF8;lg med.","ziggeoimageviewer.image-access-error":"Bildet er for tiden under moderering. Du kan klikke for &#xE5; pr&#xF8;ve p&#xE5; nytt."},"language:pl":{"application.error_503":"Serwisujemy nasz&#x105; us&#x142;ug&#x119;. Nied&#x142;ugo wracamy!","application.error_404":"Nie mo&#x17C;emy rozpozna&#x107; Twojego klucza API. Pami&#x119;taj, aby poda&#x107; go w nag&#x142;&#xF3;wku witryny.","application.error_401":"Nie masz uprawnie&#x144;, aby uzyska&#x107; dost&#x119;p do aplikacji z tej strony.","application.error_412":"Musisz potwierdzi&#x107; / ulepszy&#x107; konto.","application.error_unknown":"Wyst&#x105;pi&#x142; nieznany b&#x142;&#x105;d. Nasz zesp&#xF3;&#x142; zosta&#x142; powiadomiony i b&#x119;dzie rozwi&#x105;zywa&#x107; problem.","ziggeoaudioplayer.audio-not-found":"Nie mo&#x17C;na znale&#x17A;&#x107;&#xA0;okre&#x15B;lnego pliku audio.","ziggeoaudioplayer.audio-access-forbidden":"Nie masz uprawnie&#x144;, aby uzyska&#x107; dost&#x119;p do tego pliku audio.","ziggeoaudioplayer.audio-unknown-error":"Nie mo&#x17C;na aktualnie uzyska&#x107; dost&#x119;pu do tego pliku audio. Spr&#xF3;buj ponownie p&#xF3;&#x17A;niej.","ziggeoaudioplayer.audio-rejected":"Audio zosta&#x142;o odrzucone.","ziggeoaudioplayer.audio-processing":"Audio jest przetwarzane.","ziggeoaudioplayer.audio-access-error":"Audio jest obecnie w moderacji. Kliknij, aby ponowi&#x107;.","ziggeoimageviewer.image-not-found":"Nie mo&#x17C;na znale&#x17A;&#x107; okre&#x15B;lonego pliku zdj&#x119;cia.","ziggeoimageviewer.image-access-forbidden":"Nie masz uprawnie&#x144;, aby uzyska&#x107; dost&#x119;p do tego zdj&#x119;cia.","ziggeoimageviewer.image-unknown-error":"Nie mo&#x17C;na aktualnie uzyska&#x107; dost&#x119;pu do tego zdj&#x119;cia. Spr&#xF3;buj ponownie p&#xF3;&#x17A;niej.","ziggeoimageviewer.image-rejected":"Zdj&#x119;cie zosta&#x142;o odrzucone.","ziggeoimageviewer.image-processing":"Przetwarzanie zdj&#x119;cia.","ziggeoimageviewer.image-access-error":"Zdj&#x119;cie jest obecnie w moderacji. Kliknij, aby ponowi&#x107;.","ziggeoplayer.video-not-found":"Nie mo&#x17C;na znale&#x17A;&#x107; okre&#x15B;lonego pliku wideo.","ziggeoplayer.video-access-forbidden":"Nie masz wystarczaj&#x105;cych uprawnie&#x144;, aby uzyska&#x107; dost&#x119;p do tego pliku wideo. Spr&#xF3;buj ponownie p&#xF3;&#x17A;niej.","ziggeoplayer.video-unknown-error":"Nie mo&#x17C;emy uzyska&#x107; obecnie dost&#x119;pu do tego filmu. Spr&#xF3;buj ponownie p&#xF3;&#x17A;niej.","ziggeoplayer.video-rejected":"Film zosta&#x142; odrzucony.","ziggeoplayer.video-processing":"Film jest przetwarzany.","ziggeoplayer.video-access-error":"Film jest obecnie w moderacji. Kliknij, aby ponowi&#x107; pr&#xF3;b&#x119;."},"language:pt-br":{"application.error_503":"Nosso servi&#xE7;o est&#xE1; em manuten&#xE7;&#xE3;o. Estaremos de volta em breve.","application.error_404":"N&#xE3;o conseguimos reconhecer a sua chave de API. Por favor, certifique-se de especific&#xE1;-la no cabe&#xE7;alho do seu site.","application.error_401":"Voc&#xEA; n&#xE3;o tem permiss&#xE3;o para acessar o aplicativo a partir deste site.","application.error_412":"Voc&#xEA; precisa confirmar / atualizar a sua conta.","application.error_unknown":"Ocorreu um erro desconhecido. Nossa equipe foi notificada e ir&#xE1; resolver o problema.","ziggeoaudioplayer.audio-not-found":"N&#xF3;s n&#xE3;o encontramos o arquivo de &#xE1;udio especificado.","ziggeoaudioplayer.audio-access-forbidden":"Voc&#xEA; n&#xE3;o tem permiss&#xE3;o para acessar esse arquivo de &#xE1;udio.","ziggeoaudioplayer.audio-unknown-error":"N&#xF3;s n&#xE3;o conseguimos acessar esse &#xE1;udio no momento. Por favor tente novamente mais tarde.","ziggeoaudioplayer.audio-rejected":"O &#xE1;udio foi rejeitado.","ziggeoaudioplayer.audio-processing":"O &#xE1;udio est&#xE1; sendo processado - fique atento.","ziggeoaudioplayer.audio-access-error":"O &#xE1;udio est&#xE1; sob modera&#xE7;&#xE3;o. Voc&#xEA; pode clicar para tentar novamente.","ziggeoimageviewer.image-not-found":"N&#xF3;s n&#xE3;o encontramos esse arquivo espec&#xED;fico de imagem.","ziggeoimageviewer.image-access-forbidden":"Voc&#xEA; n&#xE3;o tem permiss&#xE3;o para acessar esse arquivo de imagem.","ziggeoimageviewer.image-unknown-error":"N&#xF3;s n&#xE3;o conseguimos acessar essa imagem no momento. Por favor tente novamente mais tarde.","ziggeoimageviewer.image-rejected":"A imagem foi rejeitada.","ziggeoimageviewer.image-processing":"A imagem est&#xE1; sendo processada - fique atento.","ziggeoimageviewer.image-access-error":"A imagem est&#xE1; sob modera&#xE7;&#xE3;o. Voc&#xEA; pode clicar para tentar novamente.","ziggeoplayer.video-not-found":"N&#xE3;o foi poss&#xED;vel encontrar o arquivo de v&#xED;deo especificado.","ziggeoplayer.video-access-forbidden":"Voc&#xEA; n&#xE3;o tem permiss&#xE3;o para acessar esse arquivo de v&#xED;deo.","ziggeoplayer.video-unknown-error":"N&#xE3;o podemos acessar este v&#xED;deo no momento. Por favor, tente novamente mais tarde.","ziggeoplayer.video-rejected":"O v&#xED;deo foi rejeitado.","ziggeoplayer.video-processing":"O v&#xED;deo est&#xE1; sendo processado - fique de olho.","ziggeoplayer.video-access-error":"O v&#xED;deo est&#xE1; em modera&#xE7;&#xE3;o. Voc&#xEA; pode clicar para tentar novamente."},"language:pt":{"application.error_503":"O nosso servi&#xE7;o est&#xE1; em manuten&#xE7;&#xE3;o. Os v&#xED;deos voltar&#xE3;o em breve.","application.error_404":"N&#xE3;o reconhecemos sua chave de API. Certifique-se de especific&#xE1;-la no cabe&#xE7;alho de seu site.","application.error_401":"N&#xE3;o tem permiss&#xF5;es para aceder a esta aplica&#xE7;&#xE3;o.","application.error_412":"Tem de confirmar / atualizar a sua conta.","application.error_unknown":"Ocorreu um erro desconhecido. A nossa equipa foi notificada e ir&#xE1; resolver o problema.","ziggeoplayer.video-not-found":"N&#xE3;o foi poss&#xED;vel encontrar o v&#xED;deo especificado.","ziggeoplayer.video-access-forbidden":"N&#xE3;o tem permiss&#xF5;es para aceder a este v&#xED;deo.","ziggeoplayer.video-unknown-error":"N&#xE3;o conseguimos aceder a este v&#xED;deo neste momento. Por favor, tente de novo mais tarde.","ziggeoplayer.video-rejected":"O v&#xED;deo foi rejeitado.","ziggeoplayer.video-processing":"O v&#xED;deo est&#xE1; em processamento - fique atento.","ziggeoplayer.video-access-error":"O v&#xED;deo est&#xE1; atualmente sob modera&#xE7;&#xE3;o. Pode clicar para tentar novamente.","ziggeoaudioplayer.audio-not-found":"N&#xE3;o foi poss&#xED;vel encontrar o arquivo de &#xE1;udio especificado.","ziggeoaudioplayer.audio-access-forbidden":"Voc&#xEA; n&#xE3;o tem permiss&#xE3;o para acessar este arquivo de &#xE1;udio.","ziggeoaudioplayer.audio-unknown-error":"N&#xE3;o podemos acessar este &#xE1;udio no momento. Por favor, tente novamente mais tarde.","ziggeoaudioplayer.audio-rejected":"O &#xE1;udio foi rejeitado.","ziggeoaudioplayer.audio-processing":"O &#xE1;udio est&#xE1; sendo processado - fique ligado.","ziggeoaudioplayer.audio-access-error":"O &#xE1;udio est&#xE1; atualmente sob modera&#xE7;&#xE3;o. Voc&#xEA; pode clicar para tentar novamente.","ziggeoimageviewer.image-not-found":"N&#xE3;o foi poss&#xED;vel encontrar o arquivo de imagem especificado.","ziggeoimageviewer.image-access-forbidden":"Voc&#xEA; n&#xE3;o tem permiss&#xE3;o para acessar este arquivo de imagem.","ziggeoimageviewer.image-unknown-error":"N&#xE3;o podemos acessar esta imagem no momento. Por favor, tente novamente mais tarde.","ziggeoimageviewer.image-rejected":"A imagem foi rejeitada.","ziggeoimageviewer.image-processing":"A imagem est&#xE1; sendo processada - fique atento.","ziggeoimageviewer.image-access-error":"A imagem est&#xE1; atualmente sob modera&#xE7;&#xE3;o. Voc&#xEA; pode clicar para tentar novamente."},"language:ro":{"application.error_503":"Ne men&#x21B;inem serviciul nostru. Videoclipurile vor reveni &#xEE;n cur&#xE2;nd.","application.error_404":"Noi nu putem recunoaste cheia API-ului. Asigura&#x21B;i-v&#x103; c&#x103; specifica&#x21B;i acest lucru &#xEE;n antetul site-ului.","application.error_401":"Nu ave&#x21B;i permisiunea de a accesa aplica&#x21B;ia de pe acest site.","application.error_412":"Trebuie s&#x103; confirma&#x21B;i / actualiza&#x21B;i contul.","application.error_unknown":"A ap&#x103;rut o eroare necunoscut&#x103;. Echipa noastr&#x103; a fost notificat&#x103; &#x219;i va rezolva problema.","ziggeoplayer.video-not-found":"Nu am putut g&#x103;si fi&#x219;ierul video specificat.","ziggeoplayer.video-access-forbidden":"Nu ave&#x21B;i permisiunea de a accesa acest fi&#x219;ier video.","ziggeoplayer.video-unknown-error":"Noi nu putem avea acces la acest video la acest moment. V&#x103; rug&#x103;m s&#x103; &#xEE;ncerca&#x21B;i din nou mai t&#xE2;rziu.","ziggeoplayer.video-rejected":"Videoclipul a fost respins.","ziggeoplayer.video-processing":"Videoclipul se proceseaz&#x103; - V&#x103; rug&#x103;m s&#x103; a&#x219;tepta&#x21B;i.","ziggeoplayer.video-access-error":"Video este &#xEE;n prezent &#xEE;n curs de moderare. Ave&#x21B;i dreptul s&#x103; face&#x21B;i clic pentru a &#xEE;ncerca din nou.","ziggeoaudioplayer.audio-not-found":"Nu am putut g&#x103;si fi&#x219;ierul audio specificat.","ziggeoaudioplayer.audio-access-forbidden":"Nu ave&#x21B;i permisiunea de a accesa acest fi&#x219;ier audio.","ziggeoaudioplayer.audio-unknown-error":"Nu putem accesa acest fi&#x219;ier audio &#xEE;n acest moment. V&#x103; rug&#x103;m s&#x103; &#xEE;ncerca&#x21B;i din nou mai t&#xE2;rziu.","ziggeoaudioplayer.audio-rejected":"Sunetul a fost respins.","ziggeoaudioplayer.audio-processing":"Sunetul se proceseaz&#x103; - V&#x103; rug&#x103;m s&#x103; a&#x219;tepta&#x21B;i.","ziggeoaudioplayer.audio-access-error":"Sunetul este &#xEE;n prezent sub moderare. Pute&#x21B;i face clic pentru a &#xEE;ncerca din nou.","ziggeoimageviewer.image-not-found":"Nu am putut g&#x103;si fi&#x219;ierul imagine specificat.","ziggeoimageviewer.image-access-forbidden":"Nu ave&#x21B;i permisiunea de a accesa acest fi&#x219;ier imagine.","ziggeoimageviewer.image-unknown-error":"Nu putem accesa aceast&#x103; imagine &#xEE;n acest moment. V&#x103; rug&#x103;m s&#x103; &#xEE;ncerca&#x21B;i din nou mai t&#xE2;rziu.","ziggeoimageviewer.image-rejected":"Imaginea a fost respins&#x103;.","ziggeoimageviewer.image-processing":"Imaginea se proceseaz&#x103; - V&#x103; rug&#x103;m s&#x103; a&#x219;tepta&#x21B;i.","ziggeoimageviewer.image-access-error":"Imaginea este &#xEE;n prezent &#xEE;n curs de moderare. Pute&#x21B;i face clic pentru a &#xEE;ncerca din nou."},"language:ru":{"application.error_503":"&#x41C;&#x44B; &#x43D;&#x430; &#x442;&#x435;&#x445;&#x43D;&#x438;&#x447;&#x435;&#x441;&#x43A;&#x43E;&#x43C; &#x43E;&#x431;&#x441;&#x43B;&#x443;&#x436;&#x438;&#x432;&#x430;&#x43D;&#x438;&#x438;. &#x412;&#x438;&#x434;&#x435;&#x43E; &#x441;&#x43A;&#x43E;&#x440;&#x43E; &#x432;&#x435;&#x440;&#x43D;&#x443;&#x442;&#x441;&#x44F;.","application.error_404":"&#x41C;&#x44B; &#x43D;&#x435; &#x43C;&#x43E;&#x436;&#x435;&#x43C; &#x440;&#x430;&#x441;&#x43F;&#x43E;&#x437;&#x43D;&#x430;&#x442;&#x44C; &#x432;&#x430;&#x448; &#x43A;&#x43B;&#x44E;&#x447; api. &#x41D;&#x435; &#x437;&#x430;&#x431;&#x443;&#x434;&#x44C;&#x442;&#x435; &#x443;&#x43A;&#x430;&#x437;&#x430;&#x442;&#x44C; &#x435;&#x433;&#x43E; &#x432; &#x437;&#x430;&#x433;&#x43E;&#x43B;&#x43E;&#x432;&#x43A;&#x435; &#x441;&#x432;&#x43E;&#x435;&#x433;&#x43E; &#x432;&#x435;&#x431;-&#x441;&#x430;&#x439;&#x442;&#x430;.","application.error_401":"&#x423; &#x432;&#x430;&#x441; &#x43D;&#x435;&#x442; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F;&#x430; &#x43A; &#x43F;&#x440;&#x438;&#x43B;&#x43E;&#x436;&#x435;&#x43D;&#x438;&#x44E; &#x441; &#x44D;&#x442;&#x43E;&#x433;&#x43E; &#x441;&#x430;&#x439;&#x442;&#x430;.","application.error_412":"&#x412;&#x430;&#x43C; &#x43D;&#x435;&#x43E;&#x431;&#x445;&#x43E;&#x434;&#x438;&#x43C;&#x43E; &#x43F;&#x43E;&#x434;&#x442;&#x432;&#x435;&#x440;&#x434;&#x438;&#x442;&#x44C; / &#x43E;&#x431;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x44C; &#x441;&#x432;&#x43E;&#x44E; &#x443;&#x447;&#x435;&#x442;&#x43D;&#x443;&#x44E; &#x437;&#x430;&#x43F;&#x438;&#x441;&#x44C;.","application.error_unknown":"&#x41F;&#x440;&#x43E;&#x438;&#x437;&#x43E;&#x448;&#x43B;&#x430; &#x43D;&#x435;&#x438;&#x437;&#x432;&#x435;&#x441;&#x442;&#x43D;&#x430;&#x44F; &#x43E;&#x448;&#x438;&#x431;&#x43A;&#x430;. &#x41D;&#x430;&#x448;&#x430; &#x43A;&#x43E;&#x43C;&#x430;&#x43D;&#x434;&#x430; &#x43F;&#x43E;&#x43B;&#x443;&#x447;&#x438;&#x43B;&#x430; &#x443;&#x432;&#x435;&#x434;&#x43E;&#x43C;&#x43B;&#x435;&#x43D;&#x438;&#x435; &#x438; &#x43C;&#x44B; &#x440;&#x435;&#x448;&#x438;&#x43C; &#x43F;&#x440;&#x43E;&#x431;&#x43B;&#x435;&#x43C;&#x443;.","ziggeoplayer.video-not-found":"&#x41D;&#x435; &#x443;&#x434;&#x430;&#x43B;&#x43E;&#x441;&#x44C; &#x43D;&#x430;&#x439;&#x442;&#x438; &#x443;&#x43A;&#x430;&#x437;&#x430;&#x43D;&#x43D;&#x44B;&#x439; &#x432;&#x438;&#x434;&#x435;&#x43E;&#x444;&#x430;&#x439;&#x43B;.","ziggeoplayer.video-access-forbidden":"&#x412;&#x430;&#x43C; &#x43D;&#x435; &#x440;&#x430;&#x437;&#x440;&#x435;&#x448;&#x435;&#x43D; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x43A; &#x44D;&#x442;&#x43E;&#x43C;&#x443; &#x432;&#x438;&#x434;&#x435;&#x43E;&#x444;&#x430;&#x439;&#x43B;&#x443;.","ziggeoplayer.video-unknown-error":"&#x412; &#x43D;&#x430;&#x441;&#x442;&#x43E;&#x44F;&#x449;&#x435;&#x435; &#x432;&#x440;&#x435;&#x43C;&#x44F; &#x443; &#x43D;&#x430;&#x441; &#x43D;&#x435;&#x442; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F;&#x430; &#x43A; &#x44D;&#x442;&#x43E;&#x43C;&#x443; &#x432;&#x438;&#x434;&#x435;&#x43E;. &#x41F;&#x43E;&#x436;&#x430;&#x43B;&#x443;&#x439;&#x441;&#x442;&#x430;, &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443; &#x43F;&#x43E;&#x437;&#x436;&#x435;.","ziggeoplayer.video-rejected":"&#x412;&#x438;&#x434;&#x435;&#x43E; &#x43E;&#x442;&#x43A;&#x43B;&#x43E;&#x43D;&#x435;&#x43D;&#x43E;.","ziggeoplayer.video-processing":"&#x412;&#x438;&#x434;&#x435;&#x43E; &#x43E;&#x431;&#x440;&#x430;&#x431;&#x430;&#x442;&#x44B;&#x432;&#x430;&#x435;&#x442;&#x441;&#x44F; - &#x441;&#x43B;&#x435;&#x434;&#x438;&#x442;&#x435; &#x437;&#x430; &#x43E;&#x431;&#x43D;&#x43E;&#x432;&#x43B;&#x435;&#x43D;&#x438;&#x44F;&#x43C;&#x438;.","ziggeoplayer.video-access-error":"&#x412; &#x43D;&#x430;&#x441;&#x442;&#x43E;&#x44F;&#x449;&#x435;&#x435; &#x432;&#x440;&#x435;&#x43C;&#x44F; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x43D;&#x430; &#x43C;&#x43E;&#x434;&#x435;&#x440;&#x430;&#x446;&#x438;&#x438;. &#x41D;&#x430;&#x436;&#x43C;&#x438;&#x442;&#x435;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ziggeoaudioplayer.audio-not-found":"&#x41D;&#x435; &#x443;&#x434;&#x430;&#x43B;&#x43E;&#x441;&#x44C; &#x43D;&#x430;&#x439;&#x442;&#x438; &#x443;&#x43A;&#x430;&#x437;&#x430;&#x43D;&#x43D;&#x44B;&#x439; &#x430;&#x443;&#x434;&#x438;&#x43E;&#x444;&#x430;&#x439;&#x43B;.","ziggeoaudioplayer.audio-access-forbidden":"&#x423; &#x432;&#x430;&#x441; &#x43D;&#x435;&#x442; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F;&#x430; &#x43A; &#x44D;&#x442;&#x43E;&#x43C;&#x443; &#x430;&#x443;&#x434;&#x438;&#x43E;&#x444;&#x430;&#x439;&#x43B;&#x443;.","ziggeoaudioplayer.audio-unknown-error":"&#x412; &#x43D;&#x430;&#x441;&#x442;&#x43E;&#x44F;&#x449;&#x438;&#x439; &#x43C;&#x43E;&#x43C;&#x435;&#x43D;&#x442; &#x43C;&#x44B; &#x43D;&#x435; &#x43C;&#x43E;&#x436;&#x435;&#x43C; &#x43F;&#x43E;&#x43B;&#x443;&#x447;&#x438;&#x442;&#x44C; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x43A; &#x44D;&#x442;&#x43E;&#x43C;&#x443; &#x430;&#x443;&#x434;&#x438;&#x43E;. &#x41F;&#x43E;&#x436;&#x430;&#x43B;&#x443;&#x439;&#x441;&#x442;&#x430;, &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443; &#x43F;&#x43E;&#x437;&#x436;&#x435;.","ziggeoaudioplayer.audio-rejected":"&#x410;&#x443;&#x434;&#x438;&#x43E; &#x431;&#x44B;&#x43B;&#x43E; &#x43E;&#x442;&#x43A;&#x43B;&#x43E;&#x43D;&#x435;&#x43D;&#x43E;.","ziggeoaudioplayer.audio-processing":"&#x410;&#x443;&#x434;&#x438;&#x43E; &#x43E;&#x431;&#x440;&#x430;&#x431;&#x430;&#x442;&#x44B;&#x432;&#x430;&#x435;&#x442;&#x441;&#x44F; - &#x441;&#x43B;&#x435;&#x434;&#x438;&#x442;&#x435; &#x437;&#x430; &#x43E;&#x431;&#x43D;&#x43E;&#x432;&#x43B;&#x435;&#x43D;&#x438;&#x44F;&#x43C;&#x438;.","ziggeoaudioplayer.audio-access-error":"&#x410;&#x443;&#x434;&#x438;&#x43E; &#x432; &#x43D;&#x430;&#x441;&#x442;&#x43E;&#x44F;&#x449;&#x435;&#x435; &#x432;&#x440;&#x435;&#x43C;&#x44F; &#x43F;&#x440;&#x43E;&#x445;&#x43E;&#x434;&#x438;&#x442; &#x43C;&#x43E;&#x434;&#x435;&#x440;&#x430;&#x446;&#x438;&#x44E;. &#x412;&#x44B; &#x43C;&#x43E;&#x436;&#x435;&#x442;&#x435; &#x43D;&#x430;&#x436;&#x430;&#x442;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;.","ziggeoimageviewer.image-not-found":"&#x41D;&#x435; &#x443;&#x434;&#x430;&#x43B;&#x43E;&#x441;&#x44C; &#x43D;&#x430;&#x439;&#x442;&#x438; &#x443;&#x43A;&#x430;&#x437;&#x430;&#x43D;&#x43D;&#x44B;&#x439; &#x444;&#x430;&#x439;&#x43B; &#x438;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x44F;.","ziggeoimageviewer.image-access-forbidden":"&#x423; &#x432;&#x430;&#x441; &#x43D;&#x435;&#x442; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F;&#x430; &#x43A; &#x44D;&#x442;&#x43E;&#x43C;&#x443; &#x444;&#x430;&#x439;&#x43B;&#x443; &#x438;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x44F;.","ziggeoimageviewer.image-unknown-error":"&#x412; &#x43D;&#x430;&#x441;&#x442;&#x43E;&#x44F;&#x449;&#x438;&#x439; &#x43C;&#x43E;&#x43C;&#x435;&#x43D;&#x442; &#x43C;&#x44B; &#x43D;&#x435; &#x43C;&#x43E;&#x436;&#x435;&#x43C; &#x43F;&#x43E;&#x43B;&#x443;&#x447;&#x438;&#x442;&#x44C; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x43A; &#x44D;&#x442;&#x43E;&#x43C;&#x443; &#x438;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x44E;. &#x41F;&#x43E;&#x436;&#x430;&#x43B;&#x443;&#x439;&#x441;&#x442;&#x430;, &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x435; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443; &#x43F;&#x43E;&#x437;&#x436;&#x435;.","ziggeoimageviewer.image-rejected":"&#x418;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x435; &#x431;&#x44B;&#x43B;&#x43E; &#x43E;&#x442;&#x43A;&#x43B;&#x43E;&#x43D;&#x435;&#x43D;&#x43E;.","ziggeoimageviewer.image-processing":"&#x418;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x435; &#x43E;&#x431;&#x440;&#x430;&#x431;&#x430;&#x442;&#x44B;&#x432;&#x430;&#x435;&#x442;&#x441;&#x44F; - &#x441;&#x43B;&#x435;&#x434;&#x438;&#x442;&#x435; &#x437;&#x430; &#x43E;&#x431;&#x43D;&#x43E;&#x432;&#x43B;&#x435;&#x43D;&#x438;&#x44F;&#x43C;&#x438;.","ziggeoimageviewer.image-access-error":"&#x418;&#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x438;&#x435; &#x432; &#x43D;&#x430;&#x441;&#x442;&#x43E;&#x44F;&#x449;&#x435;&#x435; &#x432;&#x440;&#x435;&#x43C;&#x44F; &#x43F;&#x440;&#x43E;&#x445;&#x43E;&#x434;&#x438;&#x442; &#x43C;&#x43E;&#x434;&#x435;&#x440;&#x430;&#x446;&#x438;&#x44E;. &#x412;&#x44B; &#x43C;&#x43E;&#x436;&#x435;&#x442;&#x435; &#x43D;&#x430;&#x436;&#x430;&#x442;&#x44C;, &#x447;&#x442;&#x43E;&#x431;&#x44B; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x44C; &#x43F;&#x43E;&#x43F;&#x44B;&#x442;&#x43A;&#x443;."},"language:sk":{"application.error_503":"T&#xFA;to slu&#x17E;bu pr&#xE1;ve vylep&#x161;ujeme. Mo&#x17E;nos&#x165; nahrania video&#x17E;ivotopisu bude dostupn&#xE1; u&#x17E; onedlho. T&#xFA;to slu&#x17E;bu pr&#xE1;ve vylep&#x161;ujeme. Mo&#x17E;nos&#x165; nahrania video&#x17E;ivotopisu bude op&#xE4;tovne spusten&#xE1; u&#x17E; onedlho.","application.error_404":"Nedar&#xED; sa n&#xE1;m rozpozna&#x165; V&#xE1;&#x161; API k&#x13E;&#xFA;&#x10D;. Uistite sa, pros&#xED;m, &#x10D;i ho m&#xE1;te v hlavi&#x10D;ke V&#xE1;&#x161;ho webu.","application.error_401":"Nem&#xE1;te pr&#xED;stup k aplik&#xE1;cii na tejto str&#xE1;nke.","application.error_412":"Mus&#xED;te potvrdi&#x165; / aktualizova&#x165; svoj &#xFA;&#x10D;et.","application.error_unknown":"Vyskytla sa nezn&#xE1;ma chyba. N&#xE1;&#x161; t&#xED;m bol upozornen&#xFD; a bude tento probl&#xE9;m rie&#x161;i&#x165;.","ziggeoplayer.video-not-found":"Nepodarilo sa n&#xE1;m n&#xE1;js&#x165; zadan&#xFD; video s&#xFA;bor.","ziggeoplayer.video-access-forbidden":"K tomuto video s&#xFA;boru nem&#xE1;te povolen&#xFD; pr&#xED;stup.","ziggeoplayer.video-unknown-error":"K tomuto videu nem&#xE1;me moment&#xE1;lne pr&#xED;stup. Sk&#xFA;ste nesk&#xF4;r pros&#xED;m.","ziggeoplayer.video-rejected":"Video bolo zamietnut&#xE9;.","ziggeoplayer.video-processing":"Video sa spracov&#xE1;va.","ziggeoplayer.video-access-error":"Video je moment&#xE1;lne pou&#x17E;&#xED;van&#xE9;. Kliknut&#xED;m sk&#xFA;ste znova.","ziggeoaudioplayer.audio-not-found":"Zadan&#xFD; zvukov&#xFD; s&#xFA;bor sa n&#xE1;m nepodarilo n&#xE1;js&#x165;.","ziggeoaudioplayer.audio-access-forbidden":"K tomuto zvukov&#xE9;mu s&#xFA;boru nem&#xE1;te pr&#xED;stup.","ziggeoaudioplayer.audio-unknown-error":"Moment&#xE1;lne nem&#xE1;me pr&#xED;stup k tomuto zvuku. Sk&#xFA;ste nesk&#xF4;r pros&#xED;m.","ziggeoaudioplayer.audio-rejected":"Zvuk bol odmietnut&#xFD;.","ziggeoaudioplayer.audio-processing":"Zvuk sa spracov&#xE1;va - zosta&#x148;te naladen&#xED;.","ziggeoaudioplayer.audio-access-error":"Zvuk je moment&#xE1;lne v moderovan&#xED;. Kliknut&#xED;m to m&#xF4;&#x17E;ete sk&#xFA;si&#x165; znova.","ziggeoimageviewer.image-not-found":"Nepodarilo sa n&#xE1;m n&#xE1;js&#x165; zadan&#xFD; obrazov&#xFD; s&#xFA;bor.","ziggeoimageviewer.image-access-forbidden":"K tomuto s&#xFA;boru obr&#xE1;zka nem&#xE1;te pr&#xED;stup.","ziggeoimageviewer.image-unknown-error":"Moment&#xE1;lne nem&#xE1;me pr&#xED;stup k tomuto obr&#xE1;zku. Sk&#xFA;ste nesk&#xF4;r pros&#xED;m.","ziggeoimageviewer.image-rejected":"Obr&#xE1;zok bol odmietnut&#xFD;.","ziggeoimageviewer.image-processing":"Obr&#xE1;zok sa spracov&#xE1;va - zosta&#x148;te naladen&#xED;.","ziggeoimageviewer.image-access-error":"Obr&#xE1;zok je moment&#xE1;lne v moderovan&#xED;. Kliknut&#xED;m to m&#xF4;&#x17E;ete sk&#xFA;si&#x165; znova."},"language:sl":{"application.error_503":"Na&#x161;a storitev je v vzdr&#x17E;evanju. Kmalu se vrnemo.","application.error_404":"Ne moremo prepoznati va&#x161;ega API klju&#x10D;a. Prosimo, navedite ga v glavi va&#x161;ega spletnega mesta.","application.error_401":"Do te aplikacije ne morete dostopati s te spletne strani.","application.error_412":"Ra&#x10D;un morate potrditi / nadgraditi.","application.error_unknown":"Pri&#x161;lo je do neznane napake. Na&#x161; tim je o te&#x17E;avi obve&#x161;&#x10D;en in jo bo odpravil.","ziggeoaudioplayer.audio-not-found":"Navedene zvo&#x10D;ne datotete nismo na&#x161;li.","ziggeoaudioplayer.audio-access-forbidden":"Do te zvo&#x10D;ne datoteke nimate dostopa.","ziggeoaudioplayer.audio-unknown-error":"Trenutno ne moremo dostopati do zvo&#x10D;ne datoteke. Prosimo, poskusite kasneje.","ziggeoaudioplayer.audio-rejected":"Zvok je bil zavrnjen.","ziggeoaudioplayer.audio-processing":"Zvok je v obdelavi - ostanite z nami.","ziggeoaudioplayer.audio-access-error":"Zvok je v obdelavi. Klikni za ponovni poskus.","ziggeoimageviewer.image-not-found":"Navedene slikovne datoteke nismo na&#x161;li.","ziggeoimageviewer.image-access-forbidden":"Do te slikovne datoteke nimate dostopa.","ziggeoimageviewer.image-unknown-error":"Trenutno ne moremo dostopati do slikovne datoteke. Prosimo, poskusite kasneje.","ziggeoimageviewer.image-rejected":"Slika je bila zavrnjena.","ziggeoimageviewer.image-processing":"Slika je v obdelavi - ostanite z nami.","ziggeoimageviewer.image-access-error":"Slika je v obdelavi. Klikni za ponovni poskus.","ziggeoplayer.video-not-found":"Navedene video datoteke nismo na&#x161;li.","ziggeoplayer.video-access-forbidden":"Do te video datoteke nimate dostopa.","ziggeoplayer.video-unknown-error":"Trenutno ne moremo dostopati do video datoteke. Prosimo, poskusite kasneje.","ziggeoplayer.video-rejected":"Video je bil zavrnjen.","ziggeoplayer.video-processing":"Video je v obdelavi - ostanite z nami.","ziggeoplayer.video-access-error":"Video je v obdelavi - ostanite z nami."},"language:sr":{"application.error_503":"&#x41C;&#x438; &#x441;&#x43C;&#x43E; &#x43E;&#x434;&#x440;&#x436;&#x430;&#x432;&#x430;&#x45A;&#x435; &#x43D;&#x430;&#x448;&#x435; &#x443;&#x441;&#x43B;&#x443;&#x433;&#x435;. &#x412;&#x438;&#x434;&#x435;&#x43E; &#x45B;&#x435; &#x441;&#x435; &#x432;&#x440;&#x430;&#x442;&#x438;&#x442;&#x438; &#x443;&#x441;&#x43A;&#x43E;&#x440;&#x43E;.","application.error_404":"&#x41D;&#x435; &#x43C;&#x43E;&#x436;&#x435;&#x43C;&#x43E; &#x43F;&#x440;&#x435;&#x43F;&#x43E;&#x437;&#x43D;&#x430;&#x442;&#x438; &#x43A;&#x459;&#x443;&#x447; &#x410;&#x41F;&#x418;-&#x458;&#x430;. &#x423;&#x432;&#x435;&#x440;&#x438;&#x442;&#x435; &#x441;&#x435; &#x434;&#x430; &#x458;&#x435; &#x43D;&#x430;&#x432;&#x435;&#x434;&#x435;&#x442;&#x435; &#x443; &#x437;&#x430;&#x433;&#x43B;&#x430;&#x432;&#x459;&#x443; &#x432;&#x430;&#x448;&#x435;&#x433; &#x432;&#x435;&#x431;-&#x441;&#x430;&#x458;&#x442;&#x430;.","application.error_401":"&#x41D;&#x438;&#x441;&#x442;&#x435; &#x434;&#x43E;&#x437;&#x432;&#x43E;&#x459;&#x435;&#x43D; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x443;&#x43F; &#x430;&#x43F;&#x43B;&#x438;&#x43A;&#x430;&#x446;&#x438;&#x458;&#x443; &#x441;&#x430; &#x43E;&#x432;&#x43E;&#x433; &#x441;&#x430;&#x458;&#x442;&#x430;.","application.error_412":"&#x41F;&#x43E;&#x442;&#x440;&#x435;&#x431;&#x43D;&#x43E; &#x458;&#x435; &#x434;&#x430; &#x43F;&#x43E;&#x442;&#x432;&#x440;&#x434;&#x438;&#x442;&#x435; / &#x43D;&#x430;&#x434;&#x43E;&#x433;&#x440;&#x430;&#x434;&#x438;&#x442;&#x435; &#x43D;&#x430;&#x43B;&#x43E;&#x433;.","application.error_unknown":"&#x41D;&#x435;&#x43F;&#x43E;&#x437;&#x43D;&#x430;&#x442;&#x435; &#x433;&#x440;&#x435;&#x448;&#x43A;&#x435;. &#x41D;&#x430;&#x448; &#x442;&#x438;&#x43C; &#x458;&#x435; &#x43E;&#x431;&#x430;&#x432;&#x435;&#x448;&#x442;&#x435;&#x43D; &#x438; &#x434;&#x430; &#x45B;&#x435; &#x440;&#x435;&#x448;&#x438;&#x442;&#x438; &#x43F;&#x440;&#x43E;&#x431;&#x43B;&#x435;&#x43C;.","ziggeoplayer.video-not-found":"&#x41D;&#x438;&#x441;&#x43C;&#x43E; &#x43C;&#x43E;&#x433;&#x43B;&#x438; &#x43D;&#x430;&#x45B;&#x438; &#x43D;&#x430;&#x432;&#x435;&#x434;&#x435;&#x43D;&#x443; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x444;&#x430;&#x458;&#x43B;.","ziggeoplayer.video-access-forbidden":"&#x41D;&#x438;&#x458;&#x435; &#x432;&#x430;&#x43C; &#x434;&#x43E;&#x437;&#x432;&#x43E;&#x459;&#x435;&#x43D;&#x43E; &#x434;&#x430; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x443;&#x43F;&#x435; &#x43E;&#x432;&#x43E;&#x43C; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x444;&#x430;&#x458;&#x43B;.","ziggeoplayer.video-unknown-error":"&#x41C;&#x438; &#x43D;&#x435; &#x43C;&#x43E;&#x436;&#x435;&#x43C;&#x43E; &#x434;&#x430; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x443;&#x43F;&#x438;&#x442;&#x435; &#x43E;&#x432;&#x43E;&#x43C; &#x432;&#x438;&#x434;&#x435;&#x43E; &#x443; &#x43E;&#x432;&#x43E;&#x43C; &#x442;&#x440;&#x435;&#x43D;&#x443;&#x442;&#x43A;&#x443;. &#x41F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x458;&#x442;&#x435; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E; &#x43A;&#x430;&#x441;&#x43D;&#x438;&#x458;&#x435;.","ziggeoplayer.video-rejected":"&#x412;&#x438;&#x434;&#x435;&#x43E; &#x458;&#x435; &#x43E;&#x434;&#x431;&#x438;&#x458;&#x435;&#x43D;.","ziggeoplayer.video-processing":"&#x412;&#x438;&#x434;&#x435;&#x43E; &#x43E;&#x431;&#x440;&#x430;&#x452;&#x443;&#x458;&#x435; - &#x441;&#x442;&#x430;&#x438; &#x442;&#x443;&#x43D;&#x435;&#x434;.","ziggeoplayer.video-access-error":"&#x412;&#x438;&#x434;&#x435;&#x43E; &#x458;&#x435; &#x442;&#x440;&#x435;&#x43D;&#x443;&#x442;&#x43D;&#x43E; &#x443; &#x444;&#x430;&#x437;&#x438; &#x443;&#x43C;&#x435;&#x440;&#x435;&#x43D;&#x43E;&#x441;&#x442;&#x438;. &#x41C;&#x43E;&#x436;&#x435;&#x442;&#x435; &#x434;&#x430; &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x434;&#x430; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x435;.","ziggeoaudioplayer.audio-not-found":"&#x41D;&#x438;&#x441;&#x43C;&#x43E; &#x43C;&#x43E;&#x433;&#x43B;&#x438; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x43D;&#x430;&#x452;&#x435;&#x43C;&#x43E; &#x43D;&#x430;&#x432;&#x435;&#x434;&#x435;&#x43D;&#x443; &#x430;&#x443;&#x434;&#x438;&#x43E; &#x434;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x443;.","ziggeoaudioplayer.audio-access-forbidden":"&#x41D;&#x438;&#x458;&#x435; &#x432;&#x430;&#x43C; &#x434;&#x43E;&#x437;&#x432;&#x43E;&#x459;&#x435;&#x43D; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x443;&#x43F; &#x43E;&#x432;&#x43E;&#x458; &#x430;&#x443;&#x434;&#x438;&#x43E; &#x434;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x446;&#x438;.","ziggeoaudioplayer.audio-unknown-error":"&#x422;&#x440;&#x435;&#x43D;&#x443;&#x442;&#x43D;&#x43E; &#x43D;&#x435; &#x43C;&#x43E;&#x436;&#x435;&#x43C;&#x43E; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x443;&#x43F;&#x438;&#x442;&#x438; &#x43E;&#x432;&#x43E;&#x43C; &#x437;&#x432;&#x443;&#x43A;&#x443;. &#x41F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x458;&#x442;&#x435; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E; &#x43A;&#x430;&#x441;&#x43D;&#x438;&#x458;&#x435;.","ziggeoaudioplayer.audio-rejected":"&#x417;&#x432;&#x443;&#x43A; &#x458;&#x435; &#x43E;&#x434;&#x431;&#x438;&#x458;&#x435;&#x43D;.","ziggeoaudioplayer.audio-processing":"&#x417;&#x432;&#x443;&#x43A; &#x441;&#x435; &#x43E;&#x431;&#x440;&#x430;&#x452;&#x443;&#x458;&#x435; - &#x43F;&#x440;&#x430;&#x442;&#x438;&#x442;&#x435; &#x43D;&#x430;&#x441;.","ziggeoaudioplayer.audio-access-error":"&#x417;&#x432;&#x443;&#x43A; &#x458;&#x435; &#x442;&#x440;&#x435;&#x43D;&#x443;&#x442;&#x43D;&#x43E; &#x43F;&#x43E;&#x434; &#x43C;&#x43E;&#x434;&#x435;&#x440;&#x438;&#x440;&#x430;&#x45A;&#x435;&#x43C;. &#x41C;&#x43E;&#x436;&#x435;&#x442;&#x435; &#x434;&#x430; &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;.","ziggeoimageviewer.image-not-found":"&#x41D;&#x438;&#x441;&#x43C;&#x43E; &#x43C;&#x43E;&#x433;&#x43B;&#x438; &#x434;&#x430; &#x43F;&#x440;&#x43E;&#x43D;&#x430;&#x452;&#x435;&#x43C;&#x43E; &#x43D;&#x430;&#x432;&#x435;&#x434;&#x435;&#x43D;&#x443; &#x434;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x43A;&#x443; &#x441;&#x43B;&#x438;&#x43A;&#x435;.","ziggeoimageviewer.image-access-forbidden":"&#x41D;&#x438;&#x458;&#x435; &#x432;&#x430;&#x43C; &#x434;&#x43E;&#x437;&#x432;&#x43E;&#x459;&#x435;&#x43D; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x443;&#x43F; &#x43E;&#x432;&#x43E;&#x458; &#x434;&#x430;&#x442;&#x43E;&#x442;&#x435;&#x446;&#x438; &#x441;&#x43B;&#x438;&#x43A;&#x435;.","ziggeoimageviewer.image-unknown-error":"&#x422;&#x440;&#x435;&#x43D;&#x443;&#x442;&#x43D;&#x43E; &#x43D;&#x435; &#x43C;&#x43E;&#x436;&#x435;&#x43C;&#x43E; &#x43F;&#x440;&#x438;&#x441;&#x442;&#x443;&#x43F;&#x438;&#x442;&#x438; &#x43E;&#x432;&#x43E;&#x458; &#x441;&#x43B;&#x438;&#x446;&#x438;. &#x41F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x458;&#x442;&#x435; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E; &#x43A;&#x430;&#x441;&#x43D;&#x438;&#x458;&#x435;.","ziggeoimageviewer.image-rejected":"&#x421;&#x43B;&#x438;&#x43A;&#x430; &#x458;&#x435; &#x43E;&#x434;&#x431;&#x438;&#x458;&#x435;&#x43D;&#x430;.","ziggeoimageviewer.image-processing":"&#x421;&#x43B;&#x438;&#x43A;&#x430; &#x441;&#x435; &#x43E;&#x431;&#x440;&#x430;&#x452;&#x443;&#x458;&#x435; - &#x43F;&#x440;&#x430;&#x442;&#x438;&#x442;&#x435; &#x43D;&#x430;&#x441;.","ziggeoimageviewer.image-access-error":"&#x421;&#x43B;&#x438;&#x43A;&#x430; &#x458;&#x435; &#x442;&#x440;&#x435;&#x43D;&#x443;&#x442;&#x43D;&#x43E; &#x43F;&#x43E;&#x434; &#x43C;&#x43E;&#x434;&#x435;&#x440;&#x438;&#x440;&#x430;&#x45A;&#x435;&#x43C;. &#x41C;&#x43E;&#x436;&#x435;&#x442;&#x435; &#x434;&#x430; &#x43A;&#x43B;&#x438;&#x43A;&#x43D;&#x435;&#x442;&#x435; &#x434;&#x430; &#x431;&#x438;&#x441;&#x442;&#x435; &#x43F;&#x43E;&#x43A;&#x443;&#x448;&#x430;&#x43B;&#x438; &#x43F;&#x43E;&#x43D;&#x43E;&#x432;&#x43E;."},"language:sv":{"application.error_503":"Just nu underh&#xE5;ller vi v&#xE5;r tj&#xE4;nst. Vi &#xE4;r snart tillbaka.","application.error_404":"Vi k&#xE4;nner inte igen din API-nyckel. V&#xE4;nligen kontrollera att den finns i webbplatsens sidhuvud.","application.error_401":"Du har inte tillg&#xE5;ng till applikationen fr&#xE5;n denna sida.","application.error_412":"Du m&#xE5;ste bekr&#xE4;fta / uppgradera ditt konto.","application.error_unknown":"Ett ok&#xE4;nt fel uppstod. V&#xE5;rt team har informerats och jobbar p&#xE5; att l&#xF6;sa problemet.","ziggeoaudioplayer.audio-not-found":"Vi kunde inte hitta den valda ljudfilen.","ziggeoaudioplayer.audio-access-forbidden":"Du har inte tillg&#xE5;ng till den valda ljudfilen.","ziggeoaudioplayer.audio-unknown-error":"Vi kan f&#xF6;r n&#xE4;rvarande inte komma &#xE5;t den valda ljudfilen. V&#xE4;nligen f&#xF6;rs&#xF6;k igen senare.","ziggeoaudioplayer.audio-rejected":"Ljudet har nekats.","ziggeoaudioplayer.audio-processing":"Ljudet bearbetas - h&#xE4;ng kvar.","ziggeoaudioplayer.audio-access-error":"Ljudet modereras f&#xF6;r n&#xE4;rvarande. Klicka f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ziggeoimageviewer.image-not-found":"Vi kunde inte hitta den valda bildfilen.","ziggeoimageviewer.image-access-forbidden":"Du har inte tillg&#xE5;ng till den valda bildfilen.","ziggeoimageviewer.image-unknown-error":"Vi kan f&#xF6;r n&#xE4;rvarande inte komma &#xE5;t den valda bildfilen. V&#xE4;nligen f&#xF6;rs&#xF6;k igen senare.","ziggeoimageviewer.image-rejected":"Bilden har nekats.","ziggeoimageviewer.image-processing":"Bilden bearbetas - h&#xE4;ng kvar.","ziggeoimageviewer.image-access-error":"Bilden modereras f&#xF6;r n&#xE4;rvarande. Klicka f&#xF6;r att f&#xF6;rs&#xF6;ka igen.","ziggeoplayer.video-not-found":"Vi kunde inte hitta den valda videofilen.","ziggeoplayer.video-access-forbidden":"Du har inte tillg&#xE5;ng till den valda videofilen.","ziggeoplayer.video-unknown-error":"Vi kan f&#xF6;r n&#xE4;rvarande inte komma &#xE5;t den valda videofilen. V&#xE4;nligen f&#xF6;rs&#xF6;k igen senare.","ziggeoplayer.video-rejected":"Videon har nekats.","ziggeoplayer.video-processing":"Videon bearbetas - h&#xE4;ng kvar.","ziggeoplayer.video-access-error":"Videon modereras f&#xF6;r n&#xE4;rvarande. Klicka f&#xF6;r att f&#xF6;rs&#xF6;ka igen."},"language:tl":{"application.error_503":"Kasalukuyan naming pinapanatili ang aming serbisyo. Video ay maaaring bumalik sa lalong madaling panahon.","application.error_404":"Hindi namin makilala ang iyong api key. Mangyaring siguraduhin na tukuyin ito sa header ng iyong website.","application.error_401":"Hindi ka pinapayagang i-access ang application mula sa site na ito.","application.error_412":"Kailangan mong kumpirmahin / i-upgrade ang iyong account.","application.error_unknown":"Isang hindi matukoy na error ang naganap. Ang aming koponan ay aabisuhan at kukumpirmahing malutas ang isyu.","ziggeoaudioplayer.audio-not-found":"Hindi namin makita ang tinutukoy na audio file.","ziggeoaudioplayer.audio-access-forbidden":"Ikaw ay hindi pinapayagan na ma-access ang audio file na ito.","ziggeoaudioplayer.audio-unknown-error":"Hindi namin ma-access ang video sa sandaling ito. Subukang muli mamaya.","ziggeoaudioplayer.audio-rejected":"Ang audio na ito ay tinanggihan.","ziggeoaudioplayer.audio-processing":"Ang audio ay pinoproseso - manatiling nakatutok.","ziggeoaudioplayer.audio-access-error":"Ang audio na ito ay kasalukuyang sumasailalim sa moderasyon. Maaari mong i-click upang subukang muli.","ziggeoimageviewer.image-not-found":"Hindi namin makita ang tinutukoy na imahe.","ziggeoimageviewer.image-access-forbidden":"Ikaw ay hindi pinapayagan na ma-access ang imaheng ito.","ziggeoimageviewer.image-unknown-error":"Hindi namin ma-access ang imahe sa sandaling ito. Subukang muli mamaya.","ziggeoimageviewer.image-rejected":"Ang imaheng ito ay tinanggihan.","ziggeoimageviewer.image-processing":"Ang imahe ay pinoproseso - manatiling nakatutok.","ziggeoimageviewer.image-access-error":"Ang imaheng ito ay kasalukuyang sumasailalim sa moderasyon. Maari mong i-click upang subukang muli.","ziggeoplayer.video-not-found":"Hindi kami makahanap ng ang tinukoy na file na video.","ziggeoplayer.video-access-forbidden":"Ikaw ay hindi pinapayagan na ma-access ang video file na ito.","ziggeoplayer.video-unknown-error":"Hindi namin ma-access ang video sa sandaling ito. Subukang muli mamaya.","ziggeoplayer.video-rejected":"Ang video na ito ay tinanggihan.","ziggeoplayer.video-processing":"Ang video ay pinoproseso - manatiling nakatutok.","ziggeoplayer.video-access-error":"Ang video na ito ay kasalukuyang sumasailalim sa moderasyon. Maaari mong i-click upang subukang muli."},"language:tr":{"application.error_503":"Biz hizmetimizi s&#xFC;rd&#xFC;rmekteyiz. Videolar geri yak&#x131;nda olacak.","application.error_404":"Biz API anahtar&#x131;n&#x131; tan&#x131;yamaz. Web sitenizin ba&#x15F;l&#x131;&#x11F;&#x131;nda bunu belirtmek i&#xE7;in emin olun.","application.error_401":"Bu siteden uygulamaya eri&#x15F;mek i&#xE7;in izin verilmez.","application.error_412":"Sen / onaylamak hesab&#x131;n&#x131;z&#x131; y&#xFC;kseltmeniz gerekir.","application.error_unknown":"Bilinmeyen bir hata olu&#x15F;tu. Ekibimiz tebli&#x11F; edilmi&#x15F; ve sorunu &#xE7;&#xF6;zecektir.","ziggeoplayer.video-not-found":"Biz Belirtilen video dosyas&#x131;n&#x131; bulamad&#x131;.","ziggeoplayer.video-access-forbidden":"Bu g&#xF6;r&#xFC;nt&#xFC;l&#xFC; dosyaya eri&#x15F;mek i&#xE7;in izin verilmez.","ziggeoplayer.video-unknown-error":"Biz &#x15F;u anda bu videoyu eri&#x15F;emiyor. L&#xFC;tfen daha sonra tekrar deneyiniz.","ziggeoplayer.video-rejected":"Video reddedildi.","ziggeoplayer.video-processing":"Video i&#x15F;leme - bizi izlemeye devam edin.","ziggeoplayer.video-access-error":"Video &#x131;l&#x131;ml&#x131;l&#x131;k a&#x15F;amas&#x131;ndad&#x131;r. Tekrar denemek i&#xE7;in t&#x131;klayabilirsiniz.","ziggeoaudioplayer.audio-not-found":"Belirtilen ses dosyas&#x131;n&#x131; bulamad&#x131;k.","ziggeoaudioplayer.audio-access-forbidden":"Bu ses dosyas&#x131;na eri&#x15F;im izniniz yok.","ziggeoaudioplayer.audio-unknown-error":"&#x15E;u anda bu sese eri&#x15F;emiyoruz. L&#xFC;tfen daha sonra tekrar deneyiniz.","ziggeoaudioplayer.audio-rejected":"Ses reddedildi.","ziggeoaudioplayer.audio-processing":"Ses i&#x15F;leniyor - bizi izlemeye devam edin.","ziggeoaudioplayer.audio-access-error":"Ses &#x15F;u anda denetleniyor. Yeniden denemek i&#xE7;in t&#x131;klayabilirsiniz.","ziggeoimageviewer.image-not-found":"Belirtilen g&#xF6;r&#xFC;nt&#xFC; dosyas&#x131;n&#x131; bulamad&#x131;k.","ziggeoimageviewer.image-access-forbidden":"Bu g&#xF6;r&#xFC;nt&#xFC; dosyas&#x131;na eri&#x15F;im izniniz yok.","ziggeoimageviewer.image-unknown-error":"Bu resme &#x15F;u anda eri&#x15F;emiyoruz. L&#xFC;tfen daha sonra tekrar deneyiniz.","ziggeoimageviewer.image-rejected":"G&#xF6;r&#xFC;nt&#xFC; reddedildi.","ziggeoimageviewer.image-processing":"G&#xF6;r&#xFC;nt&#xFC; i&#x15F;leniyor - bizi izlemeye devam edin.","ziggeoimageviewer.image-access-error":"G&#xF6;r&#xFC;nt&#xFC; &#x15F;u anda denetleniyor. Yeniden denemek i&#xE7;in t&#x131;klayabilirsiniz."},"language:uk":{"application.error_503":"&#x41C;&#x438; &#x43F;&#x456;&#x434;&#x442;&#x440;&#x438;&#x43C;&#x443;&#x454;&#x43C;&#x43E; &#x43D;&#x430;&#x448; &#x441;&#x435;&#x440;&#x432;&#x456;&#x441;. &#x41C;&#x438; &#x441;&#x43A;&#x43E;&#x440;&#x43E; &#x43F;&#x43E;&#x432;&#x435;&#x440;&#x43D;&#x435;&#x43C;&#x43E;&#x441;&#x44C;.","application.error_404":"&#x41C;&#x438; &#x43D;&#x435; &#x43C;&#x43E;&#x436;&#x435;&#x43C;&#x43E; &#x440;&#x43E;&#x437;&#x43F;&#x456;&#x437;&#x43D;&#x430;&#x442;&#x438; &#x432;&#x430;&#x448; &#x43A;&#x43B;&#x44E;&#x447; API. &#x411;&#x443;&#x434;&#x44C; &#x43B;&#x430;&#x441;&#x43A;&#x430;, &#x43E;&#x431;&#x43E;&#x432;&#x2019;&#x44F;&#x437;&#x43A;&#x43E;&#x432;&#x43E; &#x432;&#x43A;&#x430;&#x436;&#x456;&#x442;&#x44C; &#x446;&#x435; &#x443; &#x437;&#x430;&#x433;&#x43E;&#x43B;&#x43E;&#x432;&#x43A;&#x443; &#x432;&#x435;&#x431;-&#x441;&#x430;&#x439;&#x442;&#x443;.","application.error_401":"&#x412;&#x438; &#x43D;&#x435; &#x43C;&#x430;&#x454;&#x442;&#x435; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F;&#x443; &#x434;&#x43E; &#x43F;&#x440;&#x43E;&#x433;&#x440;&#x430;&#x43C;&#x438; &#x437; &#x446;&#x44C;&#x43E;&#x433;&#x43E; &#x432;&#x435;&#x431;-&#x441;&#x430;&#x439;&#x442;&#x443;.","application.error_412":"&#x412;&#x430;&#x43C; &#x43F;&#x43E;&#x442;&#x440;&#x456;&#x431;&#x43D;&#x43E; &#x43F;&#x456;&#x434;&#x442;&#x432;&#x435;&#x440;&#x434;&#x438;&#x442;&#x438; / &#x43E;&#x43D;&#x43E;&#x432;&#x438;&#x442;&#x438; &#x441;&#x432;&#x456;&#x439; &#x440;&#x430;&#x445;&#x443;&#x43D;&#x43E;&#x43A;.","application.error_unknown":"&#x421;&#x442;&#x430;&#x43B;&#x430;&#x441;&#x44F; &#x43D;&#x435;&#x432;&#x456;&#x434;&#x43E;&#x43C;&#x430; &#x43F;&#x43E;&#x43C;&#x438;&#x43B;&#x43A;&#x430;. &#x41D;&#x430;&#x448;&#x430; &#x43A;&#x43E;&#x43C;&#x430;&#x43D;&#x434;&#x430; &#x43E;&#x442;&#x440;&#x438;&#x43C;&#x430;&#x43B;&#x430; &#x43F;&#x43E;&#x432;&#x456;&#x434;&#x43E;&#x43C;&#x43B;&#x435;&#x43D;&#x43D;&#x44F; &#x442;&#x430; &#x432;&#x438;&#x440;&#x456;&#x448;&#x438;&#x442;&#x44C; &#x43F;&#x440;&#x43E;&#x431;&#x43B;&#x435;&#x43C;&#x443;.","ziggeoaudioplayer.audio-not-found":"&#x41D;&#x435; &#x432;&#x434;&#x430;&#x43B;&#x43E;&#x441;&#x44F; &#x437;&#x43D;&#x430;&#x439;&#x442;&#x438; &#x432;&#x43A;&#x430;&#x437;&#x430;&#x43D;&#x438;&#x439; &#x430;&#x443;&#x434;&#x456;&#x43E;&#x444;&#x430;&#x439;&#x43B;.","ziggeoaudioplayer.audio-access-forbidden":"&#x412;&#x438; &#x43D;&#x435; &#x43C;&#x430;&#x454;&#x442;&#x435; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F;&#x443; &#x434;&#x43E; &#x446;&#x44C;&#x43E;&#x433;&#x43E; &#x430;&#x443;&#x434;&#x456;&#x43E;&#x444;&#x430;&#x439;&#x43B;&#x443;.","ziggeoaudioplayer.audio-unknown-error":"&#x41D;&#x430; &#x434;&#x430;&#x43D;&#x438;&#x439; &#x43C;&#x43E;&#x43C;&#x435;&#x43D;&#x442; &#x43C;&#x438; &#x43D;&#x435; &#x43C;&#x43E;&#x436;&#x435;&#x43C;&#x43E; &#x43E;&#x442;&#x440;&#x438;&#x43C;&#x430;&#x442;&#x438; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x434;&#x43E; &#x446;&#x44C;&#x43E;&#x433;&#x43E; &#x430;&#x443;&#x434;&#x456;&#x43E;. &#x411;&#x443;&#x434;&#x44C;-&#x43B;&#x430;&#x441;&#x43A;&#x430; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;&#x439;&#x442;&#x435; &#x43F;&#x456;&#x437;&#x43D;&#x456;&#x448;&#x435;.","ziggeoaudioplayer.audio-rejected":"&#x410;&#x443;&#x434;&#x456;&#x43E; &#x432;&#x456;&#x434;&#x445;&#x438;&#x43B;&#x435;&#x43D;&#x43E;.","ziggeoaudioplayer.audio-processing":"&#x410;&#x443;&#x434;&#x456;&#x43E; &#x43E;&#x431;&#x440;&#x43E;&#x431;&#x43B;&#x44F;&#x454;&#x442;&#x44C;&#x441;&#x44F; - &#x441;&#x442;&#x435;&#x436;&#x442;&#x435; &#x437;&#x430; &#x43E;&#x43D;&#x43E;&#x432;&#x43B;&#x435;&#x43D;&#x43D;&#x44F;&#x43C;&#x438;.","ziggeoaudioplayer.audio-access-error":"&#x41D;&#x430;&#x440;&#x430;&#x437;&#x456; &#x430;&#x443;&#x434;&#x456;&#x43E; &#x43C;&#x43E;&#x434;&#x435;&#x440;&#x443;&#x454;&#x442;&#x44C;&#x441;&#x44F;. &#x412;&#x438; &#x43C;&#x43E;&#x436;&#x435;&#x442;&#x435; &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x443;&#x442;&#x438;, &#x449;&#x43E;&#x431; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;.","ziggeoimageviewer.image-not-found":"&#x41D;&#x435; &#x432;&#x434;&#x430;&#x43B;&#x43E;&#x441;&#x44F; &#x437;&#x43D;&#x430;&#x439;&#x442;&#x438; &#x432;&#x43A;&#x430;&#x437;&#x430;&#x43D;&#x438;&#x439; &#x444;&#x430;&#x439;&#x43B; &#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F;.","ziggeoimageviewer.image-access-forbidden":"&#x412;&#x438; &#x43D;&#x435; &#x43C;&#x430;&#x454;&#x442;&#x435; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F;&#x443; &#x434;&#x43E; &#x446;&#x44C;&#x43E;&#x433;&#x43E; &#x444;&#x430;&#x439;&#x43B;&#x443; &#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F;.","ziggeoimageviewer.image-unknown-error":"&#x41D;&#x430; &#x434;&#x430;&#x43D;&#x438;&#x439; &#x43C;&#x43E;&#x43C;&#x435;&#x43D;&#x442; &#x43C;&#x438; &#x43D;&#x435; &#x43C;&#x43E;&#x436;&#x435;&#x43C;&#x43E; &#x43E;&#x442;&#x440;&#x438;&#x43C;&#x430;&#x442;&#x438; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x434;&#x43E; &#x446;&#x44C;&#x43E;&#x433;&#x43E; &#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F;. &#x411;&#x443;&#x434;&#x44C;-&#x43B;&#x430;&#x441;&#x43A;&#x430; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;&#x439;&#x442;&#x435; &#x43F;&#x456;&#x437;&#x43D;&#x456;&#x448;&#x435;.","ziggeoimageviewer.image-rejected":"&#x417;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F; &#x432;&#x456;&#x434;&#x445;&#x438;&#x43B;&#x435;&#x43D;&#x43E;.","ziggeoimageviewer.image-processing":"&#x417;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F; &#x43E;&#x431;&#x440;&#x43E;&#x431;&#x43B;&#x44F;&#x454;&#x442;&#x44C;&#x441;&#x44F; - &#x441;&#x442;&#x435;&#x436;&#x442;&#x435; &#x437;&#x430; &#x43E;&#x43D;&#x43E;&#x432;&#x43B;&#x435;&#x43D;&#x43D;&#x44F;&#x43C;&#x438;.","ziggeoimageviewer.image-access-error":"&#x41D;&#x430;&#x440;&#x430;&#x437;&#x456; &#x437;&#x43E;&#x431;&#x440;&#x430;&#x436;&#x435;&#x43D;&#x43D;&#x44F; &#x43C;&#x43E;&#x434;&#x435;&#x440;&#x443;&#x454;&#x442;&#x44C;&#x441;&#x44F;. &#x412;&#x438; &#x43C;&#x43E;&#x436;&#x435;&#x442;&#x435; &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x443;&#x442;&#x438;, &#x449;&#x43E;&#x431; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;.","ziggeoplayer.video-not-found":"&#x41D;&#x435; &#x432;&#x434;&#x430;&#x43B;&#x43E;&#x441;&#x44F; &#x437;&#x43D;&#x430;&#x439;&#x442;&#x438; &#x432;&#x43A;&#x430;&#x437;&#x430;&#x43D;&#x438;&#x439; &#x432;&#x456;&#x434;&#x435;&#x43E;&#x444;&#x430;&#x439;&#x43B;.","ziggeoplayer.video-access-forbidden":"&#x412;&#x438; &#x43D;&#x435; &#x43C;&#x430;&#x454;&#x442;&#x435; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F;&#x443; &#x434;&#x43E; &#x446;&#x44C;&#x43E;&#x433;&#x43E; &#x432;&#x456;&#x434;&#x435;&#x43E;&#x444;&#x430;&#x439;&#x43B;&#x443;.","ziggeoplayer.video-unknown-error":"&#x41D;&#x430; &#x434;&#x430;&#x43D;&#x438;&#x439; &#x43C;&#x43E;&#x43C;&#x435;&#x43D;&#x442; &#x43C;&#x438; &#x43D;&#x435; &#x43C;&#x43E;&#x436;&#x435;&#x43C;&#x43E; &#x43E;&#x442;&#x440;&#x438;&#x43C;&#x430;&#x442;&#x438; &#x434;&#x43E;&#x441;&#x442;&#x443;&#x43F; &#x434;&#x43E; &#x446;&#x44C;&#x43E;&#x433;&#x43E; &#x432;&#x456;&#x434;&#x435;&#x43E;. &#x411;&#x443;&#x434;&#x44C;-&#x43B;&#x430;&#x441;&#x43A;&#x430; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;&#x439;&#x442;&#x435; &#x43F;&#x456;&#x437;&#x43D;&#x456;&#x448;&#x435;.","ziggeoplayer.video-rejected":"&#x412;&#x456;&#x434;&#x435;&#x43E; &#x432;&#x456;&#x434;&#x445;&#x438;&#x43B;&#x435;&#x43D;&#x43E;.","ziggeoplayer.video-processing":"&#x412;&#x456;&#x434;&#x435;&#x43E; &#x43E;&#x431;&#x440;&#x43E;&#x431;&#x43B;&#x44F;&#x454;&#x442;&#x44C;&#x441;&#x44F; - &#x441;&#x442;&#x435;&#x436;&#x442;&#x435; &#x437;&#x430; &#x43E;&#x43D;&#x43E;&#x432;&#x43B;&#x435;&#x43D;&#x43D;&#x44F;&#x43C;&#x438;.","ziggeoplayer.video-access-error":"&#x41D;&#x430;&#x440;&#x430;&#x437;&#x456; &#x432;&#x456;&#x434;&#x435;&#x43E; &#x43C;&#x43E;&#x434;&#x435;&#x440;&#x443;&#x454;&#x442;&#x44C;&#x441;&#x44F;. &#x412;&#x438; &#x43C;&#x43E;&#x436;&#x435;&#x442;&#x435; &#x43D;&#x430;&#x442;&#x438;&#x441;&#x43D;&#x443;&#x442;&#x438;, &#x449;&#x43E;&#x431; &#x43F;&#x43E;&#x432;&#x442;&#x43E;&#x440;&#x438;&#x442;&#x438; &#x441;&#x43F;&#x440;&#x43E;&#x431;&#x443;."},"language:zh-cn":{"application.error_503":"&#x670D;&#x52A1;&#x5668;&#x6B63;&#x5728;&#x7EF4;&#x62A4;&#x4E2D;&#xFF0C;&#x7A0D;&#x540E;&#x5C31;&#x4F1A;&#x6062;&#x590D;&#x3002;","application.error_404":"&#x6211;&#x4EEC;&#x65E0;&#x6CD5;&#x9A8C;&#x8BC1;&#x60A8;&#x7684;&#x5E94;&#x7528;&#x91D1;&#x94A5;&#xFF0C;&#x8BF7;&#x786E;&#x5B9A;&#x60A8;&#x6709;&#x5728;&#x7F51;&#x7AD9;&#x914D;&#x7F6E;&#x53C2;&#x6570;&#x4E2D;&#x6B63;&#x786E;&#x6307;&#x5B9A;&#x4E86;&#x91D1;&#x94A5;&#x3002;","application.error_401":"&#x672A;&#x7ECF;&#x6388;&#x6743;&#x7684;&#x5E94;&#x7528;&#xFF0C;&#x8BF7;&#x786E;&#x8BA4;&#x3002;","application.error_412":"&#x60A8;&#x5FC5;&#x987B;&#x786E;&#x8BA4;/&#x66F4;&#x65B0;&#x60A8;&#x7684;&#x5E10;&#x6237;&#x3002;","application.error_unknown":"&#x53D1;&#x751F;&#x4E86;&#x672A;&#x77E5;&#x7684;&#x9519;&#x8BEF;&#xFF0C;&#x5DF2;&#x901A;&#x77E5;&#x5DE5;&#x4F5C;&#x56E2;&#x961F;&#x6765;&#x6392;&#x9664;&#x6B64;&#x95EE;&#x9898;&#x3002;","ziggeoplayer.video-not-found":"&#x65E0;&#x6CD5;&#x627E;&#x5230;&#x8BE5;&#x5F71;&#x7247;&#x3002;","ziggeoplayer.video-access-forbidden":"&#x672A;&#x6388;&#x6743;&#x5B58;&#x53D6;&#x6B64;&#x5F71;&#x7247;&#x3002;","ziggeoplayer.video-unknown-error":"&#x6682;&#x65F6;&#x65E0;&#x6CD5;&#x5B58;&#x53D6;&#x6B64;&#x5F71;&#x7247;&#xFF0C;&#x8BF7;&#x7A0D;&#x540E;&#x518D;&#x8BD5;&#x3002;","ziggeoplayer.video-rejected":"&#x62D2;&#x7EDD;&#x5B58;&#x53D6;&#x5F71;&#x7247;&#x3002;","ziggeoplayer.video-processing":"&#x5F71;&#x7247;&#x5904;&#x7406;&#x4E2D;&#xFF0C;&#x8BF7;&#x7A0D;&#x5019;&#x3002;","ziggeoplayer.video-access-error":"&#x5F71;&#x7247;&#x6B63;&#x5728;&#x8F6C;&#x6863;&#x4E2D;&#xFF0C;&#x8BF7;&#x7A0D;&#x540E;&#x518D;&#x8BD5;&#x3002;","ziggeoaudioplayer.audio-not-found":"&#x6211;&#x4EEC;&#x627E;&#x4E0D;&#x5230;&#x6307;&#x5B9A;&#x7684;&#x97F3;&#x9891;&#x6587;&#x4EF6;&#x3002;","ziggeoaudioplayer.audio-access-forbidden":"&#x60A8;&#x65E0;&#x6743;&#x8BBF;&#x95EE;&#x6B64;&#x97F3;&#x9891;&#x6587;&#x4EF6;&#x3002;","ziggeoaudioplayer.audio-unknown-error":"&#x76EE;&#x524D;&#x6211;&#x4EEC;&#x65E0;&#x6CD5;&#x8BBF;&#x95EE;&#x6B64;&#x97F3;&#x9891;&#x3002;&#x8BF7;&#x7A0D;&#x540E;&#x518D;&#x8BD5;&#x3002;","ziggeoaudioplayer.audio-rejected":"&#x97F3;&#x9891;&#x5DF2;&#x88AB;&#x62D2;&#x7EDD;&#x3002;","ziggeoaudioplayer.audio-processing":"&#x97F3;&#x9891;&#x6B63;&#x5728;&#x5904;&#x7406;-&#x656C;&#x8BF7;&#x671F;&#x5F85;&#x3002;","ziggeoaudioplayer.audio-access-error":"&#x97F3;&#x9891;&#x5F53;&#x524D;&#x5904;&#x4E8E;&#x4E2D;&#x7B49;&#x72B6;&#x6001;&#x3002;&#x60A8;&#x53EF;&#x4EE5;&#x5355;&#x51FB;&#x91CD;&#x8BD5;&#x3002;","ziggeoimageviewer.image-not-found":"&#x6211;&#x4EEC;&#x627E;&#x4E0D;&#x5230;&#x6307;&#x5B9A;&#x7684;&#x56FE;&#x50CF;&#x6587;&#x4EF6;&#x3002;","ziggeoimageviewer.image-access-forbidden":"&#x60A8;&#x65E0;&#x6743;&#x8BBF;&#x95EE;&#x6B64;&#x56FE;&#x50CF;&#x6587;&#x4EF6;&#x3002;","ziggeoimageviewer.image-unknown-error":"&#x6211;&#x4EEC;&#x76EE;&#x524D;&#x65E0;&#x6CD5;&#x8BBF;&#x95EE;&#x8BE5;&#x56FE;&#x50CF;&#x3002;&#x8BF7;&#x7A0D;&#x540E;&#x518D;&#x8BD5;&#x3002;","ziggeoimageviewer.image-rejected":"&#x56FE;&#x7247;&#x5DF2;&#x88AB;&#x62D2;&#x7EDD;&#x3002;","ziggeoimageviewer.image-processing":"&#x56FE;&#x7247;&#x6B63;&#x5728;&#x5904;&#x7406;-&#x8BF7;&#x7EE7;&#x7EED;&#x5173;&#x6CE8;&#x3002;","ziggeoimageviewer.image-access-error":"&#x8BE5;&#x56FE;&#x50CF;&#x5F53;&#x524D;&#x5904;&#x4E8E;&#x5BA1;&#x6838;&#x72B6;&#x6001;&#x3002;&#x60A8;&#x53EF;&#x4EE5;&#x5355;&#x51FB;&#x91CD;&#x8BD5;&#x3002;"},"language:zh-tw":{"application.error_503":"&#x4F3A;&#x670D;&#x5668;&#x6B63;&#x5728;&#x7DAD;&#x8B77;&#x4E2D;&#xFF0C;&#x670D;&#x52D9;&#x7A0D;&#x5F8C;&#x5C31;&#x6703;&#x6062;&#x5FA9;&#x3002;","application.error_404":"&#x6211;&#x5011;&#x7121;&#x6CD5;&#x9A57;&#x8B49;&#x60A8;&#x7684; API &#x91D1;&#x9470;&#xFF0C;&#x8ACB;&#x78BA;&#x5B9A;&#x60A8;&#x6709;&#x5728;&#x7DB2;&#x7AD9;&#x914D;&#x7F6E;&#x53C3;&#x6578;&#x4E2D;&#x6B63;&#x78BA;&#x6307;&#x5B9A;&#x4E86;&#x91D1;&#x9470;&#x3002;","application.error_401":"&#x672A;&#x7D93;&#x6388;&#x6B0A;&#x7684;&#x61C9;&#x7528;&#xFF0C;&#x8ACB;&#x78BA;&#x8A8D;&#x3002;","application.error_412":"&#x60A8;&#x5FC5;&#x9808;&#x78BA;&#x8A8D;/&#x66F4;&#x65B0;&#x60A8;&#x7684;&#x5E33;&#x865F;&#x3002;","application.error_unknown":"&#x767C;&#x751F;&#x4E86;&#x672A;&#x77E5;&#x7684;&#x932F;&#x8AA4;&#xFF0C;&#x5DF2;&#x901A;&#x77E5;&#x5DE5;&#x4F5C;&#x5718;&#x968A;&#x4F86;&#x6392;&#x9664;&#x6B64;&#x554F;&#x984C;&#x3002;","ziggeoplayer.video-not-found":"&#x7121;&#x6CD5;&#x627E;&#x5230;&#x8A72;&#x5F71;&#x7247;&#x3002;","ziggeoplayer.video-access-forbidden":"&#x672A;&#x6388;&#x6B0A;&#x5B58;&#x53D6;&#x6B64;&#x5F71;&#x7247;&#x3002;","ziggeoplayer.video-unknown-error":"&#x66AB;&#x6642;&#x7121;&#x6CD5;&#x5B58;&#x53D6;&#x6B64;&#x5F71;&#x7247;&#xFF0C;&#x8ACB;&#x7A0D;&#x5F8C;&#x518D;&#x8A66;&#x3002;","ziggeoplayer.video-rejected":"&#x62D2;&#x7D55;&#x5B58;&#x53D6;&#x5F71;&#x7247;&#x3002;","ziggeoplayer.video-processing":"&#x5F71;&#x7247;&#x8655;&#x7406;&#x4E2D;&#xFF0C;&#x8ACB;&#x7A0D;&#x5019;&#x3002;","ziggeoplayer.video-access-error":"&#x5F71;&#x7247;&#x6B63;&#x5728;&#x8F49;&#x6A94;&#x4E2D;&#xFF0C;&#x8ACB;&#x7A0D;&#x5F8C;&#x518D;&#x8A66;&#x3002;","ziggeoaudioplayer.audio-not-found":"&#x6211;&#x5011;&#x627E;&#x4E0D;&#x5230;&#x6307;&#x5B9A;&#x7684;&#x97F3;&#x983B;&#x6587;&#x4EF6;&#x3002;","ziggeoaudioplayer.audio-access-forbidden":"&#x60A8;&#x7121;&#x6B0A;&#x8A2A;&#x554F;&#x6B64;&#x97F3;&#x983B;&#x6587;&#x4EF6;&#x3002;","ziggeoaudioplayer.audio-unknown-error":"&#x76EE;&#x524D;&#x6211;&#x5011;&#x7121;&#x6CD5;&#x8A2A;&#x554F;&#x6B64;&#x97F3;&#x983B;&#x3002;&#x8ACB;&#x7A0D;&#x5F8C;&#x518D;&#x8A66;&#x3002;","ziggeoaudioplayer.audio-rejected":"&#x97F3;&#x983B;&#x5DF2;&#x88AB;&#x62D2;&#x7D55;&#x3002;","ziggeoaudioplayer.audio-processing":"&#x97F3;&#x983B;&#x6B63;&#x5728;&#x8655;&#x7406;-&#x656C;&#x8ACB;&#x671F;&#x5F85;&#x3002;","ziggeoaudioplayer.audio-access-error":"&#x97F3;&#x983B;&#x7576;&#x524D;&#x8655;&#x65BC;&#x4E2D;&#x7B49;&#x72C0;&#x614B;&#x3002;&#x60A8;&#x53EF;&#x4EE5;&#x55AE;&#x64CA;&#x91CD;&#x8A66;&#x3002;","ziggeoimageviewer.image-not-found":"&#x6211;&#x5011;&#x627E;&#x4E0D;&#x5230;&#x6307;&#x5B9A;&#x7684;&#x5716;&#x50CF;&#x6587;&#x4EF6;&#x3002;","ziggeoimageviewer.image-access-forbidden":"&#x60A8;&#x7121;&#x6B0A;&#x8A2A;&#x554F;&#x6B64;&#x5716;&#x50CF;&#x6587;&#x4EF6;&#x3002;","ziggeoimageviewer.image-unknown-error":"&#x6211;&#x5011;&#x76EE;&#x524D;&#x7121;&#x6CD5;&#x8A2A;&#x554F;&#x8A72;&#x5716;&#x50CF;&#x3002;&#x8ACB;&#x7A0D;&#x5F8C;&#x518D;&#x8A66;&#x3002;","ziggeoimageviewer.image-rejected":"&#x5716;&#x7247;&#x5DF2;&#x88AB;&#x62D2;&#x7D55;&#x3002;","ziggeoimageviewer.image-processing":"&#x5716;&#x7247;&#x6B63;&#x5728;&#x8655;&#x7406;-&#x8ACB;&#x7E7C;&#x7E8C;&#x95DC;&#x6CE8;&#x3002;","ziggeoimageviewer.image-access-error":"&#x8A72;&#x5716;&#x50CF;&#x7576;&#x524D;&#x8655;&#x65BC;&#x5BE9;&#x6838;&#x72C0;&#x614B;&#x3002;&#x60A8;&#x53EF;&#x4EE5;&#x55AE;&#x64CA;&#x91CD;&#x8A66;&#x3002;"}};
    for (var language in languages)
        Locale.mainLocale.register(languages[language], [language]);
    return {};
});


}).call(Scoped);
Scoped.detach(true);

if (oldScoped)
	oldScoped.attach();	

}).call(this);